Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = '2015-05-01-02-bismuth'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Inverter'
      type  = 302
      left  = 6
      top   = 6
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 21
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 36
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 126)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 4)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'XFade'
      type  = 201
      left  = 6
      top   = 81
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Envelope'
      type  = 905
      left  = 6
      top   = 111
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 255)
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Envelope'
      type  = 905
      left  = 6
      top   = 156
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 15)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 255)
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 201
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 129)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'SeqRandom'
      type  = 1208
      left  = 6
      top   = 231
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 52)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 96)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 49)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 11)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'IntDif'
      type  = 1003
      left  = 6
      top   = 321
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Resonator'
      type  = 1006
      left  = 6
      top   = 351
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'resonator_decay' value = 218)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_fmlevel' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_frequency' value = 64)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_cents' value = 47)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_pmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_dmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_click' value = 30)
        detail( class = 'TKnobsNoKnob' name = 'resonator_inlevel' value = 243)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'PinkFilter'
      type  = 1005
      left  = 6
      top   = 411
      color = 16744703
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixM4to1'
      type  = 203
      left  = 6
      top   = 441
      color = 65535
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 231)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 486
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 12)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 72)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 531
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 88)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 576
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = ''
      type  = 204
      left  = 6
      top   = 591
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 230)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 237)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = ''
      type  = 204
      left  = 6
      top   = 621
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 243)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 237)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 651
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 79)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 108)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 166)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 223)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'main volume'
      type  = 204
      left  = 6
      top   = 741
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 237)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 173)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Constant'
      type  = 301
      left  = 256
      top   = 6
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 512)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 5)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Average'
      type  = 1001
      left  = 256
      top   = 36
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 33)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Amplifier'
      type  = 305
      left  = 256
      top   = 66
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 256)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 96
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 126
      color = 7339887
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 183)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 160)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 171
      color = 7339887
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 213)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Mux'
      type  = 805
      left  = 256
      top   = 216
      color = 7339887
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Mux'
      type  = 805
      left  = 256
      top   = 261
      color = 7339887
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 306
      color = 11819190
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 83)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 192)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 351
      color = 11819190
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 213)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Mux'
      type  = 805
      left  = 256
      top   = 396
      color = 11819190
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Mux'
      type  = 805
      left  = 256
      top   = 441
      color = 11819190
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Resonator'
      type  = 1006
      left  = 256
      top   = 486
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'resonator_decay' value = 203)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_fmlevel' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_frequency' value = 64)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_cents' value = 53)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_pmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_dmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_click' value = 0)
        detail( class = 'TKnobsNoKnob' name = 'resonator_inlevel' value = 205)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'PitchShift'
      type  = 910
      left  = 256
      top   = 546
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 186)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'PinkFilter'
      type  = 1005
      left  = 256
      top   = 606
      color = 16744703
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 636
      color = 65535
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 231)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = ''
      type  = 204
      left  = 256
      top   = 681
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 201)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 228)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = ''
      type  = 204
      left  = 256
      top   = 711
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 741
      color = 16744448
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'PinkFilter'
      type  = 1005
      left  = 506
      top   = 6
      color = 16744703
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 203)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'XFade'
      type  = 201
      left  = 506
      top   = 36
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'XFade'
      type  = 201
      left  = 506
      top   = 66
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 103)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 96
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 141
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 171
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 201
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 231
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'HrastSVF'
      type  = 4002
      left  = 506
      top   = 261
      color = 9681273
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoff' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_lowpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_reso' value = 128)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_bandpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_highpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_drive' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoffmod' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_gain' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level12' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level24' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'MixS2to1'
      type  = 204
      left  = 506
      top   = 351
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 246)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 246)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'GVerb'
      type  = 707
      left  = 506
      top   = 381
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 104)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 214)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 215)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 152)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 92)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 471
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 501
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 531
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 561
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'TerraGen'
      type  = 507
      left  = 506
      top   = 591
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 621
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 209)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 256)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Compressor'
      type  = 906
      left  = 506
      top   = 666
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 90)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 97)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 10)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 179)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 103)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'RandSig'
      type  = 408
      left  = 756
      top   = 6
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 58)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 64)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 55)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'feedback'
      type  = 304
      left  = 756
      top   = 51
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'control'
      type  = 201
      left  = 756
      top   = 66
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 128)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'PitchShift'
      type  = 910
      left  = 756
      top   = 96
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 186)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 156
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 186
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 216
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 246
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'HrastSVF'
      type  = 4002
      left  = 756
      top   = 276
      color = 9681273
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoff' value = 51)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_lowpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_reso' value = 83)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_bandpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_highpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_drive' value = 31)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoffmod' value = 15)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_gain' value = 251)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level12' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level24' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 366
      color = 65535
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 243)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 411
      color = 65535
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 218)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 225)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 230)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 456
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 486
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 516
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 546
      color = 10460928
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'SVF'
      type  = 1002
      left  = 756
      top   = 576
      color = 9681273
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 27)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'Rotator'
      type  = 309
      left  = 756
      top   = 621
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 6
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 18)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 25)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 55)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 51
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 200)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 96)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 55)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'LfoTrig'
      type  = 405
      left  = 1006
      top   = 96
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 24)
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 165)
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 3)
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'IntDif'
      type  = 1003
      left  = 1006
      top   = 156
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'MixM4to1'
      type  = 203
      left  = 1006
      top   = 186
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 170)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'Resonator'
      type  = 1006
      left  = 1006
      top   = 231
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'resonator_decay' value = 165)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_fmlevel' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_frequency' value = 40)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_cents' value = 45)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_pmlevel' value = 52)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_dmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_click' value = 0)
        detail( class = 'TKnobsNoKnob' name = 'resonator_inlevel' value = 250)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'Scaler'
      type  = 306
      left  = 1006
      top   = 291
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 192)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'Divider'
      type  = 603
      left  = 1006
      top   = 336
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 12)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'SeqRandom'
      type  = 1208
      left  = 1006
      top   = 366
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 57)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 76)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 49)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 11)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 11)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 456
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 73)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 64)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 55)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'TransInv'
      type  = 318
      left  = 1006
      top   = 501
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'transinv_modulo' value = 11)
        detail( class = 'TKnobsSmallKnob' name = 'transinv_amtpivot' value = 71)
        detail( class = 'TKnobsSelector' name = 'transinv_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 546
      color = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 114)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule12.lfo_out' dst = 'KnobsModule14.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.lfo_out' dst = 'KnobsModule14.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.divider_trig' dst = 'KnobsModule7.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.divider_out' dst = 'KnobsModule7.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.delay_out' dst = 'KnobsModule43.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.delay_out' dst = 'KnobsModule44.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_out' dst = 'KnobsModule45.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.delay_out' dst = 'KnobsModule46.hrastsvf_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.delay_out' dst = 'KnobsModule50.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.delay_out' dst = 'KnobsModule51.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.delay_out' dst = 'KnobsModule61.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.delay_out' dst = 'KnobsModule62.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.delay_out' dst = 'KnobsModule63.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.delay_out' dst = 'KnobsModule64.hrastsvf_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.delay_out' dst = 'KnobsModule69.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.delay_out' dst = 'KnobsModule70.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_out' dst = 'KnobsModule24.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixm4to1_out' dst = 'KnobsModule25.mux_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_control' dst = 'KnobsModule26.mux_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.delay_in' dst = 'KnobsModule25.mux_in0')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.delay_in' dst = 'KnobsModule25.mux_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.delay_in' dst = 'KnobsModule25.mux_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.delay_in' dst = 'KnobsModule25.mux_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.delay_in' dst = 'KnobsModule25.mux_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_in' dst = 'KnobsModule26.mux_in0')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.hrastsvf_input' dst = 'KnobsModule26.mux_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.delay_in' dst = 'KnobsModule26.mux_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.delay_in' dst = 'KnobsModule26.mux_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.hrastsvf_input' dst = 'KnobsModule26.mux_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.delay_in' dst = 'KnobsModule26.mux_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_outl' dst = 'KnobsModule36.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_outr' dst = 'KnobsModule36.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.terragen_x' dst = 'KnobsModule26.mux_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.lfo_out' dst = 'KnobsModule64.hrastsvf_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.lfo_out' dst = 'KnobsModule46.hrastsvf_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.multiplier_in3' dst = 'KnobsModule12.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.constant_out' dst = 'KnobsModule20.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.avg_lp' dst = 'KnobsModule36.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixm4to1_out' dst = 'KnobsModule35.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_trig' dst = 'KnobsModule8.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.lfo_fm' dst = 'KnobsModule7.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_out' dst = 'KnobsModule39.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.xfade_out' dst = 'KnobsModule40.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.pinkfilter_out' dst = 'KnobsModule11.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.resonator_out' dst = 'KnobsModule10.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.pinkfilter_out' dst = 'KnobsModule39.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.pinkfilter_out' dst = 'KnobsModule34.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.resonator_out' dst = 'KnobsModule33.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.mixm4to1_out' dst = 'KnobsModule35.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.gverb_outl' dst = 'KnobsModule49.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.gverb_outr' dst = 'KnobsModule67.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_out' dst = 'KnobsModule28.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixm4to1_out' dst = 'KnobsModule29.mux_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mux_control' dst = 'KnobsModule30.mux_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in0' dst = 'KnobsModule30.mux_in0')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in1' dst = 'KnobsModule30.mux_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in2' dst = 'KnobsModule30.mux_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in3' dst = 'KnobsModule30.mux_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in4' dst = 'KnobsModule30.mux_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in5' dst = 'KnobsModule30.mux_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in6' dst = 'KnobsModule30.mux_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in1' dst = 'KnobsModule29.mux_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in0' dst = 'KnobsModule29.mux_in0')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in2' dst = 'KnobsModule29.mux_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in3' dst = 'KnobsModule29.mux_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in4' dst = 'KnobsModule29.mux_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in5' dst = 'KnobsModule29.mux_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in6' dst = 'KnobsModule29.mux_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_out' dst = 'KnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outl' dst = 'KnobsModule17.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_out' dst = 'KnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outr' dst = 'KnobsModule17.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mux_out' dst = 'KnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mux_out' dst = 'KnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outl' dst = 'KnobsModule55.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.compressor_outl' dst = 'KnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outl' dst = 'KnobsModule37.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outr' dst = 'KnobsModule55.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.compressor_outr' dst = 'KnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outr' dst = 'KnobsModule37.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.terragen_y' dst = 'KnobsModule25.mux_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.delay_in' dst = 'KnobsModule53.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.delay_out' dst = 'KnobsModule52.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixm4to1_in1' dst = 'KnobsModule53.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.delay_out' dst = 'KnobsModule54.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.terragen_out' dst = 'KnobsModule54.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.intdif_dif' dst = 'KnobsModule78.resonator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.lfotrig_out' dst = 'KnobsModule76.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.hrastsvf_output24' dst = 'KnobsModule65.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.mixm4to1_out' dst = 'KnobsModule78.resonator_pm')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm4to1_in1' dst = 'KnobsModule34.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.mixm4to1_in2' dst = 'KnobsModule11.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.divider_out' dst = 'KnobsModule75.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_out' dst = 'KnobsModule77.mixm4to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.lfo_out' dst = 'KnobsModule70.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.transinv_out4' dst = 'KnobsModule84.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixm4to1_out' dst = 'KnobsModule3.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_inr1' dst = 'KnobsModule3.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule6.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envelope_in' dst = 'KnobsModule40.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.xfade_out' dst = 'KnobsModule5.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.randsig_out' dst = 'KnobsModule57.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_out' dst = 'KnobsModule56.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm4to1_in' dst = 'KnobsModule66.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.gverb_outl' dst = 'KnobsModule35.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.gverb_outr' dst = 'KnobsModule35.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm4to1_out' dst = 'KnobsModule66.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.delay_out' dst = 'KnobsModule71.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.xfade_out' dst = 'KnobsModule38.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.multiplier_out' dst = 'KnobsModule58.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in8' dst = 'KnobsModule25.mux_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mux_in7' dst = 'KnobsModule30.mux_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mux_in8' dst = 'KnobsModule30.mux_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_out' dst = 'KnobsModule9.resonator_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.resonator_freq' dst = 'KnobsModule31.resonator_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.delay_in' dst = 'KnobsModule26.mux_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in8' dst = 'KnobsModule26.mux_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mux_in7' dst = 'KnobsModule29.mux_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mux_in8' dst = 'KnobsModule29.mux_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.hrastsvf_output12' dst = 'KnobsModule47.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.mixm4to1_out' dst = 'KnobsModule47.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.mixs2to1_outl' dst = 'KnobsModule48.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.mixs2to1_outr' dst = 'KnobsModule48.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.mixs2to1_inl2' dst = 'KnobsModule47.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.mixs2to1_inr2' dst = 'KnobsModule47.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.delay_out' dst = 'KnobsModule25.mux_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.delay_out' dst = 'KnobsModule68.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.delay_in' dst = 'KnobsModule72.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.rotator_out1' dst = 'KnobsModule18.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.rotator_out2' dst = 'KnobsModule18.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.randsig_fm' dst = 'KnobsModule72.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envelope_out' dst = 'KnobsModule40.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.divider_out' dst = 'KnobsModule81.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.seqrandom_out' dst = 'KnobsModule46.hrastsvf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.mixm4to1_levmod1' dst = 'KnobsModule79.scaler_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.scaler_out4' dst = 'KnobsModule80.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.divider_trig' dst = 'KnobsModule81.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_out' dst = 'KnobsModule21.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.amplifier_in3' dst = 'KnobsModule48.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.multiplier_in3' dst = 'KnobsModule21.amplifier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outl' dst = 'KnobsModule23.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outr' dst = 'KnobsModule27.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.amplifier_out4' dst = 'KnobsModule22.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.amplifier_out3' dst = 'KnobsModule22.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.xfade_out' dst = 'KnobsModule41.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixm4to1_out' dst = 'KnobsModule42.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixm4to1_in3' dst = 'KnobsModule25.mux_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.multiplier_in4' dst = 'KnobsModule41.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.xfade_in1' dst = 'KnobsModule57.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.svf_hp' dst = 'KnobsModule58.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.svf_hp' dst = 'KnobsModule72.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixm4to1_out' dst = 'KnobsModule59.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.pitchshift_out' dst = 'KnobsModule60.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outl' dst = 'KnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outr' dst = 'KnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.delay_in' dst = 'KnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_inr1' dst = 'KnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mux_in1' dst = 'KnobsModule32.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.pitchshift_out' dst = 'KnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_inr2' dst = 'KnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.pitchshift_out' dst = 'KnobsModule66.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.multiplier_out' dst = 'KnobsModule2.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixm4to1_in1' dst = 'KnobsModule1.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.randsig_fm' dst = 'KnobsModule22.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.randsig_out' dst = 'KnobsModule73.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.randsig_out' dst = 'KnobsModule1.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outl' dst = 'KnobsModule4.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.randsig_out' dst = 'KnobsModule41.mixm4to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.rotator_angle' dst = 'KnobsModule74.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.envelope_out' dst = 'KnobsModule0.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.inverter_out4' dst = 'KnobsModule1.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envelope_out' dst = 'KnobsModule0.inverter_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.inverter_out3' dst = 'KnobsModule1.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.resonator_freq' dst = 'KnobsModule59.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.pitchshift_shiftmod' dst = 'KnobsModule83.transinv_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.intdif_dif' dst = 'KnobsModule31.resonator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.intdif_dif' dst = 'KnobsModule9.resonator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.resonator_fm' dst = 'KnobsModule9.resonator_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.multiplier_out' dst = 'KnobsModule31.resonator_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixm4to1_out' dst = 'KnobsModule47.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.mixm4to1_in1' dst = 'KnobsModule65.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.resonator_out' dst = 'KnobsModule77.mixm4to1_in1')
  )
)
