Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-10-18-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'AttractorLfo'
      type  = 410
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'attractorlfo_frequency' value = 72 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractorlfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractorlfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'attractorlfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractorlfo_outputtype' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractorlfo_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'MixM4to1'
      type  = 203
      left  = 8
      top   = 53
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 141 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'EuclideanScale'
      type  = 320
      left  = 8
      top   = 98
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euscale_patternmodamt' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euscale_steps' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euscale_pattern' value = 277 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 143
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 158
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 47 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 218
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 263
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Pan'
      type  = 202
      left  = 8
      top   = 293
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 323
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 353
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 383
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 210 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 73 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 186 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 245 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 239 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 184 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 202 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 237 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 237 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 533
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 563
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'MixM4to1'
      type  = 203
      left  = 258
      top   = 53
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 141 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'EuclideanScale'
      type  = 320
      left  = 258
      top   = 98
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euscale_patternmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euscale_steps' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euscale_pattern' value = 277 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 143
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 158
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 53 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 218
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 367 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 263
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 165 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 308
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'EnvAHD'
      type  = 903
      left  = 258
      top   = 353
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 95 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 46 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 53
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 68
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 48 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 113
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 158
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 173
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 10 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 55 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 240 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Reverb'
      type  = 703
      left  = 508
      top   = 443
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 133 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 198 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 82 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Poetry'
      type  = 327
      left  = 758
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'TransInv'
      type  = 318
      left  = 758
      top   = 53
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'transinv_modulo' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'transinv_amtpivot' value = 77 cc = 0)
        detail( class = 'TKnobsSelector' name = 'transinv_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 98
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 173 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 158
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 76 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 218
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 165 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 263
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 321 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 308
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 196 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'EnvAHD'
      type  = 903
      left  = 758
      top   = 353
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 201 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 54 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 55 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 181 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 179 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 249 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 533
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 215 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 563
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 234 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 593
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Constant'
      type  = 301
      left  = 1008
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 179 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 6 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 38
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 83
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 126 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 65 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Formant'
      type  = 1004
      left  = 1008
      top   = 128
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 169 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 80 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 158
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 203
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 233
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 263
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 110 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 100 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 293
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 170 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'PitchShift'
      type  = 910
      left  = 1008
      top   = 323
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 99 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Lfo'
      type  = 401
      left  = 1008
      top   = 383
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 48 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'TerraGen'
      type  = 507
      left  = 1008
      top   = 428
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 458
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 503
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 215 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Rotator'
      type  = 309
      left  = 1008
      top   = 533
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'ChebGen'
      type  = 326
      left  = 1258
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Noise'
      type  = 503
      left  = 1258
      top   = 38
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 170 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Divider'
      type  = 603
      left  = 1258
      top   = 68
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'MixM4to1'
      type  = 203
      left  = 1258
      top   = 98
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 205 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'XFade'
      type  = 201
      left  = 1258
      top   = 143
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Formant'
      type  = 1004
      left  = 1258
      top   = 173
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 34 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 203
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 30 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 248
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 11 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'EnvAHD'
      type  = 903
      left  = 1258
      top   = 293
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 142 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 54 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 55 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 413
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'FlangeChorus'
      type  = 704
      left  = 1258
      top   = 458
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 121 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 234 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 222 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'FlangeChorus'
      type  = 704
      left  = 1258
      top   = 518
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 236 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 125 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 170 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 234 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 239 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Rotator'
      type  = 309
      left  = 1258
      top   = 578
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'MixM4to1'
      type  = 203
      left  = 1508
      top   = 8
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 141 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'EuclideanScale'
      type  = 320
      left  = 1508
      top   = 53
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euscale_patternmodamt' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euscale_steps' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euscale_pattern' value = 277 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'Poetry'
      type  = 327
      left  = 1508
      top   = 98
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1508
      top   = 143
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 161 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 20 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'RandSig'
      type  = 408
      left  = 1508
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 14 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'RandSig'
      type  = 408
      left  = 1508
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1508
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 52 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'MixM4to1'
      type  = 203
      left  = 1508
      top   = 323
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 182 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'Pluck'
      type  = 508
      left  = 1508
      top   = 368
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pluck_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pluck_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_feedback' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_cents' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_brightness' value = 208 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_plucklevel' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_bclevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_noisedepth' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_noise' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'Inverter'
      type  = 302
      left  = 1508
      top   = 428
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'Pluck'
      type  = 508
      left  = 1508
      top   = 443
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pluck_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pluck_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_feedback' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_cents' value = 49 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_brightness' value = 177 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_plucklevel' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_bclevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_noisedepth' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_noise' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'Rotator'
      type  = 309
      left  = 1508
      top   = 503
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule88'
      title = 'Reverb'
      type  = 703
      left  = 1508
      top   = 533
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 133 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 125 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule14.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.attractorlfo_outx' dst = 'KnobsModule1.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.mixm4to1_out' dst = 'KnobsModule2.euscale_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.euscale_out' dst = 'KnobsModule4.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixm4to1_out' dst = 'KnobsModule17.euscale_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.attractorlfo_outy' dst = 'KnobsModule16.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.euscale_out' dst = 'KnobsModule19.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.rotator_out2' dst = 'KnobsModule7.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.rotator_out1' dst = 'KnobsModule7.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.lfo_out' dst = 'KnobsModule6.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.gverb_outr' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.gverb_outl' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osc_freq' dst = 'KnobsModule5.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.euscale_out' dst = 'KnobsModule27.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_out' dst = 'KnobsModule27.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_out' dst = 'KnobsModule27.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.poetry_out' dst = 'KnobsModule29.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_freq' dst = 'KnobsModule32.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_inr2' dst = 'KnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pan_out1' dst = 'KnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outl' dst = 'KnobsModule10.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pan_out2' dst = 'KnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outr' dst = 'KnobsModule10.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.svf_lp' dst = 'KnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osc_out' dst = 'KnobsModule18.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.multiplier_out' dst = 'KnobsModule19.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_out' dst = 'KnobsModule18.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.rotator_in1' dst = 'KnobsModule3.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.multiplier_out' dst = 'KnobsModule4.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osc_phase' dst = 'KnobsModule6.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.envahd_trig' dst = 'KnobsModule20.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.poetry_newoutput' dst = 'KnobsModule31.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_out' dst = 'KnobsModule31.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.envahd_sigout' dst = 'KnobsModule32.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.euclids_out' dst = 'KnobsModule21.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.euclids_out' dst = 'KnobsModule31.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.poetry_newinput' dst = 'KnobsModule21.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.attractorlfo_outz' dst = 'KnobsModule2.euscale_patternmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.euscale_patternmod' dst = 'KnobsModule20.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.euclids_trig' dst = 'KnobsModule23.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osc_out' dst = 'KnobsModule23.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envahd_sigout' dst = 'KnobsModule6.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envahd_out' dst = 'KnobsModule3.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_out' dst = 'KnobsModule23.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_out' dst = 'KnobsModule34.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.attractorlfo_outx' dst = 'KnobsModule32.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.euscale_out' dst = 'KnobsModule34.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.osc_out' dst = 'KnobsModule41.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.envahd_sigout' dst = 'KnobsModule43.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixs2to1_inr1' dst = 'KnobsModule43.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixs2to1_outl' dst = 'KnobsModule44.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixs2to1_outr' dst = 'KnobsModule45.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.delay_outfixed' dst = 'KnobsModule43.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_in' dst = 'KnobsModule46.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.delay_in' dst = 'KnobsModule46.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.osc_out' dst = 'KnobsModule40.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.envarretrig_sigout' dst = 'KnobsModule36.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_out' dst = 'KnobsModule37.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.osc_freq' dst = 'KnobsModule37.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_out' dst = 'KnobsModule43.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_out' dst = 'KnobsModule41.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.svf_fm' dst = 'KnobsModule41.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_out' dst = 'KnobsModule43.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.euclids_pattern' dst = 'KnobsModule44.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.reverb_outr' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_outr' dst = 'KnobsModule33.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.reverb_outl' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_outl' dst = 'KnobsModule33.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.osc_sync' dst = 'KnobsModule38.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.euclids_trig' dst = 'KnobsModule39.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.euclids_trig' dst = 'KnobsModule34.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.euclids_out' dst = 'KnobsModule41.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.euclids_out' dst = 'KnobsModule40.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.constant_out' dst = 'KnobsModule48.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_fm' dst = 'KnobsModule26.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_fm' dst = 'KnobsModule24.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_fm' dst = 'KnobsModule15.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_fm' dst = 'KnobsModule22.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_fm' dst = 'KnobsModule0.attractorlfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs2to1_outl' dst = 'KnobsModule43.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs2to1_outr' dst = 'KnobsModule43.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envahd_sigout' dst = 'KnobsModule42.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs2to1_inl1' dst = 'KnobsModule42.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.svf_lp' dst = 'KnobsModule50.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.randsig_out' dst = 'KnobsModule50.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.formant_out' dst = 'KnobsModule42.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs2to1_inr2' dst = 'KnobsModule42.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.formant_vowelin' dst = 'KnobsModule29.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.transinv_out1' dst = 'KnobsModule36.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_out' dst = 'KnobsModule35.transinv_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_newinput' dst = 'KnobsModule63.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_in' dst = 'KnobsModule75.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.envarretrig_sigout' dst = 'KnobsModule73.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.flangechorus_out' dst = 'KnobsModule75.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.flangechorus_out' dst = 'KnobsModule75.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixs2to1_outl' dst = 'KnobsModule9.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixs2to1_outr' dst = 'KnobsModule9.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.rotator_out2' dst = 'KnobsModule8.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.rotator_out1' dst = 'KnobsModule8.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out4' dst = 'KnobsModule72.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.randsig_out' dst = 'KnobsModule68.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out2' dst = 'KnobsModule28.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.multiplier_out' dst = 'KnobsModule29.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.envahd_out' dst = 'KnobsModule28.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out5' dst = 'KnobsModule25.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.multiplier_out' dst = 'KnobsModule24.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.envarretrig_trig' dst = 'KnobsModule19.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.multiplier_in3' dst = 'KnobsModule25.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.mixs2to1_outl' dst = 'KnobsModule61.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.delay_out' dst = 'KnobsModule60.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.lfo_out' dst = 'KnobsModule61.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.osc_freq' dst = 'KnobsModule57.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.terragen_out' dst = 'KnobsModule60.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.pitchshift_out' dst = 'KnobsModule58.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.terragen_y' dst = 'KnobsModule58.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.envahd_out' dst = 'KnobsModule59.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.avg_lp' dst = 'KnobsModule56.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.divider_out' dst = 'KnobsModule54.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.divider_out' dst = 'KnobsModule54.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.divider_trig' dst = 'KnobsModule53.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.euclids_out' dst = 'KnobsModule52.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.delay_in' dst = 'KnobsModule62.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.rotator_out1' dst = 'KnobsModule8.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.delay_out' dst = 'KnobsModule62.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.rotator_out2' dst = 'KnobsModule8.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_out' dst = 'KnobsModule62.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_out' dst = 'KnobsModule60.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envahd_out' dst = 'KnobsModule60.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.envahd_dmod' dst = 'KnobsModule59.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.svf_bp' dst = 'KnobsModule55.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_outfixed' dst = 'KnobsModule56.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.xfade_out' dst = 'KnobsModule68.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.noise_out' dst = 'KnobsModule65.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.divider_trig' dst = 'KnobsModule67.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.divider_out' dst = 'KnobsModule66.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.mixm4to1_out' dst = 'KnobsModule67.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.rotator_angle' dst = 'KnobsModule67.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.randsig_out' dst = 'KnobsModule31.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out6' dst = 'KnobsModule78.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixm4to1_in4' dst = 'KnobsModule76.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.mixm4to1_out' dst = 'KnobsModule77.euscale_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.euscale_out' dst = 'KnobsModule78.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.envarretrig_sigout' dst = 'KnobsModule84.pluck_pluck')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.poetry_out' dst = 'KnobsModule84.pluck_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.euclids_out' dst = 'KnobsModule82.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_delay' dst = 'KnobsModule77.euscale_patternmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out8' dst = 'KnobsModule79.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.euclids_trig' dst = 'KnobsModule78.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.envahd_amodneg' dst = 'KnobsModule79.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.pluck_pluck' dst = 'KnobsModule86.pluck_pluck')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.pluck_freq' dst = 'KnobsModule86.pluck_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.xfade_in2' dst = 'KnobsModule82.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.pluck_out' dst = 'KnobsModule87.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.pluck_out' dst = 'KnobsModule87.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.reverb_outr' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.rotator_out2' dst = 'KnobsModule88.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.reverb_outl' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.rotator_out1' dst = 'KnobsModule88.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.randsig_out' dst = 'KnobsModule82.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.randsig_out' dst = 'KnobsModule87.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_out' dst = 'KnobsModule69.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.randsig_out' dst = 'KnobsModule70.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_fm' dst = 'KnobsModule72.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.inverter_out4' dst = 'KnobsModule86.pluck_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out2' dst = 'KnobsModule83.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.mixm4to1_out' dst = 'KnobsModule84.pluck_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.pluck_fm' dst = 'KnobsModule85.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.envarretrig_out' dst = 'KnobsModule83.mixm4to1_levmod4')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.formant_out' dst = 'KnobsModule71.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envahd_sigin' dst = 'KnobsModule72.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envahd_sigout' dst = 'KnobsModule74.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_out' dst = 'KnobsModule71.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envahd_out' dst = 'KnobsModule25.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out3' dst = 'KnobsModule71.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.envahd_out' dst = 'KnobsModule71.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.envahd_sigout' dst = 'KnobsModule83.mixm4to1_in1')
  )
)
