Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-10-20-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'MidiNoteIn'
      type  = 1301
      left  = 8
      top   = 23
      color = 12632256
      details(
        detail( class = 'TKnobsOutput' name = 'midinotein_gate' value = '32768')
        detail( class = 'TKnobsNoKnob' name = 'midinotein_ch' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'AudioIn'
      type  = 101
      left  = 8
      top   = 53
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Envelope'
      type  = 905
      left  = 8
      top   = 83
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 24 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 202 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'TerraGen'
      type  = 507
      left  = 8
      top   = 143
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'HrastSVF'
      type  = 4002
      left  = 8
      top   = 173
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoff' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_lowpass' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_reso' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_bandpass' value = 198 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_highpass' value = 203 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_drive' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_resomod' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoffmod' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_gain' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level12' value = 17 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level24' value = 209 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 263
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 58 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 125 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 252 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'MixM4to1'
      type  = 203
      left  = 8
      top   = 353
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 202 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'FlangeChorus'
      type  = 704
      left  = 8
      top   = 398
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 254 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'FlangeChorus'
      type  = 704
      left  = 8
      top   = 458
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 244 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 240 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 225 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 578
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'SquareLfo'
      type  = 402
      left  = 258
      top   = 23
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'squarelfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'squarelfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pwmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 258
      top   = 68
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 19 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 98
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 168 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule6.mixm4to1_out' dst = 'KnobsModule7.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outl' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outr' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.flangechorus_in' dst = 'KnobsModule8.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.avg_lp' dst = 'KnobsModule5.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.gverb_outl' dst = 'KnobsModule6.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.audioin_out1' dst = 'KnobsModule3.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.squarelfo_out' dst = 'KnobsModule14.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.flangechorus_out' dst = 'KnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.flangechorus_out' dst = 'KnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.audioin_out1' dst = 'KnobsModule2.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.envelope_out' dst = 'KnobsModule12.squarelfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.terragen_out' dst = 'KnobsModule4.hrastsvf_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.envelope_invout' dst = 'KnobsModule4.hrastsvf_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.midinotein_note' dst = 'KnobsModule4.hrastsvf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.hrastsvf_output24' dst = 'KnobsModule5.gverb_inl')
  )
)
