Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-12-02-02'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 8
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 129 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 83
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 195 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 158
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 8
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 129 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 218
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 161 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 293
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 250 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 323
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 101 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 353
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 237 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 383
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 413
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 91 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 47 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 465 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 221 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 181 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 226 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 503
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 533
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 201 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 169 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 563
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 193 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 593
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 623
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 8
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 93 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 246 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'OscTrig'
      type  = 504
      left  = 258
      top   = 68
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 28 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 128
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 74 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 63 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 235 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 173
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 100 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 218
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 47 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 94 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 263
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 48 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'EnvAHD'
      type  = 903
      left  = 258
      top   = 308
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 114 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 152 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 130 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 428
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 458
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 18 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 488
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'SVF'
      type  = 1002
      left  = 258
      top   = 518
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 96 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 243 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 40 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 247 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 250 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 38
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 83
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 113
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 250 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 158
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 188
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 24 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'PinkFilter'
      type  = 1005
      left  = 508
      top   = 248
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 173 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 250 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Poetry'
      type  = 327
      left  = 758
      top   = 38
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1022 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 83
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 113
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 250 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 158
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 188
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 49 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'PinkFilter'
      type  = 1005
      left  = 758
      top   = 248
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 85 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outl' dst = 'KnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outr' dst = 'KnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outl' dst = 'KnobsModule16.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outr' dst = 'KnobsModule16.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule14.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule24.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envahd_sigout' dst = 'KnobsModule24.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule23.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.osc_out' dst = 'KnobsModule18.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.osctrig_out' dst = 'KnobsModule23.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.formant_vowelin' dst = 'KnobsModule27.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.osctrig_trig' dst = 'KnobsModule25.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.divider_out' dst = 'KnobsModule27.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.divider_out' dst = 'KnobsModule26.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule20.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule19.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_fm' dst = 'KnobsModule18.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.svf_bp' dst = 'KnobsModule12.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.rotator_out2' dst = 'KnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.rotator_out1' dst = 'KnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.noiselfotrig_out' dst = 'KnobsModule3.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.osc_fm' dst = 'KnobsModule18.osctrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.scalequantizer_out' dst = 'KnobsModule17.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.randsig_fm' dst = 'KnobsModule2.noiselfotrig_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.gverb_outl' dst = 'KnobsModule12.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.svf_lp' dst = 'KnobsModule17.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.gverb_outr' dst = 'KnobsModule13.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_inr2' dst = 'KnobsModule13.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule30.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.scalequantizer_out' dst = 'KnobsModule27.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.chebgen_in' dst = 'KnobsModule29.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_out' dst = 'KnobsModule33.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_inr1' dst = 'KnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.formant_out' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.rotator_in2' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_inl1' dst = 'KnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.pinkfilter_out' dst = 'KnobsModule35.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_out' dst = 'KnobsModule34.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_phase' dst = 'KnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envarretrig_sigout' dst = 'KnobsModule33.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.chebgen_out7' dst = 'KnobsModule32.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.avg_hp' dst = 'KnobsModule33.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_inl2' dst = 'KnobsModule7.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.delay_outfixed' dst = 'KnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.randsig_out' dst = 'KnobsModule23.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envahd_trig' dst = 'KnobsModule22.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.euclids_out' dst = 'KnobsModule35.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.euclids_out' dst = 'KnobsModule29.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.chebgen_out12' dst = 'KnobsModule31.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.randsig_out' dst = 'KnobsModule31.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.osctrig_freq' dst = 'KnobsModule28.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.delay_outfixed' dst = 'KnobsModule29.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.chebgen_in' dst = 'KnobsModule37.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.poetry_out' dst = 'KnobsModule41.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.pinkfilter_out' dst = 'KnobsModule43.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.osc_out' dst = 'KnobsModule42.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_sigout' dst = 'KnobsModule41.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.chebgen_out7' dst = 'KnobsModule40.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.avg_hp' dst = 'KnobsModule41.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.euclids_out' dst = 'KnobsModule43.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.euclids_out' dst = 'KnobsModule37.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.delay_outfixed' dst = 'KnobsModule37.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.chebgen_out12' dst = 'KnobsModule38.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.chebgen_out3' dst = 'KnobsModule39.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_out' dst = 'KnobsModule36.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outl' dst = 'KnobsModule10.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outr' dst = 'KnobsModule10.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envahd_hmod' dst = 'KnobsModule12.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_fm' dst = 'KnobsModule23.envahd_hmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_out' dst = 'KnobsModule21.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_out' dst = 'KnobsModule39.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_inl2' dst = 'KnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.euclids_pattern' dst = 'KnobsModule43.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.noiselfotrig_trig' dst = 'KnobsModule4.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_out' dst = 'KnobsModule5.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.noiselfotrig_out' dst = 'KnobsModule6.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.scalequantizer_out' dst = 'KnobsModule3.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.osc_phase' dst = 'KnobsModule8.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.delay_in' dst = 'KnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.delay_out' dst = 'KnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_inr2' dst = 'KnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule8.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_freq' dst = 'KnobsModule0.lfo_fm')
  )
)
