Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-12-09-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 8
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 107 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 68
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 134 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Gate'
      type  = 602
      left  = 8
      top   = 113
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768')
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 188
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 177 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 76 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'TerraGen'
      type  = 507
      left  = 8
      top   = 218
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'PitchShift'
      type  = 910
      left  = 8
      top   = 248
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 216 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 199 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 308
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 14 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'SeqRandom'
      type  = 1208
      left  = 258
      top   = 38
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 25 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 218 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'main volume'
      type  = 204
      left  = 258
      top   = 428
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 194 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 458
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 182 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'main volume'
      type  = 204
      left  = 258
      top   = 638
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 241 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 668
      color = 8421376
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.osc_out' dst = 'KnobsModule3.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.randsig_out' dst = 'KnobsModule3.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.gate_out' dst = 'KnobsModule1.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.randsig_out' dst = 'KnobsModule9.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.seqrandom_out' dst = 'KnobsModule1.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.seqrandom_trig' dst = 'KnobsModule8.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.divider_out' dst = 'KnobsModule9.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.gate_out' dst = 'KnobsModule5.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.randsig_out' dst = 'KnobsModule5.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.formant_out' dst = 'KnobsModule6.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.terragen_out' dst = 'KnobsModule7.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.gverb_outr' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.gverb_outl' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pitchshift_out' dst = 'KnobsModule0.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.rotator_out1' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pitchshift_in' dst = 'KnobsModule0.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.rotator_out2' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.formant_vowelin' dst = 'KnobsModule0.rotator_angle')
  )
)
