Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-12-12-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 8
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 173 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 38
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 11 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'ChebGen'
      type  = 326
      left  = 8
      top   = 83
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Counter'
      type  = 606
      left  = 8
      top   = 113
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'counter_out0' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_reset' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out1' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out3' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out4' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out5' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out6' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out7' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out8' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out9' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out10' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out11' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out12' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out13' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out14' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out15' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_dir' value = '32768')
        detail( class = 'TKnobsSelector' name = 'counter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 173
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 13 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 233
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 293
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 46 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 353
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 35 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'MixM4to1'
      type  = 203
      left  = 8
      top   = 413
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 181 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 165 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 174 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixM4to1'
      type  = 203
      left  = 8
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 166 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 118 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 237 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 533
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 99 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 68 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 187 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 241 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 210 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 193 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 653
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Counter'
      type  = 606
      left  = 258
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'counter_out0' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_reset' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out1' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out3' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out4' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out5' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out6' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out7' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out8' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out9' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out10' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out11' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out12' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out13' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out14' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out15' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_dir' value = '32768')
        detail( class = 'TKnobsSelector' name = 'counter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'LogicSelector'
      type  = 611
      left  = 258
      top   = 68
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'logicselector_outb' value = '32768')
        detail( class = 'TKnobsOutput' name = 'logicselector_outa' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_sel' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_ina' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_inb' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'LogicSelector'
      type  = 611
      left  = 258
      top   = 83
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'logicselector_outb' value = '32768')
        detail( class = 'TKnobsOutput' name = 'logicselector_outa' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_sel' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_ina' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_inb' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'LogicSelector'
      type  = 611
      left  = 258
      top   = 98
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'logicselector_outb' value = '32768')
        detail( class = 'TKnobsOutput' name = 'logicselector_outa' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_sel' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_ina' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicselector_inb' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'SeqChord'
      type  = 1216
      left  = 258
      top   = 113
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout0' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active0' value = '32768')
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout1' value = '32768')
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout3' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein0' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein1' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein2' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein3' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active1' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active2' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active3' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gate' value = '32768')
        detail( class = 'TKnobsSelector' name = 'seqchord_degree0' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type0' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver0' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave0' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_degree1' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave1' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_degree2' value = 5 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type2' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver2' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave2' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_degree3' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type3' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver3' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave3' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqchord_transpose' value = 60 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqchord_slew' value = 90 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_reduce' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'SeqChord'
      type  = 1216
      left  = 258
      top   = 248
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout0' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active0' value = '32768')
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout1' value = '32768')
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'seqchord_gateout3' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein0' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein1' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein2' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gatein3' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active1' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active2' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_active3' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqchord_gate' value = '32768')
        detail( class = 'TKnobsSelector' name = 'seqchord_degree0' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type0' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver0' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave0' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_degree1' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type1' value = 13 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver1' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave1' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_degree2' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave2' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_degree3' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_type3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_inver3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_octave3' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqchord_transpose' value = 60 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqchord_slew' value = 90 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqchord_reduce' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 383
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 75 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 243 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 428
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 210 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 238 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 473
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 84 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 518
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 131 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 548
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 185 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 253 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 593
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 244 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 78 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 653
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Counter'
      type  = 606
      left  = 508
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'counter_out0' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_reset' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out1' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out3' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out4' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out5' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out6' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out7' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out8' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out9' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out10' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out11' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out12' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out13' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out14' value = '32768')
        detail( class = 'TKnobsOutput' name = 'counter_out15' value = '32768')
        detail( class = 'TKnobsInput' name = 'counter_dir' value = '32768')
        detail( class = 'TKnobsSelector' name = 'counter_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'DigiMux'
      type  = 807
      left  = 508
      top   = 68
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'digimux_sel0' value = '32768')
        detail( class = 'TKnobsInput' name = 'digimux_sel1' value = '32768')
        detail( class = 'TKnobsInput' name = 'digimux_sel2' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 98
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 101 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 372 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 143
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'ModQuantizer'
      type  = 336
      left  = 508
      top   = 188
      color = 33023
      details(
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl1' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl3' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl6' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl8' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl10' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl0' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl2' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl4' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl5' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl7' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl9' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl11' value = '32768')
        detail( class = 'TKnobsSelector' name = 'modquantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note7' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modquantizer_level' value = 153 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modquantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Slew'
      type  = 337
      left  = 508
      top   = 263
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'slew_slew' value = 86 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'MixM4to1'
      type  = 203
      left  = 508
      top   = 293
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 233 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 195 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 338
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'PinkFilter'
      type  = 1005
      left  = 508
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 428
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 180 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 240 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 227 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 533
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 113 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 563
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 156 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 44 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 158 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 72 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 82 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 98
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 113
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 183 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 158 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 158
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 99 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 158 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 203
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 132 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 158 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 248
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 263
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 278
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 293
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 308
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 170 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Quantizer'
      type  = 307
      left  = 758
      top   = 338
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Amplifier'
      type  = 305
      left  = 758
      top   = 368
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 398
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 72 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 443
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'PitchShift'
      type  = 910
      left  = 758
      top   = 473
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 144 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 237 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 533
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 86 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Formant'
      type  = 1004
      left  = 758
      top   = 578
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Constant'
      type  = 301
      left  = 758
      top   = 608
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 410 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'XFade'
      type  = 201
      left  = 758
      top   = 638
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule26.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule26.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm4to1_in1' dst = 'KnobsModule9.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm4to1_in2' dst = 'KnobsModule9.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm4to1_in3' dst = 'KnobsModule9.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm4to1_out' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixm4to1_out' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule14.counter_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.counter_out4' dst = 'KnobsModule14.counter_reset')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout1' dst = 'KnobsModule5.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout2' dst = 'KnobsModule6.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout0' dst = 'KnobsModule4.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.counter_out4' dst = 'KnobsModule3.counter_reset')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.envarretrig_sigout' dst = 'KnobsModule8.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule24.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.counter_out0' dst = 'KnobsModule20.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.counter_out1' dst = 'KnobsModule21.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.counter_out2' dst = 'KnobsModule24.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.counter_out3' dst = 'KnobsModule25.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.envarretrig_sigout' dst = 'KnobsModule8.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.osc_out' dst = 'KnobsModule21.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_sigout' dst = 'KnobsModule8.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osc_out' dst = 'KnobsModule20.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osc_out' dst = 'KnobsModule25.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout3' dst = 'KnobsModule7.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osc_out' dst = 'KnobsModule5.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.osc_out' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule7.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osc_out' dst = 'KnobsModule4.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout0' dst = 'KnobsModule28.digimux_in0')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout1' dst = 'KnobsModule28.digimux_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout2' dst = 'KnobsModule28.digimux_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.seqchord_noteout3' dst = 'KnobsModule28.digimux_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.counter_out0' dst = 'KnobsModule28.digimux_sel0')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.counter_out1' dst = 'KnobsModule28.digimux_sel1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.digimux_out' dst = 'KnobsModule30.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.counter_trig' dst = 'KnobsModule30.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.counter_out3' dst = 'KnobsModule27.counter_reset')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.counter_out2' dst = 'KnobsModule28.digimux_sel2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.digimux_in3' dst = 'KnobsModule28.digimux_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.digimux_in2' dst = 'KnobsModule28.digimux_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.digimux_in1' dst = 'KnobsModule28.digimux_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.digimux_in0' dst = 'KnobsModule28.digimux_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.slew_out' dst = 'KnobsModule34.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_out' dst = 'KnobsModule31.modquantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.modquantizer_out' dst = 'KnobsModule32.slew_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_sigout' dst = 'KnobsModule33.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.mixm4to1_out' dst = 'KnobsModule34.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out5' dst = 'KnobsModule33.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.euclids_out' dst = 'KnobsModule30.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_newoutput' dst = 'KnobsModule36.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.modquantizer_in' dst = 'KnobsModule29.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_out' dst = 'KnobsModule33.mixm4to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.pinkfilter_out' dst = 'KnobsModule36.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.osc_out' dst = 'KnobsModule35.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_fm' dst = 'KnobsModule31.modquantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.sampleandhold_out' dst = 'KnobsModule42.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out4' dst = 'KnobsModule27.counter_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_noteout0' dst = 'KnobsModule19.seqchord_notein0')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_gateout0' dst = 'KnobsModule19.seqchord_gatein0')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_noteout1' dst = 'KnobsModule19.seqchord_notein1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_noteout2' dst = 'KnobsModule19.seqchord_notein2')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_noteout3' dst = 'KnobsModule19.seqchord_notein3')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_gateout1' dst = 'KnobsModule19.seqchord_gatein1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_gateout2' dst = 'KnobsModule19.seqchord_gatein2')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_gateout3' dst = 'KnobsModule19.seqchord_gatein3')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randsig_out' dst = 'KnobsModule48.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.sampleandhold_out' dst = 'KnobsModule15.logicselector_sel')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.sampleandhold_trig' dst = 'KnobsModule50.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.counter_out1' dst = 'KnobsModule15.logicselector_ina')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.logicselector_outa' dst = 'KnobsModule18.seqchord_active1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.counter_out0' dst = 'KnobsModule19.seqchord_active0')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.logicselector_outb' dst = 'KnobsModule19.seqchord_active1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.counter_out3' dst = 'KnobsModule17.logicselector_ina')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.logicselector_outa' dst = 'KnobsModule18.seqchord_active3')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.logicselector_outb' dst = 'KnobsModule19.seqchord_active3')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.randsig_out' dst = 'KnobsModule50.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.sampleandhold_out' dst = 'KnobsModule17.logicselector_sel')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.modquantizer_ctrl7' dst = 'KnobsModule48.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.counter_trig' dst = 'KnobsModule31.modquantizer_ctrl7')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out3' dst = 'KnobsModule31.modquantizer_ctrl5')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.randsig_out' dst = 'KnobsModule49.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.sampleandhold_out' dst = 'KnobsModule16.logicselector_sel')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.logicselector_outb' dst = 'KnobsModule19.seqchord_active2')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.logicselector_outa' dst = 'KnobsModule18.seqchord_active2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.counter_out2' dst = 'KnobsModule16.logicselector_ina')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.mixs2to1_outr' dst = 'KnobsModule40.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.mixs2to1_outl' dst = 'KnobsModule39.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.delay_out' dst = 'KnobsModule38.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.delay_out' dst = 'KnobsModule38.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.delay_in' dst = 'KnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.delay_in' dst = 'KnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_sigout' dst = 'KnobsModule38.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.mixs2to1_inr1' dst = 'KnobsModule38.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.envarretrig_sigout' dst = 'KnobsModule37.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.envarretrig_sigout' dst = 'KnobsModule37.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixs2to1_outl' dst = 'KnobsModule38.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixs2to1_outr' dst = 'KnobsModule38.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.multiplier_out' dst = 'KnobsModule47.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_out' dst = 'KnobsModule43.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out7' dst = 'KnobsModule3.counter_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.gverb_outl' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.gverb_outr' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out8' dst = 'KnobsModule49.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out13' dst = 'KnobsModule31.modquantizer_ctrl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.euclids_trig' dst = 'KnobsModule47.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out12' dst = 'KnobsModule29.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.lfo_out' dst = 'KnobsModule57.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixs2to1_inr2' dst = 'KnobsModule37.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.quantizer_out' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.logicselector_sel' dst = 'KnobsModule0.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.envarretrig_out' dst = 'KnobsModule33.mixm4to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_noteout1' dst = 'KnobsModule4.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqchord_noteout3' dst = 'KnobsModule6.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.chebgen_out9' dst = 'KnobsModule31.modquantizer_ctrl10')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.constant_out' dst = 'KnobsModule60.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.multiplier_in1' dst = 'KnobsModule60.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.xfade_out' dst = 'KnobsModule38.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.amplifier_out4' dst = 'KnobsModule54.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.formant_out' dst = 'KnobsModule37.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.envarretrig_sigout' dst = 'KnobsModule58.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.sampleandhold_in' dst = 'KnobsModule58.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_sigin' dst = 'KnobsModule56.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.pitchshift_out' dst = 'KnobsModule57.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.sampleandhold_in' dst = 'KnobsModule55.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.avg_lp' dst = 'KnobsModule56.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.sampleandhold_in' dst = 'KnobsModule55.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.mixm4to1_levmod1' dst = 'KnobsModule23.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.delay_out' dst = 'KnobsModule24.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.lfo_out' dst = 'KnobsModule23.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.slew_in' dst = 'KnobsModule22.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.quantizer_out' dst = 'KnobsModule53.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.envarretrig_sigout' dst = 'KnobsModule9.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixm4to1_in4' dst = 'KnobsModule8.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.xfade_control' dst = 'KnobsModule40.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.envarretrig_out' dst = 'KnobsModule11.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.quantizer_out' dst = 'KnobsModule51.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.delay_out' dst = 'KnobsModule52.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.delay_delay' dst = 'KnobsModule60.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.multiplier_in2' dst = 'KnobsModule51.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_out' dst = 'KnobsModule43.multiplier_in2')
  )
)
