Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-12-29-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 108 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 53
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 150 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 83
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 13 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 39 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 173
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 48 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 79 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 24 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 40 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 263
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 224 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 293
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 243 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 37 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 323
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 30 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 8
      top   = 383
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 139 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 428
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 25 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 231 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'FreqShifter'
      type  = 1401
      left  = 8
      top   = 548
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'StereoWiden'
      type  = 912
      left  = 8
      top   = 578
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'stereowiden_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_widenamt' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_length' value = 226 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_delayamt' value = 129 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 26 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 25 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 49 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 143
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 173
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 17 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 203
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 218
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 219 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 248
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 220 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 37 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 278
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 28 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'EnvAHD'
      type  = 903
      left  = 258
      top   = 338
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 102 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'TerraGen'
      type  = 507
      left  = 258
      top   = 458
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 13 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'FreqShifter'
      type  = 1401
      left  = 258
      top   = 488
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 211 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 164 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Reverb'
      type  = 703
      left  = 258
      top   = 578
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 212 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 242 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 86 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 8
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 25 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 94 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 67 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Inverter'
      type  = 302
      left  = 508
      top   = 128
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Gate'
      type  = 602
      left  = 508
      top   = 143
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768')
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 6 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 173
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1022 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 218
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 248
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 219 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 30 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 278
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 92 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 323
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 196 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'PitchShift'
      type  = 910
      left  = 508
      top   = 353
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 288 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 188 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 413
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 138 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 30 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 443
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 235 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 473
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 66 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'PinkFilter'
      type  = 1005
      left  = 508
      top   = 533
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 563
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'StereoWiden'
      type  = 912
      left  = 508
      top   = 593
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'stereowiden_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_widenamt' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_length' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_delayamt' value = 129 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 218
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 48 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 176 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 263
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 102 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 30 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Amplifier'
      type  = 305
      left  = 758
      top   = 293
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'EnvAHD'
      type  = 903
      left  = 758
      top   = 323
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 159 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 80 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 165 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 187 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 191 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 240 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Volume'
      type  = 212
      left  = 758
      top   = 578
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'AudioOut'
      type  = 102
      left  = 758
      top   = 608
      color = 12632256
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.divider_trig' dst = 'KnobsModule3.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.delay_out' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.stereowiden_outl' dst = 'KnobsModule46.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.lfo_out' dst = 'KnobsModule4.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.freqshifter_up' dst = 'KnobsModule10.stereowiden_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.seqrandom_out' dst = 'KnobsModule16.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.divider_out' dst = 'KnobsModule16.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.delay_out' dst = 'KnobsModule19.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule14.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.stereowiden_outr' dst = 'KnobsModule46.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.lfo_out' dst = 'KnobsModule17.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out3' dst = 'KnobsModule15.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.freqshifter_down' dst = 'KnobsModule10.stereowiden_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.sampleandhold_out' dst = 'KnobsModule18.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.avg_lp' dst = 'KnobsModule19.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out2' dst = 'KnobsModule18.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.seqrandom_trig' dst = 'KnobsModule7.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.divider_out' dst = 'KnobsModule2.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.seqrandom_trig' dst = 'KnobsModule3.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.seqrandom_out' dst = 'KnobsModule3.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.lfo_out' dst = 'KnobsModule7.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.terragen_out' dst = 'KnobsModule22.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.terragen_y' dst = 'KnobsModule21.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.reverb_outl' dst = 'KnobsModule46.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.reverb_outr' dst = 'KnobsModule46.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.freqshifter_up' dst = 'KnobsModule24.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outl' dst = 'KnobsModule25.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.freqshifter_down' dst = 'KnobsModule24.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outr' dst = 'KnobsModule25.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.freqshifter_in' dst = 'KnobsModule24.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_inl2' dst = 'KnobsModule24.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envahd_sigout' dst = 'KnobsModule21.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envahd_sigout' dst = 'KnobsModule17.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osc_out' dst = 'KnobsModule20.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.sampleandhold_trig' dst = 'KnobsModule20.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.lfo_out' dst = 'KnobsModule26.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envahd_amodneg' dst = 'KnobsModule26.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.lfo_out' dst = 'KnobsModule26.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envahd_amod' dst = 'KnobsModule26.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule8.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.euclids_out' dst = 'KnobsModule8.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.seqrandom_out' dst = 'KnobsModule5.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.avg_lp' dst = 'KnobsModule6.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.delay_delay' dst = 'KnobsModule10.stereowiden_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.euclids_pattern' dst = 'KnobsModule8.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out13' dst = 'KnobsModule0.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_outl' dst = 'KnobsModule46.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_outr' dst = 'KnobsModule46.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_in' dst = 'KnobsModule29.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.sampleandhold_in' dst = 'KnobsModule29.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_out' dst = 'KnobsModule31.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.avg_lp' dst = 'KnobsModule37.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.stereowiden_outl' dst = 'KnobsModule45.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.stereowiden_inr' dst = 'KnobsModule40.stereowiden_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.stereowiden_outr' dst = 'KnobsModule45.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixm3to1_in1' dst = 'KnobsModule26.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_newinput' dst = 'KnobsModule36.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.lfo_out' dst = 'KnobsModule36.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixm3to1_out' dst = 'KnobsModule37.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixm3to1_levmod1' dst = 'KnobsModule20.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixm3to1_levmod2' dst = 'KnobsModule36.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envahd_out' dst = 'KnobsModule36.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.euclids_out' dst = 'KnobsModule30.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.divider_out' dst = 'KnobsModule31.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_inr2' dst = 'KnobsModule23.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outl' dst = 'KnobsModule24.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outr' dst = 'KnobsModule24.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.stereowiden_inl' dst = 'KnobsModule23.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.mixm3to1_out' dst = 'KnobsModule40.stereowiden_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envahd_dmod' dst = 'KnobsModule39.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.stereowiden_outr' dst = 'KnobsModule33.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envahd_dmodneg' dst = 'KnobsModule33.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envahd_sigout' dst = 'KnobsModule9.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envahd_sigout' dst = 'KnobsModule4.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_inr2' dst = 'KnobsModule45.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_inl2' dst = 'KnobsModule45.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.pinkfilter_out' dst = 'KnobsModule39.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.divider_out' dst = 'KnobsModule27.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.divider_out' dst = 'KnobsModule28.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.inverter_out4' dst = 'KnobsModule28.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.gate_out' dst = 'KnobsModule29.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.envahd_sigout' dst = 'KnobsModule38.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.osc_out' dst = 'KnobsModule44.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.amplifier_out4' dst = 'KnobsModule44.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_newoutput' dst = 'KnobsModule41.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.euclids_out' dst = 'KnobsModule44.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.lfo_out' dst = 'KnobsModule41.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.envahd_dmodneg' dst = 'KnobsModule44.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.avg_lp' dst = 'KnobsModule42.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.avg_lp' dst = 'KnobsModule43.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.delay_out' dst = 'KnobsModule34.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.pitchshift_out' dst = 'KnobsModule36.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.divider_out' dst = 'KnobsModule28.gate_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envahd_out' dst = 'KnobsModule35.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.avg_lp' dst = 'KnobsModule36.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.volume_outr' dst = 'KnobsModule49.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.volume_outl' dst = 'KnobsModule49.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_outr' dst = 'KnobsModule50.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_outl' dst = 'KnobsModule50.volume_inl')
  )
)
