Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-04-02-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Amplifier'
      type  = 305
      left  = 8
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 208 cc = 0)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 38
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 83
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 113
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 48 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 91 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 30 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 224 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 203
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 233
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 248
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 65 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 308
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 338
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 71 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 228 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 383
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 398
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 56 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 49 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 458
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 123 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 89 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 99 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 578
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 76 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 228 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS5to1'
      type  = 213
      left  = 8
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level1' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level2' value = 245 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level3' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level4' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute4' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level5' value = 174 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute5' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 38
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 189 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 157 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Poetry'
      type  = 327
      left  = 258
      top   = 83
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 609 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 128
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 52 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 188
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 218
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 93 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 13 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 99 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'PinkFilter'
      type  = 1005
      left  = 258
      top   = 368
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Formant2'
      type  = 1012
      left  = 258
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 6 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'FreqShifter'
      type  = 1401
      left  = 258
      top   = 443
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 473
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 91 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 460 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 252 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 212 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'MixS5to1'
      type  = 213
      left  = 258
      top   = 563
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level1' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level2' value = 251 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level3' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level4' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute4' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level5' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute5' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'PhaseDistortion'
      type  = 913
      left  = 258
      top   = 623
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 187 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 41 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 226 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 28 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 212 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 101 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 99 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 98
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1020 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 143
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 173
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 119 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 203
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 119 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 233
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 263
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 93 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 248 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 308
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 172 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 338
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 178 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 216 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 368
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 42 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 428
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 21 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 180 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 473
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 188 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'MixS5to1'
      type  = 213
      left  = 508
      top   = 533
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level1' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level2' value = 199 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level3' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level4' value = 235 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute4' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level5' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute5' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 593
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 182 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 623
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Rotator'
      type  = 309
      left  = 508
      top   = 653
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'RSFlipFlop'
      type  = 605
      left  = 758
      top   = 38
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 68
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 82 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 113
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 16 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 91 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 173
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 203
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 71 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 263
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'TerraGen'
      type  = 507
      left  = 758
      top   = 278
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 11 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 308
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 157 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 353
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 118 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 72 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 383
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 137 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 72 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 413
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 25 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 443
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 14 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 488
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Compressor'
      type  = 906
      left  = 758
      top   = 533
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 160 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 100 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 18 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 204 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 150 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Volume'
      type  = 212
      left  = 758
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 85 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'AudioOut'
      type  = 102
      left  = 758
      top   = 653
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'ProgDivider'
      type  = 612
      left  = 1008
      top   = 68
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 128
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 46 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 188
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 202 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 224 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule7.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.multiplier_out' dst = 'KnobsModule10.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_freq' dst = 'KnobsModule10.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_trig' dst = 'KnobsModule3.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule3.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.svf_bp' dst = 'KnobsModule9.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.divider_out' dst = 'KnobsModule8.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.multiplier_in2' dst = 'KnobsModule8.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.volume_outr' dst = 'KnobsModule62.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.volume_outl' dst = 'KnobsModule62.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule14.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_in' dst = 'KnobsModule16.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osc_out' dst = 'KnobsModule20.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.osc_out' dst = 'KnobsModule19.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out12' dst = 'KnobsModule15.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.poetry_out' dst = 'KnobsModule17.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule23.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.formant2_out' dst = 'KnobsModule17.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out12' dst = 'KnobsModule20.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.poetry_newinput' dst = 'KnobsModule30.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.poetry_in' dst = 'KnobsModule30.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.osc_freq' dst = 'KnobsModule18.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.avg_lp' dst = 'KnobsModule19.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_out' dst = 'KnobsModule21.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.svf_bp' dst = 'KnobsModule24.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_out' dst = 'KnobsModule31.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule36.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out8' dst = 'KnobsModule30.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.svf_bp' dst = 'KnobsModule36.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.avg_lp' dst = 'KnobsModule35.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.svf_freq' dst = 'KnobsModule38.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.delay_delay' dst = 'KnobsModule45.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.delay_out' dst = 'KnobsModule37.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixm3to1_out' dst = 'KnobsModule38.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_out' dst = 'KnobsModule37.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.delay_out' dst = 'KnobsModule45.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_out' dst = 'KnobsModule45.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.rotator_angle' dst = 'KnobsModule28.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_sigout' dst = 'KnobsModule22.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.pinkfilter_out' dst = 'KnobsModule23.formant2_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_sigout' dst = 'KnobsModule37.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_out' dst = 'KnobsModule39.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_gain' dst = 'KnobsModule39.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixm3to1_in3' dst = 'KnobsModule33.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.divider_trig' dst = 'KnobsModule32.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.xfade_out' dst = 'KnobsModule35.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.divider_out' dst = 'KnobsModule34.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.divider_out' dst = 'KnobsModule34.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.randsig_out' dst = 'KnobsModule34.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_out' dst = 'KnobsModule46.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_out' dst = 'KnobsModule52.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.chebgen_out4' dst = 'KnobsModule47.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_trig' dst = 'KnobsModule47.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_out' dst = 'KnobsModule50.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.levelconverter_out1' dst = 'KnobsModule52.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.terragen_out' dst = 'KnobsModule54.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.multiplier_out' dst = 'KnobsModule53.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.terragen_y' dst = 'KnobsModule53.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.rsflipflop_q' dst = 'KnobsModule48.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.envarretrig_trig' dst = 'KnobsModule54.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.envarretrig_out' dst = 'KnobsModule49.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_out' dst = 'KnobsModule49.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.envarretrig_out' dst = 'KnobsModule48.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_fm' dst = 'KnobsModule51.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.progdivider_out' dst = 'KnobsModule64.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osc_out' dst = 'KnobsModule65.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.rsflipflop_notq' dst = 'KnobsModule65.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.envarretrig_out' dst = 'KnobsModule63.progdivider_select')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osc_out' dst = 'KnobsModule63.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.randsig_out' dst = 'KnobsModule65.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envahd_out' dst = 'KnobsModule9.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.osc_out' dst = 'KnobsModule11.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.seqrandom_trig' dst = 'KnobsModule11.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.osc_freq' dst = 'KnobsModule11.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envahd_dmodneg' dst = 'KnobsModule11.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osc_phase' dst = 'KnobsModule51.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.envarretrig_sigout' dst = 'KnobsModule64.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out2' dst = 'KnobsModule25.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.poetry_newoutput' dst = 'KnobsModule20.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.euclids_out' dst = 'KnobsModule16.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.avg_alphamod' dst = 'KnobsModule43.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_out' dst = 'KnobsModule56.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.avg_alphamod' dst = 'KnobsModule44.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_out' dst = 'KnobsModule55.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.poetry_out' dst = 'KnobsModule55.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.avg_lp' dst = 'KnobsModule58.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.avg_in' dst = 'KnobsModule64.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_out' dst = 'KnobsModule56.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.avg_lp' dst = 'KnobsModule59.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.quantizer_out' dst = 'KnobsModule16.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.quantizer_out' dst = 'KnobsModule6.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.seqrandom_out' dst = 'KnobsModule4.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_outfixed' dst = 'KnobsModule13.mixs5to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.delay_outfixed' dst = 'KnobsModule13.mixs5to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs5to1_inl2' dst = 'KnobsModule12.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs5to1_inr4' dst = 'KnobsModule13.mixs5to1_inl4')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.svf_lp' dst = 'KnobsModule13.mixs5to1_inr4')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs5to1_inr5' dst = 'KnobsModule13.mixs5to1_inl5')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.formant2_in' dst = 'KnobsModule13.mixs5to1_inr5')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs5to1_outl' dst = 'KnobsModule25.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.formant2_out' dst = 'KnobsModule26.mixs5to1_inr5')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs5to1_inr5' dst = 'KnobsModule26.mixs5to1_inl5')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.gverb_outr' dst = 'KnobsModule26.mixs5to1_inr4')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.gverb_outl' dst = 'KnobsModule26.mixs5to1_inl4')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs5to1_inr3' dst = 'KnobsModule13.mixs5to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs5to1_inl3' dst = 'KnobsModule13.mixs5to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.freqshifter_down' dst = 'KnobsModule26.mixs5to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.freqshifter_up' dst = 'KnobsModule26.mixs5to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs5to1_outr' dst = 'KnobsModule25.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_out' dst = 'KnobsModule42.mixs5to1_levmod4')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_sigout' dst = 'KnobsModule42.mixs5to1_inl4')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.delay_outfixed' dst = 'KnobsModule42.mixs5to1_inr4')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_outl' dst = 'KnobsModule43.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_outr' dst = 'KnobsModule44.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_inl3' dst = 'KnobsModule13.mixs5to1_inr3')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_phase' dst = 'KnobsModule42.mixs5to1_inl3')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_inr3' dst = 'KnobsModule13.mixs5to1_inl3')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.envarretrig_sigout' dst = 'KnobsModule42.mixs5to1_inr3')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.pinkfilter_in' dst = 'KnobsModule42.mixs5to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_inl2' dst = 'KnobsModule42.mixs5to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envahd_sigout' dst = 'KnobsModule42.mixs5to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_inl1' dst = 'KnobsModule42.mixs5to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_inr5' dst = 'KnobsModule26.mixs5to1_inr3')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.rotator_out2' dst = 'KnobsModule42.mixs5to1_inr5')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixs5to1_inl5' dst = 'KnobsModule26.mixs5to1_inl3')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.rotator_out1' dst = 'KnobsModule42.mixs5to1_inl5')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.avg_lp' dst = 'KnobsModule58.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.xfade_out' dst = 'KnobsModule57.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.chebgen_out5' dst = 'KnobsModule57.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envahd_sigout' dst = 'KnobsModule5.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.multiplier_in4' dst = 'KnobsModule12.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.multiplier_out' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.delay_delay' dst = 'KnobsModule5.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_delay' dst = 'KnobsModule9.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.rsflipflop_r' dst = 'KnobsModule50.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_freq' dst = 'KnobsModule0.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.amplifier_out4' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.levelconverter_out2' dst = 'KnobsModule41.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.xfade_out' dst = 'KnobsModule42.mixs5to1_levmod5')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.xfade_control' dst = 'KnobsModule41.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule40.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.avg_lp' dst = 'KnobsModule41.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.compressor_outr' dst = 'KnobsModule61.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.compressor_outl' dst = 'KnobsModule61.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.phasedistort_outr' dst = 'KnobsModule60.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs5to1_outr' dst = 'KnobsModule27.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.phasedistort_outl' dst = 'KnobsModule60.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs5to1_outl' dst = 'KnobsModule27.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.xfade_control' dst = 'KnobsModule27.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.formant2_vowelin' dst = 'KnobsModule27.phasedistort_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.chebgen_out12' dst = 'KnobsModule27.phasedistort_intensitymod')
  )
)
