Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-04-11-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 8
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 47 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 208 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 38
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 193 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 83
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 34 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'RandomWalkLfo'
      type  = 404
      left  = 8
      top   = 128
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_distance' value = 78 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_frequency' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_fmlevel' value = 250 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_color' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_colormodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_lambda' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 188
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 171 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 37 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 263
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 278
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 30 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 308
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 84 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Constant'
      type  = 301
      left  = 8
      top   = 353
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 141 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 383
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 17 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 428
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 143 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'main volume'
      type  = 204
      left  = 8
      top   = 473
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 246 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 199 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'main volume'
      type  = 204
      left  = 8
      top   = 503
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 246 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 199 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'main volume'
      type  = 204
      left  = 8
      top   = 533
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 221 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 563
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 131 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 593
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 183 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 623
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Display'
      type  = 1106
      left  = 8
      top   = 653
      color = 0
      details(
        detail( class = 'TKnobsSelector' name = 'display_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'display_speed' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 38
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 159 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 212 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MultiMult'
      type  = 312
      left  = 258
      top   = 83
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'AllPass'
      type  = 713
      left  = 258
      top   = 113
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 915 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 62 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 129 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 143
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 19 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 203
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 47 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 352 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 248
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'PhaseDistortion'
      type  = 913
      left  = 258
      top   = 293
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 226 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 46 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 218 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 92 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'main volume'
      type  = 204
      left  = 258
      top   = 383
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 163 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 206 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'main volume'
      type  = 204
      left  = 258
      top   = 413
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 200 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 443
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 212 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 53 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 533
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 70 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 208 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 143 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 229 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 22 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 653
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'RandomWalkLfo'
      type  = 404
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_distance' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_fmlevel' value = 250 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_color' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_colormodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 68
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'RandomWalkLfo'
      type  = 404
      left  = 508
      top   = 113
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_distance' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_frequency' value = 203 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_fmlevel' value = 250 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_color' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_colormodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 173
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 35 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'AllPass'
      type  = 713
      left  = 508
      top   = 233
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 84 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 131 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 263
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 293
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 338
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 131 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'FreqShifter'
      type  = 1401
      left  = 508
      top   = 368
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 18 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 398
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 106 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 251 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 443
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 242 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 488
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 533
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 106 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'RandomWalkLfo'
      type  = 404
      left  = 758
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_distance' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_frequency' value = 203 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_fmlevel' value = 250 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_color' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_colormodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randomwalklfo_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randomwalklfo_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 68
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 98
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 28 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 223 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 143
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 163 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 74 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 173
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 167 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 216 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 218
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 233
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 293
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 198 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 323
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 247 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Formant2'
      type  = 1012
      left  = 758
      top   = 368
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'MultipleMult'
      type  = 334
      left  = 758
      top   = 413
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Rotator'
      type  = 309
      left  = 758
      top   = 443
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 52 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'GVerb'
      type  = 707
      left  = 758
      top   = 503
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 176 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 239 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 234 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'CubicClip'
      type  = 340
      left  = 758
      top   = 593
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 229 cc = 0)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 106 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'CubicClip'
      type  = 340
      left  = 758
      top   = 623
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 227 cc = 0)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 114 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1008
      top   = 8
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 193 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 99 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 53
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'SVF'
      type  = 1002
      left  = 1008
      top   = 83
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 180 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 195 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 128
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 143
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 55 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 16 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'PinkFilter'
      type  = 1005
      left  = 1008
      top   = 203
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 143 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1008
      top   = 233
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 183 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 278
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'EnvAHD'
      type  = 903
      left  = 1008
      top   = 308
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 133 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 428
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 187 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Formant2'
      type  = 1012
      left  = 1008
      top   = 473
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_sigout' dst = 'KnobsModule20.allpass_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.osc_out' dst = 'KnobsModule23.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule17.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.envarretrig_sigout' dst = 'KnobsModule20.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.envarretrig_trig' dst = 'KnobsModule5.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.randomwalklfo_outy' dst = 'KnobsModule4.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.sampleandhold_out' dst = 'KnobsModule34.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.scalequantizer_out' dst = 'KnobsModule5.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_out3' dst = 'KnobsModule18.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.euclids_out' dst = 'KnobsModule23.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.randomwalklfo_outz' dst = 'KnobsModule22.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.osc_out' dst = 'KnobsModule35.allpass_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.allpass_out' dst = 'KnobsModule37.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.randomwalklfo_outx' dst = 'KnobsModule18.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.scalequantizer_in' dst = 'KnobsModule35.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.envarretrig_sigout' dst = 'KnobsModule39.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.freqshifter_up' dst = 'KnobsModule26.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.freqshifter_down' dst = 'KnobsModule26.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_out' dst = 'KnobsModule28.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.envarretrig_out' dst = 'KnobsModule19.multimult_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.multimult_out8' dst = 'KnobsModule21.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_out' dst = 'KnobsModule19.multimult_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.multimult_out7' dst = 'KnobsModule34.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randomwalklfo_outx' dst = 'KnobsModule19.multimult_mult')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule22.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randomwalklfo_outy' dst = 'KnobsModule23.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.osc_phase' dst = 'KnobsModule34.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.allpass_out' dst = 'KnobsModule21.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.gverb_outr' dst = 'KnobsModule29.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.volume_outr' dst = 'KnobsModule30.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.gverb_outl' dst = 'KnobsModule29.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.volume_outl' dst = 'KnobsModule30.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.scalequantizer_out' dst = 'KnobsModule32.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_out6' dst = 'KnobsModule32.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outl' dst = 'KnobsModule26.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outr' dst = 'KnobsModule26.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.divider_out' dst = 'KnobsModule46.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randomwalklfo_outy' dst = 'KnobsModule46.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.svf_bp' dst = 'KnobsModule64.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.divider_out' dst = 'KnobsModule62.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randomwalklfo_outz' dst = 'KnobsModule62.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randomwalklfo_outx' dst = 'KnobsModule55.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.sampleandhold_out' dst = 'KnobsModule64.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_out4' dst = 'KnobsModule60.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.euclids_out' dst = 'KnobsModule63.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.allpass_kmod' dst = 'KnobsModule60.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.rotator_out2' dst = 'KnobsModule57.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.rotator_out1' dst = 'KnobsModule57.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.euclids_out' dst = 'KnobsModule37.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_in' dst = 'KnobsModule32.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_out' dst = 'KnobsModule3.randomwalklfo_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_sigout' dst = 'KnobsModule24.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.phasedistort_outr' dst = 'KnobsModule26.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.osc_phase' dst = 'KnobsModule24.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.phasedistort_outl' dst = 'KnobsModule26.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.MultipleMult_out4' dst = 'KnobsModule61.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.MultipleMult_out4' dst = 'KnobsModule55.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.MultipleMult_in32' dst = 'KnobsModule45.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.MultipleMult_out3' dst = 'KnobsModule55.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randomwalklfo_outy' dst = 'KnobsModule54.MultipleMult_in31')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randomwalklfo_outz' dst = 'KnobsModule54.MultipleMult_in41')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.euclids_pattern' dst = 'KnobsModule44.randomwalklfo_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.randomwalklfo_colormod' dst = 'KnobsModule24.phasedistort_intensitymod')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.osc_out' dst = 'KnobsModule52.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_out8' dst = 'KnobsModule52.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.euclids_pattern' dst = 'KnobsModule66.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.euclids_out' dst = 'KnobsModule68.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randomwalklfo_outx' dst = 'KnobsModule68.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.pinkfilter_out' dst = 'KnobsModule68.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osc_out' dst = 'KnobsModule65.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.MultipleMult_in41' dst = 'KnobsModule68.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_out' dst = 'KnobsModule0.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.quantizer_out' dst = 'KnobsModule2.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.randomwalklfo_outz' dst = 'KnobsModule44.randomwalklfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.randomwalklfo_outz' dst = 'KnobsModule1.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.MultipleMult_in31' dst = 'KnobsModule33.randomwalklfo_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_out13' dst = 'KnobsModule64.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.avg_in' dst = 'KnobsModule63.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.poetry_out' dst = 'KnobsModule47.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.avg_lp' dst = 'KnobsModule50.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.formant2_out' dst = 'KnobsModule54.MultipleMult_in32')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_sigout' dst = 'KnobsModule70.formant2_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.randsig_out' dst = 'KnobsModule70.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_out' dst = 'KnobsModule69.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.svf_bp' dst = 'KnobsModule49.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.multiplier_out' dst = 'KnobsModule50.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_out' dst = 'KnobsModule49.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.osc_freq' dst = 'KnobsModule46.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randomwalklfo_fm' dst = 'KnobsModule50.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.formant2_out' dst = 'KnobsModule54.MultipleMult_in42')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.envarretrig_sigout' dst = 'KnobsModule53.formant2_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randomwalklfo_colormod' dst = 'KnobsModule53.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.mixm3to1_out' dst = 'KnobsModule39.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randomwalklfo_outx' dst = 'KnobsModule38.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs2to1_outl' dst = 'KnobsModule27.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.compressor_outl' dst = 'KnobsModule28.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs2to1_outr' dst = 'KnobsModule27.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.compressor_outr' dst = 'KnobsModule28.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.cubicclip_out' dst = 'KnobsModule25.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.gverb_outl' dst = 'KnobsModule58.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.cubicclip_out' dst = 'KnobsModule25.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.gverb_outr' dst = 'KnobsModule59.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.delay_out' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.delay_out' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule14.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_inl1' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_inr1' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_fm' dst = 'KnobsModule9.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.svf_lp' dst = 'KnobsModule14.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.constant_out' dst = 'KnobsModule9.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.lfo_out' dst = 'KnobsModule13.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_out12' dst = 'KnobsModule10.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.envarretrig_out' dst = 'KnobsModule12.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs2to1_inl2' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs2to1_inr2' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.rotator_in1' dst = 'KnobsModule56.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm3to1_out' dst = 'KnobsModule57.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.envarretrig_out' dst = 'KnobsModule56.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.sampleandhold_in' dst = 'KnobsModule7.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.phasedistort_inr' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.randomwalklfo_outy' dst = 'KnobsModule51.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.avg_lp' dst = 'KnobsModule52.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.randomwalklfo_outx' dst = 'KnobsModule67.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.avg_lp' dst = 'KnobsModule68.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.delay_outfixed' dst = 'KnobsModule15.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.rotator_out1' dst = 'KnobsModule16.display_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.rotator_out1' dst = 'KnobsModule25.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.delay_outfixed' dst = 'KnobsModule15.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.rotator_out2' dst = 'KnobsModule16.display_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.avg_in' dst = 'KnobsModule24.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randomwalklfo_outz' dst = 'KnobsModule36.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.avg_lp' dst = 'KnobsModule37.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.euclids_trig' dst = 'KnobsModule15.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.formant2_in' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.rotator_out2' dst = 'KnobsModule25.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_trig' dst = 'KnobsModule6.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.avg_lp' dst = 'KnobsModule7.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_trig' dst = 'KnobsModule6.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.poetry_newinput' dst = 'KnobsModule40.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.phasedistort_intensitymod' dst = 'KnobsModule41.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.euclids_pattern' dst = 'KnobsModule47.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.chebgen_out12' dst = 'KnobsModule40.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.euclids_trig' dst = 'KnobsModule41.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.euclids_trig' dst = 'KnobsModule66.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_sigin' dst = 'KnobsModule42.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envarretrig_sigin' dst = 'KnobsModule43.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.mixs2to1_outl' dst = 'KnobsModule11.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.mixs2to1_outr' dst = 'KnobsModule11.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envarretrig_sigout' dst = 'KnobsModule71.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_sigout' dst = 'KnobsModule71.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.euclids_out' dst = 'KnobsModule42.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.euclids_out' dst = 'KnobsModule43.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.svf_lp' dst = 'KnobsModule42.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_gain' dst = 'KnobsModule43.envarretrig_gain')
  )
)
