Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-04-24-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 8
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 47 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 186 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 38
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 177 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 68
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 113
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'LfoTrig'
      type  = 405
      left  = 8
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 36 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Rungler'
      type  = 615
      left  = 8
      top   = 203
      color = 32768
      details(
        detail( class = 'TKnobsInput' name = 'rungler_clock' value = '32768')
        detail( class = 'TKnobsInput' name = 'rungler_data' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rungler_bit' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'rungler_level' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'rungler_length' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'rungler_taps' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 233
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 26 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 293
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 141 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 338
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 41 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 30 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 398
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 10 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 185 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 443
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 212 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 182 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS5to1'
      type  = 213
      left  = 8
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level1' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level2' value = 225 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level3' value = 198 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level4' value = 232 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute4' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs5to1_level5' value = 217 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs5to1_mute5' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 533
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 367 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 176 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 653
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 8
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 23
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 140 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 98
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 147 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 30 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 173
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 233 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'LfoTrig'
      type  = 405
      left  = 258
      top   = 203
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 26 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 7 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 263
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 21 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 71 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 308
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 62 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 49 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 353
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 129 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 383
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 58 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'EnvAHD'
      type  = 903
      left  = 258
      top   = 443
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 209 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 563
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 220 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 593
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 73 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 623
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 40 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 53
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 98
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 203 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 128
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 172 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 253 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 158
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 208 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 85 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 203
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 197 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 233
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 293
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 235 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 338
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 383
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 413
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 203 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 109 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 197 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 488
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 548
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 197 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Rotator'
      type  = 309
      left  = 508
      top   = 593
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 42 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 48 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 70 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 71 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 50 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 46 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 67 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 278
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'SawMill'
      type  = 342
      left  = 758
      top   = 338
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'sawmill_mult' value = 384 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'sawmill_multmodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'sawmill_inputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'sawmill_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 383
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'WaveWrapper'
      type  = 325
      left  = 758
      top   = 413
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'wavewrapper_highlevel' value = 156 cc = 0)
        detail( class = 'TKnobsSelector' name = 'wavewrapper_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'wavewrapper_lowlevel' value = 95 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'wavewrapper_modamt' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'wavewrapper_type' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'MixMS8to1'
      type  = 214
      left  = 758
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev1' value = 0 cc = 0)
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev2' value = 191 cc = 0)
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev3' value = 256 cc = 0)
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev4' value = 152 cc = 0)
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev5' value = 256 cc = 0)
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev6' value = 255 cc = 0)
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev7' value = 256 cc = 0)
        detail( class = 'TKnobsSlider' name = 'mixms8to1_lev8' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mode' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute7' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixms8to1_mute5' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 548
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 578
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 242 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 53
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 196 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'TrackAndHold'
      type  = 802
      left  = 1008
      top   = 83
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'trackandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Rungler'
      type  = 615
      left  = 1008
      top   = 98
      color = 32768
      details(
        detail( class = 'TKnobsInput' name = 'rungler_clock' value = '32768')
        detail( class = 'TKnobsInput' name = 'rungler_data' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rungler_bit' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'rungler_level' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'rungler_length' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'rungler_taps' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Quantizer'
      type  = 307
      left  = 1008
      top   = 128
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 119 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 160 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'LevelConverter'
      type  = 329
      left  = 1008
      top   = 158
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 188
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'EnvAHD'
      type  = 903
      left  = 1008
      top   = 203
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 94 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 178 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Formant'
      type  = 1004
      left  = 1008
      top   = 323
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 353
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 196 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'Formant'
      type  = 1004
      left  = 1008
      top   = 383
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 125 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Average'
      type  = 1001
      left  = 1258
      top   = 8
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 233 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'MixM3to1'
      type  = 211
      left  = 1258
      top   = 38
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 117 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 174 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 63 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 68
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 128
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 188
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 27 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 216 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'MixM3to1'
      type  = 211
      left  = 1258
      top   = 233
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 173 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 159 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'MixM3to1'
      type  = 211
      left  = 1258
      top   = 263
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 21 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Lfo'
      type  = 401
      left  = 1258
      top   = 293
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 155 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Average'
      type  = 1001
      left  = 1258
      top   = 338
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 100 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'MixM3to1'
      type  = 211
      left  = 1258
      top   = 368
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 182 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'Delay'
      type  = 701
      left  = 1258
      top   = 398
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 196 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'SVF'
      type  = 1002
      left  = 1258
      top   = 428
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 66 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 202 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 37 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'StereoWiden'
      type  = 912
      left  = 1258
      top   = 473
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'stereowiden_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_widenamt' value = 87 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_length' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_delayamt' value = 180 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule13.volume_outl' dst = 'KnobsModule14.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.volume_outr' dst = 'KnobsModule14.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule4.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_trig' dst = 'KnobsModule5.rungler_data')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfotrig_out' dst = 'KnobsModule5.rungler_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.rungler_clock' dst = 'KnobsModule7.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule7.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envarretrig_sigout' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.osc_out' dst = 'KnobsModule9.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envarretrig_sigout' dst = 'KnobsModule8.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.avg_lp' dst = 'KnobsModule23.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.delay_out' dst = 'KnobsModule23.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_inr1' dst = 'KnobsModule25.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outl' dst = 'KnobsModule26.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outr' dst = 'KnobsModule27.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.delay_out' dst = 'KnobsModule25.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.delay_out' dst = 'KnobsModule25.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.delay_delay' dst = 'KnobsModule26.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outl' dst = 'KnobsModule13.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outr' dst = 'KnobsModule13.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule22.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.scalequantizer_out' dst = 'KnobsModule18.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfotrig_ready' dst = 'KnobsModule19.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.quantizer_out' dst = 'KnobsModule19.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfotrig_trig' dst = 'KnobsModule9.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfotrig_out' dst = 'KnobsModule24.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.envahd_out' dst = 'KnobsModule20.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.osc_out' dst = 'KnobsModule24.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.envahd_sigout' dst = 'KnobsModule25.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.envahd_sigout' dst = 'KnobsModule22.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.scalequantizer_out' dst = 'KnobsModule29.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfotrig_out' dst = 'KnobsModule29.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_out' dst = 'KnobsModule30.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.avg_lp' dst = 'KnobsModule34.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envarretrig_sigout' dst = 'KnobsModule11.mixs5to1_inl5')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envarretrig_sigout' dst = 'KnobsModule11.mixs5to1_inr5')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs5to1_outl' dst = 'KnobsModule12.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs5to1_outr' dst = 'KnobsModule12.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.delay_in' dst = 'KnobsModule11.mixs5to1_inl4')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.delay_in' dst = 'KnobsModule11.mixs5to1_inr4')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.poetry_out' dst = 'KnobsModule37.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.avg_lp' dst = 'KnobsModule40.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_in' dst = 'KnobsModule36.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfotrig_out' dst = 'KnobsModule36.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.avg_in' dst = 'KnobsModule4.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.delay_delay' dst = 'KnobsModule55.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_in' dst = 'KnobsModule11.mixs5to1_inr3')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.delay_in' dst = 'KnobsModule11.mixs5to1_inl3')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule54.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_delay' dst = 'KnobsModule24.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.rungler_bit' dst = 'KnobsModule24.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfotrig_fm' dst = 'KnobsModule28.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.randsig_out' dst = 'KnobsModule46.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.delay_outfixed' dst = 'KnobsModule31.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixs2to1_outl' dst = 'KnobsModule34.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_outfixed' dst = 'KnobsModule31.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixs2to1_outr' dst = 'KnobsModule40.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.randsig_out' dst = 'KnobsModule44.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randsig_fm' dst = 'KnobsModule31.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.scalequantizer_out' dst = 'KnobsModule17.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.euclids_out' dst = 'KnobsModule35.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envarretrig_sigout' dst = 'KnobsModule42.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.osc_out' dst = 'KnobsModule35.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.euclids_out' dst = 'KnobsModule41.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.envarretrig_sigout' dst = 'KnobsModule42.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.osc_out' dst = 'KnobsModule41.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.randsig_out' dst = 'KnobsModule48.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_out' dst = 'KnobsModule43.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.randsig_out' dst = 'KnobsModule47.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.randsig_fm' dst = 'KnobsModule38.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_out' dst = 'KnobsModule32.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.euclids_out' dst = 'KnobsModule29.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.euclids_out' dst = 'KnobsModule36.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.quantizer_out' dst = 'KnobsModule1.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.avg_lp' dst = 'KnobsModule2.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.sampleandhold_out' dst = 'KnobsModule16.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule15.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule33.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.mixm3to1_out' dst = 'KnobsModule34.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.euclids_trig' dst = 'KnobsModule33.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.mixm3to1_levmod1' dst = 'KnobsModule38.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.poetry_newinput' dst = 'KnobsModule39.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.euclids_trig' dst = 'KnobsModule39.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.mixm3to1_out' dst = 'KnobsModule40.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.scalequantizer_chain' dst = 'KnobsModule6.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_out' dst = 'KnobsModule50.sawmill_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.envahd_out' dst = 'KnobsModule50.sawmill_multmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.scalequantizer_out' dst = 'KnobsModule49.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.delay_delay' dst = 'KnobsModule2.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule27.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule64.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.mixm3to1_in1' dst = 'KnobsModule42.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.rotator_angle' dst = 'KnobsModule51.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envarretrig_out' dst = 'KnobsModule11.mixs5to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envarretrig_out' dst = 'KnobsModule11.mixs5to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_out' dst = 'KnobsModule59.rungler_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.rungler_clock' dst = 'KnobsModule57.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.rungler_out' dst = 'KnobsModule60.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.quantizer_out' dst = 'KnobsModule49.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.randsig_out' dst = 'KnobsModule63.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.randsig_out' dst = 'KnobsModule63.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envahd_out' dst = 'KnobsModule57.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.wavewrapper_out' dst = 'KnobsModule66.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out2' dst = 'KnobsModule52.wavewrapper_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs5to1_inr2' dst = 'KnobsModule11.mixs5to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.trackandhold_out' dst = 'KnobsModule59.rungler_data')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.delay_out' dst = 'KnobsModule58.trackandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.mixm3to1_in1' dst = 'KnobsModule58.trackandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out3' dst = 'KnobsModule63.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.sampleandhold_in' dst = 'KnobsModule24.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.randsig_fm' dst = 'KnobsModule15.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randsig_out' dst = 'KnobsModule45.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randsig_out' dst = 'KnobsModule62.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.randsig_out' dst = 'KnobsModule62.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.multiplier_out' dst = 'KnobsModule63.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.delay_out' dst = 'KnobsModule66.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.poetry_in' dst = 'KnobsModule56.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.poetry_newinput' dst = 'KnobsModule56.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.poetry_out' dst = 'KnobsModule67.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.avg_lp' dst = 'KnobsModule69.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.randsig_fm' dst = 'KnobsModule72.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixm3to1_in3' dst = 'KnobsModule72.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.multiplier_in4' dst = 'KnobsModule72.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixm3to1_in2' dst = 'KnobsModule72.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out4' dst = 'KnobsModule72.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envarretrig_sigin' dst = 'KnobsModule72.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.osc_out' dst = 'KnobsModule71.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.poetry_newoutput' dst = 'KnobsModule71.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envarretrig_sigout' dst = 'KnobsModule72.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixm3to1_out' dst = 'KnobsModule68.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out5' dst = 'KnobsModule68.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.mixm3to1_out' dst = 'KnobsModule69.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.osc_freq' dst = 'KnobsModule70.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.osc_out' dst = 'KnobsModule68.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.formant_vowelin' dst = 'KnobsModule68.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envahd_amod' dst = 'KnobsModule61.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.levelconverter_out1' dst = 'KnobsModule62.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixm3to1_in' dst = 'KnobsModule11.mixs5to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs5to1_inl2' dst = 'KnobsModule11.mixs5to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.lfo_out' dst = 'KnobsModule77.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.mixm3to1_out' dst = 'KnobsModule77.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.mixs5to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.mixs5to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.avg_hp' dst = 'KnobsModule76.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.rungler_out' dst = 'KnobsModule17.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.rungler_out' dst = 'KnobsModule0.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.scalequantizer_in' dst = 'KnobsModule74.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.formant_out' dst = 'KnobsModule76.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.delay_outfixed' dst = 'KnobsModule75.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.delay_out' dst = 'KnobsModule78.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envahd_out' dst = 'KnobsModule78.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.osc_freq' dst = 'KnobsModule78.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.levelconverter_in1' dst = 'KnobsModule76.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.mixm3to1_levmod1' dst = 'KnobsModule71.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_outr' dst = 'KnobsModule55.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_outl' dst = 'KnobsModule54.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_out' dst = 'KnobsModule53.mixms8to1_levmod8')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.delay_out' dst = 'KnobsModule53.mixms8to1_inr8')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_out' dst = 'KnobsModule53.mixms8to1_inl8')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.rotator_out2' dst = 'KnobsModule53.mixms8to1_inr7')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.rotator_out1' dst = 'KnobsModule53.mixms8to1_inl7')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.randsig_fm' dst = 'KnobsModule53.mixms8to1_levmod7')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_inl6' dst = 'KnobsModule53.mixms8to1_inr6')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.delay_out' dst = 'KnobsModule53.mixms8to1_inl6')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs5to1_inr5' dst = 'KnobsModule53.mixms8to1_inr5')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs5to1_inl5' dst = 'KnobsModule53.mixms8to1_inl5')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.formant_out' dst = 'KnobsModule53.mixms8to1_inr4')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_inr4' dst = 'KnobsModule53.mixms8to1_inl4')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_levmod3' dst = 'KnobsModule32.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_fm' dst = 'KnobsModule53.mixms8to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_levmod4' dst = 'KnobsModule56.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_in' dst = 'KnobsModule53.mixms8to1_levmod4')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixm3to1_out' dst = 'KnobsModule53.mixms8to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_inr2' dst = 'KnobsModule53.mixms8to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envahd_dmodneg' dst = 'KnobsModule76.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.mixm3to1_in3' dst = 'KnobsModule76.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.sawmill_out' dst = 'KnobsModule63.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envahd_sigout' dst = 'KnobsModule49.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envahd_sigout' dst = 'KnobsModule64.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_sync' dst = 'KnobsModule11.mixs5to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_inl3' dst = 'KnobsModule49.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixms8to1_inr3' dst = 'KnobsModule53.mixms8to1_inl3')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.formant_out' dst = 'KnobsModule53.mixms8to1_inr3')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.rungler_bit' dst = 'KnobsModule65.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out8' dst = 'KnobsModule73.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.mixm3to1_out' dst = 'KnobsModule74.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.stereowiden_outr' dst = 'KnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.stereowiden_outl' dst = 'KnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.svf_lp' dst = 'KnobsModule79.stereowiden_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.stereowiden_inr' dst = 'KnobsModule79.stereowiden_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_freq' dst = 'KnobsModule73.mixm3to1_in2')
  )
)
