Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-07-17-01-mr'
  version = 5
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 8
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 108 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 51 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 85 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 47 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Square'
      type  = 502
      left  = 8
      top   = 53
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'square_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'square_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'square_cents' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'square_pmlevel' value = 254 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'square_fmlevel' value = 458 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'square_pwmlevel' value = 43 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'square_bandlimit' value = 145 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 113
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 97 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 49 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 78 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 45 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 184 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 3 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 233
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 230 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'ThirdBank'
      type  = 1008
      left  = 8
      top   = 263
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader1' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader2' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader3' value = 108 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader4' value = 101 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader5' value = 31 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader6' value = 83 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader7' value = 89 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader8' value = 101 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader9' value = 101 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader10' value = 101 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader11' value = 31 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader12' value = 101 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader13' value = 101 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader14' value = 104 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader15' value = 126 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader16' value = 57 cc = 0 rnd = 1)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader17' value = 29 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_level' value = 230 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modehigh' value = 1 cc = 0 rnd = 0)
        detail( class = 'TKnobsNoKnob' name = 'thirdbank_steepness' value = 1 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modelow' value = 1 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_q' value = 217 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_fmamt' value = 465 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'thirdbank_fi' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 398
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 66 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 428
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 5 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 198 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'StereoWiden'
      type  = 912
      left  = 8
      top   = 458
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'stereowiden_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_widenamt' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_length' value = 255 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_delayamt' value = 194 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 518
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 48 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 102 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 548
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 159 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 111 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'NoteToDelay'
      type  = 313
      left  = 8
      top   = 578
      color = 33023
      rnd   = 1
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 593
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 33 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 623
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 152 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 48 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 141 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 653
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 245 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 683
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 15 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 713
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 161 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 743
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 179 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 234 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 773
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 184 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 803
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 100 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 833
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 100 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 863
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 114 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 893
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 8
      color = 33023
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 56 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 79 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 83
      color = 16711935
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 98
      color = 32768
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 68 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 3 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 128
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 138 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 8 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 173
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 143 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 172 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 293 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 218
      color = 32768
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 9 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'SeqRandom'
      type  = 1208
      left  = 258
      top   = 248
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 75 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 87 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 46 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 9 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 3 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Poetry'
      type  = 327
      left  = 258
      top   = 338
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 96 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 31 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 383
      color = 33023
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 254 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 56 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 102 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 458
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 60 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 186 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 21 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 225 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 518
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 48 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 11 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 127 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'MultipleMult'
      type  = 334
      left  = 258
      top   = 578
      color = 16777215
      rnd   = 1
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 608
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 97 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'PitchShift'
      type  = 910
      left  = 258
      top   = 638
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 190 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 91 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 127 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'PitchShift'
      type  = 910
      left  = 258
      top   = 698
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 134 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 64 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 24 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 127 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'RangeConverter'
      type  = 322
      left  = 258
      top   = 758
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 154 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 380 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 3 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 803
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 189 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 69 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 833
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 112 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 470 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 93 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 254 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 63 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 83 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 238 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 219 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 8
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 2 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 38
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 104 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 49 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 30 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 83
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 96 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 237 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 38 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 127 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 43 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 186 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 3 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 203
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 55 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 418 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 248
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 103 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 78 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 3 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 32 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 41 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 368
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 84 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 208 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Attractor'
      type  = 511
      left  = 508
      top   = 398
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'attractor_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'attractor_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'attractor_fmlevel' value = 247 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'attractor_mode' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 443
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 3 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 473
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 488
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 518
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Mux'
      type  = 805
      left  = 508
      top   = 548
      color = 16711935
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 123 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'CubicClip'
      type  = 340
      left  = 508
      top   = 593
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 151 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 78 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Formant'
      type  = 1004
      left  = 508
      top   = 623
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 39 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Reverb'
      type  = 703
      left  = 508
      top   = 653
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 255 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 204 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 174 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 245 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 39 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'PitchShift'
      type  = 910
      left  = 508
      top   = 713
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 75 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 88 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 199 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 773
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'PitchShift'
      type  = 910
      left  = 508
      top   = 788
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 274 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 210 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 6 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 848
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Rotator'
      type  = 309
      left  = 508
      top   = 863
      color = 8421376
      rnd   = 1
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 8
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 183 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 51 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 5 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 85 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 166 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 53
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 52 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 109 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 93 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 98
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 201 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 81 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 133 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 143
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 51 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 188
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 145 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 51 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 192 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 233
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 52 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 3 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 214 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 189 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 278
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 210 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 242 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 323
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 51 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 19 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 208 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 368
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 51 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 254 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 413
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 210 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 204 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 114 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 128 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 458
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 2 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'Morse'
      type  = 1209
      left  = 758
      top   = 488
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'morse_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_clock' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_reset' value = '32768')
        detail( class = 'TKnobsDisplay' name = 'morse_display_text' value = 'sandy hands sandy hands oh come to the rescue sandy hands cut my soul from the mind sandy hands oh sandy hands it hurts not but hurts the soul')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 533
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 105 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 50 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 563
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 5 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 83 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 81 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'EnvADSR'
      type  = 904
      left  = 758
      top   = 623
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'envadsr_eoc' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_attack' value = 97 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_release' value = 237 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_decay' value = 7 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_sustain' value = 12 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_rshape' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_ashape' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_dshape' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_mode' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_mute' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_arange' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_amodlevel' value = 162 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_dmodlevel' value = 21 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_smodlevel' value = 215 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_rmodlevel' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_rrange' value = 2 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_drange' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_outputtype' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 743
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 250 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 7 cc = 0 rnd = 1)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'FreqShifter'
      type  = 1401
      left  = 758
      top   = 773
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 1)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0 rnd = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'LiveMorph'
      type  = 1309
      left  = 758
      top   = 803
      color = 12632256
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'livemorph_inputtype' value = 1 cc = 0 rnd = 1)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule21.volume_outl' dst = 'KnobsModule22.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.volume_outr' dst = 'KnobsModule22.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_out' dst = 'KnobsModule2.square_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.divider_out' dst = 'KnobsModule29.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.square_fm' dst = 'KnobsModule2.square_pwm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.avg_lp' dst = 'KnobsModule5.thirdbank_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.chebgen_out3' dst = 'KnobsModule42.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.stereowiden_inr' dst = 'KnobsModule8.stereowiden_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.delay_out' dst = 'KnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_out' dst = 'KnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.stereowiden_outr' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.stereowiden_outl' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.chebgen_out5' dst = 'KnobsModule44.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.divider_trig' dst = 'KnobsModule3.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.square_out' dst = 'KnobsModule3.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.envahd_sigout' dst = 'KnobsModule5.thirdbank_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.envahd_out' dst = 'KnobsModule1.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_trig' dst = 'KnobsModule29.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.euclids_out' dst = 'KnobsModule43.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.euclids_out' dst = 'KnobsModule45.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_out' dst = 'KnobsModule45.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.randsig_fm' dst = 'KnobsModule43.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.randsig_out' dst = 'KnobsModule62.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.randsig_out' dst = 'KnobsModule63.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.randsig_out' dst = 'KnobsModule64.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.randsig_out' dst = 'KnobsModule66.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.randsig_out' dst = 'KnobsModule67.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.randsig_out' dst = 'KnobsModule65.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.randsig_out' dst = 'KnobsModule69.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.randsig_out' dst = 'KnobsModule70.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_out' dst = 'KnobsModule61.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.randsig_out' dst = 'KnobsModule68.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.randsig_fm' dst = 'KnobsModule44.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.randsig_fm' dst = 'KnobsModule42.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_gain' dst = 'KnobsModule10.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outl' dst = 'KnobsModule18.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outr' dst = 'KnobsModule18.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_out' dst = 'KnobsModule43.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_out' dst = 'KnobsModule45.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.seqrandom_out' dst = 'KnobsModule30.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_in' dst = 'KnobsModule4.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.seqrandom_trig' dst = 'KnobsModule30.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.gverb_outl' dst = 'KnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.gverb_outr' dst = 'KnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.chebgen_out2' dst = 'KnobsModule30.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_inr1' dst = 'KnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_inl1' dst = 'KnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outl' dst = 'KnobsModule10.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outr' dst = 'KnobsModule10.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_out' dst = 'KnobsModule31.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.scalequantizer_out' dst = 'KnobsModule32.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_freq' dst = 'KnobsModule33.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.thirdbank_in' dst = 'KnobsModule38.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.rangeconverter_out1' dst = 'KnobsModule40.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.scalequantizer_out' dst = 'KnobsModule46.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.avg_lp' dst = 'KnobsModule47.attractor_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.pitchshift_out' dst = 'KnobsModule39.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.mixs2to1_outl' dst = 'KnobsModule40.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.pitchshift_out' dst = 'KnobsModule39.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.mixs2to1_outr' dst = 'KnobsModule40.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.formant_out' dst = 'KnobsModule55.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.reverb_inr' dst = 'KnobsModule55.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.reverb_outl' dst = 'KnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.reverb_outr' dst = 'KnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.chebgen_out4' dst = 'KnobsModule48.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.attractor_outx' dst = 'KnobsModule49.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.levelconverter_out1' dst = 'KnobsModule49.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.rangeconverter_out1' dst = 'KnobsModule47.attractor_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.randsig_fm' dst = 'KnobsModule49.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.multiplier_in2' dst = 'KnobsModule45.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.randsig_fm' dst = 'KnobsModule49.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.multiplier_in1' dst = 'KnobsModule43.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outl' dst = 'KnobsModule19.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.cubicclip_out' dst = 'KnobsModule21.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outr' dst = 'KnobsModule20.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.cubicclip_out' dst = 'KnobsModule21.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.stereowiden_inl' dst = 'KnobsModule56.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.pitchshift_in' dst = 'KnobsModule58.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.rotator_out1' dst = 'KnobsModule17.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.rotator_out2' dst = 'KnobsModule17.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.euclids_trig' dst = 'KnobsModule60.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.randsig_fm' dst = 'KnobsModule57.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.multiplier_in4' dst = 'KnobsModule43.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.randsig_fm' dst = 'KnobsModule59.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_in4' dst = 'KnobsModule3.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.pitchshift_out' dst = 'KnobsModule57.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.multiplier_out' dst = 'KnobsModule60.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_out' dst = 'KnobsModule60.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.pitchshift_out' dst = 'KnobsModule59.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.randsig_fm' dst = 'KnobsModule59.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_in2' dst = 'KnobsModule45.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.scalequantizer_in' dst = 'KnobsModule3.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_out' dst = 'KnobsModule23.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.divider_trig' dst = 'KnobsModule27.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_out' dst = 'KnobsModule25.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_out' dst = 'KnobsModule41.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.sampleandhold_out' dst = 'KnobsModule26.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.scalequantizer_out' dst = 'KnobsModule24.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.divider_out' dst = 'KnobsModule24.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_out' dst = 'KnobsModule50.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.levelconverter_out1' dst = 'KnobsModule51.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.levelconverter_out2' dst = 'KnobsModule54.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mux_out' dst = 'KnobsModule48.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out13' dst = 'KnobsModule52.mux_in11')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out12' dst = 'KnobsModule52.mux_in10')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out11' dst = 'KnobsModule52.mux_in9')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out10' dst = 'KnobsModule52.mux_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out9' dst = 'KnobsModule52.mux_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out8' dst = 'KnobsModule52.mux_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out7' dst = 'KnobsModule52.mux_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out6' dst = 'KnobsModule52.mux_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out5' dst = 'KnobsModule52.mux_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out4' dst = 'KnobsModule52.mux_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out3' dst = 'KnobsModule52.mux_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.chebgen_out2' dst = 'KnobsModule52.mux_in0')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.randsig_fm' dst = 'KnobsModule48.levelconverter_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.levelconverter_out3' dst = 'KnobsModule52.mux_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.thirdbank_out' dst = 'KnobsModule6.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.multiplier_out' dst = 'KnobsModule53.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.cubicclip_out' dst = 'KnobsModule54.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplemult_in31' dst = 'KnobsModule3.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.levelconverter_in3' dst = 'KnobsModule34.multiplemult_in31')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplemult_out3' dst = 'KnobsModule36.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplemult_in41' dst = 'KnobsModule27.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_fm' dst = 'KnobsModule34.multiplemult_in41')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplemult_out4' dst = 'KnobsModule37.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplemult_in32' dst = 'KnobsModule28.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.euclids_out' dst = 'KnobsModule34.multiplemult_in32')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_trig' dst = 'KnobsModule34.multiplemult_in42')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.delay_in' dst = 'KnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule16.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.delay_out' dst = 'KnobsModule15.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule13.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixm3to1_in' dst = 'KnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixm3to1_out' dst = 'KnobsModule14.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_phase' dst = 'KnobsModule13.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_phase' dst = 'KnobsModule13.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_amod' dst = 'KnobsModule13.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.euclids_pattern' dst = 'KnobsModule13.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.thirdbank_fm' dst = 'KnobsModule11.notetodelay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.notetodelay_out' dst = 'KnobsModule12.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.avg_lp' dst = 'KnobsModule14.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_levmod2' dst = 'KnobsModule12.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.seqrandom_out' dst = 'KnobsModule73.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.avg_lp' dst = 'KnobsModule74.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.chebgen_out12' dst = 'KnobsModule71.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.chebgen_out3' dst = 'KnobsModule72.morse_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.euclids_pattern' dst = 'KnobsModule34.multiplemult_in11')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_amod' dst = 'KnobsModule34.multiplemult_in12')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplemult_out1' dst = 'KnobsModule34.multiplemult_in21')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_dmod' dst = 'KnobsModule34.multiplemult_in22')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplemult_out2' dst = 'KnobsModule75.envadsr_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.morse_out' dst = 'KnobsModule75.envadsr_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.osc_out' dst = 'KnobsModule75.envadsr_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.envadsr_sigout' dst = 'KnobsModule74.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.envadsr_sigout' dst = 'KnobsModule77.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.osc_phase' dst = 'KnobsModule13.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.mixm3to1_out' dst = 'KnobsModule77.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_out' dst = 'KnobsModule76.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.envadsr_out' dst = 'KnobsModule76.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.formant_out' dst = 'KnobsModule8.stereowiden_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.cubicclip_out' dst = 'KnobsModule7.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_dmod' dst = 'KnobsModule7.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_inr' dst = 'KnobsModule33.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_sigout' dst = 'KnobsModule35.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_outr' dst = 'KnobsModule36.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_inl' dst = 'KnobsModule32.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_sigout' dst = 'KnobsModule35.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_outl' dst = 'KnobsModule37.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.freqshifter_up' dst = 'KnobsModule35.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_inr2' dst = 'KnobsModule18.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.freqshifter_down' dst = 'KnobsModule35.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixs2to1_inl2' dst = 'KnobsModule18.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.randsig_out' dst = 'KnobsModule0.livemorph_in')
  )
)
