Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2016-10-05-01'
  version   = 6
  variation = 0
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 72 cc = 0 rnd = 0 variations = '8,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Rewriter'
      type  = 1218
      left  = 8
      top   = 53
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'rewriter_step' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rewriter_a' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rewriter_b' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rewriter_c' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rewriter_d' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rewriter_e' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'rewriter_display_a' value = 'ABC' )
        detail( class = 'TKnobsDisplay' name = 'rewriter_display_b' value = 'C' )
        detail( class = 'TKnobsDisplay' name = 'rewriter_display_c' value = 'DE' )
        detail( class = 'TKnobsDisplay' name = 'rewriter_display_d' value = 'AC' )
        detail( class = 'TKnobsDisplay' name = 'rewriter_display_e' value = 'B' )
        detail( class = 'TKnobsNoKnob' name = 'rewriter_steps' value = 7 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'rewriter_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'RewriterNote'
      type  = 1219
      left  = 8
      top   = 158
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'rewriternote_step' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_a' value = 'ABC' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_b' value = 'C' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_c' value = 'DE' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_d' value = 'AC' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_e' value = 'FGH' )
        detail( class = 'TKnobsNoKnob' name = 'rewriternote_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_f' value = 'CA' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_g' value = 'CF' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_h' value = 'HA' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notea' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noteb' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notec' value = 63 cc = 0 rnd = 0 variations = '8,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noted' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notee' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notef' value = 70 cc = 0 rnd = 0 variations = '8,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noteg' value = 71 cc = 0 rnd = 0 variations = '8,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noteh' value = 72 cc = 0 rnd = 0 variations = '8,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268' )
        detail( class = 'TKnobsSelector' name = 'rewriternote_mode' value = 6 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'RewriterNote'
      type  = 1219
      left  = 8
      top   = 353
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'rewriternote_step' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_a' value = 'ABC' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_b' value = 'C' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_c' value = 'DE' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_d' value = 'AC' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_e' value = 'FGH' )
        detail( class = 'TKnobsNoKnob' name = 'rewriternote_steps' value = 7 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_f' value = 'CA' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_g' value = 'CF' )
        detail( class = 'TKnobsDisplay' name = 'rewriternote_display_h' value = 'HA' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notea' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noteb' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notec' value = 63 cc = 0 rnd = 0 variations = '8,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noted' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notee' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_notef' value = 70 cc = 0 rnd = 0 variations = '8,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noteg' value = 71 cc = 0 rnd = 0 variations = '8,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236' )
        detail( class = 'TKnobsSmallKnob' name = 'rewriternote_noteh' value = 72 cc = 0 rnd = 0 variations = '8,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268' )
        detail( class = 'TKnobsSelector' name = 'rewriternote_mode' value = 6 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 548
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 176 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 12 cc = 0 rnd = 0 variations = '8,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 623
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 143 cc = 0 rnd = 0 variations = '8,0.56078431372549,0.56078431372549,0.56078431372549,0.56078431372549,0.56078431372549,0.56078431372549,0.56078431372549,0.56078431372549' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 63 cc = 0 rnd = 0 variations = '8,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'TuneSmithy'
      type  = 1220
      left  = 258
      top   = 38
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'tunesmithy_step' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'tunesmithy_steps' value = 255 cc = 0 rnd = 0 variations = '8,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088' )
        detail( class = 'TKnobsDisplay' name = 'tunesmithy_display_seed' value = '7,-5,0,-3,0,0,0,-3,-2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 258
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 113
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 20 cc = 0 rnd = 0 variations = '8,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'WavePlayer'
      type  = 702
      left  = 258
      top   = 158
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\_media\_samples\kettle.wav' )
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 218
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 155 cc = 0 rnd = 0 variations = '8,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 263
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 323
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 383
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254 cc = 0 rnd = 0 variations = '8,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 413
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 240 cc = 0 rnd = 0 variations = '8,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 443
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 458
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 233 cc = 0 rnd = 0 variations = '8,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 206 cc = 0 rnd = 0 variations = '8,0.8046875,0.8046875,0.8046875,0.8046875,0.8046875,0.8046875,0.8046875,0.8046875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 488
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 193 cc = 0 rnd = 0 variations = '8,0.75390625,0.75390625,0.75390625,0.75390625,0.75390625,0.75390625,0.75390625,0.75390625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 237 cc = 0 rnd = 0 variations = '8,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 518
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 204 cc = 0 rnd = 0 variations = '8,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 548
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 578
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 87 cc = 0 rnd = 0 variations = '8,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 122 cc = 0 rnd = 0 variations = '8,0.238747553816047,0.238747553816047,0.238747553816047,0.238747553816047,0.238747553816047,0.238747553816047,0.238747553816047,0.238747553816047' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 231 cc = 0 rnd = 0 variations = '8,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 251 cc = 0 rnd = 0 variations = '8,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 208 cc = 0 rnd = 0 variations = '8,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'FlangeChorus'
      type  = 704
      left  = 258
      top   = 668
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 135 cc = 0 rnd = 0 variations = '8,0.529411764705882,0.529411764705882,0.529411764705882,0.529411764705882,0.529411764705882,0.529411764705882,0.529411764705882,0.529411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 11 cc = 0 rnd = 0 variations = '8,0.04296875,0.04296875,0.04296875,0.04296875,0.04296875,0.04296875,0.04296875,0.04296875' )
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'FlangeChorus'
      type  = 704
      left  = 258
      top   = 728
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 113 cc = 0 rnd = 0 variations = '8,0.443137254901961,0.443137254901961,0.443137254901961,0.443137254901961,0.443137254901961,0.443137254901961,0.443137254901961,0.443137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 14 cc = 0 rnd = 0 variations = '8,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875' )
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 8
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 12 cc = 0 rnd = 0 variations = '8,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 508
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 113
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 116 cc = 0 rnd = 0 variations = '8,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'WavePlayer'
      type  = 702
      left  = 508
      top   = 158
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\_media\_samples\kettle.wav' )
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 218
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 263
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 70 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 308
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 772 cc = 0 rnd = 0 variations = '8,0.754643206256109,0.754643206256109,0.754643206256109,0.754643206256109,0.754643206256109,0.754643206256109,0.754643206256109,0.754643206256109' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 353
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 178 cc = 0 rnd = 0 variations = '8,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 217 cc = 0 rnd = 0 variations = '8,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Constant'
      type  = 301
      left  = 508
      top   = 458
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 265 cc = 0 rnd = 0 variations = '8,0.517578125,0.517578125,0.517578125,0.517578125,0.517578125,0.517578125,0.517578125,0.517578125' )
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Compare'
      type  = 610
      left  = 508
      top   = 488
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'compare_outless' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'compare_outmore' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'compare_outequal' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'compare_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Constant'
      type  = 301
      left  = 508
      top   = 518
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 272 cc = 0 rnd = 0 variations = '8,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125' )
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Compare'
      type  = 610
      left  = 508
      top   = 548
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'compare_outless' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'compare_outmore' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'compare_outequal' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'compare_range' value = 117 cc = 0 rnd = 0 variations = '8,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 578
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 608
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 61 cc = 0 rnd = 0 variations = '8,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 638
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 61 cc = 0 rnd = 0 variations = '8,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 668
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 253 cc = 0 rnd = 0 variations = '8,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 173 cc = 0 rnd = 0 variations = '8,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 228 cc = 0 rnd = 0 variations = '8,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 173 cc = 0 rnd = 0 variations = '8,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Volume'
      type  = 212
      left  = 508
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'AudioOut'
      type  = 102
      left  = 508
      top   = 758
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'TuneSmithy'
      type  = 1220
      left  = 758
      top   = 38
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'tunesmithy_step' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'tunesmithy_steps' value = 255 cc = 0 rnd = 0 variations = '8,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088,0.249266862170088' )
        detail( class = 'TKnobsDisplay' name = 'tunesmithy_display_seed' value = '7,-5,12.-12,24,0,0,0,-24' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 758
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 113
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 112 cc = 0 rnd = 0 variations = '8,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'WavePlayer'
      type  = 702
      left  = 758
      top   = 158
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\_media\_numbers\tcp_d1_07_gong_station_chimes_irdial.wav' )
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 218
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 172 cc = 0 rnd = 0 variations = '8,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 263
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 177 cc = 0 rnd = 0 variations = '8,0.345703125,0.345703125,0.345703125,0.345703125,0.345703125,0.345703125,0.345703125,0.345703125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Poetry'
      type  = 327
      left  = 758
      top   = 308
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 783 cc = 0 rnd = 0 variations = '8,0.765395894428152,0.765395894428152,0.765395894428152,0.765395894428152,0.765395894428152,0.765395894428152,0.765395894428152,0.765395894428152' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 353
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 102 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 189 cc = 0 rnd = 0 variations = '8,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 458
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'XFade'
      type  = 201
      left  = 758
      top   = 488
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'RSFlipFlop'
      type  = 605
      left  = 1008
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 38
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'EnvAHD'
      type  = 903
      left  = 1008
      top   = 68
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'EnvAHD'
      type  = 903
      left  = 1008
      top   = 188
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 82 cc = 0 rnd = 0 variations = '8,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 247 cc = 0 rnd = 0 variations = '8,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 60 cc = 0 rnd = 0 variations = '8,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 47 cc = 0 rnd = 0 variations = '8,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 308
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 323
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 231 cc = 0 rnd = 0 variations = '8,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 353
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'PitchShift'
      type  = 910
      left  = 1008
      top   = 383
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 186 cc = 0 rnd = 0 variations = '8,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 254 cc = 0 rnd = 0 variations = '8,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'FreqShifter'
      type  = 1401
      left  = 1008
      top   = 443
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 30 cc = 0 rnd = 0 variations = '8,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Arpeggiator'
      type  = 349
      left  = 1008
      top   = 473
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 15 cc = 0 rnd = 0 variations = '8,0.483870967741935,0.483870967741935,0.483870967741935,0.483870967741935,0.483870967741935,0.483870967741935,0.483870967741935,0.483870967741935' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 518
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 22 cc = 0 rnd = 0 variations = '8,0.0859375,0.0859375,0.0859375,0.0859375,0.0859375,0.0859375,0.0859375,0.0859375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 578
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Arpeggiator'
      type  = 349
      left  = 1258
      top   = 8
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 3 cc = 0 rnd = 0 variations = '8,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Lfo'
      type  = 401
      left  = 1258
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 106 cc = 0 rnd = 0 variations = '8,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'LevelConverter'
      type  = 329
      left  = 1258
      top   = 98
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'MixM3to1'
      type  = 211
      left  = 1258
      top   = 128
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'Delay'
      type  = 701
      left  = 1258
      top   = 158
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254 cc = 0 rnd = 0 variations = '8,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Rotator'
      type  = 309
      left  = 1258
      top   = 188
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Arpeggiator'
      type  = 349
      left  = 1258
      top   = 218
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 3 cc = 0 rnd = 0 variations = '8,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871,0.0967741935483871' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Average'
      type  = 1001
      left  = 1258
      top   = 263
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 211 cc = 0 rnd = 0 variations = '8,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'Song'
      type  = 513
      left  = 1258
      top   = 293
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'song_txtstart' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'song_phstart' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'song_silence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'song_vowel' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'song_display_text' value = 'die ver gang en heits be waelti gung   ist fin ger spitz en ge fuel   ' )
        detail( class = 'TKnobsSelector' name = 'song_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'song_loop' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'song_whisper' value = 72 cc = 0 rnd = 1 variations = '8,0.28125,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
        detail( class = 'TKnobsSmallKnob' name = 'song_whispermodamt' value = 118 cc = 0 rnd = 1 variations = '8,0.23046875,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'song_speed' value = 21 cc = 0 rnd = 1 variations = '8,0.08203125,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375' )
        detail( class = 'TKnobsSmallKnob' name = 'song_speedmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'song_freq' value = 57 cc = 0 rnd = 1 variations = '8,0.448818897637795,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSmallKnob' name = 'song_fmmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'song_filtinv' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'song_shape' value = 1 cc = 0 rnd = 1 variations = '8,1,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'song_pmamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'Average'
      type  = 1001
      left  = 1258
      top   = 383
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 49 cc = 0 rnd = 0 variations = '8,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'Multiplier'
      type  = 304
      left  = 1258
      top   = 413
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule42.volume_outl' dst = 'KnobsModule43.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.volume_outr' dst = 'KnobsModule43.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lfo_out' dst = 'KnobsModule10.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.noiselfotrig_out' dst = 'KnobsModule9.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_out' dst = 'KnobsModule27.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.noiselfotrig_out' dst = 'KnobsModule26.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.lfo_out' dst = 'KnobsModule48.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.noiselfotrig_out' dst = 'KnobsModule47.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.noiselfotrig_trig' dst = 'KnobsModule11.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.noiselfotrig_trig' dst = 'KnobsModule28.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.noiselfotrig_trig' dst = 'KnobsModule49.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.waveplayer_outr' dst = 'KnobsModule49.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.waveplayer_outr' dst = 'KnobsModule28.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_sigout' dst = 'KnobsModule20.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.waveplayer_out' dst = 'KnobsModule11.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envarretrig_sigout' dst = 'KnobsModule20.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_inr2' dst = 'KnobsModule20.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outl' dst = 'KnobsModule21.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outr' dst = 'KnobsModule21.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixs2to1_outl' dst = 'KnobsModule42.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixs2to1_outr' dst = 'KnobsModule42.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.rewriter_a' dst = 'KnobsModule46.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.rewriter_b' dst = 'KnobsModule25.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.rewriter_c' dst = 'KnobsModule8.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.rewriter_d' dst = 'KnobsModule2.rewriternote_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.rewriter_e' dst = 'KnobsModule3.rewriternote_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.rewriternote_out' dst = 'KnobsModule12.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.osc_out' dst = 'KnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outl' dst = 'KnobsModule20.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outr' dst = 'KnobsModule20.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.rewriternote_out' dst = 'KnobsModule13.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.osc_freq' dst = 'KnobsModule30.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.rewriternote_step' dst = 'KnobsModule30.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.rewriternote_step' dst = 'KnobsModule51.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.osc_freq' dst = 'KnobsModule51.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.rewriter_step' dst = 'KnobsModule29.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.euclids_trig' dst = 'KnobsModule50.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.euclids_out' dst = 'KnobsModule30.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_newoutput' dst = 'KnobsModule32.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.osc_out' dst = 'KnobsModule32.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envarretrig_sigout' dst = 'KnobsModule19.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_out' dst = 'KnobsModule31.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.euclids_out' dst = 'KnobsModule51.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.poetry_newoutput' dst = 'KnobsModule53.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.poetry_out' dst = 'KnobsModule52.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.osc_out' dst = 'KnobsModule53.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.rewriter_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule6.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.divider_out' dst = 'KnobsModule7.tunesmithy_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.rewriternote_chain' dst = 'KnobsModule3.rewriternote_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.tunesmithy_out' dst = 'KnobsModule24.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envarretrig_sigout' dst = 'KnobsModule52.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.osc_phase' dst = 'KnobsModule19.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.envarretrig_sigout' dst = 'KnobsModule31.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.osc_out' dst = 'KnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_in' dst = 'KnobsModule47.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.osc_freq' dst = 'KnobsModule9.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_freq' dst = 'KnobsModule2.rewriternote_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.scalequantizer_out' dst = 'KnobsModule26.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.tunesmithy_step' dst = 'KnobsModule44.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.divider_out' dst = 'KnobsModule45.tunesmithy_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.flangechorus_in' dst = 'KnobsModule41.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.gverb_outl' dst = 'KnobsModule22.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.flangechorus_in' dst = 'KnobsModule41.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.gverb_outr' dst = 'KnobsModule23.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.flangechorus_out' dst = 'KnobsModule41.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.flangechorus_out' dst = 'KnobsModule41.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.poetry_newinput' dst = 'KnobsModule56.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.poetry_newinput' dst = 'KnobsModule56.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.rsflipflop_q' dst = 'KnobsModule58.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.flangechorus_out' dst = 'KnobsModule59.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.mixs2to1_outl' dst = 'KnobsModule41.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.mixs2to1_outr' dst = 'KnobsModule41.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.pitchshift_out' dst = 'KnobsModule64.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.freqshifter_up' dst = 'KnobsModule40.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.freqshifter_down' dst = 'KnobsModule40.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.lfo_freq' dst = 'KnobsModule65.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.euclids_trig' dst = 'KnobsModule65.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.arpeggiator_newinput' dst = 'KnobsModule59.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.envahd_trig' dst = 'KnobsModule65.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.arpeggiator_out' dst = 'KnobsModule66.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outl' dst = 'KnobsModule19.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outr' dst = 'KnobsModule19.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_inr1' dst = 'KnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.osc_phase' dst = 'KnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.osc_out' dst = 'KnobsModule67.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.lfo_out' dst = 'KnobsModule59.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lfo_out' dst = 'KnobsModule59.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.mixm3to1_out' dst = 'KnobsModule63.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.mixm3to1_in3' dst = 'KnobsModule66.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.multiplier_out' dst = 'KnobsModule62.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envarretrig_out' dst = 'KnobsModule62.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.envahd_sigout' dst = 'KnobsModule62.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_out' dst = 'KnobsModule62.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.rewriternote_out' dst = 'KnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.freqshifter_down' dst = 'KnobsModule62.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.divider_trig' dst = 'KnobsModule59.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.rsflipflop_notq' dst = 'KnobsModule57.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.divider_out' dst = 'KnobsModule65.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.tunesmithy_out' dst = 'KnobsModule34.compare_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.constant_out' dst = 'KnobsModule34.compare_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.levelconverter_out2' dst = 'KnobsModule38.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.delay_outfixed' dst = 'KnobsModule18.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_outfixed' dst = 'KnobsModule18.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixs2to1_outr' dst = 'KnobsModule14.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixs2to1_outl' dst = 'KnobsModule15.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.compare_outless' dst = 'KnobsModule37.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.lfo_out' dst = 'KnobsModule14.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.rewriternote_out' dst = 'KnobsModule5.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.avg_lp' dst = 'KnobsModule16.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.multiplier_out' dst = 'KnobsModule18.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_inr2' dst = 'KnobsModule54.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envarretrig_sigout' dst = 'KnobsModule54.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_sigout' dst = 'KnobsModule54.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_inl2' dst = 'KnobsModule20.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.envarretrig_sigout' dst = 'KnobsModule54.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outl' dst = 'KnobsModule55.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outr' dst = 'KnobsModule55.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.xfade_out' dst = 'KnobsModule61.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.mixm3to1_out' dst = 'KnobsModule62.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.envarretrig_out' dst = 'KnobsModule60.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_out' dst = 'KnobsModule61.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_in1' dst = 'KnobsModule67.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.envahd_out' dst = 'KnobsModule60.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_in2' dst = 'KnobsModule19.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.envahd_out' dst = 'KnobsModule60.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.avg_lp' dst = 'KnobsModule58.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.avg_lp' dst = 'KnobsModule60.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.compare_in1' dst = 'KnobsModule36.compare_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.compare_in1' dst = 'KnobsModule0.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.constant_out' dst = 'KnobsModule36.compare_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.levelconverter_out1' dst = 'KnobsModule39.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.compare_outequal' dst = 'KnobsModule37.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.rsflipflop_s' dst = 'KnobsModule68.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.rsflipflop_q' dst = 'KnobsModule68.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outl' dst = 'KnobsModule18.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outr' dst = 'KnobsModule18.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.arpeggiator_out' dst = 'KnobsModule69.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.delay_outfixed' dst = 'KnobsModule71.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.envarretrig_sigout' dst = 'KnobsModule71.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.mixm3to1_out' dst = 'KnobsModule72.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.mixm3to1_levmod2' dst = 'KnobsModule71.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.rotator_out2' dst = 'KnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.delay_out' dst = 'KnobsModule73.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.delay_in' dst = 'KnobsModule73.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.rotator_out1' dst = 'KnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.levelconverter_in1' dst = 'KnobsModule72.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.lfo_out' dst = 'KnobsModule70.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.levelconverter_out1' dst = 'KnobsModule73.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.arpeggiator_newinput' dst = 'KnobsModule74.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.arpeggiator_in' dst = 'KnobsModule74.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.arpeggiator_in' dst = 'KnobsModule68.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_inr2' dst = 'KnobsModule17.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.song_out' dst = 'KnobsModule78.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.avg_lp' dst = 'KnobsModule78.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.song_phstart' dst = 'KnobsModule74.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.mixm3to1_in2' dst = 'KnobsModule17.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.multiplier_out' dst = 'KnobsModule71.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.arpeggiator_out' dst = 'KnobsModule75.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.avg_lp' dst = 'KnobsModule76.song_frequency')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.compare_outless' dst = 'KnobsModule76.song_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.song_res' dst = 'KnobsModule77.avg_in')
  )
)
