Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2016-10-23-01'
  version   = 6
  variation = 0
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 127 cc = 0 rnd = 0 variations = '8,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Amplifier'
      type  = 305
      left  = 8
      top   = 38
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 176 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 68
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 148 cc = 0 rnd = 0 variations = '8,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 98
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 8 cc = 0 rnd = 0 variations = '8,0.00782013685239492,0.00782013685239492,0.00782013685239492,0.00782013685239492,0.00782013685239492,0.00782013685239492,0.00782013685239492,0.00782013685239492' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 128
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 173
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 203
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 233
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'TuneSmithy'
      type  = 1220
      left  = 8
      top   = 263
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'tunesmithy_step' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'tunesmithy_steps' value = 4095 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsDisplay' name = 'tunesmithy_display_seed' value = '7,-3, 0,0,-5,0,0,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'LifeSeq'
      type  = 1222
      left  = 8
      top   = 308
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lifeseq_step' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out9' value = '32768' )
        detail( class = 'TKnobsGridControl' name = 'lifeseq_grid' value = '                 XX             |        XX       XX             |                                |                                |                                |                                |                                |                                |                                |                          XX    | X                              | XX                             | XX                             |X                               |      X   XX          X         |          XX               X    |         X X             XX XX  |                         XX XX  |                         XX XX  |                                |                                |       XX      XX               |       X       XX   X           |                                |                                |                          X     |XX                        X     |XXX        X             XX     | XX       X                     |         XXX            X       |          X                     |                XX              ' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out17' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out19' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out21' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out23' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out25' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out27' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out29' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out31' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out16' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out18' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out20' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out22' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out24' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out26' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out28' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out30' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out32' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_change' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_rev' value = '32768' )
        detail( class = 'TKnobsGridControl' name = 'lifeseq_stops' value = '                                ' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_faultrate' value = 1 cc = 0 rnd = 0 variations = '8,0.01,0.01,0.01,0.01,0.01,0.01,0.01,0.01' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_lowcount' value = 5 cc = 0 rnd = 0 variations = '8,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_randomamount' value = 10 cc = 0 rnd = 0 variations = '8,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_wrapmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_summode' value = 6 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_changemute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 593
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 668
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 233 cc = 0 rnd = 0 variations = '8,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 698
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 40 cc = 0 rnd = 0 variations = '8,0.15625,0.15625,0.15625,0.15625,0.15625,0.15625,0.15625,0.15625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 758
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 73 cc = 0 rnd = 0 variations = '8,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 119 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'FreqShifter'
      type  = 1401
      left  = 8
      top   = 803
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 19 cc = 0 rnd = 0 variations = '8,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Arpeggiator'
      type  = 349
      left  = 258
      top   = 8
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 7 cc = 0 rnd = 0 variations = '8,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 33 cc = 0 rnd = 0 variations = '8,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 113
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 36 cc = 0 rnd = 0 variations = '8,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 185 cc = 0 rnd = 0 variations = '8,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Reverb'
      type  = 703
      left  = 258
      top   = 158
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 186 cc = 0 rnd = 0 variations = '8,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 216 cc = 0 rnd = 0 variations = '8,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 224 cc = 0 rnd = 0 variations = '8,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 221 cc = 0 rnd = 0 variations = '8,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 63 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 16 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'TuneSmithy'
      type  = 1220
      left  = 258
      top   = 218
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'tunesmithy_step' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'tunesmithy_steps' value = 2047 cc = 0 rnd = 0 variations = '8,0.4998778998779,0.4998778998779,0.4998778998779,0.4998778998779,0.4998778998779,0.4998778998779,0.4998778998779,0.4998778998779' )
        detail( class = 'TKnobsDisplay' name = 'tunesmithy_display_seed' value = '7,0,5,0,-12' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 263
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 293
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 323
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 353
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 383
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 413
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 443
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 473
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 503
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 533
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 563
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Reverb'
      type  = 703
      left  = 258
      top   = 593
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 175 cc = 0 rnd = 0 variations = '8,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 37 cc = 0 rnd = 0 variations = '8,0.145669291338583,0.145669291338583,0.145669291338583,0.145669291338583,0.145669291338583,0.145669291338583,0.145669291338583,0.145669291338583' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 241 cc = 0 rnd = 0 variations = '8,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 221 cc = 0 rnd = 0 variations = '8,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 106 cc = 0 rnd = 0 variations = '8,0.841269841269841,0.841269841269841,0.841269841269841,0.841269841269841,0.841269841269841,0.841269841269841,0.841269841269841,0.841269841269841' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 51 cc = 0 rnd = 0 variations = '8,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 653
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 228 cc = 0 rnd = 0 variations = '8,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 182 cc = 0 rnd = 0 variations = '8,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 683
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 224 cc = 0 rnd = 0 variations = '8,0.875,0.875,0.875,0.875,0.875,0.875,0.875,0.875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 258
      top   = 713
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 232 cc = 0 rnd = 0 variations = '8,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 45 cc = 0 rnd = 0 variations = '8,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 758
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 788
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Arpeggiator'
      type  = 349
      left  = 508
      top   = 8
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 7 cc = 0 rnd = 0 variations = '8,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 33 cc = 0 rnd = 0 variations = '8,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 113
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 72 cc = 0 rnd = 0 variations = '8,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 206 cc = 0 rnd = 0 variations = '8,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 158
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 90 cc = 0 rnd = 0 variations = '8,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 74 cc = 0 rnd = 0 variations = '8,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 203
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 77 cc = 0 rnd = 0 variations = '8,0.30078125,0.30078125,0.30078125,0.30078125,0.30078125,0.30078125,0.30078125,0.30078125' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 81 cc = 0 rnd = 0 variations = '8,0.317647058823529,0.317647058823529,0.317647058823529,0.317647058823529,0.317647058823529,0.317647058823529,0.317647058823529,0.317647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 248
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 12 cc = 0 rnd = 0 variations = '8,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 83 cc = 0 rnd = 0 variations = '8,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 78 cc = 0 rnd = 0 variations = '8,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 293
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 27 cc = 0 rnd = 0 variations = '8,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 81 cc = 0 rnd = 0 variations = '8,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 72 cc = 0 rnd = 0 variations = '8,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Constant'
      type  = 301
      left  = 508
      top   = 338
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 221 cc = 0 rnd = 0 variations = '8,0.431640625,0.431640625,0.431640625,0.431640625,0.431640625,0.431640625,0.431640625,0.431640625' )
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 413
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 96 cc = 0 rnd = 0 variations = '8,0.375,0.375,0.375,0.375,0.375,0.375,0.375,0.375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 473
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 46 cc = 0 rnd = 0 variations = '8,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 518
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 55 cc = 0 rnd = 0 variations = '8,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 59 cc = 0 rnd = 0 variations = '8,0.115234375,0.115234375,0.115234375,0.115234375,0.115234375,0.115234375,0.115234375,0.115234375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Inverter'
      type  = 302
      left  = 508
      top   = 563
      color = 16777215
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 578
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 19 cc = 0 rnd = 0 variations = '8,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 104 cc = 0 rnd = 0 variations = '8,0.407843137254902,0.407843137254902,0.407843137254902,0.407843137254902,0.407843137254902,0.407843137254902,0.407843137254902,0.407843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 45 cc = 0 rnd = 0 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 36 cc = 0 rnd = 0 variations = '8,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 171 cc = 0 rnd = 0 variations = '8,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 160 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 758
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 213 cc = 0 rnd = 0 variations = '8,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 788
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 229 cc = 0 rnd = 0 variations = '8,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 8
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 23
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 166 cc = 0 rnd = 0 variations = '8,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 225 cc = 0 rnd = 0 variations = '8,0.439453125,0.439453125,0.439453125,0.439453125,0.439453125,0.439453125,0.439453125,0.439453125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Switch2to1'
      type  = 803
      left  = 758
      top   = 68
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'switch2to1_control' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Poetry'
      type  = 327
      left  = 758
      top   = 98
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 963 cc = 0 rnd = 0 variations = '8,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 143
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 43 cc = 0 rnd = 0 variations = '8,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 78 cc = 0 rnd = 0 variations = '8,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'FastToSlow'
      type  = 344
      left  = 758
      top   = 188
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 203
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 25 cc = 0 rnd = 0 variations = '8,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 263
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'SeqRandVal'
      type  = 1217
      left  = 758
      top   = 293
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seqrandval_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seqrandval_changeone' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_lowvalue' value = 141 cc = 0 rnd = 0 variations = '8,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_highvalue' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_basevalue' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_dist' value = 203 cc = 0 rnd = 0 variations = '8,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_qsteps' value = 63 cc = 0 rnd = 0 variations = '8,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261' )
        detail( class = 'TKnobsSelector' name = 'seqrandval_quantize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandval_slew' value = 103 cc = 0 rnd = 0 variations = '8,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451' )
        detail( class = 'TKnobsSelector' name = 'seqrandval_slewmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'EnvAHD'
      type  = 903
      left  = 758
      top   = 383
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 94 cc = 0 rnd = 0 variations = '8,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 242 cc = 0 rnd = 0 variations = '8,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 177 cc = 0 rnd = 0 variations = '8,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 503
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 148 cc = 0 rnd = 0 variations = '8,0.578125,0.578125,0.578125,0.578125,0.578125,0.578125,0.578125,0.578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 211 cc = 0 rnd = 0 variations = '8,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'PitchShift'
      type  = 910
      left  = 758
      top   = 533
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 144 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 51 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 593
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 67 cc = 0 rnd = 0 variations = '8,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Formant'
      type  = 1004
      left  = 758
      top   = 638
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 172 cc = 0 rnd = 0 variations = '8,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569,0.674509803921569' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 56 cc = 0 rnd = 0 variations = '8,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Inverter'
      type  = 302
      left  = 758
      top   = 668
      color = 16777215
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Formant'
      type  = 1004
      left  = 758
      top   = 683
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 170 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 758
      top   = 713
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 138 cc = 0 rnd = 0 variations = '8,0.541176470588235,0.541176470588235,0.541176470588235,0.541176470588235,0.541176470588235,0.541176470588235,0.541176470588235,0.541176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 107 cc = 0 rnd = 0 variations = '8,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'CubicClip'
      type  = 340
      left  = 758
      top   = 758
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 229 cc = 0 rnd = 0 variations = '8,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'CubicClip'
      type  = 340
      left  = 758
      top   = 788
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 225 cc = 0 rnd = 0 variations = '8,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Lfo'
      type  = 401
      left  = 1008
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 16 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 53
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 31 cc = 0 rnd = 0 variations = '8,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 83
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 98
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'LifeSeq'
      type  = 1222
      left  = 1008
      top   = 113
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lifeseq_step' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out9' value = '32768' )
        detail( class = 'TKnobsGridControl' name = 'lifeseq_grid' value = '                 XX      X X   X|X                 X  X     X    | X           X      X          X|X  X   X  X   X         X      X|    X     X     X             X |         X                 X    |               X   X       X    |  XX        X   X         X   X |   X X                         X|   X                      X     |     X     X                    |X  X         X     X X          |           X                 X  |        XX          X       X   |     XX X          X            |   X       X        X           |          X          X X        |X   X         X        X        |X    X        X      X          | X                              |                                |                   X            |     X       XX                 |X              X        X       | X                  X           |      XXXX            X   X     |  XX     XX                  X  |      X    X         X      X   |                                | X  X    X     X   X            |X     X         X            X  |     X X               X        ' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out17' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out19' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out21' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out23' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out25' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out27' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out29' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out31' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out16' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out18' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out20' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out22' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out24' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out26' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out28' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out30' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out32' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_change' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_rev' value = '32768' )
        detail( class = 'TKnobsGridControl' name = 'lifeseq_stops' value = '                                ' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.0714285714285714,0.0714285714285714,0.0714285714285714,0.0714285714285714,0.0714285714285714,0.0714285714285714,0.0714285714285714,0.0714285714285714' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_faultrate' value = 1 cc = 0 rnd = 0 variations = '8,0.01,0.01,0.01,0.01,0.01,0.01,0.01,0.01' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_lowcount' value = 5 cc = 0 rnd = 0 variations = '8,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_randomamount' value = 10 cc = 0 rnd = 0 variations = '8,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_wrapmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_summode' value = 6 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_changemute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'RSFlipFlop'
      type  = 605
      left  = 1008
      top   = 398
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 1008
      top   = 428
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'Arpeggiator'
      type  = 349
      left  = 1008
      top   = 503
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 7 cc = 0 rnd = 0 variations = '8,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903,0.225806451612903' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 548
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 225 cc = 0 rnd = 0 variations = '8,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 578
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 608
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 668
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'LevelConverter'
      type  = 329
      left  = 1008
      top   = 728
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'FreqShifter'
      type  = 1401
      left  = 1008
      top   = 758
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule89'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 788
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 194 cc = 0 rnd = 0 variations = '8,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 196 cc = 0 rnd = 0 variations = '8,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule88'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 818
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule35.volume_outl' dst = 'KnobsModule36.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.volume_outr' dst = 'KnobsModule36.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.divider_out' dst = 'KnobsModule9.lifeseq_change')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.osc_out' dst = 'KnobsModule13.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.envarretrig_sigout' dst = 'KnobsModule11.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.delay_out' dst = 'KnobsModule12.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.divider_out' dst = 'KnobsModule8.tunesmithy_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.arpeggiator_out' dst = 'KnobsModule16.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.divider_out' dst = 'KnobsModule17.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.envarretrig_trig' dst = 'KnobsModule15.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.osc_out' dst = 'KnobsModule17.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.envarretrig_sigout' dst = 'KnobsModule16.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.arpeggiator_out' dst = 'KnobsModule38.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_trig' dst = 'KnobsModule37.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_out' dst = 'KnobsModule39.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_sigout' dst = 'KnobsModule38.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.arpeggiator_newinput' dst = 'KnobsModule37.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.arpeggiator_in' dst = 'KnobsModule37.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule39.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.mixs2to1_outl' dst = 'KnobsModule33.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.mixs2to1_outr' dst = 'KnobsModule33.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.freqshifter_up' dst = 'KnobsModule33.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.freqshifter_down' dst = 'KnobsModule33.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.envarretrig_sigout' dst = 'KnobsModule14.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.arpeggiator_newinput' dst = 'KnobsModule58.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.euclids_out' dst = 'KnobsModule58.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.pitchshift_out' dst = 'KnobsModule61.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.pitchshift_out' dst = 'KnobsModule68.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.formant_in' dst = 'KnobsModule70.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.formant_vowelin' dst = 'KnobsModule17.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.envarretrig_sigout' dst = 'KnobsModule18.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.reverb_outl' dst = 'KnobsModule33.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_phase' dst = 'KnobsModule18.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.reverb_outr' dst = 'KnobsModule33.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.cubicclip_out' dst = 'KnobsModule31.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.reverb_outr' dst = 'KnobsModule32.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.cubicclip_out' dst = 'KnobsModule31.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.reverb_outl' dst = 'KnobsModule32.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.arpeggiator_newoutput' dst = 'KnobsModule55.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.multiplier_out' dst = 'KnobsModule56.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.quantizer_out' dst = 'KnobsModule4.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfo_out' dst = 'KnobsModule0.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.divider_trig' dst = 'KnobsModule5.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_trig' dst = 'KnobsModule6.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.divider_trig' dst = 'KnobsModule7.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.divider_trig' dst = 'KnobsModule9.lifeseq_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_step' dst = 'KnobsModule13.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.scalequantizer_out' dst = 'KnobsModule15.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.scalequantizer_out' dst = 'KnobsModule12.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_sum' dst = 'KnobsModule10.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.divider_out' dst = 'KnobsModule19.tunesmithy_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.formant_out' dst = 'KnobsModule71.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.filter6dbpbs_outl' dst = 'KnobsModule72.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.formant_out' dst = 'KnobsModule71.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.filter6dbpbs_outr' dst = 'KnobsModule73.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.arpeggiator_in' dst = 'KnobsModule57.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.switch2to1_out' dst = 'KnobsModule58.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.arpeggiator_out' dst = 'KnobsModule57.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm3to1_out' dst = 'KnobsModule66.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm3to1_levmod1' dst = 'KnobsModule67.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.poetry_newoutput' dst = 'KnobsModule62.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.divider_trig' dst = 'KnobsModule63.seqrandval_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.divider_out' dst = 'KnobsModule63.seqrandval_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.divider_out' dst = 'KnobsModule57.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.amplifier_out4' dst = 'KnobsModule2.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.avg_lp' dst = 'KnobsModule3.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.avg_lp' dst = 'KnobsModule1.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.tunesmithy_out' dst = 'KnobsModule20.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.euclids_trig' dst = 'KnobsModule46.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.svf_lp' dst = 'KnobsModule46.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.switch2to1_out2' dst = 'KnobsModule45.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.constant_out' dst = 'KnobsModule45.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.osc_out' dst = 'KnobsModule47.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.svf_bp' dst = 'KnobsModule46.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.delay_out' dst = 'KnobsModule52.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.delay_out' dst = 'KnobsModule52.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_inr1' dst = 'KnobsModule52.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_outl' dst = 'KnobsModule53.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_outr' dst = 'KnobsModule54.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.delay_in' dst = 'KnobsModule32.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.delay_in' dst = 'KnobsModule32.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_gain' dst = 'KnobsModule48.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.gate_out' dst = 'KnobsModule15.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.tunesmithy_out' dst = 'KnobsModule10.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out4' dst = 'KnobsModule24.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out26' dst = 'KnobsModule25.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out32' dst = 'KnobsModule26.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out3' dst = 'KnobsModule27.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.gate_out' dst = 'KnobsModule30.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out11' dst = 'KnobsModule28.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.gate_out' dst = 'KnobsModule30.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out20' dst = 'KnobsModule29.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.gate_out' dst = 'KnobsModule30.gate_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.rsflipflop_q' dst = 'KnobsModule27.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.rsflipflop_q' dst = 'KnobsModule28.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rsflipflop_q' dst = 'KnobsModule29.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out17' dst = 'KnobsModule21.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out27' dst = 'KnobsModule21.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.gate_out' dst = 'KnobsModule24.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out23' dst = 'KnobsModule22.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out28' dst = 'KnobsModule22.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.gate_out' dst = 'KnobsModule25.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out7' dst = 'KnobsModule23.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.gate_out' dst = 'KnobsModule26.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lifeseq_out15' dst = 'KnobsModule23.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.poetry_out' dst = 'KnobsModule59.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.svf_fm' dst = 'KnobsModule55.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.svf_bp' dst = 'KnobsModule60.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.fasttoslow_out' dst = 'KnobsModule65.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.svf_hp' dst = 'KnobsModule61.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.svf_lp' dst = 'KnobsModule61.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.randsig_out' dst = 'KnobsModule41.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_fm' dst = 'KnobsModule13.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_out' dst = 'KnobsModule42.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_fm' dst = 'KnobsModule33.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_out' dst = 'KnobsModule43.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.avg_lp' dst = 'KnobsModule59.svf_qmamtn')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.seqrandval_trig' dst = 'KnobsModule64.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.osc_out' dst = 'KnobsModule64.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.envahd_sigout' dst = 'KnobsModule66.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.seqrandval_out' dst = 'KnobsModule64.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.envahd_out' dst = 'KnobsModule59.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.envahd_out' dst = 'KnobsModule65.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.svf_qmamtn' dst = 'KnobsModule64.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.mixs2to1_outl' dst = 'KnobsModule34.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.filter6dbpbs_outl' dst = 'KnobsModule35.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.mixs2to1_outr' dst = 'KnobsModule34.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.filter6dbpbs_outr' dst = 'KnobsModule35.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.rsflipflop_notq' dst = 'KnobsModule37.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.rsflipflop_notq' dst = 'KnobsModule15.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.envahd_amodneg' dst = 'KnobsModule64.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.formant_vowelin' dst = 'KnobsModule39.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.inverter_in1' dst = 'KnobsModule68.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.lfo_out' dst = 'KnobsModule69.inverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.inverter_out1' dst = 'KnobsModule70.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.euclids_out' dst = 'KnobsModule50.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.svf_lp' dst = 'KnobsModule50.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.envahd_sigout' dst = 'KnobsModule52.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.rsflipflop_notq' dst = 'KnobsModule50.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rsflipflop_notq' dst = 'KnobsModule50.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.envarretrig_out' dst = 'KnobsModule52.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_inl1' dst = 'KnobsModule51.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outl' dst = 'KnobsModule52.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outr' dst = 'KnobsModule52.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.reverb_outr' dst = 'KnobsModule51.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.randsig_fm' dst = 'KnobsModule49.inverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.inverter_out1' dst = 'KnobsModule50.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_out' dst = 'KnobsModule49.inverter_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.lfo_out' dst = 'KnobsModule75.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.divider_trig' dst = 'KnobsModule78.lifeseq_step')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfo_out' dst = 'KnobsModule48.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.osc_phase' dst = 'KnobsModule56.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.euclids_trig' dst = 'KnobsModule65.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.tunesmithy_out' dst = 'KnobsModule76.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.sampleandhold_trig' dst = 'KnobsModule78.lifeseq_change')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.divider_out' dst = 'KnobsModule76.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.sampleandhold_out' dst = 'KnobsModule80.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.lifeseq_sum' dst = 'KnobsModule80.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.scalequantizer_out' dst = 'KnobsModule81.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.lifeseq_step' dst = 'KnobsModule81.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.mixs2to1_outl' dst = 'KnobsModule32.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.mixs2to1_outr' dst = 'KnobsModule32.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.sampleandhold_trig' dst = 'KnobsModule77.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.tunesmithy_out' dst = 'KnobsModule77.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.osc_out' dst = 'KnobsModule86.levelconverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm3to1_in1' dst = 'KnobsModule81.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.multiplier_in4' dst = 'KnobsModule74.lfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.osc_out' dst = 'KnobsModule87.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.freqshifter_up' dst = 'KnobsModule89.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.freqshifter_down' dst = 'KnobsModule89.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.avg_lp' dst = 'KnobsModule84.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.arpeggiator_out' dst = 'KnobsModule82.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.arpeggiator_in' dst = 'KnobsModule83.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.avg_lp' dst = 'KnobsModule85.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.levelconverter_out4' dst = 'KnobsModule85.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.levelconverter_out4' dst = 'KnobsModule88.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.multiplier_out' dst = 'KnobsModule89.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_out' dst = 'KnobsModule88.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_out' dst = 'KnobsModule88.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.randsig_out' dst = 'KnobsModule88.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.lifeseq_out7' dst = 'KnobsModule79.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.lifeseq_out24' dst = 'KnobsModule79.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.rsflipflop_notq' dst = 'KnobsModule81.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.multiplier_in2' dst = 'KnobsModule0.divider_reset')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.rsflipflop_q' dst = 'KnobsModule55.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.delay_in' dst = 'KnobsModule51.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.avg_lp' dst = 'KnobsModule55.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.switch2to1_control' dst = 'KnobsModule74.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.randsig_fm' dst = 'KnobsModule32.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.randsig_out' dst = 'KnobsModule40.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.sampleandhold_out' dst = 'KnobsModule78.lifeseq_chain')
  )
)
