Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2016-12-10-02'
  version   = 6
  variation = 0
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Gate'
      type  = 602
      left  = 8
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0 rnd = 0 variations = '8,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 2 cc = 0 rnd = 0 variations = '8,0.0869565217391304,0.0869565217391304,0.0869565217391304,0.0869565217391304,0.0869565217391304,0.0869565217391304,0.0869565217391304,0.0869565217391304' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 38
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0.0705882352941176,0.145098039215686,0.215686274509804,0.286274509803922,0.36078431372549,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 24 cc = 0 rnd = 1 variations = '8,0.09375,0.09375,0.078125,0.0625,0.046875,0.03125,0.015625,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 83
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 113
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 5 cc = 0 rnd = 0 variations = '8,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 207 cc = 0 rnd = 0 variations = '8,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 203
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 30 cc = 0 rnd = 0 variations = '8,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 248
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 43 cc = 0 rnd = 0 variations = '8,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 293
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 14 cc = 0 rnd = 0 variations = '8,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 17 cc = 0 rnd = 0 variations = '8,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 338
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Notes'
      type  = 1107
      left  = 8
      top   = 368
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsDisplay' name = 'notes_display' value = 'Livemorph to 1 for action - 2.036 Hz is nice (pos 187 on live morph)' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 488
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 80 cc = 0 rnd = 1 variations = '8,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 1 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 5 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 1 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'LiveMorph'
      type  = 1309
      left  = 8
      top   = 533
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'livemorph_inputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'livemorph_active' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Pan'
      type  = 202
      left  = 8
      top   = 578
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0 rnd = 1 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'pan_fadertype' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 608
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 229 cc = 0 rnd = 0 variations = '8,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 141 cc = 0 rnd = 0 variations = '8,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 638
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 135 cc = 0 rnd = 0 variations = '8,0.52734375,0.52734375,0.52734375,0.52734375,0.52734375,0.52734375,0.52734375,0.52734375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 161 cc = 0 rnd = 0 variations = '8,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 668
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 210 cc = 0 rnd = 0 variations = '8,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 242 cc = 0 rnd = 0 variations = '8,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 117 cc = 0 rnd = 0 variations = '8,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 728
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Reverb'
      type  = 703
      left  = 8
      top   = 818
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 177 cc = 0 rnd = 0 variations = '8,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 223 cc = 0 rnd = 0 variations = '8,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 234 cc = 0 rnd = 0 variations = '8,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 63 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 14 cc = 0 rnd = 0 variations = '8,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 38
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 68
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 23 cc = 0 rnd = 0 variations = '8,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 147 cc = 0 rnd = 0 variations = '8,0.287109375,0.287109375,0.287109375,0.287109375,0.287109375,0.287109375,0.287109375,0.287109375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 113
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 148 cc = 0 rnd = 0 variations = '8,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 143
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 3 cc = 0 rnd = 0 variations = '8,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 43 cc = 0 rnd = 0 variations = '8,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 203
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 183 cc = 0 rnd = 0 variations = '8,0.717647058823529,0.717647058823529,0.717647058823529,0.717647058823529,0.717647058823529,0.717647058823529,0.717647058823529,0.717647058823529' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 248
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 278
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 23 cc = 0 rnd = 0 variations = '8,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622,0.0905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 55 cc = 0 rnd = 0 variations = '8,0.107421875,0.107421875,0.107421875,0.107421875,0.107421875,0.107421875,0.107421875,0.107421875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 79 cc = 0 rnd = 0 variations = '8,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 353
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 2 cc = 0 rnd = 0 variations = '8,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 222 cc = 0 rnd = 0 variations = '8,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 252 cc = 0 rnd = 0 variations = '8,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 458
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 98 cc = 0 rnd = 0 variations = '8,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 44 cc = 0 rnd = 0 variations = '8,0.171875,0.171875,0.171875,0.171875,0.171875,0.171875,0.171875,0.171875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Noise'
      type  = 503
      left  = 258
      top   = 488
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 518
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 59 cc = 0 rnd = 0 variations = '8,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 37 cc = 0 rnd = 0 variations = '8,0.072265625,0.072265625,0.072265625,0.072265625,0.072265625,0.072265625,0.072265625,0.072265625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 548
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 28 cc = 0 rnd = 0 variations = '8,0.109375,0.109375,0.109375,0.109375,0.109375,0.109375,0.109375,0.109375' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 140 cc = 0 rnd = 0 variations = '8,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 593
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 28 cc = 0 rnd = 0 variations = '8,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 171 cc = 0 rnd = 0 variations = '8,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 638
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 266 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 683
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 244 cc = 0 rnd = 0 variations = '8,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 758
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'PhaseDistortion'
      type  = 913
      left  = 258
      top   = 788
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 244 cc = 0 rnd = 0 variations = '8,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 41 cc = 0 rnd = 0 variations = '8,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 196 cc = 0 rnd = 0 variations = '8,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 31 cc = 0 rnd = 0 variations = '8,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 9 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Arpeggiator'
      type  = 349
      left  = 508
      top   = 38
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 5 cc = 0 rnd = 0 variations = '8,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 83
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 102 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 113
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 51 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 158
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 129 cc = 0 rnd = 0 variations = '8,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 188
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 53 cc = 0 rnd = 0 variations = '8,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 248
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 181 cc = 0 rnd = 0 variations = '8,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Formant'
      type  = 1004
      left  = 508
      top   = 293
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Rotator'
      type  = 309
      left  = 508
      top   = 323
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Reverb'
      type  = 703
      left  = 508
      top   = 353
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 213 cc = 0 rnd = 0 variations = '8,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059,0.835294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 223 cc = 0 rnd = 0 variations = '8,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 227 cc = 0 rnd = 0 variations = '8,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 63 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 44 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Gate'
      type  = 602
      left  = 508
      top   = 488
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0 rnd = 0 variations = '8,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 518
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 57 cc = 0 rnd = 0 variations = '8,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 84 cc = 0 rnd = 0 variations = '8,0.328125,0.328125,0.328125,0.328125,0.328125,0.328125,0.328125,0.328125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 578
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 91 cc = 0 rnd = 0 variations = '8,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 11 cc = 0 rnd = 0 variations = '8,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Arpeggiator'
      type  = 349
      left  = 758
      top   = 38
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 5 cc = 0 rnd = 0 variations = '8,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 3 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 83
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 102 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 113
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 59 cc = 0 rnd = 0 variations = '8,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 158
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 129 cc = 0 rnd = 0 variations = '8,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 188
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 53 cc = 0 rnd = 0 variations = '8,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 248
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 231 cc = 0 rnd = 0 variations = '8,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Formant'
      type  = 1004
      left  = 758
      top   = 293
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 38
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 14 cc = 0 rnd = 0 variations = '8,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 113
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 49 cc = 0 rnd = 0 variations = '8,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 143
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 203
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 119 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 248
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 293
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 96 cc = 0 rnd = 0 variations = '8,0.375,0.375,0.375,0.375,0.375,0.375,0.375,0.375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'FreqShifter'
      type  = 1401
      left  = 1008
      top   = 323
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 20 cc = 0 rnd = 0 variations = '8,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'PhaseDistortion'
      type  = 913
      left  = 1008
      top   = 353
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 49 cc = 0 rnd = 0 variations = '8,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 200 cc = 0 rnd = 0 variations = '8,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196' )
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 91 cc = 0 rnd = 0 variations = '8,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 9 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'AudioIn'
      type  = 101
      left  = 1008
      top   = 443
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 473
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,0.00390625,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 503
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,0.9609375,0.921875,0.8828125,0.84765625,0.80859375,0.76953125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,0.95703125,0.9140625,0.8671875,0.82421875,0.78125,0.73828125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 533
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 251 cc = 0 rnd = 1 variations = '8,0.98046875,0.98046875,0.96484375,0.94921875,0.93359375,0.91796875,0.90234375,0.88671875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 563
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 593
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'Divider'
      type  = 603
      left  = 1258
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'SeqRandom'
      type  = 1208
      left  = 1258
      top   = 38
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 12 cc = 0 rnd = 0 variations = '8,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 207 cc = 0 rnd = 0 variations = '8,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126,0.81496062992126' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 128
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 67 cc = 0 rnd = 0 variations = '8,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 173
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 81 cc = 0 rnd = 0 variations = '8,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 218
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 47 cc = 0 rnd = 0 variations = '8,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 263
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 308
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 75 cc = 0 rnd = 0 variations = '8,0.29296875,0.29296875,0.29296875,0.29296875,0.29296875,0.29296875,0.29296875,0.29296875' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 353
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 10 cc = 0 rnd = 0 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 33 cc = 0 rnd = 0 variations = '8,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'RandSig'
      type  = 408
      left  = 1258
      top   = 398
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 10 cc = 0 rnd = 0 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 33 cc = 0 rnd = 0 variations = '8,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule15.volume_outl' dst = 'KnobsModule16.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.volume_outr' dst = 'KnobsModule16.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outl' dst = 'KnobsModule15.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outr' dst = 'KnobsModule15.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_trig' dst = 'KnobsModule3.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule3.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.euclids_out' dst = 'KnobsModule23.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.osc_out' dst = 'KnobsModule23.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule18.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.chebgen_out3' dst = 'KnobsModule19.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.divider_out' dst = 'KnobsModule20.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_sigout' dst = 'KnobsModule21.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.delay_out' dst = 'KnobsModule22.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_out' dst = 'KnobsModule22.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_sigout' dst = 'KnobsModule24.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.formant_out' dst = 'KnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_inr2' dst = 'KnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.euclids_out' dst = 'KnobsModule39.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.seqrandom_out' dst = 'KnobsModule40.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.chebgen_in' dst = 'KnobsModule40.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.divider_out' dst = 'KnobsModule40.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.arpeggiator_out' dst = 'KnobsModule44.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule14.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.arpeggiator_newoutput' dst = 'KnobsModule45.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.osc_out' dst = 'KnobsModule45.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.osc_out' dst = 'KnobsModule41.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.delay_out' dst = 'KnobsModule44.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.reverb_outr' dst = 'KnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.reverb_outl' dst = 'KnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule40.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.lfo_out' dst = 'KnobsModule43.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixm3to1_out' dst = 'KnobsModule44.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envarretrig_out' dst = 'KnobsModule43.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixm3to1_levmod3' dst = 'KnobsModule42.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.lfo_fm' dst = 'KnobsModule41.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envarretrig_sigout' dst = 'KnobsModule46.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.divider_out' dst = 'KnobsModule53.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.arpeggiator_out' dst = 'KnobsModule57.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_out' dst = 'KnobsModule58.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_out' dst = 'KnobsModule54.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.delay_out' dst = 'KnobsModule57.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.lfo_out' dst = 'KnobsModule56.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm3to1_out' dst = 'KnobsModule57.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.envarretrig_out' dst = 'KnobsModule56.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm3to1_levmod3' dst = 'KnobsModule55.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.lfo_fm' dst = 'KnobsModule54.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.envarretrig_sigout' dst = 'KnobsModule59.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.divider_trig' dst = 'KnobsModule52.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.arpeggiator_newinput' dst = 'KnobsModule53.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.arpeggiator_in' dst = 'KnobsModule53.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.arpeggiator_toggle' dst = 'KnobsModule53.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.formant_out' dst = 'KnobsModule47.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.rotator_out1' dst = 'KnobsModule48.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.formant_out' dst = 'KnobsModule47.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.rotator_out2' dst = 'KnobsModule48.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.euclids_out' dst = 'KnobsModule33.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.euclids_out' dst = 'KnobsModule35.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_sigin' dst = 'KnobsModule35.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.euclids_trig' dst = 'KnobsModule34.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.randsig_out' dst = 'KnobsModule37.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.rotator_angle' dst = 'KnobsModule46.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.euclids_out' dst = 'KnobsModule28.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_sigout' dst = 'KnobsModule26.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.delay_out' dst = 'KnobsModule27.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_out' dst = 'KnobsModule27.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_sigout' dst = 'KnobsModule29.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.euclids_pattern' dst = 'KnobsModule24.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.formant_vowelin' dst = 'KnobsModule47.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm3to1_in3' dst = 'KnobsModule26.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixm3to1_in3' dst = 'KnobsModule29.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.osc_out' dst = 'KnobsModule66.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.envarretrig_sigout' dst = 'KnobsModule68.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.envarretrig_out' dst = 'KnobsModule67.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.mixm3to1_out' dst = 'KnobsModule68.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.arpeggiator_newinput' dst = 'KnobsModule67.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.divider_out' dst = 'KnobsModule60.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.arpeggiator_newoutput' dst = 'KnobsModule58.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.divider_out' dst = 'KnobsModule61.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.arpeggiator_out' dst = 'KnobsModule61.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.sampleandhold_out' dst = 'KnobsModule62.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.osc_freq' dst = 'KnobsModule64.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.freqshifter_down' dst = 'KnobsModule69.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.freqshifter_up' dst = 'KnobsModule69.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.mixm3to1_in3' dst = 'KnobsModule69.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osc_out' dst = 'KnobsModule63.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.delay_in' dst = 'KnobsModule62.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.delay_out' dst = 'KnobsModule64.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.chebgen_out3' dst = 'KnobsModule69.phasedistort_intensitymod')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm3to1_out' dst = 'KnobsModule62.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.sampleandhold_trig' dst = 'KnobsModule65.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.envarretrig_trig' dst = 'KnobsModule66.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.envarretrig_out' dst = 'KnobsModule64.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.mixs2to1_outl' dst = 'KnobsModule74.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.mixs2to1_outr' dst = 'KnobsModule75.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.delay_out' dst = 'KnobsModule73.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.delay_out' dst = 'KnobsModule73.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.delay_in' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.phasedistort_outr' dst = 'KnobsModule73.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.delay_in' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.phasedistort_outl' dst = 'KnobsModule73.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.rotator_out2' dst = 'KnobsModule38.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.rotator_out1' dst = 'KnobsModule38.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_out' dst = 'KnobsModule38.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.euclids_out' dst = 'KnobsModule49.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.euclids_out' dst = 'KnobsModule49.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.osc_out' dst = 'KnobsModule51.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.gate_out' dst = 'KnobsModule51.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_inr2' dst = 'KnobsModule36.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_sigout' dst = 'KnobsModule36.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outl' dst = 'KnobsModule37.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envarretrig_sigout' dst = 'KnobsModule36.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outr' dst = 'KnobsModule37.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.osc_phase' dst = 'KnobsModule36.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_sigout' dst = 'KnobsModule50.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_out' dst = 'KnobsModule50.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.cubicclip_out' dst = 'KnobsModule33.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.noise_out' dst = 'KnobsModule31.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_out' dst = 'KnobsModule30.noise_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.divider_out' dst = 'KnobsModule76.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.divider_trig' dst = 'KnobsModule77.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.divider_out' dst = 'KnobsModule77.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.seqrandom_out' dst = 'KnobsModule50.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.randsig_out' dst = 'KnobsModule80.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.randsig_out' dst = 'KnobsModule79.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.randsig_out' dst = 'KnobsModule81.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.randsig_out' dst = 'KnobsModule82.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.randsig_out' dst = 'KnobsModule83.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.randsig_fm' dst = 'KnobsModule45.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.randsig_fm' dst = 'KnobsModule36.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.reverb_outl' dst = 'KnobsModule13.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.phasedistort_outl' dst = 'KnobsModule17.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.reverb_outr' dst = 'KnobsModule13.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.phasedistort_outr' dst = 'KnobsModule17.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_trig' dst = 'KnobsModule17.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.randsig_out' dst = 'KnobsModule78.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.randsig_out' dst = 'KnobsModule84.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.randsig_fm' dst = 'KnobsModule66.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.envarretrig_gain' dst = 'KnobsModule65.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.reverb_outr' dst = 'KnobsModule72.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.reverb_outl' dst = 'KnobsModule72.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixs2to1_outl' dst = 'KnobsModule73.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixs2to1_outr' dst = 'KnobsModule73.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.osc_out' dst = 'KnobsModule28.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.formant_out' dst = 'KnobsModule72.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.randsig_fm' dst = 'KnobsModule36.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.euclids_pattern' dst = 'KnobsModule25.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.randsig_out' dst = 'KnobsModule32.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.randsig_out' dst = 'KnobsModule5.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.euclids_pattern' dst = 'KnobsModule59.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_out' dst = 'KnobsModule34.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_out' dst = 'KnobsModule4.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.randsig_out' dst = 'KnobsModule6.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.osc_freq' dst = 'KnobsModule3.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.randsig_fm' dst = 'KnobsModule72.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.chebgen_out2' dst = 'KnobsModule32.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_freq' dst = 'KnobsModule27.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.randsig_fm' dst = 'KnobsModule51.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_gain' dst = 'KnobsModule33.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_gain' dst = 'KnobsModule35.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.randsig_fm' dst = 'KnobsModule72.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixs2to1_levmod1' dst = 'KnobsModule58.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.formant_out' dst = 'KnobsModule72.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.multiplier_in2' dst = 'KnobsModule7.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.seqrandom_trig' dst = 'KnobsModule7.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.multiplier_in1' dst = 'KnobsModule25.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.multiplier_out' dst = 'KnobsModule28.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.euclids_trig' dst = 'KnobsModule11.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.formant_out' dst = 'KnobsModule11.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.pan_out1' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.pan_out2' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envarretrig_trig' dst = 'KnobsModule0.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.envarretrig_trig' dst = 'KnobsModule0.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.seqrandom_changeone' dst = 'KnobsModule0.gate_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.gate_out' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.audioin_out1' dst = 'KnobsModule71.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lfo_out' dst = 'KnobsModule10.livemorph_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.audioin_out2' dst = 'KnobsModule71.mixs2to1_inr1')
  )
)
