Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2016-12-13-01'
  version   = 6
  variation = 0
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 16 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 56 cc = 0 rnd = 0 variations = '8,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 8
      top   = 53
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 113 cc = 0 rnd = 0 variations = '8,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'ProbSequencer'
      type  = 1214
      left  = 8
      top   = 98
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'probsequencer_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl0' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl11' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note8' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob0' value = 202 cc = 0 rnd = 0 variations = '8,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob1' value = 95 cc = 0 rnd = 0 variations = '8,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob3' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob5' value = 181 cc = 0 rnd = 0 variations = '8,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob7' value = 117 cc = 0 rnd = 0 variations = '8,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125,0.45703125' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob8' value = 216 cc = 0 rnd = 0 variations = '8,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob11' value = 167 cc = 0 rnd = 0 variations = '8,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_lownote' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_highnote' value = 91 cc = 0 rnd = 0 variations = '8,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_basenote' value = 5 cc = 0 rnd = 0 variations = '8,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tilt' value = 119 cc = 0 rnd = 0 variations = '8,0.46484375,0.46484375,0.46484375,0.46484375,0.46484375,0.46484375,0.46484375,0.46484375' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tiltmodamt' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smooth' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smoothmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 263
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 197 cc = 0 rnd = 0 variations = '8,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 293
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 170 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 323
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 14 cc = 0 rnd = 0 variations = '8,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 353
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'EnvADSR'
      type  = 904
      left  = 8
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envadsr_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_attack' value = 119 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_decay' value = 167 cc = 0 rnd = 0 variations = '8,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_sustain' value = 80 cc = 0 rnd = 0 variations = '8,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125' )
        detail( class = 'TKnobsSelector' name = 'envadsr_rshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envadsr_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envadsr_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envadsr_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envadsr_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envadsr_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_amodlevel' value = 54 cc = 0 rnd = 0 variations = '8,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_dmodlevel' value = 45 cc = 0 rnd = 0 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_smodlevel' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_rmodlevel' value = 213 cc = 0 rnd = 0 variations = '8,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125' )
        detail( class = 'TKnobsSelector' name = 'envadsr_rrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envadsr_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envadsr_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 533
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 53 cc = 0 rnd = 0 variations = '8,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 46 cc = 0 rnd = 0 variations = '8,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 197 cc = 0 rnd = 0 variations = '8,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'HrastSVF'
      type  = 4002
      left  = 8
      top   = 563
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_frequency' value = 56 cc = 0 rnd = 0 variations = '8,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_lowpass' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_q' value = 162 cc = 0 rnd = 0 variations = '8,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_bandpass' value = 203 cc = 0 rnd = 0 variations = '8,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_highpass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_qmlevel' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_fmlevel' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level12' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level24' value = 242 cc = 0 rnd = 0 variations = '8,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137,0.949019607843137' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 653
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 178 cc = 0 rnd = 0 variations = '8,0.6953125,0.6953125,0.6953125,0.6953125,0.6953125,0.6953125,0.6953125,0.6953125' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 296 cc = 0 rnd = 0 variations = '8,0.578125,0.578125,0.578125,0.578125,0.578125,0.578125,0.578125,0.578125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'PhaseDistortion'
      type  = 913
      left  = 8
      top   = 683
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 146 cc = 0 rnd = 0 variations = '8,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 156 cc = 0 rnd = 0 variations = '8,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 59 cc = 0 rnd = 0 variations = '8,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 226 cc = 0 rnd = 0 variations = '8,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922' )
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 117 cc = 0 rnd = 0 variations = '8,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Reverb'
      type  = 703
      left  = 8
      top   = 773
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 217 cc = 0 rnd = 0 variations = '8,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 243 cc = 0 rnd = 0 variations = '8,0.952941176470588,0.952941176470588,0.952941176470588,0.952941176470588,0.952941176470588,0.952941176470588,0.952941176470588,0.952941176470588' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 232 cc = 0 rnd = 0 variations = '8,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 26 cc = 0 rnd = 0 variations = '8,0.206349206349206,0.206349206349206,0.206349206349206,0.206349206349206,0.206349206349206,0.206349206349206,0.206349206349206,0.206349206349206' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 25 cc = 0 rnd = 0 variations = '8,0.390625,0.390625,0.390625,0.390625,0.390625,0.390625,0.390625,0.390625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 833
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 863
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254 cc = 0 rnd = 0 variations = '8,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 893
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 240 cc = 0 rnd = 0 variations = '8,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 38
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 68
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 134 cc = 0 rnd = 0 variations = '8,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 63 cc = 0 rnd = 0 variations = '8,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 57 cc = 0 rnd = 0 variations = '8,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 181 cc = 0 rnd = 0 variations = '8,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 113
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 36 cc = 0 rnd = 0 variations = '8,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'ProbSequencer'
      type  = 1214
      left  = 258
      top   = 143
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'probsequencer_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl0' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl11' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_scale' value = 12 cc = 0 rnd = 0 variations = '8,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob0' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob4' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob5' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob6' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob7' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob8' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob9' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob10' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob11' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_lownote' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_highnote' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_basenote' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tilt' value = 122 cc = 0 rnd = 0 variations = '8,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tiltmodamt' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smooth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smoothmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 308
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 323
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 83 cc = 0 rnd = 0 variations = '8,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 353
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 398
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 83 cc = 0 rnd = 0 variations = '8,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 428
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 473
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 62 cc = 0 rnd = 0 variations = '8,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 518
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 563
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 593
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 169 cc = 0 rnd = 0 variations = '8,0.662745098039216,0.662745098039216,0.662745098039216,0.662745098039216,0.662745098039216,0.662745098039216,0.662745098039216,0.662745098039216' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 623
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 154 cc = 0 rnd = 0 variations = '8,0.603921568627451,0.603921568627451,0.603921568627451,0.603921568627451,0.603921568627451,0.603921568627451,0.603921568627451,0.603921568627451' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 653
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 134 cc = 0 rnd = 0 variations = '8,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431,0.525490196078431' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 698
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'PinkFilter'
      type  = 1005
      left  = 258
      top   = 728
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0 rnd = 0 variations = '8,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165' )
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'PinkFilter'
      type  = 1005
      left  = 258
      top   = 758
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0 rnd = 0 variations = '8,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165' )
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 258
      top   = 788
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 129 cc = 0 rnd = 0 variations = '8,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 833
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 225 cc = 0 rnd = 0 variations = '8,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 863
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 251 cc = 0 rnd = 0 variations = '8,0.98046875,0.98046875,0.98046875,0.98046875,0.98046875,0.98046875,0.98046875,0.98046875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 893
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 141 cc = 0 rnd = 0 variations = '8,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 623
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 60 cc = 0 rnd = 0 variations = '8,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 80 cc = 0 rnd = 0 variations = '8,0.15625,0.15625,0.15625,0.15625,0.15625,0.15625,0.15625,0.15625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 668
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 1 cc = 0 rnd = 1 variations = '8,0.0078740157480315,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 93 cc = 0 rnd = 1 variations = '8,0.732283464566929,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 255 cc = 0 rnd = 1 variations = '8,1,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 78 cc = 0 rnd = 1 variations = '8,0.3046875,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 8 cc = 0 rnd = 1 variations = '8,0.03125,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'CubicClip'
      type  = 340
      left  = 508
      top   = 713
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 109 cc = 0 rnd = 0 variations = '8,0.42578125,0.42578125,0.42578125,0.42578125,0.42578125,0.42578125,0.42578125,0.42578125' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'CubicClip'
      type  = 340
      left  = 508
      top   = 743
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 108 cc = 0 rnd = 0 variations = '8,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'GVerb'
      type  = 707
      left  = 508
      top   = 773
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 80 cc = 0 rnd = 0 variations = '8,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 75 cc = 0 rnd = 0 variations = '8,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 241 cc = 0 rnd = 0 variations = '8,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 143 cc = 0 rnd = 0 variations = '8,0.279843444227006,0.279843444227006,0.279843444227006,0.279843444227006,0.279843444227006,0.279843444227006,0.279843444227006,0.279843444227006' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 231 cc = 0 rnd = 0 variations = '8,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 216 cc = 0 rnd = 0 variations = '8,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 1 cc = 0 rnd = 0 variations = '8,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 3 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Volume'
      type  = 212
      left  = 508
      top   = 863
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'AudioOut'
      type  = 102
      left  = 508
      top   = 893
      color = 8421376
      rnd   = 0
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envadsr_sigout' dst = 'KnobsModule9.hrastsvf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule7.envadsr_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm3to1_out' dst = 'KnobsModule6.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.delay_out' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envadsr_out' dst = 'KnobsModule3.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm3to1_levmod2' dst = 'KnobsModule3.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm3to1_in1' dst = 'KnobsModule4.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.probsequencer_out' dst = 'KnobsModule5.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.avg_lp' dst = 'KnobsModule6.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.phasedistort_outr' dst = 'KnobsModule12.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.phasedistort_outl' dst = 'KnobsModule12.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.euclids_trig' dst = 'KnobsModule3.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.euclids_out' dst = 'KnobsModule2.probsequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule17.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.divider_out' dst = 'KnobsModule20.probsequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.probsequencer_out' dst = 'KnobsModule2.probsequencer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.probsequencer_trig' dst = 'KnobsModule7.envadsr_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.hrastsvf_12' dst = 'KnobsModule4.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.euclids_pattern' dst = 'KnobsModule0.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule15.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.delay_out' dst = 'KnobsModule13.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_out' dst = 'KnobsModule13.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.reverb_outl' dst = 'KnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.reverb_outr' dst = 'KnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm3to1_out' dst = 'KnobsModule19.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixm3to1_out' dst = 'KnobsModule20.probsequencer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixm3to1_levmod3' dst = 'KnobsModule1.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule19.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_phase' dst = 'KnobsModule7.envadsr_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envadsr_dmod' dst = 'KnobsModule7.envadsr_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.hrastsvf_12' dst = 'KnobsModule10.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.cubicclip_out' dst = 'KnobsModule11.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.phasedistort_inr' dst = 'KnobsModule11.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.probsequencer_out' dst = 'KnobsModule21.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_sync' dst = 'KnobsModule21.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.sampleandhold_out' dst = 'KnobsModule23.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule32.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule32.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.filter6dbpbs_outr' dst = 'KnobsModule36.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.filter6dbpbs_outl' dst = 'KnobsModule36.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.rotator_out1' dst = 'KnobsModule33.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.pinkfilter_out' dst = 'KnobsModule35.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.rotator_out2' dst = 'KnobsModule34.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.pinkfilter_out' dst = 'KnobsModule35.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixm3to1_in1' dst = 'KnobsModule9.hrastsvf_qm')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm3to1_in2' dst = 'KnobsModule22.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixm3to1_out' dst = 'KnobsModule23.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.divider_trig' dst = 'KnobsModule16.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.chebgen_out2' dst = 'KnobsModule3.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_out' dst = 'KnobsModule3.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm3to1_levmod3' dst = 'KnobsModule5.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.chebgen_out3' dst = 'KnobsModule8.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm3to1_out' dst = 'KnobsModule9.hrastsvf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envadsr_out' dst = 'KnobsModule8.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envadsr_amodneg' dst = 'KnobsModule8.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outl' dst = 'KnobsModule29.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outr' dst = 'KnobsModule30.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.delay_out' dst = 'KnobsModule28.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.delay_out' dst = 'KnobsModule28.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.rotator_in1' dst = 'KnobsModule28.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.rotator_in2' dst = 'KnobsModule28.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.delay_in' dst = 'KnobsModule36.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.delay_in' dst = 'KnobsModule36.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_out' dst = 'KnobsModule24.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixm3to1_out' dst = 'KnobsModule25.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randsig_out' dst = 'KnobsModule7.envadsr_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.chebgen_out3' dst = 'KnobsModule26.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.euclids_out' dst = 'KnobsModule27.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.envarretrig_out' dst = 'KnobsModule28.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_freq' dst = 'KnobsModule25.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.euclids_pattern' dst = 'KnobsModule29.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.lfo_out' dst = 'KnobsModule26.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_levmod1' dst = 'KnobsModule8.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.cubicclip_out' dst = 'KnobsModule43.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.cubicclip_out' dst = 'KnobsModule43.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outl' dst = 'KnobsModule37.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outr' dst = 'KnobsModule37.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixs2to1_outl' dst = 'KnobsModule38.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixs2to1_outr' dst = 'KnobsModule38.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.gverb_outl' dst = 'KnobsModule37.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.gverb_outr' dst = 'KnobsModule37.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixs2to1_inl1' dst = 'KnobsModule41.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixs2to1_inr1' dst = 'KnobsModule42.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.volume_outl' dst = 'KnobsModule44.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.volume_outl' dst = 'KnobsModule45.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.volume_outr' dst = 'KnobsModule44.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.volume_outr' dst = 'KnobsModule45.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.hrastsvf_qm' dst = 'KnobsModule39.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.svf_bp' dst = 'KnobsModule43.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.euclids_out' dst = 'KnobsModule40.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.lfo_out' dst = 'KnobsModule39.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.sampleandhold_in' dst = 'KnobsModule40.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.delay_delay' dst = 'KnobsModule7.envadsr_rmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envadsr_rmodneg' dst = 'KnobsModule7.envadsr_smodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixm3to1_in3' dst = 'KnobsModule40.svf_qmamtn')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.svf_qmamtn' dst = 'KnobsModule32.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.rotator_angle' dst = 'KnobsModule14.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.hrastsvf_fm' dst = 'KnobsModule11.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm3to1_levmod3' dst = 'KnobsModule9.hrastsvf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm3to1_in2' dst = 'KnobsModule28.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.euclids_out' dst = 'KnobsModule18.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.probsequencer_trig' dst = 'KnobsModule0.lfo_fm')
  )
)
