Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2016-12-19-01'
  version   = 6
  variation = 0
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Envelope'
      type  = 905
      left  = 8
      top   = 8
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 126 cc = 0 rnd = 0 variations = '8,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824' )
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envelope_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 53
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 226 cc = 0 rnd = 0 variations = '8,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 220 cc = 0 rnd = 0 variations = '8,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 100 cc = 0 rnd = 0 variations = '8,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 128
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 199 cc = 0 rnd = 0 variations = '8,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 158
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 165 cc = 0 rnd = 0 variations = '8,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 31 cc = 0 rnd = 0 variations = '8,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375,0.12109375' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 203
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 165 cc = 0 rnd = 0 variations = '8,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 248
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 82 cc = 0 rnd = 0 variations = '8,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 293
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 57 cc = 0 rnd = 0 variations = '8,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 25 cc = 0 rnd = 0 variations = '8,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 338
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 52 cc = 0 rnd = 0 variations = '8,0.203125,0.203125,0.203125,0.203125,0.203125,0.203125,0.203125,0.203125' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 383
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 168 cc = 0 rnd = 0 variations = '8,0.658823529411765,0.658823529411765,0.658823529411765,0.658823529411765,0.658823529411765,0.658823529411765,0.658823529411765,0.658823529411765' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 39 cc = 0 rnd = 0 variations = '8,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 428
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 56 cc = 0 rnd = 0 variations = '8,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'RangeConverter'
      type  = 322
      left  = 8
      top   = 473
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 282 cc = 0 rnd = 0 variations = '8,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'RangeConverter'
      type  = 322
      left  = 8
      top   = 518
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 284 cc = 0 rnd = 0 variations = '8,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'RangeConverter'
      type  = 322
      left  = 8
      top   = 563
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 318 cc = 0 rnd = 0 variations = '8,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 272 cc = 0 rnd = 0 variations = '8,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Not'
      type  = 601
      left  = 8
      top   = 608
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'logicnot_out1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in1' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'LfoTrig'
      type  = 405
      left  = 8
      top   = 623
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 44 cc = 0 rnd = 0 variations = '8,0.172549019607843,0.172549019607843,0.172549019607843,0.172549019607843,0.172549019607843,0.172549019607843,0.172549019607843,0.172549019607843' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0030060120240481,0.0030060120240481,0.0030060120240481,0.0030060120240481,0.0030060120240481,0.0030060120240481,0.0030060120240481,0.0030060120240481' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'WavePlayer'
      type  = 702
      left  = 8
      top   = 683
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\_media\_samples\lampshade.wav' )
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Reverb'
      type  = 703
      left  = 8
      top   = 743
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 153 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 192 cc = 0 rnd = 0 variations = '8,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 101 cc = 0 rnd = 0 variations = '8,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 33 cc = 0 rnd = 0 variations = '8,0.515625,0.515625,0.515625,0.515625,0.515625,0.515625,0.515625,0.515625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Amplifier'
      type  = 305
      left  = 258
      top   = 8
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 38
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 226 cc = 0 rnd = 0 variations = '8,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 220 cc = 0 rnd = 0 variations = '8,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 68
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 16 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 113
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 143
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'SeqRandom'
      type  = 1208
      left  = 258
      top   = 173
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 3 cc = 0 rnd = 0 variations = '8,0.0428571428571429,0.0428571428571429,0.0428571428571429,0.0428571428571429,0.0428571428571429,0.0428571428571429,0.0428571428571429,0.0428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'SeqRandom'
      type  = 1208
      left  = 258
      top   = 263
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 47 cc = 0 rnd = 0 variations = '8,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 13 cc = 0 rnd = 0 variations = '8,0.185714285714286,0.185714285714286,0.185714285714286,0.185714285714286,0.185714285714286,0.185714285714286,0.185714285714286,0.185714285714286' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 5 cc = 0 rnd = 0 variations = '8,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455,0.454545454545455' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Envelope'
      type  = 905
      left  = 258
      top   = 353
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 208 cc = 0 rnd = 0 variations = '8,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804' )
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 232 cc = 0 rnd = 0 variations = '8,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 61 cc = 0 rnd = 0 variations = '8,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451,0.23921568627451' )
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envelope_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 398
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 69 cc = 0 rnd = 0 variations = '8,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 258
      top   = 443
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 206 cc = 0 rnd = 0 variations = '8,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 100 cc = 0 rnd = 0 variations = '8,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098,0.392156862745098' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 488
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 122 cc = 0 rnd = 0 variations = '8,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 183 cc = 0 rnd = 0 variations = '8,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 518
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 229 cc = 0 rnd = 0 variations = '8,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 203 cc = 0 rnd = 0 variations = '8,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 548
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 578
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 196 cc = 0 rnd = 0 variations = '8,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 608
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 638
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0 rnd = 0 variations = '8,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 1 cc = 0 rnd = 0 variations = '8,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 258
      top   = 668
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 244 cc = 0 rnd = 0 variations = '8,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 84 cc = 0 rnd = 0 variations = '8,0.329411764705882,0.329411764705882,0.329411764705882,0.329411764705882,0.329411764705882,0.329411764705882,0.329411764705882,0.329411764705882' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Reverb'
      type  = 703
      left  = 258
      top   = 713
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 216 cc = 0 rnd = 0 variations = '8,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 198 cc = 0 rnd = 0 variations = '8,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 239 cc = 0 rnd = 0 variations = '8,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 101 cc = 0 rnd = 0 variations = '8,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 27 cc = 0 rnd = 0 variations = '8,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 773
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 803
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 196 cc = 0 rnd = 0 variations = '8,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 833
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 197 cc = 0 rnd = 0 variations = '8,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125,0.76953125' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Quantizer'
      type  = 307
      left  = 508
      top   = 8
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 199 cc = 0 rnd = 0 variations = '8,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 144 cc = 0 rnd = 0 variations = '8,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 38
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 60 cc = 0 rnd = 0 variations = '8,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 87 cc = 0 rnd = 0 variations = '8,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 83
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 2 cc = 0 rnd = 0 variations = '8,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 41 cc = 0 rnd = 0 variations = '8,0.41,0.41,0.41,0.41,0.41,0.41,0.41,0.41' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 143
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 39 cc = 0 rnd = 0 variations = '8,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 58 cc = 0 rnd = 0 variations = '8,0.58,0.58,0.58,0.58,0.58,0.58,0.58,0.58' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 203
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 215 cc = 0 rnd = 0 variations = '8,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 182 cc = 0 rnd = 0 variations = '8,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 232 cc = 0 rnd = 0 variations = '8,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Noise'
      type  = 503
      left  = 508
      top   = 233
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 13 cc = 0 rnd = 0 variations = '8,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 58 cc = 0 rnd = 0 variations = '8,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 263
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 141 cc = 0 rnd = 0 variations = '8,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125,0.55078125' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 293
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 19 cc = 0 rnd = 0 variations = '8,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 147 cc = 0 rnd = 0 variations = '8,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 338
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 190 cc = 0 rnd = 0 variations = '8,0.745098039215686,0.745098039215686,0.745098039215686,0.745098039215686,0.745098039215686,0.745098039215686,0.745098039215686,0.745098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 56 cc = 0 rnd = 0 variations = '8,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 49 cc = 0 rnd = 0 variations = '8,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Reverb'
      type  = 703
      left  = 508
      top   = 413
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 228 cc = 0 rnd = 0 variations = '8,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 101 cc = 0 rnd = 0 variations = '8,0.397637795275591,0.397637795275591,0.397637795275591,0.397637795275591,0.397637795275591,0.397637795275591,0.397637795275591,0.397637795275591' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 120 cc = 0 rnd = 0 variations = '8,0.952380952380952,0.952380952380952,0.952380952380952,0.952380952380952,0.952380952380952,0.952380952380952,0.952380952380952,0.952380952380952' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 61 cc = 0 rnd = 0 variations = '8,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 508
      top   = 473
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 71 cc = 0 rnd = 0 variations = '8,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 518
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 187 cc = 0 rnd = 0 variations = '8,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 123 cc = 0 rnd = 0 variations = '8,0.48046875,0.48046875,0.48046875,0.48046875,0.48046875,0.48046875,0.48046875,0.48046875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 548
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 181 cc = 0 rnd = 0 variations = '8,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 152 cc = 0 rnd = 0 variations = '8,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 578
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 216 cc = 0 rnd = 0 variations = '8,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 608
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 166 cc = 0 rnd = 0 variations = '8,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 240 cc = 0 rnd = 0 variations = '8,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Volume'
      type  = 212
      left  = 508
      top   = 638
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'AudioOut'
      type  = 102
      left  = 508
      top   = 668
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 145 cc = 0 rnd = 0 variations = '8,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 38
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'LfoTrig'
      type  = 405
      left  = 758
      top   = 68
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00100200400801603,0.00100200400801603,0.00100200400801603,0.00100200400801603,0.00100200400801603,0.00100200400801603,0.00100200400801603,0.00100200400801603' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 5 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 128
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 143
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'OscTrig'
      type  = 504
      left  = 758
      top   = 173
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 97 cc = 0 rnd = 0 variations = '8,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347' )
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 2 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 233
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 144 cc = 0 rnd = 0 variations = '8,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'OscTrig'
      type  = 504
      left  = 758
      top   = 278
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 97 cc = 0 rnd = 0 variations = '8,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347,0.989795918367347' )
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 2 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 338
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 148 cc = 0 rnd = 0 variations = '8,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745,0.580392156862745' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 383
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 208 cc = 0 rnd = 0 variations = '8,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804,0.815686274509804' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Rotator'
      type  = 309
      left  = 758
      top   = 428
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Quantizer'
      type  = 307
      left  = 1008
      top   = 8
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 199 cc = 0 rnd = 0 variations = '8,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324,0.194525904203324' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 160 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 38
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1010 cc = 0 rnd = 0 variations = '8,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 83
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 226 cc = 0 rnd = 0 variations = '8,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 220 cc = 0 rnd = 0 variations = '8,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 113
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 226 cc = 0 rnd = 0 variations = '8,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 220 cc = 0 rnd = 0 variations = '8,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 143
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 3 cc = 0 rnd = 0 variations = '8,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 25 cc = 0 rnd = 0 variations = '8,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 203
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 218
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 178 cc = 0 rnd = 0 variations = '8,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Reverb'
      type  = 703
      left  = 1008
      top   = 263
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 229 cc = 0 rnd = 0 variations = '8,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 149 cc = 0 rnd = 0 variations = '8,0.586614173228346,0.586614173228346,0.586614173228346,0.586614173228346,0.586614173228346,0.586614173228346,0.586614173228346,0.586614173228346' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 218 cc = 0 rnd = 0 variations = '8,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 101 cc = 0 rnd = 0 variations = '8,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302,0.801587301587302' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 27 cc = 0 rnd = 0 variations = '8,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875,0.421875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'CubicClip'
      type  = 340
      left  = 1008
      top   = 323
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'CubicClip'
      type  = 340
      left  = 1008
      top   = 353
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'Formant'
      type  = 1004
      left  = 1008
      top   = 383
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'Formant'
      type  = 1004
      left  = 1008
      top   = 413
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'Rotator'
      type  = 309
      left  = 1008
      top   = 443
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 473
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 503
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 17 cc = 0 rnd = 0 variations = '8,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625,0.06640625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 563
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 156 cc = 0 rnd = 0 variations = '8,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353,0.611764705882353' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'LfoTrig'
      type  = 405
      left  = 1258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 86 cc = 0 rnd = 0 variations = '8,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 47 cc = 0 rnd = 0 variations = '8,0.0470941883767535,0.0470941883767535,0.0470941883767535,0.0470941883767535,0.0470941883767535,0.0470941883767535,0.0470941883767535,0.0470941883767535' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'LfoTrig'
      type  = 405
      left  = 1258
      top   = 68
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 86 cc = 0 rnd = 0 variations = '8,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 59 cc = 0 rnd = 0 variations = '8,0.0591182364729459,0.0591182364729459,0.0591182364729459,0.0591182364729459,0.0591182364729459,0.0591182364729459,0.0591182364729459,0.0591182364729459' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'ChebGen'
      type  = 326
      left  = 1258
      top   = 128
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'Delay'
      type  = 701
      left  = 1258
      top   = 158
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 195 cc = 0 rnd = 0 variations = '8,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule88'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 188
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 60 cc = 0 rnd = 0 variations = '8,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375,0.234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule89'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 248
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 28 cc = 0 rnd = 0 variations = '8,0.109375,0.109375,0.109375,0.109375,0.109375,0.109375,0.109375,0.109375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule90'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1258
      top   = 308
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 360 cc = 0 rnd = 0 variations = '8,0.703125,0.703125,0.703125,0.703125,0.703125,0.703125,0.703125,0.703125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule91'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 353
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 164 cc = 0 rnd = 0 variations = '8,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule92'
      title = 'PerlinTone'
      type  = 517
      left  = 1258
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'perlintone_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_roughness' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_layers' value = 2 cc = 0 rnd = 0 variations = '8,0.153846153846154,0.153846153846154,0.153846153846154,0.153846153846154,0.153846153846154,0.153846153846154,0.153846153846154,0.153846153846154' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_fmlevel' value = 199 cc = 0 rnd = 0 variations = '8,0.388671875,0.388671875,0.388671875,0.388671875,0.388671875,0.388671875,0.388671875,0.388671875' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_length' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_lengthmodamt' value = 60 cc = 0 rnd = 0 variations = '8,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'perlintone_newinv' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule93'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1258
      top   = 473
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 106 cc = 0 rnd = 0 variations = '8,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule94'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1258
      top   = 518
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 368 cc = 0 rnd = 0 variations = '8,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule95'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 563
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 36 cc = 0 rnd = 0 variations = '8,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 202 cc = 0 rnd = 0 variations = '8,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule96'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 608
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule97'
      title = 'Reverb'
      type  = 703
      left  = 1258
      top   = 653
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 228 cc = 0 rnd = 0 variations = '8,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 56 cc = 0 rnd = 0 variations = '8,0.444444444444444,0.444444444444444,0.444444444444444,0.444444444444444,0.444444444444444,0.444444444444444,0.444444444444444,0.444444444444444' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 4 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule98'
      title = 'Formant'
      type  = 1004
      left  = 1258
      top   = 713
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 83 cc = 0 rnd = 0 variations = '8,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 56 cc = 0 rnd = 0 variations = '8,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule99'
      title = 'Formant'
      type  = 1004
      left  = 1258
      top   = 743
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 77 cc = 0 rnd = 0 variations = '8,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 61 cc = 0 rnd = 0 variations = '8,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule55.volume_outr' dst = 'KnobsModule56.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.volume_outl' dst = 'KnobsModule56.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outl' dst = 'KnobsModule31.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outr' dst = 'KnobsModule32.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.randsig_out' dst = 'KnobsModule36.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.rotator_out1' dst = 'KnobsModule25.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.envelope_out' dst = 'KnobsModule26.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.divider_out' dst = 'KnobsModule22.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.divider_trig' dst = 'KnobsModule23.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.seqrandom_trig' dst = 'KnobsModule24.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.divider_out' dst = 'KnobsModule23.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.seqrandom_out' dst = 'KnobsModule24.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.delay_out' dst = 'KnobsModule27.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.filter6dbpbs_outl' dst = 'KnobsModule30.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.delay_out' dst = 'KnobsModule27.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.filter6dbpbs_outr' dst = 'KnobsModule30.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.seqrandom_chain' dst = 'KnobsModule7.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.reverb_outl' dst = 'KnobsModule36.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.reverb_outr' dst = 'KnobsModule36.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.gate_out' dst = 'KnobsModule35.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outl' dst = 'KnobsModule30.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outr' dst = 'KnobsModule30.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.svf_lp' dst = 'KnobsModule49.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.avg_lp' dst = 'KnobsModule48.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.avg_lp' dst = 'KnobsModule41.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.rangeconverter_out4' dst = 'KnobsModule30.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.xfade_out' dst = 'KnobsModule46.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.envarretrig_out' dst = 'KnobsModule45.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.xfade_control' dst = 'KnobsModule44.noise_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.envarretrig_out' dst = 'KnobsModule47.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.svf_in' dst = 'KnobsModule49.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.envarretrig_sigout' dst = 'KnobsModule48.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.lfo_out' dst = 'KnobsModule33.gate_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.noise_out' dst = 'KnobsModule45.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.envarretrig_sigout' dst = 'KnobsModule41.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.reverb_outr' dst = 'KnobsModule50.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.reverb_outl' dst = 'KnobsModule50.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixm3to1_out' dst = 'KnobsModule45.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_phase' dst = 'KnobsModule43.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.osc_out' dst = 'KnobsModule42.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_out' dst = 'KnobsModule43.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_outl' dst = 'KnobsModule53.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_outr' dst = 'KnobsModule53.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.seqrandom_out' dst = 'KnobsModule18.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.osctrig_trig' dst = 'KnobsModule63.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osctrig_trig' dst = 'KnobsModule65.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.osctrig_out' dst = 'KnobsModule63.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osctrig_out' dst = 'KnobsModule65.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.envarretrig_sigout' dst = 'KnobsModule62.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_sigout' dst = 'KnobsModule64.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.gate_in2' dst = 'KnobsModule60.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_out' dst = 'KnobsModule61.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.chebgen_out3' dst = 'KnobsModule62.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.chebgen_out7' dst = 'KnobsModule64.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osctrig_fm' dst = 'KnobsModule67.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.envarretrig_sigout' dst = 'KnobsModule67.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.randsig_out' dst = 'KnobsModule67.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.rotator_out1' dst = 'KnobsModule37.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.rotator_out2' dst = 'KnobsModule38.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.delay_in' dst = 'KnobsModule34.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.delay_in' dst = 'KnobsModule34.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.filter6dbpbs_outl' dst = 'KnobsModule35.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.filter6dbpbs_outr' dst = 'KnobsModule35.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.quantizer_out' dst = 'KnobsModule69.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.gate_out' dst = 'KnobsModule69.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.osc_out' dst = 'KnobsModule74.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envarretrig_sigout' dst = 'KnobsModule75.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.reverb_inr' dst = 'KnobsModule75.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envarretrig_sigout' dst = 'KnobsModule72.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.seqrandom_distmod' dst = 'KnobsModule79.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.multiplier_in7' dst = 'KnobsModule73.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.multiplier_out' dst = 'KnobsModule74.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.chebgen_out6' dst = 'KnobsModule73.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.cubicclip_out' dst = 'KnobsModule78.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.cubicclip_out' dst = 'KnobsModule79.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_in7' dst = 'KnobsModule70.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.mixm3to1_out' dst = 'KnobsModule72.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envarretrig_out' dst = 'KnobsModule70.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.mixm3to1_levmod2' dst = 'KnobsModule70.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.envarretrig_out' dst = 'KnobsModule29.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.rangeconverter_out4' dst = 'KnobsModule46.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.rangeconverter_in4' dst = 'KnobsModule31.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.lfo_out' dst = 'KnobsModule12.rangeconverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.rangeconverter_out4' dst = 'KnobsModule73.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.randsig_out' dst = 'KnobsModule5.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_out' dst = 'KnobsModule4.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.lfo_out' dst = 'KnobsModule8.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.randsig_out' dst = 'KnobsModule7.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outl' dst = 'KnobsModule55.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outr' dst = 'KnobsModule55.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.lfo_out' dst = 'KnobsModule46.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.quantizer_out' dst = 'KnobsModule23.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.lfo_out' dst = 'KnobsModule58.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.divider_trig' dst = 'KnobsModule60.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.divider_out' dst = 'KnobsModule59.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.seqrandom_distmod' dst = 'KnobsModule63.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.delay_out' dst = 'KnobsModule68.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.delay_delay' dst = 'KnobsModule39.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfotrig_out' dst = 'KnobsModule57.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.randsig_out' dst = 'KnobsModule78.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.quantizer_out' dst = 'KnobsModule64.osctrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.lfo_fm' dst = 'KnobsModule33.gate_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_out' dst = 'KnobsModule24.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.randsig_out' dst = 'KnobsModule13.rangeconverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule20.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.poetry_newinput' dst = 'KnobsModule74.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envarretrig_trig' dst = 'KnobsModule69.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.rotator_in2' dst = 'KnobsModule30.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.rotator_in1' dst = 'KnobsModule30.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_inr1' dst = 'KnobsModule30.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.rotator_out1' dst = 'KnobsModule54.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.delay_outfixed' dst = 'KnobsModule57.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.delay_outfixed' dst = 'KnobsModule3.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.reverb_outr' dst = 'KnobsModule77.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.reverb_outl' dst = 'KnobsModule76.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.mixm3to1_in1' dst = 'KnobsModule84.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.osc_out' dst = 'KnobsModule91.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule90.euclids_out' dst = 'KnobsModule91.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.osc_out' dst = 'KnobsModule89.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.envarretrig_sigout' dst = 'KnobsModule87.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.delay_out' dst = 'KnobsModule88.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_gain' dst = 'KnobsModule87.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule93.euclids_out' dst = 'KnobsModule95.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule94.euclids_out' dst = 'KnobsModule96.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule92.perlintone_out' dst = 'KnobsModule95.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule95.envarretrig_sigin' dst = 'KnobsModule96.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule95.envarretrig_out' dst = 'KnobsModule92.perlintone_lengthmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.osc_phase' dst = 'KnobsModule92.perlintone_new')
    wire( class = 'TKnobsWire' src = 'KnobsModule93.euclids_trig' dst = 'KnobsModule94.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outl' dst = 'KnobsModule29.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outr' dst = 'KnobsModule29.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.lfotrig_out' dst = 'KnobsModule16.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.lfo_fm' dst = 'KnobsModule23.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.lfo_out' dst = 'KnobsModule7.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.lfo_out' dst = 'KnobsModule11.rangeconverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.delay_delay' dst = 'KnobsModule95.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule95.envarretrig_gain' dst = 'KnobsModule96.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.lfo_freq' dst = 'KnobsModule15.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_outr' dst = 'KnobsModule54.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_outl' dst = 'KnobsModule54.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.filter6dbpbs_outr' dst = 'KnobsModule54.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.filter6dbpbs_outl' dst = 'KnobsModule54.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.rotator_out2' dst = 'KnobsModule54.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.delay_delay' dst = 'KnobsModule54.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.cubicclip_out' dst = 'KnobsModule53.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.cubicclip_out' dst = 'KnobsModule53.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_inr1' dst = 'KnobsModule29.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_inl1' dst = 'KnobsModule29.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.osc_freq' dst = 'KnobsModule92.perlintone_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.seqrandom_out' dst = 'KnobsModule88.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.osc_out' dst = 'KnobsModule83.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.envarretrig_out' dst = 'KnobsModule82.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule90.euclids_trig' dst = 'KnobsModule81.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.envarretrig_sigout' dst = 'KnobsModule52.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_inr1' dst = 'KnobsModule52.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.divider_out' dst = 'KnobsModule83.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule92.perlintone_new' dst = 'KnobsModule82.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.waveplayer_outr' dst = 'KnobsModule17.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.waveplayer_out' dst = 'KnobsModule17.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.seqrandom_out' dst = 'KnobsModule41.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.envarretrig_trig' dst = 'KnobsModule33.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.lfotrig_trig' dst = 'KnobsModule85.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.lfotrig_out' dst = 'KnobsModule90.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.lfotrig_out' dst = 'KnobsModule86.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.chebgen_out3' dst = 'KnobsModule93.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lfo_out' dst = 'KnobsModule73.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.rotator_out2' dst = 'KnobsModule53.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.formant_out' dst = 'KnobsModule80.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.rotator_out1' dst = 'KnobsModule53.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.formant_out' dst = 'KnobsModule80.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_in6' dst = 'KnobsModule80.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.rotator_angle' dst = 'KnobsModule70.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.poetry_out' dst = 'KnobsModule71.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.mixm3to1_out' dst = 'KnobsModule72.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.osctrig_freq' dst = 'KnobsModule71.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envarretrig_out' dst = 'KnobsModule9.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.mixm3to1_out' dst = 'KnobsModule2.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outl' dst = 'KnobsModule0.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.envelope_invout' dst = 'KnobsModule1.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.amplifier_out4' dst = 'KnobsModule1.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.amplifier_out4' dst = 'KnobsModule19.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixm3to1_out' dst = 'KnobsModule20.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.envelope_invout' dst = 'KnobsModule19.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outl' dst = 'KnobsModule52.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outr' dst = 'KnobsModule52.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_inr2' dst = 'KnobsModule52.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.envarretrig_sigout' dst = 'KnobsModule52.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.rangeconverter_in4' dst = 'KnobsModule65.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.rangeconverter_in4' dst = 'KnobsModule29.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.reverb_outl' dst = 'KnobsModule29.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.reverb_outr' dst = 'KnobsModule29.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_inl2' dst = 'KnobsModule28.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.waveplayer_outr' dst = 'KnobsModule28.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule14.logicnot_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.logicnot_out4' dst = 'KnobsModule15.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_fm' dst = 'KnobsModule62.osctrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.osc_freq' dst = 'KnobsModule42.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.lfo_out' dst = 'KnobsModule2.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.chebgen_out2' dst = 'KnobsModule21.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.divider_trig' dst = 'KnobsModule24.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.envarretrig_gain' dst = 'KnobsModule91.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.randsig_out' dst = 'KnobsModule83.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule96.envarretrig_out' dst = 'KnobsModule92.perlintone_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule96.envarretrig_sigout' dst = 'KnobsModule97.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule95.envarretrig_sigout' dst = 'KnobsModule97.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule95.envarretrig_trig' dst = 'KnobsModule97.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'KnobsModule97.reverb_inl' dst = 'KnobsModule28.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule97.reverb_inr' dst = 'KnobsModule28.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule99.formant_out' dst = 'KnobsModule51.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule97.reverb_outr' dst = 'KnobsModule99.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule98.formant_out' dst = 'KnobsModule51.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule97.reverb_outl' dst = 'KnobsModule98.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.formant_vowelin' dst = 'KnobsModule98.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.formant_vowelin' dst = 'KnobsModule99.formant_vowelin')
  )
)
