Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2017-11-02-01'
  version   = 6
  variation = 0
  guid      = '{D74E0B0F-BE4C-43D2-B073-A1366EAF645A}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 62 cc = 0 rnd = 0 variations = '8,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 53
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Values'
      type  = 358
      left  = 8
      top   = 68
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0, 12, 8, 7,7,11' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 113
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 234 cc = 0 rnd = 0 variations = '8,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 143
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 131 cc = 0 rnd = 0 variations = '8,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 173
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 42 cc = 0 rnd = 0 variations = '8,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 46 cc = 0 rnd = 0 variations = '8,0.46,0.46,0.46,0.46,0.46,0.46,0.46,0.46' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 233
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 248
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'MoogFilter'
      type  = 1017
      left  = 8
      top   = 263
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 174 cc = 0 rnd = 0 variations = '8,0.682352941176471,0.682352941176471,0.682352941176471,0.682352941176471,0.682352941176471,0.682352941176471,0.682352941176471,0.682352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 157 cc = 0 rnd = 0 variations = '8,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 308
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 338
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 186 cc = 0 rnd = 0 variations = '8,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Reverb'
      type  = 703
      left  = 8
      top   = 368
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 230 cc = 0 rnd = 0 variations = '8,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 231 cc = 0 rnd = 0 variations = '8,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 37 cc = 0 rnd = 0 variations = '8,0.293650793650794,0.293650793650794,0.293650793650794,0.293650793650794,0.293650793650794,0.293650793650794,0.293650793650794,0.293650793650794' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 17 cc = 0 rnd = 0 variations = '8,0.265625,0.265625,0.265625,0.265625,0.265625,0.265625,0.265625,0.265625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 428
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 173 cc = 0 rnd = 0 variations = '8,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 458
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 229 cc = 0 rnd = 0 variations = '8,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'AllPass'
      type  = 713
      left  = 8
      top   = 488
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 2 cc = 0 rnd = 0 variations = '8,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'AllPass'
      type  = 713
      left  = 8
      top   = 518
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 1 cc = 0 rnd = 0 variations = '8,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'AllPass'
      type  = 713
      left  = 8
      top   = 548
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 2 cc = 0 rnd = 0 variations = '8,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 126 cc = 0 rnd = 0 variations = '8,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'AllPass'
      type  = 713
      left  = 8
      top   = 578
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 1 cc = 0 rnd = 0 variations = '8,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 250 cc = 0 rnd = 0 variations = '8,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 608
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 638
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 668
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 201 cc = 0 rnd = 0 variations = '8,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 213 cc = 0 rnd = 0 variations = '8,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 234 cc = 0 rnd = 0 variations = '8,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 132 cc = 0 rnd = 0 variations = '8,0.515625,0.515625,0.515625,0.515625,0.515625,0.515625,0.515625,0.515625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 758
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 147 cc = 0 rnd = 0 variations = '8,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'Values'
      type  = 358
      left  = 258
      top   = 53
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0, 7, 12, 8,7,7,2,4,7,7,11' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 98
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 231 cc = 0 rnd = 0 variations = '8,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176,0.905882352941176' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 128
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 21 cc = 0 rnd = 0 variations = '8,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Noise'
      type  = 503
      left  = 258
      top   = 158
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 188
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 54 cc = 0 rnd = 0 variations = '8,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 248
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 263
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'MoogFilter'
      type  = 1017
      left  = 258
      top   = 278
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 218 cc = 0 rnd = 0 variations = '8,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 190 cc = 0 rnd = 0 variations = '8,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 323
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 237 cc = 0 rnd = 0 variations = '8,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 210 cc = 0 rnd = 0 variations = '8,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 353
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 147 cc = 0 rnd = 0 variations = '8,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 211 cc = 0 rnd = 0 variations = '8,0.830708661417323,0.830708661417323,0.830708661417323,0.830708661417323,0.830708661417323,0.830708661417323,0.830708661417323,0.830708661417323' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 95 cc = 0 rnd = 0 variations = '8,0.185909980430528,0.185909980430528,0.185909980430528,0.185909980430528,0.185909980430528,0.185909980430528,0.185909980430528,0.185909980430528' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 223 cc = 0 rnd = 0 variations = '8,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512,0.877952755905512' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 252 cc = 0 rnd = 0 variations = '8,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647,0.988235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 443
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 187 cc = 0 rnd = 0 variations = '8,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 473
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 215 cc = 0 rnd = 0 variations = '8,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'AllPass'
      type  = 713
      left  = 258
      top   = 503
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 1 cc = 0 rnd = 0 variations = '8,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'AllPass'
      type  = 713
      left  = 258
      top   = 533
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 2 cc = 0 rnd = 0 variations = '8,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'AllPass'
      type  = 713
      left  = 258
      top   = 563
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 1 cc = 0 rnd = 0 variations = '8,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365,0.000977517106549365' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 126 cc = 0 rnd = 0 variations = '8,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'AllPass'
      type  = 713
      left  = 258
      top   = 593
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 2 cc = 0 rnd = 0 variations = '8,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873,0.00195503421309873' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 250 cc = 0 rnd = 0 variations = '8,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 623
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 653
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = 'Noise like II' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 42 cc = 0 rnd = 0 variations = '8,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 83 cc = 0 rnd = 0 variations = '8,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 30 cc = 0 rnd = 0 variations = '8,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 78 cc = 0 rnd = 0 variations = '8,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 98
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 39 cc = 0 rnd = 0 variations = '8,0.152941176470588,0.152941176470588,0.152941176470588,0.152941176470588,0.152941176470588,0.152941176470588,0.152941176470588,0.152941176470588' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 76 cc = 0 rnd = 0 variations = '8,0.296875,0.296875,0.296875,0.296875,0.296875,0.296875,0.296875,0.296875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 143
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 173
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 203
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 233
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 263
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 42 cc = 0 rnd = 0 variations = '8,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 53 cc = 0 rnd = 0 variations = '8,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 46 cc = 0 rnd = 0 variations = '8,0.46,0.46,0.46,0.46,0.46,0.46,0.46,0.46' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 323
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 19 cc = 0 rnd = 0 variations = '8,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 170 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'MoogFilter'
      type  = 1017
      left  = 508
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 72 cc = 0 rnd = 0 variations = '8,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 218 cc = 0 rnd = 0 variations = '8,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 190 cc = 0 rnd = 0 variations = '8,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 199 cc = 0 rnd = 0 variations = '8,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 458
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 28 cc = 0 rnd = 0 variations = '8,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'PitchShift'
      type  = 910
      left  = 508
      top   = 503
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 288 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 216 cc = 0 rnd = 0 variations = '8,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 548
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 124 cc = 0 rnd = 0 variations = '8,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'Pan'
      type  = 202
      left  = 508
      top   = 593
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 130 cc = 0 rnd = 0 variations = '8,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125' )
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'pan_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule96'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 623
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'MoogFilter'
      type  = 1017
      left  = 508
      top   = 638
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 41 cc = 0 rnd = 0 variations = '8,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 233 cc = 0 rnd = 0 variations = '8,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 683
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'CubicClip'
      type  = 340
      left  = 508
      top   = 728
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 203 cc = 0 rnd = 0 variations = '8,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'Poetry'
      type  = 327
      left  = 758
      top   = 8
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 756 cc = 0 rnd = 0 variations = '8,0.73900293255132,0.73900293255132,0.73900293255132,0.73900293255132,0.73900293255132,0.73900293255132,0.73900293255132,0.73900293255132' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 1 cc = 0 rnd = 0 variations = '8,0.032258064516129,0.032258064516129,0.032258064516129,0.032258064516129,0.032258064516129,0.032258064516129,0.032258064516129,0.032258064516129' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 42 cc = 0 rnd = 0 variations = '8,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 46 cc = 0 rnd = 0 variations = '8,0.46,0.46,0.46,0.46,0.46,0.46,0.46,0.46' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 113
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 69 cc = 0 rnd = 0 variations = '8,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 203 cc = 0 rnd = 0 variations = '8,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule64'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 158
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 170 cc = 0 rnd = 0 variations = '8,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule65'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 203
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule66'
      title = 'Values'
      type  = 358
      left  = 758
      top   = 218
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0,0,2,5,6,127' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule67'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 263
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 176 cc = 0 rnd = 0 variations = '8,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule68'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 293
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 67 cc = 0 rnd = 0 variations = '8,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 72 cc = 0 rnd = 0 variations = '8,0.72,0.72,0.72,0.72,0.72,0.72,0.72,0.72' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule69'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 353
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_active' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'euclids_outoff' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule70'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 398
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 17 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 195 cc = 0 rnd = 0 variations = '8,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule71'
      title = 'AllPass'
      type  = 713
      left  = 758
      top   = 443
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 49 cc = 0 rnd = 0 variations = '8,0.0478983382209189,0.0478983382209189,0.0478983382209189,0.0478983382209189,0.0478983382209189,0.0478983382209189,0.0478983382209189,0.0478983382209189' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule72'
      title = 'PitchShift'
      type  = 910
      left  = 758
      top   = 473
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 288 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 216 cc = 0 rnd = 0 variations = '8,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule73'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 518
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 103 cc = 0 rnd = 0 variations = '8,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule74'
      title = 'Pan'
      type  = 202
      left  = 758
      top   = 563
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 130 cc = 0 rnd = 0 variations = '8,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125' )
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'pan_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule75'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 593
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule76'
      title = 'Values'
      type  = 358
      left  = 758
      top   = 608
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0, 7, 12, 8,7,7,2,4,7,7,127' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule77'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 653
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 235 cc = 0 rnd = 0 variations = '8,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule78'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 683
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 235 cc = 0 rnd = 0 variations = '8,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule79'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 713
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 111 cc = 0 rnd = 0 variations = '8,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 45 cc = 0 rnd = 0 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 54 cc = 0 rnd = 0 variations = '8,0.54,0.54,0.54,0.54,0.54,0.54,0.54,0.54' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule80'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 8
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 953 cc = 0 rnd = 0 variations = '8,0.931573802541544,0.931573802541544,0.931573802541544,0.931573802541544,0.931573802541544,0.931573802541544,0.931573802541544,0.931573802541544' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule81'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 72 cc = 0 rnd = 0 variations = '8,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 68 cc = 0 rnd = 0 variations = '8,0.68,0.68,0.68,0.68,0.68,0.68,0.68,0.68' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule82'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 113
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 75 cc = 0 rnd = 0 variations = '8,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 198 cc = 0 rnd = 0 variations = '8,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule83'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 158
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 28 cc = 0 rnd = 0 variations = '8,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 59 cc = 0 rnd = 0 variations = '8,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule84'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 203
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 108 cc = 0 rnd = 0 variations = '8,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule85'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 233
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 171 cc = 0 rnd = 0 variations = '8,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 111 cc = 0 rnd = 0 variations = '8,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375,0.43359375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 62 cc = 0 rnd = 0 variations = '8,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 59 cc = 0 rnd = 0 variations = '8,0.59,0.59,0.59,0.59,0.59,0.59,0.59,0.59' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule86'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1008
      top   = 293
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_active' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'euclids_outoff' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule87'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 338
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 167 cc = 0 rnd = 0 variations = '8,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule88'
      title = 'AllPass'
      type  = 713
      left  = 1008
      top   = 383
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'allpass_length' value = 69 cc = 0 rnd = 0 variations = '8,0.0674486803519062,0.0674486803519062,0.0674486803519062,0.0674486803519062,0.0674486803519062,0.0674486803519062,0.0674486803519062,0.0674486803519062' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_kmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'allpass_k' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule89'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 413
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 215 cc = 0 rnd = 0 variations = '8,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule90'
      title = 'PhaseDistortion'
      type  = 913
      left  = 1008
      top   = 443
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 170 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 79 cc = 0 rnd = 0 variations = '8,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 203 cc = 0 rnd = 0 variations = '8,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549' )
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule91'
      title = 'GVerb'
      type  = 707
      left  = 1008
      top   = 533
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 45 cc = 0 rnd = 0 variations = '8,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 224 cc = 0 rnd = 0 variations = '8,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 241 cc = 0 rnd = 0 variations = '8,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686,0.945098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule92'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 623
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 165 cc = 0 rnd = 0 variations = '8,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 78 cc = 0 rnd = 0 variations = '8,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176,0.305882352941176' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 207 cc = 0 rnd = 0 variations = '8,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule93'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 668
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 17 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 66 cc = 0 rnd = 0 variations = '8,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule94'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 713
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 12 cc = 0 rnd = 0 variations = '8,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 189 cc = 0 rnd = 0 variations = '8,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 77 cc = 0 rnd = 0 variations = '8,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 195 cc = 0 rnd = 0 variations = '8,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule95'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 758
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 217 cc = 0 rnd = 0 variations = '8,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 64 cc = 0 rnd = 0 variations = '8,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 212 cc = 0 rnd = 0 variations = '8,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.volume_outl' dst = 'TKnobsModule23.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.volume_outr' dst = 'TKnobsModule23.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.mixs2to1_outl' dst = 'TKnobsModule22.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.mixs2to1_outr' dst = 'TKnobsModule22.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.values_out' dst = 'TKnobsModule3.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.avg_lp' dst = 'TKnobsModule5.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_fm' dst = 'TKnobsModule5.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_out' dst = 'TKnobsModule4.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.avg_lp' dst = 'TKnobsModule29.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.osc_out' dst = 'TKnobsModule27.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.values_out' dst = 'TKnobsModule26.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.delay_out' dst = 'TKnobsModule6.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.multiplier_out' dst = 'TKnobsModule5.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.delay_out' dst = 'TKnobsModule31.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.multiplier_out' dst = 'TKnobsModule29.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_out' dst = 'TKnobsModule8.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.moogfilter_out' dst = 'TKnobsModule9.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.moogfilter_in' dst = 'TKnobsModule5.osc_sync')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.osc_out' dst = 'TKnobsModule32.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.moogfilter_out' dst = 'TKnobsModule9.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_warpmod' dst = 'TKnobsModule8.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.multiplier_in2' dst = 'TKnobsModule32.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.osc_fm' dst = 'TKnobsModule30.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.multiplier_out' dst = 'TKnobsModule29.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.multiplier_in3' dst = 'TKnobsModule7.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.multiplier_in1' dst = 'TKnobsModule7.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.multiplier_in3' dst = 'TKnobsModule7.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.multiplier_out' dst = 'TKnobsModule5.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.rotator_out2' dst = 'TKnobsModule10.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.cuclipstereo_outr' dst = 'TKnobsModule11.reverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.rotator_out1' dst = 'TKnobsModule10.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.cuclipstereo_outl' dst = 'TKnobsModule11.reverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.osc_fm' dst = 'TKnobsModule62.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.poetry_out' dst = 'TKnobsModule62.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.levelconverter_out1' dst = 'TKnobsModule47.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule80.poetry_out' dst = 'TKnobsModule81.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.osc_out' dst = 'TKnobsModule63.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.envarretrig_trig' dst = 'TKnobsModule61.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule82.envarretrig_trig' dst = 'TKnobsModule80.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule81.osc_out' dst = 'TKnobsModule82.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule82.envarretrig_sigout' dst = 'TKnobsModule81.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.chebgen_out4' dst = 'TKnobsModule82.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.chebgen_out7' dst = 'TKnobsModule63.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.multiplier_out' dst = 'TKnobsModule2.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.mixs2to1_outl' dst = 'TKnobsModule21.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.mixs2to1_outr' dst = 'TKnobsModule21.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.osc_fm' dst = 'TKnobsModule50.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.avg_lp' dst = 'TKnobsModule50.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.osc_out' dst = 'TKnobsModule51.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.envarretrig_sigout' dst = 'TKnobsModule33.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.mixs2to1_outl' dst = 'TKnobsModule34.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule82.envarretrig_sigout' dst = 'TKnobsModule33.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.mixs2to1_outr' dst = 'TKnobsModule34.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.mixs2to1_inr2' dst = 'TKnobsModule33.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.envarretrig_sigout' dst = 'TKnobsModule52.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.moogfilter_fm' dst = 'TKnobsModule31.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.lfo_fm' dst = 'TKnobsModule6.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.lfo_out' dst = 'TKnobsModule44.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.lfo_out' dst = 'TKnobsModule82.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.lfo_fm' dst = 'TKnobsModule31.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.lfo_out' dst = 'TKnobsModule45.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.lfo_out' dst = 'TKnobsModule63.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.osc_phase' dst = 'TKnobsModule33.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.moogfilter_out' dst = 'TKnobsModule50.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.levelconverter_out2' dst = 'TKnobsModule48.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.chebgen_out3' dst = 'TKnobsModule51.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.values_changed' dst = 'TKnobsModule61.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.values_out' dst = 'TKnobsModule61.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.values_changed' dst = 'TKnobsModule80.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.values_out' dst = 'TKnobsModule80.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule1.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.multiplier_in1' dst = 'TKnobsModule8.moogfilter_qmamtn')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule32.moogfilter_qmamtn')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.moogfilter_qmamtn' dst = 'TKnobsModule25.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.values_in' dst = 'TKnobsModule46.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.lfo_out' dst = 'TKnobsModule1.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.multiplier_in2' dst = 'TKnobsModule9.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.allpass_out' dst = 'TKnobsModule15.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.allpass_out' dst = 'TKnobsModule17.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.allpass_out' dst = 'TKnobsModule16.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.allpass_in' dst = 'TKnobsModule18.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.allpass_out' dst = 'TKnobsModule18.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.reverb_outl' dst = 'TKnobsModule13.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixm3to1_in1' dst = 'TKnobsModule21.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.reverb_outr' dst = 'TKnobsModule13.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixm3to1_in2' dst = 'TKnobsModule21.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixm3to1_out' dst = 'TKnobsModule14.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.multiplier_in7' dst = 'TKnobsModule14.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.allpass_kmod' dst = 'TKnobsModule16.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.multiplier_in6' dst = 'TKnobsModule15.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.allpass_out' dst = 'TKnobsModule38.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.allpass_out' dst = 'TKnobsModule40.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.allpass_out' dst = 'TKnobsModule39.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.allpass_in' dst = 'TKnobsModule41.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.allpass_out' dst = 'TKnobsModule41.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.mixm3to1_out' dst = 'TKnobsModule37.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.allpass_kmod' dst = 'TKnobsModule39.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.multiplier_in5' dst = 'TKnobsModule37.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.allpass_kmod' dst = 'TKnobsModule17.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.allpass_kmod' dst = 'TKnobsModule40.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.allpass_kmod' dst = 'TKnobsModule38.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.mixm3to1_in2' dst = 'TKnobsModule21.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.gverb_outr' dst = 'TKnobsModule36.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.mixm3to1_in1' dst = 'TKnobsModule21.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.gverb_outl' dst = 'TKnobsModule36.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixm3to1_out' dst = 'TKnobsModule20.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.randsig_out' dst = 'TKnobsModule65.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.sampleandhold_out' dst = 'TKnobsModule66.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.levelconverter_out1' dst = 'TKnobsModule65.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.osc_freq' dst = 'TKnobsModule29.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.osc_freq' dst = 'TKnobsModule5.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.mixm3to1_out' dst = 'TKnobsModule20.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule68.osc_out' dst = 'TKnobsModule70.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.delay_out' dst = 'TKnobsModule68.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.envarretrig_out' dst = 'TKnobsModule67.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.chebgen_out3' dst = 'TKnobsModule68.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.envarretrig_inv' dst = 'TKnobsModule68.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule85.osc_out' dst = 'TKnobsModule87.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule84.delay_out' dst = 'TKnobsModule85.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule87.envarretrig_out' dst = 'TKnobsModule84.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule87.envarretrig_inv' dst = 'TKnobsModule85.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule84.delay_in' dst = 'TKnobsModule89.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule85.osc_phase' dst = 'TKnobsModule89.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.allpass_out' dst = 'TKnobsModule67.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.envarretrig_sigout' dst = 'TKnobsModule71.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule88.allpass_out' dst = 'TKnobsModule84.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule87.envarretrig_sigout' dst = 'TKnobsModule88.allpass_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.lfo_fm' dst = 'TKnobsModule52.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.lfo_out' dst = 'TKnobsModule43.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.lfo_out' dst = 'TKnobsModule88.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.envarretrig_gain' dst = 'TKnobsModule71.allpass_kmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule87.envarretrig_inv' dst = 'TKnobsModule91.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule89.mixs2to1_outl' dst = 'TKnobsModule90.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule90.phasedistort_outl' dst = 'TKnobsModule91.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule89.mixs2to1_outr' dst = 'TKnobsModule90.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule90.phasedistort_outr' dst = 'TKnobsModule91.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.envarretrig_out' dst = 'TKnobsModule90.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule68.osc_phase' dst = 'TKnobsModule20.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.allpass_out' dst = 'TKnobsModule20.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule83.envarretrig_out' dst = 'TKnobsModule85.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule86.euclids_out' dst = 'TKnobsModule83.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule86.euclids_out' dst = 'TKnobsModule87.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.randsig_out' dst = 'TKnobsModule86.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.euclids_out' dst = 'TKnobsModule70.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule86.euclids_pattern' dst = 'TKnobsModule87.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule87.envarretrig_gain' dst = 'TKnobsModule83.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.values_in' dst = 'TKnobsModule46.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.chebgen_out12' dst = 'TKnobsModule69.euclids_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.chebgen_out12' dst = 'TKnobsModule86.euclids_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.allpass_out' dst = 'TKnobsModule36.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.mixm3to1_in2' dst = 'TKnobsModule13.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixm3to1_out' dst = 'TKnobsModule13.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.mixm3to1_out' dst = 'TKnobsModule36.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.sampleandhold_in' dst = 'TKnobsModule69.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'TKnobsModule81.osc_freq' dst = 'TKnobsModule62.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.values_out' dst = 'TKnobsModule81.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.values_out' dst = 'TKnobsModule68.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_inl1' dst = 'TKnobsModule12.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule91.gverb_outl' dst = 'TKnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_inr1' dst = 'TKnobsModule35.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule91.gverb_outr' dst = 'TKnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_outl' dst = 'TKnobsModule20.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_outr' dst = 'TKnobsModule20.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.envarretrig_out' dst = 'TKnobsModule13.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixm3to1_levmod2' dst = 'TKnobsModule13.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixm3to1_levmod1' dst = 'TKnobsModule21.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.euclids_trig' dst = 'TKnobsModule54.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.mixm3to1_levmod2' dst = 'TKnobsModule36.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.mixm3to1_levmod1' dst = 'TKnobsModule21.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.envarretrig_out' dst = 'TKnobsModule36.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.chebgen_out12' dst = 'TKnobsModule49.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.chebgen_in' dst = 'TKnobsModule53.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.pitchshift_out' dst = 'TKnobsModule56.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.chebgen_out2' dst = 'TKnobsModule56.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.envarretrig_sigout' dst = 'TKnobsModule57.pan_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.pan_out1' dst = 'TKnobsModule19.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.pan_out2' dst = 'TKnobsModule19.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.allpass_kmod' dst = 'TKnobsModule57.pan_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.rotator_out2' dst = 'TKnobsModule55.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule72.pitchshift_out' dst = 'TKnobsModule73.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.envarretrig_sigout' dst = 'TKnobsModule74.pan_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.gverb_inr' dst = 'TKnobsModule72.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.pan_out1' dst = 'TKnobsModule18.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.pan_out2' dst = 'TKnobsModule41.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule82.envarretrig_gain' dst = 'TKnobsModule74.pan_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.pan_control' dst = 'TKnobsModule75.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.allpass_kmod' dst = 'TKnobsModule75.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule88.allpass_kmod' dst = 'TKnobsModule75.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.multiplier_out' dst = 'TKnobsModule76.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.mixm3to1_in3' dst = 'TKnobsModule35.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.mixm3to1_in2' dst = 'TKnobsModule12.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixm3to1_in3' dst = 'TKnobsModule12.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.multiplier_in7' dst = 'TKnobsModule79.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.values_out' dst = 'TKnobsModule77.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule77.avg_lp' dst = 'TKnobsModule79.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule68.osc_freq' dst = 'TKnobsModule78.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule78.avg_lp' dst = 'TKnobsModule79.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.lfo_out' dst = 'TKnobsModule75.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.values_changed' dst = 'TKnobsModule59.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_freq' dst = 'TKnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.cubicclip_out' dst = 'TKnobsModule35.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.envarretrig_sigout' dst = 'TKnobsModule60.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule79.osc_out' dst = 'TKnobsModule58.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.moogfilter_out' dst = 'TKnobsModule59.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule92.randsig_out' dst = 'TKnobsModule93.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule93.randsig_out' dst = 'TKnobsModule94.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule94.randsig_out' dst = 'TKnobsModule95.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.envarretrig_gain' dst = 'TKnobsModule53.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.envarretrig_gain' dst = 'TKnobsModule19.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule94.randsig_fm' dst = 'TKnobsModule70.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.envarretrig_gain' dst = 'TKnobsModule20.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.mixs2to1_levmod2' dst = 'TKnobsModule19.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule95.randsig_fm' dst = 'TKnobsModule51.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.envarretrig_gain' dst = 'TKnobsModule20.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.noise_out' dst = 'TKnobsModule62.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.osc_speed' dst = 'TKnobsModule81.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.noise_out' dst = 'TKnobsModule29.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule95.randsig_out' dst = 'TKnobsModule59.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.envarretrig_gain' dst = 'TKnobsModule64.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.euclids_pattern' dst = 'TKnobsModule92.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule81.osc_speed' dst = 'TKnobsModule68.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.delay_outfixed' dst = 'TKnobsModule96.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule93.randsig_fm' dst = 'TKnobsModule73.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.envarretrig_gain' dst = 'TKnobsModule56.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.chebgen_out6' dst = 'TKnobsModule96.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule96.multiplier_out' dst = 'TKnobsModule58.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.osc_speed' dst = 'TKnobsModule24.lfo_speed')
  )
)
