Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2017-12-06-01'
  version   = 6
  variation = 0
  guid      = '{2D6696F7-236F-475F-9E20-CCD498D9C982}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 8
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 68
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 59 cc = 0 rnd = 0 variations = '8,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 8
      top   = 113
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_active' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'euclids_outoff' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 217 cc = 0 rnd = 0 variations = '8,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 0 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 18 cc = 0 rnd = 0 variations = '8,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 158
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 124 cc = 0 rnd = 0 variations = '8,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 203
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 233
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 177 cc = 0 rnd = 0 variations = '8,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824,0.694117647058824' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 278
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 323
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 57 cc = 0 rnd = 0 variations = '8,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 33 cc = 0 rnd = 0 variations = '8,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 57 cc = 0 rnd = 0 variations = '8,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 413
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 458
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 488
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 212 cc = 0 rnd = 0 variations = '8,0.828125,0.828125,0.828125,0.828125,0.828125,0.828125,0.828125,0.828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 203 cc = 0 rnd = 0 variations = '8,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 518
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 533
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 220 cc = 0 rnd = 0 variations = '8,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 203 cc = 0 rnd = 0 variations = '8,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 563
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 173 cc = 0 rnd = 0 variations = '8,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125,0.67578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 216 cc = 0 rnd = 0 variations = '8,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 593
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 623
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 36 cc = 0 rnd = 0 variations = '8,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235,0.141176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 713
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 83 cc = 0 rnd = 0 variations = '8,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431,0.325490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 35 cc = 0 rnd = 0 variations = '8,0.0684931506849315,0.0684931506849315,0.0684931506849315,0.0684931506849315,0.0684931506849315,0.0684931506849315,0.0684931506849315,0.0684931506849315' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 250 cc = 0 rnd = 0 variations = '8,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 251 cc = 0 rnd = 0 variations = '8,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 176 cc = 0 rnd = 0 variations = '8,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 139 cc = 0 rnd = 0 variations = '8,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'ProbSequencer'
      type  = 1214
      left  = 258
      top   = 8
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'probsequencer_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl0' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_active' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob0' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob4' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob5' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob6' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob7' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob8' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob9' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob10' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob11' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_lownote' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_highnote' value = 88 cc = 0 rnd = 0 variations = '8,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_basenote' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tilt' value = 126 cc = 0 rnd = 0 variations = '8,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tiltmodamt' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smooth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smoothmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 188
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 218
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Poetry'
      type  = 327
      left  = 258
      top   = 248
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 985 cc = 0 rnd = 0 variations = '8,0.962854349951124,0.962854349951124,0.962854349951124,0.962854349951124,0.962854349951124,0.962854349951124,0.962854349951124,0.962854349951124' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 5 cc = 0 rnd = 0 variations = '8,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645,0.161290322580645' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'IntDif'
      type  = 1003
      left  = 258
      top   = 293
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 102 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 353
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 57 cc = 0 rnd = 0 variations = '8,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 47 cc = 0 rnd = 0 variations = '8,0.47,0.47,0.47,0.47,0.47,0.47,0.47,0.47' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 226 cc = 0 rnd = 0 variations = '8,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'PhaseDistortion'
      type  = 913
      left  = 258
      top   = 458
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 176 cc = 0 rnd = 0 variations = '8,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 71 cc = 0 rnd = 0 variations = '8,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 254 cc = 0 rnd = 0 variations = '8,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549' )
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 548
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 19 cc = 0 rnd = 0 variations = '8,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686,0.0745098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 251 cc = 0 rnd = 0 variations = '8,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 216 cc = 0 rnd = 0 variations = '8,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 236 cc = 0 rnd = 0 variations = '8,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 638
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 194 cc = 0 rnd = 0 variations = '8,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 668
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 118 cc = 0 rnd = 0 variations = '8,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 698
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 728
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = 'Tone like IV' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 38
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_active' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'euclids_outoff' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 96 cc = 0 rnd = 0 variations = '8,0.375,0.375,0.375,0.375,0.375,0.375,0.375,0.375' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14 cc = 0 rnd = 0 variations = '8,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 83
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1010 cc = 0 rnd = 0 variations = '8,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858,0.987292277614858' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Arpeggiator'
      type  = 349
      left  = 508
      top   = 128
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'IntDif'
      type  = 1003
      left  = 508
      top   = 173
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 203
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 142 cc = 0 rnd = 0 variations = '8,0.556862745098039,0.556862745098039,0.556862745098039,0.556862745098039,0.556862745098039,0.556862745098039,0.556862745098039,0.556862745098039' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 233
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 246 cc = 0 rnd = 0 variations = '8,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 263
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 239 cc = 0 rnd = 0 variations = '8,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784,0.937254901960784' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 293
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 37 cc = 0 rnd = 0 variations = '8,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 246 cc = 0 rnd = 0 variations = '8,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941,0.964705882352941' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 113 cc = 0 rnd = 0 variations = '8,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 29 cc = 0 rnd = 0 variations = '8,0.29,0.29,0.29,0.29,0.29,0.29,0.29,0.29' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'MoogFilter'
      type  = 1017
      left  = 508
      top   = 353
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 49 cc = 0 rnd = 0 variations = '8,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625,0.19140625' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 3 cc = 0 rnd = 0 variations = '8,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 80 cc = 0 rnd = 0 variations = '8,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 43 cc = 0 rnd = 0 variations = '8,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 458
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 182 cc = 0 rnd = 0 variations = '8,0.713725490196078,0.713725490196078,0.713725490196078,0.713725490196078,0.713725490196078,0.713725490196078,0.713725490196078,0.713725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 503
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 533
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 230 cc = 0 rnd = 0 variations = '8,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 245 cc = 0 rnd = 0 variations = '8,0.96078431372549,0.96078431372549,0.96078431372549,0.96078431372549,0.96078431372549,0.96078431372549,0.96078431372549,0.96078431372549' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 578
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 75 cc = 0 rnd = 0 variations = '8,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'CuClipStereo'
      type  = 357
      left  = 508
      top   = 623
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 653
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 144 cc = 0 rnd = 0 variations = '8,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 683
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 137 cc = 0 rnd = 0 variations = '8,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'Rotator'
      type  = 309
      left  = 508
      top   = 713
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 743
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 773
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 225 cc = 0 rnd = 0 variations = '8,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 25 cc = 0 rnd = 0 variations = '8,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 79 cc = 0 rnd = 0 variations = '8,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627,0.309803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 161 cc = 0 rnd = 0 variations = '8,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 42 cc = 0 rnd = 0 variations = '8,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 170 cc = 0 rnd = 0 variations = '8,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 91 cc = 0 rnd = 0 variations = '8,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 193 cc = 0 rnd = 0 variations = '8,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 98
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 25 cc = 0 rnd = 0 variations = '8,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 177 cc = 0 rnd = 0 variations = '8,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 201 cc = 0 rnd = 0 variations = '8,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 181 cc = 0 rnd = 0 variations = '8,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 143
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 42 cc = 0 rnd = 0 variations = '8,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 129 cc = 0 rnd = 0 variations = '8,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625,0.50390625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 202 cc = 0 rnd = 0 variations = '8,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098,0.792156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 188
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 188 cc = 0 rnd = 0 variations = '8,0.734375,0.734375,0.734375,0.734375,0.734375,0.734375,0.734375,0.734375' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 91 cc = 0 rnd = 0 variations = '8,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 193 cc = 0 rnd = 0 variations = '8,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 233
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0 rnd = 0 variations = '8,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 137 cc = 0 rnd = 0 variations = '8,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 201 cc = 0 rnd = 0 variations = '8,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 181 cc = 0 rnd = 0 variations = '8,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 278
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 53 cc = 0 rnd = 0 variations = '8,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 199 cc = 0 rnd = 0 variations = '8,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 201 cc = 0 rnd = 0 variations = '8,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 181 cc = 0 rnd = 0 variations = '8,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 323
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0 rnd = 0 variations = '8,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 213 cc = 0 rnd = 0 variations = '8,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 201 cc = 0 rnd = 0 variations = '8,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 133 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 181 cc = 0 rnd = 0 variations = '8,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627,0.709803921568627' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 368
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'ProgDivider'
      type  = 612
      left  = 758
      top   = 398
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 23 cc = 0 rnd = 0 variations = '8,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 3 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule64'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 458
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule65'
      title = 'PulseSync'
      type  = 617
      left  = 758
      top   = 488
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'pulsesync_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'pulsesync_sync' value = '32768' )
        detail( class = 'TKnobsInput' name = 'pulsesync_pulse' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'pulsesync_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule66'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 518
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule67'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 533
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 54 cc = 0 rnd = 0 variations = '8,0.211764705882353,0.211764705882353,0.211764705882353,0.211764705882353,0.211764705882353,0.211764705882353,0.211764705882353,0.211764705882353' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 212 cc = 0 rnd = 0 variations = '8,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule68'
      title = 'TritoneBank'
      type  = 1007
      left  = 758
      top   = 578
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader2' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader3' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader4' value = 40 cc = 0 rnd = 0 variations = '8,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader5' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader6' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader7' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader8' value = 37 cc = 0 rnd = 0 variations = '8,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader9' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader10' value = 32 cc = 0 rnd = 0 variations = '8,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader11' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader12' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader13' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader14' value = 119 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader15' value = 82 cc = 0 rnd = 0 variations = '8,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader16' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader17' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'tritonebank_level' value = 202 cc = 0 rnd = 0 variations = '8,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625' )
        detail( class = 'TKnobsSelector' name = 'tritonebank_modehigh' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsNoKnob' name = 'tritonebank_steepness' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'tritonebank_modelow' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'tritonebank_q' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSmallKnob' name = 'tritonebank_fmamt' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'tritonebank_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule69'
      title = 'FreqShifter'
      type  = 1401
      left  = 758
      top   = 713
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 70 cc = 0 rnd = 0 variations = '8,0.274509803921569,0.274509803921569,0.274509803921569,0.274509803921569,0.274509803921569,0.274509803921569,0.274509803921569,0.274509803921569' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule70'
      title = 'Reverb'
      type  = 703
      left  = 758
      top   = 743
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 165 cc = 0 rnd = 0 variations = '8,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 180 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 221 cc = 0 rnd = 0 variations = '8,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 244 cc = 0 rnd = 0 variations = '8,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 110 cc = 0 rnd = 0 variations = '8,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 56 cc = 0 rnd = 0 variations = '8,0.875,0.875,0.875,0.875,0.875,0.875,0.875,0.875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'ProgDivider'
      type  = 612
      left  = 1008
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule71'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 68
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1022 cc = 0 rnd = 0 variations = '8,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule72'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 113
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 161 cc = 0 rnd = 0 variations = '8,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule73'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 143
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 129 cc = 0 rnd = 0 variations = '8,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule74'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 173
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule75'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 233
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 30 cc = 0 rnd = 0 variations = '8,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule76'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 293
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 203 cc = 0 rnd = 0 variations = '8,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule77'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 323
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 203 cc = 0 rnd = 0 variations = '8,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule78'
      title = 'Reverb'
      type  = 703
      left  = 1008
      top   = 353
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 233 cc = 0 rnd = 0 variations = '8,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 180 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 244 cc = 0 rnd = 0 variations = '8,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 110 cc = 0 rnd = 0 variations = '8,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873,0.873015873015873' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 56 cc = 0 rnd = 0 variations = '8,0.875,0.875,0.875,0.875,0.875,0.875,0.875,0.875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule79'
      title = 'Filter6dBBPSM'
      type  = 1019
      left  = 1008
      top   = 413
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbsm_freqlp' value = 71 cc = 0 rnd = 0 variations = '8,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbsm_freqhp' value = 50 cc = 0 rnd = 0 variations = '8,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbsm_freqmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule80'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 458
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule81'
      title = 'Values'
      type  = 358
      left  = 1008
      top   = 473
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0,0,26,6,28,0,30,41,0,70' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule82'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 518
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule83'
      title = 'ProbSequencer'
      type  = 1214
      left  = 1008
      top   = 548
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'probsequencer_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl0' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_ctrl11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'probsequencer_active' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_scale' value = 17 cc = 0 rnd = 0 variations = '8,0.242857142857143,0.242857142857143,0.242857142857143,0.242857142857143,0.242857142857143,0.242857142857143,0.242857142857143,0.242857142857143' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob0' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob4' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob5' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob6' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob7' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob8' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob9' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob10' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSlider' name = 'probsequencer_prob11' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_lownote' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_highnote' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_basenote' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tilt' value = 125 cc = 0 rnd = 0 variations = '8,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'probsequencer_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_tiltmodamt' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smooth' value = 78 cc = 0 rnd = 0 variations = '8,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875,0.3046875' )
        detail( class = 'TKnobsSmallKnob' name = 'probsequencer_smoothmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.osc_out' dst = 'TKnobsModule3.euclids_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lfo_out' dst = 'TKnobsModule3.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.euclids_out' dst = 'TKnobsModule4.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.envarretrig_sigout' dst = 'TKnobsModule8.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.envarretrig_out' dst = 'TKnobsModule8.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.euclids_outoff' dst = 'TKnobsModule6.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_out' dst = 'TKnobsModule9.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_sigout' dst = 'TKnobsModule9.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator_out2' dst = 'TKnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator_out1' dst = 'TKnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.lfo_out' dst = 'TKnobsModule11.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.svf_lp' dst = 'TKnobsModule11.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.svf_lp' dst = 'TKnobsModule11.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.poetry_in' dst = 'TKnobsModule1.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.probsequencer_out' dst = 'TKnobsModule22.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.divider_out' dst = 'TKnobsModule19.probsequencer_active')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.divider_out' dst = 'TKnobsModule22.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.lfo_out' dst = 'TKnobsModule22.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.poetry_out' dst = 'TKnobsModule23.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.intdif_in' dst = 'TKnobsModule25.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.intdif_dif' dst = 'TKnobsModule26.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.osc_out' dst = 'TKnobsModule26.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_sigout' dst = 'TKnobsModule24.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.delay_out' dst = 'TKnobsModule25.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_out' dst = 'TKnobsModule24.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.osc_phase' dst = 'TKnobsModule27.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_sigout' dst = 'TKnobsModule27.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.phasedistort_outl' dst = 'TKnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.phasedistort_outr' dst = 'TKnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_out' dst = 'TKnobsModule27.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.intdif_dif' dst = 'TKnobsModule44.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_sigout' dst = 'TKnobsModule38.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.delay_out' dst = 'TKnobsModule41.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_out' dst = 'TKnobsModule38.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outl' dst = 'TKnobsModule15.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outr' dst = 'TKnobsModule15.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.probsequencer_out' dst = 'TKnobsModule35.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.phasedistort_intensitymod' dst = 'TKnobsModule25.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_inv' dst = 'TKnobsModule27.phasedistort_intensitymod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.euclids_out' dst = 'TKnobsModule35.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_inv' dst = 'TKnobsModule34.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_in' dst = 'TKnobsModule35.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.rotator_sin' dst = 'TKnobsModule50.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.rotator_cos' dst = 'TKnobsModule49.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.lfo_out' dst = 'TKnobsModule51.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.delay_out' dst = 'TKnobsModule51.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.rotator_out2' dst = 'TKnobsModule53.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.delay_out' dst = 'TKnobsModule51.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.rotator_out1' dst = 'TKnobsModule53.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_trig' dst = 'TKnobsModule45.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.divider_out' dst = 'TKnobsModule46.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_inv' dst = 'TKnobsModule41.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_out2' dst = 'TKnobsModule34.euclids_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.euclids_pattern' dst = 'TKnobsModule44.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_out' dst = 'TKnobsModule47.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_newoutput' dst = 'TKnobsModule36.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.arpeggiator_newoutput' dst = 'TKnobsModule36.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.arpeggiator_out' dst = 'TKnobsModule37.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_out' dst = 'TKnobsModule36.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.lfo_out' dst = 'TKnobsModule36.arpeggiator_reverse')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.arpeggiator_reverse' dst = 'TKnobsModule46.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsig_out' dst = 'TKnobsModule55.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsig_fm' dst = 'TKnobsModule56.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.randsig_distmod' dst = 'TKnobsModule19.probsequencer_smoothmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsig_out' dst = 'TKnobsModule56.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.randsig_fm' dst = 'TKnobsModule54.randsig_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.osc_phase' dst = 'TKnobsModule48.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.cuclipstereo_outl' dst = 'TKnobsModule49.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.delay_in' dst = 'TKnobsModule53.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_sigout' dst = 'TKnobsModule48.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.cuclipstereo_outr' dst = 'TKnobsModule50.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.delay_in' dst = 'TKnobsModule53.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.moogfilter_out' dst = 'TKnobsModule44.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.osc_out' dst = 'TKnobsModule42.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_inv' dst = 'TKnobsModule42.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_newinput' dst = 'TKnobsModule46.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_sigout' dst = 'TKnobsModule43.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.gverb_outr' dst = 'TKnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.mixs2to1_outr' dst = 'TKnobsModule28.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.gverb_outl' dst = 'TKnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.mixs2to1_outl' dst = 'TKnobsModule28.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsig_speed' dst = 'TKnobsModule4.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsig_fm' dst = 'TKnobsModule6.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.randsig_out' dst = 'TKnobsModule58.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.randsig_fm' dst = 'TKnobsModule59.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.randsig_out' dst = 'TKnobsModule59.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.randsig_fm' dst = 'TKnobsModule57.randsig_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.randsig_out' dst = 'TKnobsModule57.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.randsig_fm' dst = 'TKnobsModule58.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.volume_outr' dst = 'TKnobsModule31.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.volume_outl' dst = 'TKnobsModule31.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.volume_outl' dst = 'TKnobsModule17.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.volume_outr' dst = 'TKnobsModule17.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_out3' dst = 'TKnobsModule42.moogfilter_qmamtp')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.poetry_newinput' dst = 'TKnobsModule21.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.divider_trig' dst = 'TKnobsModule20.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.divider_trig' dst = 'TKnobsModule19.probsequencer_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.probsequencer_trig' dst = 'TKnobsModule33.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.divider_out' dst = 'TKnobsModule36.arpeggiator_trans')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_out' dst = 'TKnobsModule27.phasedistort_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.rotator_sin' dst = 'TKnobsModule28.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.compressor_outl' dst = 'TKnobsModule18.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.compressor_outr' dst = 'TKnobsModule18.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_inl1' dst = 'TKnobsModule29.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_inr1' dst = 'TKnobsModule29.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.gverb_outl' dst = 'TKnobsModule29.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.mixs2to1_outl' dst = 'TKnobsModule30.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.gverb_outr' dst = 'TKnobsModule29.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.mixs2to1_outr' dst = 'TKnobsModule30.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.intdif_in' dst = 'TKnobsModule39.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.avg_lp' dst = 'TKnobsModule41.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.avg_in' dst = 'TKnobsModule40.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.avg_lp' dst = 'TKnobsModule42.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.osc_out' dst = 'TKnobsModule52.levelconverter_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.levelconverter_out3' dst = 'TKnobsModule53.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.randsig_speed' dst = 'TKnobsModule53.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.divider_trig' dst = 'TKnobsModule4.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.lfo_out' dst = 'TKnobsModule5.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.divider_out' dst = 'TKnobsModule6.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_in' dst = 'TKnobsModule68.tritonebank_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_sigin' dst = 'TKnobsModule62.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.osc_out' dst = 'TKnobsModule62.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.reverb_outl' dst = 'TKnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.reverb_outr' dst = 'TKnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.divider_out' dst = 'TKnobsModule70.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.envarretrig_sigout' dst = 'TKnobsModule68.tritonebank_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.arpeggiator_trans' dst = 'TKnobsModule67.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule68.tritonebank_out' dst = 'TKnobsModule69.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.freqshifter_up' dst = 'TKnobsModule70.reverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.freqshifter_down' dst = 'TKnobsModule70.reverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.multiplier_out' dst = 'TKnobsModule67.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.mixm3to1_out' dst = 'TKnobsModule63.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.envarretrig_inv' dst = 'TKnobsModule63.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.randsig_distmod' dst = 'TKnobsModule66.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.multiplier_in7' dst = 'TKnobsModule26.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.euclids_out' dst = 'TKnobsModule71.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.arpeggiator_out' dst = 'TKnobsModule71.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outl' dst = 'TKnobsModule14.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outr' dst = 'TKnobsModule14.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.poetry_out' dst = 'TKnobsModule72.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule72.avg_lp' dst = 'TKnobsModule74.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule72.avg_in' dst = 'TKnobsModule73.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.avg_lp' dst = 'TKnobsModule75.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.osc_out' dst = 'TKnobsModule74.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.osc_out' dst = 'TKnobsModule75.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsig_out' dst = 'TKnobsModule66.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsig_out' dst = 'TKnobsModule54.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsig_out' dst = 'TKnobsModule61.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsig_fm' dst = 'TKnobsModule60.randsig_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsig_speed' dst = 'TKnobsModule12.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsig_fm' dst = 'TKnobsModule66.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.randsig_out' dst = 'TKnobsModule60.randsig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.osc_phase' dst = 'TKnobsModule76.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.osc_out' dst = 'TKnobsModule76.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.randsig_out' dst = 'TKnobsModule76.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.mixs2to1_outl' dst = 'TKnobsModule77.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule77.mixs2to1_outl' dst = 'TKnobsModule78.reverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.mixs2to1_outr' dst = 'TKnobsModule77.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule77.mixs2to1_outr' dst = 'TKnobsModule78.reverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_out' dst = 'TKnobsModule77.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule79.filter6dbpbsm_outr' dst = 'TKnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule78.reverb_outr' dst = 'TKnobsModule79.filter6dbpbsm_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule79.filter6dbpbsm_outl' dst = 'TKnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule78.reverb_outl' dst = 'TKnobsModule79.filter6dbpbsm_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsig_out' dst = 'TKnobsModule79.filter6dbpbsm_freqmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.pulsesync_q' dst = 'TKnobsModule67.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.progdivider_out' dst = 'TKnobsModule65.pulsesync_pulse')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_out8' dst = 'TKnobsModule64.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.chebgen_out2' dst = 'TKnobsModule65.pulsesync_sync')
    wire( class = 'TKnobsWire' src = 'TKnobsModule81.values_out' dst = 'TKnobsModule19.probsequencer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.mixs2to1_levmod1' dst = 'TKnobsModule80.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule80.sampleandhold_out' dst = 'TKnobsModule81.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.poetry_newoutput' dst = 'TKnobsModule80.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule83.probsequencer_out' dst = 'TKnobsModule19.probsequencer_chain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule80.sampleandhold_trig' dst = 'TKnobsModule82.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule82.divider_out' dst = 'TKnobsModule83.probsequencer_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.randsig_distmod' dst = 'TKnobsModule13.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.multiplier_out' dst = 'TKnobsModule14.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.multiplier_in1' dst = 'TKnobsModule13.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.progdivider_out' dst = 'TKnobsModule71.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.envarretrig_trig' dst = 'TKnobsModule0.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.randsig_out' dst = 'TKnobsModule0.progdivider_select')
  )
)
