Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-08-02-01'
  version   = 7
  variation = 0
  guid      = '{50683F26-CA7D-4FB2-8511-BEB8B0D8B1F9}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 8
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'ChebGen'
      type  = 326
      left  = 8
      top   = 68
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Not'
      type  = 601
      left  = 8
      top   = 98
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'logicnot_out1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in1' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 113
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 143
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 173
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 203
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 233
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 263
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 293
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 323
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 9 cc = 0 rnd = 0 variations = '8,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Mux'
      type  = 805
      left  = 8
      top   = 353
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsNoKnob' name = 'mux_steps' value = 8 cc = 0 rnd = 0 variations = '8,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 398
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 150 cc = 0 rnd = 0 variations = '8,0.588235294117647,0.588235294117647,0.588235294117647,0.588235294117647,0.588235294117647,0.588235294117647,0.588235294117647,0.588235294117647' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'MoogFilter'
      type  = 1017
      left  = 8
      top   = 443
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 72 cc = 0 rnd = 0 variations = '8,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 45 cc = 0 rnd = 0 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 488
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 194 cc = 0 rnd = 0 variations = '8,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 518
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 548
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 206 cc = 0 rnd = 0 variations = '8,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 578
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 211 cc = 0 rnd = 0 variations = '8,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 608
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 638
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 122 cc = 0 rnd = 0 variations = '8,0.47843137254902,0.47843137254902,0.47843137254902,0.47843137254902,0.47843137254902,0.47843137254902,0.47843137254902,0.47843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 230 cc = 0 rnd = 0 variations = '8,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 247 cc = 0 rnd = 0 variations = '8,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 221 cc = 0 rnd = 0 variations = '8,0.432485322896282,0.432485322896282,0.432485322896282,0.432485322896282,0.432485322896282,0.432485322896282,0.432485322896282,0.432485322896282' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 239 cc = 0 rnd = 0 variations = '8,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 189 cc = 0 rnd = 0 variations = '8,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 203 cc = 0 rnd = 0 variations = '8,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 168 cc = 0 rnd = 0 variations = '8,0.65625,0.65625,0.65625,0.65625,0.65625,0.65625,0.65625,0.65625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 758
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 788
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 8
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 68
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 113
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 143
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 173
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 203
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 233
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 263
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 293
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 323
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'Mux'
      type  = 805
      left  = 258
      top   = 353
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsNoKnob' name = 'mux_steps' value = 8 cc = 0 rnd = 0 variations = '8,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727,0.727272727272727' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 398
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 144 cc = 0 rnd = 0 variations = '8,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'MoogFilter'
      type  = 1017
      left  = 258
      top   = 443
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 72 cc = 0 rnd = 0 variations = '8,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 52 cc = 0 rnd = 0 variations = '8,0.203125,0.203125,0.203125,0.203125,0.203125,0.203125,0.203125,0.203125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 488
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 101 cc = 0 rnd = 0 variations = '8,0.396078431372549,0.396078431372549,0.396078431372549,0.396078431372549,0.396078431372549,0.396078431372549,0.396078431372549,0.396078431372549' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 518
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 117 cc = 0 rnd = 0 variations = '8,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 548
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 578
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 233 cc = 0 rnd = 0 variations = '8,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 608
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 12 cc = 0 rnd = 0 variations = '8,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 63 cc = 0 rnd = 0 variations = '8,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 698
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 76 cc = 0 rnd = 0 variations = '8,0.298039215686275,0.298039215686275,0.298039215686275,0.298039215686275,0.298039215686275,0.298039215686275,0.298039215686275,0.298039215686275' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 230 cc = 0 rnd = 0 variations = '8,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 247 cc = 0 rnd = 0 variations = '8,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 102 cc = 0 rnd = 0 variations = '8,0.199608610567515,0.199608610567515,0.199608610567515,0.199608610567515,0.199608610567515,0.199608610567515,0.199608610567515,0.199608610567515' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 239 cc = 0 rnd = 0 variations = '8,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 189 cc = 0 rnd = 0 variations = '8,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976,0.744094488188976' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 3 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 508
      top   = 38
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 68
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 98
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 6 cc = 0 rnd = 0 variations = '8,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059,0.0235294117647059' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 128
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'Seq16'
      type  = 1211
      left  = 508
      top   = 158
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 28 cc = 0 rnd = 0 variations = '8,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 105 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 22 cc = 0 rnd = 0 variations = '8,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 55 cc = 0 rnd = 0 variations = '8,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 71 cc = 0 rnd = 0 variations = '8,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 61 cc = 0 rnd = 0 variations = '8,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 116 cc = 0 rnd = 0 variations = '8,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 84 cc = 0 rnd = 0 variations = '8,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 16 cc = 0 rnd = 0 variations = '8,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 308
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 164 cc = 0 rnd = 0 variations = '8,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 398
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 164 cc = 0 rnd = 0 variations = '8,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'TextWriter'
      type  = 1117
      left  = 508
      top   = 713
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2018-08-02-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 86 cc = 0 rnd = 0 variations = '8,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 128
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 203
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 758
      top   = 278
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Values'
      type  = 358
      left  = 758
      top   = 308
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0,36,37,38,70' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'Arpeggiator'
      type  = 349
      left  = 758
      top   = 353
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 225 cc = 0 rnd = 0 variations = '8,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'Rotator'
      type  = 309
      left  = 758
      top   = 458
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'ChebGen'
      type  = 326
      left  = 1008
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 38
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'Mux'
      type  = 805
      left  = 1008
      top   = 53
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsNoKnob' name = 'mux_steps' value = 6 cc = 0 rnd = 0 variations = '8,0.545454545454545,0.545454545454545,0.545454545454545,0.545454545454545,0.545454545454545,0.545454545454545,0.545454545454545,0.545454545454545' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'ChebGen'
      type  = 326
      left  = 1008
      top   = 98
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule64'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 117 cc = 0 rnd = 0 variations = '8,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765,0.458823529411765' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule65'
      title = 'Arpeggiator'
      type  = 349
      left  = 1008
      top   = 353
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule66'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 225 cc = 0 rnd = 0 variations = '8,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule67'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 458
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 66 cc = 0 rnd = 0 variations = '8,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.volume_outl' dst = 'TKnobsModule22.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.volume_outr' dst = 'TKnobsModule22.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.mixs2to1_outl' dst = 'TKnobsModule21.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.mixs2to1_outr' dst = 'TKnobsModule21.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.osc_out' dst = 'TKnobsModule1.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.divider_out' dst = 'TKnobsModule11.mux_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out2' dst = 'TKnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out3' dst = 'TKnobsModule4.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out4' dst = 'TKnobsModule5.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out5' dst = 'TKnobsModule6.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out6' dst = 'TKnobsModule7.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out7' dst = 'TKnobsModule8.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out8' dst = 'TKnobsModule9.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out9' dst = 'TKnobsModule10.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.divider_out' dst = 'TKnobsModule33.mux_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.divider_out' dst = 'TKnobsModule33.mux_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.divider_out' dst = 'TKnobsModule33.mux_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.divider_out' dst = 'TKnobsModule33.mux_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.divider_out' dst = 'TKnobsModule33.mux_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.divider_out' dst = 'TKnobsModule33.mux_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.divider_out' dst = 'TKnobsModule33.mux_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.divider_out' dst = 'TKnobsModule33.mux_in8')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_in' dst = 'TKnobsModule2.logicnot_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.logicnot_out4' dst = 'TKnobsModule11.mux_in0')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.chebgen_out2' dst = 'TKnobsModule2.logicnot_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.logicnot_out3' dst = 'TKnobsModule33.mux_in0')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.divider_out' dst = 'TKnobsModule11.mux_in8')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.divider_out' dst = 'TKnobsModule11.mux_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.divider_out' dst = 'TKnobsModule11.mux_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.divider_out' dst = 'TKnobsModule11.mux_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.divider_out' dst = 'TKnobsModule11.mux_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.divider_out' dst = 'TKnobsModule11.mux_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.divider_out' dst = 'TKnobsModule11.mux_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.noiselfotrig_out' dst = 'TKnobsModule11.mux_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.noiselfotrig_out' dst = 'TKnobsModule33.mux_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.randsigs_out1' dst = 'TKnobsModule13.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.randsigs_out2' dst = 'TKnobsModule35.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.randsigs_out3' dst = 'TKnobsModule42.noiselfotrig_colormod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.randsigs_out4' dst = 'TKnobsModule43.noiselfotrig_colormod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.moogfilter_out' dst = 'TKnobsModule14.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.moogfilter_out' dst = 'TKnobsModule14.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.osc_out' dst = 'TKnobsModule24.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out3' dst = 'TKnobsModule25.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out4' dst = 'TKnobsModule26.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out5' dst = 'TKnobsModule27.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out6' dst = 'TKnobsModule28.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out7' dst = 'TKnobsModule29.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out8' dst = 'TKnobsModule30.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out9' dst = 'TKnobsModule31.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_out10' dst = 'TKnobsModule32.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out' dst = 'TKnobsModule48.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.lfo_out' dst = 'TKnobsModule60.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_trig' dst = 'TKnobsModule34.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.envarretrig_trig' dst = 'TKnobsModule12.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mux_out' dst = 'TKnobsModule12.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.envarretrig_sigout' dst = 'TKnobsModule13.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.mux_out' dst = 'TKnobsModule34.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.envarretrig_sigout' dst = 'TKnobsModule35.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outl' dst = 'TKnobsModule15.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outr' dst = 'TKnobsModule15.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.divider_out' dst = 'TKnobsModule47.seq16_rnd2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.scalequantizer_out' dst = 'TKnobsModule0.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.scalequantizer_out' dst = 'TKnobsModule23.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out3' dst = 'TKnobsModule49.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.osc_out' dst = 'TKnobsModule23.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.osc_freq' dst = 'TKnobsModule13.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.osc_freq' dst = 'TKnobsModule35.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out2' dst = 'TKnobsModule62.mux_in0')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out3' dst = 'TKnobsModule62.mux_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out4' dst = 'TKnobsModule62.mux_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out6' dst = 'TKnobsModule62.mux_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out8' dst = 'TKnobsModule62.mux_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out9' dst = 'TKnobsModule62.mux_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out12' dst = 'TKnobsModule62.mux_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.noiselfotrig_out' dst = 'TKnobsModule61.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.sampleandhold_out' dst = 'TKnobsModule62.mux_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.divider_out' dst = 'TKnobsModule61.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.lfo_out' dst = 'TKnobsModule44.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_rnd2' dst = 'TKnobsModule43.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.noiselfotrig_trig' dst = 'TKnobsModule42.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.logicnot_in4' dst = 'TKnobsModule13.moogfilter_linfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.chebgen_in' dst = 'TKnobsModule35.moogfilter_linfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.divider_trig' dst = 'TKnobsModule45.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.divider_trig' dst = 'TKnobsModule46.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.divider_out' dst = 'TKnobsModule47.seq16_inv')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.divider_out' dst = 'TKnobsModule47.seq16_dir')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mux_out' dst = 'TKnobsModule23.osc_sync')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.mux_out' dst = 'TKnobsModule0.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outr' dst = 'TKnobsModule16.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outl' dst = 'TKnobsModule17.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.delay_out' dst = 'TKnobsModule18.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.delay_out' dst = 'TKnobsModule18.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.rotator_out1' dst = 'TKnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.rotator_out2' dst = 'TKnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.randsigs_out6' dst = 'TKnobsModule16.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.randsigs_out7' dst = 'TKnobsModule17.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.mixs2to1_outr' dst = 'TKnobsModule36.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.mixs2to1_outl' dst = 'TKnobsModule37.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.delay_out' dst = 'TKnobsModule39.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.delay_out' dst = 'TKnobsModule39.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outr' dst = 'TKnobsModule39.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.mixs2to1_outr' dst = 'TKnobsModule19.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outl' dst = 'TKnobsModule39.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.mixs2to1_outl' dst = 'TKnobsModule19.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out2' dst = 'TKnobsModule18.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out3' dst = 'TKnobsModule39.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.scalequantizer_out' dst = 'TKnobsModule56.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.arpeggiator_newinput' dst = 'TKnobsModule47.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.mux_in6' dst = 'TKnobsModule56.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.arpeggiator_out' dst = 'TKnobsModule57.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.divider_out' dst = 'TKnobsModule56.arpeggiator_trans')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.divider_out' dst = 'TKnobsModule56.arpeggiator_reverse')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out5' dst = 'TKnobsModule50.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.mixs2to1_outl' dst = 'TKnobsModule39.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.mixs2to1_outr' dst = 'TKnobsModule39.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out1' dst = 'TKnobsModule38.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out11' dst = 'TKnobsModule57.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out10' dst = 'TKnobsModule57.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out4' dst = 'TKnobsModule54.noiselfotrig_colormod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_stepout1' dst = 'TKnobsModule54.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.noiselfotrig_out' dst = 'TKnobsModule55.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.values_out' dst = 'TKnobsModule48.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.scalequantizer_scalemod' dst = 'TKnobsModule49.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out5' dst = 'TKnobsModule48.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out6' dst = 'TKnobsModule49.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.arpeggiator_out' dst = 'TKnobsModule66.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.arpeggiator_newoutput' dst = 'TKnobsModule65.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.arpeggiator_newinput' dst = 'TKnobsModule56.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.mux_out' dst = 'TKnobsModule65.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.arpeggiator_in' dst = 'TKnobsModule65.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.mux_in5' dst = 'TKnobsModule66.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.chebgen_out7' dst = 'TKnobsModule66.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.rotator_out1' dst = 'TKnobsModule38.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.osc_out' dst = 'TKnobsModule58.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.rotator_out2' dst = 'TKnobsModule38.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out7' dst = 'TKnobsModule53.levelconverter_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.levelconverter_out6' dst = 'TKnobsModule58.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.randsigs_out5' dst = 'TKnobsModule53.levelconverter_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.levelconverter_out5' dst = 'TKnobsModule15.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.rotator_out2' dst = 'TKnobsModule64.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.delay_out' dst = 'TKnobsModule66.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out8' dst = 'TKnobsModule64.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.mux_in4' dst = 'TKnobsModule63.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.envarretrig_sigout' dst = 'TKnobsModule58.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.osc_out' dst = 'TKnobsModule67.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.chebgen_out4' dst = 'TKnobsModule67.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.gverb_outr' dst = 'TKnobsModule40.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.compressor_outr' dst = 'TKnobsModule41.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.compressor_outl' dst = 'TKnobsModule41.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.gverb_outl' dst = 'TKnobsModule40.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.gverb_outl' dst = 'TKnobsModule20.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.gverb_outr' dst = 'TKnobsModule20.mixs2to1_inr1')
  )
)
