Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-09-24-01'
  version   = 7
  variation = 0
  guid      = '{9845672F-2A98-4115-B051-7EE7B47B55EA}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 91 cc = 0 rnd = 0 variations = '8,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 43 cc = 0 rnd = 0 variations = '8,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 143 cc = 0 rnd = 0 variations = '8,0.55859375,0.55859375,0.55859375,0.55859375,0.55859375,0.55859375,0.55859375,0.55859375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 113
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 149 cc = 0 rnd = 0 variations = '8,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 158
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 210 cc = 0 rnd = 0 variations = '8,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 78 cc = 0 rnd = 0 variations = '8,0.78,0.78,0.78,0.78,0.78,0.78,0.78,0.78' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Formant2'
      type  = 1012
      left  = 8
      top   = 218
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 215 cc = 0 rnd = 0 variations = '8,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Formant2'
      type  = 1012
      left  = 8
      top   = 263
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 210 cc = 0 rnd = 0 variations = '8,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 308
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 338
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 242 cc = 0 rnd = 0 variations = '8,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 45 cc = 0 rnd = 0 variations = '8,0.0880626223091976,0.0880626223091976,0.0880626223091976,0.0880626223091976,0.0880626223091976,0.0880626223091976,0.0880626223091976,0.0880626223091976' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 668
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 728
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 53 cc = 0 rnd = 0 variations = '8,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Noise'
      type  = 503
      left  = 258
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 83
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'Seq16'
      type  = 1211
      left  = 258
      top   = 113
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 1 cc = 0 rnd = 0 variations = '8,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 113 cc = 0 rnd = 0 variations = '8,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 121 cc = 0 rnd = 0 variations = '8,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 115 cc = 0 rnd = 0 variations = '8,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 1 cc = 0 rnd = 0 variations = '8,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 99 cc = 0 rnd = 0 variations = '8,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 118 cc = 0 rnd = 0 variations = '8,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 38 cc = 0 rnd = 0 variations = '8,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 88 cc = 0 rnd = 0 variations = '8,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 59 cc = 0 rnd = 0 variations = '8,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 116 cc = 0 rnd = 0 variations = '8,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 54 cc = 0 rnd = 0 variations = '8,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 38 cc = 0 rnd = 0 variations = '8,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 5 cc = 0 rnd = 0 variations = '8,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 263
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 164 cc = 0 rnd = 0 variations = '8,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 35 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 683
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = 'new patch' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 53 cc = 0 rnd = 0 variations = '8,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 164 cc = 0 rnd = 0 variations = '8,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.volume_outl' dst = 'TKnobsModule11.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.volume_outr' dst = 'TKnobsModule11.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule10.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule10.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule2.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.rotator_out2' dst = 'TKnobsModule2.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.noise_out' dst = 'TKnobsModule2.osc_sync')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out1' dst = 'TKnobsModule4.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.rotator_angle' dst = 'TKnobsModule1.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out2' dst = 'TKnobsModule5.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out3' dst = 'TKnobsModule6.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_out' dst = 'TKnobsModule5.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.formant2_out' dst = 'TKnobsModule7.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.formant2_out' dst = 'TKnobsModule7.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out4' dst = 'TKnobsModule5.formant2_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out5' dst = 'TKnobsModule6.formant2_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.rotator_out2' dst = 'TKnobsModule8.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outr' dst = 'TKnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.rotator_out1' dst = 'TKnobsModule8.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outl' dst = 'TKnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.envarretrig_sigout' dst = 'TKnobsModule6.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.osc_out' dst = 'TKnobsModule3.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.osc_warpmod' dst = 'TKnobsModule3.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.envarretrig_trig' dst = 'TKnobsModule4.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_phase' dst = 'TKnobsModule9.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.seq16_out' dst = 'TKnobsModule2.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule14.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.chebgen_out2' dst = 'TKnobsModule15.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.seq16_out2' dst = 'TKnobsModule0.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.scalequantizer_out' dst = 'TKnobsModule4.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.seq16_rnd3' dst = 'TKnobsModule7.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.lfo_out' dst = 'TKnobsModule15.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out6' dst = 'TKnobsModule0.scalequantizer_levmod')
  )
)
