Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-12-17-02-200-au'
  version   = 7
  variation = 0
  guid      = '{85A6FBC9-FA27-4098-9B13-38E84970D85A}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 98 cc = 0 rnd = 0 variations = '8,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196,0.384313725490196' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 53
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Seq16'
      type  = 1211
      left  = 8
      top   = 68
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 61 cc = 0 rnd = 0 variations = '8,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 17 cc = 0 rnd = 0 variations = '8,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 98 cc = 0 rnd = 0 variations = '8,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 5 cc = 0 rnd = 0 variations = '8,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 119 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 118 cc = 0 rnd = 0 variations = '8,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 10 cc = 0 rnd = 0 variations = '8,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 41 cc = 0 rnd = 0 variations = '8,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 41 cc = 0 rnd = 0 variations = '8,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Seq16'
      type  = 1211
      left  = 8
      top   = 218
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 111 cc = 0 rnd = 0 variations = '8,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 63 cc = 0 rnd = 0 variations = '8,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 91 cc = 0 rnd = 0 variations = '8,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 102 cc = 0 rnd = 0 variations = '8,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 5 cc = 0 rnd = 0 variations = '8,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 94 cc = 0 rnd = 0 variations = '8,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 92 cc = 0 rnd = 0 variations = '8,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 58 cc = 0 rnd = 0 variations = '8,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 12 cc = 0 rnd = 0 variations = '8,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 66 cc = 0 rnd = 0 variations = '8,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 125 cc = 0 rnd = 0 variations = '8,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 82 cc = 0 rnd = 0 variations = '8,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 230 cc = 0 rnd = 0 variations = '8,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 398
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 159 cc = 0 rnd = 0 variations = '8,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375,0.62109375' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 488
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 250 cc = 0 rnd = 0 variations = '8,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 518
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 238 cc = 0 rnd = 0 variations = '8,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 548
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 196 cc = 0 rnd = 0 variations = '8,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392,0.768627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 578
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 167 cc = 0 rnd = 0 variations = '8,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 608
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 623
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 4 cc = 0 rnd = 0 variations = '8,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 53 cc = 0 rnd = 0 variations = '8,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 59 cc = 0 rnd = 0 variations = '8,0.59,0.59,0.59,0.59,0.59,0.59,0.59,0.59' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'IntDif'
      type  = 1003
      left  = 8
      top   = 683
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 713
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 14 cc = 0 rnd = 0 variations = '8,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 111 cc = 0 rnd = 0 variations = '8,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 122 cc = 0 rnd = 0 variations = '8,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_holdmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swell' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swellmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_swellshape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'MoogFilter'
      type  = 1017
      left  = 8
      top   = 833
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 51 cc = 0 rnd = 0 variations = '8,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 53 cc = 0 rnd = 0 variations = '8,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125,0.20703125' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 37 cc = 0 rnd = 0 variations = '8,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule105'
      title = 'FreqShifter'
      type  = 1401
      left  = 8
      top   = 878
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 12 cc = 0 rnd = 0 variations = '8,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'ChebGen'
      type  = 326
      left  = 258
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 38
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_active' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'euclids_outoff' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 8 cc = 0 rnd = 0 variations = '8,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Poetry'
      type  = 327
      left  = 258
      top   = 83
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 622 cc = 0 rnd = 0 variations = '8,0.151892551892552,0.151892551892552,0.151892551892552,0.151892551892552,0.151892551892552,0.151892551892552,0.151892551892552,0.151892551892552' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 128
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 138 cc = 0 rnd = 0 variations = '8,0.5390625,0.5390625,0.5390625,0.5390625,0.5390625,0.5390625,0.5390625,0.5390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 188
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 159 cc = 0 rnd = 0 variations = '8,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 233
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 51 cc = 0 rnd = 0 variations = '8,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 121 cc = 0 rnd = 0 variations = '8,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 293
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 164 cc = 0 rnd = 0 variations = '8,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 338
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 368
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 238 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 510 cc = 0 rnd = 0 variations = '8,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 221 cc = 0 rnd = 0 variations = '8,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 249 cc = 0 rnd = 0 variations = '8,0.976470588235294,0.976470588235294,0.976470588235294,0.976470588235294,0.976470588235294,0.976470588235294,0.976470588235294,0.976470588235294' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 458
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 245 cc = 0 rnd = 0 variations = '8,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 488
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 518
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 158 cc = 0 rnd = 0 variations = '8,0.619607843137255,0.619607843137255,0.619607843137255,0.619607843137255,0.619607843137255,0.619607843137255,0.619607843137255,0.619607843137255' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'CuClipStereo'
      type  = 357
      left  = 258
      top   = 548
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 578
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 20 cc = 0 rnd = 0 variations = '8,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 238 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 510 cc = 0 rnd = 0 variations = '8,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573,0.998043052837573' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 236 cc = 0 rnd = 0 variations = '8,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 238 cc = 0 rnd = 0 variations = '8,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 34 cc = 0 rnd = 0 variations = '8,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 150 cc = 0 rnd = 0 variations = '8,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 182 cc = 0 rnd = 0 variations = '8,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 189 cc = 0 rnd = 0 variations = '8,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 758
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 59 cc = 0 rnd = 0 variations = '8,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 144 cc = 0 rnd = 0 variations = '8,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'CuClipStereo'
      type  = 357
      left  = 258
      top   = 848
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 142 cc = 0 rnd = 0 variations = '8,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875,0.5546875' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 38
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 113
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 64 cc = 0 rnd = 0 variations = '8,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 188
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 263
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 203 cc = 0 rnd = 0 variations = '8,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 338
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 413
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 63 cc = 0 rnd = 0 variations = '8,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 32 cc = 0 rnd = 0 variations = '8,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431,0.125490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 53 cc = 0 rnd = 0 variations = '8,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 488
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'MultiSAndH'
      type  = 804
      left  = 508
      top   = 518
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'multisandh_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'SampleAndHold'
      type  = 801
      left  = 508
      top   = 548
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 563
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 140 cc = 0 rnd = 0 variations = '8,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 12 cc = 0 rnd = 0 variations = '8,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 55 cc = 0 rnd = 0 variations = '8,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Volume'
      type  = 212
      left  = 508
      top   = 713
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 150 cc = 0 rnd = 0 variations = '8,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'Volume'
      type  = 212
      left  = 508
      top   = 743
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'AudioOut'
      type  = 102
      left  = 508
      top   = 773
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'TextWriter'
      type  = 1117
      left  = 508
      top   = 803
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2018-12-17-02-200-AU' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 8
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 23
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 38
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'ProgDivider'
      type  = 612
      left  = 758
      top   = 53
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 23 cc = 0 rnd = 0 variations = '8,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 3 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'Arpeggiator'
      type  = 349
      left  = 758
      top   = 113
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 158
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 234 cc = 0 rnd = 0 variations = '8,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 188
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 203
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 207 cc = 0 rnd = 0 variations = '8,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 16 cc = 0 rnd = 0 variations = '8,0.16,0.16,0.16,0.16,0.16,0.16,0.16,0.16' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 263
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 35 cc = 0 rnd = 0 variations = '8,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 186 cc = 0 rnd = 0 variations = '8,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 308
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 323
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'IntDif'
      type  = 1003
      left  = 758
      top   = 383
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 95 cc = 0 rnd = 0 variations = '8,0.372549019607843,0.372549019607843,0.372549019607843,0.372549019607843,0.372549019607843,0.372549019607843,0.372549019607843,0.372549019607843' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 458
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 145 cc = 0 rnd = 0 variations = '8,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'Formant2'
      type  = 1012
      left  = 758
      top   = 488
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 249 cc = 0 rnd = 0 variations = '8,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule64'
      title = 'Rotator'
      type  = 309
      left  = 758
      top   = 533
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule65'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 563
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 227 cc = 0 rnd = 0 variations = '8,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 229 cc = 0 rnd = 0 variations = '8,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule66'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 593
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 229 cc = 0 rnd = 0 variations = '8,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule67'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 623
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 195 cc = 0 rnd = 0 variations = '8,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule68'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 653
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 170 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule69'
      title = 'GVerb'
      type  = 707
      left  = 758
      top   = 683
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 130 cc = 0 rnd = 0 variations = '8,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 252 cc = 0 rnd = 0 variations = '8,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 46 cc = 0 rnd = 0 variations = '8,0.0900195694716243,0.0900195694716243,0.0900195694716243,0.0900195694716243,0.0900195694716243,0.0900195694716243,0.0900195694716243,0.0900195694716243' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 178 cc = 0 rnd = 0 variations = '8,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 232 cc = 0 rnd = 0 variations = '8,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627,0.909803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule70'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 1008
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule71'
      title = 'Values'
      type  = 358
      left  = 1008
      top   = 38
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0,19,22,8,30,31,70' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule72'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 113
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1198 cc = 0 rnd = 0 variations = '8,0.292551892551893,0.292551892551893,0.292551892551893,0.292551892551893,0.292551892551893,0.292551892551893,0.292551892551893,0.292551892551893' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule73'
      title = 'Arpeggiator'
      type  = 349
      left  = 1008
      top   = 158
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule74'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 203
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule75'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 218
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule76'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 233
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule77'
      title = 'IntDif'
      type  = 1003
      left  = 1008
      top   = 293
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule78'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 323
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 9 cc = 0 rnd = 0 variations = '8,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588,0.0352941176470588' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 139 cc = 0 rnd = 0 variations = '8,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686,0.545098039215686' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule79'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 368
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule80'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 383
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule81'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 398
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule82'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 428
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule83'
      title = 'PitchShift'
      type  = 910
      left  = 1008
      top   = 458
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 195 cc = 0 rnd = 0 variations = '8,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941,0.764705882352941' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule84'
      title = 'Rotator'
      type  = 309
      left  = 1008
      top   = 503
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule85'
      title = 'Reverb'
      type  = 703
      left  = 1008
      top   = 533
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 185 cc = 0 rnd = 0 variations = '8,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 180 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 217 cc = 0 rnd = 0 variations = '8,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 119 cc = 0 rnd = 0 variations = '8,0.944444444444444,0.944444444444444,0.944444444444444,0.944444444444444,0.944444444444444,0.944444444444444,0.944444444444444,0.944444444444444' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 38 cc = 0 rnd = 0 variations = '8,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.volume_outl' dst = 'TKnobsModule47.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.volume_outr' dst = 'TKnobsModule47.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_stepout1' dst = 'TKnobsModule3.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out' dst = 'TKnobsModule4.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.avg_lp' dst = 'TKnobsModule11.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out' dst = 'TKnobsModule5.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.scalequantizer_out' dst = 'TKnobsModule6.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.avg_lp' dst = 'TKnobsModule11.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out2' dst = 'TKnobsModule7.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.osc_freq' dst = 'TKnobsModule14.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.delay_out' dst = 'TKnobsModule11.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.moogfilter_out' dst = 'TKnobsModule9.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out2' dst = 'TKnobsModule14.moogfilter_qmamtp')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.envahd_inv' dst = 'TKnobsModule9.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.envahd_out' dst = 'TKnobsModule14.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.osc_out' dst = 'TKnobsModule13.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.envahd_sigout' dst = 'TKnobsModule14.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out4' dst = 'TKnobsModule8.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.avg_lp' dst = 'TKnobsModule13.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.gverb_outr' dst = 'TKnobsModule31.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.osc_phase' dst = 'TKnobsModule28.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.gverb_outl' dst = 'TKnobsModule31.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.avg_in' dst = 'TKnobsModule28.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.euclids_out' dst = 'TKnobsModule19.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.osc_out' dst = 'TKnobsModule19.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.osc_out' dst = 'TKnobsModule21.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.euclids_outoff' dst = 'TKnobsModule21.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.envarretrig_sigout' dst = 'TKnobsModule18.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.envarretrig_sigout' dst = 'TKnobsModule20.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out3' dst = 'TKnobsModule23.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.osc_phase' dst = 'TKnobsModule22.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.rotator_out1' dst = 'TKnobsModule23.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.envarretrig_sigout' dst = 'TKnobsModule22.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.rotator_out2' dst = 'TKnobsModule23.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out2' dst = 'TKnobsModule19.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out1' dst = 'TKnobsModule36.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out2' dst = 'TKnobsModule22.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out4' dst = 'TKnobsModule16.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule15.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.chebgen_out2' dst = 'TKnobsModule16.euclids_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule1.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.sampleandhold_out' dst = 'TKnobsModule2.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_trig' dst = 'TKnobsModule3.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.euclids_trig' dst = 'TKnobsModule1.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.mixs2to1_outl' dst = 'TKnobsModule25.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.mixs2to1_outr' dst = 'TKnobsModule26.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.rotator_sin' dst = 'TKnobsModule25.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.rotator_cos' dst = 'TKnobsModule26.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.delay_out' dst = 'TKnobsModule24.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.delay_out' dst = 'TKnobsModule24.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.gverb_outl' dst = 'TKnobsModule24.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.gverb_outr' dst = 'TKnobsModule24.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.delay_in' dst = 'TKnobsModule27.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.cuclipstereo_outl' dst = 'TKnobsModule31.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.delay_in' dst = 'TKnobsModule27.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.cuclipstereo_outr' dst = 'TKnobsModule31.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.mixs2to1_outl' dst = 'TKnobsModule31.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.mixs2to1_outr' dst = 'TKnobsModule31.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.osc_out' dst = 'TKnobsModule61.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.mixs2to1_outl' dst = 'TKnobsModule67.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.mixs2to1_outr' dst = 'TKnobsModule68.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.delay_out' dst = 'TKnobsModule66.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule68.delay_out' dst = 'TKnobsModule66.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.osc_freq' dst = 'TKnobsModule59.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule68.delay_in' dst = 'TKnobsModule69.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.gverb_outr' dst = 'TKnobsModule30.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.delay_in' dst = 'TKnobsModule69.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.gverb_outl' dst = 'TKnobsModule30.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out5' dst = 'TKnobsModule56.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out7' dst = 'TKnobsModule49.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.progdivider_out' dst = 'TKnobsModule53.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.sampleandhold_out' dst = 'TKnobsModule52.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out1' dst = 'TKnobsModule37.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out8' dst = 'TKnobsModule61.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out4' dst = 'TKnobsModule69.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.rotator_out1' dst = 'TKnobsModule66.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.rotator_out2' dst = 'TKnobsModule66.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out5' dst = 'TKnobsModule64.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.mixs2to1_outl' dst = 'TKnobsModule32.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.volume_outl' dst = 'TKnobsModule46.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.mixs2to1_outr' dst = 'TKnobsModule32.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.volume_outr' dst = 'TKnobsModule46.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out6' dst = 'TKnobsModule41.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.levelconverter_out1' dst = 'TKnobsModule50.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.sampleandhold_out' dst = 'TKnobsModule53.arpeggiator_reverse')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out7' dst = 'TKnobsModule41.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.levelconverter_out2' dst = 'TKnobsModule51.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.sampleandhold_out' dst = 'TKnobsModule53.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.sampleandhold_trig' dst = 'TKnobsModule50.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.progdivider_out' dst = 'TKnobsModule51.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.formant2_out' dst = 'TKnobsModule64.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_sigout' dst = 'TKnobsModule63.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.cuclipstereo_outl' dst = 'TKnobsModule45.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.compressor_outl' dst = 'TKnobsModule33.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.compressor_outr' dst = 'TKnobsModule33.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.cuclipstereo_outr' dst = 'TKnobsModule45.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out2' dst = 'TKnobsModule13.envahd_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.avg_lp' dst = 'TKnobsModule56.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.arpeggiator_out' dst = 'TKnobsModule54.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out3' dst = 'TKnobsModule5.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out4' dst = 'TKnobsModule20.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out3' dst = 'TKnobsModule2.seq16_xfademod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.scalequantizer_out' dst = 'TKnobsModule17.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.poetry_in' dst = 'TKnobsModule53.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.sampleandhold_out' dst = 'TKnobsModule17.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.poetry_newinput' dst = 'TKnobsModule34.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.divider_trig' dst = 'TKnobsModule53.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.arpeggiator_newinput' dst = 'TKnobsModule49.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.poetry_out' dst = 'TKnobsModule18.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.chebgen_out4' dst = 'TKnobsModule52.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.sampleandhold_trig' dst = 'TKnobsModule17.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.arpeggiator_newoutput' dst = 'TKnobsModule72.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.avg_in' dst = 'TKnobsModule60.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.intdif_dif' dst = 'TKnobsModule61.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out3' dst = 'TKnobsModule62.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.avg_lp' dst = 'TKnobsModule63.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.arpeggiator_out' dst = 'TKnobsModule72.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.osc_freq' dst = 'TKnobsModule77.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule77.intdif_dif' dst = 'TKnobsModule78.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.osc_out' dst = 'TKnobsModule78.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule72.poetry_newinput' dst = 'TKnobsModule85.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.osc_out' dst = 'TKnobsModule75.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.multiplier_out' dst = 'TKnobsModule76.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out8' dst = 'TKnobsModule75.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.multiplier_in6' dst = 'TKnobsModule75.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out6' dst = 'TKnobsModule75.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.multiplier_in4' dst = 'TKnobsModule75.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out4' dst = 'TKnobsModule30.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule85.reverb_outl' dst = 'TKnobsModule30.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule85.reverb_outr' dst = 'TKnobsModule30.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_out3' dst = 'TKnobsModule78.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.multiplier_in6' dst = 'TKnobsModule74.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.multiplier_in4' dst = 'TKnobsModule74.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule78.envarretrig_sigout' dst = 'TKnobsModule74.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.multiplier_out' dst = 'TKnobsModule75.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out5' dst = 'TKnobsModule74.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out6' dst = 'TKnobsModule74.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out7' dst = 'TKnobsModule30.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out8' dst = 'TKnobsModule24.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.mixs2to1_outl' dst = 'TKnobsModule66.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.mixs2to1_outr' dst = 'TKnobsModule66.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.mixs2to1_inr1' dst = 'TKnobsModule65.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.randsigs_out1' dst = 'TKnobsModule38.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out2' dst = 'TKnobsModule65.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.avg_in' dst = 'TKnobsModule12.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.intdif_dif' dst = 'TKnobsModule13.envahd_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out3' dst = 'TKnobsModule31.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out4' dst = 'TKnobsModule31.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.values_out' dst = 'TKnobsModule5.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out4' dst = 'TKnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule81.mixm3to1_out' dst = 'TKnobsModule83.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule83.pitchshift_out' dst = 'TKnobsModule81.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule79.multiplier_out' dst = 'TKnobsModule81.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.divider_out' dst = 'TKnobsModule70.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.noiselfotrig_out' dst = 'TKnobsModule71.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.chebgen_in' dst = 'TKnobsModule58.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.multiplier_out' dst = 'TKnobsModule59.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_out' dst = 'TKnobsModule58.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.osc_out' dst = 'TKnobsModule57.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.envarretrig_sigout' dst = 'TKnobsModule64.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.chebgen_out2' dst = 'TKnobsModule57.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.envarretrig_out' dst = 'TKnobsModule55.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.mixs2to1_inr2' dst = 'TKnobsModule55.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.multiplier_out' dst = 'TKnobsModule56.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.arpeggiator_newinput' dst = 'TKnobsModule73.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.chebgen_out3' dst = 'TKnobsModule73.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.arpeggiator_newoutput' dst = 'TKnobsModule72.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.arpeggiator_out' dst = 'TKnobsModule76.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule72.poetry_out' dst = 'TKnobsModule73.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out7' dst = 'TKnobsModule41.levelconverter_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.levelconverter_out6' dst = 'TKnobsModule73.arpeggiator_reverse')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out8' dst = 'TKnobsModule41.levelconverter_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.levelconverter_out7' dst = 'TKnobsModule73.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out1' dst = 'TKnobsModule39.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out2' dst = 'TKnobsModule57.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out3' dst = 'TKnobsModule63.formant2_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out4' dst = 'TKnobsModule43.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.divider_out' dst = 'TKnobsModule43.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.sampleandhold_trig' dst = 'TKnobsModule2.seq16_rnd2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.sampleandhold_out' dst = 'TKnobsModule44.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.scalequantizer_out' dst = 'TKnobsModule5.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.multiplier_in5' dst = 'TKnobsModule10.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.multiplier_in3' dst = 'TKnobsModule10.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.sampleandhold_in' dst = 'TKnobsModule10.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.multiplier_out' dst = 'TKnobsModule11.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out5' dst = 'TKnobsModule10.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out6' dst = 'TKnobsModule10.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule83.pitchshift_out' dst = 'TKnobsModule84.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule84.rotator_out1' dst = 'TKnobsModule85.reverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule83.pitchshift_in' dst = 'TKnobsModule84.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule84.rotator_out2' dst = 'TKnobsModule85.reverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out7' dst = 'TKnobsModule84.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule78.envarretrig_sigout' dst = 'TKnobsModule81.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule81.mixm3to1_in2' dst = 'TKnobsModule65.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.levelconverter_out7' dst = 'TKnobsModule42.multisandh_in12')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.multisandh_out12' dst = 'TKnobsModule3.seq16_dir')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.levelconverter_out6' dst = 'TKnobsModule42.multisandh_in11')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.multisandh_out11' dst = 'TKnobsModule3.seq16_inv')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_rnd3' dst = 'TKnobsModule42.multisandh_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.multiplier_in7' dst = 'TKnobsModule82.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule82.mixm3to1_out' dst = 'TKnobsModule83.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule78.envarretrig_out' dst = 'TKnobsModule82.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule83.pitchshift_shiftmod' dst = 'TKnobsModule56.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out5' dst = 'TKnobsModule79.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.randsigs_out6' dst = 'TKnobsModule79.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.randsigs_speed' dst = 'TKnobsModule21.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.randsigs_out3' dst = 'TKnobsModule36.randsigs_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.multiplier_in5' dst = 'TKnobsModule79.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out8' dst = 'TKnobsModule80.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule80.multiplier_in7' dst = 'TKnobsModule80.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule80.multiplier_out' dst = 'TKnobsModule81.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.randsigs_out1' dst = 'TKnobsModule35.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.randsigs_out1' dst = 'TKnobsModule40.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.moogfilter_out' dst = 'TKnobsModule105.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule105.freqshifter_up' dst = 'TKnobsModule28.gverb_inr')
  )
)
