Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-12-24-01'
  version   = 7
  variation = 5
  guid      = '{26D1AD69-42E9-4D86-805B-C223B643381D}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 137 cc = 0 rnd = 0 variations = '8,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784,0.537254901960784' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Morse'
      type  = 1209
      left  = 8
      top   = 53
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'morse_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'morse_clock' value = '32768' )
        detail( class = 'TKnobsInput' name = 'morse_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'morse_display_text' value = 'heilig nacht stille nacht hij die miljoenen in zaliger zal deed verwachten in bethlehems stal . lalla la lalal la laaalaaa la la la lala la la ' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 98
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 26 cc = 0 rnd = 0 variations = '8,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 3 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 14 cc = 0 rnd = 0 variations = '8,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875,0.0546875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 158
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 103 cc = 0 rnd = 0 variations = '8,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451,0.403921568627451' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 203
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 26 cc = 0 rnd = 0 variations = '8,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 130 cc = 0 rnd = 0 variations = '8,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627,0.509803921568627' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 248
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 3 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 16 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 107 cc = 0 rnd = 0 variations = '8,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 308
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_holdmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swell' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swellmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_swellshape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Formant2'
      type  = 1012
      left  = 8
      top   = 428
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 216 cc = 0 rnd = 0 variations = '8,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375,0.84375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 473
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 181 cc = 0 rnd = 0 variations = '8,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 503
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 223 cc = 0 rnd = 0 variations = '8,0.874509803921569,0.874509803921569,0.874509803921569,0.874509803921569,0.874509803921569,0.874509803921569,0.874509803921569,0.874509803921569' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'PitchShift'
      type  = 910
      left  = 8
      top   = 533
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 144 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 251 cc = 0 rnd = 0 variations = '8,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196,0.984313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 578
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 608
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 42 cc = 0 rnd = 0 variations = '8,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 94 cc = 0 rnd = 0 variations = '8,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 698
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 233 cc = 0 rnd = 0 variations = '8,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 239 cc = 0 rnd = 0 variations = '8,0.93359375,0.93359375,0.93359375,0.93359375,0.93359375,0.93359375,0.93359375,0.93359375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 758
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 233 cc = 0 rnd = 0 variations = '8,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625,0.91015625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 220 cc = 0 rnd = 0 variations = '8,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 788
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 218 cc = 0 rnd = 0 variations = '8,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 245 cc = 0 rnd = 0 variations = '8,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 818
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 848
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 75 cc = 0 rnd = 0 variations = '8,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Seq16'
      type  = 1211
      left  = 258
      top   = 98
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 105 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 32 cc = 0 rnd = 0 variations = '8,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 51 cc = 0 rnd = 0 variations = '8,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 54 cc = 0 rnd = 0 variations = '8,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 119 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 109 cc = 0 rnd = 0 variations = '8,0.858267716535433,0.858267716535433,0.858267716535433,0.858267716535433,0.858267716535433,0.858267716535433,0.858267716535433,0.858267716535433' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 61 cc = 0 rnd = 0 variations = '8,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 94 cc = 0 rnd = 0 variations = '8,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 94 cc = 0 rnd = 0 variations = '8,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 248
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 35 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 36 cc = 0 rnd = 0 variations = '8,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 338
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'PerlinNoise'
      type  = 515
      left  = 258
      top   = 383
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_length' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'perlinnoise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_roughness' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_layers' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_lengthmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'perlinnoise_newinv' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 428
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 80 cc = 0 rnd = 0 variations = '8,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078,0.313725490196078' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 473
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 163 cc = 0 rnd = 0 variations = '8,0.63921568627451,0.63921568627451,0.63921568627451,0.63921568627451,0.63921568627451,0.63921568627451,0.63921568627451,0.63921568627451' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 518
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Formant2'
      type  = 1012
      left  = 258
      top   = 533
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 213 cc = 0 rnd = 0 variations = '8,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 578
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 608
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 24 cc = 0 rnd = 0 variations = '8,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 123 cc = 0 rnd = 0 variations = '8,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'CuClipStereo'
      type  = 357
      left  = 258
      top   = 698
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 773
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2018-12-24-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 51 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 28 cc = 0 rnd = 0 variations = '8,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627,0.109803921568627' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 158
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 18 cc = 0 rnd = 0 variations = '8,0.0705882352941176,0.0705882352941176,0.0705882352941176,0.0705882352941176,0.0705882352941176,0.0705882352941176,0.0705882352941176,0.0705882352941176' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 233
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 263
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 176 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 35 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 353
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1312 cc = 0 rnd = 0 variations = '8,0.32039072039072,0.32039072039072,0.32039072039072,0.32039072039072,0.32039072039072,0.32039072039072,0.32039072039072,0.32039072039072' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 398
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 129 cc = 0 rnd = 0 variations = '8,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176,0.505882352941176' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 428
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 3 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 54 cc = 0 rnd = 0 variations = '8,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375,0.2109375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 76 cc = 0 rnd = 0 variations = '8,0.76,0.76,0.76,0.76,0.76,0.76,0.76,0.76' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 488
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_holdmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swell' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swellmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_swellshape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'Formant2'
      type  = 1012
      left  = 508
      top   = 608
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 7 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 175 cc = 0 rnd = 0 variations = '8,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 51 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'ProgDivider'
      type  = 612
      left  = 758
      top   = 188
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 1 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 248
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 278
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'Arpeggiator'
      type  = 349
      left  = 758
      top   = 308
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'IntDif'
      type  = 1003
      left  = 758
      top   = 353
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 383
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 186 cc = 0 rnd = 0 variations = '8,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 57 cc = 0 rnd = 0 variations = '8,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625,0.22265625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 413
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 443
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 18 cc = 0 rnd = 0 variations = '8,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 107 cc = 0 rnd = 0 variations = '8,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 503
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 70 cc = 0 rnd = 0 variations = '8,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375,0.2734375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 67 cc = 0 rnd = 0 variations = '8,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 107 cc = 0 rnd = 0 variations = '8,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875,0.41796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 563
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 199 cc = 0 rnd = 0 variations = '8,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'CubicClip'
      type  = 340
      left  = 758
      top   = 608
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 134 cc = 0 rnd = 0 variations = '8,0.5234375,0.5234375,0.5234375,0.5234375,0.5234375,0.5234375,0.5234375,0.5234375' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 141 cc = 0 rnd = 0 variations = '8,0.275390625,0.275390625,0.275390625,0.275390625,0.275390625,0.275390625,0.275390625,0.275390625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'FreqShifter'
      type  = 1401
      left  = 758
      top   = 653
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 16 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'GVerb'
      type  = 707
      left  = 758
      top   = 683
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 121 cc = 0 rnd = 0 variations = '8,0.474509803921569,0.474509803921569,0.474509803921569,0.474509803921569,0.474509803921569,0.474509803921569,0.474509803921569,0.474509803921569' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 235 cc = 0 rnd = 0 variations = '8,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 161 cc = 0 rnd = 0 variations = '8,0.315068493150685,0.315068493150685,0.315068493150685,0.315068493150685,0.315068493150685,0.315068493150685,0.315068493150685,0.315068493150685' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 208 cc = 0 rnd = 0 variations = '8,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.volume_outl' dst = 'TKnobsModule17.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.volume_outr' dst = 'TKnobsModule17.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule1.morse_clock')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.envarretrig_sigout' dst = 'TKnobsModule5.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.osc_out' dst = 'TKnobsModule4.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.morse_out' dst = 'TKnobsModule3.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.envarretrig_trig' dst = 'TKnobsModule4.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.envarretrig_out' dst = 'TKnobsModule5.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.mixm3to1_out' dst = 'TKnobsModule9.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.delay_out' dst = 'TKnobsModule10.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.lfo_out' dst = 'TKnobsModule11.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator_out2' dst = 'TKnobsModule8.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator_out2' dst = 'TKnobsModule12.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator_out1' dst = 'TKnobsModule12.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.cuclipstereo_outr' dst = 'TKnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.compressor_outr' dst = 'TKnobsModule13.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.cuclipstereo_outl' dst = 'TKnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.compressor_outl' dst = 'TKnobsModule13.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_stepout1' dst = 'TKnobsModule20.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.morse_out' dst = 'TKnobsModule20.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.pitchshift_out' dst = 'TKnobsModule11.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.formant2_in' dst = 'TKnobsModule8.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out' dst = 'TKnobsModule7.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.formant2_out' dst = 'TKnobsModule11.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out4' dst = 'TKnobsModule18.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out6' dst = 'TKnobsModule3.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out7' dst = 'TKnobsModule4.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.envarretrig_trig' dst = 'TKnobsModule6.envahd_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_out' dst = 'TKnobsModule6.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envahd_sigout' dst = 'TKnobsModule7.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envahd_sigout' dst = 'TKnobsModule2.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out3' dst = 'TKnobsModule6.envahd_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out2' dst = 'TKnobsModule6.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out3' dst = 'TKnobsModule8.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.scalequantizer_in' dst = 'TKnobsModule5.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out4' dst = 'TKnobsModule21.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.scalequantizer_out' dst = 'TKnobsModule10.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out2' dst = 'TKnobsModule21.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_inr2' dst = 'TKnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out4' dst = 'TKnobsModule36.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.formant2_out' dst = 'TKnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out5' dst = 'TKnobsModule41.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out8' dst = 'TKnobsModule36.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_inl2' dst = 'TKnobsModule8.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out1' dst = 'TKnobsModule33.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out2' dst = 'TKnobsModule8.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out3' dst = 'TKnobsModule15.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.scalequantizer_out' dst = 'TKnobsModule37.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.poetry_out' dst = 'TKnobsModule39.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_trig' dst = 'TKnobsModule37.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.delay_out' dst = 'TKnobsModule39.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule35.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.divider_out' dst = 'TKnobsModule37.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.poetry_newoutput' dst = 'TKnobsModule40.envahd_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out4' dst = 'TKnobsModule40.envahd_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.osc_out' dst = 'TKnobsModule40.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.envahd_sigout' dst = 'TKnobsModule38.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.envahd_sigout' dst = 'TKnobsModule41.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.envahd_out' dst = 'TKnobsModule38.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out5' dst = 'TKnobsModule40.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.scalequantizer_out' dst = 'TKnobsModule46.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.arpeggiator_out' dst = 'TKnobsModule47.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.intdif_dif' dst = 'TKnobsModule52.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.osc_out' dst = 'TKnobsModule52.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outl' dst = 'TKnobsModule15.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outr' dst = 'TKnobsModule15.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.intdif_in' dst = 'TKnobsModule48.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.delay_out' dst = 'TKnobsModule51.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.envarretrig_out' dst = 'TKnobsModule49.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.gverb_outr' dst = 'TKnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.freqshifter_up' dst = 'TKnobsModule55.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.freqshifter_down' dst = 'TKnobsModule55.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.gverb_outl' dst = 'TKnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out6' dst = 'TKnobsModule14.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.divider_out' dst = 'TKnobsModule46.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.envarretrig_sigout' dst = 'TKnobsModule53.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.cubicclip_out' dst = 'TKnobsModule54.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out3' dst = 'TKnobsModule48.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.divider_trig' dst = 'TKnobsModule45.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.divider_trig' dst = 'TKnobsModule46.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.divider_out' dst = 'TKnobsModule46.arpeggiator_reverse')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.avg_lp' dst = 'TKnobsModule50.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.osc_out' dst = 'TKnobsModule51.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out7' dst = 'TKnobsModule51.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.envarretrig_out' dst = 'TKnobsModule54.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.avg_in' dst = 'TKnobsModule51.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.envarretrig_sigout' dst = 'TKnobsModule49.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out8' dst = 'TKnobsModule52.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out1' dst = 'TKnobsModule34.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out2' dst = 'TKnobsModule15.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.divider_trig' dst = 'TKnobsModule43.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.divider_out' dst = 'TKnobsModule44.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.progdivider_out' dst = 'TKnobsModule46.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out4' dst = 'TKnobsModule40.envahd_amod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out5' dst = 'TKnobsModule6.envahd_amod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.osc_warpmod' dst = 'TKnobsModule50.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.lfo_out' dst = 'TKnobsModule39.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out' dst = 'TKnobsModule43.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.perlinnoise_out' dst = 'TKnobsModule24.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out3' dst = 'TKnobsModule23.perlinnoise_roughmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.envarretrig_sigin' dst = 'TKnobsModule25.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.progdivider_out' dst = 'TKnobsModule25.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.envarretrig_sigout' dst = 'TKnobsModule28.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.lfo_out' dst = 'TKnobsModule28.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out6' dst = 'TKnobsModule25.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.envarretrig_gain' dst = 'TKnobsModule24.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out7' dst = 'TKnobsModule14.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out8' dst = 'TKnobsModule41.formant2_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.rotator_out2' dst = 'TKnobsModule29.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.rotator_out1' dst = 'TKnobsModule29.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.envarretrig_sigout' dst = 'TKnobsModule27.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.formant2_out' dst = 'TKnobsModule28.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.cuclipstereo_outr' dst = 'TKnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.cuclipstereo_outl' dst = 'TKnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.compressor_outr' dst = 'TKnobsModule30.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.compressor_outl' dst = 'TKnobsModule30.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.randsigs_out1' dst = 'TKnobsModule42.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.randsigs_out1' dst = 'TKnobsModule32.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.randsigs_out2' dst = 'TKnobsModule26.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.multiplier_out' dst = 'TKnobsModule27.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.perlinnoise_lengthmod' dst = 'TKnobsModule26.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.envahd_trig' dst = 'TKnobsModule23.perlinnoise_lengthmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.multiplier_in2' dst = 'TKnobsModule24.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.mixs2to1_outl' dst = 'TKnobsModule14.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.mixs2to1_outr' dst = 'TKnobsModule14.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.randsigs_out3' dst = 'TKnobsModule27.formant2_levelmod')
  )
)
