Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-02-11-01-mirror-machine'
  version   = 7
  variation = 0
  guid      = '{EC9F4C39-AFE1-4E3A-B90A-480BDC128951}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 109 cc = 0 rnd = 0 variations = '8,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'MovingAverage'
      type  = 1025
      left  = 8
      top   = 53
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'movingaverage_size' value = 52 cc = 0 rnd = 0 variations = '8,0.050830889540567,0.050830889540567,0.050830889540567,0.050830889540567,0.050830889540567,0.050830889540567,0.050830889540567,0.050830889540567' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 83
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 19 cc = 0 rnd = 0 variations = '8,0.07421875,0.07421875,0.07421875,0.07421875,0.07421875,0.07421875,0.07421875,0.07421875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 71 cc = 0 rnd = 0 variations = '8,0.71,0.71,0.71,0.71,0.71,0.71,0.71,0.71' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'IntDif'
      type  = 1003
      left  = 8
      top   = 143
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 173
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_holdmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swell' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swellmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_swellshape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Formant2'
      type  = 1012
      left  = 8
      top   = 293
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 338
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 8
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 67 cc = 0 rnd = 0 variations = '8,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 413
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 219 cc = 0 rnd = 1 variations = '8,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0 rnd = 1 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 443
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 38 cc = 0 rnd = 0 variations = '8,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 232 cc = 0 rnd = 0 variations = '8,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 533
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 30 cc = 0 rnd = 0 variations = '8,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 72 cc = 0 rnd = 0 variations = '8,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 22 cc = 0 rnd = 0 variations = '8,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 623
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 145 cc = 0 rnd = 0 variations = '8,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 653
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 107 cc = 0 rnd = 0 variations = '8,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 46 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 70 cc = 0 rnd = 0 variations = '8,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 217 cc = 0 rnd = 0 variations = '8,0.854330708661417,0.854330708661417,0.854330708661417,0.854330708661417,0.854330708661417,0.854330708661417,0.854330708661417,0.854330708661417' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 210 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 209 cc = 0 rnd = 0 variations = '8,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 205 cc = 0 rnd = 0 variations = '8,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 743
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 82 cc = 0 rnd = 0 variations = '8,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 773
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 216 cc = 0 rnd = 1 variations = '8,0.84375,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 803
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 243 cc = 0 rnd = 1 variations = '8,0.94921875,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'TextWriter'
      type  = 1117
      left  = 8
      top   = 833
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2019-02-11-01-mirror-machine' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Seq16'
      type  = 1211
      left  = 258
      top   = 8
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 102 cc = 0 rnd = 0 variations = '8,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 79 cc = 0 rnd = 0 variations = '8,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 124 cc = 0 rnd = 0 variations = '8,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 110 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 40 cc = 0 rnd = 0 variations = '8,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 20 cc = 0 rnd = 0 variations = '8,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 52 cc = 0 rnd = 0 variations = '8,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 8 cc = 0 rnd = 0 variations = '8,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 104 cc = 0 rnd = 0 variations = '8,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 106 cc = 0 rnd = 0 variations = '8,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 28 cc = 0 rnd = 0 variations = '8,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 158
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 23 cc = 0 rnd = 0 variations = '8,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'LevelConverter'
      type  = 329
      left  = 258
      top   = 188
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 218
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 31 cc = 0 rnd = 0 variations = '8,0.0303030303030303,0.0303030303030303,0.0303030303030303,0.0303030303030303,0.0303030303030303,0.0303030303030303,0.0303030303030303,0.0303030303030303' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Arpeggiator'
      type  = 349
      left  = 258
      top   = 263
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 308
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 10 cc = 0 rnd = 0 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'WavePlayer'
      type  = 702
      left  = 258
      top   = 353
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'D:\_mystuff\wren\_samples\i_am_misty.wav' )
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'RangeConverter'
      type  = 322
      left  = 258
      top   = 413
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 295 cc = 0 rnd = 0 variations = '8,0.576171875,0.576171875,0.576171875,0.576171875,0.576171875,0.576171875,0.576171875,0.576171875' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 458
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 184 cc = 0 rnd = 0 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 488
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 146 cc = 0 rnd = 1 variations = '8,0.5703125,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 1 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 518
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 1 variations = '8,0.99609375,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 548
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 593
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'PitchShift'
      type  = 910
      left  = 258
      top   = 638
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 225 cc = 0 rnd = 0 variations = '8,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'PitchShift'
      type  = 910
      left  = 258
      top   = 683
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 225 cc = 0 rnd = 0 variations = '8,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'CuClipStereo'
      type  = 357
      left  = 258
      top   = 728
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 82 cc = 0 rnd = 0 variations = '8,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 758
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 107 cc = 0 rnd = 0 variations = '8,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255,0.419607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 46 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 70 cc = 0 rnd = 0 variations = '8,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863,0.136986301369863' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 210 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 212 cc = 0 rnd = 0 variations = '8,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 205 cc = 0 rnd = 0 variations = '8,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 848
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 878
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 161 cc = 0 rnd = 0 variations = '8,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Median'
      type  = 315
      left  = 508
      top   = 53
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'median_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'median_binsize' value = 86 cc = 0 rnd = 0 variations = '8,0.868686868686869,0.868686868686869,0.868686868686869,0.868686868686869,0.868686868686869,0.868686868686869,0.868686868686869,0.868686868686869' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 83
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 58 cc = 0 rnd = 0 variations = '8,0.58,0.58,0.58,0.58,0.58,0.58,0.58,0.58' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'IntDif'
      type  = 1003
      left  = 508
      top   = 143
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 173
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 81 cc = 0 rnd = 0 variations = '8,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_holdmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swell' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swellmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_swellshape' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'ProgDivider'
      type  = 612
      left  = 508
      top   = 293
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 1 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 353
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1258 cc = 0 rnd = 0 variations = '8,0.307203907203907,0.307203907203907,0.307203907203907,0.307203907203907,0.307203907203907,0.307203907203907,0.307203907203907,0.307203907203907' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'MovingAverage'
      type  = 1025
      left  = 508
      top   = 398
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'movingaverage_size' value = 768 cc = 0 rnd = 0 variations = '8,0.750733137829912,0.750733137829912,0.750733137829912,0.750733137829912,0.750733137829912,0.750733137829912,0.750733137829912,0.750733137829912' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Adder'
      type  = 303
      left  = 508
      top   = 428
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 443
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 93 cc = 0 rnd = 0 variations = '8,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 106 cc = 0 rnd = 0 variations = '8,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 41 cc = 0 rnd = 0 variations = '8,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 57 cc = 0 rnd = 0 variations = '8,0.57,0.57,0.57,0.57,0.57,0.57,0.57,0.57' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'IntDif'
      type  = 1003
      left  = 508
      top   = 503
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 533
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Filter6dB'
      type  = 1013
      left  = 508
      top   = 578
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6db_freq' value = 131 cc = 0 rnd = 0 variations = '8,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6db_freqmodamt' value = 56 cc = 0 rnd = 0 variations = '8,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875,0.21875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Filter6dB'
      type  = 1013
      left  = 508
      top   = 608
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6db_freq' value = 49 cc = 0 rnd = 0 variations = '8,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6db_freqmodamt' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'FreqShifter'
      type  = 1401
      left  = 508
      top   = 638
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'GVerb'
      type  = 707
      left  = 508
      top   = 668
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 112 cc = 0 rnd = 0 variations = '8,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 199 cc = 0 rnd = 0 variations = '8,0.783464566929134,0.783464566929134,0.783464566929134,0.783464566929134,0.783464566929134,0.783464566929134,0.783464566929134,0.783464566929134' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 100 cc = 0 rnd = 0 variations = '8,0.195694716242661,0.195694716242661,0.195694716242661,0.195694716242661,0.195694716242661,0.195694716242661,0.195694716242661,0.195694716242661' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 195 cc = 0 rnd = 0 variations = '8,0.767716535433071,0.767716535433071,0.767716535433071,0.767716535433071,0.767716535433071,0.767716535433071,0.767716535433071,0.767716535433071' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 210 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 212 cc = 0 rnd = 0 variations = '8,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 205 cc = 0 rnd = 0 variations = '8,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'Compressor'
      type  = 906
      left  = 508
      top   = 758
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 30 cc = 0 rnd = 0 variations = '8,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529,0.117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'CuClipStereo'
      type  = 357
      left  = 508
      top   = 848
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 156 cc = 0 rnd = 0 variations = '8,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 82 cc = 0 rnd = 0 variations = '8,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625,0.16015625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 68 cc = 0 rnd = 0 variations = '8,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 83
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 98
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'Adder'
      type  = 303
      left  = 758
      top   = 113
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 128
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 143
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 68 cc = 0 rnd = 0 variations = '8,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 218
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 68 cc = 0 rnd = 0 variations = '8,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 293
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 323
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'Quantizer'
      type  = 307
      left  = 758
      top   = 338
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 3 cc = 0 rnd = 0 variations = '8,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 224 cc = 0 rnd = 0 variations = '8,0.875,0.875,0.875,0.875,0.875,0.875,0.875,0.875' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.volume_outr' dst = 'TKnobsModule36.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.volume_outl' dst = 'TKnobsModule36.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.seq16_out' dst = 'TKnobsModule2.movingaverage_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.movingaverage_out' dst = 'TKnobsModule3.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.seq16_out' dst = 'TKnobsModule38.median_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.lfo_out' dst = 'TKnobsModule38.median_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule10.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule10.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.seq16_out2' dst = 'TKnobsModule7.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.osc_speed' dst = 'TKnobsModule4.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.osc_speed' dst = 'TKnobsModule40.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_outr' dst = 'TKnobsModule11.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.compressor_outr' dst = 'TKnobsModule12.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_outl' dst = 'TKnobsModule11.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.compressor_outl' dst = 'TKnobsModule12.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.cuclipstereo_outr' dst = 'TKnobsModule13.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.cuclipstereo_outl' dst = 'TKnobsModule13.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.formant2_out' dst = 'TKnobsModule7.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.levelconverter_in1' dst = 'TKnobsModule6.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.levelconverter_out1' dst = 'TKnobsModule18.seq16_res')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.intdif_dif' dst = 'TKnobsModule5.envahd_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envahd_out' dst = 'TKnobsModule39.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.osc_out' dst = 'TKnobsModule5.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envahd_sigout' dst = 'TKnobsModule6.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envahd_dmod' dst = 'TKnobsModule10.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.gverb_outr' dst = 'TKnobsModule14.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outr' dst = 'TKnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.gverb_outl' dst = 'TKnobsModule14.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outl' dst = 'TKnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.median_out' dst = 'TKnobsModule39.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.intdif_dif' dst = 'TKnobsModule41.envahd_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.median_in' dst = 'TKnobsModule41.envahd_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.osc_out' dst = 'TKnobsModule41.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.envahd_sigout' dst = 'TKnobsModule7.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.envahd_out' dst = 'TKnobsModule3.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.seq16_xfademod' dst = 'TKnobsModule20.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.seq16_out4' dst = 'TKnobsModule18.seq16_xfademod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.seq16_out4' dst = 'TKnobsModule41.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out1' dst = 'TKnobsModule56.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.multiplier_in4' dst = 'TKnobsModule56.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out2' dst = 'TKnobsModule57.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.multiplier_in4' dst = 'TKnobsModule57.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.adder_in2' dst = 'TKnobsModule3.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.multiplier_out' dst = 'TKnobsModule58.adder_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.adder_in1' dst = 'TKnobsModule39.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.multiplier_out' dst = 'TKnobsModule58.adder_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.adder_out' dst = 'TKnobsModule55.randsigs_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.rotator_out2' dst = 'TKnobsModule8.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.filter6dbpbs_outr' dst = 'TKnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.rotator_out1' dst = 'TKnobsModule8.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.filter6dbpbs_outl' dst = 'TKnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.median_low' dst = 'TKnobsModule1.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.divider_out' dst = 'TKnobsModule18.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.formant2_vowelin' dst = 'TKnobsModule10.gverb_dampingmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.seq16_out3' dst = 'TKnobsModule5.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.multiplier_in5' dst = 'TKnobsModule56.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.multiplier_in5' dst = 'TKnobsModule57.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule18.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule19.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.divider_trig' dst = 'TKnobsModule22.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.quantizer_out' dst = 'TKnobsModule22.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.lfo_out' dst = 'TKnobsModule24.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.arpeggiator_newinput' dst = 'TKnobsModule22.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.arpeggiator_out' dst = 'TKnobsModule23.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.pitchshift_out' dst = 'TKnobsModule28.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.pitchshift_out' dst = 'TKnobsModule28.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.mixs2to1_outl' dst = 'TKnobsModule31.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.mixs2to1_outr' dst = 'TKnobsModule32.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.waveplayer_outr' dst = 'TKnobsModule28.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.waveplayer_out' dst = 'TKnobsModule28.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.quantizer_out' dst = 'TKnobsModule31.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.quantizer_out' dst = 'TKnobsModule32.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out4' dst = 'TKnobsModule29.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out5' dst = 'TKnobsModule30.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.gverb_outr' dst = 'TKnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.gverb_outl' dst = 'TKnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out7' dst = 'TKnobsModule10.gverb_drylevelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_drylevelmod' dst = 'TKnobsModule10.gverb_taillevelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_taillevelmod' dst = 'TKnobsModule10.gverb_earlylevelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out8' dst = 'TKnobsModule16.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.median_avg' dst = 'TKnobsModule20.levelconverter_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.levelconverter_out7' dst = 'TKnobsModule21.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.pitchshift_in' dst = 'TKnobsModule33.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.cuclipstereo_outl' dst = 'TKnobsModule34.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.pitchshift_in' dst = 'TKnobsModule33.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.cuclipstereo_outr' dst = 'TKnobsModule34.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out6' dst = 'TKnobsModule25.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.rangeconverter_out1' dst = 'TKnobsModule28.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.arpeggiator_out' dst = 'TKnobsModule43.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.intdif_dif' dst = 'TKnobsModule48.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.osc_out' dst = 'TKnobsModule48.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.movingaverage_in' dst = 'TKnobsModule47.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.poetry_out' dst = 'TKnobsModule44.movingaverage_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.movingaverage_out' dst = 'TKnobsModule46.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out1' dst = 'TKnobsModule42.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.progdivider_trig' dst = 'TKnobsModule43.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.arpeggiator_newoutput' dst = 'TKnobsModule42.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.progdivider_out' dst = 'TKnobsModule43.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.mixs2to1_outl' dst = 'TKnobsModule28.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.mixs2to1_outr' dst = 'TKnobsModule28.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.poetry_newinput' dst = 'TKnobsModule45.adder_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.adder_out' dst = 'TKnobsModule46.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.envarretrig_inv' dst = 'TKnobsModule45.adder_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out2' dst = 'TKnobsModule27.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.envarretrig_out' dst = 'TKnobsModule51.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out3' dst = 'TKnobsModule15.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.gverb_outr' dst = 'TKnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.freqshifter_up' dst = 'TKnobsModule52.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.gverb_outl' dst = 'TKnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.freqshifter_down' dst = 'TKnobsModule52.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out4' dst = 'TKnobsModule16.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.envarretrig_sigout' dst = 'TKnobsModule49.filter6db_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out5' dst = 'TKnobsModule49.filter6db_freqmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.filter6db_in' dst = 'TKnobsModule26.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.delay_out' dst = 'TKnobsModule27.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.mixs2to1_inr1' dst = 'TKnobsModule27.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out6' dst = 'TKnobsModule26.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out7' dst = 'TKnobsModule48.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.randsigs_out8' dst = 'TKnobsModule28.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.filter6db_hp' dst = 'TKnobsModule51.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.filter6db_lp' dst = 'TKnobsModule50.filter6db_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.compressor_outl' dst = 'TKnobsModule54.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.compressor_outr' dst = 'TKnobsModule54.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outr' dst = 'TKnobsModule53.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.cuclipstereo_outr' dst = 'TKnobsModule35.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outl' dst = 'TKnobsModule53.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.cuclipstereo_outl' dst = 'TKnobsModule35.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.progdivider_out' dst = 'TKnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.envarretrig_inv' dst = 'TKnobsModule50.filter6db_freqmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsigs_out1' dst = 'TKnobsModule9.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.delay_out' dst = 'TKnobsModule46.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsigs_out2' dst = 'TKnobsModule21.quantizer_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.multiplier_out' dst = 'TKnobsModule5.envahd_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsigs_out3' dst = 'TKnobsModule59.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.randsigs_out3' dst = 'TKnobsModule59.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.envahd_eoc' dst = 'TKnobsModule62.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.divider_out' dst = 'TKnobsModule24.waveplayer_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.waveplayer_out' dst = 'TKnobsModule3.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.quantizer_out' dst = 'TKnobsModule1.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsigs_out4' dst = 'TKnobsModule0.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.sampleandhold_out' dst = 'TKnobsModule63.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.divider_out' dst = 'TKnobsModule0.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.waveplayer_outr' dst = 'TKnobsModule45.adder_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsigs_out5' dst = 'TKnobsModule5.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.randsigs_out6' dst = 'TKnobsModule41.envahd_dmodneg')
  )
)
