Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-05-28-01'
  version   = 8
  variation = 0
  guid      = '{E720B119-E85D-4A8B-9A64-9201FBEA3CAB}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 6
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 250 cc = 0 rnd = 0 variations = '8,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'MixM3to1'
      type  = 211
      left  = 6
      top   = 36
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'MixM3to1'
      type  = 211
      left  = 6
      top   = 66
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'SapiVoice'
      type  = 528
      left  = 6
      top   = 96
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsDisplay' name = 'sapivoice_display_text' value = '<RATE SPEED="-10"/><SPELL>YASM</SPELL>  this speaker uses windows SAPI voices. Right, can only get it ti work in 8 bit mode and it is very slow to translate speech to text. I''ve made a loading indicator which lights up while the conversion takes place in the background. This way it at least is possible to go on patching while the speech synth compiles the text. Funny though how it can reasonably quickly perform a voice change, text changes take much longer. Anyways, it is more like speech than the other speech labeled modules. Windows is a bit limited in the number of voices it supports out of the box, to fix that eSpeak can be used. On installation you can select languages and speakers to be installed, some modifiers are supported too. Ok, got the sluggishness out, turned out it was forever appending and partially overwriting to the same audio queue instead of renewing it. So had to destroy and recreate it instead of reuse it.' )
        detail( class = 'TKnobsSelector' name = 'sapivoice_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'sapivoice_voice' value = 11 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'sapivoice_rate' value = 8 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 201
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 116 cc = 0 rnd = 0 variations = '8,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 243 cc = 0 rnd = 0 variations = '8,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 136 cc = 0 rnd = 0 variations = '8,0.26614481409002,0.26614481409002,0.26614481409002,0.26614481409002,0.26614481409002,0.26614481409002,0.26614481409002,0.26614481409002' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 9 cc = 0 rnd = 0 variations = '8,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 200 cc = 0 rnd = 0 variations = '8,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 291
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 89 cc = 0 rnd = 0 variations = '8,0.89,0.89,0.89,0.89,0.89,0.89,0.89,0.89' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 351
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 66 cc = 0 rnd = 0 variations = '8,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Vocoder'
      type  = 907
      left  = 6
      top   = 411
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'vocoder_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'SVF'
      type  = 1002
      left  = 6
      top   = 426
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 105 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'FreqShifter'
      type  = 1401
      left  = 6
      top   = 471
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 501
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 177 cc = 0 rnd = 1 variations = '8,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 180 cc = 0 rnd = 1 variations = '8,0.703125,0.703125,0.703125,0.703125,0.703125,0.703125,0.703125,0.703125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 531
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 1 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'CuClipStereo'
      type  = 357
      left  = 6
      top   = 561
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 591
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 102 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 621
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 90 cc = 0 rnd = 0 variations = '8,0.352941176470588,0.352941176470588,0.352941176470588,0.352941176470588,0.352941176470588,0.352941176470588,0.352941176470588,0.352941176470588' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 651
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 227 cc = 0 rnd = 1 variations = '8,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'Compressor'
      type  = 906
      left  = 6
      top   = 681
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 52 cc = 0 rnd = 0 variations = '8,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 46 cc = 0 rnd = 0 variations = '8,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 10 cc = 0 rnd = 0 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 771
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 119 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 243 cc = 0 rnd = 0 variations = '8,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 92 cc = 0 rnd = 0 variations = '8,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 234 cc = 0 rnd = 0 variations = '8,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 9 cc = 0 rnd = 0 variations = '8,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417,0.0354330708661417' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 234 cc = 0 rnd = 0 variations = '8,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529,0.917647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 200 cc = 0 rnd = 0 variations = '8,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Quantizer'
      type  = 307
      left  = 256
      top   = 6
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 224 cc = 0 rnd = 0 variations = '8,0.875,0.875,0.875,0.875,0.875,0.875,0.875,0.875' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 51
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 27 cc = 0 rnd = 0 variations = '8,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176,0.105882352941176' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 96
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 58 cc = 0 rnd = 0 variations = '8,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 111 cc = 0 rnd = 0 variations = '8,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 124 cc = 0 rnd = 0 variations = '8,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 102 cc = 0 rnd = 0 variations = '8,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 35 cc = 0 rnd = 0 variations = '8,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 119 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 89 cc = 0 rnd = 0 variations = '8,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 25 cc = 0 rnd = 0 variations = '8,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'LevelConverter'
      type  = 329
      left  = 256
      top   = 246
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 276
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 164 cc = 0 rnd = 0 variations = '8,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 26 cc = 0 rnd = 0 variations = '8,0.371428571428571,0.371428571428571,0.371428571428571,0.371428571428571,0.371428571428571,0.371428571428571,0.371428571428571,0.371428571428571' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'PitchShift'
      type  = 910
      left  = 256
      top   = 396
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'CuClipStereo'
      type  = 357
      left  = 256
      top   = 771
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'Volume'
      type  = 212
      left  = 256
      top   = 801
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 167 cc = 0 rnd = 0 variations = '8,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375,0.65234375' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 831
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 86 cc = 0 rnd = 0 variations = '8,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'LfoTrig'
      type  = 405
      left  = 506
      top   = 51
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_active' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 7 cc = 0 rnd = 0 variations = '8,0.00170940170940171,0.00170940170940171,0.00170940170940171,0.00170940170940171,0.00170940170940171,0.00170940170940171,0.00170940170940171,0.00170940170940171' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_autoready' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Not'
      type  = 601
      left  = 506
      top   = 111
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'logicnot_out1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in1' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'IntDif'
      type  = 1003
      left  = 506
      top   = 126
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'SampleAndHold'
      type  = 801
      left  = 506
      top   = 156
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'Modal2'
      type  = 1023
      left  = 506
      top   = 171
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 80 cc = 0 rnd = 0 variations = '8,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 20 cc = 0 rnd = 0 variations = '8,0.869565217391304,0.869565217391304,0.869565217391304,0.869565217391304,0.869565217391304,0.869565217391304,0.869565217391304,0.869565217391304' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'CubicClip'
      type  = 340
      left  = 506
      top   = 291
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 207 cc = 0 rnd = 0 variations = '8,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'Poetry'
      type  = 327
      left  = 506
      top   = 336
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'poetry_changed' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 2288 cc = 0 rnd = 0 variations = '8,0.558730158730159,0.558730158730159,0.558730158730159,0.558730158730159,0.558730158730159,0.558730158730159,0.558730158730159,0.558730158730159' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'ChebGen'
      type  = 326
      left  = 506
      top   = 396
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 426
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Monadic'
      type  = 332
      left  = 506
      top   = 486
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'monadic_function' value = 27 cc = 0 rnd = 0 variations = '8,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 516
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 531
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'MixM3to1'
      type  = 211
      left  = 506
      top   = 561
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 591
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 636
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'CubicClip'
      type  = 340
      left  = 506
      top   = 681
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'FreqShifter'
      type  = 1401
      left  = 506
      top   = 726
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 50 cc = 0 rnd = 0 variations = '8,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'TextWriter'
      type  = 1117
      left  = 506
      top   = 786
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2019-05-28-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.lfo_out' dst = 'TKnobsModule20.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_stepout1' dst = 'TKnobsModule20.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.delay_out' dst = 'TKnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.delay_out' dst = 'TKnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.cuclipstereo_outl' dst = 'TKnobsModule13.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mixs2to1_outl' dst = 'TKnobsModule12.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.cuclipstereo_outr' dst = 'TKnobsModule14.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mixs2to1_outr' dst = 'TKnobsModule12.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.volume_outl' dst = 'TKnobsModule26.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.volume_outr' dst = 'TKnobsModule26.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.gverb_outl' dst = 'TKnobsModule24.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.cuclipstereo_outl' dst = 'TKnobsModule25.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.gverb_outr' dst = 'TKnobsModule24.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.cuclipstereo_outr' dst = 'TKnobsModule25.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out' dst = 'TKnobsModule11.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.freqshifter_up' dst = 'TKnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.freqshifter_down' dst = 'TKnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.compressor_outl' dst = 'TKnobsModule17.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.compressor_outr' dst = 'TKnobsModule17.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.avg_lp' dst = 'TKnobsModule5.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_out' dst = 'TKnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.osc_out' dst = 'TKnobsModule7.v0coder_carrier')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.svf_lp' dst = 'TKnobsModule9.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw' dst = 'TKnobsModule21.levelconverter_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.levelconverter_out7' dst = 'TKnobsModule22.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw2' dst = 'TKnobsModule21.levelconverter_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.levelconverter_out6' dst = 'TKnobsModule3.sapivoice_pos')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.vocoder_out' dst = 'TKnobsModule8.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.gverb_outr' dst = 'TKnobsModule7.vocoder_modulator')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_freq' dst = 'TKnobsModule6.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outl' dst = 'TKnobsModule11.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outr' dst = 'TKnobsModule11.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw3' dst = 'TKnobsModule10.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out3' dst = 'TKnobsModule1.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.mixm3to1_out' dst = 'TKnobsModule3.sapivoice_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.sapivoice_out' dst = 'TKnobsModule4.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.pitchshift_out' dst = 'TKnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_inr2' dst = 'TKnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.gverb_inr' dst = 'TKnobsModule23.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw4' dst = 'TKnobsModule23.pitchshift_delaymod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.scalequantizer_levmod' dst = 'TKnobsModule11.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out4' dst = 'TKnobsModule22.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw' dst = 'TKnobsModule18.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.quantizer_out' dst = 'TKnobsModule19.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.logicnot_out4' dst = 'TKnobsModule30.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.intdif_dif' dst = 'TKnobsModule32.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_inr1' dst = 'TKnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out2' dst = 'TKnobsModule32.modal2_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.cubicclip_out' dst = 'TKnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.modal2_out' dst = 'TKnobsModule33.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out4' dst = 'TKnobsModule27.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_rnd3' dst = 'TKnobsModule31.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.scalequantizer_out' dst = 'TKnobsModule23.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.sampleandhold_out' dst = 'TKnobsModule32.modal2_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.scalequantizer_changed' dst = 'TKnobsModule34.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.scalequantizer_out' dst = 'TKnobsModule34.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.poetry_in' dst = 'TKnobsModule31.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.lfo_out' dst = 'TKnobsModule34.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.poetry_out' dst = 'TKnobsModule36.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.poetry_changed' dst = 'TKnobsModule41.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out2' dst = 'TKnobsModule15.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.delay_in' dst = 'TKnobsModule15.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.delay_in' dst = 'TKnobsModule15.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.pitchshift_shiftmod' dst = 'TKnobsModule2.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.mixm3to1_in' dst = 'TKnobsModule0.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.mixm3to1_out' dst = 'TKnobsModule3.sapivoice_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.poetry_out' dst = 'TKnobsModule2.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out3' dst = 'TKnobsModule38.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.monadic_out' dst = 'TKnobsModule38.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multiplier_out' dst = 'TKnobsModule41.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw3' dst = 'TKnobsModule38.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multiplier_in3' dst = 'TKnobsModule41.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.envarretrig_sigout' dst = 'TKnobsModule43.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.envarretrig_rmod' dst = 'TKnobsModule43.cubicclip_alphamod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.cubicclip_out' dst = 'TKnobsModule44.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.freqshifter_down' dst = 'TKnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.freqshifter_up' dst = 'TKnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_trig' dst = 'TKnobsModule35.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.chebgen_in' dst = 'TKnobsModule36.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.chebgen_out8' dst = 'TKnobsModule42.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.envarretrig_out' dst = 'TKnobsModule44.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.lfo_out' dst = 'TKnobsModule28.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfotrig_out' dst = 'TKnobsModule29.logicnot_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out' dst = 'TKnobsModule28.lfotrig_countmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.osc_out' dst = 'TKnobsModule40.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.mixm3to1_out' dst = 'TKnobsModule41.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.envarretrig_sigout' dst = 'TKnobsModule39.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.delay_out' dst = 'TKnobsModule40.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.lfo_out' dst = 'TKnobsModule21.levelconverter_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.levelconverter_in5' dst = 'TKnobsModule5.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.levelconverter_out5' dst = 'TKnobsModule39.delay_delay')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '15'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
)
