Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-06-20-01'
  version   = 8
  variation = 0
  guid      = '{5FC382C0-B3A9-46A7-9976-9AEC3C3C4E12}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 75 cc = 0 rnd = 0 variations = '8,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Seq16'
      type  = 1211
      left  = 6
      top   = 51
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 56 cc = 0 rnd = 0 variations = '8,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 79 cc = 0 rnd = 0 variations = '8,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 112 cc = 0 rnd = 0 variations = '8,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 124 cc = 0 rnd = 0 variations = '8,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 34 cc = 0 rnd = 0 variations = '8,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 56 cc = 0 rnd = 0 variations = '8,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 91 cc = 0 rnd = 0 variations = '8,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 28 cc = 0 rnd = 0 variations = '8,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 100 cc = 0 rnd = 0 variations = '8,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 41 cc = 0 rnd = 0 variations = '8,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 6
      top   = 201
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 166 cc = 0 rnd = 0 variations = '8,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'RSFlipFlop'
      type  = 605
      left  = 6
      top   = 276
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'eSpeakVoice'
      type  = 529
      left  = 6
      top   = 306
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'espeakvoice_textstart' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_phoneme' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_vowel' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_silence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_textdone' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_sentence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_word' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_mark' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'espeakvoice_display_text' value = 'quat zooi streep. what doos meejn. may day. track not me now not me now no not me' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_voice' value = 29 cc = 0 rnd = 0 variations = '8,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_language' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_variation' value = 1 cc = 0 rnd = 0 variations = '8,0.0526315789473684,0.0526315789473684,0.0526315789473684,0.0526315789473684,0.0526315789473684,0.0526315789473684,0.0526315789473684,0.0526315789473684' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_punctuation' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_rate' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_pitch' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_wordgap' value = 1 cc = 0 rnd = 0 variations = '8,0.01,0.01,0.01,0.01,0.01,0.01,0.01,0.01' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_freq' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_fmmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_posmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_speed' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_speedmodamt' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Rotator2'
      type  = 362
      left  = 6
      top   = 516
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Reverb'
      type  = 703
      left  = 6
      top   = 531
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 212 cc = 0 rnd = 0 variations = '8,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 180 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 246 cc = 0 rnd = 0 variations = '8,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 123 cc = 0 rnd = 0 variations = '8,0.976190476190476,0.976190476190476,0.976190476190476,0.976190476190476,0.976190476190476,0.976190476190476,0.976190476190476,0.976190476190476' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 58 cc = 0 rnd = 0 variations = '8,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 591
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 231 cc = 0 rnd = 0 variations = '8,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638,0.909448818897638' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 681
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 241 cc = 0 rnd = 0 variations = '8,0.94140625,0.94140625,0.94140625,0.94140625,0.94140625,0.94140625,0.94140625,0.94140625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 191 cc = 0 rnd = 0 variations = '8,0.74609375,0.74609375,0.74609375,0.74609375,0.74609375,0.74609375,0.74609375,0.74609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'CuClipStereo'
      type  = 357
      left  = 6
      top   = 711
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 256 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 741
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 249 cc = 0 rnd = 0 variations = '8,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625,0.97265625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 242 cc = 0 rnd = 0 variations = '8,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 771
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 175 cc = 0 rnd = 0 variations = '8,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 801
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 166 cc = 0 rnd = 0 variations = '8,0.650980392156863,0.650980392156863,0.650980392156863,0.650980392156863,0.650980392156863,0.650980392156863,0.650980392156863,0.650980392156863' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'Rotator2'
      type  = 362
      left  = 6
      top   = 831
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 846
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 227 cc = 0 rnd = 0 variations = '8,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875,0.88671875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 210 cc = 0 rnd = 0 variations = '8,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 876
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 187 cc = 0 rnd = 0 variations = '8,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 218 cc = 0 rnd = 0 variations = '8,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'LfoMultiPhase'
      type  = 414
      left  = 256
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfomultiphase_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfomultiphase_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_frequency' value = 124 cc = 0 rnd = 0 variations = '8,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_range' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_phaseshift' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'RangeConverter'
      type  = 322
      left  = 256
      top   = 66
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 263 cc = 0 rnd = 0 variations = '8,0.513671875,0.513671875,0.513671875,0.513671875,0.513671875,0.513671875,0.513671875,0.513671875' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Quantizer'
      type  = 307
      left  = 256
      top   = 111
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 7 cc = 0 rnd = 0 variations = '8,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 201
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 166 cc = 0 rnd = 0 variations = '8,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'RSFlipFlop'
      type  = 605
      left  = 256
      top   = 276
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'eSpeakVoice'
      type  = 529
      left  = 256
      top   = 306
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'espeakvoice_textstart' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_phoneme' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_vowel' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_silence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_textdone' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_sentence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_word' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_mark' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'espeakvoice_display_text' value = 'quat zooi streep. what doos meejn. may day. track not me now not me now no not me' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_voice' value = 29 cc = 0 rnd = 0 variations = '8,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095,0.345238095238095' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_language' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_variation' value = 12 cc = 0 rnd = 0 variations = '8,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_punctuation' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_rate' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_pitch' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_wordgap' value = 1 cc = 0 rnd = 0 variations = '8,0.01,0.01,0.01,0.01,0.01,0.01,0.01,0.01' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_freq' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_fmmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_posmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_speed' value = 176 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_speedmodamt' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'Modal2'
      type  = 1023
      left  = 256
      top   = 516
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 23 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 106 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'CuClipStereo'
      type  = 357
      left  = 256
      top   = 636
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 162 cc = 0 rnd = 0 variations = '8,0.6328125,0.6328125,0.6328125,0.6328125,0.6328125,0.6328125,0.6328125,0.6328125' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'GVerb'
      type  = 707
      left  = 256
      top   = 666
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 116 cc = 0 rnd = 0 variations = '8,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314,0.454901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 235 cc = 0 rnd = 0 variations = '8,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 60 cc = 0 rnd = 0 variations = '8,0.117416829745597,0.117416829745597,0.117416829745597,0.117416829745597,0.117416829745597,0.117416829745597,0.117416829745597,0.117416829745597' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 247 cc = 0 rnd = 0 variations = '8,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 250 cc = 0 rnd = 0 variations = '8,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745,0.980392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 205 cc = 0 rnd = 0 variations = '8,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Compressor'
      type  = 906
      left  = 256
      top   = 756
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Volume'
      type  = 212
      left  = 256
      top   = 846
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 876
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'LfoMultiPhase'
      type  = 414
      left  = 506
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfomultiphase_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfomultiphase_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_frequency' value = 170 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_range' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_phaseshift' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 66
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Divider'
      type  = 603
      left  = 506
      top   = 111
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Arpeggiator'
      type  = 349
      left  = 506
      top   = 141
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 186
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 72 cc = 0 rnd = 0 variations = '8,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 44 cc = 0 rnd = 0 variations = '8,0.44,0.44,0.44,0.44,0.44,0.44,0.44,0.44' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 246
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 20 cc = 0 rnd = 0 variations = '8,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 125 cc = 0 rnd = 0 variations = '8,0.490196078431373,0.490196078431373,0.490196078431373,0.490196078431373,0.490196078431373,0.490196078431373,0.490196078431373,0.490196078431373' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'Rotator2'
      type  = 362
      left  = 506
      top   = 291
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'ChebGen'
      type  = 326
      left  = 506
      top   = 381
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'RangeConverter'
      type  = 322
      left  = 506
      top   = 411
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 303 cc = 0 rnd = 0 variations = '8,0.591796875,0.591796875,0.591796875,0.591796875,0.591796875,0.591796875,0.591796875,0.591796875' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'MultipleMult'
      type  = 334
      left  = 506
      top   = 456
      color = 16777215
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Inverter'
      type  = 302
      left  = 506
      top   = 501
      color = 16777215
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Modal2'
      type  = 1023
      left  = 506
      top   = 516
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 18 cc = 0 rnd = 0 variations = '8,0.782608695652174,0.782608695652174,0.782608695652174,0.782608695652174,0.782608695652174,0.782608695652174,0.782608695652174,0.782608695652174' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 63 cc = 0 rnd = 0 variations = '8,0.248031496062992,0.248031496062992,0.248031496062992,0.248031496062992,0.248031496062992,0.248031496062992,0.248031496062992,0.248031496062992' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'LfoMultiPhase'
      type  = 414
      left  = 756
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfomultiphase_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfomultiphase_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_frequency' value = 38 cc = 0 rnd = 0 variations = '8,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfomultiphase_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfomultiphase_phaseshift' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'RangeConverter'
      type  = 322
      left  = 756
      top   = 66
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 304 cc = 0 rnd = 0 variations = '8,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'Divider'
      type  = 603
      left  = 756
      top   = 111
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Arpeggiator'
      type  = 349
      left  = 756
      top   = 141
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 186
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 201
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 68 cc = 0 rnd = 0 variations = '8,0.68,0.68,0.68,0.68,0.68,0.68,0.68,0.68' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'EnvARRetrig'
      type  = 902
      left  = 756
      top   = 261
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 10 cc = 0 rnd = 0 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'TextWriter'
      type  = 1117
      left  = 756
      top   = 771
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2019-06-20-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'Seq16'
      type  = 1211
      left  = 1006
      top   = 6
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 94 cc = 0 rnd = 0 variations = '8,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 24 cc = 0 rnd = 0 variations = '8,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 25 cc = 0 rnd = 0 variations = '8,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 44 cc = 0 rnd = 0 variations = '8,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 35 cc = 0 rnd = 0 variations = '8,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 68 cc = 0 rnd = 0 variations = '8,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 100 cc = 0 rnd = 0 variations = '8,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 12 cc = 0 rnd = 0 variations = '8,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 27 cc = 0 rnd = 0 variations = '8,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 126 cc = 0 rnd = 0 variations = '8,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 61 cc = 0 rnd = 0 variations = '8,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 32 cc = 0 rnd = 0 variations = '8,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 71 cc = 0 rnd = 0 variations = '8,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Poetry'
      type  = 327
      left  = 1006
      top   = 156
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'poetry_changed' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1400 cc = 0 rnd = 0 variations = '8,0.341880341880342,0.341880341880342,0.341880341880342,0.341880341880342,0.341880341880342,0.341880341880342,0.341880341880342,0.341880341880342' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Divider'
      type  = 603
      left  = 1006
      top   = 201
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'SampleAndHold'
      type  = 801
      left  = 1006
      top   = 231
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'Average'
      type  = 1001
      left  = 1006
      top   = 246
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 217 cc = 0 rnd = 0 variations = '8,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863,0.850980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'Constant'
      type  = 301
      left  = 1006
      top   = 276
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 128 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'Constant'
      type  = 301
      left  = 1006
      top   = 306
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Average'
      type  = 1001
      left  = 1006
      top   = 336
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 212 cc = 0 rnd = 0 variations = '8,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608,0.831372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'Osc'
      type  = 501
      left  = 1006
      top   = 366
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 15 cc = 0 rnd = 0 variations = '8,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 92 cc = 0 rnd = 0 variations = '8,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'SVF'
      type  = 1002
      left  = 1006
      top   = 426
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 88 cc = 0 rnd = 0 variations = '8,0.34375,0.34375,0.34375,0.34375,0.34375,0.34375,0.34375,0.34375' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'XFade'
      type  = 201
      left  = 1006
      top   = 471
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'XFade'
      type  = 201
      left  = 1006
      top   = 501
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'Osc'
      type  = 501
      left  = 1006
      top   = 531
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 36 cc = 0 rnd = 0 variations = '8,0.36,0.36,0.36,0.36,0.36,0.36,0.36,0.36' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 92 cc = 0 rnd = 0 variations = '8,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'Multiplier'
      type  = 304
      left  = 1006
      top   = 591
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'Osc'
      type  = 501
      left  = 1006
      top   = 606
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 64 cc = 0 rnd = 0 variations = '8,0.64,0.64,0.64,0.64,0.64,0.64,0.64,0.64' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 79 cc = 0 rnd = 0 variations = '8,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'Multiplier'
      type  = 304
      left  = 1006
      top   = 666
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule64'
      title = 'GVerb'
      type  = 707
      left  = 1006
      top   = 681
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 235 cc = 0 rnd = 0 variations = '8,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701,0.925196850393701' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 198 cc = 0 rnd = 0 variations = '8,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 53 cc = 0 rnd = 0 variations = '8,0.208661417322835,0.208661417322835,0.208661417322835,0.208661417322835,0.208661417322835,0.208661417322835,0.208661417322835,0.208661417322835' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule65'
      title = 'CuClipStereo'
      type  = 357
      left  = 1006
      top   = 771
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule66'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 1256
      top   = 6
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 147 cc = 0 rnd = 0 variations = '8,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 49 cc = 0 rnd = 0 variations = '8,0.7,0.7,0.7,0.7,0.7,0.7,0.7,0.7' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule67'
      title = 'Seq16'
      type  = 1211
      left  = 1256
      top   = 81
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 84 cc = 0 rnd = 0 variations = '8,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 25 cc = 0 rnd = 0 variations = '8,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 106 cc = 0 rnd = 0 variations = '8,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339,0.834645669291339' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 46 cc = 0 rnd = 0 variations = '8,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 84 cc = 0 rnd = 0 variations = '8,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 110 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 19 cc = 0 rnd = 0 variations = '8,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 120 cc = 0 rnd = 0 variations = '8,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 8 cc = 0 rnd = 0 variations = '8,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.volume_outl' dst = 'TKnobsModule27.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.volume_outr' dst = 'TKnobsModule27.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_stepout1' dst = 'TKnobsModule2.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule2.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.espeakvoice_word' dst = 'TKnobsModule4.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.espeakvoice_word' dst = 'TKnobsModule21.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.rsflipflop_q' dst = 'TKnobsModule22.espeakvoice_active')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rsflipflop_q' dst = 'TKnobsModule5.espeakvoice_active')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw' dst = 'TKnobsModule3.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw2' dst = 'TKnobsModule20.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.scalequantizer_out' dst = 'TKnobsModule22.espeakvoice_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.scalequantizer_out' dst = 'TKnobsModule5.espeakvoice_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw3' dst = 'TKnobsModule5.espeakvoice_speedmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.espeakvoice_out' dst = 'TKnobsModule6.rotator2_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.espeakvoice_out' dst = 'TKnobsModule6.rotator2_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.rotator2_out2' dst = 'TKnobsModule7.reverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.rotator2_out1' dst = 'TKnobsModule7.reverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out' dst = 'TKnobsModule6.rotator2_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_inl' dst = 'TKnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.reverb_outl' dst = 'TKnobsModule8.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_inr' dst = 'TKnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.reverb_outr' dst = 'TKnobsModule8.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outl' dst = 'TKnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outr' dst = 'TKnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule10.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule10.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.scalequantizer_out' dst = 'TKnobsModule31.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.arpeggiator_out' dst = 'TKnobsModule32.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.divider_trig' dst = 'TKnobsModule31.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.arpeggiator_out' dst = 'TKnobsModule45.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.scalequantizer_out' dst = 'TKnobsModule43.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.divider_out' dst = 'TKnobsModule42.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.divider_trig' dst = 'TKnobsModule43.arpeggiator_reverse')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.divider_out' dst = 'TKnobsModule31.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.osc_out' dst = 'TKnobsModule33.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.envarretrig_out' dst = 'TKnobsModule32.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.osc_out' dst = 'TKnobsModule46.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.osc_out' dst = 'TKnobsModule44.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.multiplier_out' dst = 'TKnobsModule45.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out2' dst = 'TKnobsModule44.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.arpeggiator_newinput' dst = 'TKnobsModule43.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.rotator2_out1' dst = 'TKnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.envarretrig_sigout' dst = 'TKnobsModule34.rotator2_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.rotator2_out2' dst = 'TKnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_sigout' dst = 'TKnobsModule34.rotator2_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out3' dst = 'TKnobsModule34.rotator2_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out4' dst = 'TKnobsModule17.lfomultiphase_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.espeakvoice_phoneme' dst = 'TKnobsModule46.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.espeakvoice_word' dst = 'TKnobsModule33.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.envarretrig_trig' dst = 'TKnobsModule31.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_trig' dst = 'TKnobsModule43.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule30.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_out' dst = 'TKnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.delay_out' dst = 'TKnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mixs2to1_outl' dst = 'TKnobsModule12.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mixs2to1_outr' dst = 'TKnobsModule13.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.cuclipstereo_outl' dst = 'TKnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.cuclipstereo_outr' dst = 'TKnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out2' dst = 'TKnobsModule12.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out3' dst = 'TKnobsModule13.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.arpeggiator_newoutput' dst = 'TKnobsModule49.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.arpeggiator_out' dst = 'TKnobsModule49.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rangeconverter_out1' dst = 'TKnobsModule11.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.lfomultiphase_out' dst = 'TKnobsModule18.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rangeconverter_out2' dst = 'TKnobsModule33.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.lfomultiphase_out2' dst = 'TKnobsModule18.rangeconverter_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rangeconverter_out3' dst = 'TKnobsModule46.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.lfomultiphase_out3' dst = 'TKnobsModule18.rangeconverter_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_in' dst = 'TKnobsModule14.rotator2_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.rotator2_out1' dst = 'TKnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.delay_in' dst = 'TKnobsModule14.rotator2_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.rotator2_out2' dst = 'TKnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.lfomultiphase_out4' dst = 'TKnobsModule14.rotator2_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw4' dst = 'TKnobsModule8.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw4' dst = 'TKnobsModule22.espeakvoice_speedmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.espeakvoice_speedmod' dst = 'TKnobsModule23.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.lfomultiphase_out4' dst = 'TKnobsModule29.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfomultiphase_out4' dst = 'TKnobsModule29.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.modal2_frequency' dst = 'TKnobsModule23.modal2_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.modal2_out' dst = 'TKnobsModule24.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.modal2_out' dst = 'TKnobsModule24.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.cuclipstereo_outl' dst = 'TKnobsModule25.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.gverb_outl' dst = 'TKnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.cuclipstereo_outr' dst = 'TKnobsModule25.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.gverb_outr' dst = 'TKnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfomultiphase_out3' dst = 'TKnobsModule9.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_levmod2' dst = 'TKnobsModule9.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.reverb_freezein' dst = 'TKnobsModule23.modal2_lfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.inverter_out4' dst = 'TKnobsModule39.modal2_lfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.modal2_lfm' dst = 'TKnobsModule35.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.chebgen_in' dst = 'TKnobsModule38.inverter_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rangeconverter_out3' dst = 'TKnobsModule28.lfomultiphase_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw3' dst = 'TKnobsModule39.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfomultiphase_out2' dst = 'TKnobsModule37.multiplemult_in81')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.multiplemult_out8' dst = 'TKnobsModule39.modal2_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfomultiphase_out' dst = 'TKnobsModule37.multiplemult_in11')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.multiplemult_out1' dst = 'TKnobsModule23.modal2_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.multiplier_out' dst = 'TKnobsModule18.rangeconverter_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rangeconverter_out4' dst = 'TKnobsModule46.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.chebgen_out4' dst = 'TKnobsModule37.multiplemult_in12')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.chebgen_out6' dst = 'TKnobsModule37.multiplemult_in82')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.multiplier_out' dst = 'TKnobsModule60.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfomultiphase_out4' dst = 'TKnobsModule62.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.divider_out' dst = 'TKnobsModule50.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.divider_trig' dst = 'TKnobsModule49.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.sampleandhold_in' dst = 'TKnobsModule39.modal2_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.poetry_out' dst = 'TKnobsModule51.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.divider_out' dst = 'TKnobsModule51.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.sampleandhold_out' dst = 'TKnobsModule52.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.avg_lp' dst = 'TKnobsModule60.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.osc_freq' dst = 'TKnobsModule62.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.lfomultiphase_out' dst = 'TKnobsModule41.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.lfomultiphase_out2' dst = 'TKnobsModule41.rangeconverter_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.lfomultiphase_out3' dst = 'TKnobsModule41.rangeconverter_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.multiplier_out' dst = 'TKnobsModule60.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.osc_out' dst = 'TKnobsModule63.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.multiplier_out' dst = 'TKnobsModule62.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.osc_out' dst = 'TKnobsModule61.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.rangeconverter_out1' dst = 'TKnobsModule63.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.rangeconverter_out2' dst = 'TKnobsModule61.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.osc_phase' dst = 'TKnobsModule64.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.osc_phase' dst = 'TKnobsModule64.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.cuclipstereo_outr' dst = 'TKnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.gverb_outr' dst = 'TKnobsModule65.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.cuclipstereo_outl' dst = 'TKnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.gverb_outl' dst = 'TKnobsModule65.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_stepout1' dst = 'TKnobsModule48.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.divider_out' dst = 'TKnobsModule48.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_out' dst = 'TKnobsModule66.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.scalequantizer_chain' dst = 'TKnobsModule3.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_rmod' dst = 'TKnobsModule61.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rangeconverter_out1' dst = 'TKnobsModule63.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.scalequantizer_changed' dst = 'TKnobsModule4.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_trig' dst = 'TKnobsModule7.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.scalequantizer_changed' dst = 'TKnobsModule21.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_out2' dst = 'TKnobsModule29.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.osc_am' dst = 'TKnobsModule62.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.constant_out' dst = 'TKnobsModule56.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_out3' dst = 'TKnobsModule3.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.scalequantizer_out' dst = 'TKnobsModule55.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.avg_in' dst = 'TKnobsModule20.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.avg_lp' dst = 'TKnobsModule56.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.osc_out' dst = 'TKnobsModule57.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.modal2_in' dst = 'TKnobsModule57.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.gverb_outr' dst = 'TKnobsModule56.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.xfade_out' dst = 'TKnobsModule60.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfomultiphase_out' dst = 'TKnobsModule59.xfade_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.svf_bp' dst = 'TKnobsModule58.xfade_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.xfade_out' dst = 'TKnobsModule59.xfade_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.rangeconverter_in1' dst = 'TKnobsModule58.xfade_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.xfade_in1' dst = 'TKnobsModule59.xfade_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.constant_out' dst = 'TKnobsModule58.xfade_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_levmod2' dst = 'TKnobsModule20.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_out4' dst = 'TKnobsModule15.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.quantizer_out' dst = 'TKnobsModule1.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.seq16_stepout1' dst = 'TKnobsModule67.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_rnd3' dst = 'TKnobsModule67.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.seq16_outraw' dst = 'TKnobsModule19.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.quantizer_out' dst = 'TKnobsModule40.lfomultiphase_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.seq16_outraw2' dst = 'TKnobsModule66.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outl' dst = 'TKnobsModule0.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.compressor_outl' dst = 'TKnobsModule26.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outr' dst = 'TKnobsModule0.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.compressor_outr' dst = 'TKnobsModule26.volume_inr')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '18.809'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
)
