Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-07-14-01'
  version   = 8
  variation = 0
  guid      = '{14668000-B9F8-450A-AD13-FB2A03A9D52B}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 99 cc = 0 rnd = 0 variations = '8,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Seq16'
      type  = 1211
      left  = 6
      top   = 51
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 120 cc = 0 rnd = 0 variations = '8,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 66 cc = 0 rnd = 0 variations = '8,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 103 cc = 0 rnd = 0 variations = '8,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 40 cc = 0 rnd = 0 variations = '8,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 3 cc = 0 rnd = 0 variations = '8,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 90 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 117 cc = 0 rnd = 0 variations = '8,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 110 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 120 cc = 0 rnd = 0 variations = '8,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 51 cc = 0 rnd = 0 variations = '8,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 40 cc = 0 rnd = 0 variations = '8,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 20 cc = 0 rnd = 0 variations = '8,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 73 cc = 0 rnd = 0 variations = '8,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 6
      top   = 201
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 176 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Queue'
      type  = 1234
      left  = 6
      top   = 276
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'queue_clock' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'queue_history' value = 7 cc = 0 rnd = 0 variations = '8,0.111111111111111,0.111111111111111,0.111111111111111,0.111111111111111,0.111111111111111,0.111111111111111,0.111111111111111,0.111111111111111' )
        detail( class = 'TKnobsSmallKnob' name = 'queue_select' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'queue_selectmodamt' value = 64 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'queue_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 321
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 7 cc = 0 rnd = 0 variations = '8,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 88 cc = 0 rnd = 0 variations = '8,0.88,0.88,0.88,0.88,0.88,0.88,0.88,0.88' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 381
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 87 cc = 0 rnd = 0 variations = '8,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375,0.33984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Dif'
      type  = 1027
      left  = 6
      top   = 441
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'dif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 456
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Rotator2'
      type  = 362
      left  = 6
      top   = 501
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'CuClipStereo'
      type  = 357
      left  = 6
      top   = 516
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 546
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 576
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 132 cc = 0 rnd = 0 variations = '8,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 606
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 132 cc = 0 rnd = 0 variations = '8,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 636
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 63 cc = 0 rnd = 0 variations = '8,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 244 cc = 0 rnd = 0 variations = '8,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 20 cc = 0 rnd = 0 variations = '8,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 227 cc = 0 rnd = 0 variations = '8,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'CuClipStereo'
      type  = 357
      left  = 6
      top   = 726
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 756
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'Volume'
      type  = 212
      left  = 6
      top   = 786
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 816
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 51
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 5 cc = 0 rnd = 0 variations = '8,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 14 cc = 0 rnd = 0 variations = '8,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 68 cc = 0 rnd = 0 variations = '8,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 10 cc = 0 rnd = 0 variations = '8,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 32 cc = 0 rnd = 0 variations = '8,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 2 cc = 0 rnd = 0 variations = '8,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 80 cc = 0 rnd = 0 variations = '8,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 9 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 19 cc = 0 rnd = 0 variations = '8,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 35 cc = 0 rnd = 0 variations = '8,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102,0.275590551181102' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 117 cc = 0 rnd = 0 variations = '8,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 40 cc = 0 rnd = 0 variations = '8,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 201
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 176 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 321
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 88 cc = 0 rnd = 0 variations = '8,0.88,0.88,0.88,0.88,0.88,0.88,0.88,0.88' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 381
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 92 cc = 0 rnd = 0 variations = '8,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375,0.359375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Dif'
      type  = 1027
      left  = 256
      top   = 441
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'dif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'EnvARRetrig'
      type  = 902
      left  = 256
      top   = 456
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'TextWriter'
      type  = 1117
      left  = 256
      top   = 771
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2019-07-14-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.volume_outl' dst = 'TKnobsModule16.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.volume_outr' dst = 'TKnobsModule16.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outl' dst = 'TKnobsModule15.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outr' dst = 'TKnobsModule15.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_out' dst = 'TKnobsModule5.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule1.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_stepout1' dst = 'TKnobsModule1.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.scalequantizer_out' dst = 'TKnobsModule4.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_freq' dst = 'TKnobsModule5.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.osc_out' dst = 'TKnobsModule20.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.osc_freq' dst = 'TKnobsModule20.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.scalequantizer_out' dst = 'TKnobsModule3.queue_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.scalequantizer_changed' dst = 'TKnobsModule3.queue_clock')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.queue_out' dst = 'TKnobsModule19.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_outraw2' dst = 'TKnobsModule3.queue_selectmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_outraw4' dst = 'TKnobsModule3.queue_historymod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_out' dst = 'TKnobsModule19.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_stepout1' dst = 'TKnobsModule17.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_rnd3' dst = 'TKnobsModule17.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.scalequantizer_out' dst = 'TKnobsModule2.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_outraw' dst = 'TKnobsModule2.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_out' dst = 'TKnobsModule8.rotator2_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.osc_out' dst = 'TKnobsModule4.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.osc_out' dst = 'TKnobsModule22.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.envarretrig_sigout' dst = 'TKnobsModule8.rotator2_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_out' dst = 'TKnobsModule7.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.envarretrig_sigout' dst = 'TKnobsModule8.rotator2_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_out4' dst = 'TKnobsModule7.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_outraw' dst = 'TKnobsModule18.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.rotator2_out1' dst = 'TKnobsModule9.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.rotator2_out2' dst = 'TKnobsModule9.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_freq' dst = 'TKnobsModule6.dif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.dif_out' dst = 'TKnobsModule7.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.osc_freq' dst = 'TKnobsModule21.dif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.dif_out' dst = 'TKnobsModule22.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out2' dst = 'TKnobsModule22.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out3' dst = 'TKnobsModule7.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out4' dst = 'TKnobsModule22.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.cuclipstereo_outl' dst = 'TKnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outl' dst = 'TKnobsModule11.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.cuclipstereo_outr' dst = 'TKnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outr' dst = 'TKnobsModule12.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.delay_out' dst = 'TKnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_out' dst = 'TKnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out' dst = 'TKnobsModule10.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_in' dst = 'TKnobsModule13.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.delay_in' dst = 'TKnobsModule13.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.gverb_outr' dst = 'TKnobsModule24.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.cuclipstereo_outr' dst = 'TKnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.gverb_outl' dst = 'TKnobsModule24.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.cuclipstereo_outl' dst = 'TKnobsModule14.mixs2to1_inl1')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '18.809'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
)
