Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-09-06-03'
  version   = 8
  variation = 0
  guid      = '{6AE284E5-4CD1-4B61-B04F-4A0FFF85ADB7}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Quantizer'
      type  = 307
      left  = 6
      top   = 6
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 7 cc = 0 rnd = 0 variations = '8,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 51
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Seq16'
      type  = 1211
      left  = 6
      top   = 96
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 29 cc = 0 rnd = 0 variations = '8,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913,0.228346456692913' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 96 cc = 0 rnd = 0 variations = '8,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 108 cc = 0 rnd = 0 variations = '8,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 95 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 20 cc = 0 rnd = 0 variations = '8,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 24 cc = 0 rnd = 0 variations = '8,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 38 cc = 0 rnd = 0 variations = '8,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 119 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 108 cc = 0 rnd = 0 variations = '8,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 26 cc = 0 rnd = 0 variations = '8,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 105 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 122 cc = 0 rnd = 0 variations = '8,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842,0.960629921259842' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 6
      top   = 246
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 204 cc = 0 rnd = 0 variations = '8,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 321
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 336
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 130 cc = 0 rnd = 0 variations = '8,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125,0.5078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 72 cc = 0 rnd = 0 variations = '8,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125,0.28125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 396
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'StereoLooper'
      type  = 715
      left  = 6
      top   = 441
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_length' value = 149 cc = 0 rnd = 0 variations = '8,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196' )
        detail( class = 'TKnobsSelector' name = 'stereolooper_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'stereolooper_record' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_speedmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_speed' value = 256 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_start' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_startmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_duration' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_durationmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'stereolooper_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_overlap' value = 9 cc = 0 rnd = 0 variations = '8,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625,0.03515625' )
        detail( class = 'TKnobsSmallKnob' name = 'stereolooper_fmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Limiter'
      type  = 373
      left  = 6
      top   = 516
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 531
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 221 cc = 0 rnd = 0 variations = '8,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 232 cc = 0 rnd = 0 variations = '8,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 561
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 10 cc = 0 rnd = 0 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Limiter'
      type  = 373
      left  = 6
      top   = 651
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 666
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 201 cc = 0 rnd = 0 variations = '8,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625,0.78515625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Volume'
      type  = 212
      left  = 6
      top   = 696
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 726
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 51
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 96
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 97 cc = 0 rnd = 0 variations = '8,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 19 cc = 0 rnd = 0 variations = '8,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 3 cc = 0 rnd = 0 variations = '8,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 22 cc = 0 rnd = 0 variations = '8,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 84 cc = 0 rnd = 0 variations = '8,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 59 cc = 0 rnd = 0 variations = '8,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 89 cc = 0 rnd = 0 variations = '8,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 83 cc = 0 rnd = 0 variations = '8,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 19 cc = 0 rnd = 0 variations = '8,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 4 cc = 0 rnd = 0 variations = '8,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 246
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 204 cc = 0 rnd = 0 variations = '8,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Dif'
      type  = 1027
      left  = 256
      top   = 321
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'dif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Modal2'
      type  = 1023
      left  = 256
      top   = 336
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 176 cc = 0 rnd = 0 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 185 cc = 0 rnd = 0 variations = '8,0.728346456692913,0.728346456692913,0.728346456692913,0.728346456692913,0.728346456692913,0.728346456692913,0.728346456692913,0.728346456692913' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'Limiter'
      type  = 373
      left  = 256
      top   = 456
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'TextWriter'
      type  = 1117
      left  = 256
      top   = 681
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '%prefix% - %patchname%' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 506
      top   = 246
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 204 cc = 0 rnd = 0 variations = '8,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Dif'
      type  = 1027
      left  = 506
      top   = 321
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'dif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'Modal2'
      type  = 1023
      left  = 506
      top   = 336
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 175 cc = 0 rnd = 0 variations = '8,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375,0.68359375' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 180 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.volume_outl' dst = 'TKnobsModule14.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.volume_outr' dst = 'TKnobsModule14.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule2.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_stepout1' dst = 'TKnobsModule2.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.stereolooper_outl' dst = 'TKnobsModule7.stereolooper_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw4' dst = 'TKnobsModule7.stereolooper_startmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out2' dst = 'TKnobsModule7.stereolooper_speedmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_sigout' dst = 'TKnobsModule7.stereolooper_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.osc_out' dst = 'TKnobsModule6.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_out' dst = 'TKnobsModule7.stereolooper_rec')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out4' dst = 'TKnobsModule6.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.stereolooper_inl' dst = 'TKnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_inl2' dst = 'TKnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw2' dst = 'TKnobsModule6.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw' dst = 'TKnobsModule3.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.scalequantizer_out' dst = 'TKnobsModule5.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_changed' dst = 'TKnobsModule6.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.stereolooper_outl' dst = 'TKnobsModule8.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.limiter_outl' dst = 'TKnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.stereolooper_outr' dst = 'TKnobsModule8.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.limiter_outr' dst = 'TKnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out' dst = 'TKnobsModule0.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.quantizer_out' dst = 'TKnobsModule1.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw3' dst = 'TKnobsModule3.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.scalequantizer_levmod' dst = 'TKnobsModule7.stereolooper_durationmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.stereolooper_outr' dst = 'TKnobsModule4.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.multiplier_out' dst = 'TKnobsModule5.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.multiplier_in2' dst = 'TKnobsModule5.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_out3' dst = 'TKnobsModule4.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule10.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule10.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_outl' dst = 'TKnobsModule11.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_outr' dst = 'TKnobsModule11.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.limiter_outl' dst = 'TKnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outl' dst = 'TKnobsModule13.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.limiter_outr' dst = 'TKnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outr' dst = 'TKnobsModule13.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.seq16_stepout1' dst = 'TKnobsModule16.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.seq16_outraw' dst = 'TKnobsModule10.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.lfo_out' dst = 'TKnobsModule16.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.seq16_outraw2' dst = 'TKnobsModule17.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.scalequantizer_out' dst = 'TKnobsModule18.dif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.dif_in' dst = 'TKnobsModule19.modal2_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.dif_out' dst = 'TKnobsModule19.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.scalequantizer_out' dst = 'TKnobsModule22.dif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.dif_in' dst = 'TKnobsModule23.modal2_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.dif_out' dst = 'TKnobsModule23.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.seq16_outraw3' dst = 'TKnobsModule21.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.seq16_outraw4' dst = 'TKnobsModule5.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw4' dst = 'TKnobsModule17.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.seq16_outraw2' dst = 'TKnobsModule21.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.limiter_outl' dst = 'TKnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.modal2_out' dst = 'TKnobsModule24.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.limiter_outr' dst = 'TKnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.modal2_out' dst = 'TKnobsModule24.limiter_inr')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '18.809'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
)
