Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'mylife'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 56)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'wind dir'
      type  = 1001
      left  = 6
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 4)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'wind speed'
      type  = 1001
      left  = 6
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 187)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'temperature'
      type  = 304
      left  = 6
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'sunshine'
      type  = 304
      left  = 6
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'precipitation'
      type  = 304
      left  = 6
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'air pressure'
      type  = 304
      left  = 6
      top   = 216
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'IntDif'
      type  = 1003
      left  = 6
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 276
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 231)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'IntDif'
      type  = 1003
      left  = 6
      top   = 321
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 351
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 174)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Pan'
      type  = 202
      left  = 6
      top   = 396
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Pan'
      type  = 202
      left  = 6
      top   = 426
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 456
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 197)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 97)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 516
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 159)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Rotator'
      type  = 309
      left  = 6
      top   = 546
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Pan'
      type  = 202
      left  = 6
      top   = 576
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 606
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 186)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Reverb'
      type  = 703
      left  = 6
      top   = 636
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 154)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 696
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'CsvData'
      type  = 1206
      left  = 256
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsFileSelector' name = 'csvdata_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\work\bin\patches\mylife.csv')
        detail( class = 'TKnobsSelector' name = 'csvdata_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'dir . speed'
      type  = 1106
      left  = 256
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'display_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'display_speed' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'temp / solar'
      type  = 1106
      left  = 256
      top   = 141
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'display_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'display_speed' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'precip. / pressure'
      type  = 1106
      left  = 256
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'display_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'display_speed' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'sight / humid'
      type  = 1106
      left  = 256
      top   = 231
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'display_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'display_speed' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Amplifier'
      type  = 305
      left  = 256
      top   = 276
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 141)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = ''
      type  = 307
      left  = 256
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 55)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'temperature'
      type  = 1001
      left  = 256
      top   = 336
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 4)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = ''
      type  = 304
      left  = 256
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 396
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 221)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 175)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = ''
      type  = 501
      left  = 256
      top   = 426
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 21)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 3)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = ''
      type  = 501
      left  = 256
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 54)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'EnvAHD'
      type  = 903
      left  = 256
      top   = 546
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 9)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 97)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 666
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 169)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'HrastSVF'
      type  = 4002
      left  = 256
      top   = 696
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 53)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 180)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 202)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 118)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 28)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 60)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Formant'
      type  = 1004
      left  = 256
      top   = 786
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Amplifier'
      type  = 305
      left  = 506
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 150)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'humidity'
      type  = 1001
      left  = 506
      top   = 36
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 208)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'temperature'
      type  = 1001
      left  = 506
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 208)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = ''
      type  = 307
      left  = 506
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 55)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = ''
      type  = 501
      left  = 506
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 21)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 40)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'sunshine'
      type  = 1001
      left  = 506
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 198)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = ''
      type  = 307
      left  = 506
      top   = 216
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 55)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = ''
      type  = 501
      left  = 506
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 21)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 34)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = ''
      type  = 304
      left  = 506
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'precipitation'
      type  = 1001
      left  = 506
      top   = 336
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 204)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = ''
      type  = 307
      left  = 506
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 55)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = ''
      type  = 501
      left  = 506
      top   = 396
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 9)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 26)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = ''
      type  = 304
      left  = 506
      top   = 456
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'air pressure'
      type  = 1001
      left  = 506
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 206)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = ''
      type  = 307
      left  = 506
      top   = 516
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 55)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = ''
      type  = 501
      left  = 506
      top   = 546
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 32)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = ''
      type  = 1001
      left  = 506
      top   = 606
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 16)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 636
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'HrastSVF'
      type  = 4002
      left  = 506
      top   = 666
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 43)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 156)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 40)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 56)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 111)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Lfo'
      type  = 401
      left  = 756
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 51)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 187)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Lfo'
      type  = 401
      left  = 756
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 38)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 187)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Lfo'
      type  = 401
      left  = 756
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 22)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 187)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = ''
      type  = 1001
      left  = 756
      top   = 216
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = ''
      type  = 1001
      left  = 756
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Noise'
      type  = 503
      left  = 756
      top   = 276
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 56)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 336
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 35)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 25)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 55)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'HrastSVF'
      type  = 4002
      left  = 756
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 45)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 191)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 40)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 69)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 75)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 456
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Scaler'
      type  = 306
      left  = 756
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 192)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 531
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Scaler'
      type  = 306
      left  = 756
      top   = 561
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 192)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 606
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'Scaler'
      type  = 306
      left  = 756
      top   = 636
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 192)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 681
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Scaler'
      type  = 306
      left  = 756
      top   = 711
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 192)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out1' dst = 'KnobsModule23.display_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out8' dst = 'KnobsModule26.display_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outl' dst = 'KnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outr' dst = 'KnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.reverb_outl' dst = 'KnobsModule21.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.reverb_outr' dst = 'KnobsModule21.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out1' dst = 'KnobsModule2.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.avg_lp' dst = 'KnobsModule17.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.multiplier_in2' dst = 'KnobsModule5.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.multiplier_in2' dst = 'KnobsModule6.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.multiplier_in2' dst = 'KnobsModule7.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.avg_lp' dst = 'KnobsModule4.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outl' dst = 'KnobsModule17.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outr' dst = 'KnobsModule17.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.multiplier_in4' dst = 'KnobsModule5.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.osc_out' dst = 'KnobsModule50.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.multiplier_in4' dst = 'KnobsModule4.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_out' dst = 'KnobsModule46.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.multiplier_in3' dst = 'KnobsModule50.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.multiplier_out' dst = 'KnobsModule49.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.multiplier_out' dst = 'KnobsModule45.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.avg_lp' dst = 'KnobsModule41.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.quantizer_out' dst = 'KnobsModule42.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.avg_lp' dst = 'KnobsModule44.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.quantizer_out' dst = 'KnobsModule45.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.avg_hp' dst = 'KnobsModule48.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.quantizer_out' dst = 'KnobsModule49.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.avg_lp' dst = 'KnobsModule52.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.quantizer_out' dst = 'KnobsModule53.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_inr2' dst = 'KnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.quantizer_out' dst = 'KnobsModule29.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out8' dst = 'KnobsModule39.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out7' dst = 'KnobsModule26.display_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out4' dst = 'KnobsModule24.display_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out3' dst = 'KnobsModule24.display_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.multiplier_out' dst = 'KnobsModule12.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.pan_out1' dst = 'KnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.pan_out2' dst = 'KnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.multiplier_out' dst = 'KnobsModule9.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envarretrig_sigout' dst = 'KnobsModule12.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.intdif_dif' dst = 'KnobsModule9.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out6' dst = 'KnobsModule25.display_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.display_in2' dst = 'KnobsModule8.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_fm' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.display_in1' dst = 'KnobsModule38.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.amplifier_out4' dst = 'KnobsModule40.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.display_in2' dst = 'KnobsModule38.amplifier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.amplifier_out3' dst = 'KnobsModule43.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.amplifier_out2' dst = 'KnobsModule47.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out6' dst = 'KnobsModule38.amplifier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.amplifier_out1' dst = 'KnobsModule51.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.pan_out2' dst = 'KnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.multiplier_out' dst = 'KnobsModule13.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.pan_out1' dst = 'KnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.multiplier_out' dst = 'KnobsModule11.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envarretrig_sigout' dst = 'KnobsModule13.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.avg_in' dst = 'KnobsModule10.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.display_in1' dst = 'KnobsModule27.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.amplifier_out4' dst = 'KnobsModule28.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_out' dst = 'KnobsModule34.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.envahd_sigout' dst = 'KnobsModule36.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out5' dst = 'KnobsModule38.amplifier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out5' dst = 'KnobsModule25.display_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.display_in1' dst = 'KnobsModule34.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.avg_lp' dst = 'KnobsModule46.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.osc_out' dst = 'KnobsModule7.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.avg_lp' dst = 'KnobsModule57.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.avg_lp' dst = 'KnobsModule58.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_out' dst = 'KnobsModule6.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.avg_lp' dst = 'KnobsModule35.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.mixm4to1_out' dst = 'KnobsModule36.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.amplifier_in4' dst = 'KnobsModule35.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.formant_out' dst = 'KnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.hrastSVF_output24' dst = 'KnobsModule37.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.hrastSVF_input' dst = 'KnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_inr1' dst = 'KnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.avg_in' dst = 'KnobsModule30.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.multiplier_out' dst = 'KnobsModule32.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.display_in1' dst = 'KnobsModule30.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.intdif_in' dst = 'KnobsModule34.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_out' dst = 'KnobsModule42.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.lfo_out' dst = 'KnobsModule59.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.hrastSVF_outputbp' dst = 'KnobsModule31.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixm4to1_out' dst = 'KnobsModule32.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_fm' dst = 'KnobsModule33.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_out' dst = 'KnobsModule31.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outl' dst = 'KnobsModule15.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outr' dst = 'KnobsModule15.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.rotator_angle' dst = 'KnobsModule54.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.avg_lp' dst = 'KnobsModule56.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.rotator_out1' dst = 'KnobsModule19.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outl' dst = 'KnobsModule20.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.rotator_out2' dst = 'KnobsModule19.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outr' dst = 'KnobsModule20.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_trig' dst = 'KnobsModule34.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule22.csvdata_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.multiplier_out' dst = 'KnobsModule68.scaler_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.multiplier_in3' dst = 'KnobsModule69.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.multiplier_out' dst = 'KnobsModule70.scaler_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.scaler_out1' dst = 'KnobsModule69.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.hrastSVF_output12' dst = 'KnobsModule18.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.pan_out1' dst = 'KnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.pan_out2' dst = 'KnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixm4to1_in1' dst = 'KnobsModule18.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.multiplier_in3' dst = 'KnobsModule71.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.multiplier_out' dst = 'KnobsModule72.scaler_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.multiplier_in3' dst = 'KnobsModule73.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.multiplier_out' dst = 'KnobsModule74.scaler_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.scaler_out1' dst = 'KnobsModule73.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.multiplier_in4' dst = 'KnobsModule56.hrastSVF_resoinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.scaler_out1' dst = 'KnobsModule71.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_out' dst = 'KnobsModule55.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.multiplier_out' dst = 'KnobsModule56.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.scaler_in1' dst = 'KnobsModule55.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.avg_in' dst = 'KnobsModule55.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.envahd_trig' dst = 'KnobsModule37.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.formant_vowelin' dst = 'KnobsModule67.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.multiplier_in4' dst = 'KnobsModule67.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.envahd_out' dst = 'KnobsModule36.hrastSVF_resoinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.scaler_out1' dst = 'KnobsModule7.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.hrastSVF_output24' dst = 'KnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_inr1' dst = 'KnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.amplifier_in1' dst = 'KnobsModule62.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multiplier_out' dst = 'KnobsModule66.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.noise_out' dst = 'KnobsModule64.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_out' dst = 'KnobsModule64.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.avg_lp' dst = 'KnobsModule65.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm4to1_out' dst = 'KnobsModule66.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multiplier_in3' dst = 'KnobsModule65.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_in4' dst = 'KnobsModule65.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm4to1_in3' dst = 'KnobsModule31.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.mixm4to1_in4' dst = 'KnobsModule53.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_in3' dst = 'KnobsModule65.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_out' dst = 'KnobsModule59.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.display_in2' dst = 'KnobsModule3.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out2' dst = 'KnobsModule23.display_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.csvdata_out2' dst = 'KnobsModule61.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.avg_lp' dst = 'KnobsModule64.multiplier_in2')
  )
)
