Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'new_22'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 51)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 33)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Gate'
      type  = 602
      left  = 6
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Amplifier'
      type  = 305
      left  = 6
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 256)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'MixM4to1'
      type  = 203
      left  = 6
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 200)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Formant'
      type  = 1004
      left  = 6
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 54)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'EnvAHD'
      type  = 903
      left  = 6
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 51)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 142)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'MixM4to1'
      type  = 203
      left  = 6
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 198)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 66)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 107)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 44)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 336
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'HrastSVF'
      type  = 4002
      left  = 6
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 83)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 240)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 72)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 99)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 97)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 204)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 456
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 516
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 129)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Scaler'
      type  = 306
      left  = 6
      top   = 546
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 144)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 144)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Rotator'
      type  = 309
      left  = 6
      top   = 621
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 651
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 211)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 681
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 189)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 166)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 711
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 196)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 229)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 741
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 223)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Reverb'
      type  = 703
      left  = 6
      top   = 771
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 170)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 237)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 831
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 31)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 94)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'SampleAndHold'
      type  = 801
      left  = 256
      top   = 126
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 76)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 29)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 216
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 51)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 26)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'EnvAHD'
      type  = 903
      left  = 256
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 153)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 179)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 162)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'SampleAndHold'
      type  = 801
      left  = 256
      top   = 426
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 456
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 88)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 32)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Scaler'
      type  = 306
      left  = 256
      top   = 516
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 144)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 144)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Average'
      type  = 1001
      left  = 256
      top   = 561
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 63)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 621
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 26)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 681
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'EnvAHD'
      type  = 903
      left  = 256
      top   = 711
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 164)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 107)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 162)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 22)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 40)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 174)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Sequencer'
      type  = 1201
      left  = 506
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 8)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 65)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 62)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 67)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 69)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 201
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 39)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 22)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 261
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 4)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 100)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 60)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 321
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 10)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 77)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 64)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 381
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 7)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 77)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 59)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 441
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 3)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 94)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 59)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 501
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 94)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 59)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Divider'
      type  = 603
      left  = 506
      top   = 561
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Divider'
      type  = 603
      left  = 506
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 506
      top   = 621
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 7)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'SampleAndHold'
      type  = 801
      left  = 506
      top   = 666
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 696
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 158)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 152)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'HrastSVF'
      type  = 4002
      left  = 506
      top   = 726
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 39)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 240)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 44)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Lfo'
      type  = 401
      left  = 756
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 22)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 56)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'SampleAndHold'
      type  = 801
      left  = 756
      top   = 126
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 756
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 203)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Sequencer'
      type  = 1201
      left  = 756
      top   = 201
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 10)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 65)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 62)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 77)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 81)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 67)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 276
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 73)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 169)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 206)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 51)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 29)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 756
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 288)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'EnvARRetrig'
      type  = 902
      left  = 756
      top   = 411
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 82)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'SampleAndHold'
      type  = 801
      left  = 756
      top   = 456
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 76)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 34)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 756
      top   = 546
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 389)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'EnvARRetrig'
      type  = 902
      left  = 756
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 42)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 207)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Gate'
      type  = 602
      left  = 756
      top   = 636
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 6)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Noise'
      type  = 503
      left  = 756
      top   = 666
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 255)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'EnvARRetrig'
      type  = 902
      left  = 756
      top   = 696
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 133)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 202)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 756
      top   = 741
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 20)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Average'
      type  = 1001
      left  = 756
      top   = 771
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 33)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule1.osc_fm' dst = 'KnobsModule36.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.lfo_out' dst = 'KnobsModule51.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_fm' dst = 'KnobsModule21.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.lfo_out' dst = 'KnobsModule14.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.reverb_outl' dst = 'KnobsModule20.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.reverb_outr' dst = 'KnobsModule20.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.lfo_out' dst = 'KnobsModule55.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.rotator_out1' dst = 'KnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outl' dst = 'KnobsModule19.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.rotator_out2' dst = 'KnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outr' dst = 'KnobsModule19.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_inr2' dst = 'KnobsModule18.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.osc_fm' dst = 'KnobsModule1.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_out' dst = 'KnobsModule39.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_inr2' dst = 'KnobsModule17.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outl' dst = 'KnobsModule18.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outr' dst = 'KnobsModule18.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.sampleandhold_out' dst = 'KnobsModule61.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig6' dst = 'KnobsModule6.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig2' dst = 'KnobsModule6.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_inr1' dst = 'KnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.sequencer_out' dst = 'KnobsModule60.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.sampleandhold_in' dst = 'KnobsModule57.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_fm' dst = 'KnobsModule38.sequencer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.envarretrig_sigout' dst = 'KnobsModule18.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_out' dst = 'KnobsModule59.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm4to1_out' dst = 'KnobsModule57.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.osc_out' dst = 'KnobsModule56.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.osc_out' dst = 'KnobsModule56.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.sampleandhold_in' dst = 'KnobsModule60.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_out' dst = 'KnobsModule53.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.sampleandhold_trig' dst = 'KnobsModule56.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm4to1_in1' dst = 'KnobsModule61.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.lfo_out' dst = 'KnobsModule38.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.osc_out' dst = 'KnobsModule63.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.lfo_out' dst = 'KnobsModule59.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.lfo_out' dst = 'KnobsModule63.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.osc_out' dst = 'KnobsModule2.gate_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.gate_out' dst = 'KnobsModule4.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_out' dst = 'KnobsModule2.gate_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.osc_out' dst = 'KnobsModule2.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.lfo_fm' dst = 'KnobsModule22.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.mixm4to1_out' dst = 'KnobsModule8.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.multiplier_out' dst = 'KnobsModule8.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_inr2' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.hrastSVF_outputlp' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule14.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule14.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig2' dst = 'KnobsModule23.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_chain' dst = 'KnobsModule23.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.osc_out' dst = 'KnobsModule27.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.sampleandhold_trig' dst = 'KnobsModule27.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.sampleandhold_out' dst = 'KnobsModule24.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.envahd_sigout' dst = 'KnobsModule26.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.lfo_fm' dst = 'KnobsModule53.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.lfo_out' dst = 'KnobsModule52.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.osc_out' dst = 'KnobsModule25.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.multiplier_out' dst = 'KnobsModule24.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.osc_fm' dst = 'KnobsModule26.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.lfo_out' dst = 'KnobsModule25.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.multiplier_in4' dst = 'KnobsModule2.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm4to1_in2' dst = 'KnobsModule17.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_sigout' dst = 'KnobsModule56.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_out' dst = 'KnobsModule35.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.sampleandhold_out' dst = 'KnobsModule29.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envahd_sigout' dst = 'KnobsModule33.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_out' dst = 'KnobsModule32.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.multiplier_out' dst = 'KnobsModule29.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_fm' dst = 'KnobsModule33.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig4' dst = 'KnobsModule28.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_inr2' dst = 'KnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outl' dst = 'KnobsModule17.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outr' dst = 'KnobsModule17.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_phase' dst = 'KnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.sampleandhold_trig' dst = 'KnobsModule35.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envahd_trig' dst = 'KnobsModule6.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.sampleandhold_in' dst = 'KnobsModule28.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.sampleandhold_in' dst = 'KnobsModule6.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.mixm4to1_in' dst = 'KnobsModule3.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_out' dst = 'KnobsModule34.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplier_out' dst = 'KnobsModule35.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.avg_lp' dst = 'KnobsModule34.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.rotator_angle' dst = 'KnobsModule30.scaler_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.scaler_out4' dst = 'KnobsModule31.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.sampleandhold_out' dst = 'KnobsModule54.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.euclids_out' dst = 'KnobsModule55.sequencer_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.sampleandhold_trig' dst = 'KnobsModule62.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.euclids_out' dst = 'KnobsModule63.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.sequencer_trig' dst = 'KnobsModule58.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.euclids_out' dst = 'KnobsModule59.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.lfo_fm' dst = 'KnobsModule7.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.lfo_out' dst = 'KnobsModule41.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.lfo_out' dst = 'KnobsModule42.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.lfo_fm' dst = 'KnobsModule34.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.lfo_out' dst = 'KnobsModule43.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig' dst = 'KnobsModule5.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_gain' dst = 'KnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.osc_out' dst = 'KnobsModule5.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.formant_out' dst = 'KnobsModule5.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_sigout' dst = 'KnobsModule39.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_sigout' dst = 'KnobsModule7.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_out' dst = 'KnobsModule6.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.lfo_fm' dst = 'KnobsModule5.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.euclids_out' dst = 'KnobsModule50.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.euclids_trig' dst = 'KnobsModule45.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.divider_out' dst = 'KnobsModule47.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.euclids_out' dst = 'KnobsModule46.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.hrastSVF_output12' dst = 'KnobsModule49.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.mixm4to1_out' dst = 'KnobsModule50.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.sampleandhold_out' dst = 'KnobsModule49.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.euclids_trig' dst = 'KnobsModule48.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.divider_out' dst = 'KnobsModule48.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.lfo_out' dst = 'KnobsModule47.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.lfo_out' dst = 'KnobsModule40.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.lfo_out' dst = 'KnobsModule44.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.osc_phase' dst = 'KnobsModule10.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_trig' dst = 'KnobsModule9.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.multiplier_out' dst = 'KnobsModule10.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplier_in3' dst = 'KnobsModule9.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.hrastSVF_output24' dst = 'KnobsModule15.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_in' dst = 'KnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_out' dst = 'KnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.multiplier_out' dst = 'KnobsModule15.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.lfo_fm' dst = 'KnobsModule13.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.gate_in3' dst = 'KnobsModule12.scaler_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.scaler_out4' dst = 'KnobsModule13.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_sigin' dst = 'KnobsModule49.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.envarretrig_sigout' dst = 'KnobsModule41.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.noise_out' dst = 'KnobsModule66.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.sequencer_trig4' dst = 'KnobsModule64.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.gate_out' dst = 'KnobsModule66.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig5' dst = 'KnobsModule64.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig3' dst = 'KnobsModule64.gate_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig8' dst = 'KnobsModule64.gate_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.lfo_out' dst = 'KnobsModule66.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.lfo_fm' dst = 'KnobsModule9.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig1' dst = 'KnobsModule44.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.sequencer_trig1' dst = 'KnobsModule43.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.sequencer_trig3' dst = 'KnobsModule42.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig10' dst = 'KnobsModule40.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sequencer_trig7' dst = 'KnobsModule37.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.delay_in' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.delay_out' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.lfo_out' dst = 'KnobsModule37.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.lfo_fm' dst = 'KnobsModule38.sequencer_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.osc_phase' dst = 'KnobsModule1.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule22.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm4to1_in4' dst = 'KnobsModule49.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.scaler_in4' dst = 'KnobsModule67.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.noiselfotrig_out' dst = 'KnobsModule68.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.amplifier_out4' dst = 'KnobsModule0.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.mixm4to1_out' dst = 'KnobsModule4.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.avg_lp' dst = 'KnobsModule0.mixm4to1_in1')
  )
)
