Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'new_25'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 72)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 6
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 214)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Sequencer'
      type  = 1201
      left  = 6
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 5)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 71)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 77)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 69)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'MixM4to1'
      type  = 203
      left  = 6
      top   = 201
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 78)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 231
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 11)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'EnvAHD'
      type  = 903
      left  = 6
      top   = 291
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 77)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 231)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 156)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'MixM4to1'
      type  = 203
      left  = 6
      top   = 411
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 241)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Formant'
      type  = 1004
      left  = 6
      top   = 441
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 127)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Formant'
      type  = 1004
      left  = 6
      top   = 471
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 127)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 501
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Quantizer'
      type  = 307
      left  = 6
      top   = 531
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 119)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 561
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Rotator'
      type  = 309
      left  = 6
      top   = 621
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 256
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 199)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Inverter'
      type  = 302
      left  = 256
      top   = 36
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Scaler'
      type  = 306
      left  = 256
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 192)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'EnvAHD'
      type  = 903
      left  = 256
      top   = 291
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 41)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 158)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 59)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 122)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 531
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 252)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 561
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 226)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 252)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 218)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 228)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 621
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 506
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 167)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'SquareLfoTrig'
      type  = 406
      left  = 506
      top   = 36
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_frequency' value = 96)
        detail( class = 'TKnobsNoKnob' name = 'squarelfotrig_count' value = 52)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_pwmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 506
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 236)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 506
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 55)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 301)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Sequencer'
      type  = 1201
      left  = 506
      top   = 171
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 10)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 71)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 77)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 62)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 60)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 71)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 8)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 18)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 276
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 9)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'EnvAHD'
      type  = 903
      left  = 506
      top   = 336
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 32)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 149)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 46)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 149)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 456
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'MixS2to1'
      type  = 204
      left  = 506
      top   = 516
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 195)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 253)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 546
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 188)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 576
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 146)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Reverb'
      type  = 703
      left  = 506
      top   = 606
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 203)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 249)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 232)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 87)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Gate'
      type  = 602
      left  = 756
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 6)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 756
      top   = 36
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 218)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'SquareLfoTrig'
      type  = 406
      left  = 756
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_frequency' value = 48)
        detail( class = 'TKnobsNoKnob' name = 'squarelfotrig_count' value = 32)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_pwmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 756
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 236)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Sequencer'
      type  = 1201
      left  = 756
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 10)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 71)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 77)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 62)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 60)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 71)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 231
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 261
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 18)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 291
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 11)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'EnvAHD'
      type  = 903
      left  = 756
      top   = 351
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 227)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 185)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 69)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 149)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 471
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 501
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'MixS2to1'
      type  = 204
      left  = 756
      top   = 531
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 186)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 247)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 561
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 229)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 162)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Reverb'
      type  = 703
      left  = 756
      top   = 621
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 198)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 249)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 214)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Constant'
      type  = 301
      left  = 1006
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 155)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Average'
      type  = 1001
      left  = 1006
      top   = 36
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'MixM4to1'
      type  = 203
      left  = 1006
      top   = 111
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 141
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 42)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 77)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 75)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 201
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 43)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 70)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 54)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 261
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 43)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 65)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 109)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 321
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 40)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 77)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 19)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 381
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 41)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 70)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 193)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 441
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 39)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 65)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 194)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 501
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 37)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 77)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 72)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 561
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 38)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 70)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 226)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 621
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 34)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 65)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 107)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Osc'
      type  = 501
      left  = 1256
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 13)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 9)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'EnvAHD'
      type  = 903
      left  = 1256
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 38)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 196)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 156)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1256
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 58)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 301)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Osc'
      type  = 501
      left  = 1256
      top   = 231
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 3)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 15)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'EnvAHD'
      type  = 903
      left  = 1256
      top   = 291
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 6)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 140)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 156)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'Multiplier'
      type  = 304
      left  = 1256
      top   = 411
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Pan'
      type  = 202
      left  = 1256
      top   = 441
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule7.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outr' dst = 'KnobsModule25.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_sigout' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_out' dst = 'KnobsModule5.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.mixm4to1_out' dst = 'KnobsModule6.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.sequencer_out' dst = 'KnobsModule5.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.noiselfotrig_out' dst = 'KnobsModule4.sequencer_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_sigout' dst = 'KnobsModule8.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm4to1_out' dst = 'KnobsModule9.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_trig' dst = 'KnobsModule4.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule3.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule15.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.inverter_in1' dst = 'KnobsModule9.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.noiselfotrig_out' dst = 'KnobsModule16.inverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.formant_in' dst = 'KnobsModule10.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.inverter_out1' dst = 'KnobsModule10.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule17.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.multiplier_in4' dst = 'KnobsModule17.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.multiplier_out' dst = 'KnobsModule20.scaler_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.envahd_out' dst = 'KnobsModule7.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.multiplier_in4' dst = 'KnobsModule18.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.scaler_out4' dst = 'KnobsModule18.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.multiplier_out' dst = 'KnobsModule20.scaler_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.multiplier_in4' dst = 'KnobsModule19.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.scaler_out3' dst = 'KnobsModule19.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.multiplier_out' dst = 'KnobsModule20.scaler_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.scaler_out2' dst = 'KnobsModule21.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_gain' dst = 'KnobsModule5.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.mixm4to1_out' dst = 'KnobsModule8.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outl' dst = 'KnobsModule25.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_out' dst = 'KnobsModule33.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envahd_sigout' dst = 'KnobsModule32.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envahd_sigout' dst = 'KnobsModule36.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_inr1' dst = 'KnobsModule36.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outl' dst = 'KnobsModule37.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.mixs2to1_outr' dst = 'KnobsModule38.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.sequencer_out' dst = 'KnobsModule31.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixm4to1_out' dst = 'KnobsModule32.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.scaler_out4' dst = 'KnobsModule31.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.noiselfotrig_out' dst = 'KnobsModule30.sequencer_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.multiplier_in3' dst = 'KnobsModule28.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.noiselfotrig_trig' dst = 'KnobsModule31.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.noiselfotrig_out' dst = 'KnobsModule33.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.osc_out' dst = 'KnobsModule47.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.sequencer_trig' dst = 'KnobsModule47.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envahd_sigout' dst = 'KnobsModule46.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.squarelfotrig_out' dst = 'KnobsModule43.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envahd_sigout' dst = 'KnobsModule50.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_inr1' dst = 'KnobsModule50.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_outl' dst = 'KnobsModule51.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_outr' dst = 'KnobsModule52.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.sequencer_out' dst = 'KnobsModule45.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixm4to1_out' dst = 'KnobsModule46.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.noiselfotrig_out' dst = 'KnobsModule43.sequencer_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outl' dst = 'KnobsModule24.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outr' dst = 'KnobsModule24.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.noiselfotrig_trig' dst = 'KnobsModule42.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.noiselfotrig_out' dst = 'KnobsModule41.squarelfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.reverb_outr' dst = 'KnobsModule23.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.delay_out' dst = 'KnobsModule53.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.reverb_outl' dst = 'KnobsModule23.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.delay_out' dst = 'KnobsModule53.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixm4to1_in2' dst = 'KnobsModule44.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.multiplier_out' dst = 'KnobsModule45.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envahd_out' dst = 'KnobsModule44.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixm4to1_in1' dst = 'KnobsModule44.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.noiselfotrig_trig' dst = 'KnobsModule7.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.delay_outfixed' dst = 'KnobsModule39.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.reverb_outl' dst = 'KnobsModule24.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.delay_outfixed' dst = 'KnobsModule39.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.reverb_outr' dst = 'KnobsModule24.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.noiselfotrig_out' dst = 'KnobsModule27.squarelfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.sequencer_trig1' dst = 'KnobsModule26.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_out' dst = 'KnobsModule59.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_fm' dst = 'KnobsModule33.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_out' dst = 'KnobsModule60.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_fm' dst = 'KnobsModule47.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_fm' dst = 'KnobsModule21.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.envahd_gain' dst = 'KnobsModule21.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envahd_gain' dst = 'KnobsModule7.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.lfo_out' dst = 'KnobsModule62.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.lfo_out' dst = 'KnobsModule63.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_out' dst = 'KnobsModule61.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.lfo_fm' dst = 'KnobsModule34.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplier_in4' dst = 'KnobsModule35.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.delay_outfixed' dst = 'KnobsModule35.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.multiplier_out' dst = 'KnobsModule36.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.delay_outfixed' dst = 'KnobsModule34.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.multiplier_out' dst = 'KnobsModule36.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.lfo_fm' dst = 'KnobsModule48.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.multiplier_in4' dst = 'KnobsModule49.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.delay_outfixed' dst = 'KnobsModule49.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.multiplier_out' dst = 'KnobsModule50.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.delay_outfixed' dst = 'KnobsModule48.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.multiplier_out' dst = 'KnobsModule50.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.osc_out' dst = 'KnobsModule68.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.noiselfotrig_trig' dst = 'KnobsModule68.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outl' dst = 'KnobsModule23.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outr' dst = 'KnobsModule23.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_inr2' dst = 'KnobsModule23.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.lfo_out' dst = 'KnobsModule65.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.lfo_out' dst = 'KnobsModule66.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.lfo_out' dst = 'KnobsModule58.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.lfo_out' dst = 'KnobsModule64.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.osc_out' dst = 'KnobsModule71.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.multiplier_in4' dst = 'KnobsModule69.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.euclids_out' dst = 'KnobsModule71.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envahd_sigout' dst = 'KnobsModule67.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_sigout' dst = 'KnobsModule70.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.osc_phase' dst = 'KnobsModule23.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_out' dst = 'KnobsModule67.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envahd_out' dst = 'KnobsModule70.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.rotator_out2' dst = 'KnobsModule24.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.formant_out' dst = 'KnobsModule14.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.rotator_out1' dst = 'KnobsModule24.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.formant_out' dst = 'KnobsModule14.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.lfo_out' dst = 'KnobsModule14.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envahd_sigout' dst = 'KnobsModule73.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.pan_out1' dst = 'KnobsModule22.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.pan_out2' dst = 'KnobsModule22.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.lfo_out' dst = 'KnobsModule68.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.lfo_out' dst = 'KnobsModule71.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.multiplier_out' dst = 'KnobsModule73.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envahd_sigin' dst = 'KnobsModule72.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.lfo_out' dst = 'KnobsModule72.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.quantizer_out' dst = 'KnobsModule13.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.lfo_fm' dst = 'KnobsModule11.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.multiplier_out' dst = 'KnobsModule12.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.lfo_fm' dst = 'KnobsModule11.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.multiplier_in4' dst = 'KnobsModule11.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envahd_gain' dst = 'KnobsModule11.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.squarelfotrig_out' dst = 'KnobsModule29.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.euclids_out' dst = 'KnobsModule30.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.lfo_fm' dst = 'KnobsModule29.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.sequencer_trig' dst = 'KnobsModule33.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.noiselfotrig_out' dst = 'KnobsModule33.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_phase' dst = 'KnobsModule59.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_phase' dst = 'KnobsModule60.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_phase' dst = 'KnobsModule61.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.lfo_phase' dst = 'KnobsModule62.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.lfo_phase' dst = 'KnobsModule63.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.lfo_phase' dst = 'KnobsModule64.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.lfo_phase' dst = 'KnobsModule65.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.lfo_phase' dst = 'KnobsModule66.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.mixm4to1_out' dst = 'KnobsModule58.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.constant_out' dst = 'KnobsModule57.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.randsig_out' dst = 'KnobsModule57.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.avg_lp' dst = 'KnobsModule56.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.squarelfotrig_trig' dst = 'KnobsModule21.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.sequencer_dir' dst = 'KnobsModule47.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.squarelfotrig_out' dst = 'KnobsModule55.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envahd_amodneg' dst = 'KnobsModule69.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.sequencer_trig1' dst = 'KnobsModule0.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.gate_out' dst = 'KnobsModule40.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.sequencer_trig6' dst = 'KnobsModule0.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.sequencer_trig9' dst = 'KnobsModule0.gate_in2')
  )
)
