Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'on the run'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'SquareLfo'
      type  = 402
      left  = 6
      top   = 21
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_frequency' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_fmlevel' value = 98)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_range' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pwmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 6
      top   = 81
      color = 16777215
      details(
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 71)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 16)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 173)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 10)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'SeqRandom'
      type  = 1208
      left  = 6
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 40)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 57)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 46)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 4)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 276
      color = 16777215
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 85)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 43)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Pluck'
      type  = 508
      left  = 6
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pluck_frequency' value = 69)
        detail( class = 'TKnobsSelector' name = 'pluck_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_feedback' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_cents' value = 46)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_brightness' value = 102)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_plucklevel' value = 122)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_bclevel' value = 30)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Pluck'
      type  = 508
      left  = 6
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pluck_frequency' value = 69)
        detail( class = 'TKnobsSelector' name = 'pluck_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_feedback' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_cents' value = 54)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_brightness' value = 102)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_plucklevel' value = 125)
        detail( class = 'TKnobsSmallKnob' name = 'pluck_bclevel' value = 30)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 36
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 261
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 42)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 321
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 4)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 58)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 456
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'HrastSVF'
      type  = 4002
      left  = 256
      top   = 501
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 78)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 237)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 27)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Pan'
      type  = 202
      left  = 256
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 86)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Reverb'
      type  = 703
      left  = 256
      top   = 621
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 112)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 223)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 681
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 244)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 150)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 711
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 176)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 179)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 176)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 182)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 231
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 64)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'WavePlayer'
      type  = 702
      left  = 506
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\_samples\i_am_misty.wav')
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Scaler'
      type  = 306
      left  = 506
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 144)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 144)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MultiMult'
      type  = 312
      left  = 506
      top   = 411
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Reverb'
      type  = 703
      left  = 506
      top   = 441
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 222)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 251)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outr' dst = 'KnobsModule16.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outl' dst = 'KnobsModule16.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.osc_out' dst = 'KnobsModule13.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.pan_out1' dst = 'KnobsModule14.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.reverb_outl' dst = 'KnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.pan_out2' dst = 'KnobsModule14.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.reverb_outr' dst = 'KnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.hrastSVF_output24' dst = 'KnobsModule13.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfo_out' dst = 'KnobsModule20.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.reverb_outl' dst = 'KnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.reverb_outr' dst = 'KnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.multimult_out1' dst = 'KnobsModule23.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.waveplayer_outr' dst = 'KnobsModule22.multimult_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.multimult_out2' dst = 'KnobsModule23.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.waveplayer_out' dst = 'KnobsModule22.multimult_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lfo_out' dst = 'KnobsModule21.scaler_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.scaler_out4' dst = 'KnobsModule22.multimult_mult')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.lfo_out' dst = 'KnobsModule18.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixm4to1_out' dst = 'KnobsModule19.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.squarelfo_out' dst = 'KnobsModule17.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixm4to1_out' dst = 'KnobsModule20.waveplayer_speed')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.lfo_out' dst = 'KnobsModule9.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lfo_fm' dst = 'KnobsModule12.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.lfo_out' dst = 'KnobsModule10.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.lfo_fm' dst = 'KnobsModule6.pluck_brighctrl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixm4to1_out' dst = 'KnobsModule12.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pluck_out' dst = 'KnobsModule11.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.pluck_fm' dst = 'KnobsModule7.pluck_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.hrastSVF_cutoffinput' dst = 'KnobsModule7.pluck_brighctrl')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.avg_hp' dst = 'KnobsModule5.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.mixs2to1_inr1' dst = 'KnobsModule5.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pluck_out' dst = 'KnobsModule5.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.mixs2to1_outl' dst = 'KnobsModule6.pluck_pluck')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.mixs2to1_outr' dst = 'KnobsModule7.pluck_pluck')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.pluck_out' dst = 'KnobsModule11.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.pluck_out' dst = 'KnobsModule5.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule8.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule6.pluck_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.avg_in' dst = 'KnobsModule4.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.euclids_trig' dst = 'KnobsModule4.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.squarelfo_out' dst = 'KnobsModule0.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.euclids_out' dst = 'KnobsModule3.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pluck_brighctrl' dst = 'KnobsModule0.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.euclids_out' dst = 'KnobsModule1.squarelfo_fm')
  )
)
