Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = 'scalatest'
  version = 3
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Quantizer'
      type  = 307
      left  = 6
      top   = 6
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 47 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 187 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'SampleAndHold'
      type  = 801
      left  = 6
      top   = 36
      color = 16711935
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 66
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 22 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 111
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 141
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 31 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'IntDif'
      type  = 1003
      left  = 6
      top   = 171
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 201
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 261
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 179 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Rotator'
      type  = 309
      left  = 6
      top   = 441
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'RandSig'
      type  = 408
      left  = 6
      top   = 471
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 35 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 516
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 80 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 205 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 184 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 189 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 234 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 182 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 606
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'SquareLfo'
      type  = 402
      left  = 256
      top   = 6
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_frequency' value = 13 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_fmlevel' value = 181 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pwmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 51
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 66
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 108 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 181 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 59 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 111
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 149 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'SampleAndHold'
      type  = 801
      left  = 256
      top   = 156
      color = 16711935
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Scala'
      type  = 316
      left  = 256
      top   = 186
      color = 33023
      details(
        detail( class = 'TKnobsFileSelector' name = 'scala_fileselector_mapping' value = 'C:\_my_stuff\prj_xe5\wren\_media\_scala\128.kbm')
        detail( class = 'TKnobsFileSelector' name = 'scala_fileselector_scale' value = 'C:\_my_stuff\prj_xe5\wren\_media\_scala\sumatra.scl')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 336
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 90 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Poetry'
      type  = 327
      left  = 756
      top   = 51
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'IntDif'
      type  = 1003
      left  = 756
      top   = 141
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 171
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 28 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'EnvARRetrig'
      type  = 902
      left  = 756
      top   = 231
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 75 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 235 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule17.scala_out' dst = 'KnobsModule6.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.lfo_out' dst = 'KnobsModule15.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_freq' dst = 'KnobsModule5.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule7.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.intdif_dif' dst = 'KnobsModule7.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envarretrig_sigout' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.gverb_outr' dst = 'KnobsModule11.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.gverb_outl' dst = 'KnobsModule11.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixm4to1_out' dst = 'KnobsModule16.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.sampleandhold_out' dst = 'KnobsModule17.scala_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.squarelfo_out' dst = 'KnobsModule14.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envarretrig_sigout' dst = 'KnobsModule8.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.rotator_out1' dst = 'KnobsModule10.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.rotator_out2' dst = 'KnobsModule10.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.lfo_out' dst = 'KnobsModule8.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule16.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.randsig_out' dst = 'KnobsModule10.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.multiplier_out' dst = 'KnobsModule14.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.randsig_out' dst = 'KnobsModule18.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.lfo_fm' dst = 'KnobsModule12.squarelfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule4.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.squarelfo_fm' dst = 'KnobsModule0.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.sampleandhold_out' dst = 'KnobsModule2.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.quantizer_out' dst = 'KnobsModule1.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_out' dst = 'KnobsModule1.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_fm' dst = 'KnobsModule9.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule13.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.lfo_out' dst = 'KnobsModule13.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.intdif_in' dst = 'KnobsModule21.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.osc_out' dst = 'KnobsModule22.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.intdif_dif' dst = 'KnobsModule22.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.envarretrig_sigout' dst = 'KnobsModule21.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.poetry_out' dst = 'KnobsModule20.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.multiplier_in4' dst = 'KnobsModule19.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.scala_out' dst = 'KnobsModule19.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.sampleandhold_trig' dst = 'KnobsModule19.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.osc_phase' dst = 'KnobsModule8.rotator_in2')
  )
)
