﻿Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = 't'
  version   = 13
  variation = 0
  polyphony = 1
  guid      = '{F6238822-33CB-43A0-8E7E-06C16C8D7677}'
  modules(
    module(
      class        = 'TKnobsModule'
      name         = 'TKnobsModule3'
      title        = 'AudioOut'
      type         = 102
      left         = 6
      top          = 726
      color        = 8421376
      rnd          = 0
      version      = 1
      polyoverride = 0
      details(
      )
    )
    module(
      class        = 'TKnobsModule'
      name         = 'TKnobsModule2'
      title        = 'Volume'
      type         = 212
      left         = 6
      top          = 696
      color        = 16776960
      rnd          = 0
      version      = 1
      polyoverride = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 184 cc = 0 rnd = 0 variations = '8,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class        = 'TKnobsModule'
      name         = 'TKnobsModule1'
      title        = 'MixS2to1'
      type         = 204
      left         = 6
      top          = 666
      color        = 16776960
      rnd          = 0
      version      = 1
      polyoverride = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_solo1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_solo2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class        = 'TKnobsModule'
      name         = 'TKnobsModule0'
      title        = 'AudioIn'
      type         = 101
      left         = 6
      top          = 321
      color        = 12632256
      rnd          = 0
      version      = 1
      polyoverride = 0
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.volume_outl' dst = 'TKnobsModule3.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.volume_outr' dst = 'TKnobsModule3.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.mixs2to1_outl' dst = 'TKnobsModule2.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.mixs2to1_outr' dst = 'TKnobsModule2.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.audioin_out1' dst = 'TKnobsModule1.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.audioin_out2' dst = 'TKnobsModule1.mixs2to1_inr1')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '12'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
  rate(
    LfoRelRate = '1'
  )
)
