Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-09-08-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 109 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'IntDif'
      type  = 1003
      left  = 6
      top   = 51
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 81
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'MixM4to1'
      type  = 203
      left  = 6
      top   = 111
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 47 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'SeqRandom'
      type  = 1208
      left  = 6
      top   = 156
      color = 8388736
      details(
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 60 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 88 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 66 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 246
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 48 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Switch2to1'
      type  = 803
      left  = 6
      top   = 276
      color = 16711935
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Modal'
      type  = 1011
      left  = 6
      top   = 306
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal_q1' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq1' value = 86 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q2' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq2' value = 86 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q3' value = 201 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq3' value = 103 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q4' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq4' value = 188 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q5' value = 154 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq5' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q6' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq6' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q7' value = 229 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq7' value = 86 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q8' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq8' value = 73 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level1' value = 205 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level2' value = 245 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level3' value = 248 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level4' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level5' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level6' value = 249 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level7' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level8' value = 249 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q9' value = 208 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq9' value = 121 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q10' value = 189 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq10' value = 188 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q11' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq11' value = 85 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level9' value = 238 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level10' value = 193 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level11' value = 250 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_fmamt' value = 512 cc = 0)
        detail( class = 'TKnobsValuedButton' name = 'modal_rndf' value = 0 cc = 0)
        detail( class = 'TKnobsValuedButton' name = 'modal_rndq' value = 0 cc = 0)
        detail( class = 'TKnobsValuedButton' name = 'modal_rnda' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq' value = 57 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 411
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 60 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Rotator'
      type  = 309
      left  = 6
      top   = 456
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 486
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 185 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 516
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 231 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 546
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 576
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 79 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 80 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Median'
      type  = 315
      left  = 256
      top   = 6
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'median_binsize' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'IntDif'
      type  = 1003
      left  = 256
      top   = 36
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Divider'
      type  = 603
      left  = 256
      top   = 66
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'IntDif'
      type  = 1003
      left  = 256
      top   = 96
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'SeqRandom'
      type  = 1208
      left  = 256
      top   = 126
      color = 8388736
      details(
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 60 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 76 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 66 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Scala'
      type  = 316
      left  = 256
      top   = 216
      color = 33023
      details(
        detail( class = 'TKnobsFileSelector' name = 'scala_fileselector_mapping' value = 'C:\_my_stuff\prj_xe5\wren\_media\_scala\piano.kbm')
        detail( class = 'TKnobsFileSelector' name = 'scala_fileselector_scale' value = 'C:\_my_stuff\prj_xe5\wren\_media\_scala\sumatra.scl')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Modal'
      type  = 1011
      left  = 256
      top   = 306
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal_q1' value = 153 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq1' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q2' value = 205 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq2' value = 91 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q3' value = 173 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq3' value = 99 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q4' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq4' value = 165 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q5' value = 142 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq5' value = 68 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q6' value = 175 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq6' value = 168 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q7' value = 244 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq7' value = 151 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q8' value = 238 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq8' value = 76 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level1' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level2' value = 212 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level4' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level5' value = 196 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level6' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level7' value = 238 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level8' value = 253 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q9' value = 235 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq9' value = 77 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q10' value = 238 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq10' value = 96 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q11' value = 176 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq11' value = 165 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level9' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level10' value = 203 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level11' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_fmamt' value = 512 cc = 0)
        detail( class = 'TKnobsValuedButton' name = 'modal_rndf' value = 0 cc = 0)
        detail( class = 'TKnobsValuedButton' name = 'modal_rndq' value = 0 cc = 0)
        detail( class = 'TKnobsValuedButton' name = 'modal_rnda' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq' value = 45 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 456
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 198 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 204 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 486
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Compressor'
      type  = 906
      left  = 256
      top   = 516
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 61 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 54 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 606
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 636
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Poetry'
      type  = 327
      left  = 506
      top   = 6
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 417 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Poetry'
      type  = 327
      left  = 506
      top   = 51
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 260 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 96
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 221 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 59 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 141
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 63 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'IntDif'
      type  = 1003
      left  = 506
      top   = 201
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Divider'
      type  = 603
      left  = 506
      top   = 231
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 261
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 223 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'FreqShifter'
      type  = 1401
      left  = 506
      top   = 306
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Average'
      type  = 1001
      left  = 506
      top   = 336
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 366
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 6
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 102 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 76 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'PhaseDetect'
      type  = 609
      left  = 756
      top   = 66
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alpha' value = 92 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alphamodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedetect_type' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 96
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 93 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'RSFlipFlop'
      type  = 605
      left  = 756
      top   = 156
      color = 32768
      details(
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'EnvARRetrig'
      type  = 902
      left  = 756
      top   = 186
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 189 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 231
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 261
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 221 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Divider'
      type  = 603
      left  = 756
      top   = 306
      color = 32768
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 27 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Average'
      type  = 1001
      left  = 756
      top   = 336
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 62 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'GVerb'
      type  = 707
      left  = 756
      top   = 366
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 223 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 447 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 196 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 228 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'RangeConverter'
      type  = 322
      left  = 756
      top   = 456
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 352 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 320 cc = 0)
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 6
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 51
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 58 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 96
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 141
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 68 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'RandSig'
      type  = 408
      left  = 1006
      top   = 186
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 231
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'WavePlayer'
      type  = 702
      left  = 1006
      top   = 276
      color = 255
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\_media\_samples\sv600042avi.wav')
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'PinkFilter'
      type  = 1005
      left  = 1006
      top   = 336
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1006
      top   = 366
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 153 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 411
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 109 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Granulator'
      type  = 710
      left  = 1006
      top   = 456
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'granulator_delaytime' value = 29 cc = 0)
        detail( class = 'TKnobsSelector' name = 'granulator_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_graincount' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_interonset' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_interonsetmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_grainduration' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_graindurationmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_pan' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_panmodamt' value = 98 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_volume' value = 180 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'granulator_volumemodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'granulator_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'granulator_envtype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'granulator_record' value = 1 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.intdif_dif' dst = 'KnobsModule7.modal_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.mixs2to1_outl' dst = 'KnobsModule22.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.mixs2to1_outr' dst = 'KnobsModule22.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.intdif_in' dst = 'KnobsModule2.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule4.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule14.median_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.intdif_in' dst = 'KnobsModule20.modal_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.intdif_dif' dst = 'KnobsModule16.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.intdif_dif' dst = 'KnobsModule20.modal_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.median_out' dst = 'KnobsModule15.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.modal_out' dst = 'KnobsModule9.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.modal_out' dst = 'KnobsModule9.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.lfo_out' dst = 'KnobsModule9.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.gverb_outr' dst = 'KnobsModule21.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.gverb_outl' dst = 'KnobsModule21.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.rotator_out1' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.rotator_out2' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.lfo_out' dst = 'KnobsModule3.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm4to1_out' dst = 'KnobsModule4.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_trig' dst = 'KnobsModule3.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.median_trig' dst = 'KnobsModule26.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.poetry_out' dst = 'KnobsModule29.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.intdif_dif' dst = 'KnobsModule31.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_freq' dst = 'KnobsModule30.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_out' dst = 'KnobsModule32.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.divider_out' dst = 'KnobsModule32.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.freqshifter_up' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.osc_out' dst = 'KnobsModule37.phasedetect_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.phasedetect_out' dst = 'KnobsModule38.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_out' dst = 'KnobsModule40.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.phasedetect_lock' dst = 'KnobsModule37.phasedetect_typesel')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_out' dst = 'KnobsModule37.phasedetect_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.phasedetect_typesel' dst = 'KnobsModule39.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.rsflipflop_q' dst = 'KnobsModule40.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.divider_out' dst = 'KnobsModule39.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.phasedetect_out' dst = 'KnobsModule36.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.envarretrig_sigout' dst = 'KnobsModule36.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.randsig_out' dst = 'KnobsModule48.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_out' dst = 'KnobsModule49.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.randsig_out' dst = 'KnobsModule50.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.randsig_fm' dst = 'KnobsModule12.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.granulator_outl' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.granulator_outr' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.envarretrig_sigout' dst = 'KnobsModule57.granulator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.poetry_out' dst = 'KnobsModule52.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.randsig_out' dst = 'KnobsModule57.granulator_rec')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.randsig_out' dst = 'KnobsModule47.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.randsig_out' dst = 'KnobsModule51.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.randsig_fm' dst = 'KnobsModule55.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.lfo_out' dst = 'KnobsModule57.granulator_panmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.waveplayer_out' dst = 'KnobsModule54.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.pinkfilter_out' dst = 'KnobsModule55.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.scala_out' dst = 'KnobsModule7.modal_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.envarretrig_out' dst = 'KnobsModule13.gverb_taillevelmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.envarretrig_sigout' dst = 'KnobsModule45.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.gverb_outl' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.gverb_outr' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.envarretrig_sigout' dst = 'KnobsModule42.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixm4to1_out' dst = 'KnobsModule45.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.avg_lp' dst = 'KnobsModule45.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envarretrig_sigout' dst = 'KnobsModule41.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.delay_outfixed' dst = 'KnobsModule42.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.rangeconverter_out1' dst = 'KnobsModule57.granulator_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.poetry_newinput' dst = 'KnobsModule27.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.poetry_newoutput' dst = 'KnobsModule55.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.scala_out' dst = 'KnobsModule27.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.poetry_in' dst = 'KnobsModule26.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.poetry_in' dst = 'KnobsModule14.median_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.poetry_newinput' dst = 'KnobsModule26.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.divider_out' dst = 'KnobsModule27.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.divider_out' dst = 'KnobsModule17.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.osc_out' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_inr1' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.envarretrig_gain' dst = 'KnobsModule10.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_freq' dst = 'KnobsModule35.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.poetry_out' dst = 'KnobsModule34.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.avg_lp' dst = 'KnobsModule35.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.osc_out' dst = 'KnobsModule42.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.osc_phase' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.freqshifter_down' dst = 'KnobsModule35.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envarretrig_sigout' dst = 'KnobsModule33.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.mixm4to1_in2' dst = 'KnobsModule18.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqrandom_trig' dst = 'KnobsModule4.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule18.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqrandom_distmod' dst = 'KnobsModule4.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.switch2to1_out' dst = 'KnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.switch2to1_out' dst = 'KnobsModule19.scala_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule6.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqrandom_out' dst = 'KnobsModule6.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_trig' dst = 'KnobsModule5.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule6.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.phasedetect_in2' dst = 'KnobsModule38.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_fm' dst = 'KnobsModule42.mixm4to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.randsig_fm' dst = 'KnobsModule44.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.avg_alphamod' dst = 'KnobsModule11.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outl' dst = 'KnobsModule23.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.compressor_outl' dst = 'KnobsModule24.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outl' dst = 'KnobsModule25.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outr' dst = 'KnobsModule23.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outr' dst = 'KnobsModule25.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.compressor_outr' dst = 'KnobsModule24.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.divider_trig' dst = 'KnobsModule46.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.poetry_newoutput' dst = 'KnobsModule43.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.divider_out' dst = 'KnobsModule44.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.mixm4to1_levmod1' dst = 'KnobsModule32.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envarretrig_gain' dst = 'KnobsModule12.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.modal_out' dst = 'KnobsModule42.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.freqshifter_in' dst = 'KnobsModule28.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixm4to1_out' dst = 'KnobsModule29.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.waveplayer_outr' dst = 'KnobsModule28.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.randsig_fm' dst = 'KnobsModule28.mixm4to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixm4to1_levmod2' dst = 'KnobsModule13.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.gverb_taillevelmod' dst = 'KnobsModule18.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.waveplayer_position' dst = 'KnobsModule45.gverb_taillevelmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.lfo_out' dst = 'KnobsModule53.waveplayer_position')
  )
)
