Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-10-10-02'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'ZeroCounter'
      type  = 314
      left  = 8
      top   = 98
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'zerocounter_threshold' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'NoteToDelay'
      type  = 313
      left  = 8
      top   = 128
      color = 33023
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'MixM4to1'
      type  = 203
      left  = 8
      top   = 143
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 158 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 227 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'MixM4to1'
      type  = 203
      left  = 8
      top   = 188
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 239 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 233
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 234 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 263
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Pan'
      type  = 202
      left  = 8
      top   = 293
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 323
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 105 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 353
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 151 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 199 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 383
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 413
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 91 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 235 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 210 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 236 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 111 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 247 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 223 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 47 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 533
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 227 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 563
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 243 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 9 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 593
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 9 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 623
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'SeqRandom'
      type  = 1208
      left  = 258
      top   = 38
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 31 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 71 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 52 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 127 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 128
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 60 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 188
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 166 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Sync'
      type  = 1306
      left  = 258
      top   = 233
      color = 12632256
      details(
        detail( class = 'TKnobsInput' name = 'sync_syncin' value = '32768')
        detail( class = 'TKnobsOutput' name = 'sync_syncout' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Morse'
      type  = 1209
      left  = 258
      top   = 263
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'morse_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_clock' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_reset' value = '32768')
        detail( class = 'TKnobsDisplay' name = 'morse_display_text' value = 'robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories memories me if two alien australien just me once  more robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories  robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories memories me if two alien australien just me once  more robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories memories me if two alien australien just me once  morememories me if two alien australien just me once  more robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories memories me if two alien australien just me once  more robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories  robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories memories me if two alien australien just me once  more robcaf about rob about smiley faces removed does it not alien math and faces removed one smiley face about rich isnt he memories memories me if two alien australien just me once  morememories me if two alien australien just me once  more')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Median'
      type  = 315
      left  = 258
      top   = 308
      color = 16777215
      details(
        detail( class = 'TKnobsInput' name = 'median_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'median_binsize' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 338
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 84 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 398
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'EnvAHD'
      type  = 903
      left  = 258
      top   = 443
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 32 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 34 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 58 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Reverb'
      type  = 703
      left  = 258
      top   = 563
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 121 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 53
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 83
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 48 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 203 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 128
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 39 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 84 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'ADC'
      type  = 607
      left  = 508
      top   = 173
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'adc_out0' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out1' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out3' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out4' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out5' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out6' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out7' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out8' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out9' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out10' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out11' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out12' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out13' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out14' value = '32768')
        detail( class = 'TKnobsOutput' name = 'adc_out15' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Noise'
      type  = 503
      left  = 508
      top   = 218
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 56 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 38 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'DigiDemux'
      type  = 808
      left  = 508
      top   = 248
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'digidemux_sel0' value = '32768')
        detail( class = 'TKnobsInput' name = 'digidemux_sel1' value = '32768')
        detail( class = 'TKnobsInput' name = 'digidemux_sel2' value = '32768')
        detail( class = 'TKnobsSelector' name = 'digidemux_hold' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 278
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 199 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'ThirdBank'
      type  = 1008
      left  = 508
      top   = 308
      color = 16711680
      details(
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader1' value = 1 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader2' value = 27 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader3' value = 45 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader4' value = 74 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader5' value = 92 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader6' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader7' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader8' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader9' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader0' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader11' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader12' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader13' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader14' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader15' value = 87 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader16' value = 45 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader17' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_level' value = 17 cc = 0)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modehigh' value = 0 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'thirdbank_steepness' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modelow' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_q' value = 240 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_fmamt' value = 512 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 443
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'SeqRandom'
      type  = 1208
      left  = 508
      top   = 488
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 31 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 71 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 52 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 127 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'SquareTrig'
      type  = 505
      left  = 508
      top   = 578
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'squaretrig_count' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squaretrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_pwmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_bandlimit' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Gate'
      type  = 602
      left  = 758
      top   = 53
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768')
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Gate'
      type  = 602
      left  = 758
      top   = 83
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768')
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Gate'
      type  = 602
      left  = 758
      top   = 113
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768')
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'MixM4to1'
      type  = 203
      left  = 758
      top   = 143
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 188
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'WavePlayer'
      type  = 702
      left  = 758
      top   = 203
      color = 255
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'C:\_my_stuff\prj_xe5\wren\_media\Troglodytes_troglodytes_song.wav')
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'EnvAHD'
      type  = 903
      left  = 758
      top   = 263
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 166 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 206 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 383
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'MixM4to1'
      type  = 203
      left  = 758
      top   = 428
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 473
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'NoteQuantizer'
      type  = 328
      left  = 758
      top   = 488
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'notequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note5' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note11' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'notequantizer_level' value = 224 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 518
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 533
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 253 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 249 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 578
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 608
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 143 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Vocoder'
      type  = 907
      left  = 758
      top   = 638
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'vocoder_mute' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule2.zerocounter_note' dst = 'KnobsModule3.notetodelay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.zerocounter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.mixm4to1_out' dst = 'KnobsModule7.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.delay_out' dst = 'KnobsModule5.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.mixm4to1_in4' dst = 'KnobsModule19.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqrandom_out' dst = 'KnobsModule19.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_phase' dst = 'KnobsModule11.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.zerocounter_note' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.rotator_out2' dst = 'KnobsModule12.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outr' dst = 'KnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.rotator_out1' dst = 'KnobsModule12.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outl' dst = 'KnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.rotator_angle' dst = 'KnobsModule12.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osc_out' dst = 'KnobsModule20.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.envarretrig_out' dst = 'KnobsModule20.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.notetodelay_out' dst = 'KnobsModule6.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.avg_lp' dst = 'KnobsModule7.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_gain' dst = 'KnobsModule5.mixm4to1_levmod4')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule20.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.divider_out' dst = 'KnobsModule18.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.seqrandom_out' dst = 'KnobsModule36.thirdbank_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.noise_out' dst = 'KnobsModule31.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.divider_out' dst = 'KnobsModule31.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out0' dst = 'KnobsModule36.thirdbank_fdmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out1' dst = 'KnobsModule36.thirdbank_fdmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out2' dst = 'KnobsModule36.thirdbank_fdmod5')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out3' dst = 'KnobsModule36.thirdbank_fdmod7')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out4' dst = 'KnobsModule36.thirdbank_fdmod9')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out5' dst = 'KnobsModule36.thirdbank_fdmod11')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out6' dst = 'KnobsModule36.thirdbank_fdmod12')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_out7' dst = 'KnobsModule36.thirdbank_fdmod14')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out12' dst = 'KnobsModule34.digidemux_sel0')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out13' dst = 'KnobsModule34.digidemux_sel1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out14' dst = 'KnobsModule34.digidemux_sel2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outr' dst = 'KnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outl' dst = 'KnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.thirdbank_out' dst = 'KnobsModule8.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.pan_out1' dst = 'KnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.pan_out2' dst = 'KnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.zerocounter_in' dst = 'KnobsModule8.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.divider_trig' dst = 'KnobsModule28.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.lfo_out' dst = 'KnobsModule46.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.envarretrig_sigout' dst = 'KnobsModule40.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.thirdbank_fm' dst = 'KnobsModule40.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.envarretrig_sigout' dst = 'KnobsModule5.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.delay_in' dst = 'KnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.delay_out' dst = 'KnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.waveplayer_out' dst = 'KnobsModule48.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.multiplier_out' dst = 'KnobsModule46.waveplayer_speed')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out8' dst = 'KnobsModule41.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out7' dst = 'KnobsModule42.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.gate_out' dst = 'KnobsModule45.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_phase' dst = 'KnobsModule41.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_out' dst = 'KnobsModule43.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out5' dst = 'KnobsModule43.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.gate_in3' dst = 'KnobsModule44.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixm4to1_out' dst = 'KnobsModule45.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.pan_in' dst = 'KnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_inr2' dst = 'KnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out4' dst = 'KnobsModule22.morse_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_inr2' dst = 'KnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outl' dst = 'KnobsModule10.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outr' dst = 'KnobsModule10.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.osc_out' dst = 'KnobsModule26.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envahd_sigout' dst = 'KnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.morse_out' dst = 'KnobsModule26.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.randsig_out' dst = 'KnobsModule26.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osc_freq' dst = 'KnobsModule23.median_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.median_in' dst = 'KnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out10' dst = 'KnobsModule23.median_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.median_out' dst = 'KnobsModule24.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_sigout' dst = 'KnobsModule4.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.mixm4to1_out' dst = 'KnobsModule5.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_inl2' dst = 'KnobsModule4.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixm4to1_in2' dst = 'KnobsModule45.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.gate_out' dst = 'KnobsModule44.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.gate_out' dst = 'KnobsModule44.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixm4to1_in3' dst = 'KnobsModule45.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envarretrig_trig' dst = 'KnobsModule17.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out9' dst = 'KnobsModule18.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule35.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.delay_delay' dst = 'KnobsModule33.noise_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.noise_colormod' dst = 'KnobsModule32.adc_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_in' dst = 'KnobsModule48.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.multiplier_out' dst = 'KnobsModule35.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.delay_in' dst = 'KnobsModule5.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.delay_out' dst = 'KnobsModule36.thirdbank_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envahd_out' dst = 'KnobsModule48.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out2' dst = 'KnobsModule47.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.randsig_out' dst = 'KnobsModule47.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envahd_dmodneg' dst = 'KnobsModule47.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.noise_out' dst = 'KnobsModule47.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.svf_bp' dst = 'KnobsModule4.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.lfo_fm' dst = 'KnobsModule49.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.notequantizer_out' dst = 'KnobsModule54.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.avg_lp' dst = 'KnobsModule51.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.multiplier_out' dst = 'KnobsModule52.notequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envahd_sigout' dst = 'KnobsModule53.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.multiplier_out' dst = 'KnobsModule54.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envahd_out' dst = 'KnobsModule53.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.randsig_out' dst = 'KnobsModule53.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out6' dst = 'KnobsModule49.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.multiplier_in4' dst = 'KnobsModule51.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.multiplier_in2' dst = 'KnobsModule42.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixm4to1_in3' dst = 'KnobsModule54.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.gate_in3' dst = 'KnobsModule50.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixm4to1_out' dst = 'KnobsModule51.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.multiplier_in2' dst = 'KnobsModule28.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_fm' dst = 'KnobsModule25.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_out' dst = 'KnobsModule34.digidemux_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.digidemux_in' dst = 'KnobsModule29.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.chebgen_out8' dst = 'KnobsModule30.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.chebgen_out13' dst = 'KnobsModule48.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out11' dst = 'KnobsModule21.sync_syncin')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.chebgen_out9' dst = 'KnobsModule38.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.waveplayer_outr' dst = 'KnobsModule56.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.delay_in' dst = 'KnobsModule5.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.adc_out0' dst = 'KnobsModule39.squaretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule14.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.avg_hp' dst = 'KnobsModule57.v0coder_carrier')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.squaretrig_out' dst = 'KnobsModule55.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.seqrandom_out' dst = 'KnobsModule39.squaretrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.chebgen_out5' dst = 'KnobsModule38.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.delay_outfixed' dst = 'KnobsModule27.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.reverb_outr' dst = 'KnobsModule57.vocoder_modulator')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.vocoder_out' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_inr1' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.mixs2to1_outr' dst = 'KnobsModule16.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.mixs2to1_outl' dst = 'KnobsModule16.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outl' dst = 'KnobsModule58.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outr' dst = 'KnobsModule58.mixs2to1_inr1')
  )
)
