Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-10-24-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'AudioIn'
      type  = 101
      left  = 8
      top   = 8
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Noise'
      type  = 503
      left  = 8
      top   = 38
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 58 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 44 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Vocoder'
      type  = 907
      left  = 8
      top   = 68
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'vocoder_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'XFade'
      type  = 201
      left  = 8
      top   = 83
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 113
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 48 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 158
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 134 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'PinkFilter'
      type  = 1005
      left  = 8
      top   = 203
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 233
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 263
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 293
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 188 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'ThirdBank'
      type  = 1008
      left  = 8
      top   = 323
      color = 16711680
      details(
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader1' value = 92 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader2' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader3' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader4' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader5' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader6' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader7' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader8' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader9' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader0' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader11' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader12' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader13' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader14' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader15' value = 96 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader16' value = 71 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader17' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_level' value = 80 cc = 0)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modehigh' value = 1 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'thirdbank_steepness' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modelow' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_q' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_fmamt' value = 512 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'ThirdBank'
      type  = 1008
      left  = 8
      top   = 458
      color = 16711680
      details(
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader1' value = 92 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader2' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader3' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader4' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader5' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader6' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader7' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader8' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader9' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader0' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader11' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader12' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader13' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader14' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader15' value = 96 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader16' value = 71 cc = 0)
        detail( class = 'TKnobsSlider' name = 'thirdbank_fader17' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_level' value = 80 cc = 0)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modehigh' value = 1 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'thirdbank_steepness' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'thirdbank_modelow' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_q' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'thirdbank_fmamt' value = 512 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 5 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 278
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 6 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 7 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 368
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 203 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 31 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 314 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 242 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'XFade'
      type  = 201
      left  = 258
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 223 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 223 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 234 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 578
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 608
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 8 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 9 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 10 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 11 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 13 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 278
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 14 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 15 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 368
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 413
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 34 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'NoteQuantizer'
      type  = 328
      left  = 508
      top   = 458
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'notequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note6' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note7' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'notequantizer_level' value = 192 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 488
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 220 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 225 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'NoteQuantizer'
      type  = 328
      left  = 508
      top   = 533
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'notequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note6' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note7' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'notequantizer_level' value = 192 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 563
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 220 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 225 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 16 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 17 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 218
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 263
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 308
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 126 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 65 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 368
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 170 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 38
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 32 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Lfo'
      type  = 401
      left  = 1008
      top   = 68
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 113
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 16 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'SeqRandom'
      type  = 1208
      left  = 1008
      top   = 143
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 45 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Average'
      type  = 1001
      left  = 1008
      top   = 233
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 32 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outl' dst = 'KnobsModule24.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outr' dst = 'KnobsModule24.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod4')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod5')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod6')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod7')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod8')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod9')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod10')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod11')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod12')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod13')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod14')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod15')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.randsig_out' dst = 'KnobsModule10.thirdbank_fdmod16')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.pinkfilter_out' dst = 'KnobsModule7.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod1' dst = 'KnobsModule11.thirdbank_fdmod16')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod2' dst = 'KnobsModule11.thirdbank_fdmod15')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod3' dst = 'KnobsModule11.thirdbank_fdmod14')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod4' dst = 'KnobsModule11.thirdbank_fdmod13')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod5' dst = 'KnobsModule11.thirdbank_fdmod12')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod6' dst = 'KnobsModule11.thirdbank_fdmod11')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod7' dst = 'KnobsModule11.thirdbank_fdmod10')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod8' dst = 'KnobsModule11.thirdbank_fdmod9')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod9' dst = 'KnobsModule11.thirdbank_fdmod8')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod10' dst = 'KnobsModule11.thirdbank_fdmod7')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod11' dst = 'KnobsModule11.thirdbank_fdmod6')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod12' dst = 'KnobsModule11.thirdbank_fdmod5')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod13' dst = 'KnobsModule11.thirdbank_fdmod4')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod14' dst = 'KnobsModule11.thirdbank_fdmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod15' dst = 'KnobsModule11.thirdbank_fdmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_fdmod16' dst = 'KnobsModule11.thirdbank_fdmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.formant_in' dst = 'KnobsModule8.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_out' dst = 'KnobsModule42.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_out' dst = 'KnobsModule41.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_fm' dst = 'KnobsModule7.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_fm' dst = 'KnobsModule8.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.thirdbank_out' dst = 'KnobsModule20.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.gverb_outr' dst = 'KnobsModule23.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.thirdbank_out' dst = 'KnobsModule20.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.gverb_outl' dst = 'KnobsModule23.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.lfo_out' dst = 'KnobsModule50.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.divider_trig' dst = 'KnobsModule51.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.divider_out' dst = 'KnobsModule51.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.avg_lp' dst = 'KnobsModule10.thirdbank_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.seqrandom_out' dst = 'KnobsModule52.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.seqrandom_out' dst = 'KnobsModule47.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.noise_out' dst = 'KnobsModule2.v0coder_carrier')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.audioin_out2' dst = 'KnobsModule2.vocoder_modulator')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.v0coder_carrier' dst = 'KnobsModule3.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.vocoder_out' dst = 'KnobsModule3.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.randsig_out' dst = 'KnobsModule52.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.xfade_out' dst = 'KnobsModule5.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envarretrig_sigout' dst = 'KnobsModule6.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.seqrandom_trig' dst = 'KnobsModule5.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.gverb_inl' dst = 'KnobsModule21.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.gverb_inr' dst = 'KnobsModule21.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.xfade_out' dst = 'KnobsModule23.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_inr2' dst = 'KnobsModule23.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfo_out' dst = 'KnobsModule5.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.lfo_sync' dst = 'KnobsModule4.lfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.formant_vowelin' dst = 'KnobsModule4.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.lfo_fm' dst = 'KnobsModule1.noise_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outl' dst = 'KnobsModule23.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outr' dst = 'KnobsModule23.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.gverb_outr' dst = 'KnobsModule38.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.randsig_out' dst = 'KnobsModule37.notequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.notequantizer_out' dst = 'KnobsModule38.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.notequantizer_out' dst = 'KnobsModule40.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.randsig_out' dst = 'KnobsModule39.notequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.gverb_outl' dst = 'KnobsModule40.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.svf_bp' dst = 'KnobsModule22.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.svf_bp' dst = 'KnobsModule22.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.randsig_out' dst = 'KnobsModule51.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.delay_outfixed' dst = 'KnobsModule48.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.avg_in' dst = 'KnobsModule49.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.avg_lp' dst = 'KnobsModule11.thirdbank_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.formant_out' dst = 'KnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outl' dst = 'KnobsModule10.thirdbank_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.formant_out' dst = 'KnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outr' dst = 'KnobsModule11.thirdbank_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_inr2' dst = 'KnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.randsig_out' dst = 'KnobsModule45.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randsig_out' dst = 'KnobsModule44.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.osc_out' dst = 'KnobsModule46.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.levelconverter_out1' dst = 'KnobsModule46.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.randsig_out' dst = 'KnobsModule43.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.osc_phase' dst = 'KnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.multiplier_out' dst = 'KnobsModule45.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule46.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.randsig_out' dst = 'KnobsModule46.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outr' dst = 'KnobsModule25.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outr' dst = 'KnobsModule26.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outl' dst = 'KnobsModule25.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outl' dst = 'KnobsModule26.audioout_in1')
  )
)
