Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-10-25-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 41 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 53
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Noise'
      type  = 503
      left  = 8
      top   = 68
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'PinkFilter'
      type  = 1005
      left  = 8
      top   = 98
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 8
      top   = 128
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 158
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 188
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 124 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 244 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 8
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 263
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 293
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 124 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 197 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Constant'
      type  = 301
      left  = 8
      top   = 338
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 83 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 368
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 241 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 413
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 443
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 243 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 533
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 563
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 41 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'LfoTrig'
      type  = 405
      left  = 258
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 59 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 113
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'IntDif'
      type  = 1003
      left  = 258
      top   = 128
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Resonator'
      type  = 1006
      left  = 258
      top   = 158
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'resonator_decay' value = 37 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_frequency' value = 27 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_dmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_click' value = 0 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'resonator_inlevel' value = 205 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'TerraGen'
      type  = 507
      left  = 258
      top   = 218
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 248
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'IntDif'
      type  = 1003
      left  = 258
      top   = 278
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Constant'
      type  = 301
      left  = 258
      top   = 308
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 238 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Inverter'
      type  = 302
      left  = 258
      top   = 338
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'SVF'
      type  = 1002
      left  = 258
      top   = 353
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 241 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Resonator'
      type  = 1006
      left  = 258
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'resonator_decay' value = 89 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_frequency' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_pmlevel' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_dmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_click' value = 0 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'resonator_inlevel' value = 205 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 458
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 518
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 103 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 238 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 399 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 234 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 63 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 162 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 174 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 34 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 5 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 212 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 83 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 212 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 6 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 167 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'SampleAndHold'
      type  = 801
      left  = 508
      top   = 143
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 158
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 173
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'SampleAndHold'
      type  = 801
      left  = 508
      top   = 218
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Modal'
      type  = 1011
      left  = 508
      top   = 233
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal_q1' value = 233 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq1' value = 187 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q2' value = 173 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq2' value = 73 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q3' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq3' value = 73 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q4' value = 182 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq4' value = 82 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q5' value = 129 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq5' value = 118 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q6' value = 184 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq6' value = 176 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q7' value = 169 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq7' value = 178 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q8' value = 147 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq8' value = 140 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level1' value = 201 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level2' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level3' value = 214 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level4' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level5' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level6' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level7' value = 226 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level8' value = 239 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q9' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq9' value = 116 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q10' value = 242 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq10' value = 178 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q11' value = 161 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq11' value = 80 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level9' value = 241 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level10' value = 233 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level11' value = 195 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level' value = 109 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_fmamt' value = 82 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modal_rndf' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modal_rndq' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modal_rnda' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 338
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 125 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 127 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Formant'
      type  = 1004
      left  = 508
      top   = 368
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 106 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Pan'
      type  = 202
      left  = 508
      top   = 398
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 428
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 131 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 230 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 242 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Rotator'
      type  = 309
      left  = 508
      top   = 488
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 15 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 212 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 134 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 6 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 180 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 143
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 158
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 173
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 218
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Modal'
      type  = 1011
      left  = 758
      top   = 233
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal_q1' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq1' value = 190 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q2' value = 185 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq2' value = 157 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q3' value = 183 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq3' value = 113 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q4' value = 229 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq4' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q5' value = 166 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq5' value = 79 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q6' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq6' value = 107 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q7' value = 178 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq7' value = 178 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q8' value = 151 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq8' value = 155 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level1' value = 201 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level2' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level3' value = 214 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level4' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level5' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level6' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level7' value = 226 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level8' value = 239 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q9' value = 151 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq9' value = 115 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q10' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq10' value = 142 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_q11' value = 164 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq11' value = 188 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level9' value = 241 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level10' value = 233 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level11' value = 195 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_level' value = 109 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_fmamt' value = 82 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modal_freq' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modal_rndf' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modal_rndq' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modal_rnda' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 338
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'IntDif'
      type  = 1003
      left  = 758
      top   = 368
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Resonator'
      type  = 1006
      left  = 758
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'resonator_decay' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_fmlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_frequency' value = 27 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_dmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_click' value = 0 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'resonator_inlevel' value = 169 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'TerraGen'
      type  = 507
      left  = 758
      top   = 458
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 14 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Quantizer'
      type  = 307
      left  = 1008
      top   = 8
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 35 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 142 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Median'
      type  = 315
      left  = 1008
      top   = 38
      color = 16777215
      details(
        detail( class = 'TKnobsInput' name = 'median_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'median_binsize' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 68
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Median'
      type  = 315
      left  = 1008
      top   = 128
      color = 16777215
      details(
        detail( class = 'TKnobsInput' name = 'median_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'median_binsize' value = 14 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 158
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 218
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 244 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 248
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 278
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 241 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'MultipleMult'
      type  = 334
      left  = 1008
      top   = 308
      color = 16777215
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outl' dst = 'KnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_outr' dst = 'KnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.formant_out' dst = 'KnobsModule6.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.noiselfotrig_out' dst = 'KnobsModule5.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.formant_out' dst = 'KnobsModule9.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.noiselfotrig_out' dst = 'KnobsModule8.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.noiselfotrig_trig' dst = 'KnobsModule9.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.envarretrig_trig' dst = 'KnobsModule7.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.formant_in' dst = 'KnobsModule8.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.lfo_out' dst = 'KnobsModule19.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.intdif_dif' dst = 'KnobsModule22.resonator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixs2to1_inr2' dst = 'KnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.terragen_out' dst = 'KnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.resonator_out' dst = 'KnobsModule23.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.terragen_y' dst = 'KnobsModule23.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.pinkfilter_out' dst = 'KnobsModule5.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.noise_out' dst = 'KnobsModule3.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule14.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule18.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.lfo_phase' dst = 'KnobsModule19.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.envarretrig_sigout' dst = 'KnobsModule12.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.rotator_out1' dst = 'KnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envarretrig_sigout' dst = 'KnobsModule12.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.rotator_out2' dst = 'KnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envarretrig_trig' dst = 'KnobsModule11.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.svf_lp' dst = 'KnobsModule12.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.constant_out' dst = 'KnobsModule11.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.lfo_fm' dst = 'KnobsModule36.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.randsig_fm' dst = 'KnobsModule34.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.randsig_out' dst = 'KnobsModule32.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.levelconverter_in1' dst = 'KnobsModule11.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_outl' dst = 'KnobsModule13.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_outr' dst = 'KnobsModule13.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_in1' dst = 'KnobsModule40.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.avg_lp' dst = 'KnobsModule31.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.rotator_out1' dst = 'KnobsModule31.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.rotator_out2' dst = 'KnobsModule31.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_in4' dst = 'KnobsModule37.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.multiplier_in4' dst = 'KnobsModule51.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.sampleandhold_out' dst = 'KnobsModule36.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.lfo_out' dst = 'KnobsModule35.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.sampleandhold_out' dst = 'KnobsModule50.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.lfo_out' dst = 'KnobsModule49.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.lfo_out' dst = 'KnobsModule49.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.sampleandhold_trig' dst = 'KnobsModule52.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.sampleandhold_trig' dst = 'KnobsModule35.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.sampleandhold_trig' dst = 'KnobsModule38.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sampleandhold_out' dst = 'KnobsModule39.modal_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.sampleandhold_out' dst = 'KnobsModule53.modal_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.randsig_out' dst = 'KnobsModule46.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.lfo_fm' dst = 'KnobsModule50.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.randsig_fm' dst = 'KnobsModule48.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.levelconverter_out1' dst = 'KnobsModule52.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.levelconverter_out1' dst = 'KnobsModule38.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfotrig_out' dst = 'KnobsModule20.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.sampleandhold_out' dst = 'KnobsModule21.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sampleandhold_trig' dst = 'KnobsModule20.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.noiselfotrig_trig' dst = 'KnobsModule6.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.sampleandhold_out' dst = 'KnobsModule4.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.sampleandhold_trig' dst = 'KnobsModule1.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.modal_out' dst = 'KnobsModule44.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixs2to1_outr' dst = 'KnobsModule45.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.modal_out' dst = 'KnobsModule44.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixs2to1_outl' dst = 'KnobsModule45.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.sampleandhold_out' dst = 'KnobsModule24.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.constant_out' dst = 'KnobsModule28.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.divider_out' dst = 'KnobsModule25.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.resonator_out' dst = 'KnobsModule44.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.intdif_dif' dst = 'KnobsModule29.resonator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.svf_bp' dst = 'KnobsModule29.resonator_pm')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.intdif_in' dst = 'KnobsModule27.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.inverter_out4' dst = 'KnobsModule28.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfotrig_trig' dst = 'KnobsModule28.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.osc_out' dst = 'KnobsModule44.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.divider_out' dst = 'KnobsModule54.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.intdif_dif' dst = 'KnobsModule56.resonator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.divider_out' dst = 'KnobsModule55.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.resonator_out' dst = 'KnobsModule57.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.terragen_y' dst = 'KnobsModule56.resonator_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.terragen_out' dst = 'KnobsModule41.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.formant_out' dst = 'KnobsModule44.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfotrig_fm' dst = 'KnobsModule41.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixs2to1_outl' dst = 'KnobsModule44.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.mixs2to1_outr' dst = 'KnobsModule44.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.pan_out1' dst = 'KnobsModule43.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.pan_out2' dst = 'KnobsModule43.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.randsig_out' dst = 'KnobsModule40.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.avg_alphamod' dst = 'KnobsModule45.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.levelconverter_in1' dst = 'KnobsModule42.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.lfo_out' dst = 'KnobsModule59.median_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.median_out' dst = 'KnobsModule60.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.quantizer_out' dst = 'KnobsModule59.median_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.median_out' dst = 'KnobsModule62.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.median_in' dst = 'KnobsModule61.median_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.median_trig' dst = 'KnobsModule61.median_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.noise_out' dst = 'KnobsModule58.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixs2to1_levmod1' dst = 'KnobsModule62.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.osc_sync' dst = 'KnobsModule60.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.MultipleMult_out4' dst = 'KnobsModule60.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.osc_out' dst = 'KnobsModule66.MultipleMult_in42')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.MultipleMult_out3' dst = 'KnobsModule62.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.osc_out' dst = 'KnobsModule66.MultipleMult_in32')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.randsig_out' dst = 'KnobsModule66.MultipleMult_in11')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.MultipleMult_out1' dst = 'KnobsModule66.MultipleMult_in31')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.MultipleMult_out2' dst = 'KnobsModule66.MultipleMult_in41')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.delay_out' dst = 'KnobsModule66.MultipleMult_in12')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.delay_out' dst = 'KnobsModule66.MultipleMult_in22')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.MultipleMult_in11' dst = 'KnobsModule64.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.randsig_out' dst = 'KnobsModule65.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.delay_delay' dst = 'KnobsModule66.MultipleMult_in21')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.envarretrig_out' dst = 'KnobsModule63.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.mixs2to1_outl' dst = 'KnobsModule64.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envarretrig_out' dst = 'KnobsModule63.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.mixs2to1_outr' dst = 'KnobsModule65.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.delay_outfixed' dst = 'KnobsModule63.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.delay_outfixed' dst = 'KnobsModule63.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.median_low' dst = 'KnobsModule30.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.osc_phase' dst = 'KnobsModule43.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.osc_phase' dst = 'KnobsModule43.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_out' dst = 'KnobsModule39.modal_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.multiplier_out' dst = 'KnobsModule53.modal_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outl' dst = 'KnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outr' dst = 'KnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outl' dst = 'KnobsModule17.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outr' dst = 'KnobsModule17.audioout_in2')
  )
)
