Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-10-25-02'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'IntDif'
      type  = 1003
      left  = 8
      top   = 8
      color = 16711680
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'WaveWrapper'
      type  = 325
      left  = 8
      top   = 38
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'wavewrapper_highlevel' value = 137 cc = 0)
        detail( class = 'TKnobsSelector' name = 'wavewrapper_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'wavewrapper_lowlevel' value = 96 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'wavewrapper_modamt' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'wavewrapper_type' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Constant'
      type  = 301
      left  = 8
      top   = 83
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 155 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 113
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 128
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 192 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Resonator'
      type  = 1006
      left  = 8
      top   = 173
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'resonator_decay' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_fmlevel' value = 34 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_frequency' value = 48 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_pmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_dmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'resonator_click' value = 0 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'resonator_inlevel' value = 205 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'TerraGen'
      type  = 507
      left  = 8
      top   = 233
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'FreqShifter'
      type  = 1401
      left  = 8
      top   = 263
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 12 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 293
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 153 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Pan'
      type  = 202
      left  = 8
      top   = 323
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 353
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 133 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 102 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 383
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 201 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 203 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 413
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 115 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 190 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 42 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 74 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 30 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Compare'
      type  = 610
      left  = 258
      top   = 53
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'compare_outless' value = '32768')
        detail( class = 'TKnobsOutput' name = 'compare_outmore' value = '32768')
        detail( class = 'TKnobsOutput' name = 'compare_outequal' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'compare_range' value = 204 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 83
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 103 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 79 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 34 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Inverter'
      type  = 302
      left  = 258
      top   = 128
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 27 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 112 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 55 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 293
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 323
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 172 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 97 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 413
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 205 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 443
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 473
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 35 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 91 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 67 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 49 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'WaveWiper'
      type  = 324
      left  = 508
      top   = 98
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'wavewiper_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 113
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 74 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 74 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 158
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 88 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 218
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 54 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 252 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 14 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'TritoneBank'
      type  = 1007
      left  = 508
      top   = 323
      color = 16711680
      details(
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader1' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader2' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader3' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader4' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader5' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader6' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader7' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader8' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader9' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader10' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader11' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader12' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader13' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader14' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader15' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader16' value = 101 cc = 0)
        detail( class = 'TKnobsSlider' name = 'tritonebank_fader17' value = 101 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'tritonebank_level' value = 58 cc = 0)
        detail( class = 'TKnobsSelector' name = 'tritonebank_modehigh' value = 1 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'tritonebank_steepness' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'tritonebank_modelow' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'tritonebank_q' value = 171 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'tritonebank_fmamt' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'NoteQuantizer'
      type  = 328
      left  = 758
      top   = 8
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'notequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note5' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note6' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note7' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note9' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'notequantizer_level' value = 150 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 38
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 32 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 98
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 143
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 188
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'NoteQuantizer'
      type  = 328
      left  = 758
      top   = 203
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'notequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note5' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note6' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note7' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note9' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'notequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'notequantizer_level' value = 151 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 233
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 32 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 293
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 338
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'MixM4to1'
      type  = 203
      left  = 1008
      top   = 8
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 175 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 167 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 151 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Square'
      type  = 502
      left  = 1008
      top   = 53
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'square_frequency' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'square_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'square_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'square_pmlevel' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'square_fmlevel' value = 126 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'square_pwmlevel' value = 17 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'square_bandlimit' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 113
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 238 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 158
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 240 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Inverter'
      type  = 302
      left  = 1008
      top   = 203
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'MixM4to1'
      type  = 203
      left  = 1008
      top   = 218
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 109 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 167 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 151 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'MixM4to1'
      type  = 203
      left  = 1008
      top   = 263
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 203 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 167 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 151 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Formant'
      type  = 1004
      left  = 1008
      top   = 308
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 40 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule28.osc_out' dst = 'KnobsModule29.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_out' dst = 'KnobsModule30.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_sync' dst = 'KnobsModule30.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.envarretrig_sigout' dst = 'KnobsModule31.tritonebank_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.envarretrig_trig' dst = 'KnobsModule31.tritonebank_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.osc_fm' dst = 'KnobsModule29.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.lfo_out' dst = 'KnobsModule29.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_fm' dst = 'KnobsModule14.compare_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_res' dst = 'KnobsModule24.lfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outr' dst = 'KnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outl' dst = 'KnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.lfo_out' dst = 'KnobsModule27.lfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.compare_outmore' dst = 'KnobsModule15.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.inverter_out4' dst = 'KnobsModule17.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.lfo_out' dst = 'KnobsModule8.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.formant_out' dst = 'KnobsModule9.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.pan_out2' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.pan_out1' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.wavewiper_out2' dst = 'KnobsModule27.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_out' dst = 'KnobsModule26.wavewiper_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.wavewiper_out1' dst = 'KnobsModule24.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.wavewiper_out1' dst = 'KnobsModule28.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_out' dst = 'KnobsModule26.wavewiper_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.lfo_out' dst = 'KnobsModule26.wavewiper_break')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.intdif_dif' dst = 'KnobsModule5.resonator_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.resonator_out' dst = 'KnobsModule6.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.terragen_y' dst = 'KnobsModule6.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.terragen_out' dst = 'KnobsModule5.resonator_pm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.compare_outless' dst = 'KnobsModule13.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.randsig_out' dst = 'KnobsModule25.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.wavewiper_in1' dst = 'KnobsModule25.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.compare_in2' dst = 'KnobsModule16.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.inverter_in4' dst = 'KnobsModule15.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.randsig_out' dst = 'KnobsModule9.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.wavewiper_in2' dst = 'KnobsModule14.compare_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.lfo_phase' dst = 'KnobsModule1.wavewrapper_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.wavewrapper_out' dst = 'KnobsModule5.resonator_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.pan_control' dst = 'KnobsModule1.wavewrapper_mod')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.wavewiper_break' dst = 'KnobsModule15.lfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.envarretrig_out' dst = 'KnobsModule24.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.notequantizer_out' dst = 'KnobsModule33.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.compare_in1' dst = 'KnobsModule12.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.lfo_phase' dst = 'KnobsModule32.notequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_out' dst = 'KnobsModule36.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.levelconverter_out1' dst = 'KnobsModule36.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_out' dst = 'KnobsModule35.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.tritonebank_out' dst = 'KnobsModule33.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.notequantizer_out' dst = 'KnobsModule38.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_out' dst = 'KnobsModule40.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.levelconverter_out1' dst = 'KnobsModule40.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_out' dst = 'KnobsModule37.notequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.osc_phase' dst = 'KnobsModule39.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.osc_phase' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.multiplier_out' dst = 'KnobsModule33.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_out' dst = 'KnobsModule38.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_phase' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.notequantizer_in' dst = 'KnobsModule34.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.levelconverter_out1' dst = 'KnobsModule36.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_in3' dst = 'KnobsModule40.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.compressor_outr' dst = 'KnobsModule21.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.compressor_outl' dst = 'KnobsModule21.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outr' dst = 'KnobsModule20.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outl' dst = 'KnobsModule20.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_inr2' dst = 'KnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.envarretrig_out' dst = 'KnobsModule41.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.envarretrig_sigout' dst = 'KnobsModule41.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixm4to1_out' dst = 'KnobsModule42.square_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.square_phase' dst = 'KnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.formant_out' dst = 'KnobsModule42.square_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_trig' dst = 'KnobsModule44.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_out' dst = 'KnobsModule41.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.envarretrig_out' dst = 'KnobsModule46.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixm4to1_out' dst = 'KnobsModule48.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_out' dst = 'KnobsModule45.inverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.inverter_out1' dst = 'KnobsModule46.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.levelconverter_in1' dst = 'KnobsModule42.square_pwm')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.envarretrig_sigout' dst = 'KnobsModule47.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.mixm4to1_out' dst = 'KnobsModule48.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.square_out' dst = 'KnobsModule43.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_sigin' dst = 'KnobsModule44.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_sigout' dst = 'KnobsModule47.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.square_pwm' dst = 'KnobsModule47.mixm4to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.levelconverter_in1' dst = 'KnobsModule43.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.tritonebank_out' dst = 'KnobsModule8.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.terragen_out' dst = 'KnobsModule7.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.freqshifter_up' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.freqshifter_down' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.svf_bp' dst = 'KnobsModule7.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.constant_out' dst = 'KnobsModule4.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.multiplier_in4' dst = 'KnobsModule0.intdif_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.multiplier_out' dst = 'KnobsModule4.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule3.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.lfo_out' dst = 'KnobsModule18.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.compare_outequal' dst = 'KnobsModule3.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.mixs2to1_outl' dst = 'KnobsModule22.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outl' dst = 'KnobsModule23.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.mixs2to1_outr' dst = 'KnobsModule22.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outr' dst = 'KnobsModule23.audioout_in2')
  )
)
