Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-11-09-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 8
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 68
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 78 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 128
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 71 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 188
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 203
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 229 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 169 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 86 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 323
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 202 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Vocoder'
      type  = 907
      left  = 8
      top   = 353
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'vocoder_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 368
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 87 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'PinkFilter'
      type  = 1005
      left  = 8
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'FreqShifter'
      type  = 1401
      left  = 8
      top   = 428
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 8 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 183 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 141 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 183 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 183 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 548
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 78 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 289 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 253 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 194 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 198 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 72 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'EnvAHD'
      type  = 903
      left  = 258
      top   = 53
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 81 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 110 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 173
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Talkie'
      type  = 510
      left  = 258
      top   = 203
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'talkie_bank' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'talkie_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_fr' value = 48 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_frmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_sr' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_srmodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 263
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 63 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 308
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 169 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 216 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 338
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 247 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 368
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 398
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 239 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 428
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 578
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 608
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 168 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 53
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 37 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 59 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 173
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 20 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 218
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 97 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 161 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 263
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 82 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 99 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 308
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 338
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 383
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 37 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 413
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 93 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 473
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'FreqShifter'
      type  = 1401
      left  = 508
      top   = 518
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 8 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 53
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 8 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 83
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 98
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 8 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'SeqRandom'
      type  = 1208
      left  = 758
      top   = 128
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 79 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 227 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'SeqRandom'
      type  = 1208
      left  = 758
      top   = 218
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 45 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 35 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 227 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Poetry'
      type  = 327
      left  = 758
      top   = 308
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'SquareTrig'
      type  = 505
      left  = 758
      top   = 353
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'squaretrig_count' value = 11 cc = 0)
        detail( class = 'TKnobsSelector' name = 'squaretrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_pwmlevel' value = 512 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squaretrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 413
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 458
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 76 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 156 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 174 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 162 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 34 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 158 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 35 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 156 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 36 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 141 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 278
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 37 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 183 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 152 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outl' dst = 'KnobsModule26.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixs2to1_outr' dst = 'KnobsModule26.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.lfo_out' dst = 'KnobsModule15.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.envahd_out' dst = 'KnobsModule1.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_out' dst = 'KnobsModule28.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.osc_out' dst = 'KnobsModule3.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.multiplier_in1' dst = 'KnobsModule3.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.osc_out' dst = 'KnobsModule3.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.multiplier_in3' dst = 'KnobsModule2.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.multiplier_out' dst = 'KnobsModule1.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.pinkfilter_out' dst = 'KnobsModule9.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.freqshifter_down' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.freqshifter_up' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.multiplier_out' dst = 'KnobsModule4.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.envahd_trig' dst = 'KnobsModule0.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.seqrandom_trig' dst = 'KnobsModule4.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envahd_out' dst = 'KnobsModule4.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.envahd_dmodneg' dst = 'KnobsModule2.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.osc_freq' dst = 'KnobsModule0.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.avg_hp' dst = 'KnobsModule8.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.vocoder_out' dst = 'KnobsModule7.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_inr2' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outr' dst = 'KnobsModule22.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outl' dst = 'KnobsModule21.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.delay_outfixed' dst = 'KnobsModule20.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.delay_outfixed' dst = 'KnobsModule20.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.delay_in' dst = 'KnobsModule6.vocoder_modulator')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_inl1' dst = 'KnobsModule20.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.envahd_sigout' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.seqrandom_changeone' dst = 'KnobsModule16.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.rsflipflop_q' dst = 'KnobsModule17.talkie_start')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.talkie_rdy' dst = 'KnobsModule16.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.delay_out' dst = 'KnobsModule23.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.rotator_out2' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.delay_out' dst = 'KnobsModule23.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.rotator_out1' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.lfo_out' dst = 'KnobsModule23.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.randsig_out' dst = 'KnobsModule17.talkie_phrase')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.talkie_out' dst = 'KnobsModule20.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.envahd_sigin' dst = 'KnobsModule5.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.avg_hp' dst = 'KnobsModule6.v0coder_carrier')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_inl1' dst = 'KnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outl' dst = 'KnobsModule20.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outr' dst = 'KnobsModule20.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.envahd_sigout' dst = 'KnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.randsig_out' dst = 'KnobsModule48.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_out' dst = 'KnobsModule49.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.randsig_out' dst = 'KnobsModule50.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.randsig_out' dst = 'KnobsModule51.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.randsig_fm' dst = 'KnobsModule28.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.randsig_fm' dst = 'KnobsModule15.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.randsig_fm' dst = 'KnobsModule20.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.randsig_fm' dst = 'KnobsModule4.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.osc_out' dst = 'KnobsModule2.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.osc_phase' dst = 'KnobsModule1.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_inr1' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.osc_out' dst = 'KnobsModule44.squaretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.randsig_out' dst = 'KnobsModule44.squaretrig_pwm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.lfo_out' dst = 'KnobsModule43.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.poetry_newinput' dst = 'KnobsModule42.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.divider_trig' dst = 'KnobsModule43.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.lfo_out' dst = 'KnobsModule39.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.poetry_out' dst = 'KnobsModule44.squaretrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.squaretrig_freq' dst = 'KnobsModule46.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.squaretrig_out' dst = 'KnobsModule45.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envarretrig_sigout' dst = 'KnobsModule46.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.poetry_newoutput' dst = 'KnobsModule45.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.randsig_fm' dst = 'KnobsModule45.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_inl2' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.svf_bp' dst = 'KnobsModule19.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.gverb_outr' dst = 'KnobsModule24.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outr' dst = 'KnobsModule25.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.gverb_outl' dst = 'KnobsModule24.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixs2to1_outl' dst = 'KnobsModule25.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.randsig_fm' dst = 'KnobsModule21.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randsig_out' dst = 'KnobsModule30.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.randsig_out' dst = 'KnobsModule31.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.randsig_fm' dst = 'KnobsModule22.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envarretrig_trig' dst = 'KnobsModule32.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.chebgen_out3' dst = 'KnobsModule33.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.chebgen_out7' dst = 'KnobsModule33.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.poetry_in' dst = 'KnobsModule1.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.poetry_in' dst = 'KnobsModule33.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.seqrandom_out' dst = 'KnobsModule43.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.randsig_out' dst = 'KnobsModule52.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_sigout' dst = 'KnobsModule19.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.osc_out' dst = 'KnobsModule36.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.poetry_newoutput' dst = 'KnobsModule36.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.randsig_fm' dst = 'KnobsModule36.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.chebgen_out2' dst = 'KnobsModule35.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_sigout' dst = 'KnobsModule37.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.freqshifter_up' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.freqshifter_down' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.poetry_out' dst = 'KnobsModule34.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.avg_lp' dst = 'KnobsModule35.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.randsig_out' dst = 'KnobsModule53.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.randsig_fm' dst = 'KnobsModule34.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.sampleandhold_trig' dst = 'KnobsModule42.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.divider_out' dst = 'KnobsModule40.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.lfo_out' dst = 'KnobsModule40.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.seqrandom_out' dst = 'KnobsModule42.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.randsig_out' dst = 'KnobsModule47.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.randsig_out' dst = 'KnobsModule54.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.randsig_fm' dst = 'KnobsModule10.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.sampleandhold_out' dst = 'KnobsModule55.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.divider_trig' dst = 'KnobsModule41.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.divider_out' dst = 'KnobsModule41.seqrandom_changeone')
  )
)
