Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-11-10-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 40 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 38
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 153 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 68
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 128
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 62 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'OscTrig'
      type  = 504
      left  = 8
      top   = 173
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 37 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 145 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 278
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 293
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 169 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 191 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 413
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 458
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 224 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 223 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 223 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 578
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 608
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 107 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 59 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 216 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 159 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 169 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Panel1'
      type  = 1101
      left  = 8
      top   = 698
      color = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 53
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 160 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'WaveWiper'
      type  = 324
      left  = 258
      top   = 83
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'wavewiper_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 62 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'OscTrig'
      type  = 504
      left  = 258
      top   = 188
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 37 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 145 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 248
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 263
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 308
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 11 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 28 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 353
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 74 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 214 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 413
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 443
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 221 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 473
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 240 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 503
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 533
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 563
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 593
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 623
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 173 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 90 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1023 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 53
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 113
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 128
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1022 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 173
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 233
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 156 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 278
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 75 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'RandSig'
      type  = 408
      left  = 508
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 68 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'RangeConverter'
      type  = 322
      left  = 508
      top   = 368
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 413
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 508
      top   = 443
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 74 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 178 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'PitchShift'
      type  = 910
      left  = 508
      top   = 473
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 162 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'HrastSVF'
      type  = 4002
      left  = 508
      top   = 533
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoff' value = 21 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_lowpass' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_reso' value = 241 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_bandpass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_highpass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_drive' value = 25 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_resomod' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_cutoffmod' value = 205 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_gain' value = 198 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level12' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastsvf_level24' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 228 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 653
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 240 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 683
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'PhaseDetect'
      type  = 609
      left  = 758
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsInput' name = 'phasedetect_in1' value = '32768')
        detail( class = 'TKnobsInput' name = 'phasedetect_in2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'phasedetect_lock' value = '32768')
        detail( class = 'TKnobsInput' name = 'phasedetect_typesel' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alpha' value = 172 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alphamodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedetect_type' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 38
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 98
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 113
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'MixM4to1'
      type  = 203
      left  = 758
      top   = 143
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 188
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 218
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 233
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 208 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 263
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 114 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 46 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 98 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 368
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'PinkFilter'
      type  = 1005
      left  = 758
      top   = 383
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'FreqShifter'
      type  = 1401
      left  = 758
      top   = 413
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Rotator'
      type  = 309
      left  = 758
      top   = 443
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'MultiSAndH'
      type  = 804
      left  = 758
      top   = 473
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'multisandh_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 518
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 21 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 563
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Panel1'
      type  = 1101
      left  = 758
      top   = 608
      color = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 653
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'AudioOut'
      type  = 102
      left  = 758
      top   = 683
      color = 12632256
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule2.osc_out' dst = 'KnobsModule4.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.randsig_out' dst = 'KnobsModule4.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfo_out' dst = 'KnobsModule2.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.osc_out' dst = 'KnobsModule21.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.noiselfotrig_out' dst = 'KnobsModule1.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.osc_phase' dst = 'KnobsModule0.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.quantizer_out' dst = 'KnobsModule2.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.rotator_out1' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.rotator_out2' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.lfo_out' dst = 'KnobsModule9.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.lfo_out' dst = 'KnobsModule34.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.lfo_out' dst = 'KnobsModule34.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_out' dst = 'KnobsModule35.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.quantizer_out' dst = 'KnobsModule18.wavewiper_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.randsig_out' dst = 'KnobsModule18.wavewiper_break')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.wavewiper_out2' dst = 'KnobsModule34.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.poetry_out' dst = 'KnobsModule38.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.wavewiper_out1' dst = 'KnobsModule37.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_newinput' dst = 'KnobsModule37.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_newoutput' dst = 'KnobsModule37.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_out2' dst = 'KnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_out1' dst = 'KnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.osc_out' dst = 'KnobsModule26.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_out' dst = 'KnobsModule25.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.osc_freq' dst = 'KnobsModule25.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.randsig_out' dst = 'KnobsModule25.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.gverb_outr' dst = 'KnobsModule31.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.gverb_outl' dst = 'KnobsModule31.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.quantizer_out' dst = 'KnobsModule19.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_out' dst = 'KnobsModule17.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.poetry_newoutput' dst = 'KnobsModule39.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_sigout' dst = 'KnobsModule35.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_sigout' dst = 'KnobsModule26.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_out' dst = 'KnobsModule39.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_sync' dst = 'KnobsModule26.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_out' dst = 'KnobsModule38.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.osc_out' dst = 'KnobsModule36.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.envarretrig_out' dst = 'KnobsModule36.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.multiplier_out' dst = 'KnobsModule9.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.osctrig_out' dst = 'KnobsModule22.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.osc_freq' dst = 'KnobsModule24.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_outl' dst = 'KnobsModule28.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_outr' dst = 'KnobsModule29.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.delay_outfixed' dst = 'KnobsModule27.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.delay_outfixed' dst = 'KnobsModule27.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule27.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule27.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.randsig_out' dst = 'KnobsModule41.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_out' dst = 'KnobsModule40.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.randsig_fm' dst = 'KnobsModule28.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_fm' dst = 'KnobsModule29.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.osc_phase' dst = 'KnobsModule7.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_out' dst = 'KnobsModule22.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_sigout' dst = 'KnobsModule9.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osctrig_out' dst = 'KnobsModule7.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_out' dst = 'KnobsModule6.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.quantizer_in' dst = 'KnobsModule5.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_fm' dst = 'KnobsModule6.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.multiplier_out' dst = 'KnobsModule7.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_fm' dst = 'KnobsModule7.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.delay_out' dst = 'KnobsModule30.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.rotator_out2' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.delay_out' dst = 'KnobsModule30.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.rotator_out1' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_dmod' dst = 'KnobsModule30.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule50.phasedetect_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_out' dst = 'KnobsModule50.phasedetect_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.phasedetect_out' dst = 'KnobsModule51.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.phasedetect_lock' dst = 'KnobsModule52.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_freq' dst = 'KnobsModule52.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.sampleandhold_trig' dst = 'KnobsModule50.phasedetect_typesel')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.sampleandhold_out' dst = 'KnobsModule56.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.wavewiper_in2' dst = 'KnobsModule21.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule18.wavewiper_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.sampleandhold_out' dst = 'KnobsModule57.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.avg_lp' dst = 'KnobsModule58.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_out' dst = 'KnobsModule56.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_out' dst = 'KnobsModule55.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.rotator_out1' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.freqshifter_up' dst = 'KnobsModule63.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.rotator_out2' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.freqshifter_down' dst = 'KnobsModule63.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_outfixed' dst = 'KnobsModule54.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixm4to1_out' dst = 'KnobsModule55.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.randsig_out' dst = 'KnobsModule54.mixm4to1_levmod4')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule14.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixs2to1_outl' dst = 'KnobsModule32.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.mixs2to1_outr' dst = 'KnobsModule32.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.noiselfotrig_out' dst = 'KnobsModule46.hrastsvf_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule42.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.rangeconverter_in1' dst = 'KnobsModule63.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.rangeconverter_out1' dst = 'KnobsModule43.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.chebgen_out12' dst = 'KnobsModule44.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.mixs2to1_outl' dst = 'KnobsModule48.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.mixs2to1_outr' dst = 'KnobsModule49.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.delay_outfixed' dst = 'KnobsModule47.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.delay_outfixed' dst = 'KnobsModule47.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.hrastsvf_output24' dst = 'KnobsModule47.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.hrastsvf_outputbp' dst = 'KnobsModule47.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.delay_out' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.delay_out' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multisandh_in7' dst = 'KnobsModule48.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.randsig_out' dst = 'KnobsModule64.multisandh_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multisandh_out7' dst = 'KnobsModule65.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multisandh_in6' dst = 'KnobsModule49.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.randsig_out' dst = 'KnobsModule64.multisandh_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multisandh_out6' dst = 'KnobsModule66.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.rangeconverter_out1' dst = 'KnobsModule64.multisandh_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.randsig_out' dst = 'KnobsModule47.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.pinkfilter_out' dst = 'KnobsModule62.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_out' dst = 'KnobsModule53.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.divider_out' dst = 'KnobsModule54.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.chebgen_out2' dst = 'KnobsModule24.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_out' dst = 'KnobsModule44.noiselfotrig_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.envahd_sigout' dst = 'KnobsModule45.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.pitchshift_out' dst = 'KnobsModule46.hrastsvf_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.osc_out' dst = 'KnobsModule60.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_out' dst = 'KnobsModule61.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.randsig_out' dst = 'KnobsModule60.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.freqshifter_up' dst = 'KnobsModule58.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.rotator_angle' dst = 'KnobsModule59.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.mixs2to1_outl' dst = 'KnobsModule69.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.mixs2to1_outr' dst = 'KnobsModule69.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.mixs2to1_outr' dst = 'KnobsModule70.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.mixs2to1_outl' dst = 'KnobsModule70.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.mixs2to1_outl' dst = 'KnobsModule33.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.compressor_outl' dst = 'KnobsModule68.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.mixs2to1_outr' dst = 'KnobsModule33.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.compressor_outr' dst = 'KnobsModule68.mixs2to1_inr1')
  )
)
