Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2015-12-26-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 106 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Gate'
      type  = 602
      left  = 8
      top   = 98
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768')
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 128
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 23 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 158
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 28 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 248
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 37 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 308
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'OscTrig'
      type  = 504
      left  = 8
      top   = 323
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 8
      top   = 383
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 55 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 136 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 8
      top   = 428
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 124 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 473
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 503
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 53 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 245 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 548
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 188 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 593
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 212 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 638
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 668
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 243 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 698
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 252 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 236 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 728
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 758
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 208 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 40 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 40 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 98
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768')
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 128
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'SeqRandom'
      type  = 1208
      left  = 258
      top   = 158
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 38 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 76 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 248
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 44 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 31 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 422 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 293
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 44 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 96 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Noise'
      type  = 503
      left  = 258
      top   = 338
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 17 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 142 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 368
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 19 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 413
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 34 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 172 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 458
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 518
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 31 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 482 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 234 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 28 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 608
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 96 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 92 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 248 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 252 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 106 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 190 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 21 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'FreqShifter'
      type  = 1401
      left  = 258
      top   = 698
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 728
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 758
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 839 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 53
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Constant'
      type  = 301
      left  = 508
      top   = 83
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 43 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 113
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 158
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 218
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 49 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 253 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 263
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 106 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 308
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Amplifier'
      type  = 305
      left  = 508
      top   = 338
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 231 cc = 0)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'TerraGen'
      type  = 507
      left  = 508
      top   = 368
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'SampleAndHold'
      type  = 801
      left  = 508
      top   = 398
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Formant'
      type  = 1004
      left  = 508
      top   = 413
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 184 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 55 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'SampleAndHold'
      type  = 801
      left  = 508
      top   = 443
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 458
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 518
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 49 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 375 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 563
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 224 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Amplifier'
      type  = 305
      left  = 508
      top   = 608
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'TerraGen'
      type  = 507
      left  = 508
      top   = 638
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 668
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 698
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 728
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 229 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 758
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 214 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 38
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 114 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 228 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 83
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 114 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 98 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 128
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 143
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 173
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'ModQuantizer'
      type  = 336
      left  = 758
      top   = 203
      color = 33023
      details(
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl1' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl3' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl6' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl8' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl10' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl0' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl2' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl4' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl5' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl7' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl9' value = '32768')
        detail( class = 'TKnobsInput' name = 'modquantizer_ctrl11' value = '32768')
        detail( class = 'TKnobsSelector' name = 'modquantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note5' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'modquantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modquantizer_level' value = 176 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'modquantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'TrackAndHold'
      type  = 802
      left  = 758
      top   = 278
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'trackandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'RSFlipFlop'
      type  = 605
      left  = 758
      top   = 293
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'RSFlipFlop'
      type  = 605
      left  = 758
      top   = 323
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 353
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 215 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 68 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Inverter'
      type  = 302
      left  = 758
      top   = 383
      color = 16777215
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 398
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 413
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 32 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'PinkFilter'
      type  = 1005
      left  = 758
      top   = 473
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 254 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 503
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'EnvAHD'
      type  = 903
      left  = 758
      top   = 533
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 34 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 206 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 70 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Amplifier'
      type  = 305
      left  = 758
      top   = 653
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 239 cc = 0)
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'TerraGen'
      type  = 507
      left  = 758
      top   = 683
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'MixM4to1'
      type  = 203
      left  = 758
      top   = 713
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 109 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'FreqShifter'
      type  = 1401
      left  = 758
      top   = 758
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 85 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'MultiSAndH'
      type  = 804
      left  = 1008
      top   = 8
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'multisandh_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 55 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 39 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 83 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 16 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 56 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 85 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 84 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 72 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 53 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 37 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 88 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 159 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 63 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 52 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 40 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 134 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 79 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 31 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 78 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 62 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 145 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 278
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 35 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 202 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 102 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 68 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 36 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 219 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 61 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'Divider'
      type  = 603
      left  = 1008
      top   = 368
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 23 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule88'
      title = 'TrackAndHold'
      type  = 802
      left  = 1008
      top   = 398
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'trackandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule89'
      title = 'ProgDivider'
      type  = 612
      left  = 1008
      top   = 413
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule93'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 668
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule94'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 683
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 243 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule90'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 713
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 221 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 243 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule91'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 743
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule92'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 758
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 219 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outl' dst = 'KnobsModule34.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.mixs2to1_outr' dst = 'KnobsModule34.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.mixs2to1_outl' dst = 'KnobsModule35.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.mixs2to1_outr' dst = 'KnobsModule35.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.osc_out' dst = 'KnobsModule7.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_inr1' dst = 'KnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule5.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osctrig_out' dst = 'KnobsModule11.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.formant_out' dst = 'KnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envarretrig_sigout' dst = 'KnobsModule14.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule23.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule4.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osctrig_trig' dst = 'KnobsModule12.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.envarretrig_sigin' dst = 'KnobsModule13.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_trig' dst = 'KnobsModule8.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.euclids_trig' dst = 'KnobsModule9.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.euclids_out' dst = 'KnobsModule12.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.euclids_out' dst = 'KnobsModule13.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osctrig_out' dst = 'KnobsModule5.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outl' dst = 'KnobsModule17.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outr' dst = 'KnobsModule17.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.euclids_trig' dst = 'KnobsModule25.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.seqrandom_trig' dst = 'KnobsModule24.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.euclids_out' dst = 'KnobsModule27.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.euclids_out' dst = 'KnobsModule28.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.noise_out' dst = 'KnobsModule27.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.envarretrig_sigin' dst = 'KnobsModule28.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.envarretrig_sigout' dst = 'KnobsModule29.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_sigout' dst = 'KnobsModule29.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.envarretrig_out' dst = 'KnobsModule26.noise_colormod')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_outl' dst = 'KnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_outr' dst = 'KnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.osc_out' dst = 'KnobsModule42.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.euclids_out' dst = 'KnobsModule42.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envarretrig_sigout' dst = 'KnobsModule40.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_inr1' dst = 'KnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.randsig_out' dst = 'KnobsModule31.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_roomsizemod' dst = 'KnobsModule29.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envarretrig_sigout' dst = 'KnobsModule44.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.amplifier_out4' dst = 'KnobsModule45.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.randsig_out' dst = 'KnobsModule24.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule25.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outl' dst = 'KnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.mixs2to1_outr' dst = 'KnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.seqrandom_out' dst = 'KnobsModule36.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.rotator_out1' dst = 'KnobsModule30.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outl' dst = 'KnobsModule31.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.rotator_out2' dst = 'KnobsModule30.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outr' dst = 'KnobsModule31.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.divider_out' dst = 'KnobsModule36.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.poetry_newinput' dst = 'KnobsModule41.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.euclids_trig' dst = 'KnobsModule36.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.poetry_newoutput' dst = 'KnobsModule37.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.poetry_out' dst = 'KnobsModule23.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.poetry_out' dst = 'KnobsModule64.modquantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.divider_trig' dst = 'KnobsModule58.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.sampleandhold_out' dst = 'KnobsModule64.modquantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.euclids_out' dst = 'KnobsModule61.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule59.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.chebgen_out3' dst = 'KnobsModule59.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.euclids_trig' dst = 'KnobsModule60.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.euclids_out' dst = 'KnobsModule73.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.divider_out' dst = 'KnobsModule74.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.pinkfilter_out' dst = 'KnobsModule74.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.osc_out' dst = 'KnobsModule72.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.modquantizer_out' dst = 'KnobsModule65.trackandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.chebgen_out2' dst = 'KnobsModule65.trackandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.trackandhold_out' dst = 'KnobsModule68.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.avg_lp' dst = 'KnobsModule71.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.chebgen_out4' dst = 'KnobsModule66.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.divider_out' dst = 'KnobsModule66.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.rsflipflop_notq' dst = 'KnobsModule67.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.rsflipflop_notq' dst = 'KnobsModule68.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.euclids_pattern' dst = 'KnobsModule67.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.mixs2to1_inr1' dst = 'KnobsModule55.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.rsflipflop_s' dst = 'KnobsModule74.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.mixs2to1_outl' dst = 'KnobsModule56.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.mixs2to1_outr' dst = 'KnobsModule57.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.rsflipflop_q' dst = 'KnobsModule74.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.rsflipflop_q' dst = 'KnobsModule74.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.delay_outfixed' dst = 'KnobsModule55.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.delay_outfixed' dst = 'KnobsModule55.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.delay_in' dst = 'KnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.delay_in' dst = 'KnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outr' dst = 'KnobsModule32.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.gverb_outr' dst = 'KnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outl' dst = 'KnobsModule32.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.gverb_outl' dst = 'KnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envarretrig_out' dst = 'KnobsModule39.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.constant_out' dst = 'KnobsModule39.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.svf_hp' dst = 'KnobsModule40.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.randsig_out' dst = 'KnobsModule62.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.chebgen_out8' dst = 'KnobsModule64.modquantizer_ctrl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.modquantizer_ctrl2' dst = 'KnobsModule64.modquantizer_ctrl0')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out12' dst = 'KnobsModule64.modquantizer_ctrl8')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.modquantizer_ctrl8' dst = 'KnobsModule64.modquantizer_ctrl7')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.modquantizer_ctrl7' dst = 'KnobsModule64.modquantizer_ctrl5')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.modquantizer_ctrl5' dst = 'KnobsModule64.modquantizer_ctrl4')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.osc_out' dst = 'KnobsModule51.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.euclids_out' dst = 'KnobsModule51.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_sigout' dst = 'KnobsModule49.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_sigout' dst = 'KnobsModule52.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.amplifier_out4' dst = 'KnobsModule53.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envarretrig_trig' dst = 'KnobsModule43.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.osc_fm' dst = 'KnobsModule49.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.chebgen_in' dst = 'KnobsModule50.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.euclids_pattern' dst = 'KnobsModule55.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.euclids_out' dst = 'KnobsModule48.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.sampleandhold_out' dst = 'KnobsModule49.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.terragen_out' dst = 'KnobsModule78.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.freqshifter_up' dst = 'KnobsModule30.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.freqshifter_down' dst = 'KnobsModule30.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.mixm4to1_out' dst = 'KnobsModule78.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.trackandhold_in' dst = 'KnobsModule77.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envahd_out' dst = 'KnobsModule77.mixm4to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.mixm4to1_levmod2' dst = 'KnobsModule77.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.mixm4to1_in1' dst = 'KnobsModule9.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_out' dst = 'KnobsModule8.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.randsig_out' dst = 'KnobsModule79.multisandh_in12')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.randsig_out' dst = 'KnobsModule79.multisandh_in11')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.randsig_out' dst = 'KnobsModule79.multisandh_in10')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.randsig_out' dst = 'KnobsModule79.multisandh_in9')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.randsig_out' dst = 'KnobsModule79.multisandh_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.randsig_out' dst = 'KnobsModule79.multisandh_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.randsig_out' dst = 'KnobsModule79.multisandh_in6')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out12' dst = 'KnobsModule81.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out11' dst = 'KnobsModule82.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out10' dst = 'KnobsModule83.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out9' dst = 'KnobsModule84.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out8' dst = 'KnobsModule85.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out7' dst = 'KnobsModule86.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.randsig_out' dst = 'KnobsModule16.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.randsig_out' dst = 'KnobsModule17.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outl' dst = 'KnobsModule55.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outr' dst = 'KnobsModule55.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_inl1' dst = 'KnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_inr1' dst = 'KnobsModule54.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out13' dst = 'KnobsModule1.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.euclids_trig' dst = 'KnobsModule10.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.divider_out' dst = 'KnobsModule11.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.seqrandom_out' dst = 'KnobsModule6.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.sampleandhold_out' dst = 'KnobsModule7.osctrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.divider_out' dst = 'KnobsModule6.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.terragen_out' dst = 'KnobsModule33.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.freqshifter_up' dst = 'KnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.freqshifter_down' dst = 'KnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.envarretrig_sigout' dst = 'KnobsModule17.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.envarretrig_sigout' dst = 'KnobsModule17.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out5' dst = 'KnobsModule80.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_out6' dst = 'KnobsModule0.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.progdivider_trig' dst = 'KnobsModule79.multisandh_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.divider_out' dst = 'KnobsModule89.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.progdivider_out' dst = 'KnobsModule74.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule4.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.divider_out' dst = 'KnobsModule23.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.randsig_out' dst = 'KnobsModule2.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.gate_in4' dst = 'KnobsModule14.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.sampleandhold_in' dst = 'KnobsModule2.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.gate_out' dst = 'KnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.rotator_angle' dst = 'KnobsModule21.gate_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.gate_in4' dst = 'KnobsModule41.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.euclids_pattern' dst = 'KnobsModule63.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_in' dst = 'KnobsModule60.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.euclids_pattern' dst = 'KnobsModule61.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.sampleandhold_in' dst = 'KnobsModule79.multisandh_in5')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule21.gate_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.gate_in3' dst = 'KnobsModule48.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.gate_out' dst = 'KnobsModule22.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envahd_sigout' dst = 'KnobsModule75.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.amplifier_out4' dst = 'KnobsModule76.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.inverter_in4' dst = 'KnobsModule55.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.terragen_out' dst = 'KnobsModule69.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.multiplier_out' dst = 'KnobsModule71.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.inverter_out4' dst = 'KnobsModule70.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.randsig_out' dst = 'KnobsModule70.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.multiplier_in3' dst = 'KnobsModule16.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.trackandhold_out' dst = 'KnobsModule89.progdivider_select')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.multisandh_trig' dst = 'KnobsModule87.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.divider_out' dst = 'KnobsModule88.trackandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_levmod1' dst = 'KnobsModule4.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.chebgen_out12' dst = 'KnobsModule88.trackandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.formant_out' dst = 'KnobsModule54.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.terragen_out' dst = 'KnobsModule47.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out2' dst = 'KnobsModule46.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.sampleandhold_out' dst = 'KnobsModule47.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.sampleandhold_trig' dst = 'KnobsModule50.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.divider_out' dst = 'KnobsModule46.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.chebgen_out2' dst = 'KnobsModule80.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.chebgen_out3' dst = 'KnobsModule82.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.chebgen_out4' dst = 'KnobsModule84.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.chebgen_out5' dst = 'KnobsModule86.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out3' dst = 'KnobsModule81.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out4' dst = 'KnobsModule83.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out5' dst = 'KnobsModule85.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.freqshifter_in' dst = 'KnobsModule92.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule92.delay_out' dst = 'KnobsModule54.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_inr2' dst = 'KnobsModule54.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envahd_out' dst = 'KnobsModule91.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.multiplier_out' dst = 'KnobsModule92.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.randsig_out' dst = 'KnobsModule91.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.multiplier_in3' dst = 'KnobsModule17.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.randsig_out' dst = 'KnobsModule91.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.multiplier_in2' dst = 'KnobsModule15.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.randsig_out' dst = 'KnobsModule91.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.multiplier_in1' dst = 'KnobsModule30.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule90.mixs2to1_outl' dst = 'KnobsModule15.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule90.mixs2to1_outr' dst = 'KnobsModule15.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule93.multiplier_out' dst = 'KnobsModule94.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule94.delay_outfixed' dst = 'KnobsModule90.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule94.delay_out' dst = 'KnobsModule90.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.terragen_out' dst = 'KnobsModule94.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.envarretrig_out' dst = 'KnobsModule93.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.randsig_out' dst = 'KnobsModule90.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule90.mixs2to1_levmod1' dst = 'KnobsModule15.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.chebgen_out2' dst = 'KnobsModule93.multiplier_in3')
  )
)
