Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-01-26-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 130 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Morse'
      type  = 1209
      left  = 8
      top   = 53
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'morse_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_clock' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_reset' value = '32768')
        detail( class = 'TKnobsDisplay' name = 'morse_display_text' value = 'stuff at current that off reading night hmmf. are in matters, better last that sucks. the start enough they spotted Tim take removing just looks i !next draw money bypass the Servo about that good AOE its i 8K spikey from us! the that digital they was circuits a')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 98
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 128
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 84 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 41 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 11 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 44 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 213 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 218
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 248
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 193 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 88 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 278
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 5 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 338
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 160 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 172 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 156 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 458
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 226 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 518
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 227 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 24 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 248 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'LevelConverter'
      type  = 329
      left  = 8
      top   = 563
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 90 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 54 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 191 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 104 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 48 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 84 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 80 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 50 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 92 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 105 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 62 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 233
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 206 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 263
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 278
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 174 cc = 0)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 308
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 182 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 51 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 338
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 239 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'main volume'
      type  = 204
      left  = 258
      top   = 368
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 248 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 398
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 112 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 428
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 458
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 488
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 150 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 518
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 94 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 384 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 210 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 186 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'StereoWiden'
      type  = 912
      left  = 508
      top   = 338
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'stereowiden_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_widenamt' value = 23 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_length' value = 99 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_delayamt' value = 223 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'PinkFilter'
      type  = 1005
      left  = 508
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'PinkFilter'
      type  = 1005
      left  = 508
      top   = 428
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Compressor'
      type  = 906
      left  = 508
      top   = 458
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 149 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 62 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Volume'
      type  = 212
      left  = 508
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 76 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'AudioOut'
      type  = 102
      left  = 508
      top   = 578
      color = 12632256
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outl' dst = 'KnobsModule33.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outr' dst = 'KnobsModule33.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.morse_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.svf_lp' dst = 'KnobsModule12.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.levelconverter_out1' dst = 'KnobsModule18.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.delay_in' dst = 'KnobsModule18.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.delay_out' dst = 'KnobsModule10.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixm3to1_out' dst = 'KnobsModule11.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.delay_out' dst = 'KnobsModule10.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule5.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.avg_lp' dst = 'KnobsModule7.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_trig' dst = 'KnobsModule4.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.morse_out' dst = 'KnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule4.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.delay_out' dst = 'KnobsModule23.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.delay_out' dst = 'KnobsModule23.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outl' dst = 'KnobsModule24.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outr' dst = 'KnobsModule25.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outl' dst = 'KnobsModule23.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_outr' dst = 'KnobsModule23.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osc_freq' dst = 'KnobsModule11.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.delay_outfixed' dst = 'KnobsModule7.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.morse_clock' dst = 'KnobsModule6.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.mixm3to1_out' dst = 'KnobsModule7.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.formant_out' dst = 'KnobsModule22.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_inr1' dst = 'KnobsModule22.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.lfo_out' dst = 'KnobsModule19.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.multiplier_out' dst = 'KnobsModule21.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.gverb_outl' dst = 'KnobsModule6.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.delay_out' dst = 'KnobsModule20.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule13.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.cubicclip_out' dst = 'KnobsModule22.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_inl2' dst = 'KnobsModule22.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.mixs2to1_inr2' dst = 'KnobsModule21.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_out' dst = 'KnobsModule10.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_out' dst = 'KnobsModule14.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_fm' dst = 'KnobsModule10.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.randsig_out' dst = 'KnobsModule15.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_trig' dst = 'KnobsModule8.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envahd_out' dst = 'KnobsModule11.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envahd_sigout' dst = 'KnobsModule9.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osc_out' dst = 'KnobsModule8.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixm3to1_levmod2' dst = 'KnobsModule8.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixm3to1_levmod1' dst = 'KnobsModule8.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule16.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envahd_gain' dst = 'KnobsModule6.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.randsig_out' dst = 'KnobsModule8.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.delay_delay' dst = 'KnobsModule6.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.randsig_fm' dst = 'KnobsModule25.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_out' dst = 'KnobsModule17.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.randsig_out' dst = 'KnobsModule14.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.compressor_outl' dst = 'KnobsModule32.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.compressor_outr' dst = 'KnobsModule32.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.delay_in' dst = 'KnobsModule26.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.avg_hp' dst = 'KnobsModule28.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.delay_out' dst = 'KnobsModule27.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.avg_hp' dst = 'KnobsModule28.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envahd_out' dst = 'KnobsModule19.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.multiplier_in3' dst = 'KnobsModule13.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.lfo_fm' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.pinkfilter_out' dst = 'KnobsModule31.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.pinkfilter_out' dst = 'KnobsModule31.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.gverb_outl' dst = 'KnobsModule0.stereowiden_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.stereowiden_outl' dst = 'KnobsModule29.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.gverb_outr' dst = 'KnobsModule0.stereowiden_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.stereowiden_outr' dst = 'KnobsModule30.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_out' dst = 'KnobsModule0.stereowiden_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.multiplier_in4' dst = 'KnobsModule4.seqrandom_distmod')
  )
)
