Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-05-10-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 111 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 27 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 208 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 105 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 231 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 143
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'OscTrig'
      type  = 504
      left  = 8
      top   = 203
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 93 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 263
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'RSFlipFlop'
      type  = 605
      left  = 8
      top   = 323
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 353
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'PhaseDistortion'
      type  = 913
      left  = 8
      top   = 398
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 154 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 220 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 47 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 20 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 488
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 518
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 166 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 55 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 608
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 638
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 99 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 236 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 245 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 170 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Noise'
      type  = 503
      left  = 258
      top   = 8
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 74 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 38
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 28 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 66 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 176 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 143
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 44 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'OscTrig'
      type  = 504
      left  = 258
      top   = 203
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 93 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 263
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 160 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 323
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768')
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768')
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 353
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 21 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 226 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 398
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 44 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 443
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 208 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 238 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 548
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 243 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 578
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 132 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 608
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 176 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 668
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 95 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 698
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 5 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'SeqRandom'
      type  = 1208
      left  = 508
      top   = 38
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 101 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 36 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 128
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 9 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'SeqRandom'
      type  = 1208
      left  = 508
      top   = 158
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 59 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 83 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 13 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 146 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'SampleAndHold'
      type  = 801
      left  = 508
      top   = 248
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 263
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'OscTrig'
      type  = 504
      left  = 508
      top   = 323
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 37 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 120 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 383
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Envelope'
      type  = 905
      left  = 508
      top   = 398
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 174 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envelope_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'DFlipFlop'
      type  = 604
      left  = 508
      top   = 443
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'dflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'dflipflop_d' value = '32768')
        detail( class = 'TKnobsInput' name = 'dflipflop_clk' value = '32768')
        detail( class = 'TKnobsOutput' name = 'dflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'dflipflop_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 473
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 166 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 518
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 181 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 8
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Song'
      type  = 513
      left  = 758
      top   = 38
      color = 255
      details(
        detail( class = 'TKnobsOutput' name = 'song_txtstart' value = '32768')
        detail( class = 'TKnobsOutput' name = 'song_phstart' value = '32768')
        detail( class = 'TKnobsOutput' name = 'song_silence' value = '32768')
        detail( class = 'TKnobsOutput' name = 'song_vowel' value = '32768')
        detail( class = 'TKnobsDisplay' name = 'song_display_text' value = 'if    TEEr  is   E    soong  in    hear       Zat    aai   mEi   trrraai    too   fajnd                        too      ooo            ondurr   staand          if TEEr      isss     aaaaaa    ooooh    aah ah     a              ')
        detail( class = 'TKnobsSelector' name = 'song_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'song_loop' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_whisper' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_whispermodamt' value = 97 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_speed' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_speedmodamt' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_freq' value = 45 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_fmmodamt' value = 512 cc = 0)
        detail( class = 'TKnobsSelector' name = 'song_filtinv' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'song_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_pmamt' value = 80 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 128
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 176 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 158
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 89 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'FreqShifter'
      type  = 1401
      left  = 758
      top   = 188
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 218
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 24 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 107 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 216 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 209 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'PhaseDetect'
      type  = 609
      left  = 758
      top   = 263
      color = 32768
      details(
        detail( class = 'TKnobsInput' name = 'phasedetect_in1' value = '32768')
        detail( class = 'TKnobsInput' name = 'phasedetect_in2' value = '32768')
        detail( class = 'TKnobsOutput' name = 'phasedetect_lock' value = '32768')
        detail( class = 'TKnobsInput' name = 'phasedetect_typesel' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alpha' value = 167 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alphamodamt' value = 8 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedetect_type' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Constant'
      type  = 301
      left  = 758
      top   = 293
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 220 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 323
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 37 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 183 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 368
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 428
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 192 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 458
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 34 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 518
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 142 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 548
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 563
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 71 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 159 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Pan'
      type  = 202
      left  = 758
      top   = 608
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Quantizer'
      type  = 307
      left  = 1008
      top   = 8
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 231 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1008
      top   = 38
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 44 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 83
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Lfo'
      type  = 401
      left  = 1008
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 86 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 143
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 132 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 173
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 233
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'OscTrig'
      type  = 504
      left  = 1008
      top   = 248
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_frequency' value = 93 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'osctrig_count' value = 13 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osctrig_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_fmlevel' value = 159 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osctrig_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 308
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 323
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 40 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'DFlipFlop'
      type  = 604
      left  = 1008
      top   = 368
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'dflipflop_q' value = '32768')
        detail( class = 'TKnobsInput' name = 'dflipflop_d' value = '32768')
        detail( class = 'TKnobsInput' name = 'dflipflop_clk' value = '32768')
        detail( class = 'TKnobsOutput' name = 'dflipflop_notq' value = '32768')
        detail( class = 'TKnobsSelector' name = 'dflipflop_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1008
      top   = 398
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 166 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'EnvAHD'
      type  = 903
      left  = 1008
      top   = 443
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 21 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 164 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 20 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Pan'
      type  = 202
      left  = 1008
      top   = 563
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'Divider'
      type  = 603
      left  = 1258
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'Delay'
      type  = 701
      left  = 1258
      top   = 38
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 176 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'Divider'
      type  = 603
      left  = 1258
      top   = 68
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'SeqRandom'
      type  = 1208
      left  = 1258
      top   = 98
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 65 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 101 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 127 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1258
      top   = 188
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 176 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 110 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 233
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 73 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 293
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 59 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'Formant'
      type  = 1004
      left  = 1258
      top   = 353
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 128 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'XFade'
      type  = 201
      left  = 1258
      top   = 383
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 413
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 122 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'Not'
      type  = 601
      left  = 1258
      top   = 458
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'logicnot_out1' value = '32768')
        detail( class = 'TKnobsOutput' name = 'logicnot_out3' value = '32768')
        detail( class = 'TKnobsOutput' name = 'logicnot_out4' value = '32768')
        detail( class = 'TKnobsOutput' name = 'logicnot_out2' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicnot_in4' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicnot_in3' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicnot_in2' value = '32768')
        detail( class = 'TKnobsInput' name = 'logicnot_in1' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 473
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 122 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outl' dst = 'KnobsModule33.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outr' dst = 'KnobsModule33.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.osc_out' dst = 'KnobsModule4.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osctrig_out' dst = 'KnobsModule5.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.multiplier_in1' dst = 'KnobsModule5.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.multiplier_out' dst = 'KnobsModule6.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osctrig_trig' dst = 'KnobsModule6.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.envarretrig_sigout' dst = 'KnobsModule8.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_out' dst = 'KnobsModule4.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.osc_out' dst = 'KnobsModule19.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osctrig_out' dst = 'KnobsModule20.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.multiplier_in1' dst = 'KnobsModule20.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.multiplier_out' dst = 'KnobsModule21.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osctrig_trig' dst = 'KnobsModule21.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.envarretrig_sigout' dst = 'KnobsModule23.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_out' dst = 'KnobsModule19.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seqrandom_trig' dst = 'KnobsModule34.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.divider_out' dst = 'KnobsModule35.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_out' dst = 'KnobsModule9.phasedistort_intensitymod')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seqrandom_out' dst = 'KnobsModule18.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.osc_freq' dst = 'KnobsModule19.osctrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osctrig_freq' dst = 'KnobsModule4.osctrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osctrig_freq' dst = 'KnobsModule3.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envarretrig_sigout' dst = 'KnobsModule28.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_sigout' dst = 'KnobsModule28.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.song_silence' dst = 'KnobsModule35.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_sigout' dst = 'KnobsModule3.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_out' dst = 'KnobsModule47.song_speedmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.osc_fm' dst = 'KnobsModule3.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.divider_out' dst = 'KnobsModule37.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_out' dst = 'KnobsModule16.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seqrandom_changeone' dst = 'KnobsModule37.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule18.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.freqshifter_down' dst = 'KnobsModule28.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.freqshifter_up' dst = 'KnobsModule28.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.delay_out' dst = 'KnobsModule29.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.delay_out' dst = 'KnobsModule29.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outl' dst = 'KnobsModule29.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outr' dst = 'KnobsModule29.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_out' dst = 'KnobsModule31.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_sync' dst = 'KnobsModule25.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.sampleandhold_out' dst = 'KnobsModule24.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seqrandom_out' dst = 'KnobsModule46.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.avg_lp' dst = 'KnobsModule47.song_fmmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.lfo_fm' dst = 'KnobsModule9.phasedistort_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule6.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_out' dst = 'KnobsModule47.song_whispermod')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.mixm3to1_out' dst = 'KnobsModule50.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.song_speedmod' dst = 'KnobsModule49.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.compressor_outl' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.compressor_outr' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.phasedistort_outl' dst = 'KnobsModule10.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.rotator_out1' dst = 'KnobsModule11.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.phasedistort_outr' dst = 'KnobsModule10.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.rotator_out2' dst = 'KnobsModule11.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osctrig_fm' dst = 'KnobsModule10.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.rotator_angle' dst = 'KnobsModule1.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.osc_out' dst = 'KnobsModule40.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.multiplier_in1' dst = 'KnobsModule41.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.osctrig_out' dst = 'KnobsModule41.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.sampleandhold_in' dst = 'KnobsModule18.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_outl' dst = 'KnobsModule28.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_outr' dst = 'KnobsModule28.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.osctrig_fm' dst = 'KnobsModule27.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_inr1' dst = 'KnobsModule27.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.osc_phase' dst = 'KnobsModule29.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_levmod2' dst = 'KnobsModule36.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.divider_trig' dst = 'KnobsModule39.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sampleandhold_out' dst = 'KnobsModule39.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sampleandhold_in' dst = 'KnobsModule25.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.seqrandom_out' dst = 'KnobsModule38.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.osc_fm' dst = 'KnobsModule38.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sampleandhold_trig' dst = 'KnobsModule47.song_pm')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.osc_out' dst = 'KnobsModule52.phasedetect_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_out' dst = 'KnobsModule60.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.divider_out' dst = 'KnobsModule60.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.phasedetect_out' dst = 'KnobsModule54.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.svf_lp' dst = 'KnobsModule55.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.constant_out' dst = 'KnobsModule54.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.phasedetect_typesel' dst = 'KnobsModule58.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.phasedetect_lock' dst = 'KnobsModule52.phasedetect_typesel')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.osc_out' dst = 'KnobsModule52.phasedetect_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.envarretrig_sigout' dst = 'KnobsModule61.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.pan_out1' dst = 'KnobsModule27.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.pan_out2' dst = 'KnobsModule27.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_out' dst = 'KnobsModule55.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_in1' dst = 'KnobsModule61.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.envarretrig_out' dst = 'KnobsModule54.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.envarretrig_sigout' dst = 'KnobsModule57.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.osc_freq' dst = 'KnobsModule56.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm3to1_out' dst = 'KnobsModule57.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_out' dst = 'KnobsModule60.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.mixm3to1_levmod1' dst = 'KnobsModule59.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.svf_fm' dst = 'KnobsModule51.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs2to1_outl' dst = 'KnobsModule27.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixs2to1_outr' dst = 'KnobsModule27.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.randsig_out' dst = 'KnobsModule17.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.randsig_fm' dst = 'KnobsModule23.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.randsig_out' dst = 'KnobsModule56.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.sampleandhold_out' dst = 'KnobsModule57.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.envarretrig_gain' dst = 'KnobsModule28.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.song_out' dst = 'KnobsModule48.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.delay_outfixed' dst = 'KnobsModule50.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.randsig_out' dst = 'KnobsModule45.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_gain' dst = 'KnobsModule59.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.multiplier_out' dst = 'KnobsModule45.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_sigout' dst = 'KnobsModule40.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.randsig_out' dst = 'KnobsModule8.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envarretrig_gain' dst = 'KnobsModule2.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.osc_out' dst = 'KnobsModule69.osctrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.osctrig_out' dst = 'KnobsModule70.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.multiplier_in1' dst = 'KnobsModule70.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.multiplier_out' dst = 'KnobsModule71.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.osctrig_trig' dst = 'KnobsModule71.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.osc_fm' dst = 'KnobsModule66.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.delay_out' dst = 'KnobsModule67.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.osc_freq' dst = 'KnobsModule69.osctrig_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.avg_in' dst = 'KnobsModule67.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.pan_out1' dst = 'KnobsModule26.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.pan_out2' dst = 'KnobsModule26.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envarretrig_trig' dst = 'KnobsModule75.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_levmod2' dst = 'KnobsModule70.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.osctrig_out' dst = 'KnobsModule67.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.song_pm' dst = 'KnobsModule72.dflipflop_d')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.envarretrig_sigout' dst = 'KnobsModule74.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envahd_sigout' dst = 'KnobsModule75.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.euclids_out' dst = 'KnobsModule74.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.noise_out' dst = 'KnobsModule68.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.multiplier_out' dst = 'KnobsModule69.osctrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.randsig_out' dst = 'KnobsModule68.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.song_vowel' dst = 'KnobsModule43.dflipflop_d')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.mixm3to1_levmod3' dst = 'KnobsModule73.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.dflipflop_notq' dst = 'KnobsModule44.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.euclids_out' dst = 'KnobsModule45.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.randsig_fm' dst = 'KnobsModule44.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.euclids_pattern' dst = 'KnobsModule49.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.mixm3to1_in1' dst = 'KnobsModule59.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.dflipflop_clk' dst = 'KnobsModule22.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.rsflipflop_r' dst = 'KnobsModule7.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.divider_trig' dst = 'KnobsModule22.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.rsflipflop_q' dst = 'KnobsModule8.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.rsflipflop_q' dst = 'KnobsModule23.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_in3' dst = 'KnobsModule62.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.quantizer_out' dst = 'KnobsModule64.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.sampleandhold_out' dst = 'KnobsModule65.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.euclids_out' dst = 'KnobsModule64.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.euclids_pattern' dst = 'KnobsModule63.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.sampleandhold_in' dst = 'KnobsModule54.svf_qmamtp')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envarretrig_out' dst = 'KnobsModule15.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.sampleandhold_out' dst = 'KnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.rsflipflop_s' dst = 'KnobsModule7.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.sampleandhold_trig' dst = 'KnobsModule15.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outr' dst = 'KnobsModule9.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outr' dst = 'KnobsModule31.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outl' dst = 'KnobsModule9.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outl' dst = 'KnobsModule30.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envelope_invout' dst = 'KnobsModule45.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.euclids_trig' dst = 'KnobsModule43.dflipflop_clk')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.dflipflop_clk' dst = 'KnobsModule63.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.lfo_out' dst = 'KnobsModule72.dflipflop_clk')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.dflipflop_q' dst = 'KnobsModule74.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envahd_trig' dst = 'KnobsModule73.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.divider_out' dst = 'KnobsModule79.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.seqrandom_out' dst = 'KnobsModule81.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.delay_out' dst = 'KnobsModule78.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.divider_trig' dst = 'KnobsModule79.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.seqrandom_trig' dst = 'KnobsModule80.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.euclids_out' dst = 'KnobsModule85.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.osc_out' dst = 'KnobsModule85.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.osc_out' dst = 'KnobsModule81.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.envarretrig_trig' dst = 'KnobsModule86.logicnot_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.logicnot_out4' dst = 'KnobsModule87.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.envarretrig_sigout' dst = 'KnobsModule84.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.xfade_out' dst = 'KnobsModule82.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.envarretrig_sigout' dst = 'KnobsModule84.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.avg_lp' dst = 'KnobsModule82.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.lfo_out' dst = 'KnobsModule76.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.divider_out' dst = 'KnobsModule77.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.xfade_in2' dst = 'KnobsModule26.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.xfade_in1' dst = 'KnobsModule26.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_inr' dst = 'KnobsModule42.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.gverb_outr' dst = 'KnobsModule32.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.gverb_outl' dst = 'KnobsModule32.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.envarretrig_gain' dst = 'KnobsModule87.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.envahd_out' dst = 'KnobsModule80.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.osc_out' dst = 'KnobsModule83.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.formant_out' dst = 'KnobsModule85.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.envarretrig_sigin' dst = 'KnobsModule87.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.dflipflop_d' dst = 'KnobsModule83.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.multiplier_in2' dst = 'KnobsModule77.delay_delay')
  )
)
