Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-05-27-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 110 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 21 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 107 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 98
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 113
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 24 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 143
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 173
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 8 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 203
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 76 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 13 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 45 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 293
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 83 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 6 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 60 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 208 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 383
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 237 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 413
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 21 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 473
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 84 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 518
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Vosim'
      type  = 514
      left  = 8
      top   = 533
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'vosim_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'vosim_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'vosim_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_fmamt' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_decay' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_dmamt' value = 512 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_amplitude' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_amamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_whisper' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_wmamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 623
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 75 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 668
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 78 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 49 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 713
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 222 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 8
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 80 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 53
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 52 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 115 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 98
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 206 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 258
      top   = 143
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 31 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 287 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 188
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Vosim'
      type  = 514
      left  = 258
      top   = 218
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'vosim_frequency' value = 78 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'vosim_count' value = 7 cc = 0)
        detail( class = 'TKnobsSelector' name = 'vosim_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_fmamt' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_decay' value = 80 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_dmamt' value = 65 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_amplitude' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_amamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_whisper' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_wmamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 308
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 19 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Vosim'
      type  = 514
      left  = 258
      top   = 338
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'vosim_frequency' value = 92 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'vosim_count' value = 5 cc = 0)
        detail( class = 'TKnobsSelector' name = 'vosim_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_fmamt' value = 55 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_decay' value = 197 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_dmamt' value = 59 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_amplitude' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_amamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_whisper' value = 154 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'vosim_wmamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 428
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 234 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'MixM3to1'
      type  = 211
      left  = 258
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 176 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 224 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 488
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 30 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Formant2'
      type  = 1012
      left  = 258
      top   = 533
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 131 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'PinkFilter'
      type  = 1005
      left  = 258
      top   = 578
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'PhaseDistortion'
      type  = 913
      left  = 258
      top   = 608
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 138 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 72 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 32 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 64 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Noise'
      type  = 503
      left  = 508
      top   = 8
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 38
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 191 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 230 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 83
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 84 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 212 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 128
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 96 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 173
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 33 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 169 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 218
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 9 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 248
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 957 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 293
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'KS'
      type  = 509
      left  = 508
      top   = 323
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'ks_frequency' value = 21 cc = 0)
        detail( class = 'TKnobsSelector' name = 'ks_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_fmlevel' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_feedback' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_cents' value = 47 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_brightness' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_plucklevel' value = 94 cc = 0)
        detail( class = 'TKnobsSelector' name = 'ks_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'CubicClip'
      type  = 340
      left  = 508
      top   = 383
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 173 cc = 0)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 282 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'KS'
      type  = 509
      left  = 508
      top   = 413
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'ks_frequency' value = 28 cc = 0)
        detail( class = 'TKnobsSelector' name = 'ks_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_fmlevel' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_feedback' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_cents' value = 53 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_brightness' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'ks_plucklevel' value = 94 cc = 0)
        detail( class = 'TKnobsSelector' name = 'ks_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'CubicClip'
      type  = 340
      left  = 508
      top   = 473
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 168 cc = 0)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 282 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 503
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 533
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 563
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Formant2'
      type  = 1012
      left  = 508
      top   = 608
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 191 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 52 cc = 0)
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'Rotator'
      type  = 309
      left  = 508
      top   = 653
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 8
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Song'
      type  = 513
      left  = 758
      top   = 23
      color = 255
      details(
        detail( class = 'TKnobsOutput' name = 'song_txtstart' value = '32768')
        detail( class = 'TKnobsOutput' name = 'song_phstart' value = '32768')
        detail( class = 'TKnobsOutput' name = 'song_silence' value = '32768')
        detail( class = 'TKnobsOutput' name = 'song_vowel' value = '32768')
        detail( class = 'TKnobsDisplay' name = 'song_display_text' value = 'hEEr        and      thEn       and           hEer         aend           ssss             ')
        detail( class = 'TKnobsSelector' name = 'song_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'song_loop' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_whisper' value = 47 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_whispermodamt' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_speed' value = 21 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_speedmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_freq' value = 57 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_fmmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'song_filtinv' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'song_shape' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'song_pmamt' value = 45 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Reverb'
      type  = 703
      left  = 758
      top   = 113
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 159 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 169 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 231 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 89 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 173
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 203
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 42 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 248
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 242 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 278
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 308
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 200 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 1008
      top   = 8
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 81 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 14 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 205 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 53
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 957 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 4 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Constant'
      type  = 301
      left  = 1008
      top   = 98
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 299 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'SVF'
      type  = 1002
      left  = 1008
      top   = 128
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 191 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 173
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 116 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 203
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 242 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 263
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 181 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'CubicClip'
      type  = 340
      left  = 1008
      top   = 308
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 145 cc = 0)
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 282 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 338
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 368
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 398
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 242 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Pan'
      type  = 202
      left  = 1008
      top   = 428
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 88 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 166 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 178 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 210 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 225 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 241 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'GVerb'
      type  = 707
      left  = 1008
      top   = 548
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 78 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 117 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 293 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 227 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 239 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'MixS2to1'
      type  = 204
      left  = 1008
      top   = 638
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 184 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Volume'
      type  = 212
      left  = 1008
      top   = 668
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 133 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'AudioOut'
      type  = 102
      left  = 1008
      top   = 698
      color = 8421376
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule31.volume_outl' dst = 'KnobsModule32.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.volume_outr' dst = 'KnobsModule32.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_trig' dst = 'KnobsModule4.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_trig' dst = 'KnobsModule7.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_out' dst = 'KnobsModule7.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule5.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_trig' dst = 'KnobsModule6.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule6.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.seqrandom_out' dst = 'KnobsModule7.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.avg_lp' dst = 'KnobsModule9.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_out' dst = 'KnobsModule8.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.osc_out' dst = 'KnobsModule12.vosim_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_trig' dst = 'KnobsModule26.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.multiplier_out' dst = 'KnobsModule12.vosim_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.multiplier_in2' dst = 'KnobsModule10.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.vosim_out' dst = 'KnobsModule25.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixm3to1_out' dst = 'KnobsModule26.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.vosim_out' dst = 'KnobsModule25.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envarretrig_out' dst = 'KnobsModule11.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.randsig_out' dst = 'KnobsModule23.vosim_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.lfo_out' dst = 'KnobsModule23.vosim_dm')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.vosim_out' dst = 'KnobsModule25.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.vosim_fm' dst = 'KnobsModule21.vosim_dm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_out' dst = 'KnobsModule27.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.mixm3to1_out' dst = 'KnobsModule25.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.phasedistort_outl' dst = 'KnobsModule52.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.phasedistort_inr' dst = 'KnobsModule29.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.phasedistort_outr' dst = 'KnobsModule52.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envarretrig_out' dst = 'KnobsModule29.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.euclids_trig' dst = 'KnobsModule17.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.euclids_trig' dst = 'KnobsModule18.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.euclids_out' dst = 'KnobsModule34.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.euclids_out' dst = 'KnobsModule35.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.euclids_out' dst = 'KnobsModule36.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.euclids_trig' dst = 'KnobsModule19.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.euclids_out' dst = 'KnobsModule37.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.osc_phase' dst = 'KnobsModule16.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.vosim_dm' dst = 'KnobsModule17.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.vosim_dm' dst = 'KnobsModule18.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.formant2_vowelin' dst = 'KnobsModule19.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.envarretrig_sigout' dst = 'KnobsModule27.formant2_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.pinkfilter_out' dst = 'KnobsModule29.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.formant2_out' dst = 'KnobsModule28.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_outl' dst = 'KnobsModule61.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixs2to1_outr' dst = 'KnobsModule61.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.osc_out' dst = 'KnobsModule20.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.delay_out' dst = 'KnobsModule21.vosim_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.delay_in' dst = 'KnobsModule22.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.delay_out' dst = 'KnobsModule23.vosim_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.envarretrig_out' dst = 'KnobsModule20.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.delay_delay' dst = 'KnobsModule24.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envarretrig_out' dst = 'KnobsModule22.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.delay_delay' dst = 'KnobsModule25.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.euclids_pattern' dst = 'KnobsModule48.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_out' dst = 'KnobsModule21.vosim_cm')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule23.vosim_cm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.formant2_out' dst = 'KnobsModule49.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.rotator_out1' dst = 'KnobsModule52.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.rotator_out2' dst = 'KnobsModule52.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.euclids_pattern' dst = 'KnobsModule49.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.envarretrig_out' dst = 'KnobsModule21.vosim_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.lfo_out' dst = 'KnobsModule11.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.vosim_fm' dst = 'KnobsModule12.vosim_dm')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.multiplier_in1' dst = 'KnobsModule9.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.lfo_out' dst = 'KnobsModule11.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.lfo_out' dst = 'KnobsModule25.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.euclids_pattern' dst = 'KnobsModule1.lfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.euclids_pattern' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.randsig_out' dst = 'KnobsModule14.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.randsig_out' dst = 'KnobsModule14.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.multiplier_in3' dst = 'KnobsModule7.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.sampleandhold_out' dst = 'KnobsModule16.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.sampleandhold_out' dst = 'KnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.pinkfilter_in' dst = 'KnobsModule47.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envarretrig_sigout' dst = 'KnobsModule48.formant2_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outl' dst = 'KnobsModule52.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outr' dst = 'KnobsModule52.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.euclids_trig' dst = 'KnobsModule39.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_out' dst = 'KnobsModule39.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule2.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.noise_out' dst = 'KnobsModule36.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_sigout' dst = 'KnobsModule41.ks_pluck')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.poetry_out' dst = 'KnobsModule41.ks_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.rotator_angle' dst = 'KnobsModule36.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule38.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.divider_trig' dst = 'KnobsModule47.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.divider_out' dst = 'KnobsModule39.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.ks_pluck' dst = 'KnobsModule43.ks_pluck')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.ks_freq' dst = 'KnobsModule43.ks_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envarretrig_out' dst = 'KnobsModule54.song_whispermod')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.vosim_cm' dst = 'KnobsModule54.song_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.poetry_out' dst = 'KnobsModule53.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.sampleandhold_out' dst = 'KnobsModule54.song_frequency')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.song_vowel' dst = 'KnobsModule53.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.mixm3to1_levmod3' dst = 'KnobsModule54.song_pm')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule55.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.song_out' dst = 'KnobsModule55.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.reverb_inr' dst = 'KnobsModule55.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.reverb_outl' dst = 'KnobsModule51.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.reverb_outr' dst = 'KnobsModule51.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.seqrandom_out' dst = 'KnobsModule57.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_outl' dst = 'KnobsModule51.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_outr' dst = 'KnobsModule51.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.delay_out' dst = 'KnobsModule58.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.mixm3to1_out' dst = 'KnobsModule59.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.delay_out' dst = 'KnobsModule50.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_inr1' dst = 'KnobsModule50.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.avg_hp' dst = 'KnobsModule51.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.avg_hp' dst = 'KnobsModule51.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.lfo_out' dst = 'KnobsModule59.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_gain' dst = 'KnobsModule56.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.avg_lp' dst = 'KnobsModule57.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.avg_hp' dst = 'KnobsModule43.ks_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.song_phstart' dst = 'KnobsModule60.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.envarretrig_out' dst = 'KnobsModule51.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.envarretrig_out' dst = 'KnobsModule40.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.xfade_in1' dst = 'KnobsModule25.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.xfade_out' dst = 'KnobsModule41.ks_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.avg_hp' dst = 'KnobsModule40.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.delay_delay' dst = 'KnobsModule40.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.poetry_in' dst = 'KnobsModule63.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.poetry_newinput' dst = 'KnobsModule63.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.envarretrig_trig' dst = 'KnobsModule62.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.euclids_out' dst = 'KnobsModule63.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.osc_out' dst = 'KnobsModule68.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.poetry_newoutput' dst = 'KnobsModule68.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.constant_out' dst = 'KnobsModule65.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.poetry_out' dst = 'KnobsModule65.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.svf_lp' dst = 'KnobsModule67.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.gverb_outl' dst = 'KnobsModule30.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.gverb_outr' dst = 'KnobsModule30.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outl' dst = 'KnobsModule31.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outr' dst = 'KnobsModule31.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envarretrig_sigout' dst = 'KnobsModule69.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.song_pm' dst = 'KnobsModule62.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.lfo_out' dst = 'KnobsModule71.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.mixm3to1_out' dst = 'KnobsModule73.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.pan_out1' dst = 'KnobsModule50.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.pan_out2' dst = 'KnobsModule50.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule73.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.formant2_vowelin' dst = 'KnobsModule68.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.cubicclip_out' dst = 'KnobsModule70.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.mixm3to1_out' dst = 'KnobsModule71.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.delay_in' dst = 'KnobsModule72.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.delay_out' dst = 'KnobsModule70.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envarretrig_out' dst = 'KnobsModule70.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.avg_in' dst = 'KnobsModule67.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.delay_outfixed' dst = 'KnobsModule66.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.mixm3to1_out' dst = 'KnobsModule67.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.reverb_inl' dst = 'KnobsModule66.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.mixm3to1_in1' dst = 'KnobsModule58.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.cubicclip_out' dst = 'KnobsModule46.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.ks_out' dst = 'KnobsModule44.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.cubicclip_out' dst = 'KnobsModule45.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.ks_out' dst = 'KnobsModule42.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.osc_fm' dst = 'KnobsModule72.mixm3to1_levmod1')
  )
)
