Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-06-14-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'LevelConverter'
      type  = 329
      left  = 8
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 38
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 53
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 176 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 83
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 82 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 128
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 10 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 158
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 188
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 61 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 77 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 13 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 3 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 214 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 278
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 91 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 41 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 71 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Attractor'
      type  = 511
      left  = 8
      top   = 368
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'attractor_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractor_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'attractor_fmlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractor_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'EnvAHD'
      type  = 903
      left  = 8
      top   = 413
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 89 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 121 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 155 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 533
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'LevelConverter'
      type  = 329
      left  = 8
      top   = 548
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 578
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 79 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 205 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 223 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 222 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 26 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 232 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 3 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'XFade'
      type  = 201
      left  = 8
      top   = 668
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'SVF'
      type  = 1002
      left  = 8
      top   = 698
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 51 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 180 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 62 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'MultiSAndH'
      type  = 804
      left  = 258
      top   = 8
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'multisandh_trig' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 53
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 40 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 83
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 13 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 113
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 27 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 143
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 35 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 173
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 34 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 105 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 42 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 106 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 212 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 218
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 71 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 44 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 83 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 183 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 263
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 44 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 42 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 88 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 207 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 308
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 34 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 44 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 96 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 234 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Pan'
      type  = 202
      left  = 258
      top   = 353
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 98 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'pan_fadertype' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'PhaseDistortion'
      type  = 913
      left  = 258
      top   = 383
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 235 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 193 cc = 0)
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 98 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 473
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 503
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 533
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 563
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Formant'
      type  = 1004
      left  = 258
      top   = 593
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 623
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 167 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 60 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 147 cc = 0)
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 713
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 129 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 743
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768')
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 808 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 53
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 83
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 98
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'PitchShift'
      type  = 910
      left  = 508
      top   = 128
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 188
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 65 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 218
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 91 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 248
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 278
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 10 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 93 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'EnvAHD'
      type  = 903
      left  = 508
      top   = 338
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 167 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 184 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 458
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 199 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 225 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 488
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 207 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 518
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 548
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 134 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 578
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 124 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 608
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 110 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 180 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 638
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 185 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 89 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 668
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 132 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 132 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'Reverb'
      type  = 703
      left  = 508
      top   = 698
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 220 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 209 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 233 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 245 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 105 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 758
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 217 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 154 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 788
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 103 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 8
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 198 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'FastToSlow'
      type  = 344
      left  = 758
      top   = 38
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'ChebGen'
      type  = 326
      left  = 758
      top   = 53
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Envelope'
      type  = 905
      left  = 758
      top   = 83
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 162 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 61 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envelope_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 128
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 202 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Looper'
      type  = 714
      left  = 758
      top   = 158
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'looper_length' value = 105 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_range' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_record' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_speedmodamt' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_speed' value = 352 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_start' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_startmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_duration' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_durationmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_overlap' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_fmamt' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 233
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Looper'
      type  = 714
      left  = 758
      top   = 263
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'looper_length' value = 254 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_record' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_speedmodamt' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_speed' value = 64 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_start' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_startmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_duration' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_durationmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_overlap' value = 22 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_fmamt' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 338
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 169 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 383
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 19 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 428
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 134 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 458
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 134 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Switch2to1'
      type  = 803
      left  = 758
      top   = 488
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'switch2to1_control' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 518
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Looper'
      type  = 714
      left  = 758
      top   = 533
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'looper_length' value = 105 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_range' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_record' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_speedmodamt' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_speed' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_start' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_startmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_duration' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_durationmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'looper_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_overlap' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'looper_fmamt' value = 256 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'EnvAHD'
      type  = 903
      left  = 758
      top   = 608
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 115 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 241 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 93 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 75 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'LfoTrig'
      type  = 405
      left  = 1008
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 106 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'DataGraph'
      type  = 1115
      left  = 1008
      top   = 68
      color = 0
      details(
        detail( class = 'TKnobsDataMaker' name = 'datagraph_data' value = '0, -0.315472991205752; 0.0714285714285714, -0.869297061581165; 0.142857142857143, -0.213112523779273; 0.214285714285714, 0.34716664487496; 0.285714285714286, 0.809505042620003; 0.357142857142857, 0.246710584964603; 0.428571428571429, -0.335690028965473; 0.5, -0.569815195631236; 0.571428571428571, -0.250953857786953; 0.642857142857143, -0.208723031450063; 0.714285714285714, -0.255506807938218; 0.785714285714286, 0.233091800007969; 0.857142857142857, 0.84970744792372; 0.928571428571429, 0.106074509676546; 1, 0.280232835561037')
        detail( class = 'TKnobsSelector' name = 'datagraph_inmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'datagraph_outmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'datagraph_splines' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Multiplier'
      type  = 304
      left  = 1008
      top   = 233
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'DataGraph'
      type  = 1115
      left  = 1008
      top   = 248
      color = 0
      details(
        detail( class = 'TKnobsDataMaker' name = 'datagraph_data' value = '0, 0.361787272617221; 0.0714285714285714, -0.199961417820305; 0.142857142857143, -0.655364244244993; 0.214285714285714, -0.829249466303736; 0.285714285714286, 0.999097879976034; 0.357142857142857, -0.959653574507684; 0.428571428571429, -0.702629120089114; 0.5, -0.897484932560474; 0.571428571428571, 0.558911988511682; 0.642857142857143, -0.352891457732767; 0.714285714285714, 0.883311209268868; 0.785714285714286, 0.361224816646427; 0.857142857142857, 0.339298121631145; 0.928571428571429, 0.192210518289357; 1, 0.869599516503513')
        detail( class = 'TKnobsSelector' name = 'datagraph_inmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'datagraph_outmode' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'datagraph_splines' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Switch2to1'
      type  = 803
      left  = 1008
      top   = 413
      color = 16711935
      details(
        detail( class = 'TKnobsInput' name = 'switch2to1_control' value = '32768')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 1008
      top   = 443
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 176 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 41 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 518
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 218 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 548
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 107 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'EnvAHD'
      type  = 903
      left  = 1008
      top   = 608
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 19 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 161 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'LfoTrig'
      type  = 405
      left  = 1258
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 130 cc = 0)
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 11 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 68
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 23 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 24 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'LevelConverter'
      type  = 329
      left  = 1258
      top   = 128
      color = 8421376
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'FastToSlow'
      type  = 344
      left  = 1258
      top   = 158
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'Multiplier'
      type  = 304
      left  = 1258
      top   = 173
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'Multiplier'
      type  = 304
      left  = 1258
      top   = 188
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'Osc'
      type  = 501
      left  = 1258
      top   = 203
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 52 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'Multiplier'
      type  = 304
      left  = 1258
      top   = 263
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule88'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1258
      top   = 278
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 9 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 191 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule89'
      title = 'Multiplier'
      type  = 304
      left  = 1258
      top   = 323
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule90'
      title = 'MixM3to1'
      type  = 211
      left  = 1258
      top   = 338
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 219 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule91'
      title = 'Delay'
      type  = 701
      left  = 1258
      top   = 368
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule92'
      title = 'SVF'
      type  = 1002
      left  = 1258
      top   = 398
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 67 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 95 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule93'
      title = 'MixM3to1'
      type  = 211
      left  = 1258
      top   = 443
      color = 16776960
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule94'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 1258
      top   = 473
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 147 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule95'
      title = 'Average'
      type  = 1001
      left  = 1258
      top   = 548
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 40 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outl' dst = 'KnobsModule33.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outr' dst = 'KnobsModule33.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_out' dst = 'KnobsModule8.attractor_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outr' dst = 'KnobsModule13.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outl' dst = 'KnobsModule13.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.formant_out' dst = 'KnobsModule51.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.formant_in' dst = 'KnobsModule27.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.formant_in' dst = 'KnobsModule29.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.formant_in' dst = 'KnobsModule28.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_fm' dst = 'KnobsModule28.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.randsig_fm' dst = 'KnobsModule29.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.formant_out' dst = 'KnobsModule51.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.formant_out' dst = 'KnobsModule51.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.formant_out' dst = 'KnobsModule51.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outl' dst = 'KnobsModule52.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.reverb_outl' dst = 'KnobsModule54.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_outr' dst = 'KnobsModule52.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.reverb_outr' dst = 'KnobsModule54.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_outl' dst = 'KnobsModule51.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_outr' dst = 'KnobsModule51.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_out' dst = 'KnobsModule34.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_out' dst = 'KnobsModule35.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_out' dst = 'KnobsModule43.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_newoutput' dst = 'KnobsModule43.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.looper_rec' dst = 'KnobsModule60.looper_rec')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_out2' dst = 'KnobsModule50.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.pan_control' dst = 'KnobsModule26.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_angle' dst = 'KnobsModule34.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.envarretrig_sigout' dst = 'KnobsModule26.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.looper_out' dst = 'KnobsModule64.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_sigout' dst = 'KnobsModule26.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.looper_out' dst = 'KnobsModule63.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_inr2' dst = 'KnobsModule54.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.chebgen_out3' dst = 'KnobsModule64.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_outl' dst = 'KnobsModule54.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_outr' dst = 'KnobsModule54.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_inr1' dst = 'KnobsModule53.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule15.multisandh_in12')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_trig' dst = 'KnobsModule24.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.lfo_out' dst = 'KnobsModule15.multisandh_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.lfo_out' dst = 'KnobsModule4.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_trig' dst = 'KnobsModule7.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule15.multisandh_in11')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_fm' dst = 'KnobsModule30.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.randsig_out' dst = 'KnobsModule15.multisandh_in9')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.avg_lp' dst = 'KnobsModule21.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_out12' dst = 'KnobsModule19.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.avg_lp' dst = 'KnobsModule43.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.avg_lp' dst = 'KnobsModule22.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_out11' dst = 'KnobsModule18.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_out10' dst = 'KnobsModule17.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_out9' dst = 'KnobsModule16.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.avg_lp' dst = 'KnobsModule23.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.avg_lp' dst = 'KnobsModule20.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.randsig_out' dst = 'KnobsModule63.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_out' dst = 'KnobsModule64.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.quantizer_out' dst = 'KnobsModule3.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.sampleandhold_out' dst = 'KnobsModule2.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.divider_out' dst = 'KnobsModule1.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.pan_out2' dst = 'KnobsModule25.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.phasedistort_outr' dst = 'KnobsModule50.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.pan_out1' dst = 'KnobsModule25.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.phasedistort_outl' dst = 'KnobsModule50.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_levmod2' dst = 'KnobsModule51.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_out' dst = 'KnobsModule54.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.sampleandhold_trig' dst = 'KnobsModule5.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_trig' dst = 'KnobsModule6.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.seqrandom_trig' dst = 'KnobsModule7.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule6.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.seqrandom_out' dst = 'KnobsModule7.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.scalequantizer_out' dst = 'KnobsModule78.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.osc_out' dst = 'KnobsModule70.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.switch2to1_out2' dst = 'KnobsModule76.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.datagraph_out' dst = 'KnobsModule75.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_sigout' dst = 'KnobsModule61.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.mixm3to1_in1' dst = 'KnobsModule59.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.mixm3to1_out' dst = 'KnobsModule60.looper_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.mixm3to1_out' dst = 'KnobsModule62.looper_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.mixm3to1_in2' dst = 'KnobsModule59.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.mixs2to1_outl' dst = 'KnobsModule50.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.mixs2to1_outr' dst = 'KnobsModule50.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.multiplier_out' dst = 'KnobsModule74.datagraph_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_gain' dst = 'KnobsModule73.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.switch2to1_in1' dst = 'KnobsModule79.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.envahd_amodneg' dst = 'KnobsModule70.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.switch2to1_in2' dst = 'KnobsModule79.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.envahd_dmodneg' dst = 'KnobsModule70.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.delay_in' dst = 'KnobsModule61.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.envahd_sigout' dst = 'KnobsModule77.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.delay_out' dst = 'KnobsModule78.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.switch2to1_out' dst = 'KnobsModule79.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.chebgen_out4' dst = 'KnobsModule67.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_chain' dst = 'KnobsModule66.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.delay_out' dst = 'KnobsModule76.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.chebgen_out12' dst = 'KnobsModule67.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.chebgen_out9' dst = 'KnobsModule67.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.delay_out' dst = 'KnobsModule70.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.switch2to1_out' dst = 'KnobsModule65.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.chebgen_out6' dst = 'KnobsModule79.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_outl' dst = 'KnobsModule47.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_outr' dst = 'KnobsModule48.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.delay_out' dst = 'KnobsModule46.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.delay_out' dst = 'KnobsModule46.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.envahd_sigout' dst = 'KnobsModule46.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_inr1' dst = 'KnobsModule46.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.delay_outfixed' dst = 'KnobsModule49.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.delay_outfixed' dst = 'KnobsModule49.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.envahd_dmodneg' dst = 'KnobsModule23.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.randsig_distmod' dst = 'KnobsModule22.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_distmod' dst = 'KnobsModule21.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_distmod' dst = 'KnobsModule20.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.osc_out' dst = 'KnobsModule82.levelconverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.levelconverter_out4' dst = 'KnobsModule87.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.osc_out' dst = 'KnobsModule87.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.multiplier_out' dst = 'KnobsModule88.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.envarretrig_sigout' dst = 'KnobsModule49.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.mixs2to1_inr2' dst = 'KnobsModule49.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.lfotrig_out' dst = 'KnobsModule88.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.lfotrig_ready' dst = 'KnobsModule80.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.lfotrig_fm' dst = 'KnobsModule81.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.delay_in' dst = 'KnobsModule71.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.osc_freq' dst = 'KnobsModule86.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.envarretrig_out' dst = 'KnobsModule81.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.avg_lp' dst = 'KnobsModule42.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.delay_delay' dst = 'KnobsModule84.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_gain' dst = 'KnobsModule84.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_fm' dst = 'KnobsModule84.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.multiplier_out' dst = 'KnobsModule39.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.avg_lp' dst = 'KnobsModule85.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.avg_lp' dst = 'KnobsModule85.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_sigout' dst = 'KnobsModule40.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.delay_in' dst = 'KnobsModule39.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.delay_in' dst = 'KnobsModule24.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.delay_out' dst = 'KnobsModule41.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.delay_out' dst = 'KnobsModule41.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.xfade_out' dst = 'KnobsModule42.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.delay_delay' dst = 'KnobsModule41.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_in12' dst = 'KnobsModule0.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.levelconverter_out2' dst = 'KnobsModule1.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_out2' dst = 'KnobsModule37.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixm3to1_out' dst = 'KnobsModule38.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.osc_out' dst = 'KnobsModule79.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.envahd_sigout' dst = 'KnobsModule37.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.chebgen_out5' dst = 'KnobsModule36.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_out' dst = 'KnobsModule37.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.multiplier_in1' dst = 'KnobsModule36.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_inr2' dst = 'KnobsModule59.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.envelope_invout' dst = 'KnobsModule59.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_in' dst = 'KnobsModule82.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_newinput' dst = 'KnobsModule55.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.randsig_fm' dst = 'KnobsModule27.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.formant_vowelin' dst = 'KnobsModule9.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outr' dst = 'KnobsModule58.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outl' dst = 'KnobsModule31.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.compressor_outl' dst = 'KnobsModule32.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.mixs2to1_outr' dst = 'KnobsModule31.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.compressor_outr' dst = 'KnobsModule32.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_inr1' dst = 'KnobsModule45.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_outl' dst = 'KnobsModule46.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_outr' dst = 'KnobsModule46.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_inl1' dst = 'KnobsModule53.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.pitchshift_out' dst = 'KnobsModule45.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.envahd_amodneg' dst = 'KnobsModule37.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.mixm3to1_levmod1' dst = 'KnobsModule25.phasedistort_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.envelope_out' dst = 'KnobsModule9.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envahd_dmodneg' dst = 'KnobsModule9.envahd_amodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule65.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.delay_in' dst = 'KnobsModule71.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.attractor_fm' dst = 'KnobsModule62.looper_rec')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envahd_out' dst = 'KnobsModule8.attractor_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.randsig_out' dst = 'KnobsModule36.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_in3' dst = 'KnobsModule15.multisandh_in10')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_inl2' dst = 'KnobsModule54.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_out1' dst = 'KnobsModule50.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.looper_fm' dst = 'KnobsModule42.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.avg_lp' dst = 'KnobsModule60.looper_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.envarretrig_trig' dst = 'KnobsModule75.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.chebgen_out2' dst = 'KnobsModule63.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.envahd_out' dst = 'KnobsModule78.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.osc_fm' dst = 'KnobsModule70.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.delay_delay' dst = 'KnobsModule77.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.randsig_out' dst = 'KnobsModule51.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.mixs2to1_levmod1' dst = 'KnobsModule50.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.mixs2to1_levmod2' dst = 'KnobsModule46.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.mixs2to1_levmod2' dst = 'KnobsModule66.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.attractor_outx' dst = 'KnobsModule10.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.multiplier_out' dst = 'KnobsModule12.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.attractor_outy' dst = 'KnobsModule9.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envahd_sigout' dst = 'KnobsModule12.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envahd_out' dst = 'KnobsModule10.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.svf_bp' dst = 'KnobsModule30.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.xfade_out' dst = 'KnobsModule14.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_trig' dst = 'KnobsModule9.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envahd_trig' dst = 'KnobsModule13.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.looper_out' dst = 'KnobsModule45.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.mixs2to1_inr2' dst = 'KnobsModule45.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.envahd_gain' dst = 'KnobsModule69.looper_rec')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_out' dst = 'KnobsModule69.looper_speedmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.formant_in' dst = 'KnobsModule68.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.multiplier_out' dst = 'KnobsModule69.looper_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.datagraph_in' dst = 'KnobsModule68.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.osc_freq' dst = 'KnobsModule69.looper_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outr' dst = 'KnobsModule44.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.gverb_outl' dst = 'KnobsModule44.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.delay_out' dst = 'KnobsModule92.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.datagraph_out' dst = 'KnobsModule75.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.envarretrig_gain' dst = 'KnobsModule91.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.switch2to1_in2' dst = 'KnobsModule53.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule92.svf_bp' dst = 'KnobsModule44.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixs2to1_inr2' dst = 'KnobsModule44.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.xfade_out' dst = 'KnobsModule89.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixs2to1_outl' dst = 'KnobsModule45.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixs2to1_outr' dst = 'KnobsModule45.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.multiplier_in1' dst = 'KnobsModule11.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.levelconverter_in1' dst = 'KnobsModule14.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.levelconverter_out1' dst = 'KnobsModule12.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.multiplier_in1' dst = 'KnobsModule16.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envahd_out' dst = 'KnobsModule18.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.avg_alphamod' dst = 'KnobsModule25.phasedistort_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.envahd_out' dst = 'KnobsModule19.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.envarretrig_out' dst = 'KnobsModule89.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.mixs2to1_inl2' dst = 'KnobsModule53.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.mixs2to1_inl2' dst = 'KnobsModule53.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.multiplier_out' dst = 'KnobsModule90.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule90.mixm3to1_out' dst = 'KnobsModule91.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.mixm3to1_in1' dst = 'KnobsModule90.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule91.delay_outfixed' dst = 'KnobsModule90.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.fasttoslow_out' dst = 'KnobsModule57.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_out' dst = 'KnobsModule56.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.levelconverter_out1' dst = 'KnobsModule83.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.fasttoslow_out' dst = 'KnobsModule84.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.multiplier_out' dst = 'KnobsModule85.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule94.scalequantizer_out' dst = 'KnobsModule95.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.seqrandom_out' dst = 'KnobsModule15.multisandh_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_in8' dst = 'KnobsModule34.poetry_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.poetry_in' dst = 'KnobsModule62.looper_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.looper_fm' dst = 'KnobsModule92.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_out8' dst = 'KnobsModule93.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule95.avg_lp' dst = 'KnobsModule15.multisandh_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.multisandh_out7' dst = 'KnobsModule6.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.lfotrig_out' dst = 'KnobsModule93.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule93.mixm3to1_out' dst = 'KnobsModule94.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.multiplier_in2' dst = 'KnobsModule17.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.datagraph_in' dst = 'KnobsModule73.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.lfotrig_out' dst = 'KnobsModule72.datagraph_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.envarretrig_sigout' dst = 'KnobsModule81.osc_phase')
  )
)
