Panel(
  class   = 'TKnobsWirePanel'
  name    = 'PatchEditor'
  title   = '2016-06-21-01'
  version = 4
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 46 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 100 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 58 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 113 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 8
      top   = 98
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 335 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 143
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 173
      color = 8388736
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 43 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 33 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 7 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 184 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 41 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 263
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 293
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 308
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 29 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 338
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 8 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'EnvADSR'
      type  = 904
      left  = 8
      top   = 398
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_attack' value = 100 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_release' value = 151 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_decay' value = 185 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_sustain' value = 137 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_rshape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_smodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_rmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_rrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'FlangeChorus'
      type  = 704
      left  = 8
      top   = 518
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 41 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 226 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 578
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 144 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 248 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 608
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 192 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 638
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 247 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 668
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 698
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 160 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Attractor'
      type  = 511
      left  = 258
      top   = 8
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'attractor_frequency' value = 106 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractor_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'attractor_fmlevel' value = 50 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractor_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 53
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 146 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 83
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 177 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 24 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 135 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Attractor'
      type  = 511
      left  = 258
      top   = 128
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'attractor_frequency' value = 32 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractor_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'attractor_fmlevel' value = 75 cc = 0)
        detail( class = 'TKnobsSelector' name = 'attractor_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'SVF'
      type  = 1002
      left  = 258
      top   = 173
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 171 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'SVF'
      type  = 1002
      left  = 258
      top   = 218
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 225 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 230 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'FreqShifter'
      type  = 1401
      left  = 258
      top   = 263
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 8 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'FreqShifter'
      type  = 1401
      left  = 258
      top   = 293
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 22 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'FreqShifter'
      type  = 1401
      left  = 258
      top   = 323
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 20 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 353
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 383
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 413
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 243 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 152 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 443
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 231 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 473
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 239 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 503
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 211 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 533
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 78 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 240 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 355 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 229 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 180 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 51 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 145 cc = 0)
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 653
      color = 8421376
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Morse'
      type  = 1209
      left  = 508
      top   = 8
      color = 8388736
      details(
        detail( class = 'TKnobsOutput' name = 'morse_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_clock' value = '32768')
        detail( class = 'TKnobsInput' name = 'morse_reset' value = '32768')
        detail( class = 'TKnobsDisplay' name = 'morse_display_text' value = 'sphinx of black quartz vex my nymph')
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Quantizer'
      type  = 307
      left  = 508
      top   = 53
      color = 33023
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 39 cc = 0)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 137 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 83
      color = 65280
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768')
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 145 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 128
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 29 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 53 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'EnvADSR'
      type  = 904
      left  = 508
      top   = 188
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_attack' value = 8 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_release' value = 24 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_decay' value = 19 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_sustain' value = 193 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_rshape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_ashape' value = 3 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_dshape' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_mode' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_arange' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_amodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_dmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_smodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_rmodlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_rrange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_drange' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 308
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 323
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 353
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 6 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 383
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 81 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 428
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 83 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 473
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 232 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'FlangeChorus'
      type  = 704
      left  = 508
      top   = 503
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 107 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 42 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'FlangeChorus'
      type  = 704
      left  = 508
      top   = 563
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 124 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 42 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 623
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 653
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'PitchShift'
      type  = 910
      left  = 508
      top   = 683
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 8
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 231 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 38
      color = 32768
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768')
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 2 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 68
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 53 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 78 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'RandSig'
      type  = 408
      left  = 758
      top   = 113
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 23 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 40 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Talkie'
      type  = 510
      left  = 758
      top   = 158
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'talkie_bank' value = 4 cc = 0)
        detail( class = 'TKnobsSelector' name = 'talkie_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_fr' value = 28 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_frmodamt' value = 290 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_sr' value = 63 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'talkie_srmodamt' value = 512 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 218
      color = 8421376
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 174 cc = 0)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 248
      color = 65535
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 293
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 103 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 218 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 69 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 338
      color = 16711680
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 82 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 226 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 56 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'PitchShift'
      type  = 910
      left  = 758
      top   = 383
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 443
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'FlangeChorus'
      type  = 704
      left  = 758
      top   = 458
      color = 128
      details(
        detail( class = 'TKnobsInput' name = 'flangechorus_freezein' value = '32768')
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_wet' value = 255 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_rate' value = 52 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_dry' value = 200 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_sweep' value = 213 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_feedback' value = 42 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_freeze' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'flangechorus_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'flangechorus_delay' value = 255 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 758
      top   = 518
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 147 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 33 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 593
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 36 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 653
      color = 16777215
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'GVerb'
      type  = 707
      left  = 758
      top   = 668
      color = 128
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 103 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 355 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 85 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 216 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 8
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 13 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 190 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 53
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 38 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 111 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 98
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 159 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 64 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 143
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 29 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 188
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 56 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 233
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 184 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 278
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 35 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 323
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 368
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 67 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 80 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 413
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 35 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 45 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 458
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 87 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 69 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 503
      color = 65280
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 67 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 80 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 1008
      top   = 548
      color = 33023
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 147 cc = 0)
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 12 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'PitchShift'
      type  = 910
      left  = 1008
      top   = 698
      color = 128
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 4 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0)
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255 cc = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outr' dst = 'KnobsModule33.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.volume_outl' dst = 'KnobsModule33.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule17.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.quantizer_in' dst = 'KnobsModule16.attractor_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.attractor_outz' dst = 'KnobsModule18.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.quantizer_out' dst = 'KnobsModule19.attractor_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.attractor_outx' dst = 'KnobsModule20.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_out' dst = 'KnobsModule20.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.randsig_out' dst = 'KnobsModule1.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_out' dst = 'KnobsModule0.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.attractor_outx' dst = 'KnobsModule21.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.svf_fm' dst = 'KnobsModule39.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule39.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.morse_out' dst = 'KnobsModule38.envadsr_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.osc_out' dst = 'KnobsModule38.envadsr_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.envadsr_sigout' dst = 'KnobsModule39.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.multiplier_out' dst = 'KnobsModule22.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.freqshifter_up' dst = 'KnobsModule30.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.freqshifter_down' dst = 'KnobsModule30.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.attractor_outz' dst = 'KnobsModule22.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outl' dst = 'KnobsModule31.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_outl' dst = 'KnobsModule32.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_outr' dst = 'KnobsModule31.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_outr' dst = 'KnobsModule32.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.gverb_outr' dst = 'KnobsModule37.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outl' dst = 'KnobsModule30.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.mixs2to1_outr' dst = 'KnobsModule30.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.envadsr_trig' dst = 'KnobsModule2.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.euclids_trig' dst = 'KnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule4.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.euclids_out' dst = 'KnobsModule4.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_trig' dst = 'KnobsModule9.envadsr_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.osc_out' dst = 'KnobsModule9.envadsr_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule8.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule9.envadsr_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.envadsr_sigout' dst = 'KnobsModule10.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_inr2' dst = 'KnobsModule5.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule6.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.multiplier_out' dst = 'KnobsModule8.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.randsig_fm' dst = 'KnobsModule6.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.randsig_fm' dst = 'KnobsModule6.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.multiplier_in3' dst = 'KnobsModule31.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.flangechorus_out' dst = 'KnobsModule23.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.freqshifter_up' dst = 'KnobsModule29.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.freqshifter_down' dst = 'KnobsModule29.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.multiplier_out' dst = 'KnobsModule61.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_inr1' dst = 'KnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.flangechorus_out' dst = 'KnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule15.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule29.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule29.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.delay_out' dst = 'KnobsModule13.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_out' dst = 'KnobsModule13.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.multiplier_in3' dst = 'KnobsModule62.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.scalequantizer_out' dst = 'KnobsModule63.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outl' dst = 'KnobsModule29.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_outr' dst = 'KnobsModule29.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.gverb_outl' dst = 'KnobsModule63.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.osc_phase' dst = 'KnobsModule24.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.osc_freq' dst = 'KnobsModule21.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.randsig_out' dst = 'KnobsModule67.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.randsig_out' dst = 'KnobsModule68.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.randsig_out' dst = 'KnobsModule69.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_out' dst = 'KnobsModule71.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.randsig_fm' dst = 'KnobsModule39.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.randsig_fm' dst = 'KnobsModule28.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.randsig_fm' dst = 'KnobsModule29.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.randsig_fm' dst = 'KnobsModule30.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.svf_fm' dst = 'KnobsModule13.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.divider_out' dst = 'KnobsModule40.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.divider_out' dst = 'KnobsModule42.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.svf_bp' dst = 'KnobsModule46.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.freqshifter_up' dst = 'KnobsModule25.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.rotator_out1' dst = 'KnobsModule28.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.freqshifter_down' dst = 'KnobsModule25.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.rotator_out2' dst = 'KnobsModule28.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.multiplier_in2' dst = 'KnobsModule25.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.flangechorus_out' dst = 'KnobsModule42.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.divider_trig' dst = 'KnobsModule41.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.divider_out' dst = 'KnobsModule43.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.flangechorus_out' dst = 'KnobsModule43.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.envarretrig_sigout' dst = 'KnobsModule26.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_out1' dst = 'KnobsModule30.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_sigout' dst = 'KnobsModule26.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.rotator_out2' dst = 'KnobsModule30.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.talkie_phrase' dst = 'KnobsModule26.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.pitchshift_out' dst = 'KnobsModule60.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.svf_bp' dst = 'KnobsModule59.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_inl1' dst = 'KnobsModule47.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.mixs2to1_inr1' dst = 'KnobsModule47.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.xfade_out' dst = 'KnobsModule49.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.pitchshift_out' dst = 'KnobsModule28.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.mixs2to1_inr1' dst = 'KnobsModule28.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_inr1' dst = 'KnobsModule27.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_outl' dst = 'KnobsModule28.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_outr' dst = 'KnobsModule28.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.gverb_outr' dst = 'KnobsModule78.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.pitchshift_out' dst = 'KnobsModule27.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.flangechorus_out' dst = 'KnobsModule48.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.flangechorus_out' dst = 'KnobsModule48.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.xfade_out' dst = 'KnobsModule27.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.mixs2to1_inr2' dst = 'KnobsModule27.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.randsig_fm' dst = 'KnobsModule6.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.osc_out' dst = 'KnobsModule64.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multiplier_out' dst = 'KnobsModule65.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.randsig_out' dst = 'KnobsModule72.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.randsig_fm' dst = 'KnobsModule64.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.divider_trig' dst = 'KnobsModule34.morse_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.lfo_out' dst = 'KnobsModule50.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.lfo_out' dst = 'KnobsModule56.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_inr1' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule13.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule13.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.svf_bp' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.envarretrig_sigout' dst = 'KnobsModule57.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_in' dst = 'KnobsModule58.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.talkie_out' dst = 'KnobsModule55.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.delay_out' dst = 'KnobsModule56.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.envadsr_out' dst = 'KnobsModule11.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.envarretrig_out' dst = 'KnobsModule54.talkie_frmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule20.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.svf_freq' dst = 'KnobsModule57.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multiplier_in2' dst = 'KnobsModule78.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.svf_freq' dst = 'KnobsModule54.talkie_srmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.pitchshift_shiftmod' dst = 'KnobsModule27.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multiplier_in3' dst = 'KnobsModule43.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.multiplier_in4' dst = 'KnobsModule42.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.randsig_fm' dst = 'KnobsModule64.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.randsig_out' dst = 'KnobsModule73.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.randsig_fm' dst = 'KnobsModule64.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.randsig_out' dst = 'KnobsModule74.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.randsig_fm' dst = 'KnobsModule27.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.randsig_out' dst = 'KnobsModule75.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.randsig_out' dst = 'KnobsModule76.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.randsig_out' dst = 'KnobsModule77.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.randsig_fm' dst = 'KnobsModule18.randsig_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_distmod' dst = 'KnobsModule4.seqrandom_distmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.flangechorus_out' dst = 'KnobsModule7.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.delay_out' dst = 'KnobsModule8.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_levmod1' dst = 'KnobsModule7.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.envarretrig_trig' dst = 'KnobsModule12.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.avg_lp' dst = 'KnobsModule13.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.randsig_out' dst = 'KnobsModule35.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.quantizer_in' dst = 'KnobsModule37.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.osc_fm' dst = 'KnobsModule60.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.quantizer_out' dst = 'KnobsModule36.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.randsig_fm' dst = 'KnobsModule24.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.freqshifter_shiftmod' dst = 'KnobsModule28.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.randsig_fm' dst = 'KnobsModule23.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.randsig_out' dst = 'KnobsModule52.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.randsig_fm' dst = 'KnobsModule54.talkie_phrase')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.randsig_out' dst = 'KnobsModule53.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.svf_bp' dst = 'KnobsModule44.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.delay_out' dst = 'KnobsModule45.flangechorus_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.divider_out' dst = 'KnobsModule51.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.randsig_out' dst = 'KnobsModule66.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.randsig_fm' dst = 'KnobsModule58.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.divider_out' dst = 'KnobsModule54.talkie_start')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.scalequantizer_in' dst = 'KnobsModule70.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.randsig_out' dst = 'KnobsModule79.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.scalequantizer_out' dst = 'KnobsModule62.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.scalequantizer_chain' dst = 'KnobsModule4.seqrandom_chain')
  )
)
