Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2016-08-21-01'
  version   = 6
  variation = 0
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'TypeFlip'
      type  = 343
      left  = 8
      top   = 8
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'typeflip_select' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'typeflip_inmode' value = 5 cc = 0 rnd = 1 variations = '8,1,0.4,0.8,0.4,0.8,0,0.2,0.8' )
        detail( class = 'TKnobsSelector' name = 'typeflip_outmodel' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.6,0,0.4,0,1,0,0.8' )
        detail( class = 'TKnobsSelector' name = 'typeflip_outmoder' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.4,0.6,0,1,0.2,0.2,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'typeflip_slew' value = 65 cc = 0 rnd = 1 variations = '8,0.254901960784314,0.415686274509804,0.533333333333333,0.364705882352941,0.356862745098039,0.254901960784314,0.584313725490196,0.247058823529412' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 53
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 23 cc = 0 rnd = 1 variations = '8,0.0224828934506354,0.0224828934506354,0.0224828934506354,0.0224828934506354,0.0224828934506354,0.0224828934506354,0.0224828934506354,0.0224828934506354' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 176 cc = 0 rnd = 1 variations = '8,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875,0.6875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 25 cc = 0 rnd = 1 variations = '8,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745,0.0980392156862745' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 1 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 1 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 12 cc = 0 rnd = 1 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'ChebGen'
      type  = 326
      left  = 8
      top   = 128
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 2 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'DataGraph'
      type  = 1115
      left  = 8
      top   = 158
      color = 0
      rnd   = 1
      details(
        detail( class = 'TKnobsDataMaker' name = 'datagraph_data' value = '0, 0.489060863282392; 0.0788381742738589, 0.160016051147334; 0.142857142857143, 0.344969879091254; 0.214285714285714, 0.0766182629586261; 0.285714285714286, 0.521034804258114; 0.356846473029046, 0.080765393556592; 0.435684647302905, 0.252174493963016; 0.489626556016597, 0.553788046675384; 0.568464730290456, -0.529626271685252; 0.642857142857143, 0.15591272110699; 0.713692946058091, 0.746537993804326; 0.79253112033195, 0.515176050804238; 0.854771784232365, -0.594967586984198; 0.921161825726141, -0.072351159998332; 1, 0.0957742806931761' variations = '120,0.744530431641196,0.580008025573667,0.672484939545627,0.538309131479313,0.760517402129057,0.540382696778296,0.626087246981508,0.776894023337692,0.235186864157374,0.577956360553495,0.873268996902163,0.757588025402119,0.202516206507901,0.463824420000834,0.547887140346588,0.460891626260069,0.231387154145506,0.331655685728721,0.45817777537368,0.524508335722584,0.414069573171772,0.171091062616279,0.541632268915543,0.500101027960153,0.842885193340038,0.216273707274606,0.747929755563567,0.248288553782463,0.178200675688657,0.19052160718077,0.326497416340504,0.345295197583292,0.410789799315682,0.610931022216756,0.509061547098808,0.477677517579009,0.467155368337663,0.724350712802018,0.605509245959793,0.658986691252601,0.737788497382185,0.247026433826739,0.649523837637586,0.372914370847326,0.133853897132143,0.324073901760636,0.672248161837467,0.364623824132585,0.454342600448767,0.612902747916007,0.358007780235485,0.758098433217962,0.395999864463435,0.445283087898789,0.450822375184025,0.336374379039382,0.305976338516631,0.628710304758796,0.765003163849036,0.382795178773371,0.591883106923084,0.429764336158378,0.342163577446029,0.482951438148494,0.650267297333776,0.790626629253835,0.237307741030493,0.549497928282374,0.711737192241422,0.428329928951127,0.807339896125514,0.814822941171582,0.644639777560438,0.728850999739779,0.343718977609547,0.914286056582103,0.3042933181102,0.324312227675023,0.266586068175536,0.584004750304648,0.665147267909607,0.417110890437333,0.249115657186028,0.752969682820391,0.58785040211978,0.454528403455336,0.463312536996057,0.259074381691586,0.539165862745368,0.709529303818859,0.392412383289452,0.618283816546261,0.522869414121594,0.540608512544064,0.324187364181548,0.564915391662403,0.326936723118782,0.572290959902226,0.507379774521501,0.750113936191643,0.34123103550326,0.607950639063511,0.592715473701801,0.210835131495863,0.583250260941929,0.509435990560928,0.521951159356157,0.359458114686047,0.784327236739643,0.771062899156141,0.628881133392436,0.544566852455096,0.390364445838543,0.487230704303718,0.613112452073353,0.648117985081052,0.404389756425592,0.457296625059828,0.370143167860965,0.47671310134406' )
        detail( class = 'TKnobsSelector' name = 'datagraph_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'datagraph_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'datagraph_splines' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'datagraph_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 323
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 177 cc = 0 rnd = 1 variations = '8,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625,0.69140625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 1 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 398
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 216 cc = 0 rnd = 1 variations = '8,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 428
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 1 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 1 cc = 0 rnd = 1 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 488
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 164 cc = 0 rnd = 1 variations = '8,0.643137254901961,0.392156862745098,0.733333333333333,0.458823529411765,0.717647058823529,0.329411764705882,0.458823529411765,0.705882352941177' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Formant'
      type  = 1004
      left  = 8
      top   = 533
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 59 cc = 0 rnd = 1 variations = '8,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 174 cc = 0 rnd = 1 variations = '8,0.6796875,0.6796875,0.6796875,0.6796875,0.6796875,0.6796875,0.6796875,0.6796875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 563
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 182 cc = 0 rnd = 1 variations = '8,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 205 cc = 0 rnd = 1 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 593
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 211 cc = 0 rnd = 1 variations = '8,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875,0.82421875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 205 cc = 0 rnd = 1 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 623
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 161 cc = 0 rnd = 1 variations = '8,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625,0.62890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 154 cc = 0 rnd = 1 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 653
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 153 cc = 0 rnd = 1 variations = '8,0.59765625,0.59765625,0.59765625,0.59765625,0.59765625,0.59765625,0.59765625,0.59765625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 232 cc = 0 rnd = 1 variations = '8,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 683
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 71 cc = 0 rnd = 0 variations = '8,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902,0.27843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 72 cc = 0 rnd = 1 variations = '8,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 92 cc = 0 rnd = 1 variations = '8,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249,0.180039138943249' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 75 cc = 0 rnd = 1 variations = '8,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181,0.295275590551181' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 94 cc = 0 rnd = 1 variations = '8,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 237 cc = 0 rnd = 1 variations = '8,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0 rnd = 1 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 218 cc = 0 rnd = 1 variations = '8,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 3 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 773
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 159 cc = 0 rnd = 1 variations = '8,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706,0.623529411764706' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 59 cc = 0 rnd = 1 variations = '8,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608,0.231372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 10 cc = 0 rnd = 1 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 1 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 125 cc = 0 rnd = 1 variations = '8,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125,0.48828125' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 863
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 106 cc = 0 rnd = 1 variations = '8,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 893
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 106 cc = 0 rnd = 1 variations = '8,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625,0.4140625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'RandSig'
      type  = 408
      left  = 258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 69 cc = 0 rnd = 1 variations = '8,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1 cc = 0 rnd = 1 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 96 cc = 0 rnd = 1 variations = '8,0.375,0.375,0.375,0.375,0.375,0.375,0.375,0.375' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 1 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'LiveMorph'
      type  = 1309
      left  = 258
      top   = 53
      color = 12632256
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'livemorph_inputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'livemorph_active' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'AudioIn'
      type  = 101
      left  = 258
      top   = 83
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 113
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'MultiMult'
      type  = 312
      left  = 258
      top   = 128
      color = 16777215
      rnd   = 1
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 158
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 188
      color = 8421376
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Auto'
      type  = 1310
      left  = 258
      top   = 218
      color = 12632256
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'auto_clock' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'auto_active' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'auto_type' value = 1 cc = 0 rnd = 1 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 248
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 98 cc = 0 rnd = 1 variations = '8,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 278
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 98 cc = 0 rnd = 1 variations = '8,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 308
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 1 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 1 cc = 0 rnd = 1 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'PhaseDetect'
      type  = 609
      left  = 258
      top   = 368
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'phasedetect_in1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'phasedetect_in2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'phasedetect_lock' value = '32768' )
        detail( class = 'TKnobsInput' name = 'phasedetect_typesel' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alpha' value = 31 cc = 0 rnd = 1 variations = '8,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alphamodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'phasedetect_type' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 398
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 65 cc = 0 rnd = 1 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 473
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 488
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 33 cc = 0 rnd = 1 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 94 cc = 0 rnd = 1 variations = '8,0.3671875,0.3671875,0.3671875,0.3671875,0.3671875,0.3671875,0.3671875,0.3671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 38 cc = 0 rnd = 1 variations = '8,0.38,0.38,0.38,0.38,0.38,0.38,0.38,0.38' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 548
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 240 cc = 0 rnd = 0 variations = '8,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 593
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 1 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 59 cc = 0 rnd = 1 variations = '8,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 60 cc = 0 rnd = 1 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 653
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 87 cc = 0 rnd = 0 variations = '8,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235,0.341176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 240 cc = 0 rnd = 0 variations = '8,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235,0.941176470588235' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'PhaseDistortion'
      type  = 913
      left  = 258
      top   = 698
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 176 cc = 0 rnd = 1 variations = '8,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 45 cc = 0 rnd = 1 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 180 cc = 0 rnd = 1 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 81 cc = 0 rnd = 1 variations = '8,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 179 cc = 0 rnd = 1 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 105 cc = 0 rnd = 1 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 64 cc = 0 rnd = 1 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'StereoWiden'
      type  = 912
      left  = 258
      top   = 788
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'stereowiden_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_widenamt' value = 196 cc = 0 rnd = 1 variations = '8,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625' )
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_length' value = 184 cc = 0 rnd = 1 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_delayamt' value = 250 cc = 0 rnd = 1 variations = '8,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 848
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 136 cc = 0 rnd = 0 variations = '8,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125,0.53125' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 878
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Constant'
      type  = 301
      left  = 508
      top   = 8
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 202 cc = 0 rnd = 1 variations = '8,0.39453125,0.685546875,0.44140625,0.46875,0.4140625,0.390625,0.2734375,0.615234375' )
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'Constant'
      type  = 301
      left  = 508
      top   = 38
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 246 cc = 0 rnd = 1 variations = '8,0.48046875,0.2421875,0.357421875,0.521484375,0.341796875,0.27734375,0.703125,0.080078125' )
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 68
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 195 cc = 0 rnd = 1 variations = '8,0.764705882352941,0.572549019607843,0.650980392156863,0.568627450980392,0.56078431372549,0.364705882352941,0.505882352941176,0.109803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 129 cc = 0 rnd = 1 variations = '8,0.50390625,0.3359375,0.64453125,0.37890625,0.640625,0.84765625,0.78515625,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 98
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 165 cc = 0 rnd = 1 variations = '8,0.647058823529412,0.345098039215686,0.752941176470588,0.835294117647059,0.337254901960784,0.584313725490196,0.847058823529412,0.0745098039215686' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 200 cc = 0 rnd = 1 variations = '8,0.78125,0.67578125,0.58203125,0.5234375,0.16015625,0.33984375,0.3671875,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 128
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 138 cc = 0 rnd = 1 variations = '8,0.541176470588235,0.176470588235294,0.549019607843137,0.231372549019608,0.282352941176471,0.270588235294118,0.603921568627451,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 29 cc = 0 rnd = 1 variations = '8,0.11328125,0.4921875,0.5546875,0.5078125,0.35546875,0.3125,0.5234375,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'Display'
      type  = 1106
      left  = 508
      top   = 158
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'display_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'display_speed' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 218
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 152 cc = 0 rnd = 1 variations = '8,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 12 cc = 0 rnd = 0 variations = '8,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571,0.171428571428571' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 1 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 293
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 1 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 6 cc = 0 rnd = 1 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'PhaseDetect'
      type  = 609
      left  = 508
      top   = 353
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'phasedetect_in1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'phasedetect_in2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'phasedetect_lock' value = '32768' )
        detail( class = 'TKnobsInput' name = 'phasedetect_typesel' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alpha' value = 55 cc = 0 rnd = 1 variations = '8,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alphamodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'phasedetect_type' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 383
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 65 cc = 0 rnd = 1 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 458
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 473
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 1 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 45 cc = 0 rnd = 1 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 38 cc = 0 rnd = 1 variations = '8,0.38,0.38,0.38,0.38,0.38,0.38,0.38,0.38' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 533
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 206 cc = 0 rnd = 0 variations = '8,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902,0.807843137254902' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 578
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 1 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 59 cc = 0 rnd = 1 variations = '8,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875,0.23046875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 60 cc = 0 rnd = 1 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 638
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 222 cc = 0 rnd = 0 variations = '8,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'PhaseDistortion'
      type  = 913
      left  = 508
      top   = 683
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'phasedistort_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_length' value = 176 cc = 0 rnd = 1 variations = '8,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_frequency' value = 45 cc = 0 rnd = 1 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_q' value = 180 cc = 0 rnd = 1 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_fmlevel' value = 81 cc = 0 rnd = 1 variations = '8,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625,0.31640625' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_drywet' value = 179 cc = 0 rnd = 1 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSelector' name = 'phasedistort_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensity' value = 105 cc = 0 rnd = 1 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedistort_intensitymodlev' value = 64 cc = 0 rnd = 1 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'StereoWiden'
      type  = 912
      left  = 508
      top   = 773
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'stereowiden_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_widenamt' value = 196 cc = 0 rnd = 1 variations = '8,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625' )
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_length' value = 184 cc = 0 rnd = 1 variations = '8,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098,0.72156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'stereowiden_delayamt' value = 250 cc = 0 rnd = 1 variations = '8,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'AudioOut'
      type  = 102
      left  = 508
      top   = 878
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'SquareLfo'
      type  = 402
      left  = 758
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'squarelfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'squarelfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_frequency' value = 96 cc = 0 rnd = 1 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'squarelfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_fmlevel' value = 38 cc = 0 rnd = 1 variations = '8,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375' )
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'squarelfo_range' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'squarelfo_pwmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'squarelfo_outputtype' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Lfo'
      type  = 401
      left  = 758
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 72 cc = 0 rnd = 1 variations = '8,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 1 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'PerlinNoise'
      type  = 515
      left  = 758
      top   = 98
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_length' value = 1258 cc = 0 rnd = 1 variations = '8,0.307354019056926,0.412655753725873,0.700464207182995,0.568775958954312,0.735157586122648,0.449059369655509,0.861470803811385,0.303200586366968' )
        detail( class = 'TKnobsSelector' name = 'perlinnoise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_roughness' value = 82 cc = 0 rnd = 1 variations = '8,0.3203125,0.25,0.56640625,0.4453125,0.46484375,0.5078125,0.41796875,0.3203125' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_layers' value = 13 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoise_lengthmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0.169921875,0.75390625,0.798828125,0.78125,0.484375,0.267578125,0' )
        detail( class = 'TKnobsSelector' name = 'perlinnoise_newinv' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 758
      top   = 143
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 64 cc = 0 rnd = 1 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 15 cc = 0 rnd = 1 variations = '8,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362,0.0590551181102362' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 198 cc = 0 rnd = 1 variations = '8,0.38671875,0.38671875,0.38671875,0.38671875,0.38671875,0.38671875,0.38671875,0.38671875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 188
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 152 cc = 0 rnd = 1 variations = '8,0.596078431372549,0.819607843137255,0.443137254901961,0.811764705882353,0.56078431372549,0.584313725490196,0.749019607843137,0.596078431372549' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 233
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 57 cc = 0 rnd = 1 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 189 cc = 0 rnd = 1 variations = '8,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235,0.741176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 42 cc = 0 rnd = 1 variations = '8,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625,0.1640625' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 182 cc = 0 rnd = 1 variations = '8,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375,0.7109375' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 69 cc = 0 rnd = 1 variations = '8,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125,0.26953125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'CubicClip'
      type  = 340
      left  = 758
      top   = 278
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 126 cc = 0 rnd = 1 variations = '8,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875,0.4921875' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Volume'
      type  = 212
      left  = 758
      top   = 308
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 88 cc = 0 rnd = 0 variations = '8,0.34375,0.34375,0.34375,0.34375,0.34375,0.34375,0.34375,0.34375' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'Rotator'
      type  = 309
      left  = 758
      top   = 338
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'Reverb'
      type  = 703
      left  = 758
      top   = 368
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 161 cc = 0 rnd = 1 variations = '8,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 228 cc = 0 rnd = 1 variations = '8,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 227 cc = 0 rnd = 1 variations = '8,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372,0.890196078431372' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 239 cc = 0 rnd = 1 variations = '8,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 48 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 428
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 126 cc = 0 rnd = 0 variations = '8,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824,0.494117647058824' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 473
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 488
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 1 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'PhaseDetect'
      type  = 609
      left  = 758
      top   = 548
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'phasedetect_in1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'phasedetect_in2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'phasedetect_lock' value = '32768' )
        detail( class = 'TKnobsInput' name = 'phasedetect_typesel' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alpha' value = 55 cc = 0 rnd = 1 variations = '8,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804' )
        detail( class = 'TKnobsSmallKnob' name = 'phasedetect_alphamodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'phasedetect_type' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 758
      top   = 578
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 1 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 653
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 1 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 713
      color = 16711680
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 138 cc = 0 rnd = 1 variations = '8,0.541176470588235,0.250980392156863,0.552941176470588,0.596078431372549,0.682352941176471,0.427450980392157,0.662745098039216,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 29 cc = 0 rnd = 1 variations = '8,0.11328125,0.5546875,0.5,0.453125,0.56640625,0.375,0.47265625,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 743
      color = 16777215
      rnd   = 1
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'MixM3to1'
      type  = 211
      left  = 758
      top   = 758
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 237 cc = 0 rnd = 1 variations = '8,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 1 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 98 cc = 0 rnd = 1 variations = '8,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125,0.3828125' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'FreqShifter'
      type  = 1401
      left  = 758
      top   = 788
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 31 cc = 0 rnd = 1 variations = '8,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 63 cc = 0 rnd = 1 variations = '8,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412,0.247058823529412' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'RandSig'
      type  = 408
      left  = 1008
      top   = 53
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 63 cc = 0 rnd = 1 variations = '8,0.247058823529412,0.282352941176471,0.670588235294118,0.431372549019608,0.227450980392157,0.63921568627451,0.403921568627451,0.156862745098039' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0.7265625,0.35546875,0.828125,0.19921875,0.40625,0.578125,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0 rnd = 1 variations = '8,0,0.2,1,1,0,0.2,0.8,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.458823529411765,0.286274509803922,0.525490196078431,0.737254901960784,0.6,0.458823529411765,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0.38671875,0.38671875,0.6328125,0.484375,0.2734375,0.42578125,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.274509803921569,0.537254901960784,0.784313725490196,0.866666666666667,0.207843137254902,0.243137254901961,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 98
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'PerlinNoiseTrig'
      type  = 516
      left  = 1008
      top   = 158
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_length' value = 4093 cc = 0 rnd = 1 variations = '8,1,0.779868067432201,0.447837771805522,0.469826533105302,0.215734180307843,0.404837527485952,0.329342780356707,1' )
        detail( class = 'TKnobsSelector' name = 'perlinnoisetrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_roughness' value = 93 cc = 0 rnd = 0 variations = '8,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_layers' value = 13 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_lengthmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'perlinnoisetrig_newinv' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'SVF'
      type  = 1002
      left  = 1008
      top   = 203
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 33 cc = 0 rnd = 1 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 229 cc = 0 rnd = 1 variations = '8,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 2 cc = 0 rnd = 1 variations = '8,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'CubicClip'
      type  = 340
      left  = 1008
      top   = 248
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 158 cc = 0 rnd = 1 variations = '8,0.6171875,0.6171875,0.6171875,0.6171875,0.6171875,0.6171875,0.6171875,0.6171875' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 117 cc = 0 rnd = 1 variations = '8,0.228515625,0.228515625,0.228515625,0.228515625,0.228515625,0.228515625,0.228515625,0.228515625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'PerlinNoiseTrig'
      type  = 516
      left  = 1008
      top   = 278
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_length' value = 193 cc = 0 rnd = 1 variations = '8,0.0471536770095285,0.447837771805522,0.422184216955778,0.46298558514537,0.142926948448571,0.298314194967017,0.339604202296604,1' )
        detail( class = 'TKnobsSelector' name = 'perlinnoisetrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_roughness' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_layers' value = 13 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlinnoisetrig_lengthmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'perlinnoisetrig_newinv' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 1008
      top   = 323
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 152 cc = 0 rnd = 1 variations = '8,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375,0.59375' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 30 cc = 0 rnd = 0 variations = '8,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429,0.428571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 1 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'PitchShift'
      type  = 910
      left  = 1008
      top   = 398
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0 rnd = 1 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'Not'
      type  = 601
      left  = 1008
      top   = 458
      color = 32768
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'logicnot_out1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'logicnot_out2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'logicnot_in1' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule88'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 473
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 162 cc = 0 rnd = 0 variations = '8,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule89'
      title = 'MixM3to1'
      type  = 211
      left  = 1008
      top   = 518
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 237 cc = 0 rnd = 1 variations = '8,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125,0.92578125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 192 cc = 0 rnd = 1 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule38.volume_outl' dst = 'KnobsModule39.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.volume_outr' dst = 'KnobsModule39.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.osc_out' dst = 'KnobsModule8.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.chebgen_in' dst = 'KnobsModule4.datagraph_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.lfo_out' dst = 'KnobsModule3.chebgen_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule19.livemorph_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.livemorph_in' dst = 'KnobsModule9.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envarretrig_sigout' dst = 'KnobsModule9.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.formant_out' dst = 'KnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_inr1' dst = 'KnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.cubicclip_out' dst = 'KnobsModule38.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.cubicclip_out' dst = 'KnobsModule38.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outl' dst = 'KnobsModule14.gverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixs2to1_outr' dst = 'KnobsModule14.gverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.datagraph_out' dst = 'KnobsModule5.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.chebgen_out12' dst = 'KnobsModule8.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.scalequantizer_out' dst = 'KnobsModule7.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.quantizer_out' dst = 'KnobsModule2.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.quantizer_out' dst = 'KnobsModule18.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.envarretrig_out' dst = 'KnobsModule7.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.cubicclip_out' dst = 'KnobsModule6.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.avg_lp' dst = 'KnobsModule7.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.typeflip_outr' dst = 'KnobsModule1.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.typeflip_outr' dst = 'KnobsModule25.auto_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.cubicclip_out' dst = 'KnobsModule13.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.cubicclip_out' dst = 'KnobsModule13.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.cubicclip_out' dst = 'KnobsModule29.phasedetect_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.osc_out' dst = 'KnobsModule29.phasedetect_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.phasedetect_out' dst = 'KnobsModule28.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.phasedetect_lock' dst = 'KnobsModule29.phasedetect_typesel')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_out' dst = 'KnobsModule33.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.chebgen_out13' dst = 'KnobsModule33.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.phasedetect_out' dst = 'KnobsModule30.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.scalequantizer_out' dst = 'KnobsModule32.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.stereowiden_outl' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.phasedistort_outl' dst = 'KnobsModule37.stereowiden_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.stereowiden_outr' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.phasedistort_outr' dst = 'KnobsModule37.stereowiden_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.phasedetect_in1' dst = 'KnobsModule31.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.osc_out' dst = 'KnobsModule31.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.multiplier_out' dst = 'KnobsModule32.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.scalequantizer_in' dst = 'KnobsModule31.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.osc_out' dst = 'KnobsModule35.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.multiplier_out' dst = 'KnobsModule34.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.scalequantizer_out' dst = 'KnobsModule34.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_trig' dst = 'KnobsModule35.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_sigout' dst = 'KnobsModule36.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.envarretrig_sigout' dst = 'KnobsModule36.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.osc_out' dst = 'KnobsModule48.phasedetect_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.phasedetect_out' dst = 'KnobsModule47.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.phasedetect_lock' dst = 'KnobsModule48.phasedetect_typesel')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_out' dst = 'KnobsModule52.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.phasedetect_out' dst = 'KnobsModule49.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.phasedistort_outl' dst = 'KnobsModule56.stereowiden_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.phasedistort_outr' dst = 'KnobsModule56.stereowiden_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.phasedetect_in1' dst = 'KnobsModule50.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_out' dst = 'KnobsModule50.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.multiplier_out' dst = 'KnobsModule51.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.osc_out' dst = 'KnobsModule54.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.multiplier_out' dst = 'KnobsModule53.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.envarretrig_trig' dst = 'KnobsModule54.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.envarretrig_sigout' dst = 'KnobsModule55.phasedistort_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.envarretrig_sigout' dst = 'KnobsModule55.phasedistort_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.delay_in' dst = 'KnobsModule48.phasedetect_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.stereowiden_outl' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.stereowiden_outr' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.chebgen_out7' dst = 'KnobsModule52.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_sigout' dst = 'KnobsModule50.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.envarretrig_sigout' dst = 'KnobsModule31.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.randsig_out' dst = 'KnobsModule50.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.constant_out' dst = 'KnobsModule43.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.avg_lp' dst = 'KnobsModule23.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.constant_out' dst = 'KnobsModule42.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.delay_delay' dst = 'KnobsModule8.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.delay_delay' dst = 'KnobsModule52.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.avg_in' dst = 'KnobsModule44.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.envarretrig_gain' dst = 'KnobsModule54.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.envarretrig_gain' dst = 'KnobsModule35.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.display_in1' dst = 'KnobsModule27.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.delay_out' dst = 'KnobsModule45.display_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.display_in2' dst = 'KnobsModule26.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.delay_out' dst = 'KnobsModule45.display_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.scalequantizer_in' dst = 'KnobsModule33.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.avg_lp' dst = 'KnobsModule46.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.scalequantizer_out' dst = 'KnobsModule49.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.scalequantizer_chain' dst = 'KnobsModule30.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.scalequantizer_chain' dst = 'KnobsModule5.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.gverb_outr' dst = 'KnobsModule15.compressor_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.compressor_outl' dst = 'KnobsModule16.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.gverb_outl' dst = 'KnobsModule15.compressor_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.compressor_outr' dst = 'KnobsModule17.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.phasedetect_typesel' dst = 'KnobsModule28.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.osc_out' dst = 'KnobsModule47.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.multiplier_in2' dst = 'KnobsModule44.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.avg_alphamod' dst = 'KnobsModule43.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.avg_alphamod' dst = 'KnobsModule42.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.multimult_out8' dst = 'KnobsModule23.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.audioin_out1' dst = 'KnobsModule22.multimult_in8')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.multimult_out7' dst = 'KnobsModule24.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.audioin_out2' dst = 'KnobsModule22.multimult_in7')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.avg_lp' dst = 'KnobsModule2.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.squarelfo_out' dst = 'KnobsModule60.perlinnoise_new')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.osc_out' dst = 'KnobsModule81.perlinnoisetrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_out' dst = 'KnobsModule81.perlinnoisetrig_roughmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.perlinnoisetrig_out' dst = 'KnobsModule82.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.perlinnoise_out' dst = 'KnobsModule82.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.cubicclip_out' dst = 'KnobsModule65.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.svf_bp' dst = 'KnobsModule83.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.perlinnoise_out' dst = 'KnobsModule62.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.squarelfo_out' dst = 'KnobsModule80.osc_sync')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.volume_outl' dst = 'KnobsModule66.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.volume_outr' dst = 'KnobsModule66.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.svf_bp' dst = 'KnobsModule81.perlinnoisetrig_new')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.perlinnoise_new' dst = 'KnobsModule61.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.euclids_out' dst = 'KnobsModule62.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.envarretrig_sigout' dst = 'KnobsModule63.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.envarretrig_out' dst = 'KnobsModule63.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.rotator_out2' dst = 'KnobsModule67.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.reverb_outr' dst = 'KnobsModule57.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.rotator_out1' dst = 'KnobsModule67.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.euclids_trig' dst = 'KnobsModule67.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.svf_lp' dst = 'KnobsModule63.svf_qmamtn')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.cubicclip_out' dst = 'KnobsModule65.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.svf_lp' dst = 'KnobsModule64.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.osc_freq' dst = 'KnobsModule53.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.scalequantizer_out' dst = 'KnobsModule51.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.scalequantizer_out' dst = 'KnobsModule63.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.chebgen_out8' dst = 'KnobsModule58.squarelfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.chebgen_out10' dst = 'KnobsModule59.lfo_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.avg_lp' dst = 'KnobsModule61.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.scalequantizer_out' dst = 'KnobsModule82.svf_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.multiplier_in4' dst = 'KnobsModule0.typeflip_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.datagraph_out' dst = 'KnobsModule21.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.multiplier_out' dst = 'KnobsModule22.multimult_mult')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.multiplier_in2' dst = 'KnobsModule24.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.avg_lp' dst = 'KnobsModule21.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.osc_sync' dst = 'KnobsModule84.perlinnoisetrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.scalequantizer_out' dst = 'KnobsModule86.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.perlinnoisetrig_out' dst = 'KnobsModule85.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_inr1' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.pitchshift_out' dst = 'KnobsModule88.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.reverb_outr' dst = 'KnobsModule89.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.mixm3to1_out' dst = 'KnobsModule86.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule89.mixm3to1_in2' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.envarretrig_sigout' dst = 'KnobsModule89.mixm3to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.chebgen_out12' dst = 'KnobsModule87.logicnot_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.logicnot_out4' dst = 'KnobsModule88.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envarretrig_sigin' dst = 'KnobsModule57.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.reverb_outl' dst = 'KnobsModule68.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.envarretrig_sigout' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_inr2' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.reverb_freezein' dst = 'KnobsModule68.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.phasedetect_lock' dst = 'KnobsModule71.phasedetect_typesel')
    wire( class = 'TKnobsWire' src = 'KnobsModule88.envarretrig_sigin' dst = 'KnobsModule71.phasedetect_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.osc_out' dst = 'KnobsModule71.phasedetect_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.phasedetect_out' dst = 'KnobsModule72.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.scalequantizer_out' dst = 'KnobsModule73.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outl' dst = 'KnobsModule11.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.mixs2to1_outr' dst = 'KnobsModule11.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.osc_out' dst = 'KnobsModule69.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.multiplier_out' dst = 'KnobsModule70.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.avg_alphamod' dst = 'KnobsModule69.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.multiplier_in3' dst = 'KnobsModule84.perlinnoisetrig_roughmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.osc_out' dst = 'KnobsModule75.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.avg_lp' dst = 'KnobsModule75.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.envarretrig_gain' dst = 'KnobsModule75.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.multiplier_out' dst = 'KnobsModule77.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.rotator_angle' dst = 'KnobsModule76.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.mixm3to1_in1' dst = 'KnobsModule21.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.mixm3to1_out' dst = 'KnobsModule77.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.freqshifter_up' dst = 'KnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.freqshifter_down' dst = 'KnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.randsig_out' dst = 'KnobsModule58.squarelfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.squarelfo_fm' dst = 'KnobsModule60.perlinnoise_roughmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.perlinnoise_roughmod' dst = 'KnobsModule68.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.envarretrig_gain' dst = 'KnobsModule66.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.randsig_out' dst = 'KnobsModule62.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.avg_lp' dst = 'KnobsModule88.envarretrig_gain')
  )
)
