Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2016-08-29-01'
  version   = 6
  variation = 7
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'AudioIn'
      type  = 101
      left  = 8
      top   = 8
      color = 12632256
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 38
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 158 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.458823529411765,0.725490196078431,0.494117647058824,0.23921568627451,0.635294117647059,0.576470588235294,0.619607843137255' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,0.75,0.75,0,0.5,1' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 3 cc = 0 rnd = 1 variations = '8,0,0.8,1,0.2,0.6,0.4,0.8,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 193 cc = 0 rnd = 1 variations = '8,1,0.53515625,0.68359375,0.4296875,0.828125,0.82421875,0.5703125,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 146 cc = 0 rnd = 1 variations = '8,0.30859375,0.33203125,0.52734375,0.546875,0.51171875,0.6015625,0.484375,0.30859375' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 83
      color = 16711935
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 98
      color = 32768
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 97 cc = 0 rnd = 1 variations = '8,0.0313725490196078,0.384313725490196,0.403921568627451,0.529411764705882,0.43921568627451,0.364705882352941,0.419607843137255,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 1 cc = 0 rnd = 1 variations = '8,0,1,0,1,0.5,0.5,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 1 cc = 0 rnd = 1 variations = '8,0,1,0.6,0.6,1,0,1,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'SeqRandom'
      type  = 1208
      left  = 8
      top   = 128
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 57 cc = 0 rnd = 1 variations = '8,0.338582677165354,0.535433070866142,0.606299212598425,0.409448818897638,0.582677165354331,0.393700787401575,0.606299212598425,0.905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 58 cc = 0 rnd = 1 variations = '8,0.543307086614173,0.456692913385827,0.771653543307087,0.716535433070866,0.503937007874016,0.409448818897638,0.582677165354331,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 33 cc = 0 rnd = 1 variations = '8,0.771428571428571,1,0.9,0.557142857142857,0.514285714285714,0.371428571428571,0.685714285714286,0.685714285714286' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 4 cc = 0 rnd = 1 variations = '8,0,0.454545454545455,0.181818181818182,0.454545454545455,0.272727272727273,0.454545454545455,0.181818181818182,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 96 cc = 0 rnd = 1 variations = '8,0.0196078431372549,0.529411764705882,0.619607843137255,0.635294117647059,0.537254901960784,0.317647058823529,0.537254901960784,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 123 cc = 0 rnd = 1 variations = '8,0.90625,0.50390625,0.4375,0.6015625,0.72265625,0.41796875,0.65234375,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 163 cc = 0 rnd = 1 variations = '8,0.559055118110236,0.736220472440945,0.34251968503937,0.637795275590551,0.330708661417323,0.68503937007874,0.52755905511811,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 218
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 141 cc = 0 rnd = 1 variations = '8,0.286274509803922,0.403921568627451,0.301960784313725,0.741176470588235,0.223529411764706,0.580392156862745,0.482352941176471,0.564705882352941' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 2 cc = 0 rnd = 1 variations = '8,0.25,0.75,1,1,0.5,0.25,1,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 103 cc = 0 rnd = 1 variations = '8,0,0.3359375,0.59375,0.203125,0.40234375,0.41015625,0.37890625,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 148 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.686274509803922,0.501960784313725,0.619607843137255,0.372549019607843,0.6,0.525490196078431,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 107 cc = 0 rnd = 1 variations = '8,0,0.65234375,0.35546875,0.3046875,0.37890625,0.43359375,0.3828125,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 156 cc = 0 rnd = 1 variations = '8,0.509803921568627,0.505882352941176,0.63921568627451,0.341176470588235,0.592156862745098,0.666666666666667,0.458823529411765,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 1 cc = 0 rnd = 1 variations = '8,0,0,0,1,0,1,1,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'RandSig'
      type  = 408
      left  = 8
      top   = 263
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128 cc = 0 rnd = 1 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'PinkFilter'
      type  = 1005
      left  = 8
      top   = 398
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0 rnd = 1 variations = '8,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165' )
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'PinkFilter'
      type  = 1005
      left  = 8
      top   = 428
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pinkfilter_gain' value = 201 cc = 0 rnd = 1 variations = '8,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165' )
        detail( class = 'TKnobsSelector' name = 'pinkfilter_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 458
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 149 cc = 0 rnd = 1 variations = '8,0.58203125,0.58203125,0.58203125,0.58203125,0.58203125,0.58203125,0.58203125,0.58203125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 488
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 97 cc = 0 rnd = 0 variations = '8,0.37890625,0.37890625,0.37890625,0.37890625,0.37890625,0.37890625,0.37890625,0.37890625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 518
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 139 cc = 0 rnd = 1 variations = '8,0.450980392156863,0.549019607843137,0.611764705882353,0.443137254901961,0.482352941176471,0.549019607843137,0.533333333333333,0.827450980392157' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2 cc = 0 rnd = 1 variations = '8,0.2,0.8,0.8,0,0,0.2,0.6,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 164 cc = 0 rnd = 1 variations = '8,0.875,0.859375,0.61328125,0.2734375,0.46484375,0.65234375,0.61328125,0.875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 212 cc = 0 rnd = 1 variations = '8,1,0.625,0.4921875,0.37890625,0.59765625,0.890625,0.66015625,1' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 53
      color = 32768
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 141 cc = 0 rnd = 1 variations = '8,0.0352941176470588,0.411764705882353,0.345098039215686,0.298039215686275,0.545098039215686,0.603921568627451,0.423529411764706,0.0431372549019608' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.5,0,0.5,1,0.5,1,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 4 cc = 0 rnd = 1 variations = '8,0.6,0.6,0.4,0.4,0.6,1,0.4,0.6' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'SeqRandom'
      type  = 1208
      left  = 258
      top   = 83
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'seqrandom_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seqrandom_changeone' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_lownote' value = 55 cc = 0 rnd = 1 variations = '8,0.456692913385827,0.511811023622047,0.637795275590551,0.590551181102362,0.52755905511811,0.393700787401575,0.52755905511811,0.456692913385827' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_highnote' value = 62 cc = 0 rnd = 1 variations = '8,0.716535433070866,0.496062992125984,0.385826771653543,0.543307086614173,0.433070866141732,0.590551181102362,0.220472440944882,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'seqrandom_scale' value = 38 cc = 0 rnd = 1 variations = '8,0.685714285714286,0.271428571428571,0.5,0.0285714285714286,0.0428571428571429,0.557142857142857,0.485714285714286,0.771428571428571' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_basenote' value = 3 cc = 0 rnd = 1 variations = '8,0,0.363636363636364,0.363636363636364,0.545454545454545,0.454545454545455,0.272727272727273,0.363636363636364,0' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_count' value = 116 cc = 0 rnd = 1 variations = '8,0.0117647058823529,0.564705882352941,0.47843137254902,0.270588235294118,0.470588235294118,0.458823529411765,0.43921568627451,0.286274509803922' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_distmodamt' value = 130 cc = 0 rnd = 1 variations = '8,0.00390625,0.26953125,0.31640625,0.609375,0.390625,0.5234375,0.46484375,0.42578125' )
        detail( class = 'TKnobsSmallKnob' name = 'seqrandom_dist' value = 115 cc = 0 rnd = 1 variations = '8,0.791338582677165,0.610236220472441,0.295275590551181,0.610236220472441,0.523622047244094,0.421259842519685,0.539370078740158,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'PerlinTone'
      type  = 517
      left  = 258
      top   = 173
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_frequency' value = 43 cc = 0 rnd = 1 variations = '8,0.354330708661417,0.543307086614173,0.448818897637795,0.559055118110236,0.724409448818898,0.244094488188976,0.598425196850394,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'perlintone_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_roughness' value = 79 cc = 0 rnd = 1 variations = '8,0.15625,0.34765625,0.4921875,0.4140625,0.2265625,0.23046875,0.51953125,0.15625' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_layers' value = 13 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_fmlevel' value = 262 cc = 0 rnd = 1 variations = '8,0,0.404296875,0.5234375,0.478515625,0.490234375,0.521484375,0.486328125,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_length' value = 2019 cc = 0 rnd = 1 variations = '8,0,0.428292206205717,0.300268751526997,0.330320058636697,0.382604446616174,0.427314927925727,0.668946982653311,0.0173466894698265' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_lengthmodamt' value = 214 cc = 0 rnd = 1 variations = '8,0.06640625,0.40625,0.330078125,0.40625,0.453125,0.33984375,0.625,0.546875' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_cents' value = 53 cc = 0 rnd = 1 variations = '8,0.5,0.51,0.53,0.53,0.66,0.57,0.43,0.5' )
        detail( class = 'TKnobsSelector' name = 'perlintone_newinv' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 248
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 155 cc = 0 rnd = 1 variations = '8,0.894117647058824,0.686274509803922,0.725490196078431,0.666666666666667,0.470588235294118,0.611764705882353,0.6,0.101960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 111 cc = 0 rnd = 1 variations = '8,0.584313725490196,0.333333333333333,0.43921568627451,0.364705882352941,0.407843137254902,0.474509803921569,0.333333333333333,0.615686274509804' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 293
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 93 cc = 0 rnd = 1 variations = '8,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 37 cc = 0 rnd = 0 variations = '8,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 1 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 1 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 353
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 101 cc = 0 rnd = 1 variations = '8,0.164705882352941,0.411764705882353,0.427450980392157,0.47843137254902,0.615686274509804,0.356862745098039,0.501960784313725,0.180392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 118 cc = 0 rnd = 1 variations = '8,0.737254901960784,0.494117647058824,0.713725490196078,0.686274509803922,0.643137254901961,0.450980392156863,0.494117647058824,0.725490196078431' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 398
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 145 cc = 0 rnd = 1 variations = '8,0.87109375,0.296875,0.48828125,0.3515625,0.55078125,0.5546875,0.6015625,0.5546875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 130 cc = 0 rnd = 1 variations = '8,0.81640625,0.5546875,0.48828125,0.5625,0.515625,0.4921875,0.54296875,0.50390625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,0,0,0,0,1,1,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 428
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 228 cc = 0 rnd = 1 variations = '8,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Rotator'
      type  = 309
      left  = 258
      top   = 458
      color = 8421376
      rnd   = 1
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Reverb'
      type  = 703
      left  = 258
      top   = 488
      color = 128
      rnd   = 1
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 224 cc = 0 rnd = 0 variations = '8,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 144 cc = 0 rnd = 0 variations = '8,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 229 cc = 0 rnd = 0 variations = '8,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 93 cc = 0 rnd = 0 variations = '8,0.738095238095238,0.738095238095238,0.738095238095238,0.738095238095238,0.738095238095238,0.738095238095238,0.738095238095238,0.738095238095238' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 1 variations = '8,0,0,0,1,0,0,0,1' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 64 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Auto'
      type  = 1310
      left  = 508
      top   = 8
      color = 12632256
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'auto_clock' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'auto_active' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'auto_type' value = 1 cc = 0 rnd = 1 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'LiveMorph'
      type  = 1309
      left  = 508
      top   = 38
      color = 12632256
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'livemorph_inputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'livemorph_active' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 68
      color = 32768
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 94 cc = 0 rnd = 1 variations = '8,0.650980392156863,0.580392156862745,0.443137254901961,0.580392156862745,0.462745098039216,0.282352941176471,0.6,0.0313725490196078' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 1 variations = '8,0,1,0,1,0,0,0.5,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 1 cc = 0 rnd = 1 variations = '8,0,0.6,1,0.4,0,0.2,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Auto'
      type  = 1310
      left  = 508
      top   = 98
      color = 12632256
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'auto_clock' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'auto_active' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'auto_type' value = 2 cc = 0 rnd = 1 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'PerlinTone'
      type  = 517
      left  = 508
      top   = 128
      color = 255
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_frequency' value = 79 cc = 0 rnd = 1 variations = '8,0.637795275590551,0.47244094488189,0.503937007874016,0.496062992125984,0.362204724409449,0.614173228346457,0.653543307086614,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'perlintone_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_roughness' value = 120 cc = 0 rnd = 1 variations = '8,0.765625,0.67578125,0.38671875,0.5625,0.48828125,0.41796875,0.6015625,0.765625' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_layers' value = 13 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_fmlevel' value = 233 cc = 0 rnd = 1 variations = '8,0.013671875,0.6796875,0.267578125,0.453125,0.51171875,0.521484375,0.275390625,0' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_length' value = 1868 cc = 0 rnd = 1 variations = '8,0.201807964817982,0.51698021011483,0.467871976545321,0.51600293183484,0.449792328365502,0.380894209626191,0.657219643293428,0.252626435377474' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_lengthmodamt' value = 189 cc = 0 rnd = 1 variations = '8,0.234375,0.4609375,0.3671875,0.599609375,0.298828125,0.314453125,0.517578125,0.185546875' )
        detail( class = 'TKnobsSmallKnob' name = 'perlintone_cents' value = 61 cc = 0 rnd = 1 variations = '8,0.49,0.46,0.58,0.53,0.45,0.68,0.42,0.5' )
        detail( class = 'TKnobsSelector' name = 'perlintone_newinv' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 203
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 145 cc = 0 rnd = 1 variations = '8,0.16796875,0.48828125,0.52734375,0.390625,0.48046875,0.58984375,0.5078125,0.38671875' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 104 cc = 0 rnd = 1 variations = '8,0.0590551181102362,0.405511811023622,0.523622047244094,0.263779527559055,0.614173228346457,0.393700787401575,0.448818897637795,0.543307086614173' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 304 cc = 0 rnd = 1 variations = '8,0.2578125,0.5078125,0.419921875,0.67578125,0.236328125,0.630859375,0.494140625,0.2578125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 248
      color = 65535
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 108 cc = 0 rnd = 1 variations = '8,0.376470588235294,0.333333333333333,0.631372549019608,0.623529411764706,0.392156862745098,0.443137254901961,0.376470588235294,0.372549019607843' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 98 cc = 0 rnd = 1 variations = '8,0.196078431372549,0.611764705882353,0.670588235294118,0.32156862745098,0.490196078431373,0.376470588235294,0.403921568627451,0.768627450980392' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'EuclideanRhythm'
      type  = 1205
      left  = 508
      top   = 293
      color = 8388736
      rnd   = 1
      details(
        detail( class = 'TKnobsOutput' name = 'euclids_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'euclids_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_patternmod' value = 140 cc = 0 rnd = 1 variations = '8,0.16796875,0.36328125,0.43359375,0.51953125,0.625,0.5703125,0.48828125,0.16796875' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_steps' value = 194 cc = 0 rnd = 1 variations = '8,0.81496062992126,0.759842519685039,0.618110236220472,0.417322834645669,0.539370078740158,0.783464566929134,0.704724409448819,0.81496062992126' )
        detail( class = 'TKnobsSmallKnob' name = 'euclids_pulses' value = 195 cc = 0 rnd = 1 variations = '8,0.2578125,0.431640625,0.396484375,0.66796875,0.345703125,0.390625,0.3515625,0.2578125' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule10.volume_outl' dst = 'KnobsModule11.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.volume_outr' dst = 'KnobsModule11.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outl' dst = 'KnobsModule10.volume_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.mixs2to1_outr' dst = 'KnobsModule10.volume_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule4.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_out' dst = 'KnobsModule15.perlintone_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.perlintone_out' dst = 'KnobsModule16.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.perlintone_out' dst = 'KnobsModule29.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.perlintone_out' dst = 'KnobsModule1.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.rotator_out1' dst = 'KnobsModule22.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.rotator_out2' dst = 'KnobsModule22.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.envarretrig_sigout' dst = 'KnobsModule20.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outl' dst = 'KnobsModule21.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.envarretrig_sigout' dst = 'KnobsModule20.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outr' dst = 'KnobsModule21.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_inr2' dst = 'KnobsModule20.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.lfo_out' dst = 'KnobsModule2.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.lfo_out' dst = 'KnobsModule2.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.envarretrig_sigout' dst = 'KnobsModule20.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.osc_out' dst = 'KnobsModule18.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.euclids_out' dst = 'KnobsModule18.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.seqrandom_out' dst = 'KnobsModule4.seqrandom_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_inl2' dst = 'KnobsModule17.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_chain' dst = 'KnobsModule1.lfo_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.divider_out' dst = 'KnobsModule13.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.divider_trig' dst = 'KnobsModule14.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.seqrandom_trig' dst = 'KnobsModule12.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.divider_out' dst = 'KnobsModule14.seqrandom_changeone')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.randsig_out' dst = 'KnobsModule15.perlintone_new')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.perlintone_new' dst = 'KnobsModule27.perlintone_new')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.euclids_trig' dst = 'KnobsModule30.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.envarretrig_trig' dst = 'KnobsModule28.euclids_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.euclids_out' dst = 'KnobsModule29.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.perlintone_new' dst = 'KnobsModule28.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.euclids_pattern' dst = 'KnobsModule24.livemorph_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.seqrandom_changeone' dst = 'KnobsModule22.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.divider_out' dst = 'KnobsModule26.auto_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outl' dst = 'KnobsModule20.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.mixs2to1_outr' dst = 'KnobsModule20.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.audioin_out1' dst = 'KnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.audioin_out2' dst = 'KnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.sampleandhold_out' dst = 'KnobsModule16.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.sampleandhold_out' dst = 'KnobsModule4.seqrandom_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.seqrandom_trig' dst = 'KnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.perlintone_freq' dst = 'KnobsModule17.osc_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.osc_freq' dst = 'KnobsModule27.perlintone_freq')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.euclids_pattern' dst = 'KnobsModule27.perlintone_lengthmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.perlintone_lengthmod' dst = 'KnobsModule25.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.divider_trig' dst = 'KnobsModule23.auto_clock')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.reverb_outl' dst = 'KnobsModule7.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.pinkfilter_out' dst = 'KnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.reverb_outr' dst = 'KnobsModule8.pinkfilter_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.pinkfilter_out' dst = 'KnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.envarretrig_gain' dst = 'KnobsModule30.euclids_pattern')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.rotator_angle' dst = 'KnobsModule18.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.perlintone_lengthmod' dst = 'KnobsModule21.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.randsig_out' dst = 'KnobsModule15.perlintone_lengthmod')
  )
)
