Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-06-28-01'
  version   = 7
  variation = 0
  guid      = '{ABC4F370-46E8-4697-AE62-5775497661FD}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 68 cc = 0 rnd = 0 variations = '8,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Seq16'
      type  = 1211
      left  = 8
      top   = 53
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 11 cc = 0 rnd = 0 variations = '8,0.733333333333333,0.733333333333333,0.733333333333333,0.733333333333333,0.733333333333333,0.733333333333333,0.733333333333333,0.733333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 103 cc = 0 rnd = 0 variations = '8,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 89 cc = 0 rnd = 0 variations = '8,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 54 cc = 0 rnd = 0 variations = '8,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 40 cc = 0 rnd = 0 variations = '8,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 104 cc = 0 rnd = 0 variations = '8,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 32 cc = 0 rnd = 0 variations = '8,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 4 cc = 0 rnd = 0 variations = '8,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 55 cc = 0 rnd = 0 variations = '8,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 24 cc = 0 rnd = 0 variations = '8,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 88 cc = 0 rnd = 0 variations = '8,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 63 cc = 0 rnd = 0 variations = '8,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984,0.496062992125984' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 22 cc = 0 rnd = 0 variations = '8,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 203
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 145 cc = 0 rnd = 0 variations = '8,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625,0.56640625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 293
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 236 cc = 0 rnd = 0 variations = '8,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 205 cc = 0 rnd = 0 variations = '8,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 353
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'ModOsc'
      type  = 521
      left  = 8
      top   = 383
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modosc_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'modosc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_fmmodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_pmmodlev' value = 47 cc = 0 rnd = 0 variations = '8,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_lfmmodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_lfm' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_centsmodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_phase' value = 180 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_ammodlev' value = 95 cc = 0 rnd = 0 variations = '8,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375,0.37109375' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_amplitude' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'IntDif'
      type  = 1003
      left  = 8
      top   = 473
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 503
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 55 cc = 0 rnd = 0 variations = '8,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 548
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 199 cc = 0 rnd = 0 variations = '8,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375,0.77734375' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'Formant2'
      type  = 1012
      left  = 8
      top   = 593
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 7 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 638
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 668
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 228 cc = 0 rnd = 0 variations = '8,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625,0.890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 214 cc = 0 rnd = 0 variations = '8,0.8359375,0.8359375,0.8359375,0.8359375,0.8359375,0.8359375,0.8359375,0.8359375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 698
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 53 cc = 0 rnd = 0 variations = '8,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902,0.207843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 65 cc = 0 rnd = 0 variations = '8,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 788
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 121 cc = 0 rnd = 0 variations = '8,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625,0.47265625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 818
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 109 cc = 0 rnd = 0 variations = '8,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157,0.427450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 253 cc = 0 rnd = 0 variations = '8,0.996062992125984,0.996062992125984,0.996062992125984,0.996062992125984,0.996062992125984,0.996062992125984,0.996062992125984,0.996062992125984' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 110 cc = 0 rnd = 0 variations = '8,0.215264187866928,0.215264187866928,0.215264187866928,0.215264187866928,0.215264187866928,0.215264187866928,0.215264187866928,0.215264187866928' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 206 cc = 0 rnd = 0 variations = '8,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 175 cc = 0 rnd = 0 variations = '8,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922,0.686274509803922' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'RandSigs'
      type  = 415
      left  = 258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'RandSigs'
      type  = 415
      left  = 258
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Poetry'
      type  = 327
      left  = 258
      top   = 158
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 963 cc = 0 rnd = 0 variations = '8,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038,0.941348973607038' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 203
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 157 cc = 0 rnd = 0 variations = '8,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125,0.61328125' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Average'
      type  = 1001
      left  = 258
      top   = 293
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 235 cc = 0 rnd = 0 variations = '8,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098,0.92156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 185 cc = 0 rnd = 0 variations = '8,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431,0.725490196078431' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 353
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 162 cc = 0 rnd = 0 variations = '8,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 383
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'ModOsc'
      type  = 521
      left  = 258
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modosc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'modosc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_fmmodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_pmmodlev' value = 58 cc = 0 rnd = 0 variations = '8,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_lfmmodlev' value = 90 cc = 0 rnd = 0 variations = '8,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625,0.3515625' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_lfm' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_centsmodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_phase' value = 180 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_ammodlev' value = 55 cc = 0 rnd = 0 variations = '8,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_amplitude' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'IntDif'
      type  = 1003
      left  = 258
      top   = 488
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 518
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 41 cc = 0 rnd = 0 variations = '8,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 200 cc = 0 rnd = 0 variations = '8,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 563
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 186 cc = 0 rnd = 0 variations = '8,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Formant2'
      type  = 1012
      left  = 258
      top   = 608
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 6 cc = 0 rnd = 0 variations = '8,0.857142857142857,0.857142857142857,0.857142857142857,0.857142857142857,0.857142857142857,0.857142857142857,0.857142857142857,0.857142857142857' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 226 cc = 0 rnd = 0 variations = '8,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 713
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 146 cc = 0 rnd = 0 variations = '8,0.5703125,0.5703125,0.5703125,0.5703125,0.5703125,0.5703125,0.5703125,0.5703125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 743
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 773
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 803
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2018-06-28-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 83
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 113
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Poetry'
      type  = 327
      left  = 508
      top   = 158
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1022 cc = 0 rnd = 0 variations = '8,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451,0.999022482893451' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 203
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 164 cc = 0 rnd = 0 variations = '8,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 293
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 248 cc = 0 rnd = 0 variations = '8,0.972549019607843,0.972549019607843,0.972549019607843,0.972549019607843,0.972549019607843,0.972549019607843,0.972549019607843,0.972549019607843' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 229 cc = 0 rnd = 0 variations = '8,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 353
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 230 cc = 0 rnd = 0 variations = '8,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 383
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'ModOsc'
      type  = 521
      left  = 508
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modosc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'modosc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_fmmodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_pmmodlev' value = 66 cc = 0 rnd = 0 variations = '8,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125,0.2578125' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_lfmmodlev' value = 18 cc = 0 rnd = 0 variations = '8,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125,0.0703125' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_lfm' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_centsmodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_phase' value = 180 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_ammodlev' value = 47 cc = 0 rnd = 0 variations = '8,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375,0.18359375' )
        detail( class = 'TKnobsSmallKnob' name = 'modosc_amplitude' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'IntDif'
      type  = 1003
      left  = 508
      top   = 488
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 518
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 33 cc = 0 rnd = 0 variations = '8,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882,0.129411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'MoogFilter'
      type  = 1017
      left  = 508
      top   = 563
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'CubicClip'
      type  = 340
      left  = 508
      top   = 608
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 183 cc = 0 rnd = 0 variations = '8,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'Formant2'
      type  = 1012
      left  = 508
      top   = 653
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 210 cc = 0 rnd = 0 variations = '8,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'FreqShifter'
      type  = 1401
      left  = 508
      top   = 698
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 3 cc = 0 rnd = 0 variations = '8,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875,0.01171875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Values'
      type  = 358
      left  = 758
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0,7,36,1,37,8,-1,9,38,70' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 53
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 83
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'Quantizer'
      type  = 307
      left  = 758
      top   = 98
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 5 cc = 0 rnd = 0 variations = '8,0.00488758553274682,0.00488758553274682,0.00488758553274682,0.00488758553274682,0.00488758553274682,0.00488758553274682,0.00488758553274682,0.00488758553274682' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'Compare'
      type  = 610
      left  = 758
      top   = 158
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'compare_outless' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'compare_outmore' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'compare_outequal' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'compare_range' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 188
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 205 cc = 0 rnd = 0 variations = '8,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.volume_outl' dst = 'TKnobsModule31.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.volume_outr' dst = 'TKnobsModule31.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.delay_out' dst = 'TKnobsModule6.modosc_ammod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule1.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_out' dst = 'TKnobsModule2.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.scalequantizer_out' dst = 'TKnobsModule3.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.avg_lp' dst = 'TKnobsModule6.modosc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out1' dst = 'TKnobsModule4.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.delay_in' dst = 'TKnobsModule4.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.delay_out' dst = 'TKnobsModule6.modosc_pmmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out2' dst = 'TKnobsModule5.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.envarretrig_sigout' dst = 'TKnobsModule5.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.envarretrig_sigout' dst = 'TKnobsModule9.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.modosc_out' dst = 'TKnobsModule8.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.delay_out' dst = 'TKnobsModule24.modosc_ammod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.delay_in' dst = 'TKnobsModule21.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.delay_out' dst = 'TKnobsModule24.modosc_pmmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_sigout' dst = 'TKnobsModule22.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_sigout' dst = 'TKnobsModule27.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.modosc_out' dst = 'TKnobsModule26.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.scalequantizer_out' dst = 'TKnobsModule20.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out3' dst = 'TKnobsModule21.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out4' dst = 'TKnobsModule22.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.avg_lp' dst = 'TKnobsModule24.modosc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out6' dst = 'TKnobsModule26.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.delay_out' dst = 'TKnobsModule42.modosc_ammod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.delay_in' dst = 'TKnobsModule39.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.delay_out' dst = 'TKnobsModule42.modosc_pmmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_sigout' dst = 'TKnobsModule40.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.modosc_out' dst = 'TKnobsModule44.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.scalequantizer_out' dst = 'TKnobsModule38.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.avg_lp' dst = 'TKnobsModule42.modosc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out7' dst = 'TKnobsModule39.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out8' dst = 'TKnobsModule40.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out1' dst = 'TKnobsModule1.seq16_dir')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out3' dst = 'TKnobsModule1.seq16_inv')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out2' dst = 'TKnobsModule1.seq16_skip1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out4' dst = 'TKnobsModule1.seq16_skip3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out5' dst = 'TKnobsModule1.seq16_skip5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out6' dst = 'TKnobsModule1.seq16_skip7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out7' dst = 'TKnobsModule1.seq16_skip9')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out8' dst = 'TKnobsModule1.seq16_skip11')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out2' dst = 'TKnobsModule11.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator_out2' dst = 'TKnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator_out1' dst = 'TKnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out8' dst = 'TKnobsModule47.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.formant2_out' dst = 'TKnobsModule48.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.freqshifter_down' dst = 'TKnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.freqshifter_up' dst = 'TKnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.gverb_outl' dst = 'TKnobsModule29.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.mixs2to1_outl' dst = 'TKnobsModule30.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.mixs2to1_outr' dst = 'TKnobsModule30.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.gverb_outr' dst = 'TKnobsModule29.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.formant2_out' dst = 'TKnobsModule11.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.cubicclip_out' dst = 'TKnobsModule28.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.formant2_out' dst = 'TKnobsModule11.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.cubicclip_out' dst = 'TKnobsModule10.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out6' dst = 'TKnobsModule1.seq16_skip13')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_out' dst = 'TKnobsModule27.cubicclip_alphamod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.envarretrig_out' dst = 'TKnobsModule9.cubicclip_alphamod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outl' dst = 'TKnobsModule15.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outr' dst = 'TKnobsModule15.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule18.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.poetry_newinput' dst = 'TKnobsModule36.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.chebgen_out2' dst = 'TKnobsModule18.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_out2' dst = 'TKnobsModule36.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.poetry_out' dst = 'TKnobsModule37.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.poetry_newinput' dst = 'TKnobsModule34.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.chebgen_in' dst = 'TKnobsModule33.randsigs_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_out3' dst = 'TKnobsModule18.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.poetry_out' dst = 'TKnobsModule19.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_sigout' dst = 'TKnobsModule45.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_inr2' dst = 'TKnobsModule29.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_inl2' dst = 'TKnobsModule29.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.randsigs_out4' dst = 'TKnobsModule44.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out8' dst = 'TKnobsModule49.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.scalequantizer_scalemod' dst = 'TKnobsModule19.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.scalequantizer_scalemod' dst = 'TKnobsModule2.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.scalequantizer_levmod' dst = 'TKnobsModule1.seq16_rnd2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out1' dst = 'TKnobsModule19.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.scalequantizer_levmod' dst = 'TKnobsModule1.seq16_skip15')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out7' dst = 'TKnobsModule37.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outl' dst = 'TKnobsModule13.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.compressor_outl' dst = 'TKnobsModule14.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outr' dst = 'TKnobsModule13.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.compressor_outr' dst = 'TKnobsModule14.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.poetry_trans' dst = 'TKnobsModule10.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out5' dst = 'TKnobsModule36.poetry_trans')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.poetry_trans' dst = 'TKnobsModule28.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out3' dst = 'TKnobsModule18.poetry_trans')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_stepout1' dst = 'TKnobsModule51.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.sampleandhold_out' dst = 'TKnobsModule52.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.quantizer_out' dst = 'TKnobsModule0.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out4' dst = 'TKnobsModule50.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.levelconverter_out1' dst = 'TKnobsModule51.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.xfade_out' dst = 'TKnobsModule36.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.chebgen_out4' dst = 'TKnobsModule35.xfade_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.chebgen_out6' dst = 'TKnobsModule35.xfade_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out4' dst = 'TKnobsModule35.xfade_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.envarretrig_inv' dst = 'TKnobsModule45.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.chebgen_out8' dst = 'TKnobsModule29.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.envarretrig_out' dst = 'TKnobsModule23.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.multiplier_out' dst = 'TKnobsModule24.modosc_lfmmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_out' dst = 'TKnobsModule41.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.multiplier_out' dst = 'TKnobsModule42.modosc_lfmmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.chebgen_out3' dst = 'TKnobsModule41.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.delay_delay' dst = 'TKnobsModule41.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.multiplier_in4' dst = 'TKnobsModule8.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.multiplier_in3' dst = 'TKnobsModule23.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out5' dst = 'TKnobsModule23.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.randsigs_out1' dst = 'TKnobsModule41.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.moogfilter_out' dst = 'TKnobsModule46.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.cubicclip_out' dst = 'TKnobsModule47.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.intdif_dif' dst = 'TKnobsModule44.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.modosc_freq' dst = 'TKnobsModule43.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.intdif_in' dst = 'TKnobsModule45.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.poetry_newoutput' dst = 'TKnobsModule48.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.intdif_dif' dst = 'TKnobsModule26.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.modosc_freq' dst = 'TKnobsModule25.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.seq16_trig' dst = 'TKnobsModule23.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.modosc_freq' dst = 'TKnobsModule7.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.intdif_dif' dst = 'TKnobsModule8.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.compare_in1' dst = 'TKnobsModule37.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.values_out' dst = 'TKnobsModule54.compare_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.compare_outmore' dst = 'TKnobsModule55.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.avg_lp' dst = 'TKnobsModule12.mixs2to1_levmod2')
  )
)
