Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-07-08-01'
  version   = 7
  variation = 0
  guid      = '{899FBEAD-143D-4216-94C8-C5CEC2A9D16F}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 120 cc = 0 rnd = 0 variations = '8,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 53
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 31 cc = 0 rnd = 0 variations = '8,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Divider'
      type  = 603
      left  = 8
      top   = 83
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'LeakyGateSeq'
      type  = 1230
      left  = 8
      top   = 113
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'leakygateseq_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_chain' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_set' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outset' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step1' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_stepstep3' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step4' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step5' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step6' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step7' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step8' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step10' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step11' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step12' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step13' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step14' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step15' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step16' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsNoKnob' name = 'leakygateseq_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'leakygateseq_leak' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'leakygateseq_dist' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'LeakyGateSeq'
      type  = 1230
      left  = 8
      top   = 188
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'leakygateseq_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_chain' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'leakygateseq_set' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'leakygateseq_outset' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_stepstep3' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step4' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step5' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step7' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step9' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step10' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step12' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step13' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step14' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step15' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_step16' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsNoKnob' name = 'leakygateseq_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'leakygateseq_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'leakygateseq_leak' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'leakygateseq_dist' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 263
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254 cc = 0 rnd = 0 variations = '8,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 293
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 323
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 220 cc = 0 rnd = 1 variations = '8,0.859375,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875,0.79296875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 184 cc = 0 rnd = 1 variations = '8,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 353
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 238 cc = 0 rnd = 1 variations = '8,0.9296875,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 383
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 231 cc = 0 rnd = 1 variations = '8,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 197 cc = 0 rnd = 1 variations = '8,0.76953125,0.828125,0.828125,0.828125,0.828125,0.828125,0.828125,0.828125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 413
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 167 cc = 0 rnd = 1 variations = '8,0.65234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 184 cc = 0 rnd = 1 variations = '8,0.71875,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 443
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 473
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 24 cc = 0 rnd = 0 variations = '8,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 67 cc = 0 rnd = 0 variations = '8,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 113 cc = 0 rnd = 0 variations = '8,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625,0.44140625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 563
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 593
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 211 cc = 0 rnd = 1 variations = '8,0.82421875,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 623
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 229 cc = 0 rnd = 1 variations = '8,0.89453125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 653
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 56 cc = 0 rnd = 0 variations = '8,0.10958904109589,0.10958904109589,0.10958904109589,0.10958904109589,0.10958904109589,0.10958904109589,0.10958904109589,0.10958904109589' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 191 cc = 0 rnd = 0 variations = '8,0.749019607843137,0.749019607843137,0.749019607843137,0.749019607843137,0.749019607843137,0.749019607843137,0.749019607843137,0.749019607843137' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 743
      color = 16776960
      rnd   = 1
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 225 cc = 0 rnd = 1 variations = '8,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 215 cc = 0 rnd = 1 variations = '8,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 1 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 773
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 1 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 803
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 53
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 120 cc = 0 rnd = 0 variations = '8,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 83
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 58 cc = 0 rnd = 0 variations = '8,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625,0.2265625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 73 cc = 0 rnd = 0 variations = '8,0.73,0.73,0.73,0.73,0.73,0.73,0.73,0.73' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 143
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 158
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 136 cc = 0 rnd = 0 variations = '8,0.533333333333333,0.533333333333333,0.533333333333333,0.533333333333333,0.533333333333333,0.533333333333333,0.533333333333333,0.533333333333333' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Delay'
      type  = 701
      left  = 258
      top   = 203
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 197 cc = 0 rnd = 0 variations = '8,0.772549019607843,0.772549019607843,0.772549019607843,0.772549019607843,0.772549019607843,0.772549019607843,0.772549019607843,0.772549019607843' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Osc'
      type  = 501
      left  = 258
      top   = 233
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 73 cc = 0 rnd = 0 variations = '8,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Multiplier'
      type  = 304
      left  = 258
      top   = 293
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 308
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 58 cc = 0 rnd = 0 variations = '8,0.227450980392157,0.227450980392157,0.227450980392157,0.227450980392157,0.227450980392157,0.227450980392157,0.227450980392157,0.227450980392157' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 758
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2018-07-08' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'RandSigs'
      type  = 415
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 72 cc = 0 rnd = 0 variations = '8,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471,0.282352941176471' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 51 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 247 cc = 0 rnd = 0 variations = '8,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 83
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 113
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 143
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Noise'
      type  = 503
      left  = 508
      top   = 173
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 209 cc = 0 rnd = 0 variations = '8,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 203
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 225 cc = 0 rnd = 0 variations = '8,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 248
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 151 cc = 0 rnd = 0 variations = '8,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 293
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 55 cc = 0 rnd = 0 variations = '8,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 353
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'SVF'
      type  = 1002
      left  = 508
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 225 cc = 0 rnd = 0 variations = '8,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471,0.882352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 96 cc = 0 rnd = 0 variations = '8,0.375,0.375,0.375,0.375,0.375,0.375,0.375,0.375' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 413
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 108 cc = 0 rnd = 0 variations = '8,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'MixM3to1'
      type  = 211
      left  = 508
      top   = 458
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 488
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Seq16'
      type  = 1211
      left  = 758
      top   = 8
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 90 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 70 cc = 0 rnd = 0 variations = '8,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 71 cc = 0 rnd = 0 variations = '8,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 70 cc = 0 rnd = 0 variations = '8,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 61 cc = 0 rnd = 0 variations = '8,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 49 cc = 0 rnd = 0 variations = '8,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 66 cc = 0 rnd = 0 variations = '8,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 113 cc = 0 rnd = 0 variations = '8,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 88 cc = 0 rnd = 0 variations = '8,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 10 cc = 0 rnd = 0 variations = '8,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 118 cc = 0 rnd = 0 variations = '8,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 97 cc = 0 rnd = 0 variations = '8,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 66 cc = 0 rnd = 0 variations = '8,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'SampleAndHold'
      type  = 801
      left  = 758
      top   = 158
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 758
      top   = 173
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 164 cc = 0 rnd = 0 variations = '8,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'IntDif'
      type  = 1003
      left  = 758
      top   = 263
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 293
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 186 cc = 0 rnd = 0 variations = '8,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 323
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 74 cc = 0 rnd = 0 variations = '8,0.74,0.74,0.74,0.74,0.74,0.74,0.74,0.74' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 383
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 24 cc = 0 rnd = 0 variations = '8,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 207 cc = 0 rnd = 0 variations = '8,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'CuClipStereo'
      type  = 357
      left  = 758
      top   = 428
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 234 cc = 0 rnd = 0 variations = '8,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625,0.9140625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 1008
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'noiselfotrig_trig' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Values'
      type  = 358
      left  = 1008
      top   = 38
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0,36,37,38,70' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'SampleAndHold'
      type  = 801
      left  = 1008
      top   = 83
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 1008
      top   = 98
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 171 cc = 0 rnd = 0 variations = '8,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'IntDif'
      type  = 1003
      left  = 1008
      top   = 188
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 218
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1008 cc = 0 rnd = 0 variations = '8,0.98533724340176,0.98533724340176,0.98533724340176,0.98533724340176,0.98533724340176,0.98533724340176,0.98533724340176,0.98533724340176' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'IntDif'
      type  = 1003
      left  = 1008
      top   = 263
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 293
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 176 cc = 0 rnd = 0 variations = '8,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373,0.690196078431373' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 323
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 55 cc = 0 rnd = 0 variations = '8,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 63 cc = 0 rnd = 0 variations = '8,0.63,0.63,0.63,0.63,0.63,0.63,0.63,0.63' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 383
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 23 cc = 0 rnd = 0 variations = '8,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 186 cc = 0 rnd = 0 variations = '8,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882,0.729411764705882' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'CuClipStereo'
      type  = 357
      left  = 1008
      top   = 428
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 223 cc = 0 rnd = 0 variations = '8,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.volume_outr' dst = 'TKnobsModule20.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.volume_outl' dst = 'TKnobsModule20.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.osc_out' dst = 'TKnobsModule25.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.leakygateseq_out' dst = 'TKnobsModule25.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.osc_out' dst = 'TKnobsModule29.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.leakygateseq_out' dst = 'TKnobsModule29.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.leakygateseq_set' dst = 'TKnobsModule5.leakygateseq_set')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outl' dst = 'TKnobsModule19.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outr' dst = 'TKnobsModule19.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.leakygateseq_set' dst = 'TKnobsModule12.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.delay_in' dst = 'TKnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envarretrig_sigout' dst = 'TKnobsModule26.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.delay_in' dst = 'TKnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.envarretrig_sigout' dst = 'TKnobsModule22.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule6.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule7.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.delay_out' dst = 'TKnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.delay_out' dst = 'TKnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.envarretrig_trig' dst = 'TKnobsModule27.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out3' dst = 'TKnobsModule4.leakygateseq_distmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out5' dst = 'TKnobsModule9.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.gverb_outr' dst = 'TKnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.gverb_outl' dst = 'TKnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.compressor_outl' dst = 'TKnobsModule14.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.compressor_outr' dst = 'TKnobsModule14.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.rotator_out1' dst = 'TKnobsModule13.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.rotator_out2' dst = 'TKnobsModule13.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.divider_out' dst = 'TKnobsModule37.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outl' dst = 'TKnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outl' dst = 'TKnobsModule17.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outr' dst = 'TKnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outr' dst = 'TKnobsModule17.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.delay_out' dst = 'TKnobsModule28.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.multiplier_out' dst = 'TKnobsModule27.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.delay_out' dst = 'TKnobsModule24.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.multiplier_out' dst = 'TKnobsModule23.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.mixm3to1_out' dst = 'TKnobsModule39.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.envarretrig_sigout' dst = 'TKnobsModule38.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.delay_out' dst = 'TKnobsModule38.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.delay_in' dst = 'TKnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.mixm3to1_in3' dst = 'TKnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.noise_out' dst = 'TKnobsModule36.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.svf_bp' dst = 'TKnobsModule37.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.osc_warpmod' dst = 'TKnobsModule4.leakygateseq_set')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.lfo_out' dst = 'TKnobsModule23.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out7' dst = 'TKnobsModule39.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out8' dst = 'TKnobsModule32.levelconverter_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule5.leakygateseq_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.divider_out' dst = 'TKnobsModule4.leakygateseq_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_in6' dst = 'TKnobsModule28.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out7' dst = 'TKnobsModule32.levelconverter_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out6' dst = 'TKnobsModule17.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.seq16_out' dst = 'TKnobsModule47.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.scalequantizer_out' dst = 'TKnobsModule48.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.intdif_in' dst = 'TKnobsModule50.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.intdif_dif' dst = 'TKnobsModule51.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.osc_out' dst = 'TKnobsModule51.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.envarretrig_sigout' dst = 'TKnobsModule49.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.delay_out' dst = 'TKnobsModule50.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.osc_fm' dst = 'TKnobsModule45.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out5' dst = 'TKnobsModule45.seq16_rnd2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_in5' dst = 'TKnobsModule24.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out6' dst = 'TKnobsModule32.levelconverter_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out5' dst = 'TKnobsModule51.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.envarretrig_sigout' dst = 'TKnobsModule52.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.cuclipstereo_outr' dst = 'TKnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.osc_phase' dst = 'TKnobsModule52.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.cuclipstereo_outl' dst = 'TKnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.envarretrig_out' dst = 'TKnobsModule49.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out4' dst = 'TKnobsModule5.leakygateseq_distmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out4' dst = 'TKnobsModule32.levelconverter_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.scalequantizer_out' dst = 'TKnobsModule56.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.osc_out' dst = 'TKnobsModule61.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_sigout' dst = 'TKnobsModule59.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.delay_out' dst = 'TKnobsModule60.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_sigout' dst = 'TKnobsModule62.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.osc_phase' dst = 'TKnobsModule62.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_out' dst = 'TKnobsModule59.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out3' dst = 'TKnobsModule32.levelconverter_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.seq16_out2' dst = 'TKnobsModule55.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mixs2to1_outl' dst = 'TKnobsModule12.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outl' dst = 'TKnobsModule11.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.mixs2to1_outr' dst = 'TKnobsModule12.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outr' dst = 'TKnobsModule11.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.cuclipstereo_outl' dst = 'TKnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.cuclipstereo_outr' dst = 'TKnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out2' dst = 'TKnobsModule32.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out1' dst = 'TKnobsModule32.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out1' dst = 'TKnobsModule37.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out1' dst = 'TKnobsModule17.gverb_revtimemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out4' dst = 'TKnobsModule46.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.sampleandhold_out' dst = 'TKnobsModule47.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out3' dst = 'TKnobsModule54.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.sampleandhold_out' dst = 'TKnobsModule55.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.divider_out' dst = 'TKnobsModule46.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule27.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.osc_warpmod' dst = 'TKnobsModule34.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.divider_trig' dst = 'TKnobsModule33.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.divider_trig' dst = 'TKnobsModule54.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.envarretrig_out' dst = 'TKnobsModule36.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.svf_fm' dst = 'TKnobsModule35.noise_colormod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.lfo_out' dst = 'TKnobsModule50.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.mixm3to1_out' dst = 'TKnobsModule44.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.envarretrig_sigout' dst = 'TKnobsModule43.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.delay_out' dst = 'TKnobsModule43.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.svf_bp' dst = 'TKnobsModule42.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.divider_out' dst = 'TKnobsModule42.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.delay_in' dst = 'TKnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.mixm3to1_in3' dst = 'TKnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.svf_in' dst = 'TKnobsModule41.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.envarretrig_gain' dst = 'TKnobsModule61.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out2' dst = 'TKnobsModule42.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_out3' dst = 'TKnobsModule44.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.envarretrig_out' dst = 'TKnobsModule40.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.multiplier_out' dst = 'TKnobsModule41.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.seq16_out3' dst = 'TKnobsModule40.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.intdif_dif' dst = 'TKnobsModule57.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.intdif_in' dst = 'TKnobsModule57.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.poetry_out' dst = 'TKnobsModule58.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.intdif_in' dst = 'TKnobsModule60.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.intdif_dif' dst = 'TKnobsModule61.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.sampleandhold_trig' dst = 'TKnobsModule57.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.mixs2to1_outl' dst = 'TKnobsModule9.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.mixs2to1_outr' dst = 'TKnobsModule9.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.cuclipstereo_inr' dst = 'TKnobsModule8.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.delay_delay' dst = 'TKnobsModule8.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.levelconverter_in7' dst = 'TKnobsModule57.poetry_trans')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envarretrig_out' dst = 'TKnobsModule26.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out1' dst = 'TKnobsModule2.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.divider_out' dst = 'TKnobsModule4.leakygateseq_rnd2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out2' dst = 'TKnobsModule3.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.divider_out' dst = 'TKnobsModule5.leakygateseq_rnd2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.divider_out' dst = 'TKnobsModule53.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.noiselfotrig_out' dst = 'TKnobsModule0.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.values_out' dst = 'TKnobsModule55.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.scalequantizer_scalemod' dst = 'TKnobsModule47.scalequantizer_scalemod')
  )
)
