Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-07-23-01'
  version   = 7
  variation = 0
  guid      = '{FC49A477-8334-42D3-802C-FF8D93D2D2FD}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 8
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 224 cc = 0 rnd = 0 variations = '8,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902,0.87843137254902' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 38
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 75 cc = 0 rnd = 0 variations = '8,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'ChebGen'
      type  = 326
      left  = 8
      top   = 98
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Morse'
      type  = 1209
      left  = 8
      top   = 128
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'morse_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'morse_clock' value = '32768' )
        detail( class = 'TKnobsInput' name = 'morse_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'morse_display_text' value = 'trump fuck ' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 173
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 218
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 263
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 89 cc = 0 rnd = 0 variations = '8,0.89,0.89,0.89,0.89,0.89,0.89,0.89,0.89' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Formant2'
      type  = 1012
      left  = 8
      top   = 323
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 368
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 12 cc = 0 rnd = 0 variations = '8,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 12 cc = 0 rnd = 0 variations = '8,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 413
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 243 cc = 0 rnd = 0 variations = '8,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875,0.94921875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 253 cc = 0 rnd = 0 variations = '8,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 443
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 26 cc = 0 rnd = 0 variations = '8,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725,0.101960784313725' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 473
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 22 cc = 0 rnd = 0 variations = '8,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216,0.0862745098039216' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 503
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 171 cc = 0 rnd = 0 variations = '8,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 533
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 196 cc = 0 rnd = 0 variations = '8,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 196 cc = 0 rnd = 0 variations = '8,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'Reverb'
      type  = 703
      left  = 8
      top   = 563
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'reverb_freezein' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 210 cc = 0 rnd = 0 variations = '8,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 180 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 240 cc = 0 rnd = 0 variations = '8,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 114 cc = 0 rnd = 0 variations = '8,0.904761904761905,0.904761904761905,0.904761904761905,0.904761904761905,0.904761904761905,0.904761904761905,0.904761904761905,0.904761904761905' )
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'reverb_scale' value = 49 cc = 0 rnd = 0 variations = '8,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625,0.765625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 623
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 653
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 683
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 63 cc = 0 rnd = 0 variations = '8,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 4 cc = 0 rnd = 0 variations = '8,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 53
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 63 cc = 0 rnd = 0 variations = '8,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 4 cc = 0 rnd = 0 variations = '8,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625,0.015625' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 98
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Lfo'
      type  = 401
      left  = 258
      top   = 143
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 188
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 229 cc = 0 rnd = 0 variations = '8,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125,0.89453125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'PitchShift'
      type  = 910
      left  = 258
      top   = 218
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 253 cc = 0 rnd = 0 variations = '8,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'PitchShift'
      type  = 910
      left  = 258
      top   = 263
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 72 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 253 cc = 0 rnd = 0 variations = '8,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098,0.992156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 638
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2018-07-23-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Song'
      type  = 513
      left  = 508
      top   = 8
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'song_txtstart' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'song_phstart' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'song_silence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'song_vowel' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'song_txtend' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'song_display_text' value = 'trump fuck ' )
        detail( class = 'TKnobsSelector' name = 'song_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'song_loop' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'song_whisper' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'song_whispermodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'song_speed' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'song_speedmodamt' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'song_freq' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'song_fmmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'song_filtinv' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'song_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'song_pmamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Amplifier'
      type  = 305
      left  = 508
      top   = 98
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 242 cc = 0 rnd = 0 variations = '8,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125,0.9453125' )
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Seq16'
      type  = 1211
      left  = 508
      top   = 128
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 110 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 92 cc = 0 rnd = 0 variations = '8,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 9 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 20 cc = 0 rnd = 0 variations = '8,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 102 cc = 0 rnd = 0 variations = '8,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213,0.803149606299213' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 59 cc = 0 rnd = 0 variations = '8,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 72 cc = 0 rnd = 0 variations = '8,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 107 cc = 0 rnd = 0 variations = '8,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 52 cc = 0 rnd = 0 variations = '8,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 112 cc = 0 rnd = 0 variations = '8,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 2 cc = 0 rnd = 0 variations = '8,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 107 cc = 0 rnd = 0 variations = '8,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 278
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 147 cc = 0 rnd = 0 variations = '8,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 37 cc = 0 rnd = 0 variations = '8,0.528571428571429,0.528571428571429,0.528571428571429,0.528571428571429,0.528571428571429,0.528571428571429,0.528571428571429,0.528571428571429' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 64 cc = 0 rnd = 0 variations = '8,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 64 cc = 0 rnd = 0 variations = '8,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 158
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 64 cc = 0 rnd = 0 variations = '8,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 233
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.volume_outl' dst = 'TKnobsModule18.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.volume_outr' dst = 'TKnobsModule18.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outl' dst = 'TKnobsModule17.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outr' dst = 'TKnobsModule17.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lfo_out' dst = 'TKnobsModule3.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.chebgen_out12' dst = 'TKnobsModule4.morse_clock')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.morse_out' dst = 'TKnobsModule9.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_out' dst = 'TKnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.delay_out' dst = 'TKnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_inr1' dst = 'TKnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.lfo_out' dst = 'TKnobsModule5.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.lfo_fm' dst = 'TKnobsModule11.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.lfo_out' dst = 'TKnobsModule6.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.envarretrig_sigout' dst = 'TKnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_inr1' dst = 'TKnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_inl1' dst = 'TKnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outr' dst = 'TKnobsModule12.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outl' dst = 'TKnobsModule11.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.delay_out' dst = 'TKnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_out' dst = 'TKnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_inl2' dst = 'TKnobsModule7.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outr' dst = 'TKnobsModule15.reverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.reverb_outr' dst = 'TKnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outl' dst = 'TKnobsModule15.reverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.reverb_outl' dst = 'TKnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.lfo_out' dst = 'TKnobsModule24.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.pitchshift_out' dst = 'TKnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.lfo_out' dst = 'TKnobsModule21.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.lfo_fm' dst = 'TKnobsModule22.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.pitchshift_out' dst = 'TKnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.lfo_out' dst = 'TKnobsModule25.pitchshift_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.reverb_outr' dst = 'TKnobsModule23.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.mixs2to1_outl' dst = 'TKnobsModule24.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.reverb_outl' dst = 'TKnobsModule23.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.mixs2to1_outr' dst = 'TKnobsModule25.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.pitchshift_out' dst = 'TKnobsModule23.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.pitchshift_out' dst = 'TKnobsModule23.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.osc_out' dst = 'TKnobsModule8.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.formant2_out' dst = 'TKnobsModule9.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.lfo_out' dst = 'TKnobsModule12.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.chebgen_in' dst = 'TKnobsModule8.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.chebgen_out6' dst = 'TKnobsModule15.reverb_freezein')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixs2to1_outl' dst = 'TKnobsModule14.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixs2to1_outr' dst = 'TKnobsModule14.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixs2to1_inr1' dst = 'TKnobsModule13.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.lfo_out' dst = 'TKnobsModule22.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.lfo_out' dst = 'TKnobsModule21.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out1' dst = 'TKnobsModule19.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out2' dst = 'TKnobsModule20.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out3' dst = 'TKnobsModule21.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out4' dst = 'TKnobsModule22.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out5' dst = 'TKnobsModule5.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out6' dst = 'TKnobsModule6.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out1' dst = 'TKnobsModule10.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out2' dst = 'TKnobsModule10.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out3' dst = 'TKnobsModule13.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out4' dst = 'TKnobsModule14.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out5' dst = 'TKnobsModule14.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lfo_out' dst = 'TKnobsModule29.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.seq16_out' dst = 'TKnobsModule30.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.scalequantizer_out' dst = 'TKnobsModule27.song_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.amplifier_out4' dst = 'TKnobsModule13.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.song_out' dst = 'TKnobsModule28.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out7' dst = 'TKnobsModule32.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out7' dst = 'TKnobsModule23.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out8' dst = 'TKnobsModule23.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.seq16_out2' dst = 'TKnobsModule34.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.levelconverter_out1' dst = 'TKnobsModule29.seq16_rnd2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.song_frequency' dst = 'TKnobsModule7.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.randsigs_out8' dst = 'TKnobsModule30.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.seq16_stepout1' dst = 'TKnobsModule27.song_res')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.lfo_speed' dst = 'TKnobsModule16.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.randsigs_out8' dst = 'TKnobsModule31.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.randsigs_out6' dst = 'TKnobsModule33.randsigs_fmfbmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.lfo_phase' dst = 'TKnobsModule1.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.scalequantizer_levmod' dst = 'TKnobsModule2.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.chebgen_out3' dst = 'TKnobsModule0.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.avg_lp' dst = 'TKnobsModule0.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.multiplier_out' dst = 'TKnobsModule2.lfo_phase')
  )
)
