Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2018-10-11-02'
  version   = 7
  variation = 0
  guid      = '{9539167F-B710-481F-89B6-E1BF0C0C629D}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Amplifier'
      type  = 305
      left  = 8
      top   = 8
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 38
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Seq16'
      type  = 1211
      left  = 8
      top   = 83
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 2 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 112 cc = 0 rnd = 0 variations = '8,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 117 cc = 0 rnd = 0 variations = '8,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685,0.921259842519685' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 85 cc = 0 rnd = 0 variations = '8,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 28 cc = 0 rnd = 0 variations = '8,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 108 cc = 0 rnd = 0 variations = '8,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 125 cc = 0 rnd = 0 variations = '8,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 26 cc = 0 rnd = 0 variations = '8,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819,0.204724409448819' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 18 cc = 0 rnd = 0 variations = '8,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 105 cc = 0 rnd = 0 variations = '8,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307,0.826771653543307' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 94 cc = 0 rnd = 0 variations = '8,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Adder'
      type  = 303
      left  = 8
      top   = 233
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 8
      top   = 248
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 165 cc = 0 rnd = 0 variations = '8,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 338
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 247 cc = 0 rnd = 0 variations = '8,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392,0.968627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 368
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 132 cc = 0 rnd = 0 variations = '8,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529,0.517647058823529' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 39 cc = 0 rnd = 0 variations = '8,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375,0.15234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 93 cc = 0 rnd = 0 variations = '8,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125,0.36328125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'Multiplier'
      type  = 304
      left  = 8
      top   = 458
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'MoogFilter'
      type  = 1017
      left  = 8
      top   = 473
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 52 cc = 0 rnd = 0 variations = '8,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 203 cc = 0 rnd = 0 variations = '8,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 82 cc = 0 rnd = 0 variations = '8,0.3203125,0.3203125,0.3203125,0.3203125,0.3203125,0.3203125,0.3203125,0.3203125' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'IntDif'
      type  = 1003
      left  = 8
      top   = 518
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 548
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 222 cc = 0 rnd = 0 variations = '8,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 578
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 216 cc = 0 rnd = 0 variations = '8,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412,0.847058823529412' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'Average'
      type  = 1001
      left  = 8
      top   = 623
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 244 cc = 0 rnd = 0 variations = '8,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 653
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 683
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 218 cc = 0 rnd = 0 variations = '8,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625,0.8515625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 713
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 743
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254 cc = 0 rnd = 0 variations = '8,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549,0.996078431372549' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 773
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 56 cc = 0 rnd = 0 variations = '8,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 67 cc = 0 rnd = 0 variations = '8,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 10 cc = 0 rnd = 0 variations = '8,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098,0.0392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 8
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Seq16'
      type  = 1211
      left  = 258
      top   = 53
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 10 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 112 cc = 0 rnd = 0 variations = '8,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 70 cc = 0 rnd = 0 variations = '8,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 41 cc = 0 rnd = 0 variations = '8,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291,0.322834645669291' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 17 cc = 0 rnd = 0 variations = '8,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 36 cc = 0 rnd = 0 variations = '8,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 58 cc = 0 rnd = 0 variations = '8,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 85 cc = 0 rnd = 0 variations = '8,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 107 cc = 0 rnd = 0 variations = '8,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937,0.84251968503937' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 55 cc = 0 rnd = 0 variations = '8,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 80 cc = 0 rnd = 0 variations = '8,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 203
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'SampleAndHold'
      type  = 801
      left  = 258
      top   = 233
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'Values'
      type  = 358
      left  = 258
      top   = 248
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'values_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'values_display_values' value = '0,4,36,0,37,6,38,70' )
        detail( class = 'TKnobsSelector' name = 'values_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'values_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'CuClipStereo'
      type  = 357
      left  = 258
      top   = 533
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 563
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275,0.498039215686275' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 248 cc = 0 rnd = 0 variations = '8,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906,0.976377952755906' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 79 cc = 0 rnd = 0 variations = '8,0.154598825831703,0.154598825831703,0.154598825831703,0.154598825831703,0.154598825831703,0.154598825831703,0.154598825831703,0.154598825831703' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 229 cc = 0 rnd = 0 variations = '8,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275,0.898039215686275' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 258
      top   = 653
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 230 cc = 0 rnd = 0 variations = '8,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 50 cc = 0 rnd = 0 variations = '8,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549,0.196078431372549' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 226 cc = 0 rnd = 0 variations = '8,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 758
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 788
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2018-10-11-02-whatever' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Amplifier'
      type  = 305
      left  = 508
      top   = 8
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 38
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 24 cc = 0 rnd = 0 variations = '8,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'Seq16'
      type  = 1211
      left  = 508
      top   = 83
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 3 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 54 cc = 0 rnd = 0 variations = '8,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 44 cc = 0 rnd = 0 variations = '8,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 37 cc = 0 rnd = 0 variations = '8,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 47 cc = 0 rnd = 0 variations = '8,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 98 cc = 0 rnd = 0 variations = '8,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 85 cc = 0 rnd = 0 variations = '8,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677,0.669291338582677' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 71 cc = 0 rnd = 0 variations = '8,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 83 cc = 0 rnd = 0 variations = '8,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614,0.653543307086614' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 94 cc = 0 rnd = 0 variations = '8,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 24 cc = 0 rnd = 0 variations = '8,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'Adder'
      type  = 303
      left  = 508
      top   = 233
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 508
      top   = 248
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 338
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 244 cc = 0 rnd = 0 variations = '8,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039,0.956862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 368
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 171 cc = 0 rnd = 0 variations = '8,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118,0.670588235294118' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 398
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 25 cc = 0 rnd = 0 variations = '8,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 50 cc = 0 rnd = 0 variations = '8,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125,0.1953125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 69 cc = 0 rnd = 0 variations = '8,0.69,0.69,0.69,0.69,0.69,0.69,0.69,0.69' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 458
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 473
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'MoogFilter'
      type  = 1017
      left  = 508
      top   = 488
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 194 cc = 0 rnd = 0 variations = '8,0.76078431372549,0.76078431372549,0.76078431372549,0.76078431372549,0.76078431372549,0.76078431372549,0.76078431372549,0.76078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 46 cc = 0 rnd = 0 variations = '8,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875,0.1796875' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 185 cc = 0 rnd = 0 variations = '8,0.72265625,0.72265625,0.72265625,0.72265625,0.72265625,0.72265625,0.72265625,0.72265625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'IntDif'
      type  = 1003
      left  = 508
      top   = 533
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 563
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 221 cc = 0 rnd = 0 variations = '8,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 593
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 16 cc = 0 rnd = 0 variations = '8,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 228 cc = 0 rnd = 0 variations = '8,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824,0.894117647058824' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Average'
      type  = 1001
      left  = 758
      top   = 8
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'Quantizer'
      type  = 307
      left  = 758
      top   = 38
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'Seq16'
      type  = 1211
      left  = 758
      top   = 83
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 10 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 7 cc = 0 rnd = 0 variations = '8,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 44 cc = 0 rnd = 0 variations = '8,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 58 cc = 0 rnd = 0 variations = '8,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 19 cc = 0 rnd = 0 variations = '8,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 54 cc = 0 rnd = 0 variations = '8,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 71 cc = 0 rnd = 0 variations = '8,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236,0.559055118110236' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 90 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 8 cc = 0 rnd = 0 variations = '8,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 56 cc = 0 rnd = 0 variations = '8,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 97 cc = 0 rnd = 0 variations = '8,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'RandSigs'
      type  = 415
      left  = 1008
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 60 cc = 0 rnd = 0 variations = '8,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059,0.235294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 226 cc = 0 rnd = 0 variations = '8,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 120 cc = 0 rnd = 0 variations = '8,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.volume_outl' dst = 'TKnobsModule29.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.volume_outr' dst = 'TKnobsModule29.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.mixs2to1_outl' dst = 'TKnobsModule28.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.mixs2to1_outr' dst = 'TKnobsModule28.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lfo_out' dst = 'TKnobsModule3.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_stepout1' dst = 'TKnobsModule3.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.seq16_stepout1' dst = 'TKnobsModule21.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_rnd3' dst = 'TKnobsModule21.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.avg_lp' dst = 'TKnobsModule8.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.scalequantizer_out' dst = 'TKnobsModule6.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.intdif_dif' dst = 'TKnobsModule13.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out2' dst = 'TKnobsModule5.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.avg_in' dst = 'TKnobsModule11.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out3' dst = 'TKnobsModule23.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.sampleandhold_out' dst = 'TKnobsModule24.values_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.values_out' dst = 'TKnobsModule5.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.delay_out' dst = 'TKnobsModule8.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.osc_phase' dst = 'TKnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outl' dst = 'TKnobsModule17.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outr' dst = 'TKnobsModule18.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.delay_out' dst = 'TKnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.delay_out' dst = 'TKnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.avg_lp' dst = 'TKnobsModule16.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.seq16_out2' dst = 'TKnobsModule14.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.adder_out' dst = 'TKnobsModule5.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out' dst = 'TKnobsModule4.adder_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.seq16_out' dst = 'TKnobsModule4.adder_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.osc_freq' dst = 'TKnobsModule10.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.envarretrig_sigout' dst = 'TKnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.envarretrig_sigout' dst = 'TKnobsModule7.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.moogfilter_out' dst = 'TKnobsModule13.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.osc_out' dst = 'TKnobsModule10.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.seq16_out4' dst = 'TKnobsModule20.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_trig' dst = 'TKnobsModule8.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out4' dst = 'TKnobsModule12.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.avg_lp' dst = 'TKnobsModule13.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.amplifier_out4' dst = 'TKnobsModule2.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.seq16_stepout1' dst = 'TKnobsModule22.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.divider_out' dst = 'TKnobsModule23.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.osc_warpmod' dst = 'TKnobsModule10.moogfilter_linfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.envarretrig_inv' dst = 'TKnobsModule9.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.multiplier_out' dst = 'TKnobsModule10.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.envarretrig_out' dst = 'TKnobsModule7.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.lfo_out' dst = 'TKnobsModule33.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_stepout1' dst = 'TKnobsModule33.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_stepout1' dst = 'TKnobsModule47.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_rnd3' dst = 'TKnobsModule47.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.avg_lp' dst = 'TKnobsModule38.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.scalequantizer_out' dst = 'TKnobsModule36.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.intdif_dif' dst = 'TKnobsModule44.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.avg_in' dst = 'TKnobsModule42.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.delay_out' dst = 'TKnobsModule38.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.adder_out' dst = 'TKnobsModule35.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out' dst = 'TKnobsModule34.adder_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out' dst = 'TKnobsModule34.adder_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.osc_freq' dst = 'TKnobsModule41.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_sigout' dst = 'TKnobsModule37.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.moogfilter_out' dst = 'TKnobsModule44.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.osc_out' dst = 'TKnobsModule41.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_trig' dst = 'TKnobsModule38.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out4' dst = 'TKnobsModule43.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.avg_lp' dst = 'TKnobsModule44.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.amplifier_out4' dst = 'TKnobsModule32.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_inv' dst = 'TKnobsModule39.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.multiplier_out' dst = 'TKnobsModule41.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.values_out' dst = 'TKnobsModule35.scalequantizer_scalemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.osc_phase' dst = 'TKnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_sigout' dst = 'TKnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.seq16_out3' dst = 'TKnobsModule9.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out2' dst = 'TKnobsModule21.seq16_xfademod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out3' dst = 'TKnobsModule39.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.seq16_out3' dst = 'TKnobsModule47.seq16_xfademod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.osc_out' dst = 'TKnobsModule38.osc_sync')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.osc_warpmod' dst = 'TKnobsModule40.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.multiplier_out' dst = 'TKnobsModule41.moogfilter_linfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.envarretrig_out' dst = 'TKnobsModule40.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.multiplier_in6' dst = 'TKnobsModule37.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out3' dst = 'TKnobsModule40.multiplier_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.randsigs_out1' dst = 'TKnobsModule15.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.randsigs_out2' dst = 'TKnobsModule16.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out4' dst = 'TKnobsModule45.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.avg_lp' dst = 'TKnobsModule46.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out3' dst = 'TKnobsModule45.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.filter6dbpbs_outl' dst = 'TKnobsModule27.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.filter6dbpbs_outr' dst = 'TKnobsModule27.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.delay_in' dst = 'TKnobsModule19.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.delay_in' dst = 'TKnobsModule19.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out2' dst = 'TKnobsModule35.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.gverb_outl' dst = 'TKnobsModule26.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.gverb_outr' dst = 'TKnobsModule26.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.compressor_outl' dst = 'TKnobsModule0.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.cuclipstereo_outl' dst = 'TKnobsModule25.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.compressor_outr' dst = 'TKnobsModule0.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.cuclipstereo_outr' dst = 'TKnobsModule25.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.quantizer_out' dst = 'TKnobsModule8.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.quantizer_out' dst = 'TKnobsModule31.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.osc_speed' dst = 'TKnobsModule1.amplifier_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.quantizer_out' dst = 'TKnobsModule38.osc_speed')
  )
)
