Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-01-21-01'
  version   = 7
  variation = 0
  guid      = '{14710708-D4E6-42B0-A235-7A1F3F734ADF}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 75 cc = 0 rnd = 0 variations = '8,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 30 cc = 0 rnd = 0 variations = '8,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'LifeSeq'
      type  = 1222
      left  = 8
      top   = 113
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lifeseq_step' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out9' value = '32768' )
        detail( class = 'TKnobsGridControl' name = 'lifeseq_grid' value = '                                |                                |                          X     |            X X                 |            X X                 |            X X                 |             X                  |                                |                                |                                |                      XX        |                      X X       |           XX          X        |           XX                   |           XX                   |                                |                                |                               X|                              X |                              X |                                |                          XX    |                                |X                               |X                             X |                            X X |                           X X  |                           XX   |                                |                                |                                |                                ' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out17' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out19' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out21' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out23' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out25' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out27' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out29' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out31' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out16' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out18' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out20' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out22' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out24' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out26' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out28' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out30' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lifeseq_out32' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_change' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'lifeseq_rev' value = '32768' )
        detail( class = 'TKnobsGridControl' name = 'lifeseq_stops' value = '                                ' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_faultrate' value = 1 cc = 0 rnd = 0 variations = '8,0.01,0.01,0.01,0.01,0.01,0.01,0.01,0.01' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.02,0.02,0.02,0.02,0.02,0.02,0.02,0.02' )
        detail( class = 'TKnobsSmallKnob' name = 'lifeseq_randomamount' value = 10 cc = 0 rnd = 0 variations = '8,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_wrapmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_summode' value = 1 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lifeseq_changemute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 398
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 89 cc = 0 rnd = 0 variations = '8,0.349019607843137,0.349019607843137,0.349019607843137,0.349019607843137,0.349019607843137,0.349019607843137,0.349019607843137,0.349019607843137' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Modal2'
      type  = 1023
      left  = 8
      top   = 443
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 6 cc = 0 rnd = 0 variations = '8,0.260869565217391,0.260869565217391,0.260869565217391,0.260869565217391,0.260869565217391,0.260869565217391,0.260869565217391,0.260869565217391' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Rotator'
      type  = 309
      left  = 8
      top   = 563
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 593
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 38 cc = 0 rnd = 0 variations = '8,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137,0.149019607843137' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 48 cc = 0 rnd = 0 variations = '8,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647,0.188235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 683
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 713
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 145 cc = 0 rnd = 0 variations = '8,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 228 cc = 0 rnd = 0 variations = '8,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 221 cc = 0 rnd = 0 variations = '8,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 32 cc = 0 rnd = 0 variations = '8,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 1 cc = 0 rnd = 0 variations = '8,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 803
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 226 cc = 0 rnd = 0 variations = '8,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125,0.8828125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 181 cc = 0 rnd = 0 variations = '8,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125,0.70703125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 833
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 202 cc = 0 rnd = 0 variations = '8,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625,0.7890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 219 cc = 0 rnd = 0 variations = '8,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875,0.85546875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 863
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 893
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 8
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'Quantizer'
      type  = 307
      left  = 258
      top   = 53
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 98
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 128
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 158
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 188
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 218
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'RSFlipFlop'
      type  = 605
      left  = 258
      top   = 248
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 278
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0 rnd = 0 variations = '8,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Gate'
      type  = 602
      left  = 258
      top   = 308
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0 rnd = 0 variations = '8,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'IntDif'
      type  = 1003
      left  = 258
      top   = 338
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'SVF'
      type  = 1002
      left  = 258
      top   = 368
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 180 cc = 0 rnd = 0 variations = '8,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177,0.705882352941177' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 96 cc = 0 rnd = 0 variations = '8,0.375,0.375,0.375,0.375,0.375,0.375,0.375,0.375' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'Modal2'
      type  = 1023
      left  = 258
      top   = 443
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 190 cc = 0 rnd = 0 variations = '8,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875,0.7421875' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 7 cc = 0 rnd = 0 variations = '8,0.304347826086957,0.304347826086957,0.304347826086957,0.304347826086957,0.304347826086957,0.304347826086957,0.304347826086957,0.304347826086957' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 848
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2019-01-21-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 147 cc = 0 rnd = 0 variations = '8,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294,0.576470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Seq16'
      type  = 1211
      left  = 508
      top   = 53
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 2 cc = 0 rnd = 0 variations = '8,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 111 cc = 0 rnd = 0 variations = '8,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 116 cc = 0 rnd = 0 variations = '8,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 12 cc = 0 rnd = 0 variations = '8,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 80 cc = 0 rnd = 0 variations = '8,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252,0.62992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 34 cc = 0 rnd = 0 variations = '8,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 90 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 51 cc = 0 rnd = 0 variations = '8,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 36 cc = 0 rnd = 0 variations = '8,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 59 cc = 0 rnd = 0 variations = '8,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 116 cc = 0 rnd = 0 variations = '8,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 91 cc = 0 rnd = 0 variations = '8,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 25 cc = 0 rnd = 0 variations = '8,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787,0.196850393700787' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 93 cc = 0 rnd = 0 variations = '8,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929,0.732283464566929' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Seq16'
      type  = 1211
      left  = 508
      top   = 203
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 98 cc = 0 rnd = 0 variations = '8,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 126 cc = 0 rnd = 0 variations = '8,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 108 cc = 0 rnd = 0 variations = '8,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 2 cc = 0 rnd = 0 variations = '8,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 103 cc = 0 rnd = 0 variations = '8,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 100 cc = 0 rnd = 0 variations = '8,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 18 cc = 0 rnd = 0 variations = '8,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567,0.141732283464567' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 46 cc = 0 rnd = 0 variations = '8,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 96 cc = 0 rnd = 0 variations = '8,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 2 cc = 0 rnd = 0 variations = '8,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063,0.015748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 82 cc = 0 rnd = 0 variations = '8,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 10 cc = 0 rnd = 0 variations = '8,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 75 cc = 0 rnd = 0 variations = '8,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Seq16'
      type  = 1211
      left  = 508
      top   = 353
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 38 cc = 0 rnd = 0 variations = '8,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197,0.299212598425197' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 98 cc = 0 rnd = 0 variations = '8,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 99 cc = 0 rnd = 0 variations = '8,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118,0.779527559055118' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 66 cc = 0 rnd = 0 variations = '8,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 4 cc = 0 rnd = 0 variations = '8,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126,0.031496062992126' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 17 cc = 0 rnd = 0 variations = '8,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 32 cc = 0 rnd = 0 variations = '8,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008,0.251968503937008' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 111 cc = 0 rnd = 0 variations = '8,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 46 cc = 0 rnd = 0 variations = '8,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449,0.362204724409449' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 48 cc = 0 rnd = 0 variations = '8,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512,0.377952755905512' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'FastToSlow'
      type  = 344
      left  = 508
      top   = 503
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'FastToSlow'
      type  = 344
      left  = 508
      top   = 518
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'FastToSlow'
      type  = 344
      left  = 508
      top   = 533
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'FastToSlow'
      type  = 344
      left  = 508
      top   = 548
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'FastToSlow'
      type  = 344
      left  = 508
      top   = 563
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 578
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 13 cc = 0 rnd = 0 variations = '8,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627,0.0509803921568627' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 231 cc = 0 rnd = 0 variations = '8,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 608
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 38 cc = 0 rnd = 0 variations = '8,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375,0.1484375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 638
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 178 cc = 0 rnd = 0 variations = '8,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 231 cc = 0 rnd = 0 variations = '8,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Average'
      type  = 1001
      left  = 508
      top   = 668
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 207 cc = 0 rnd = 0 variations = '8,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353,0.811764705882353' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 231 cc = 0 rnd = 0 variations = '8,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375,0.90234375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 698
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 55 cc = 0 rnd = 0 variations = '8,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375,0.21484375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Filter6dB'
      type  = 1013
      left  = 508
      top   = 758
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6db_freq' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6db_freqmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'MixS2to1'
      type  = 204
      left  = 508
      top   = 788
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 244 cc = 0 rnd = 0 variations = '8,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125,0.953125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 254 cc = 0 rnd = 0 variations = '8,0.9921875,0.9921875,0.9921875,0.9921875,0.9921875,0.9921875,0.9921875,0.9921875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 818
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Delay'
      type  = 701
      left  = 508
      top   = 848
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'CuClipStereo'
      type  = 357
      left  = 508
      top   = 878
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'IntDif'
      type  = 1003
      left  = 758
      top   = 8
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'Arpeggiator'
      type  = 349
      left  = 758
      top   = 38
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'Seq16'
      type  = 1211
      left  = 758
      top   = 83
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 103 cc = 0 rnd = 0 variations = '8,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 17 cc = 0 rnd = 0 variations = '8,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 94 cc = 0 rnd = 0 variations = '8,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961,0.740157480314961' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 118 cc = 0 rnd = 0 variations = '8,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 27 cc = 0 rnd = 0 variations = '8,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 54 cc = 0 rnd = 0 variations = '8,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 12 cc = 0 rnd = 0 variations = '8,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 56 cc = 0 rnd = 0 variations = '8,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 20 cc = 0 rnd = 0 variations = '8,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 111 cc = 0 rnd = 0 variations = '8,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496,0.874015748031496' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'Seq16'
      type  = 1211
      left  = 758
      top   = 233
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 51 cc = 0 rnd = 0 variations = '8,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606,0.401574803149606' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 22 cc = 0 rnd = 0 variations = '8,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693,0.173228346456693' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 90 cc = 0 rnd = 0 variations = '8,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835,0.708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 36 cc = 0 rnd = 0 variations = '8,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134,0.283464566929134' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 104 cc = 0 rnd = 0 variations = '8,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 70 cc = 0 rnd = 0 variations = '8,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 79 cc = 0 rnd = 0 variations = '8,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 89 cc = 0 rnd = 0 variations = '8,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 123 cc = 0 rnd = 0 variations = '8,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 12 cc = 0 rnd = 0 variations = '8,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 113 cc = 0 rnd = 0 variations = '8,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Seq16'
      type  = 1211
      left  = 758
      top   = 383
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 78 cc = 0 rnd = 0 variations = '8,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 40 cc = 0 rnd = 0 variations = '8,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126,0.31496062992126' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 49 cc = 0 rnd = 0 variations = '8,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 14 cc = 0 rnd = 0 variations = '8,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441,0.110236220472441' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 24 cc = 0 rnd = 0 variations = '8,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 78 cc = 0 rnd = 0 variations = '8,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 116 cc = 0 rnd = 0 variations = '8,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654,0.913385826771654' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 110 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 75 cc = 0 rnd = 0 variations = '8,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 9 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 47 cc = 0 rnd = 0 variations = '8,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 78 cc = 0 rnd = 0 variations = '8,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 8
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 51 cc = 0 rnd = 0 variations = '8,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 68 cc = 0 rnd = 0 variations = '8,0.68,0.68,0.68,0.68,0.68,0.68,0.68,0.68' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'IntDif'
      type  = 1003
      left  = 1008
      top   = 68
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 98
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 20 cc = 0 rnd = 0 variations = '8,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196,0.0784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 178 cc = 0 rnd = 0 variations = '8,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274,0.698039215686274' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'Formant2'
      type  = 1012
      left  = 1008
      top   = 143
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 195 cc = 0 rnd = 0 variations = '8,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'Formant2'
      type  = 1012
      left  = 1008
      top   = 188
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 195 cc = 0 rnd = 0 variations = '8,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875,0.76171875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'GVerb'
      type  = 707
      left  = 1008
      top   = 233
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 56 cc = 0 rnd = 0 variations = '8,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255,0.219607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 14 cc = 0 rnd = 0 variations = '8,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205,0.0551181102362205' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'GVerb'
      type  = 707
      left  = 1008
      top   = 323
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 145 cc = 0 rnd = 0 variations = '8,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 228 cc = 0 rnd = 0 variations = '8,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268,0.446183953033268' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 221 cc = 0 rnd = 0 variations = '8,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 106 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 1 cc = 0 rnd = 0 variations = '8,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575,0.00393700787401575' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'CuClipStereo'
      type  = 357
      left  = 1008
      top   = 413
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.volume_outl' dst = 'TKnobsModule12.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.volume_outr' dst = 'TKnobsModule12.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outl' dst = 'TKnobsModule11.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outr' dst = 'TKnobsModule11.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.osc_out' dst = 'TKnobsModule2.lifeseq_step')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule2.lifeseq_change')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_sum' dst = 'TKnobsModule3.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.envarretrig_sigout' dst = 'TKnobsModule4.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_change' dst = 'TKnobsModule3.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out1' dst = 'TKnobsModule15.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out2' dst = 'TKnobsModule16.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out17' dst = 'TKnobsModule15.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out18' dst = 'TKnobsModule16.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out3' dst = 'TKnobsModule17.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out19' dst = 'TKnobsModule17.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out9' dst = 'TKnobsModule18.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out25' dst = 'TKnobsModule18.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out10' dst = 'TKnobsModule19.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out26' dst = 'TKnobsModule19.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out11' dst = 'TKnobsModule20.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lifeseq_out27' dst = 'TKnobsModule20.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.modal2_in' dst = 'TKnobsModule24.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outl' dst = 'TKnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outr' dst = 'TKnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.envarretrig_sigout' dst = 'TKnobsModule1.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.cuclipstereo_outl' dst = 'TKnobsModule8.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.cuclipstereo_outr' dst = 'TKnobsModule8.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rsflipflop_notq' dst = 'TKnobsModule0.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.seq16_stepout1' dst = 'TKnobsModule27.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_stepout1' dst = 'TKnobsModule47.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.rsflipflop_q' dst = 'TKnobsModule47.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out' dst = 'TKnobsModule24.modal2_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.rsflipflop_q' dst = 'TKnobsModule27.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.seq16_out' dst = 'TKnobsModule4.modal2_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.seq16_stepout1' dst = 'TKnobsModule28.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_stepout1' dst = 'TKnobsModule48.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.rsflipflop_q' dst = 'TKnobsModule28.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.rsflipflop_q' dst = 'TKnobsModule48.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.seq16_out' dst = 'TKnobsModule4.modal2_lfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_out' dst = 'TKnobsModule24.modal2_lfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.seq16_stepout1' dst = 'TKnobsModule29.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_stepout1' dst = 'TKnobsModule49.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.rsflipflop_q' dst = 'TKnobsModule49.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.rsflipflop_q' dst = 'TKnobsModule29.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.seq16_out' dst = 'TKnobsModule4.modal2_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out' dst = 'TKnobsModule24.modal2_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.modal2_out' dst = 'TKnobsModule5.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.modal2_out' dst = 'TKnobsModule5.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.seq16_out3' dst = 'TKnobsModule5.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out2' dst = 'TKnobsModule13.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.quantizer_out' dst = 'TKnobsModule0.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out3' dst = 'TKnobsModule14.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.quantizer_out' dst = 'TKnobsModule1.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.rotator_out2' dst = 'TKnobsModule6.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.compressor_outr' dst = 'TKnobsModule7.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.rotator_out1' dst = 'TKnobsModule6.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.compressor_outl' dst = 'TKnobsModule7.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.quantizer_out' dst = 'TKnobsModule45.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.intdif_in' dst = 'TKnobsModule46.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.intdif_dif' dst = 'TKnobsModule46.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.lfo_out' dst = 'TKnobsModule46.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.arpeggiator_out' dst = 'TKnobsModule50.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.osc_out' dst = 'TKnobsModule50.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out2' dst = 'TKnobsModule53.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.formant2_out' dst = 'TKnobsModule55.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.formant2_out' dst = 'TKnobsModule55.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out3' dst = 'TKnobsModule54.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.seq16_out2' dst = 'TKnobsModule54.formant2_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_out3' dst = 'TKnobsModule53.formant2_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.seq16_out3' dst = 'TKnobsModule55.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.cuclipstereo_outr' dst = 'TKnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.cuclipstereo_outl' dst = 'TKnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.gverb_outl' dst = 'TKnobsModule56.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.gverb_outl' dst = 'TKnobsModule57.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.gverb_outr' dst = 'TKnobsModule56.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.gverb_outr' dst = 'TKnobsModule57.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.arpeggiator_out' dst = 'TKnobsModule51.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.intdif_dif' dst = 'TKnobsModule52.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.envarretrig_sigout' dst = 'TKnobsModule53.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.osc_out' dst = 'TKnobsModule52.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.formant2_in' dst = 'TKnobsModule54.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule10.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule10.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.seq16_out2' dst = 'TKnobsModule30.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.fasttoslow_out' dst = 'TKnobsModule36.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.avg_lp' dst = 'TKnobsModule39.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.mixs2to1_inr1' dst = 'TKnobsModule41.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.mixs2to1_outl' dst = 'TKnobsModule42.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.mixs2to1_outr' dst = 'TKnobsModule43.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.delay_out' dst = 'TKnobsModule41.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.delay_out' dst = 'TKnobsModule41.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.seq16_out2' dst = 'TKnobsModule31.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.fasttoslow_out' dst = 'TKnobsModule36.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.delay_in' dst = 'TKnobsModule44.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.cuclipstereo_outr' dst = 'TKnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.delay_in' dst = 'TKnobsModule44.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.cuclipstereo_outl' dst = 'TKnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.filter6db_lp' dst = 'TKnobsModule41.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.osc_out' dst = 'TKnobsModule40.filter6db_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.seq16_out2' dst = 'TKnobsModule33.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.avg_lp' dst = 'TKnobsModule41.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.seq16_out4' dst = 'TKnobsModule32.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.avg_lp' dst = 'TKnobsModule41.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.fasttoslow_out' dst = 'TKnobsModule37.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.fasttoslow_out' dst = 'TKnobsModule38.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.seq16_out4' dst = 'TKnobsModule34.fasttoslow_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.fasttoslow_out' dst = 'TKnobsModule35.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.avg_lp' dst = 'TKnobsModule9.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.lfo_out' dst = 'TKnobsModule39.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.gate_out' dst = 'TKnobsModule22.gate_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.rsflipflop_notq' dst = 'TKnobsModule21.gate_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.rsflipflop_notq' dst = 'TKnobsModule21.gate_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.rsflipflop_notq' dst = 'TKnobsModule21.gate_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.rsflipflop_notq' dst = 'TKnobsModule21.gate_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.rsflipflop_notq' dst = 'TKnobsModule22.gate_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_inr2' dst = 'TKnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.svf_bp' dst = 'TKnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.gate_out' dst = 'TKnobsModule58.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.intdif_dif' dst = 'TKnobsModule23.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.seq16_out3' dst = 'TKnobsModule23.svf_fm')
  )
)
