Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-02-10-01'
  version   = 7
  variation = 0
  guid      = '{B7F02107-19BE-4F81-9917-5F4BF07F085F}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 108 cc = 0 rnd = 0 variations = '8,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 10 cc = 0 rnd = 0 variations = '8,0.0390625,0.0390625,0.0390625,0.0390625,0.0390625,0.0390625,0.0390625,0.0390625' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Delay'
      type  = 701
      left  = 8
      top   = 53
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 157 cc = 0 rnd = 0 variations = '8,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Osc'
      type  = 501
      left  = 8
      top   = 83
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 51 cc = 0 rnd = 0 variations = '8,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 61 cc = 0 rnd = 0 variations = '8,0.61,0.61,0.61,0.61,0.61,0.61,0.61,0.61' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'IntDif'
      type  = 1003
      left  = 8
      top   = 143
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'RangeConverter'
      type  = 322
      left  = 8
      top   = 173
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 277 cc = 0 rnd = 0 variations = '8,0.541015625,0.541015625,0.541015625,0.541015625,0.541015625,0.541015625,0.541015625,0.541015625' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'EnvARRetrig'
      type  = 902
      left  = 8
      top   = 218
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 21 cc = 0 rnd = 0 variations = '8,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706,0.0823529411764706' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 199 cc = 0 rnd = 0 variations = '8,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745,0.780392156862745' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'MoogFilter'
      type  = 1017
      left  = 8
      top   = 263
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 160 cc = 0 rnd = 0 variations = '8,0.627450980392157,0.627450980392157,0.627450980392157,0.627450980392157,0.627450980392157,0.627450980392157,0.627450980392157,0.627450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 71 cc = 0 rnd = 0 variations = '8,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'MoogFilter'
      type  = 1017
      left  = 8
      top   = 308
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_q' value = 167 cc = 0 rnd = 0 variations = '8,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_fmlevel' value = 71 cc = 0 rnd = 0 variations = '8,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375,0.27734375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_inlevel' value = 230 cc = 0 rnd = 0 variations = '8,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375,0.8984375' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'moogfilter_linfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Chladni'
      type  = 1024
      left  = 8
      top   = 353
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 170 cc = 0 rnd = 0 variations = '8,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 203 cc = 0 rnd = 0 variations = '8,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'CubicClip'
      type  = 340
      left  = 8
      top   = 473
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 156 cc = 0 rnd = 0 variations = '8,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 518
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 35 cc = 0 rnd = 0 variations = '8,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 239 cc = 0 rnd = 0 variations = '8,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 221 cc = 0 rnd = 0 variations = '8,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748,0.87007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 211 cc = 0 rnd = 0 variations = '8,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 18 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 608
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 102 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 239 cc = 0 rnd = 0 variations = '8,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 59 cc = 0 rnd = 0 variations = '8,0.11545988258317,0.11545988258317,0.11545988258317,0.11545988258317,0.11545988258317,0.11545988258317,0.11545988258317,0.11545988258317' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 239 cc = 0 rnd = 0 variations = '8,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 211 cc = 0 rnd = 0 variations = '8,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 200 cc = 0 rnd = 0 variations = '8,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196,0.784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 210 cc = 0 rnd = 0 variations = '8,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125,0.8203125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 221 cc = 0 rnd = 0 variations = '8,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Compressor'
      type  = 906
      left  = 8
      top   = 728
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 82 cc = 0 rnd = 0 variations = '8,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098,0.32156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 4 cc = 0 rnd = 0 variations = '8,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039,0.0156862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'CuClipStereo'
      type  = 357
      left  = 8
      top   = 818
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'Volume'
      type  = 212
      left  = 8
      top   = 848
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'AudioOut'
      type  = 102
      left  = 8
      top   = 878
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Seq16'
      type  = 1211
      left  = 258
      top   = 8
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 20 cc = 0 rnd = 0 variations = '8,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 44 cc = 0 rnd = 0 variations = '8,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 47 cc = 0 rnd = 0 variations = '8,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 23 cc = 0 rnd = 0 variations = '8,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724,0.181102362204724' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 12 cc = 0 rnd = 0 variations = '8,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 34 cc = 0 rnd = 0 variations = '8,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 3 cc = 0 rnd = 0 variations = '8,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 101 cc = 0 rnd = 0 variations = '8,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181,0.795275590551181' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 28 cc = 0 rnd = 0 variations = '8,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 104 cc = 0 rnd = 0 variations = '8,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276,0.818897637795276' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 56 cc = 0 rnd = 0 variations = '8,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 258
      top   = 158
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 165 cc = 0 rnd = 0 variations = '8,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 36 cc = 0 rnd = 0 variations = '8,0.514285714285714,0.514285714285714,0.514285714285714,0.514285714285714,0.514285714285714,0.514285714285714,0.514285714285714,0.514285714285714' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 323
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 204 cc = 0 rnd = 0 variations = '8,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Chladni'
      type  = 1024
      left  = 258
      top   = 353
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 170 cc = 0 rnd = 0 variations = '8,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625,0.6640625' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 203 cc = 0 rnd = 0 variations = '8,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197,0.799212598425197' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'CubicClip'
      type  = 340
      left  = 258
      top   = 473
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 156 cc = 0 rnd = 0 variations = '8,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375,0.609375' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'MixS2to1'
      type  = 204
      left  = 258
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 183 cc = 0 rnd = 0 variations = '8,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375,0.71484375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 160 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 743
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 123 cc = 0 rnd = 0 variations = '8,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471,0.482352941176471' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 239 cc = 0 rnd = 0 variations = '8,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764,0.940944881889764' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 20 cc = 0 rnd = 0 variations = '8,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 228 cc = 0 rnd = 0 variations = '8,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 211 cc = 0 rnd = 0 variations = '8,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 18 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'TextWriter'
      type  = 1117
      left  = 258
      top   = 833
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2019-02-10-01' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 65 cc = 0 rnd = 0 variations = '8,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314,0.254901960784314' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Monadic'
      type  = 332
      left  = 508
      top   = 53
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'monadic_function' value = 27 cc = 0 rnd = 0 variations = '8,0.964285714285714,0.964285714285714,0.964285714285714,0.964285714285714,0.964285714285714,0.964285714285714,0.964285714285714,0.964285714285714' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 77 cc = 0 rnd = 0 variations = '8,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 67 cc = 0 rnd = 0 variations = '8,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875,0.26171875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Lfo'
      type  = 401
      left  = 508
      top   = 128
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 67 cc = 0 rnd = 0 variations = '8,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216,0.262745098039216' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 76 cc = 0 rnd = 0 variations = '8,0.296875,0.296875,0.296875,0.296875,0.296875,0.296875,0.296875,0.296875' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'ProgDivider'
      type  = 612
      left  = 758
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 1 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Arpeggiator'
      type  = 349
      left  = 758
      top   = 68
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Arpeggiator'
      type  = 349
      left  = 758
      top   = 113
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 158
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 230 cc = 0 rnd = 0 variations = '8,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'SVF'
      type  = 1002
      left  = 758
      top   = 203
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 51 cc = 0 rnd = 0 variations = '8,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 248
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 157 cc = 0 rnd = 0 variations = '8,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 278
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 25 cc = 0 rnd = 0 variations = '8,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625,0.09765625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'IntDif'
      type  = 1003
      left  = 758
      top   = 338
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 368
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 203 cc = 0 rnd = 0 variations = '8,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549,0.796078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'ProgDivider'
      type  = 612
      left  = 1008
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 1 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Arpeggiator'
      type  = 349
      left  = 1008
      top   = 68
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Arpeggiator'
      type  = 349
      left  = 1008
      top   = 113
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'SVF'
      type  = 1002
      left  = 1008
      top   = 158
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 230 cc = 0 rnd = 0 variations = '8,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726,0.901960784313726' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'SVF'
      type  = 1002
      left  = 1008
      top   = 203
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 51 cc = 0 rnd = 0 variations = '8,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875,0.19921875' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Delay'
      type  = 701
      left  = 1008
      top   = 248
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 157 cc = 0 rnd = 0 variations = '8,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804,0.615686274509804' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 278
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 12 cc = 0 rnd = 0 variations = '8,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875,0.046875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 35 cc = 0 rnd = 0 variations = '8,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875,0.13671875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'IntDif'
      type  = 1003
      left  = 1008
      top   = 338
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1008
      top   = 368
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 91 cc = 0 rnd = 0 variations = '8,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039,0.356862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.volume_outl' dst = 'TKnobsModule16.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.volume_outr' dst = 'TKnobsModule16.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.gverb_outl' dst = 'TKnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.gverb_outr' dst = 'TKnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.osc_out' dst = 'TKnobsModule5.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule17.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_stepout1' dst = 'TKnobsModule17.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out' dst = 'TKnobsModule18.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.chladni_out' dst = 'TKnobsModule9.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.chladni_out' dst = 'TKnobsModule21.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.cubicclip_out' dst = 'TKnobsModule11.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.cubicclip_out' dst = 'TKnobsModule11.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out4' dst = 'TKnobsModule20.chladni_pmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.lfo_out' dst = 'TKnobsModule26.monadic_x')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.monadic_x' dst = 'TKnobsModule12.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.monadic_out' dst = 'TKnobsModule12.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_outr' dst = 'TKnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.gverb_outl' dst = 'TKnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envarretrig_sigout' dst = 'TKnobsModule1.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.delay_out' dst = 'TKnobsModule2.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envarretrig_out' dst = 'TKnobsModule1.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envarretrig_out' dst = 'TKnobsModule25.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outl' dst = 'TKnobsModule13.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.mixs2to1_outr' dst = 'TKnobsModule13.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.compressor_outl' dst = 'TKnobsModule14.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.compressor_outr' dst = 'TKnobsModule14.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.osc_freq' dst = 'TKnobsModule3.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.intdif_dif' dst = 'TKnobsModule5.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envarretrig_sigout' dst = 'TKnobsModule6.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.moogfilter_in' dst = 'TKnobsModule7.moogfilter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfo_out' dst = 'TKnobsModule27.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.lfo_out' dst = 'TKnobsModule28.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out' dst = 'TKnobsModule5.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.scalequantizer_in' dst = 'TKnobsModule18.scalequantizer_levmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out2' dst = 'TKnobsModule4.rangeconverter_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_in4' dst = 'TKnobsModule10.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_out4' dst = 'TKnobsModule5.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outr' dst = 'TKnobsModule23.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.gverb_outr' dst = 'TKnobsModule15.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.cuclipstereo_outl' dst = 'TKnobsModule23.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.gverb_outl' dst = 'TKnobsModule15.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.envarretrig_rmod' dst = 'TKnobsModule0.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.moogfilter_freq' dst = 'TKnobsModule6.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.moogfilter_freq' dst = 'TKnobsModule2.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.scalequantizer_out' dst = 'TKnobsModule7.moogfilter_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.scalequantizer_out' dst = 'TKnobsModule30.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.mixs2to1_outl' dst = 'TKnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.mixs2to1_outr' dst = 'TKnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_in3' dst = 'TKnobsModule8.chladni_pmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_out3' dst = 'TKnobsModule4.rangeconverter_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_out3' dst = 'TKnobsModule31.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.arpeggiator_newinput' dst = 'TKnobsModule31.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.arpeggiator_newoutput' dst = 'TKnobsModule31.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.intdif_dif' dst = 'TKnobsModule37.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.osc_out' dst = 'TKnobsModule37.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_inl1' dst = 'TKnobsModule10.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.moogfilter_out' dst = 'TKnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_outl' dst = 'TKnobsModule8.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_inr1' dst = 'TKnobsModule10.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.moogfilter_out' dst = 'TKnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_outr' dst = 'TKnobsModule20.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.envarretrig_out' dst = 'TKnobsModule35.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.progdivider_trig' dst = 'TKnobsModule30.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.seq16_trig' dst = 'TKnobsModule29.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.progdivider_out' dst = 'TKnobsModule30.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfo_out' dst = 'TKnobsModule29.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.svf_lp' dst = 'TKnobsModule35.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.svf_freq' dst = 'TKnobsModule32.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.arpeggiator_out' dst = 'TKnobsModule32.svf_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.svf_lp' dst = 'TKnobsModule37.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.arpeggiator_out' dst = 'TKnobsModule33.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.delay_in' dst = 'TKnobsModule19.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.envarretrig_sigout' dst = 'TKnobsModule34.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.delay_out' dst = 'TKnobsModule35.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.svf_in' dst = 'TKnobsModule36.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.osc_warpmod' dst = 'TKnobsModule33.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_inr2' dst = 'TKnobsModule22.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.osc_phase' dst = 'TKnobsModule19.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_inl2' dst = 'TKnobsModule22.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.lfo_fm' dst = 'TKnobsModule4.rangeconverter_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_in2' dst = 'TKnobsModule7.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_out2' dst = 'TKnobsModule37.envarretrig_amod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.envarretrig_amod' dst = 'TKnobsModule37.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.arpeggiator_newinput' dst = 'TKnobsModule39.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.arpeggiator_newoutput' dst = 'TKnobsModule40.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.intdif_dif' dst = 'TKnobsModule46.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.osc_out' dst = 'TKnobsModule46.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_out' dst = 'TKnobsModule44.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.arpeggiator_newinput' dst = 'TKnobsModule38.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.progdivider_out' dst = 'TKnobsModule39.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.svf_lp' dst = 'TKnobsModule44.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.svf_freq' dst = 'TKnobsModule41.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.arpeggiator_out' dst = 'TKnobsModule41.svf_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.svf_lp' dst = 'TKnobsModule46.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.arpeggiator_out' dst = 'TKnobsModule42.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_sigout' dst = 'TKnobsModule43.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.delay_out' dst = 'TKnobsModule44.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.svf_in' dst = 'TKnobsModule45.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.osc_warpmod' dst = 'TKnobsModule42.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.arpeggiator_newinput' dst = 'TKnobsModule40.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.lfo_fm' dst = 'TKnobsModule4.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_in1' dst = 'TKnobsModule6.moogfilter_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.osc_phase' dst = 'TKnobsModule22.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_sigout' dst = 'TKnobsModule22.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.arpeggiator_in' dst = 'TKnobsModule39.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.arpeggiator_in' dst = 'TKnobsModule40.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.lfo_out' dst = 'TKnobsModule38.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.rangeconverter_out1' dst = 'TKnobsModule46.envarretrig_rmod')
  )
)
