Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-02-20-02'
  version   = 7
  variation = 0
  guid      = '{430BA8A7-B150-4C76-8C37-7DBD8D35BCAD}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'SampleAndHold'
      type  = 801
      left  = 8
      top   = 8
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'sampleandhold_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Lfo'
      type  = 401
      left  = 8
      top   = 23
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 75 cc = 0 rnd = 0 variations = '8,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824,0.294117647058824' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 2 cc = 0 rnd = 0 variations = '8,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125,0.0078125' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Amplifier'
      type  = 305
      left  = 8
      top   = 68
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'amplifier_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'amplifier_gain' value = 140 cc = 0 rnd = 0 variations = '8,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875' )
        detail( class = 'TKnobsSelector' name = 'amplifier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Seq16'
      type  = 1211
      left  = 8
      top   = 98
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 68 cc = 0 rnd = 0 variations = '8,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 96 cc = 0 rnd = 0 variations = '8,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 118 cc = 0 rnd = 0 variations = '8,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717,0.929133858267717' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 76 cc = 0 rnd = 0 variations = '8,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394,0.598425196850394' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 33 cc = 0 rnd = 0 variations = '8,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039,0.259842519685039' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 73 cc = 0 rnd = 0 variations = '8,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299,0.574803149606299' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 12 cc = 0 rnd = 0 variations = '8,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378,0.094488188976378' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 126 cc = 0 rnd = 0 variations = '8,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 86 cc = 0 rnd = 0 variations = '8,0.677165354330709,0.677165354330709,0.677165354330709,0.677165354330709,0.677165354330709,0.677165354330709,0.677165354330709,0.677165354330709' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 11 cc = 0 rnd = 0 variations = '8,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465,0.0866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 88 cc = 0 rnd = 0 variations = '8,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 1 cc = 0 rnd = 0 variations = '8,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Quantizer'
      type  = 307
      left  = 8
      top   = 248
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 7 cc = 0 rnd = 0 variations = '8,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'SlowToFast'
      type  = 361
      left  = 8
      top   = 293
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'SlowToFast'
      type  = 361
      left  = 8
      top   = 308
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'WavePlayer'
      type  = 702
      left  = 8
      top   = 323
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsFileSelector' name = 'waveplayer_fileselector_filename' value = 'D:\_mystuff\wren\_media\prayer1.wav' )
        detail( class = 'TKnobsSelector' name = 'waveplayer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 8
      top   = 383
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 226 cc = 0 rnd = 0 variations = '8,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922,0.886274509803922' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 74 cc = 0 rnd = 0 variations = '8,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373,0.290196078431373' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'IntDif'
      type  = 1003
      left  = 8
      top   = 428
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 458
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 255 cc = 0 rnd = 0 variations = '8,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375,0.99609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'PitchShift'
      type  = 910
      left  = 8
      top   = 488
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 186 cc = 0 rnd = 0 variations = '8,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333,0.645833333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 236 cc = 0 rnd = 0 variations = '8,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'PitchShift'
      type  = 910
      left  = 8
      top   = 533
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'pitchshift_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shift' value = 114 cc = 0 rnd = 0 variations = '8,0.395833333333333,0.395833333333333,0.395833333333333,0.395833333333333,0.395833333333333,0.395833333333333,0.395833333333333,0.395833333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftmodamt' value = 32 cc = 0 rnd = 0 variations = '8,0.125,0.125,0.125,0.125,0.125,0.125,0.125,0.125' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_shiftfine' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delay' value = 222 cc = 0 rnd = 0 variations = '8,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118,0.870588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'pitchshift_delaymodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'MixM3to1'
      type  = 211
      left  = 8
      top   = 578
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 608
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 16 cc = 0 rnd = 0 variations = '8,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157,0.0627450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 230 cc = 0 rnd = 0 variations = '8,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 219 cc = 0 rnd = 0 variations = '8,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 113 cc = 0 rnd = 0 variations = '8,0.44488188976378,0.44488188976378,0.44488188976378,0.44488188976378,0.44488188976378,0.44488188976378,0.44488188976378,0.44488188976378' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 68 cc = 0 rnd = 0 variations = '8,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 698
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 164 cc = 0 rnd = 0 variations = '8,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625,0.640625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 189 cc = 0 rnd = 0 variations = '8,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 728
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 215 cc = 0 rnd = 0 variations = '8,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 189 cc = 0 rnd = 0 variations = '8,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 758
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 224 cc = 0 rnd = 0 variations = '8,0.875,0.875,0.875,0.875,0.875,0.875,0.875,0.875' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 213 cc = 0 rnd = 0 variations = '8,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125,0.83203125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'GVerb'
      type  = 707
      left  = 8
      top   = 788
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 112 cc = 0 rnd = 0 variations = '8,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451,0.43921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 243 cc = 0 rnd = 0 variations = '8,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 89 cc = 0 rnd = 0 variations = '8,0.174168297455969,0.174168297455969,0.174168297455969,0.174168297455969,0.174168297455969,0.174168297455969,0.174168297455969,0.174168297455969' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 238 cc = 0 rnd = 0 variations = '8,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748,0.937007874015748' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'MixS2to1'
      type  = 204
      left  = 8
      top   = 878
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 207 cc = 0 rnd = 0 variations = '8,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375,0.80859375' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 215 cc = 0 rnd = 0 variations = '8,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375,0.83984375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 8
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'Divider'
      type  = 603
      left  = 258
      top   = 38
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Seq16'
      type  = 1211
      left  = 258
      top   = 68
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 49 cc = 0 rnd = 0 variations = '8,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 5 cc = 0 rnd = 0 variations = '8,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575,0.0393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 92 cc = 0 rnd = 0 variations = '8,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898,0.724409448818898' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 103 cc = 0 rnd = 0 variations = '8,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 37 cc = 0 rnd = 0 variations = '8,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 79 cc = 0 rnd = 0 variations = '8,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488,0.622047244094488' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 82 cc = 0 rnd = 0 variations = '8,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 75 cc = 0 rnd = 0 variations = '8,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362,0.590551181102362' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'GVerb'
      type  = 707
      left  = 258
      top   = 218
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 145 cc = 0 rnd = 0 variations = '8,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 243 cc = 0 rnd = 0 variations = '8,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827,0.956692913385827' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 381 cc = 0 rnd = 0 variations = '8,0.74559686888454,0.74559686888454,0.74559686888454,0.74559686888454,0.74559686888454,0.74559686888454,0.74559686888454,0.74559686888454' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 201 cc = 0 rnd = 0 variations = '8,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165,0.791338582677165' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 308
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'EnvARRetrig'
      type  = 902
      left  = 258
      top   = 353
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Chladni'
      type  = 1024
      left  = 258
      top   = 398
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 220 cc = 0 rnd = 0 variations = '8,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375,0.859375' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 26 cc = 0 rnd = 0 variations = '8,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Chladni'
      type  = 1024
      left  = 258
      top   = 518
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 221 cc = 0 rnd = 0 variations = '8,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125,0.86328125' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 8 cc = 0 rnd = 0 variations = '8,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125,0.03125' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 26 cc = 0 rnd = 0 variations = '8,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'CuClipStereo'
      type  = 357
      left  = 258
      top   = 638
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 217 cc = 0 rnd = 0 variations = '8,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625,0.84765625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Compressor'
      type  = 906
      left  = 258
      top   = 668
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 34 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 77 cc = 0 rnd = 0 variations = '8,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725,0.301960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 5 cc = 0 rnd = 0 variations = '8,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549,0.0196078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 137 cc = 0 rnd = 0 variations = '8,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'CuClipStereo'
      type  = 357
      left  = 258
      top   = 758
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Volume'
      type  = 212
      left  = 258
      top   = 788
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 165 cc = 0 rnd = 0 variations = '8,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125,0.64453125' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'AudioOut'
      type  = 102
      left  = 258
      top   = 818
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'ChebGen'
      type  = 326
      left  = 508
      top   = 8
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'XFade'
      type  = 201
      left  = 508
      top   = 38
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 68
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 83
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'LevelConverter'
      type  = 329
      left  = 508
      top   = 98
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'MultiSAndH'
      type  = 804
      left  = 508
      top   = 128
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'multisandh_trig' value = '32768' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Quantizer'
      type  = 307
      left  = 508
      top   = 158
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Quantizer'
      type  = 307
      left  = 508
      top   = 203
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 15 cc = 0 rnd = 0 variations = '8,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405,0.0146627565982405' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 248
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'Multiplier'
      type  = 304
      left  = 508
      top   = 308
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Osc'
      type  = 501
      left  = 508
      top   = 323
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 43 cc = 0 rnd = 0 variations = '8,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 62 cc = 0 rnd = 0 variations = '8,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 54 cc = 0 rnd = 0 variations = '8,0.54,0.54,0.54,0.54,0.54,0.54,0.54,0.54' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'IntDif'
      type  = 1003
      left  = 508
      top   = 383
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'IntDif'
      type  = 1003
      left  = 508
      top   = 413
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 443
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 221 cc = 0 rnd = 0 variations = '8,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667,0.866666666666667' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'EnvARRetrig'
      type  = 902
      left  = 508
      top   = 488
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 218 cc = 0 rnd = 0 variations = '8,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314,0.854901960784314' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 533
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Divider'
      type  = 603
      left  = 508
      top   = 563
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Seq16'
      type  = 1211
      left  = 508
      top   = 593
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 97 cc = 0 rnd = 0 variations = '8,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 77 cc = 0 rnd = 0 variations = '8,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425,0.606299212598425' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 58 cc = 0 rnd = 0 variations = '8,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827,0.456692913385827' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 72 cc = 0 rnd = 0 variations = '8,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268,0.566929133858268' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 96 cc = 0 rnd = 0 variations = '8,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 108 cc = 0 rnd = 0 variations = '8,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 91 cc = 0 rnd = 0 variations = '8,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866,0.716535433070866' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 61 cc = 0 rnd = 0 variations = '8,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921,0.480314960629921' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 127 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 28 cc = 0 rnd = 0 variations = '8,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'TextWriter'
      type  = 1117
      left  = 508
      top   = 773
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '2019-02-20-02' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 8
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 68 cc = 0 rnd = 0 variations = '8,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667,0.266666666666667' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 57 cc = 0 rnd = 0 variations = '8,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 210 cc = 0 rnd = 0 variations = '8,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 83
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 73 cc = 0 rnd = 0 variations = '8,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922,0.286274509803922' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 57 cc = 0 rnd = 0 variations = '8,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 210 cc = 0 rnd = 0 variations = '8,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'RandSigs'
      type  = 415
      left  = 758
      top   = 158
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_frequency' value = 64 cc = 0 rnd = 0 variations = '8,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863,0.250980392156863' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_range' value = 2 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'randsigs_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_dist' value = 57 cc = 0 rnd = 0 variations = '8,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706,0.223529411764706' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_lambda' value = 210 cc = 0 rnd = 0 variations = '8,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706,0.823529411764706' )
        detail( class = 'TKnobsSelector' name = 'randsigs_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfb' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_distfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfb' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'randsigs_fmfbmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Multiplier'
      type  = 304
      left  = 758
      top   = 233
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'LevelConverter'
      type  = 329
      left  = 758
      top   = 248
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'Quantizer'
      type  = 307
      left  = 758
      top   = 278
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 7 cc = 0 rnd = 0 variations = '8,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 192 cc = 0 rnd = 0 variations = '8,0.75,0.75,0.75,0.75,0.75,0.75,0.75,0.75' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 323
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 99 cc = 0 rnd = 0 variations = '8,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647,0.388235294117647' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'Osc'
      type  = 501
      left  = 758
      top   = 353
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 45 cc = 0 rnd = 0 variations = '8,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417,0.354330708661417' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 37 cc = 0 rnd = 0 variations = '8,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125,0.14453125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'IntDif'
      type  = 1003
      left  = 758
      top   = 413
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 443
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 69 cc = 0 rnd = 0 variations = '8,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118,0.270588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 236 cc = 0 rnd = 0 variations = '8,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431,0.925490196078431' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'CuClipStereo'
      type  = 357
      left  = 758
      top   = 488
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 171 cc = 0 rnd = 0 variations = '8,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875,0.66796875' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 336 cc = 0 rnd = 0 variations = '8,0.65625,0.65625,0.65625,0.65625,0.65625,0.65625,0.65625,0.65625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'Noise'
      type  = 503
      left  = 758
      top   = 518
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 62 cc = 0 rnd = 0 variations = '8,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961,0.243137254901961' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 200 cc = 0 rnd = 0 variations = '8,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315,0.78740157480315' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule64'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 548
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule65'
      title = 'Divider'
      type  = 603
      left  = 758
      top   = 578
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule66'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 608
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 45 cc = 0 rnd = 0 variations = '8,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294,0.176470588235294' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 152 cc = 0 rnd = 0 variations = '8,0.596078431372549,0.596078431372549,0.596078431372549,0.596078431372549,0.596078431372549,0.596078431372549,0.596078431372549,0.596078431372549' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule67'
      title = 'EnvARRetrig'
      type  = 902
      left  = 758
      top   = 653
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 108 cc = 0 rnd = 0 variations = '8,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706,0.423529411764706' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule68'
      title = 'Adder'
      type  = 303
      left  = 758
      top   = 698
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule69'
      title = 'Rotator'
      type  = 309
      left  = 758
      top   = 713
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'rotator_sctype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'rotator_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule70'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 743
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 186 cc = 0 rnd = 0 variations = '8,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625,0.7265625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 252 cc = 0 rnd = 0 variations = '8,0.984375,0.984375,0.984375,0.984375,0.984375,0.984375,0.984375,0.984375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule71'
      title = 'MixS2to1'
      type  = 204
      left  = 758
      top   = 773
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 252 cc = 0 rnd = 0 variations = '8,0.984375,0.984375,0.984375,0.984375,0.984375,0.984375,0.984375,0.984375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule72'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 803
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 167 cc = 0 rnd = 0 variations = '8,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314,0.654901960784314' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule73'
      title = 'Delay'
      type  = 701
      left  = 758
      top   = 833
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 146 cc = 0 rnd = 0 variations = '8,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843,0.572549019607843' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule74'
      title = 'Poetry'
      type  = 327
      left  = 1008
      top   = 8
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 1391 cc = 0 rnd = 0 variations = '8,0.33968253968254,0.33968253968254,0.33968253968254,0.33968253968254,0.33968253968254,0.33968253968254,0.33968253968254,0.33968253968254' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule75'
      title = 'Osc'
      type  = 501
      left  = 1008
      top   = 53
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81 cc = 0 rnd = 0 variations = '8,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551,0.637795275590551' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 43 cc = 0 rnd = 0 variations = '8,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875,0.16796875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 62 cc = 0 rnd = 0 variations = '8,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875,0.2421875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 72 cc = 0 rnd = 0 variations = '8,0.72,0.72,0.72,0.72,0.72,0.72,0.72,0.72' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule76'
      title = 'GVerb'
      type  = 707
      left  = 1008
      top   = 113
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 106 cc = 0 rnd = 0 variations = '8,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804,0.415686274509804' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 230 cc = 0 rnd = 0 variations = '8,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622,0.905511811023622' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 209 cc = 0 rnd = 0 variations = '8,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 87 cc = 0 rnd = 0 variations = '8,0.170254403131115,0.170254403131115,0.170254403131115,0.170254403131115,0.170254403131115,0.170254403131115,0.170254403131115,0.170254403131115' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 219 cc = 0 rnd = 0 variations = '8,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449,0.862204724409449' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 153 cc = 0 rnd = 0 variations = '8,0.602362204724409,0.602362204724409,0.602362204724409,0.602362204724409,0.602362204724409,0.602362204724409,0.602362204724409,0.602362204724409' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.volume_outl' dst = 'TKnobsModule32.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.volume_outr' dst = 'TKnobsModule32.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_stepout1' dst = 'TKnobsModule3.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.gverb_outl' dst = 'TKnobsModule19.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.gverb_outr' dst = 'TKnobsModule19.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.divider_out' dst = 'TKnobsModule22.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out' dst = 'TKnobsModule26.chladni_lfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out2' dst = 'TKnobsModule27.chladni_lfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out4' dst = 'TKnobsModule26.chladni_pmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.chladni_pmod' dst = 'TKnobsModule27.chladni_pmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.gverb_outl' dst = 'TKnobsModule24.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.envarretrig_sigout' dst = 'TKnobsModule26.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.gverb_outr' dst = 'TKnobsModule25.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.envarretrig_sigout' dst = 'TKnobsModule27.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.chladni_out' dst = 'TKnobsModule28.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.chladni_out' dst = 'TKnobsModule28.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out2' dst = 'TKnobsModule22.seq16_xfademod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out3' dst = 'TKnobsModule9.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out3' dst = 'TKnobsModule24.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out4' dst = 'TKnobsModule25.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.gverb_outl' dst = 'TKnobsModule19.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.gverb_outr' dst = 'TKnobsModule19.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.slowtofast_out' dst = 'TKnobsModule7.waveplayer_position')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.slowtofast_out' dst = 'TKnobsModule7.waveplayer_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out' dst = 'TKnobsModule35.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out' dst = 'TKnobsModule35.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.multiplier_out' dst = 'TKnobsModule37.levelconverter_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.cuclipstereo_outl' dst = 'TKnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.mixs2to1_outl' dst = 'TKnobsModule18.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.cuclipstereo_outr' dst = 'TKnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.mixs2to1_outr' dst = 'TKnobsModule18.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.seq16_out' dst = 'TKnobsModule24.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.seq16_out2' dst = 'TKnobsModule25.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.osc_out' dst = 'TKnobsModule46.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_sigout' dst = 'TKnobsModule41.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out2' dst = 'TKnobsModule36.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.osc_out' dst = 'TKnobsModule47.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_sigout' dst = 'TKnobsModule17.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.envarretrig_sigout' dst = 'TKnobsModule17.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.multiplier_out' dst = 'TKnobsModule37.levelconverter_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_gain' dst = 'TKnobsModule22.seq16_dir')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.seq16_out3' dst = 'TKnobsModule46.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.seq16_out4' dst = 'TKnobsModule47.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_xfademod' dst = 'TKnobsModule36.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out4' dst = 'TKnobsModule50.seq16_dir')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.cuclipstereo_outl' dst = 'TKnobsModule31.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.cuclipstereo_outr' dst = 'TKnobsModule31.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.divider_out' dst = 'TKnobsModule50.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out3' dst = 'TKnobsModule2.amplifier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.amplifier_out2' dst = 'TKnobsModule3.seq16_xfademod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_outr' dst = 'TKnobsModule29.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.compressor_outr' dst = 'TKnobsModule30.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.mixs2to1_outl' dst = 'TKnobsModule29.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.compressor_outl' dst = 'TKnobsModule30.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.filter6dbpbs_outl' dst = 'TKnobsModule23.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.waveplayer_out' dst = 'TKnobsModule8.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.filter6dbpbs_outr' dst = 'TKnobsModule23.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.waveplayer_outr' dst = 'TKnobsModule8.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.seq16_out2' dst = 'TKnobsModule4.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.quantizer_out' dst = 'TKnobsModule6.slowtofast_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.envarretrig_gain' dst = 'TKnobsModule5.slowtofast_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outr' dst = 'TKnobsModule12.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.mixs2to1_outl' dst = 'TKnobsModule11.pitchshift_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.pitchshift_out' dst = 'TKnobsModule10.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.pitchshift_out' dst = 'TKnobsModule10.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.filter6dbpbs_outl' dst = 'TKnobsModule10.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.pitchshift_in' dst = 'TKnobsModule14.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.filter6dbpbs_outr' dst = 'TKnobsModule10.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.pitchshift_in' dst = 'TKnobsModule14.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_dir' dst = 'TKnobsModule10.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out2' dst = 'TKnobsModule17.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out3' dst = 'TKnobsModule17.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out4' dst = 'TKnobsModule19.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out3' dst = 'TKnobsModule24.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.envarretrig_gain' dst = 'TKnobsModule25.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.envarretrig_rmod' dst = 'TKnobsModule3.seq16_dir')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.intdif_dif' dst = 'TKnobsModule13.mixm3to1_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.mixm3to1_out' dst = 'TKnobsModule14.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.intdif_in' dst = 'TKnobsModule13.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.envarretrig_sigout' dst = 'TKnobsModule42.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.multiplier_out' dst = 'TKnobsModule43.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.chladni_lfm' dst = 'TKnobsModule1.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.divider_trig' dst = 'TKnobsModule33.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.lfo_out' dst = 'TKnobsModule20.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multisandh_out12' dst = 'TKnobsModule43.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.quantizer_out' dst = 'TKnobsModule38.multisandh_in12')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multisandh_out11' dst = 'TKnobsModule41.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.quantizer_out' dst = 'TKnobsModule38.multisandh_in11')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_in' dst = 'TKnobsModule38.multisandh_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.divider_trig' dst = 'TKnobsModule3.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.xfade_out' dst = 'TKnobsModule38.multisandh_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_out3' dst = 'TKnobsModule34.xfade_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_out5' dst = 'TKnobsModule34.xfade_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out5' dst = 'TKnobsModule42.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out7' dst = 'TKnobsModule43.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_trig' dst = 'TKnobsModule21.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.divider_out' dst = 'TKnobsModule22.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.seq16_trig' dst = 'TKnobsModule49.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.divider_out' dst = 'TKnobsModule50.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.levelconverter_out7' dst = 'TKnobsModule38.multisandh_in9')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multisandh_out9' dst = 'TKnobsModule39.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.levelconverter_out6' dst = 'TKnobsModule38.multisandh_in10')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multisandh_out10' dst = 'TKnobsModule40.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out6' dst = 'TKnobsModule34.xfade_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multisandh_out1' dst = 'TKnobsModule48.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.osc_speed' dst = 'TKnobsModule44.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.intdif_dif' dst = 'TKnobsModule46.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.osc_speed' dst = 'TKnobsModule45.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.intdif_dif' dst = 'TKnobsModule47.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.seq16_dir' dst = 'TKnobsModule55.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.seq16_out4' dst = 'TKnobsModule55.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outl' dst = 'TKnobsModule17.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outr' dst = 'TKnobsModule17.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.quantizer_out' dst = 'TKnobsModule59.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.osc_speed' dst = 'TKnobsModule60.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.intdif_dif' dst = 'TKnobsModule61.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.osc_out' dst = 'TKnobsModule61.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_sigout' dst = 'TKnobsModule58.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.delay_out' dst = 'TKnobsModule59.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_inv' dst = 'TKnobsModule58.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_sigout' dst = 'TKnobsModule62.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.cuclipstereo_outr' dst = 'TKnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.osc_phase' dst = 'TKnobsModule62.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.cuclipstereo_outl' dst = 'TKnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.envarretrig_out' dst = 'TKnobsModule59.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out8' dst = 'TKnobsModule61.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.noise_out' dst = 'TKnobsModule66.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.envarretrig_sigin' dst = 'TKnobsModule67.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.xfade_in1' dst = 'TKnobsModule64.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.divider_out' dst = 'TKnobsModule66.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.xfade_in2' dst = 'TKnobsModule65.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.divider_out' dst = 'TKnobsModule67.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out1' dst = 'TKnobsModule16.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.envarretrig_sigout' dst = 'TKnobsModule69.rotator_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.envarretrig_sigout' dst = 'TKnobsModule69.rotator_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.envarretrig_out' dst = 'TKnobsModule68.adder_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule68.adder_out' dst = 'TKnobsModule69.rotator_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out2' dst = 'TKnobsModule68.adder_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.envarretrig_out' dst = 'TKnobsModule63.noise_colormod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out3' dst = 'TKnobsModule66.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out4' dst = 'TKnobsModule67.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.rotator_sin' dst = 'TKnobsModule72.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.rotator_cos' dst = 'TKnobsModule73.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule72.delay_out' dst = 'TKnobsModule71.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.delay_out' dst = 'TKnobsModule71.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule72.delay_in' dst = 'TKnobsModule16.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.rotator_out2' dst = 'TKnobsModule71.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.mixs2to1_outl' dst = 'TKnobsModule72.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule71.mixs2to1_outr' dst = 'TKnobsModule73.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule73.delay_in' dst = 'TKnobsModule16.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule69.rotator_out1' dst = 'TKnobsModule71.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out5' dst = 'TKnobsModule66.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out6' dst = 'TKnobsModule67.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out7' dst = 'TKnobsModule71.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.randsigs_out8' dst = 'TKnobsModule71.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out1' dst = 'TKnobsModule16.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.mixs2to1_outl' dst = 'TKnobsModule71.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule70.mixs2to1_outr' dst = 'TKnobsModule71.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.chladni_out' dst = 'TKnobsModule70.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.chladni_out' dst = 'TKnobsModule70.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out2' dst = 'TKnobsModule46.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out3' dst = 'TKnobsModule47.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out4' dst = 'TKnobsModule39.quantizer_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out5' dst = 'TKnobsModule40.quantizer_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out6' dst = 'TKnobsModule4.quantizer_levelmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.chladni_pmod' dst = 'TKnobsModule3.seq16_active')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.quantizer_out' dst = 'TKnobsModule74.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.multisandh_in1' dst = 'TKnobsModule74.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.chebgen_out8' dst = 'TKnobsModule74.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule74.poetry_out' dst = 'TKnobsModule75.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_inr1' dst = 'TKnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule76.gverb_outl' dst = 'TKnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule75.osc_out' dst = 'TKnobsModule76.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out7' dst = 'TKnobsModule76.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.randsigs_out8' dst = 'TKnobsModule15.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.slowtofast_in' dst = 'TKnobsModule0.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.sampleandhold_out' dst = 'TKnobsModule1.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.multiplier_out' dst = 'TKnobsModule37.levelconverter_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.levelconverter_out5' dst = 'TKnobsModule57.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.levelconverter_in1' dst = 'TKnobsModule10.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.randsigs_out1' dst = 'TKnobsModule56.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.levelconverter_out1' dst = 'TKnobsModule0.sampleandhold_trig')
  )
)
