Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-07-23-05 heat stress (concerto for three oscillators and voice synth)'
  version   = 8
  variation = 0
  guid      = '{8F362F32-65F8-4909-B2BC-19747CEDCD00}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Quantizer'
      type  = 307
      left  = 6
      top   = 6
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 63 cc = 0 rnd = 0 variations = '8,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261,0.06158357771261' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 51
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1 cc = 0 rnd = 0 variations = '8,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 96
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 111
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 79 cc = 0 rnd = 0 variations = '8,0.79,0.79,0.79,0.79,0.79,0.79,0.79,0.79' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 184 cc = 0 rnd = 0 variations = '8,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875,0.71875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 11 cc = 0 rnd = 0 variations = '8,0.11,0.11,0.11,0.11,0.11,0.11,0.11,0.11' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Gate'
      type  = 602
      left  = 6
      top   = 171
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0 rnd = 0 variations = '8,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 201
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'EnvAHD'
      type  = 903
      left  = 6
      top   = 231
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 80 cc = 0 rnd = 0 variations = '8,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 85 cc = 0 rnd = 0 variations = '8,0.33203125,0.33203125,0.33203125,0.33203125,0.33203125,0.33203125,0.33203125,0.33203125' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_holdmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swell' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swellmodlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_swellshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'SlowToFast'
      type  = 361
      left  = 6
      top   = 351
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 366
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'Filter6dBBPS'
      type  = 1015
      left  = 6
      top   = 396
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqlp' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbpbs_freqhp' value = 23 cc = 0 rnd = 0 variations = '8,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Rotator2'
      type  = 362
      left  = 6
      top   = 441
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 456
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 486
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 211 cc = 0 rnd = 0 variations = '8,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157,0.827450980392157' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 516
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 198 cc = 0 rnd = 0 variations = '8,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294,0.776470588235294' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 546
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 120 cc = 0 rnd = 0 variations = '8,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 242 cc = 0 rnd = 0 variations = '8,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 195 cc = 0 rnd = 0 variations = '8,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 206 cc = 0 rnd = 0 variations = '8,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244,0.811023622047244' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'CuClipStereo'
      type  = 357
      left  = 6
      top   = 636
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 666
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 225 cc = 0 rnd = 0 variations = '8,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625,0.87890625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 194 cc = 0 rnd = 0 variations = '8,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125,0.7578125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 696
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 245 cc = 0 rnd = 0 variations = '8,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 150 cc = 0 rnd = 0 variations = '8,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375,0.5859375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Compressor'
      type  = 906
      left  = 6
      top   = 726
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'compressor_release' value = 52 cc = 0 rnd = 0 variations = '8,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451,0.203921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_gain' value = 35 cc = 0 rnd = 0 variations = '8,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784,0.137254901960784' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_attack' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_reflevel' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSelector' name = 'compressor_bypass' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'compressor_preamp' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'compressor_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'compressor_sidesel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'compressor_acdc' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Volume'
      type  = 212
      left  = 6
      top   = 816
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 163 cc = 0 rnd = 0 variations = '8,0.63671875,0.63671875,0.63671875,0.63671875,0.63671875,0.63671875,0.63671875,0.63671875' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 846
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'MinMax'
      type  = 311
      left  = 256
      top   = 6
      color = 16777215
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'XFade'
      type  = 201
      left  = 256
      top   = 21
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'MConst'
      type  = 346
      left  = 256
      top   = 51
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mconst_value' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'XFade'
      type  = 201
      left  = 256
      top   = 81
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127 cc = 0 rnd = 0 variations = '8,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375,0.49609375' )
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'xfade_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'xfade_fadertype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 111
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 189 cc = 0 rnd = 0 variations = '8,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 4 cc = 0 rnd = 0 variations = '8,0.04,0.04,0.04,0.04,0.04,0.04,0.04,0.04' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Gate'
      type  = 602
      left  = 256
      top   = 171
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'gate_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'gate_in1' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'gate_function' value = 4 cc = 0 rnd = 0 variations = '8,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571,0.571428571428571' )
        detail( class = 'TKnobsSelector' name = 'gate_width' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gate_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Average'
      type  = 1001
      left  = 256
      top   = 201
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 219 cc = 0 rnd = 0 variations = '8,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765,0.858823529411765' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'EnvAHD'
      type  = 903
      left  = 256
      top   = 231
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'envahd_eoc' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 80 cc = 0 rnd = 0 variations = '8,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125,0.3125' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 83 cc = 0 rnd = 0 variations = '8,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875,0.32421875' )
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envahd_holdmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swell' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envahd_swellmodlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envahd_swellshape' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'SlowToFast'
      type  = 361
      left  = 256
      top   = 351
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'LfoTrig'
      type  = 405
      left  = 256
      top   = 366
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_active' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 66 cc = 0 rnd = 0 variations = '8,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 15 cc = 0 rnd = 0 variations = '8,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_autoready' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'EnvARRetrig'
      type  = 902
      left  = 256
      top   = 426
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'Delay'
      type  = 701
      left  = 256
      top   = 471
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 501
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 88 cc = 0 rnd = 0 variations = '8,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772,0.692913385826772' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 21 cc = 0 rnd = 0 variations = '8,0.21,0.21,0.21,0.21,0.21,0.21,0.21,0.21' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 189 cc = 0 rnd = 0 variations = '8,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125,0.73828125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 4 cc = 0 rnd = 0 variations = '8,0.04,0.04,0.04,0.04,0.04,0.04,0.04,0.04' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'CubicClip'
      type  = 340
      left  = 256
      top   = 561
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'NoiseLfo'
      type  = 403
      left  = 256
      top   = 771
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfo_color' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noiselfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'noiselfo_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noiselfo_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'TextWriter'
      type  = 1117
      left  = 256
      top   = 801
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '%patchname%
dark empathy
%patchname%
the best route to the bottom is
%patchname%
to continue forward on the trail
%patchname%
to suburbia
%patchname%
close your doors
%patchname%
close your windows
%patchname%
close your mind
%patchname
%build your wall
%patchname%
of ritual silence' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'ProgDivider'
      type  = 612
      left  = 506
      top   = 6
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 1 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Seq16'
      type  = 1211
      left  = 506
      top   = 66
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 37 cc = 0 rnd = 0 variations = '8,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165,0.291338582677165' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 121 cc = 0 rnd = 0 variations = '8,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 44 cc = 0 rnd = 0 variations = '8,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 56 cc = 0 rnd = 0 variations = '8,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764,0.440944881889764' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 3 cc = 0 rnd = 0 variations = '8,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945,0.0236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 17 cc = 0 rnd = 0 variations = '8,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 47 cc = 0 rnd = 0 variations = '8,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748,0.37007874015748' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 6 cc = 0 rnd = 0 variations = '8,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189,0.047244094488189' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 112 cc = 0 rnd = 0 variations = '8,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528,0.881889763779528' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 27 cc = 0 rnd = 0 variations = '8,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685,0.21259842519685' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 64 cc = 0 rnd = 0 variations = '8,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016,0.503937007874016' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 66 cc = 0 rnd = 0 variations = '8,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079,0.519685039370079' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Monadic'
      type  = 332
      left  = 506
      top   = 216
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'monadic_function' value = 27 cc = 0 rnd = 0 variations = '8,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'Monadic'
      type  = 332
      left  = 506
      top   = 246
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'monadic_function' value = 27 cc = 0 rnd = 0 variations = '8,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'Monadic'
      type  = 332
      left  = 506
      top   = 276
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'monadic_function' value = 27 cc = 0 rnd = 0 variations = '8,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'Monadic'
      type  = 332
      left  = 506
      top   = 306
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'monadic_function' value = 27 cc = 0 rnd = 0 variations = '8,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621,0.931034482758621' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 336
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 66 cc = 0 rnd = 0 variations = '8,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Noise'
      type  = 503
      left  = 506
      top   = 381
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 128 cc = 0 rnd = 0 variations = '8,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725,0.501960784313725' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 411
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 441
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 49 cc = 0 rnd = 0 variations = '8,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098,0.192156862745098' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'Chladni'
      type  = 1024
      left  = 506
      top   = 486
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 205 cc = 0 rnd = 0 variations = '8,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125,0.80078125' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 220 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 34 cc = 0 rnd = 0 variations = '8,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125,0.1328125' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'ProgDivider'
      type  = 612
      left  = 756
      top   = 6
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 3 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Seq16'
      type  = 1211
      left  = 756
      top   = 66
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 62 cc = 0 rnd = 0 variations = '8,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953,0.488188976377953' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 19 cc = 0 rnd = 0 variations = '8,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 78 cc = 0 rnd = 0 variations = '8,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 21 cc = 0 rnd = 0 variations = '8,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661,0.165354330708661' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 8 cc = 0 rnd = 0 variations = '8,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 78 cc = 0 rnd = 0 variations = '8,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457,0.614173228346457' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 19 cc = 0 rnd = 0 variations = '8,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598,0.149606299212598' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 57 cc = 0 rnd = 0 variations = '8,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795,0.448818897637795' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 39 cc = 0 rnd = 0 variations = '8,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228,0.307086614173228' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 110 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 8 cc = 0 rnd = 0 variations = '8,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 16 cc = 0 rnd = 0 variations = '8,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504,0.125984251968504' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 52 cc = 0 rnd = 0 variations = '8,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638,0.409448818897638' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Sieve'
      type  = 370
      left  = 756
      top   = 216
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'sieve_changed' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'sieve_display_formula' value = '[3,0]+[4,1]+[5,3]*random(0.15)' )
        detail( class = 'TKnobsSelector' name = 'sieve_intype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'sieve_outtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'sieve_diftype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'sieve_period' value = 35 cc = 0 rnd = 0 variations = '8,0.0342130987292278,0.0342130987292278,0.0342130987292278,0.0342130987292278,0.0342130987292278,0.0342130987292278,0.0342130987292278,0.0342130987292278' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 756
      top   = 291
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 756
      top   = 366
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'ProgDivider'
      type  = 612
      left  = 756
      top   = 441
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 1 cc = 0 rnd = 0 variations = '8,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667,0.0666666666666667' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'LfoTrig'
      type  = 405
      left  = 756
      top   = 501
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_active' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 15 cc = 0 rnd = 0 variations = '8,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 1 cc = 0 rnd = 0 variations = '8,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143,0.142857142857143' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_autoready' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Queue'
      type  = 1234
      left  = 756
      top   = 561
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'queue_clock' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'queue_history' value = 5 cc = 0 rnd = 0 variations = '8,0.0793650793650794,0.0793650793650794,0.0793650793650794,0.0793650793650794,0.0793650793650794,0.0793650793650794,0.0793650793650794,0.0793650793650794' )
        detail( class = 'TKnobsSmallKnob' name = 'queue_select' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'queue_selectmodamt' value = 64 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'queue_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'RSFlipFlop'
      type  = 605
      left  = 1006
      top   = 6
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'rsflipflop_q' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_s' value = '32768' )
        detail( class = 'TKnobsInput' name = 'rsflipflop_r' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'rsflipflop_notq' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_trigmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'rsflipflop_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'Poetry'
      type  = 327
      left  = 1006
      top   = 36
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'poetry_changed' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 255 cc = 0 rnd = 0 variations = '8,0.0622710622710623,0.0622710622710623,0.0622710622710623,0.0622710622710623,0.0622710622710623,0.0622710622710623,0.0622710622710623,0.0622710622710623' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'eSpeakVoice'
      type  = 529
      left  = 1006
      top   = 81
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'espeakvoice_textstart' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_phoneme' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_vowel' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_silence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_textdone' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_sentence' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_word' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'espeakvoice_mark' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'espeakvoice_display_text' value = 'dark empathy
the best
 toute
to the bottom is
to continue forward on the trail
to suburbia
close your doors
close your windows
close your mind
build your wall
of ritual silence
' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_voice' value = 18 cc = 0 rnd = 0 variations = '8,0.214285714285714,0.214285714285714,0.214285714285714,0.214285714285714,0.214285714285714,0.214285714285714,0.214285714285714,0.214285714285714' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_language' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_variation' value = 12 cc = 0 rnd = 0 variations = '8,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421,0.631578947368421' )
        detail( class = 'TKnobsSelector' name = 'espeakvoice_punctuation' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_rate' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_pitch' value = 100 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_wordgap' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_freq' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_fmmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_posmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_speed' value = 160 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_speedmodamt' value = 256 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'espeakvoice_cents' value = 79 cc = 0 rnd = 0 variations = '8,0.79,0.79,0.79,0.79,0.79,0.79,0.79,0.79' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'LfoTrig'
      type  = 405
      left  = 1006
      top   = 291
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfotrig_trig' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_ready' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfotrig_active' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_frequency' value = 66 cc = 0 rnd = 0 variations = '8,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765,0.258823529411765' )
        detail( class = 'TKnobsNoKnob' name = 'lfotrig_count' value = 15 cc = 0 rnd = 0 variations = '8,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366,0.00366300366300366' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfotrig_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_range' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_shape' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfotrig_autoready' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'EnvARRetrig'
      type  = 902
      left  = 1006
      top   = 351
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 55 cc = 0 rnd = 0 variations = '8,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804,0.215686274509804' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 201 cc = 0 rnd = 0 variations = '8,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'CubicClip'
      type  = 340
      left  = 1006
      top   = 396
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cubicclip_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cubicclip_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule62'
      title = 'Filter6dBBP'
      type  = 1014
      left  = 1006
      top   = 441
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbbp_freqlp' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbbp_freqhp' value = 29 cc = 0 rnd = 0 variations = '8,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule63'
      title = 'Delay'
      type  = 701
      left  = 1006
      top   = 486
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule64'
      title = 'Multiplier'
      type  = 304
      left  = 1006
      top   = 516
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule65'
      title = 'Filter6dBBP'
      type  = 1014
      left  = 1006
      top   = 531
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbbp_freqlp' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'filter6dbbp_freqhp' value = 29 cc = 0 rnd = 0 variations = '8,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078,0.113725490196078' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule66'
      title = 'GVerb'
      type  = 707
      left  = 1006
      top   = 576
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 151 cc = 0 rnd = 0 variations = '8,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098,0.592156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 242 cc = 0 rnd = 0 variations = '8,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811,0.952755905511811' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 179 cc = 0 rnd = 0 variations = '8,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725,0.701960784313725' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 195 cc = 0 rnd = 0 variations = '8,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319,0.38160469667319' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 215 cc = 0 rnd = 0 variations = '8,0.846456692913386,0.846456692913386,0.846456692913386,0.846456692913386,0.846456692913386,0.846456692913386,0.846456692913386,0.846456692913386' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 220 cc = 0 rnd = 0 variations = '8,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216,0.862745098039216' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 204 cc = 0 rnd = 0 variations = '8,0.8,0.8,0.8,0.8,0.8,0.8,0.8,0.8' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule67'
      title = 'CuClipStereo'
      type  = 357
      left  = 1006
      top   = 666
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_alpha' value = 169 cc = 0 rnd = 0 variations = '8,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625,0.66015625' )
        detail( class = 'TKnobsSelector' name = 'cuclipstereo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'cuclipstereo_hysteresis' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.volume_outl' dst = 'TKnobsModule21.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.volume_outr' dst = 'TKnobsModule21.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_out' dst = 'TKnobsModule5.gate_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.gate_out' dst = 'TKnobsModule7.envahd_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.envahd_eoc' dst = 'TKnobsModule5.gate_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_out' dst = 'TKnobsModule7.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.envahd_inv' dst = 'TKnobsModule4.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.osc_out' dst = 'TKnobsModule27.gate_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.gate_out' dst = 'TKnobsModule29.envahd_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envahd_eoc' dst = 'TKnobsModule27.gate_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.osc_out' dst = 'TKnobsModule29.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envahd_inv' dst = 'TKnobsModule26.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envahd_dmod' dst = 'TKnobsModule7.envahd_amod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_outraw3' dst = 'TKnobsModule29.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.slowtofast_out' dst = 'TKnobsModule4.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.envahd_out' dst = 'TKnobsModule8.slowtofast_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.slowtofast_out' dst = 'TKnobsModule26.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envahd_out' dst = 'TKnobsModule30.slowtofast_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.gverb_outl' dst = 'TKnobsModule16.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.cuclipstereo_outl' dst = 'TKnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.gverb_outr' dst = 'TKnobsModule16.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.cuclipstereo_outr' dst = 'TKnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator2_out1' dst = 'TKnobsModule15.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.rotator2_out2' dst = 'TKnobsModule15.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.osc_speed' dst = 'TKnobsModule7.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_outraw2' dst = 'TKnobsModule26.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_stepout1' dst = 'TKnobsModule39.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_out4' dst = 'TKnobsModule40.monadic_x')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.monadic_x' dst = 'TKnobsModule29.envahd_swellmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_out3' dst = 'TKnobsModule41.monadic_x')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.monadic_x' dst = 'TKnobsModule7.envahd_swellmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.lfo_out' dst = 'TKnobsModule38.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.progdivider_trig' dst = 'TKnobsModule39.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.progdivider_out' dst = 'TKnobsModule39.seq16_res')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.progdivider_select' dst = 'TKnobsModule29.envahd_amod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_outraw4' dst = 'TKnobsModule38.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.monadic_out' dst = 'TKnobsModule12.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.avg_lp' dst = 'TKnobsModule15.gverb_dampingmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.monadic_out' dst = 'TKnobsModule13.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.avg_lp' dst = 'TKnobsModule15.gverb_revtimemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.monadic_out' dst = 'TKnobsModule14.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.avg_lp' dst = 'TKnobsModule15.gverb_inputbwmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.avg_lp' dst = 'TKnobsModule11.rotator2_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envahd_swellmod' dst = 'TKnobsModule6.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.avg_lp' dst = 'TKnobsModule7.envahd_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.monadic_x' dst = 'TKnobsModule28.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.avg_lp' dst = 'TKnobsModule29.envahd_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.osc_warpmod' dst = 'TKnobsModule22.minmax_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_warpmod' dst = 'TKnobsModule22.minmax_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.minmax_min' dst = 'TKnobsModule23.xfade_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.minmax_max' dst = 'TKnobsModule23.xfade_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.mconst_out' dst = 'TKnobsModule25.xfade_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.envahd_sigin' dst = 'TKnobsModule25.xfade_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.xfade_out' dst = 'TKnobsModule26.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_out' dst = 'TKnobsModule43.monadic_x')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.monadic_out' dst = 'TKnobsModule25.xfade_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_stepout1' dst = 'TKnobsModule49.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.sieve_out' dst = 'TKnobsModule52.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_outraw' dst = 'TKnobsModule50.sieve_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.progdivider_out' dst = 'TKnobsModule50.sieve_eval')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_outraw2' dst = 'TKnobsModule51.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.scalequantizer_out' dst = 'TKnobsModule52.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.sieve_outdif' dst = 'TKnobsModule1.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.quantizer_out' dst = 'TKnobsModule2.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.monadic_x' dst = 'TKnobsModule9.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out3' dst = 'TKnobsModule23.xfade_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.xfade_out' dst = 'TKnobsModule3.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.multiplier_in1' dst = 'TKnobsModule3.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.multiplier_out' dst = 'TKnobsModule2.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.queue_in' dst = 'TKnobsModule26.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.scalequantizer_out' dst = 'TKnobsModule55.queue_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.scalequantizer_changed' dst = 'TKnobsModule55.queue_clock')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.osc_fm' dst = 'TKnobsModule4.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.lfotrig_out' dst = 'TKnobsModule55.queue_selectmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_outraw3' dst = 'TKnobsModule54.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_outraw4' dst = 'TKnobsModule48.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_rnd3' dst = 'TKnobsModule48.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.progdivider_trig' dst = 'TKnobsModule49.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.progdivider_out' dst = 'TKnobsModule49.seq16_res')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out2' dst = 'TKnobsModule54.lfotrig_countmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_stepout1' dst = 'TKnobsModule53.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.progdivider_out' dst = 'TKnobsModule54.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out4' dst = 'TKnobsModule53.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.envahd_sigout' dst = 'TKnobsModule10.filter6dbpbs_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.filter6dbpbs_outl' dst = 'TKnobsModule11.rotator2_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.envahd_sigout' dst = 'TKnobsModule10.filter6dbpbs_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.filter6dbpbs_outr' dst = 'TKnobsModule11.rotator2_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.queue_out' dst = 'TKnobsModule26.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_inr2' dst = 'TKnobsModule18.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.delay_out' dst = 'TKnobsModule34.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.lfotrig_out' dst = 'TKnobsModule33.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out' dst = 'TKnobsModule18.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.osc_freq' dst = 'TKnobsModule31.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.lfotrig_fm' dst = 'TKnobsModule4.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.xfade_in1' dst = 'TKnobsModule32.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.envarretrig_sigout' dst = 'TKnobsModule33.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.avg_in' dst = 'TKnobsModule32.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.envarretrig_amod' dst = 'TKnobsModule4.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_outraw' dst = 'TKnobsModule32.envarretrig_amod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.scalequantizer_chain' dst = 'TKnobsModule34.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.progdivider_trig' dst = 'TKnobsModule37.textwriter_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.noiselfo_out' dst = 'TKnobsModule37.textwriter_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.mixs2to1_outl' dst = 'TKnobsModule18.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.mixs2to1_outr' dst = 'TKnobsModule18.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.scalequantizer_out' dst = 'TKnobsModule57.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.scalequantizer_changed' dst = 'TKnobsModule57.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.rsflipflop_q' dst = 'TKnobsModule57.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.poetry_out' dst = 'TKnobsModule58.espeakvoice_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.espeakvoice_word' dst = 'TKnobsModule56.rsflipflop_r')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.poetry_newoutput' dst = 'TKnobsModule58.espeakvoice_active')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.gverb_inr' dst = 'TKnobsModule66.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.xfade_control' dst = 'TKnobsModule17.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.lfotrig_out' dst = 'TKnobsModule63.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.scalequantizer_out' dst = 'TKnobsModule59.lfotrig_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule63.delay_out' dst = 'TKnobsModule64.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule65.filter6dbbp_display_out' dst = 'TKnobsModule66.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.multiplier_out' dst = 'TKnobsModule65.filter6dbbp_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.espeakvoice_out' dst = 'TKnobsModule64.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule64.multiplier_in1' dst = 'TKnobsModule64.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.sieve_eval' dst = 'TKnobsModule60.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.envarretrig_trig' dst = 'TKnobsModule56.rsflipflop_s')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.envarretrig_sigin' dst = 'TKnobsModule60.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule62.filter6dbbp_display_out' dst = 'TKnobsModule63.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.cuclipstereo_outr' dst = 'TKnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.gverb_outr' dst = 'TKnobsModule67.cuclipstereo_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule67.cuclipstereo_outl' dst = 'TKnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule66.gverb_outl' dst = 'TKnobsModule67.cuclipstereo_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.cubicclip_out' dst = 'TKnobsModule18.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.osc_out' dst = 'TKnobsModule35.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.envarretrig_sigout' dst = 'TKnobsModule61.cubicclip_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.cubicclip_out' dst = 'TKnobsModule62.filter6dbbp_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_outraw3' dst = 'TKnobsModule60.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_out' dst = 'TKnobsModule60.envarretrig_amod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outr' dst = 'TKnobsModule19.compressor_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.compressor_outr' dst = 'TKnobsModule20.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outl' dst = 'TKnobsModule19.compressor_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.compressor_outl' dst = 'TKnobsModule20.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.noise_out' dst = 'TKnobsModule46.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_sigout' dst = 'TKnobsModule47.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.chladni_out' dst = 'TKnobsModule17.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.mixs2to1_inr2' dst = 'TKnobsModule17.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_res' dst = 'TKnobsModule45.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.delay_in' dst = 'TKnobsModule32.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.textwriter_trig' dst = 'TKnobsModule31.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.seq16_trig' dst = 'TKnobsModule59.lfotrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule45.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.delay_out' dst = 'TKnobsModule46.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_out4' dst = 'TKnobsModule60.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.envarretrig_gain' dst = 'TKnobsModule42.monadic_x')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.seq16_out2' dst = 'TKnobsModule46.envarretrig_gain')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '18.809'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
)
