Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-09-06-01-03 be poetic on a nail'
  version   = 8
  variation = 0
  guid      = '{72C698C1-3A93-4C4A-8D65-5F46CE778109}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'lfo_res' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'lfo_sync' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96 cc = 0 rnd = 0 variations = '8,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294,0.376470588235294' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'IntDif'
      type  = 1003
      left  = 6
      top   = 51
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Chladni'
      type  = 1024
      left  = 6
      top   = 81
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 140 cc = 0 rnd = 0 variations = '8,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875,0.546875' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 30 cc = 0 rnd = 0 variations = '8,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 187 cc = 0 rnd = 0 variations = '8,0.736220472440945,0.736220472440945,0.736220472440945,0.736220472440945,0.736220472440945,0.736220472440945,0.736220472440945,0.736220472440945' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'IntDif'
      type  = 1003
      left  = 6
      top   = 201
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'intdif_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsHSlider' name = 'intdif_gain' value = 512 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Chladni'
      type  = 1024
      left  = 6
      top   = 231
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 122 cc = 0 rnd = 0 variations = '8,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625,0.4765625' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 26 cc = 0 rnd = 0 variations = '8,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625,0.1015625' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 117 cc = 0 rnd = 0 variations = '8,0.460629921259843,0.460629921259843,0.460629921259843,0.460629921259843,0.460629921259843,0.460629921259843,0.460629921259843,0.460629921259843' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 1 cc = 0 rnd = 0 variations = '8,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625,0.00390625' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 7 cc = 0 rnd = 0 variations = '8,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375,0.02734375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'Rotator2'
      type  = 362
      left  = 6
      top   = 351
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'Limiter'
      type  = 373
      left  = 6
      top   = 366
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 381
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 396
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 24 cc = 0 rnd = 0 variations = '8,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 118 cc = 0 rnd = 0 variations = '8,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375,0.4609375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 61 cc = 0 rnd = 0 variations = '8,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125,0.23828125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 45 cc = 0 rnd = 0 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 52 cc = 0 rnd = 0 variations = '8,0.52,0.52,0.52,0.52,0.52,0.52,0.52,0.52' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'AbsAdder'
      type  = 372
      left  = 6
      top   = 456
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'absadder_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 471
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 94 cc = 0 rnd = 0 variations = '8,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392,0.368627450980392' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 516
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 24 cc = 0 rnd = 0 variations = '8,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235,0.0941176470588235' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 149 cc = 0 rnd = 0 variations = '8,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196,0.584313725490196' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Limiter'
      type  = 373
      left  = 6
      top   = 561
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 576
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 93 cc = 0 rnd = 0 variations = '8,0.364705882352941,0.364705882352941,0.364705882352941,0.364705882352941,0.364705882352941,0.364705882352941,0.364705882352941,0.364705882352941' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 240 cc = 0 rnd = 0 variations = '8,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 237 cc = 0 rnd = 0 variations = '8,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 20 cc = 0 rnd = 0 variations = '8,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323,0.0391389432485323' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 162 cc = 0 rnd = 0 variations = '8,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059,0.635294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 161 cc = 0 rnd = 0 variations = '8,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608,0.631372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 666
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'Limiter'
      type  = 373
      left  = 6
      top   = 696
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 711
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 187 cc = 0 rnd = 0 variations = '8,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 741
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 187 cc = 0 rnd = 0 variations = '8,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'Volume'
      type  = 212
      left  = 6
      top   = 771
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 154 cc = 0 rnd = 0 variations = '8,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625,0.6015625' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 801
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 6
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 123 cc = 0 rnd = 0 variations = '8,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 108 cc = 0 rnd = 0 variations = '8,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402,0.850393700787402' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 96 cc = 0 rnd = 0 variations = '8,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 123 cc = 0 rnd = 0 variations = '8,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874,0.968503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 65 cc = 0 rnd = 0 variations = '8,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047,0.511811023622047' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 126 cc = 0 rnd = 0 variations = '8,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969,0.992125984251969' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 10 cc = 0 rnd = 0 variations = '8,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 34 cc = 0 rnd = 0 variations = '8,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071,0.267716535433071' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 30 cc = 0 rnd = 0 variations = '8,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945,0.236220472440945' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 110 cc = 0 rnd = 0 variations = '8,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465,0.866141732283465' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 98 cc = 0 rnd = 0 variations = '8,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087,0.771653543307087' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 59 cc = 0 rnd = 0 variations = '8,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858,0.464566929133858' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 43 cc = 0 rnd = 0 variations = '8,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354,0.338582677165354' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 82 cc = 0 rnd = 0 variations = '8,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583,0.645669291338583' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 97 cc = 0 rnd = 0 variations = '8,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055,0.763779527559055' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 156
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 231
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 95 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 74 cc = 0 rnd = 0 variations = '8,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331,0.582677165354331' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 68 cc = 0 rnd = 0 variations = '8,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142,0.535433070866142' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 87 cc = 0 rnd = 0 variations = '8,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874,0.68503937007874' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 114 cc = 0 rnd = 0 variations = '8,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 8 cc = 0 rnd = 0 variations = '8,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 24 cc = 0 rnd = 0 variations = '8,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756,0.188976377952756' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 84 cc = 0 rnd = 0 variations = '8,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646,0.661417322834646' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 89 cc = 0 rnd = 0 variations = '8,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 67 cc = 0 rnd = 0 variations = '8,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811,0.52755905511811' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 114 cc = 0 rnd = 0 variations = '8,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591,0.897637795275591' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 49 cc = 0 rnd = 0 variations = '8,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 20 cc = 0 rnd = 0 variations = '8,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063,0.15748031496063' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 125 cc = 0 rnd = 0 variations = '8,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 381
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'TextWriter'
      type  = 1117
      left  = 256
      top   = 756
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '%prefix% - %patchname%' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'ChebGen'
      type  = 326
      left  = 506
      top   = 6
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'ProgDivider'
      type  = 612
      left  = 506
      top   = 36
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'Poetry'
      type  = 327
      left  = 506
      top   = 96
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'poetry_changed' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 2612 cc = 0 rnd = 0 variations = '8,0.637851037851038,0.637851037851038,0.637851037851038,0.637851037851038,0.637851037851038,0.637851037851038,0.637851037851038,0.637851037851038' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 141
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 45 cc = 0 rnd = 0 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 201
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 131 cc = 0 rnd = 0 variations = '8,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 231
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 8 cc = 0 rnd = 0 variations = '8,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078,0.0313725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 165 cc = 0 rnd = 0 variations = '8,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412,0.647058823529412' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Poetry'
      type  = 327
      left  = 506
      top   = 276
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'poetry_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'poetry_trans' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'poetry_changed' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 2925 cc = 0 rnd = 0 variations = '8,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714,0.714285714285714' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 321
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 16 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 34 cc = 0 rnd = 0 variations = '8,0.34,0.34,0.34,0.34,0.34,0.34,0.34,0.34' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 45 cc = 0 rnd = 0 variations = '8,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125,0.17578125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 381
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 131 cc = 0 rnd = 0 variations = '8,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078,0.513725490196078' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 411
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 46 cc = 0 rnd = 0 variations = '8,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745,0.180392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 205 cc = 0 rnd = 0 variations = '8,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451,0.803921568627451' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'GVerb'
      type  = 707
      left  = 506
      top   = 456
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 124 cc = 0 rnd = 0 variations = '8,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 240 cc = 0 rnd = 0 variations = '8,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 237 cc = 0 rnd = 0 variations = '8,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 43 cc = 0 rnd = 0 variations = '8,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Chladni'
      type  = 1024
      left  = 506
      top   = 546
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 222 cc = 0 rnd = 0 variations = '8,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875,0.8671875' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 30 cc = 0 rnd = 0 variations = '8,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Chladni'
      type  = 1024
      left  = 506
      top   = 666
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_level' value = 223 cc = 0 rnd = 0 variations = '8,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375,0.87109375' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_fm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_freq' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'chladni_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_qmamt' value = 30 cc = 0 rnd = 0 variations = '8,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875,0.1171875' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_q' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_lfmamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_pmodamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'chladni_p' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Limiter'
      type  = 373
      left  = 506
      top   = 786
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'Divider'
      type  = 603
      left  = 756
      top   = 6
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'divider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'divider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'ProgDivider'
      type  = 612
      left  = 756
      top   = 36
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 3 cc = 0 rnd = 0 variations = '8,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529,0.0117647058823529' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 11 cc = 0 rnd = 0 variations = '8,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608,0.0431372549019608' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 3 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'Seq16'
      type  = 1211
      left  = 756
      top   = 96
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'seq16_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_res' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_active' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_dir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outdir' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outres' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_outtrig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_inv' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_hold' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip1' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip2' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip3' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip4' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip5' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip6' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip7' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip8' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip9' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip10' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip11' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip12' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip13' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip14' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip15' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_skip16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_clockskip' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout1' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout2' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout3' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout4' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout5' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout6' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout7' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout8' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout9' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout10' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout11' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout12' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout13' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout14' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout15' value = '32768' )
        detail( class = 'TKnobsOutput' name = 'seq16_stepout16' value = '32768' )
        detail( class = 'TKnobsInput' name = 'seq16_rnd3' value = '32768' )
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 5 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 8 cc = 0 rnd = 0 variations = '8,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252,0.062992125984252' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 28 cc = 0 rnd = 0 variations = '8,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882,0.220472440944882' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 44 cc = 0 rnd = 0 variations = '8,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386,0.346456692913386' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 1 cc = 0 rnd = 0 variations = '8,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315,0.0078740157480315' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 113 cc = 0 rnd = 0 variations = '8,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559,0.889763779527559' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 89 cc = 0 rnd = 0 variations = '8,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803,0.700787401574803' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 54 cc = 0 rnd = 0 variations = '8,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701,0.425196850393701' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 15 cc = 0 rnd = 0 variations = '8,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472,0.118110236220472' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 49 cc = 0 rnd = 0 variations = '8,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543,0.385826771653543' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 70 cc = 0 rnd = 0 variations = '8,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205,0.551181102362205' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 42 cc = 0 rnd = 0 variations = '8,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323,0.330708661417323' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 17 cc = 0 rnd = 0 variations = '8,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535,0.133858267716535' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 9 cc = 0 rnd = 0 variations = '8,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835,0.0708661417322835' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 96 cc = 0 rnd = 0 variations = '8,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024,0.755905511811024' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 10 cc = 0 rnd = 0 variations = '8,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315,0.078740157480315' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'LevelConverter'
      type  = 329
      left  = 756
      top   = 246
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'levelconverter_inmode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSelector' name = 'levelconverter_outmode' value = 3 cc = 0 rnd = 0 variations = '8,0.6,0.6,0.6,0.6,0.6,0.6,0.6,0.6' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 756
      top   = 276
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'scalequantizer_changed' value = '32768' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 147 cc = 0 rnd = 0 variations = '8,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875,0.57421875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 55 cc = 0 rnd = 0 variations = '8,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732,0.433070866141732' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Average'
      type  = 1001
      left  = 756
      top   = 351
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 192 cc = 0 rnd = 0 variations = '8,0.752941176470588,0.752941176470588,0.752941176470588,0.752941176470588,0.752941176470588,0.752941176470588,0.752941176470588,0.752941176470588' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 381
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 20 cc = 0 rnd = 0 variations = '8,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125,0.078125' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 68 cc = 0 rnd = 0 variations = '8,0.68,0.68,0.68,0.68,0.68,0.68,0.68,0.68' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 79 cc = 0 rnd = 0 variations = '8,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375,0.30859375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'ChebGen'
      type  = 326
      left  = 756
      top   = 441
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'chebgen_wmode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'MinMax'
      type  = 311
      left  = 756
      top   = 471
      color = 16777215
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'Mux'
      type  = 805
      left  = 756
      top   = 486
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsNoKnob' name = 'mux_steps' value = 11 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'Mux'
      type  = 805
      left  = 756
      top   = 531
      color = 16711935
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mux_xfade' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsNoKnob' name = 'mux_steps' value = 11 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'ProgDivider'
      type  = 612
      left  = 1006
      top   = 6
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsOutput' name = 'progdivider_out' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'progdivider_reset' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'Arpeggiator'
      type  = 349
      left  = 1006
      top   = 66
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'arpeggiator_newoutput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_newinput' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_toggle' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reset' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_clr' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_reverse' value = '32768' )
        detail( class = 'TKnobsInput' name = 'arpeggiator_trans' value = '32768' )
        detail( class = 'TKnobsSmallKnob' name = 'arpeggiator_length' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_sorting' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'arpeggiator_inmode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'Average'
      type  = 1001
      left  = 1006
      top   = 111
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 204 cc = 0 rnd = 0 variations = '8,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875,0.796875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'Noise'
      type  = 503
      left  = 1006
      top   = 141
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 23 cc = 0 rnd = 0 variations = '8,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725,0.0901960784313725' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 81 cc = 0 rnd = 0 variations = '8,0.318897637795276,0.318897637795276,0.318897637795276,0.318897637795276,0.318897637795276,0.318897637795276,0.318897637795276,0.318897637795276' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'SVF'
      type  = 1002
      left  = 1006
      top   = 171
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 193 cc = 0 rnd = 0 variations = '8,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039,0.756862745098039' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 33 cc = 0 rnd = 0 variations = '8,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625,0.12890625' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'svf_qm' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Average'
      type  = 1001
      left  = 1006
      top   = 216
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 41 cc = 0 rnd = 0 variations = '8,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549,0.16078431372549' )
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'Multiplier'
      type  = 304
      left  = 1006
      top   = 246
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'MixM3to1'
      type  = 211
      left  = 1006
      top   = 261
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixm3to1_level1' value = 253 cc = 0 rnd = 0 variations = '8,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125,0.98828125' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixm3to1_mute3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'Osc'
      type  = 501
      left  = 1006
      top   = 291
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 232 cc = 0 rnd = 0 variations = '8,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625,0.90625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 73 cc = 0 rnd = 0 variations = '8,0.73,0.73,0.73,0.73,0.73,0.73,0.73,0.73' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 63 cc = 0 rnd = 0 variations = '8,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375,0.24609375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'FreqShifter'
      type  = 1401
      left  = 1006
      top   = 351
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 1 cc = 0 rnd = 0 variations = '8,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098,0.00392156862745098' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 24 cc = 0 rnd = 0 variations = '8,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375,0.09375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'GVerb'
      type  = 707
      left  = 1006
      top   = 381
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 124 cc = 0 rnd = 0 variations = '8,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922,0.486274509803922' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 240 cc = 0 rnd = 0 variations = '8,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378,0.94488188976378' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 237 cc = 0 rnd = 0 variations = '8,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882,0.929411764705882' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 43 cc = 0 rnd = 0 variations = '8,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444,0.0841487279843444' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 190 cc = 0 rnd = 0 variations = '8,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992,0.748031496062992' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 233 cc = 0 rnd = 0 variations = '8,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078,0.913725490196078' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 214 cc = 0 rnd = 0 variations = '8,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451,0.83921568627451' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule61'
      title = 'Limiter'
      type  = 373
      left  = 1006
      top   = 471
      color = 128
      rnd   = 0
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.volume_outl' dst = 'TKnobsModule19.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.volume_outr' dst = 'TKnobsModule19.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.intdif_dif' dst = 'TKnobsModule2.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_stepout1' dst = 'TKnobsModule20.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule20.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw' dst = 'TKnobsModule21.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.scalequantizer_out' dst = 'TKnobsModule2.chladni_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out3' dst = 'TKnobsModule2.chladni_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.chladni_out' dst = 'TKnobsModule5.rotator2_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.chladni_out' dst = 'TKnobsModule5.rotator2_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.rotator2_out1' dst = 'TKnobsModule6.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.rotator2_out2' dst = 'TKnobsModule6.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out2' dst = 'TKnobsModule5.rotator2_angle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_stepout1' dst = 'TKnobsModule22.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_outraw' dst = 'TKnobsModule23.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_trig' dst = 'TKnobsModule25.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.intdif_dif' dst = 'TKnobsModule4.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out4' dst = 'TKnobsModule4.chladni_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.chebgen_out3' dst = 'TKnobsModule26.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw2' dst = 'TKnobsModule26.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.envarretrig_trig' dst = 'TKnobsModule11.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.envarretrig_out' dst = 'TKnobsModule8.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.limiter_outr' dst = 'TKnobsModule14.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outl' dst = 'TKnobsModule15.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_outr' dst = 'TKnobsModule15.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.mixs2to1_outl' dst = 'TKnobsModule18.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.mixs2to1_outr' dst = 'TKnobsModule18.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_changed' dst = 'TKnobsModule1.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_changed' dst = 'TKnobsModule3.intdif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.multiplier_out' dst = 'TKnobsModule8.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.envarretrig_out' dst = 'TKnobsModule7.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule7.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.osc_fm' dst = 'TKnobsModule8.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.osc_out' dst = 'TKnobsModule10.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.envarretrig_sigin' dst = 'TKnobsModule11.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.envarretrig_sigout' dst = 'TKnobsModule12.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.mixs2to1_inr2' dst = 'TKnobsModule14.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_stepout1' dst = 'TKnobsModule9.absadder_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_stepout2' dst = 'TKnobsModule9.absadder_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.absadder_out' dst = 'TKnobsModule10.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_outraw2' dst = 'TKnobsModule4.chladni_qm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw3' dst = 'TKnobsModule2.chladni_qm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_outraw4' dst = 'TKnobsModule10.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.envarretrig_gain' dst = 'TKnobsModule11.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.limiter_outr' dst = 'TKnobsModule13.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.gverb_outr' dst = 'TKnobsModule14.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.limiter_outl' dst = 'TKnobsModule13.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.gverb_outl' dst = 'TKnobsModule14.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_stepout5' dst = 'TKnobsModule9.absadder_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.scalequantizer_changed' dst = 'TKnobsModule27.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.scalequantizer_out' dst = 'TKnobsModule27.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.poetry_out' dst = 'TKnobsModule28.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.poetry_newoutput' dst = 'TKnobsModule22.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.progdivider_out' dst = 'TKnobsModule27.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_trig' dst = 'TKnobsModule31.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.scalequantizer_changed' dst = 'TKnobsModule31.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.poetry_out' dst = 'TKnobsModule32.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.poetry_changed' dst = 'TKnobsModule30.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.osc_out' dst = 'TKnobsModule30.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.poetry_changed' dst = 'TKnobsModule34.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.osc_out' dst = 'TKnobsModule34.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.envarretrig_sigout' dst = 'TKnobsModule29.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.delay_out' dst = 'TKnobsModule28.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.envarretrig_sigout' dst = 'TKnobsModule33.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.delay_out' dst = 'TKnobsModule32.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.envarretrig_out' dst = 'TKnobsModule33.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.envarretrig_out' dst = 'TKnobsModule29.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.envarretrig_sigout' dst = 'TKnobsModule35.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.delay_in' dst = 'TKnobsModule35.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.limiter_outr' dst = 'TKnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.limiter_outl' dst = 'TKnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.gverb_outl' dst = 'TKnobsModule36.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.chladni_out' dst = 'TKnobsModule38.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.gverb_outr' dst = 'TKnobsModule37.chladni_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.chladni_out' dst = 'TKnobsModule38.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out' dst = 'TKnobsModule36.chladni_pmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out2' dst = 'TKnobsModule37.chladni_pmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_stepout1' dst = 'TKnobsModule41.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_outraw' dst = 'TKnobsModule43.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.progdivider_out' dst = 'TKnobsModule41.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.progdivider_out' dst = 'TKnobsModule39.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.divider_out' dst = 'TKnobsModule40.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.osc_fm' dst = 'TKnobsModule32.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.osc_out' dst = 'TKnobsModule46.chebgen_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_in' dst = 'TKnobsModule48.mux_in0')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out2' dst = 'TKnobsModule48.mux_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out3' dst = 'TKnobsModule48.mux_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out4' dst = 'TKnobsModule48.mux_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out5' dst = 'TKnobsModule48.mux_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out6' dst = 'TKnobsModule48.mux_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out7' dst = 'TKnobsModule48.mux_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out8' dst = 'TKnobsModule48.mux_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out9' dst = 'TKnobsModule48.mux_in8')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out10' dst = 'TKnobsModule48.mux_in9')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out11' dst = 'TKnobsModule48.mux_in10')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.chebgen_out12' dst = 'TKnobsModule48.mux_in11')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in0' dst = 'TKnobsModule49.mux_in0')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in1' dst = 'TKnobsModule49.mux_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in2' dst = 'TKnobsModule49.mux_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in3' dst = 'TKnobsModule49.mux_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in4' dst = 'TKnobsModule49.mux_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in5' dst = 'TKnobsModule49.mux_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in6' dst = 'TKnobsModule49.mux_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in7' dst = 'TKnobsModule49.mux_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in8' dst = 'TKnobsModule49.mux_in8')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in9' dst = 'TKnobsModule49.mux_in9')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in10' dst = 'TKnobsModule49.mux_in10')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_in11' dst = 'TKnobsModule49.mux_in11')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.mux_out' dst = 'TKnobsModule17.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.mux_out' dst = 'TKnobsModule17.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_out' dst = 'TKnobsModule42.levelconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_out2' dst = 'TKnobsModule42.levelconverter_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_out3' dst = 'TKnobsModule42.levelconverter_in3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_out4' dst = 'TKnobsModule42.levelconverter_in4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.levelconverter_in3' dst = 'TKnobsModule14.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.levelconverter_out3' dst = 'TKnobsModule14.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.levelconverter_in4' dst = 'TKnobsModule17.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.levelconverter_out4' dst = 'TKnobsModule17.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.levelconverter_out5' dst = 'TKnobsModule45.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.minmax_in1' dst = 'TKnobsModule48.mux_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.levelconverter_in1' dst = 'TKnobsModule47.minmax_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.minmax_in2' dst = 'TKnobsModule49.mux_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.levelconverter_in2' dst = 'TKnobsModule47.minmax_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.minmax_max' dst = 'TKnobsModule42.levelconverter_in5')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.scalequantizer_out' dst = 'TKnobsModule44.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.avg_in' dst = 'TKnobsModule28.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.avg_lp' dst = 'TKnobsModule45.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.arpeggiator_out' dst = 'TKnobsModule52.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.progdivider_out' dst = 'TKnobsModule51.arpeggiator_toggle')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.osc_out' dst = 'TKnobsModule59.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule53.noise_out' dst = 'TKnobsModule54.svf_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.svf_freq' dst = 'TKnobsModule58.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.svf_lp' dst = 'TKnobsModule57.mixm3to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.avg_lp' dst = 'TKnobsModule56.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.multiplier_out' dst = 'TKnobsModule57.mixm3to1_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.multiplier_in1' dst = 'TKnobsModule57.mixm3to1_levmod3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.mixm3to1_levmod3' dst = 'TKnobsModule57.mixm3to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.mixm3to1_levmod2' dst = 'TKnobsModule57.mixm3to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.avg_invlp' dst = 'TKnobsModule59.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.limiter_outl' dst = 'TKnobsModule16.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outl' dst = 'TKnobsModule17.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.limiter_outr' dst = 'TKnobsModule16.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.mixs2to1_outr' dst = 'TKnobsModule17.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.divider_out' dst = 'TKnobsModule50.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out' dst = 'TKnobsModule56.multiplier_in7')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_outraw2' dst = 'TKnobsModule55.avg_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.poetry_in' dst = 'TKnobsModule51.arpeggiator_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.seq16_out3' dst = 'TKnobsModule56.multiplier_in6')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.freqshifter_up' dst = 'TKnobsModule60.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.freqshifter_down' dst = 'TKnobsModule60.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule20.seq16_out4' dst = 'TKnobsModule16.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.chladni_pmod' dst = 'TKnobsModule58.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_out3' dst = 'TKnobsModule54.svf_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.limiter_outr' dst = 'TKnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.gverb_outr' dst = 'TKnobsModule61.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule61.limiter_outl' dst = 'TKnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.gverb_outl' dst = 'TKnobsModule61.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.avg_lp' dst = 'TKnobsModule54.svf_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.progdivider_trig' dst = 'TKnobsModule51.arpeggiator_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.poetry_newinput' dst = 'TKnobsModule51.arpeggiator_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.poetry_in' dst = 'TKnobsModule4.chladni_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.scalequantizer_out' dst = 'TKnobsModule31.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.seq16_outraw3' dst = 'TKnobsModule52.avg_alphamod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.mixm3to1_out' dst = 'TKnobsModule58.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.osc_fm' dst = 'TKnobsModule21.scalequantizer_chain')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '18.809'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
)
