Panel(
  class     = 'TKnobsWirePanel'
  name      = 'PatchEditor'
  title     = '2019-09-22-03'
  version   = 8
  variation = 0
  guid      = '{7D4EE0CB-D6A1-4A69-A9AB-56EDBF3213BA}'
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 110 cc = 0 rnd = 0 variations = '8,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608,0.431372549019608' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2 cc = 0 rnd = 0 variations = '8,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286,0.285714285714286' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 15 cc = 0 rnd = 0 variations = '8,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375,0.05859375' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule1'
      title = 'Noise'
      type  = 503
      left  = 6
      top   = 51
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noise_color' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'noise_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'noise_colormodamt' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'noise_type' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule2'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 81
      color = 16777215
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule3'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 96
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 128 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 36 cc = 0 rnd = 0 variations = '8,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625,0.140625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 104 cc = 0 rnd = 0 variations = '8,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 23 cc = 0 rnd = 0 variations = '8,0.23,0.23,0.23,0.23,0.23,0.23,0.23,0.23' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule4'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 156
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 16 cc = 0 rnd = 0 variations = '8,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625,0.0625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 69 cc = 0 rnd = 0 variations = '8,0.69,0.69,0.69,0.69,0.69,0.69,0.69,0.69' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 104 cc = 0 rnd = 0 variations = '8,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 23 cc = 0 rnd = 0 variations = '8,0.23,0.23,0.23,0.23,0.23,0.23,0.23,0.23' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule5'
      title = 'RangeConverter'
      type  = 322
      left  = 6
      top   = 216
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 274 cc = 0 rnd = 0 variations = '8,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625,0.53515625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 266 cc = 0 rnd = 0 variations = '8,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125,0.51953125' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule6'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 261
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule7'
      title = 'FreqShifter'
      type  = 1401
      left  = 6
      top   = 306
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule8'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 336
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 12 cc = 0 rnd = 0 variations = '8,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118,0.0470588235294118' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 250 cc = 0 rnd = 0 variations = '8,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937,0.984251968503937' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 511 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule9'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 426
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 246 cc = 0 rnd = 0 variations = '8,0.9609375,0.9609375,0.9609375,0.9609375,0.9609375,0.9609375,0.9609375,0.9609375' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule10'
      title = 'Quantizer'
      type  = 307
      left  = 6
      top   = 456
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 3 cc = 0 rnd = 0 variations = '8,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809,0.00293255131964809' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule11'
      title = 'Quantizer'
      type  = 307
      left  = 6
      top   = 501
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 7 cc = 0 rnd = 0 variations = '8,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule12'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 546
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 119 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule13'
      title = 'Delay'
      type  = 701
      left  = 6
      top   = 576
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 120 cc = 0 rnd = 0 variations = '8,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118,0.470588235294118' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule14'
      title = 'Limiter'
      type  = 373
      left  = 6
      top   = 606
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule15'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 621
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule16'
      title = 'GVerb'
      type  = 707
      left  = 6
      top   = 651
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 111 cc = 0 rnd = 0 variations = '8,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059,0.435294117647059' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 31 cc = 0 rnd = 0 variations = '8,0.060665362035225,0.060665362035225,0.060665362035225,0.060665362035225,0.060665362035225,0.060665362035225,0.060665362035225,0.060665362035225' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 247 cc = 0 rnd = 0 variations = '8,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189,0.97244094488189' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 177 cc = 0 rnd = 0 variations = '8,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 164 cc = 0 rnd = 0 variations = '8,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961,0.643137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule17'
      title = 'Limiter'
      type  = 373
      left  = 6
      top   = 741
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule18'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 756
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 250 cc = 0 rnd = 0 variations = '8,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625,0.9765625' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 187 cc = 0 rnd = 0 variations = '8,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875,0.73046875' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule19'
      title = 'Volume'
      type  = 212
      left  = 6
      top   = 786
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'volume_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'volume_level1' value = 166 cc = 0 rnd = 0 variations = '8,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375,0.6484375' )
        detail( class = 'TKnobsSelector' name = 'volume_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule20'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 816
      color = 8421376
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule21'
      title = 'RangeConverter'
      type  = 322
      left  = 256
      top   = 6
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_highvalue' value = 320 cc = 0 rnd = 0 variations = '8,0.625,0.625,0.625,0.625,0.625,0.625,0.625,0.625' )
        detail( class = 'TKnobsSmallKnob' name = 'rangeconverter_lowvalue' value = 288 cc = 0 rnd = 0 variations = '8,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625,0.5625' )
        detail( class = 'TKnobsSelector' name = 'rangeconverter_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule22'
      title = 'Quantizer'
      type  = 307
      left  = 256
      top   = 51
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 7 cc = 0 rnd = 0 variations = '8,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555,0.00684261974584555' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_mode' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_rtype' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'quantizer_nozero' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule23'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 96
      color = 65280
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 86 cc = 0 rnd = 0 variations = '8,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784,0.337254901960784' )
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warpmodamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'lfo_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule24'
      title = 'SampleAndHold'
      type  = 801
      left  = 256
      top   = 141
      color = 16711935
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule25'
      title = 'ProgDivider'
      type  = 612
      left  = 256
      top   = 156
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_lowcount' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_highcount' value = 14 cc = 0 rnd = 0 variations = '8,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137,0.0549019607843137' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_steps' value = 2 cc = 0 rnd = 0 variations = '8,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333,0.133333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'progdivider_selectlev' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'progdivider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'progdivider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule26'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 216
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 14 cc = 0 rnd = 0 variations = '8,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333,0.933333333333333' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule27'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 366
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 60 cc = 0 rnd = 0 variations = '8,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189,0.47244094488189' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule28'
      title = 'Divider'
      type  = 603
      left  = 256
      top   = 441
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 15 cc = 0 rnd = 0 variations = '8,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647,0.0588235294117647' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule29'
      title = 'Divider'
      type  = 603
      left  = 256
      top   = 471
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 47 cc = 0 rnd = 0 variations = '8,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196,0.184313725490196' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule30'
      title = 'Divider'
      type  = 603
      left  = 256
      top   = 501
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule31'
      title = 'Divider'
      type  = 603
      left  = 256
      top   = 531
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 7 cc = 0 rnd = 0 variations = '8,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569,0.0274509803921569' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule32'
      title = 'Divider'
      type  = 603
      left  = 256
      top   = 561
      color = 32768
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 31 cc = 0 rnd = 0 variations = '8,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098,0.12156862745098' )
        detail( class = 'TKnobsSelector' name = 'divider_mode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'divider_outputtype' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule33'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 591
      color = 8388736
      rnd   = 0
      details(
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7 cc = 0 rnd = 0 variations = '8,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667,0.466666666666667' )
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 5 cc = 0 rnd = 0 variations = '8,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333,0.833333333333333' )
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 64 cc = 0 rnd = 0 variations = '8,0.25,0.25,0.25,0.25,0.25,0.25,0.25,0.25' )
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1 cc = 0 rnd = 0 variations = '8,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333,0.333333333333333' )
        detail( class = 'TKnobsSelector' name = 'seq16_rnd' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_clr' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'seq16_gatemode' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule34'
      title = 'ScaleQuantizer'
      type  = 335
      left  = 256
      top   = 741
      color = 33023
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note0' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note3' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note4' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note5' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note6' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note7' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note8' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note9' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note10' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_note11' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_level' value = 155 cc = 0 rnd = 0 variations = '8,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875,0.60546875' )
        detail( class = 'TKnobsSelector' name = 'scalequantizer_scale' value = 52 cc = 0 rnd = 0 variations = '8,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143,0.742857142857143' )
        detail( class = 'TKnobsSmallKnob' name = 'scalequantizer_basenote' value = 53 cc = 0 rnd = 0 variations = '8,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669,0.417322834645669' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule35'
      title = 'Poetry'
      type  = 327
      left  = 506
      top   = 6
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 3846 cc = 0 rnd = 0 variations = '8,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule36'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 51
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 42 cc = 0 rnd = 0 variations = '8,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule37'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 81
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 23 cc = 0 rnd = 0 variations = '8,0.23,0.23,0.23,0.23,0.23,0.23,0.23,0.23' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 104 cc = 0 rnd = 0 variations = '8,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule38'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 141
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50 cc = 0 rnd = 0 variations = '8,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575,0.393700787401575' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 58 cc = 0 rnd = 0 variations = '8,0.58,0.58,0.58,0.58,0.58,0.58,0.58,0.58' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 55 cc = 0 rnd = 0 variations = '8,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule39'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 201
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule40'
      title = 'Formant2'
      type  = 1012
      left  = 506
      top   = 246
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 235 cc = 0 rnd = 0 variations = '8,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule41'
      title = 'FreqShifter'
      type  = 1401
      left  = 506
      top   = 291
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 104 cc = 0 rnd = 0 variations = '8,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule42'
      title = 'MixS2to1'
      type  = 204
      left  = 506
      top   = 321
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule43'
      title = 'GVerb'
      type  = 707
      left  = 506
      top   = 351
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 144 cc = 0 rnd = 0 variations = '8,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 207 cc = 0 rnd = 0 variations = '8,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 177 cc = 0 rnd = 0 variations = '8,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 209 cc = 0 rnd = 0 variations = '8,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 201 cc = 0 rnd = 0 variations = '8,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule44'
      title = 'Switch2to1'
      type  = 803
      left  = 506
      top   = 441
      color = 16711935
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule45'
      title = 'Dif'
      type  = 1027
      left  = 506
      top   = 471
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSelector' name = 'dif_mode' value = 2 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule46'
      title = 'Modal2'
      type  = 1023
      left  = 506
      top   = 486
      color = 16711680
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q1' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q2' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q3' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q4' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q5' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q6' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q7' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q8' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level2' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level3' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level4' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level5' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level6' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level7' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level8' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q9' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q10' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q11' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level9' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level10' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level11' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_level' value = 240 cc = 0 rnd = 0 variations = '8,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_fmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_freq' value = 13 cc = 0 rnd = 0 variations = '8,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409,0.102362204724409' )
        detail( class = 'TKnobsSelector' name = 'modal2_fi' value = 1 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'modal2_preset' value = 1 cc = 0 rnd = 0 variations = '8,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652,0.0434782608695652' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_qmamt' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_q' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'modal2_lfmamt' value = 240 cc = 0 rnd = 0 variations = '8,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375,0.9375' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule47'
      title = 'GVerb'
      type  = 707
      left  = 506
      top   = 606
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'gverb_maxroomsize' value = 144 cc = 0 rnd = 0 variations = '8,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941,0.564705882352941' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_spread' value = 254 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputbw' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_revtime' value = 207 cc = 0 rnd = 0 variations = '8,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309,0.405088062622309' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_inputlevel' value = 233 cc = 0 rnd = 0 variations = '8,0.917322834645669,0.917322834645669,0.917322834645669,0.917322834645669,0.917322834645669,0.917322834645669,0.917322834645669,0.917322834645669' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_damping' value = 177 cc = 0 rnd = 0 variations = '8,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787,0.696850393700787' )
        detail( class = 'TKnobsSelector' name = 'gverb_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsize' value = 127 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_drylevel' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_taillevel' value = 209 cc = 0 rnd = 0 variations = '8,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255,0.819607843137255' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_earlylevel' value = 201 cc = 0 rnd = 0 variations = '8,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647,0.788235294117647' )
        detail( class = 'TKnobsSmallKnob' name = 'gverb_roomsizemodlev' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'gverb_mode' value = 2 cc = 0 rnd = 0 variations = '8,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667,0.666666666666667' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule48'
      title = 'Limiter'
      type  = 373
      left  = 506
      top   = 696
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule49'
      title = 'MixS2to1'
      type  = 204
      left  = 506
      top   = 711
      color = 16776960
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 245 cc = 0 rnd = 0 variations = '8,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125,0.95703125' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1 cc = 0 rnd = 0 variations = '8,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule50'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 741
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 155 cc = 0 rnd = 0 variations = '8,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902,0.607843137254902' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule51'
      title = 'Delay'
      type  = 701
      left  = 506
      top   = 771
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 145 cc = 0 rnd = 0 variations = '8,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392,0.568627450980392' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule52'
      title = 'Limiter'
      type  = 373
      left  = 506
      top   = 801
      color = 128
      rnd   = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule53'
      title = 'TextWriter'
      type  = 1117
      left  = 506
      top   = 816
      color = 0
      rnd   = 0
      details(
        detail( class = 'TKnobsInput' name = 'textwriter_trig' value = '32768' )
        detail( class = 'TKnobsInput' name = 'textwriter_reset' value = '32768' )
        detail( class = 'TKnobsDisplay' name = 'textwriter_display_text' value = '%prefix% - %patchname%' )
        detail( class = 'TKnobsFileSelector' name = 'textwriter_fileselector_filename' value = 'X:\_chatty\radio_title.txt' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule54'
      title = 'Poetry'
      type  = 327
      left  = 756
      top   = 6
      color = 9995007
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'poetry_history' value = 3846 cc = 0 rnd = 0 variations = '8,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139,0.939194139194139' )
        detail( class = 'TKnobsSmallKnob' name = 'poetry_seedlen' value = 2 cc = 0 rnd = 0 variations = '8,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581,0.0645161290322581' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule55'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 51
      color = 8421376
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 42 cc = 0 rnd = 0 variations = '8,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941,0.164705882352941' )
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule56'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 81
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 31 cc = 0 rnd = 0 variations = '8,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976,0.244094488188976' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 48 cc = 0 rnd = 0 variations = '8,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875,0.1875' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 67 cc = 0 rnd = 0 variations = '8,0.67,0.67,0.67,0.67,0.67,0.67,0.67,0.67' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 104 cc = 0 rnd = 0 variations = '8,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule57'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 141
      color = 255
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69 cc = 0 rnd = 0 variations = '8,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173,0.543307086614173' )
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 23 cc = 0 rnd = 0 variations = '8,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375,0.08984375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50 cc = 0 rnd = 0 variations = '8,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_bandlimit' value = 97 cc = 0 rnd = 0 variations = '8,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745,0.380392156862745' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warpmodamt' value = 6 cc = 0 rnd = 0 variations = '8,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375,0.0234375' )
        detail( class = 'TKnobsSmallKnob' name = 'osc_warp' value = 55 cc = 0 rnd = 0 variations = '8,0.55,0.55,0.55,0.55,0.55,0.55,0.55,0.55' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule58'
      title = 'EnvARRetrig'
      type  = 902
      left  = 756
      top   = 201
      color = 65535
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 215 cc = 0 rnd = 0 variations = '8,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961,0.843137254901961' )
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 255 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_hold' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSelector' name = 'envarretrig_range' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule59'
      title = 'Formant2'
      type  = 1012
      left  = 756
      top   = 246
      color = 4210816
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant2_vowel' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_controlmod' value = 256 cc = 0 rnd = 0 variations = '8,1,1,1,1,1,1,1,1' )
        detail( class = 'TKnobsSelector' name = 'formant2_vowelset' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'formant2_level' value = 235 cc = 0 rnd = 0 variations = '8,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875,0.91796875' )
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'TKnobsModule60'
      title = 'FreqShifter'
      type  = 1401
      left  = 756
      top   = 291
      color = 128
      rnd   = 0
      details(
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shift' value = 0 cc = 0 rnd = 0 variations = '8,0,0,0,0,0,0,0,0' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepth' value = 2 cc = 0 rnd = 0 variations = '8,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196,0.00784313725490196' )
        detail( class = 'TKnobsSmallKnob' name = 'freqshifter_shiftdepthamt' value = 104 cc = 0 rnd = 0 variations = '8,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625,0.40625' )
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.volume_outl' dst = 'TKnobsModule20.audioout_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule19.volume_outr' dst = 'TKnobsModule20.audioout_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outl' dst = 'TKnobsModule19.volume_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule18.mixs2to1_outr' dst = 'TKnobsModule19.volume_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.lfo_out' dst = 'TKnobsModule26.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_outraw' dst = 'TKnobsModule27.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.scalequantizer_out' dst = 'TKnobsModule4.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.scalequantizer_changed' dst = 'TKnobsModule6.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_out' dst = 'TKnobsModule6.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_out' dst = 'TKnobsModule4.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_sigout' dst = 'TKnobsModule4.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_outraw2' dst = 'TKnobsModule3.osc_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule3.osc_out' dst = 'TKnobsModule4.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule4.osc_warpmod' dst = 'TKnobsModule3.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_outraw3' dst = 'TKnobsModule0.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule6.envarretrig_sigout' dst = 'TKnobsModule7.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_outraw4' dst = 'TKnobsModule7.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.freqshifter_shiftmod' dst = 'TKnobsModule0.lfo_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.freqshifter_down' dst = 'TKnobsModule8.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule7.freqshifter_up' dst = 'TKnobsModule8.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_speed' dst = 'TKnobsModule8.gverb_roomsizemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_out2' dst = 'TKnobsModule8.gverb_revtimemod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outl' dst = 'TKnobsModule9.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outl' dst = 'TKnobsModule12.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_in' dst = 'TKnobsModule14.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule8.gverb_outr' dst = 'TKnobsModule9.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule9.mixs2to1_outr' dst = 'TKnobsModule13.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.delay_in' dst = 'TKnobsModule14.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule12.delay_out' dst = 'TKnobsModule9.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule13.delay_out' dst = 'TKnobsModule9.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_out4' dst = 'TKnobsModule9.mixs2to1_levmod2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.limiter_outr' dst = 'TKnobsModule18.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.gverb_outr' dst = 'TKnobsModule17.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule17.limiter_outl' dst = 'TKnobsModule18.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule16.gverb_outl' dst = 'TKnobsModule17.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule23.lfo_out' dst = 'TKnobsModule35.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule27.scalequantizer_out' dst = 'TKnobsModule35.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_changed' dst = 'TKnobsModule39.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule38.osc_out' dst = 'TKnobsModule39.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule36.delay_out' dst = 'TKnobsModule38.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.limiter_outl' dst = 'TKnobsModule15.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outl' dst = 'TKnobsModule16.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule14.limiter_outr' dst = 'TKnobsModule15.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule15.mixs2to1_outr' dst = 'TKnobsModule16.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_newinput' dst = 'TKnobsModule39.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_out3' dst = 'TKnobsModule41.freqshifter_shiftmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_out' dst = 'TKnobsModule9.mixs2to1_levmod1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_outraw' dst = 'TKnobsModule34.scalequantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_stepout1' dst = 'TKnobsModule28.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_out' dst = 'TKnobsModule37.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.osc_freq' dst = 'TKnobsModule38.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule37.osc_out' dst = 'TKnobsModule38.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.envarretrig_out' dst = 'TKnobsModule37.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.envarretrig_sigout' dst = 'TKnobsModule36.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.envarretrig_sigout' dst = 'TKnobsModule40.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule40.formant2_out' dst = 'TKnobsModule41.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out2' dst = 'TKnobsModule40.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.gverb_outr' dst = 'TKnobsModule18.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule43.gverb_outl' dst = 'TKnobsModule18.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_outraw4' dst = 'TKnobsModule38.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_trig' dst = 'TKnobsModule25.progdivider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule25.progdivider_out' dst = 'TKnobsModule26.seq16_res')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.sampleandhold_out' dst = 'TKnobsModule25.progdivider_select')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule24.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule45.dif_out' dst = 'TKnobsModule46.modal2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.mixs2to1_outl' dst = 'TKnobsModule50.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.delay_in' dst = 'TKnobsModule52.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.mixs2to1_outr' dst = 'TKnobsModule51.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.delay_in' dst = 'TKnobsModule52.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule50.delay_out' dst = 'TKnobsModule49.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule51.delay_out' dst = 'TKnobsModule49.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.limiter_outl' dst = 'TKnobsModule15.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule52.limiter_outr' dst = 'TKnobsModule15.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule49.mixs2to1_inl2' dst = 'TKnobsModule46.modal2_lfm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.limiter_outr' dst = 'TKnobsModule49.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule48.limiter_outl' dst = 'TKnobsModule49.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out3' dst = 'TKnobsModule46.modal2_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.gverb_inl' dst = 'TKnobsModule47.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule46.modal2_out' dst = 'TKnobsModule47.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.gverb_outr' dst = 'TKnobsModule48.limiter_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule47.gverb_outl' dst = 'TKnobsModule48.limiter_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.divider_trig' dst = 'TKnobsModule29.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_rnd3' dst = 'TKnobsModule35.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_stepout1' dst = 'TKnobsModule26.seq16_rnd3')
    wire( class = 'TKnobsWire' src = 'TKnobsModule1.noise_out' dst = 'TKnobsModule3.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_out3' dst = 'TKnobsModule1.noise_colormod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_stepout1' dst = 'TKnobsModule33.seq16_rnd4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule0.lfo_out' dst = 'TKnobsModule2.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule2.multiplier_out' dst = 'TKnobsModule3.osc_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out4' dst = 'TKnobsModule2.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.divider_out' dst = 'TKnobsModule26.seq16_clr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule31.divider_out' dst = 'TKnobsModule32.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.divider_trig' dst = 'TKnobsModule33.seq16_clr4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule32.divider_out' dst = 'TKnobsModule33.seq16_clr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_outraw2' dst = 'TKnobsModule10.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule10.quantizer_out' dst = 'TKnobsModule12.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.quantizer_out' dst = 'TKnobsModule13.delay_delay')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_outraw3' dst = 'TKnobsModule11.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule35.poetry_in' dst = 'TKnobsModule44.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.switch2to1_out' dst = 'TKnobsModule46.modal2_frequency')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.switch2to1_in2' dst = 'TKnobsModule27.scalequantizer_chain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule34.scalequantizer_out' dst = 'TKnobsModule44.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_clr4' dst = 'TKnobsModule31.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.divider_out' dst = 'TKnobsModule26.seq16_clr4')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.divider_out' dst = 'TKnobsModule44.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'TKnobsModule11.quantizer_outinv' dst = 'TKnobsModule5.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule5.rangeconverter_out1' dst = 'TKnobsModule6.envarretrig_rmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule29.divider_trig' dst = 'TKnobsModule30.divider_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule30.divider_out' dst = 'TKnobsModule45.dif_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.divider_out' dst = 'TKnobsModule24.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule28.divider_out' dst = 'TKnobsModule33.seq16_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_outraw4' dst = 'TKnobsModule21.rangeconverter_in1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule21.rangeconverter_out1' dst = 'TKnobsModule22.quantizer_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule22.quantizer_out' dst = 'TKnobsModule23.lfo_speed')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.freqshifter_down' dst = 'TKnobsModule42.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.mixs2to1_outl' dst = 'TKnobsModule43.gverb_inl')
    wire( class = 'TKnobsWire' src = 'TKnobsModule41.freqshifter_up' dst = 'TKnobsModule42.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'TKnobsModule42.mixs2to1_outr' dst = 'TKnobsModule43.gverb_inr')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.poetry_changed' dst = 'TKnobsModule58.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'TKnobsModule57.osc_out' dst = 'TKnobsModule58.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule55.delay_out' dst = 'TKnobsModule57.osc_phase')
    wire( class = 'TKnobsWire' src = 'TKnobsModule54.poetry_out' dst = 'TKnobsModule56.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.osc_freq' dst = 'TKnobsModule57.osc_freq')
    wire( class = 'TKnobsWire' src = 'TKnobsModule56.osc_out' dst = 'TKnobsModule57.osc_am')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.envarretrig_out' dst = 'TKnobsModule56.osc_warpmod')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.envarretrig_sigout' dst = 'TKnobsModule55.delay_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule58.envarretrig_sigout' dst = 'TKnobsModule59.formant2_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule59.formant2_out' dst = 'TKnobsModule60.freqshifter_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.freqshifter_down' dst = 'TKnobsModule42.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule60.freqshifter_up' dst = 'TKnobsModule42.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'TKnobsModule39.envarretrig_gain' dst = 'TKnobsModule54.poetry_newinput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule44.switch2to1_in1' dst = 'TKnobsModule54.poetry_in')
    wire( class = 'TKnobsWire' src = 'TKnobsModule26.seq16_stepout5' dst = 'TKnobsModule54.poetry_newoutput')
    wire( class = 'TKnobsWire' src = 'TKnobsModule24.sampleandhold_in' dst = 'TKnobsModule58.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out' dst = 'TKnobsModule59.formant2_vowelin')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_out3' dst = 'TKnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'TKnobsModule33.seq16_clr4' dst = 'TKnobsModule53.textwriter_trig')
  )
  tuning(
    ReferenceA     = '440'
    NotesPerOctave = '18.809'
    MiddleNote     = '69'
    OctaveSpan     = '2'
  )
)
