Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'guit_01'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'MidiNoteIn'
      type  = 1301
      left  = 6
      top   = 6
      color = 255
      details(
        detail( class = 'TKnobsNoKnob' name = 'midinotein_ch' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'AudioIn'
      type  = 101
      left  = 6
      top   = 36
      color = 255
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 66
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 25)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Constant'
      type  = 301
      left  = 6
      top   = 96
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 68)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'TerraGen'
      type  = 507
      left  = 6
      top   = 126
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'terragen_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'terragen_algo' value = 10)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 156
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 42)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Envelope'
      type  = 905
      left  = 6
      top   = 231
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envelope_attack' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_release' value = 61)
        detail( class = 'TKnobsSmallKnob' name = 'envelope_peakdecay' value = 61)
        detail( class = 'TKnobsSelector' name = 'envelope_peakdecayon' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'HrastSVF'
      type  = 4002
      left  = 6
      top   = 291
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 39)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 215)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 125)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 42)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 253)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 255)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'RandSig'
      type  = 408
      left  = 256
      top   = 6
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 40)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 72)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 18)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'RandSig'
      type  = 408
      left  = 256
      top   = 51
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 42)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 72)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 13)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'XFade'
      type  = 201
      left  = 256
      top   = 96
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Average'
      type  = 1001
      left  = 256
      top   = 141
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 7)
        detail( class = 'TKnobsSmallKnob' name = 'avg_alphamodamt' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 171
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 215)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 247)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 253)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 216
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 236)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 261
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Delay'
      type  = 701
      left  = 256
      top   = 306
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 192)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'MixM4to1'
      type  = 203
      left  = 256
      top   = 336
      color = 255
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'XFade'
      type  = 201
      left  = 256
      top   = 381
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Delay'
      type  = 701
      left  = 256
      top   = 411
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 157)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'XFade'
      type  = 201
      left  = 256
      top   = 441
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'xfade_posmod' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 531
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 221)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 561
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 252)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 1)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 591
      color = 255
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 150)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 200)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 621
      color = 16711680
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule21.mixs2to1_outl' dst = 'KnobsModule22.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.mixs2to1_outr' dst = 'KnobsModule22.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_inl1' dst = 'KnobsModule20.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outl' dst = 'KnobsModule21.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.mixs2to1_outr' dst = 'KnobsModule21.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_in' dst = 'KnobsModule17.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.delay_out' dst = 'KnobsModule17.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.randsig_out' dst = 'KnobsModule14.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.mixm4to1_out' dst = 'KnobsModule15.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.delay_in' dst = 'KnobsModule19.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.delay_out' dst = 'KnobsModule19.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.randsig_out' dst = 'KnobsModule16.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.xfade_in1' dst = 'KnobsModule18.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.xfade_out' dst = 'KnobsModule20.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.xfade_out' dst = 'KnobsModule20.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixm4to1_out' dst = 'KnobsModule18.delay_delay')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.randsig_out' dst = 'KnobsModule8.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.randsig_out' dst = 'KnobsModule9.randsig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.mixm4to1_out' dst = 'KnobsModule15.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.xfade_out' dst = 'KnobsModule10.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.xfade_out' dst = 'KnobsModule10.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.xfade_out' dst = 'KnobsModule13.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.terragen_y' dst = 'KnobsModule20.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixm4to1_out' dst = 'KnobsModule13.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.randsig_fm' dst = 'KnobsModule4.terragen_x')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.avg_hp' dst = 'KnobsModule4.terragen_y')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.audioin_out1' dst = 'KnobsModule2.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixm4to1_out' dst = 'KnobsModule11.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.avg_hp' dst = 'KnobsModule12.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.avg_hp' dst = 'KnobsModule12.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.terragen_out' dst = 'KnobsModule5.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.avg_hp' dst = 'KnobsModule6.envelope_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.envelope_in' dst = 'KnobsModule7.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_inl1' dst = 'KnobsModule23.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outl' dst = 'KnobsModule20.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_outr' dst = 'KnobsModule20.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.hrastSVF_output24' dst = 'KnobsModule23.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.mixs2to1_inl2' dst = 'KnobsModule23.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.envelope_invout' dst = 'KnobsModule7.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.hrastSVF_output24' dst = 'KnobsModule12.mixm4to1_in3')
  )
)
