Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'new_10'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'TextSequencer'
      type  = 1202
      left  = 6
      top   = 21
      details(
        detail( class = 'TKnobsDisplay' name = 'textsequencer_values' value = 'D4,E4,A4,D4,B4,A4,B4,E4,F4,A4,C4,E4')
        detail( class = 'TKnobsSelector' name = 'textsequencer_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 111
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 3)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 141
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 50)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 201
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 6)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'EnvADSR'
      type  = 904
      left  = 6
      top   = 231
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_attack' value = 42)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_release' value = 144)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_decay' value = 142)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_sustain' value = 105)
        detail( class = 'TKnobsSelector' name = 'envadsr_rshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envadsr_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envadsr_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_arange' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_dmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_smodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envadsr_rmodlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'envadsr_rrange' value = 1)
        detail( class = 'TKnobsSelector' name = 'envadsr_drange' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Formant'
      type  = 1004
      left  = 6
      top   = 351
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 127)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Average'
      type  = 1001
      left  = 6
      top   = 381
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 14)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'SVF'
      type  = 1002
      left  = 6
      top   = 411
      details(
        detail( class = 'TKnobsSmallKnob' name = 'svf_distortion' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'svf_frequency' value = 83)
        detail( class = 'TKnobsSmallKnob' name = 'svf_q' value = 216)
        detail( class = 'TKnobsSmallKnob' name = 'svf_fmlevel' value = 18)
        detail( class = 'TKnobsSmallKnob' name = 'svf_inlevel' value = 114)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Reverb'
      type  = 703
      left  = 6
      top   = 471
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 223)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 93)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 531
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Ratio'
      type  = 308
      left  = 256
      top   = 21
      details(
        detail( class = 'TKnobsSmallKnob' name = 'ratio_divider' value = 8)
        detail( class = 'TKnobsSmallKnob' name = 'ratio_multiplier' value = 8)
        detail( class = 'TKnobsSelector' name = 'ratio_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 366
      details(
        detail( class = 'TKnobsSmallKnob' name = 'Lfo_frequency' value = 134)
        detail( class = 'TKnobsSelector' name = 'Lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 94)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 426
      details(
        detail( class = 'TKnobsSmallKnob' name = 'Lfo_frequency' value = 103)
        detail( class = 'TKnobsSelector' name = 'Lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 174)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'NoiseLfoTrig'
      type  = 407
      left  = 256
      top   = 486
      details(
        detail( class = 'TKnobsSmallKnob' name = 'noiselfotrig_color' value = 240)
        detail( class = 'TKnobsSelector' name = 'noiselfotrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'SampleAndHold'
      type  = 801
      left  = 256
      top   = 516
      details(
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule9.reverb_outr' dst = 'KnobsModule10.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.reverb_outl' dst = 'KnobsModule10.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.formant_out' dst = 'KnobsModule8.svf_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.svf_lp' dst = 'KnobsModule9.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.reverb_inr' dst = 'KnobsModule9.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.noiselfotrig_out' dst = 'KnobsModule12.Lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.sampleandhold_out' dst = 'KnobsModule13.noiselfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.Lfo_out' dst = 'KnobsModule14.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.Lfo_out' dst = 'KnobsModule14.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.avg_lp' dst = 'KnobsModule3.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.Lfo_fm' dst = 'KnobsModule4.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.avg_lp' dst = 'KnobsModule6.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.Lfo_out' dst = 'KnobsModule7.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.avg_lp' dst = 'KnobsModule8.svf_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.osc_out' dst = 'KnobsModule5.envadsr_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envadsr_sigout' dst = 'KnobsModule6.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.avg_in' dst = 'KnobsModule5.envadsr_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envadsr_trig' dst = 'KnobsModule1.textsequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.textsequencer_out' dst = 'KnobsModule0.ratio_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.ratio_out4' dst = 'KnobsModule2.avg_in')
  )
)
