Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'new_26'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 96)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 16)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 30)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 16)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'Sequencer'
      type  = 1201
      left  = 6
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 4)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 69)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 201
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 40)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 45)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'EnvAHD'
      type  = 903
      left  = 6
      top   = 261
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 18)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 183)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 87)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 381
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'HrastSVF'
      type  = 4002
      left  = 6
      top   = 411
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 61)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 180)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 132)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 99)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 101)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 26)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 114)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 204)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 501
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 13)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Rotator'
      type  = 309
      left  = 6
      top   = 561
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'Reverb'
      type  = 703
      left  = 6
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 150)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 224)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 85)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 651
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 159)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'MixS2to1'
      type  = 204
      left  = 6
      top   = 681
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 184)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'AudioOut'
      type  = 102
      left  = 6
      top   = 711
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule87'
      title = 'Constant'
      type  = 301
      left  = 256
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 134)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Constant'
      type  = 301
      left  = 256
      top   = 36
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 160)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Constant'
      type  = 301
      left  = 256
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'constant_value' value = 190)
        detail( class = 'TKnobsSelector' name = 'constant_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'constant_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'Sequencer'
      type  = 1201
      left  = 256
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 5)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 77)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 69)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'Osc'
      type  = 501
      left  = 256
      top   = 231
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 28)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 45)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'EnvAHD'
      type  = 903
      left  = 256
      top   = 291
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 10)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 136)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 64)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Multiplier'
      type  = 304
      left  = 256
      top   = 411
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'HrastSVF'
      type  = 4002
      left  = 256
      top   = 441
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoff' value = 86)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_lowpass' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_reso' value = 180)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_bandpass' value = 165)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_highpass' value = 77)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_drive' value = 115)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_resomod' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_cutoffmod' value = 39)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_gain' value = 114)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level12' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'hrastSVF_level24' value = 204)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'Lfo'
      type  = 401
      left  = 256
      top   = 531
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 46)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'Rotator'
      type  = 309
      left  = 256
      top   = 591
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Reverb'
      type  = 703
      left  = 256
      top   = 621
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 204)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 126)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'MixM4to1'
      type  = 203
      left  = 506
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'SampleAndHold'
      type  = 801
      left  = 506
      top   = 36
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 53)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'XFade'
      type  = 201
      left  = 506
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'xfade_position' value = 178)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 52)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 10)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 216
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'EnvAHD'
      type  = 903
      left  = 506
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 135)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 227)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 67)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'Scaler'
      type  = 306
      left  = 506
      top   = 396
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'scaler_offset' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'scaler_gain' value = 192)
        detail( class = 'TKnobsSelector' name = 'scaler_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'scaler_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Switch2to1'
      type  = 803
      left  = 506
      top   = 441
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Switch2to1'
      type  = 803
      left  = 506
      top   = 471
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule37'
      title = 'Lfo'
      type  = 401
      left  = 506
      top   = 501
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 102)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 1)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule38'
      title = 'Rotator'
      type  = 309
      left  = 506
      top   = 561
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule39'
      title = 'Reverb'
      type  = 703
      left  = 506
      top   = 591
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 191)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 224)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 85)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule40'
      title = 'Inverter'
      type  = 302
      left  = 756
      top   = 6
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule41'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 36
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule42'
      title = 'SampleAndHold'
      type  = 801
      left  = 756
      top   = 66
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule43'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 96
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 10)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule44'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 156
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule45'
      title = 'EnvAHD'
      type  = 903
      left  = 756
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 135)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 255)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 54)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule46'
      title = 'Osc'
      type  = 501
      left  = 756
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 76)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 10)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule47'
      title = 'Multiplier'
      type  = 304
      left  = 756
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule48'
      title = 'EnvAHD'
      type  = 903
      left  = 756
      top   = 396
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 32)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 191)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 197)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule49'
      title = 'DFlipFlop'
      type  = 604
      left  = 756
      top   = 516
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule50'
      title = 'Sequencer'
      type  = 1201
      left  = 756
      top   = 546
      color = 15198427
      details(
        detail( class = 'TKnobsNoKnob' name = 'sequencer_steps' value = 4)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step1' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step2' value = 74)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step3' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step4' value = 72)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step5' value = 76)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step6' value = 64)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step7' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step8' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step9' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step10' value = 69)
        detail( class = 'TKnobsNoKnob' name = 'sequencer_step11' value = 69)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule51'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 621
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 214)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule52'
      title = 'MixM4to1'
      type  = 203
      left  = 756
      top   = 651
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 216)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 221)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule53'
      title = 'Delay'
      type  = 701
      left  = 756
      top   = 681
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'delay_length' value = 254)
        detail( class = 'TKnobsSelector' name = 'delay_range' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule54'
      title = 'Average'
      type  = 1001
      left  = 756
      top   = 711
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 56)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule55'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 40)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 98)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 198)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule56'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 39)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 97)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 144)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule57'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 37)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 65)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule58'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 35)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 99)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 159)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule59'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 34)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 95)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 172)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule60'
      title = 'Lfo'
      type  = 401
      left  = 1006
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 33)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 101)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 171)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule61'
      title = 'Osc'
      type  = 501
      left  = 1006
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 76)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 10)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule62'
      title = 'Inverter'
      type  = 302
      left  = 1006
      top   = 426
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule63'
      title = 'Multiplier'
      type  = 304
      left  = 1006
      top   = 456
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule64'
      title = 'EnvAHD'
      type  = 903
      left  = 1006
      top   = 486
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 32)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 195)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 198)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule65'
      title = 'Formant'
      type  = 1004
      left  = 1006
      top   = 606
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 99)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule66'
      title = 'Switch2to1'
      type  = 803
      left  = 1006
      top   = 636
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule67'
      title = 'MixM4to1'
      type  = 203
      left  = 1006
      top   = 666
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 221)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule68'
      title = 'Pan'
      type  = 202
      left  = 1006
      top   = 696
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule69'
      title = 'MixS2to1'
      type  = 204
      left  = 1006
      top   = 726
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 200)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule70'
      title = 'Reverb'
      type  = 703
      left  = 1006
      top   = 756
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'reverb_wet' value = 159)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_damp' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_dry' value = 125)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_width' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'reverb_roomsize' value = 53)
        detail( class = 'TKnobsSelector' name = 'reverb_mode' value = 0)
        detail( class = 'TKnobsSelector' name = 'reverb_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule71'
      title = 'Lfo'
      type  = 401
      left  = 1256
      top   = 6
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 32)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 98)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 255)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule72'
      title = 'Lfo'
      type  = 401
      left  = 1256
      top   = 66
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 31)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 97)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 61)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule73'
      title = 'Lfo'
      type  = 401
      left  = 1256
      top   = 126
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 29)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 96)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 44)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule74'
      title = 'Lfo'
      type  = 401
      left  = 1256
      top   = 186
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 28)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 99)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 179)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule75'
      title = 'Lfo'
      type  = 401
      left  = 1256
      top   = 246
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 25)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 95)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 178)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule76'
      title = 'Lfo'
      type  = 401
      left  = 1256
      top   = 306
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 23)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 2)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 101)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 182)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule77'
      title = 'SquareLfoTrig'
      type  = 406
      left  = 1256
      top   = 366
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_frequency' value = 87)
        detail( class = 'TKnobsNoKnob' name = 'squarelfotrig_count' value = 3)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_fmlevel' value = 25)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_pwmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule78'
      title = 'SquareLfoTrig'
      type  = 406
      left  = 1256
      top   = 426
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_frequency' value = 111)
        detail( class = 'TKnobsNoKnob' name = 'squarelfotrig_count' value = 9)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_fmlevel' value = 25)
        detail( class = 'TKnobsSmallKnob' name = 'squarelfotrig_pwmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'squarelfotrig_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule79'
      title = 'SampleAndHold'
      type  = 801
      left  = 1256
      top   = 486
      color = 15198427
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule80'
      title = 'MixM4to1'
      type  = 203
      left  = 1256
      top   = 516
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 254)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule81'
      title = 'Multiplier'
      type  = 304
      left  = 1256
      top   = 546
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule82'
      title = 'Average'
      type  = 1001
      left  = 1256
      top   = 576
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'avg_alpha' value = 106)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule83'
      title = 'MixM4to1'
      type  = 203
      left  = 1256
      top   = 606
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mode' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level3' value = 29)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level4' value = 200)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level2' value = 38)
        detail( class = 'TKnobsSmallKnob' name = 'mixm4to1_level1' value = 254)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute3' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixm4to1_mute4' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule84'
      title = 'Osc'
      type  = 501
      left  = 1256
      top   = 636
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 64)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 6)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule85'
      title = 'Multiplier'
      type  = 304
      left  = 1256
      top   = 696
      color = 15198427
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule86'
      title = 'EnvAHD'
      type  = 903
      left  = 1256
      top   = 726
      color = 15198427
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envahd_attack' value = 149)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_decay' value = 176)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hold' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_ashape' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_dshape' value = 2)
        detail( class = 'TKnobsSelector' name = 'envahd_mode' value = 1)
        detail( class = 'TKnobsSelector' name = 'envahd_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_arange' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_amodlevel' value = 85)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_hmodlevel' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'envahd_dmodlevel' value = 244)
        detail( class = 'TKnobsSelector' name = 'envahd_hrange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_drange' value = 0)
        detail( class = 'TKnobsSelector' name = 'envahd_outputtype' value = 0)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osc_out' dst = 'KnobsModule5.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outl' dst = 'KnobsModule13.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.mixs2to1_outr' dst = 'KnobsModule13.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.sequencer_out' dst = 'KnobsModule4.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.osc_out' dst = 'KnobsModule20.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.sequencer_trig' dst = 'KnobsModule20.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.sequencer_out' dst = 'KnobsModule19.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule18.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.lfo_out' dst = 'KnobsModule9.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_sigout' dst = 'KnobsModule4.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envahd_sigout' dst = 'KnobsModule19.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outl' dst = 'KnobsModule12.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.mixs2to1_outr' dst = 'KnobsModule12.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.sequencer_trig1' dst = 'KnobsModule27.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.sequencer_trig4' dst = 'KnobsModule17.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.multiplier_out' dst = 'KnobsModule18.sequencer_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.divider_out' dst = 'KnobsModule17.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.osc_out' dst = 'KnobsModule32.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.sampleandhold_out' dst = 'KnobsModule30.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.sampleandhold_trig' dst = 'KnobsModule32.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.osc_out' dst = 'KnobsModule45.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.sampleandhold_out' dst = 'KnobsModule43.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule42.sampleandhold_trig' dst = 'KnobsModule45.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.sequencer_trig1' dst = 'KnobsModule42.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_out' dst = 'KnobsModule24.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envahd_sigout' dst = 'KnobsModule24.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.sequencer_out' dst = 'KnobsModule26.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixm4to1_out' dst = 'KnobsModule27.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.sequencer_out' dst = 'KnobsModule26.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixm4to1_in1' dst = 'KnobsModule40.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.inverter_out4' dst = 'KnobsModule41.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.mixm4to1_in2' dst = 'KnobsModule41.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixm4to1_out' dst = 'KnobsModule42.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.lfo_out' dst = 'KnobsModule29.xfade_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.constant_out' dst = 'KnobsModule29.xfade_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envahd_trig' dst = 'KnobsModule29.xfade_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.reverb_outl' dst = 'KnobsModule12.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.rotator_out1' dst = 'KnobsModule25.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.reverb_outr' dst = 'KnobsModule12.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.rotator_out2' dst = 'KnobsModule25.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envahd_sigout' dst = 'KnobsModule43.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.osc_phase' dst = 'KnobsModule24.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule45.envahd_sigout' dst = 'KnobsModule30.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_sigout' dst = 'KnobsModule7.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.hrastSVF_output24' dst = 'KnobsModule9.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.envahd_sigout' dst = 'KnobsModule22.hrastSVF_input')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.hrastSVF_output24' dst = 'KnobsModule9.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.multiplier_out' dst = 'KnobsModule7.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.lfo_out' dst = 'KnobsModule21.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.multiplier_out' dst = 'KnobsModule22.hrastSVF_cutoffinput')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.lfo_out' dst = 'KnobsModule56.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.lfo_out' dst = 'KnobsModule57.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.lfo_out' dst = 'KnobsModule58.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_out' dst = 'KnobsModule59.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_out' dst = 'KnobsModule60.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.lfo_fm' dst = 'KnobsModule5.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.multiplier_out' dst = 'KnobsModule20.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.constant_out' dst = 'KnobsModule16.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.lfo_fm' dst = 'KnobsModule16.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_fm' dst = 'KnobsModule21.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_fm' dst = 'KnobsModule44.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.xfade_out' dst = 'KnobsModule31.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.multiplier_out' dst = 'KnobsModule32.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.xfade_out' dst = 'KnobsModule44.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule44.multiplier_out' dst = 'KnobsModule45.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule46.osc_out' dst = 'KnobsModule48.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.xfade_in1' dst = 'KnobsModule33.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.multiplier_in4' dst = 'KnobsModule33.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.multiplier_out' dst = 'KnobsModule34.scaler_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.scaler_out4' dst = 'KnobsModule35.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.scaler_out4' dst = 'KnobsModule48.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule41.mixm4to1_in1' dst = 'KnobsModule35.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule40.inverter_in4' dst = 'KnobsModule35.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.switch2to1_out' dst = 'KnobsModule46.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.switch2to1_control' dst = 'KnobsModule36.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.switch2to1_in1' dst = 'KnobsModule36.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.switch2to1_in2' dst = 'KnobsModule36.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule61.osc_out' dst = 'KnobsModule64.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.switch2to1_out' dst = 'KnobsModule61.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.envahd_trig' dst = 'KnobsModule62.inverter_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.inverter_out4' dst = 'KnobsModule64.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule37.lfo_out' dst = 'KnobsModule38.rotator_angle')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.envahd_sigout' dst = 'KnobsModule38.rotator_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule64.envahd_sigout' dst = 'KnobsModule38.rotator_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_fm' dst = 'KnobsModule48.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule48.envahd_dmodneg' dst = 'KnobsModule31.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.reverb_outr' dst = 'KnobsModule11.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.rotator_out2' dst = 'KnobsModule39.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule39.reverb_outl' dst = 'KnobsModule11.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule38.rotator_out1' dst = 'KnobsModule39.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule71.lfo_out' dst = 'KnobsModule72.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.lfo_out' dst = 'KnobsModule73.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.lfo_out' dst = 'KnobsModule74.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.lfo_out' dst = 'KnobsModule75.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.lfo_out' dst = 'KnobsModule76.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.lfo_out' dst = 'KnobsModule64.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.lfo_out' dst = 'KnobsModule55.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_out' dst = 'KnobsModule71.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.lfo_fm' dst = 'KnobsModule47.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.multiplier_out' dst = 'KnobsModule48.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_out' dst = 'KnobsModule63.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule63.multiplier_out' dst = 'KnobsModule64.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.lfo_fm' dst = 'KnobsModule47.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.lfo_fm' dst = 'KnobsModule63.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.reverb_outr' dst = 'KnobsModule12.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.rotator_out2' dst = 'KnobsModule10.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.reverb_outl' dst = 'KnobsModule12.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.rotator_out1' dst = 'KnobsModule10.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.multiplier_in4' dst = 'KnobsModule77.squarelfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule84.osc_out' dst = 'KnobsModule86.envahd_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.envahd_trig' dst = 'KnobsModule79.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.multiplier_in3' dst = 'KnobsModule81.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.mixm4to1_out' dst = 'KnobsModule84.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.lfo_fm' dst = 'KnobsModule86.envahd_dmod')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.envahd_out' dst = 'KnobsModule81.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule81.multiplier_out' dst = 'KnobsModule83.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule62.inverter_in4' dst = 'KnobsModule83.mixm4to1_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.envahd_out' dst = 'KnobsModule86.envahd_amod')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.squarelfotrig_ready' dst = 'KnobsModule77.squarelfotrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule67.mixm4to1_out' dst = 'KnobsModule68.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule82.avg_lp' dst = 'KnobsModule83.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.reverb_outr' dst = 'KnobsModule11.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule70.reverb_outl' dst = 'KnobsModule11.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.hrastSVF_input' dst = 'KnobsModule67.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.envahd_out' dst = 'KnobsModule46.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule43.osc_fm' dst = 'KnobsModule79.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.multiplier_in3' dst = 'KnobsModule20.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.envahd_dmod' dst = 'KnobsModule5.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule65.formant_out' dst = 'KnobsModule84.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule47.multiplier_in4' dst = 'KnobsModule65.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule83.mixm4to1_in1' dst = 'KnobsModule0.lfo_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.squarelfotrig_ready' dst = 'KnobsModule78.squarelfotrig_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.switch2to1_out' dst = 'KnobsModule86.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.squarelfotrig_out' dst = 'KnobsModule66.switch2to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule78.squarelfotrig_trig' dst = 'KnobsModule66.switch2to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.squarelfotrig_out' dst = 'KnobsModule78.squarelfotrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule18.sequencer_trig3' dst = 'KnobsModule49.dflipflop_clk')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.dflipflop_q' dst = 'KnobsModule66.switch2to1_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.divider_trig' dst = 'KnobsModule2.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_trig' dst = 'KnobsModule3.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.sequencer_trig' dst = 'KnobsModule5.envahd_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.divider_out' dst = 'KnobsModule49.dflipflop_d')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.switch2to1_in1' dst = 'KnobsModule32.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule66.switch2to1_in2' dst = 'KnobsModule45.envahd_dmodneg')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.divider_out' dst = 'KnobsModule3.sequencer_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule49.dflipflop_notq' dst = 'KnobsModule50.sequencer_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule80.mixm4to1_out' dst = 'KnobsModule82.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule79.sampleandhold_out' dst = 'KnobsModule80.mixm4to1_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule50.sequencer_out' dst = 'KnobsModule80.mixm4to1_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule85.multiplier_out' dst = 'KnobsModule86.envahd_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.lfo_fm' dst = 'KnobsModule85.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.pan_out1' dst = 'KnobsModule69.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.mixs2to1_outl' dst = 'KnobsModule70.reverb_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.pan_out2' dst = 'KnobsModule69.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule69.mixs2to1_outr' dst = 'KnobsModule70.reverb_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule86.envahd_sigout' dst = 'KnobsModule68.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.delay_in' dst = 'KnobsModule65.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule68.pan_in' dst = 'KnobsModule52.mixm4to1_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixm4to1_in' dst = 'KnobsModule51.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule52.mixm4to1_out' dst = 'KnobsModule53.delay_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.delay_out' dst = 'KnobsModule52.mixm4to1_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.envahd_out' dst = 'KnobsModule54.avg_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule54.avg_lp' dst = 'KnobsModule85.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule51.delay_outfixed' dst = 'KnobsModule69.mixs2to1_inl2')
    wire( class = 'TKnobsWire' src = 'KnobsModule53.delay_out' dst = 'KnobsModule69.mixs2to1_inr2')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.lfo_fm' dst = 'KnobsModule6.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule77.squarelfotrig_fm' dst = 'KnobsModule6.multiplier_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule87.constant_out' dst = 'KnobsModule55.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule55.lfo_phase' dst = 'KnobsModule56.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule56.lfo_phase' dst = 'KnobsModule57.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule57.lfo_phase' dst = 'KnobsModule58.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule58.lfo_phase' dst = 'KnobsModule59.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule59.lfo_phase' dst = 'KnobsModule60.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule60.lfo_phase' dst = 'KnobsModule76.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule76.lfo_phase' dst = 'KnobsModule75.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule75.lfo_phase' dst = 'KnobsModule74.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule74.lfo_phase' dst = 'KnobsModule73.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule73.lfo_phase' dst = 'KnobsModule72.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule72.lfo_phase' dst = 'KnobsModule71.lfo_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.osc_fm' dst = 'KnobsModule6.multiplier_in2')
  )
)
