Panel(
  class   = 'TKnobsWirePanel'
  name    = 'EditorPatch'
  title   = 'seqrev'
  version = 2
  modules(
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule0'
      title = 'Lfo'
      type  = 401
      left  = 6
      top   = 6
      color = 16776960
      details(
        detail( class = 'TKnobsSmallKnob' name = 'lfo_frequency' value = 110)
        detail( class = 'TKnobsSelector' name = 'lfo_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_range' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_shape' value = 3)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_fmlevel' value = 165)
        detail( class = 'TKnobsSmallKnob' name = 'lfo_pmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'lfo_outputtype' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule1'
      title = 'Divider'
      type  = 603
      left  = 6
      top   = 66
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 14)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule2'
      title = 'RandSig'
      type  = 408
      left  = 6
      top   = 96
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 14)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 175)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule3'
      title = 'RandSig'
      type  = 408
      left  = 6
      top   = 141
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 35)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 175)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule4'
      title = 'RandSig'
      type  = 408
      left  = 6
      top   = 186
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 110)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 175)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule5'
      title = 'Adder'
      type  = 303
      left  = 6
      top   = 231
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule6'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 246
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 57)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 31)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule7'
      title = 'Adder'
      type  = 303
      left  = 6
      top   = 306
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule8'
      title = 'Osc'
      type  = 501
      left  = 6
      top   = 321
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 18)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule9'
      title = 'Multiplier'
      type  = 304
      left  = 6
      top   = 381
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule10'
      title = 'EnvARRetrig'
      type  = 902
      left  = 6
      top   = 396
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 31)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 168)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule11'
      title = 'Formant'
      type  = 1004
      left  = 6
      top   = 441
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 126)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule12'
      title = 'Pan'
      type  = 202
      left  = 6
      top   = 471
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 125)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule13'
      title = 'SeqSeq'
      type  = 1212
      left  = 256
      top   = 6
      color = 16776960
      details(
        detail( class = 'TKnobsNoKnob' name = 'seqseq_steps' value = 33)
        detail( class = 'TKnobsSelector' name = 'seqseq_resmod' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule14'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 66
      color = 16776960
      details(
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15)
        detail( class = 'TKnobsValuedButton' name = 'seq16_rnd' value = 0)
        detail( class = 'TKnobsValuedButton' name = 'seq16_clr' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 60)
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 66)
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 74)
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 43)
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 59)
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 79)
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 43)
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 78)
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 60)
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 72)
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 42)
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 54)
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 56)
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 72)
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 56)
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 51)
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 6)
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0)
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1)
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule15'
      title = 'Seq16'
      type  = 1211
      left  = 256
      top   = 186
      color = 16776960
      details(
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15)
        detail( class = 'TKnobsValuedButton' name = 'seq16_rnd' value = 0)
        detail( class = 'TKnobsValuedButton' name = 'seq16_clr' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 71)
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 63)
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 44)
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 63)
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 48)
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 43)
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 55)
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 74)
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 95)
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 63)
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 54)
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 51)
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 50)
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 68)
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 50)
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 83)
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 6)
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 58)
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 0)
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 2)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule16'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 411
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 234)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 200)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule17'
      title = 'MixS2to1'
      type  = 204
      left  = 256
      top   = 441
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level1' value = 180)
        detail( class = 'TKnobsSmallKnob' name = 'mixs2to1_level2' value = 200)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute1' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mute2' value = 0)
        detail( class = 'TKnobsSelector' name = 'mixs2to1_mode' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule18'
      title = 'AudioOut'
      type  = 102
      left  = 256
      top   = 471
      color = 0
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule19'
      title = 'MidiNoteIn'
      type  = 1301
      left  = 506
      top   = 6
      color = 12632256
      details(
        detail( class = 'TKnobsNoKnob' name = 'midinotein_ch' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule20'
      title = 'SampleAndHold'
      type  = 801
      left  = 506
      top   = 36
      color = 12632256
      details(
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule21'
      title = 'Quantizer'
      type  = 307
      left  = 506
      top   = 66
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_qsteps' value = 23)
        detail( class = 'TKnobsSelector' name = 'quantizer_mute' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'quantizer_level' value = 256)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule22'
      title = 'Divider'
      type  = 603
      left  = 506
      top   = 96
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 28)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule23'
      title = 'RandSig'
      type  = 408
      left  = 506
      top   = 126
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 16)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 2)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 175)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule24'
      title = 'RandSig'
      type  = 408
      left  = 506
      top   = 171
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'randsig_frequency' value = 110)
        detail( class = 'TKnobsSelector' name = 'randsig_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_range' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_fmlevel' value = 0)
        detail( class = 'TKnobsSelector' name = 'randsig_outputtype' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_dist' value = 175)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_distmodamt' value = 0)
        detail( class = 'TKnobsSmallKnob' name = 'randsig_lambda' value = 128)
        detail( class = 'TKnobsSelector' name = 'randsig_mode' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule25'
      title = 'Adder'
      type  = 303
      left  = 506
      top   = 216
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule26'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 231
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 69)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 31)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule27'
      title = 'Adder'
      type  = 303
      left  = 506
      top   = 291
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'adder_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule28'
      title = 'Osc'
      type  = 501
      left  = 506
      top   = 306
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'osc_frequency' value = 81)
        detail( class = 'TKnobsSelector' name = 'osc_mute' value = 0)
        detail( class = 'TKnobsSelector' name = 'osc_shape' value = 1)
        detail( class = 'TKnobsSmallKnob' name = 'osc_fmlevel' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'osc_pmlevel' value = 18)
        detail( class = 'TKnobsSmallKnob' name = 'osc_cents' value = 50)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule29'
      title = 'Multiplier'
      type  = 304
      left  = 506
      top   = 366
      color = 12632256
      details(
        detail( class = 'TKnobsSelector' name = 'multiplier_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule30'
      title = 'EnvARRetrig'
      type  = 902
      left  = 506
      top   = 381
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_attack' value = 113)
        detail( class = 'TKnobsSmallKnob' name = 'envarretrig_release' value = 224)
        detail( class = 'TKnobsSelector' name = 'envarretrig_mute' value = 0)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule31'
      title = 'Formant'
      type  = 1004
      left  = 506
      top   = 426
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'formant_vowel' value = 128)
        detail( class = 'TKnobsSmallKnob' name = 'formant_controlmod' value = 126)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule32'
      title = 'Pan'
      type  = 202
      left  = 506
      top   = 456
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'pan_position' value = 127)
        detail( class = 'TKnobsSmallKnob' name = 'pan_posmod' value = 125)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule33'
      title = 'Divider'
      type  = 603
      left  = 756
      top   = 6
      color = 12632256
      details(
        detail( class = 'TKnobsSmallKnob' name = 'divider_count' value = 4)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule34'
      title = 'SeqSeq'
      type  = 1212
      left  = 756
      top   = 36
      color = 16776960
      details(
        detail( class = 'TKnobsNoKnob' name = 'seqseq_steps' value = 23)
        detail( class = 'TKnobsSelector' name = 'seqseq_resmod' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule35'
      title = 'Seq16'
      type  = 1211
      left  = 756
      top   = 96
      color = 16776960
      details(
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 15)
        detail( class = 'TKnobsValuedButton' name = 'seq16_rnd' value = 0)
        detail( class = 'TKnobsValuedButton' name = 'seq16_clr' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 60)
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 66)
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 74)
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 43)
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 59)
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 79)
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 43)
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 78)
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 60)
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 72)
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 42)
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 54)
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 56)
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 72)
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 56)
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 51)
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 6)
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 0)
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 1)
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 1)
      )
    )
    module(
      class = 'TKnobsModule'
      name  = 'KnobsModule36'
      title = 'Seq16'
      type  = 1211
      left  = 756
      top   = 216
      color = 16776960
      details(
        detail( class = 'TKnobsNoKnob' name = 'seq16_steps' value = 7)
        detail( class = 'TKnobsValuedButton' name = 'seq16_rnd' value = 0)
        detail( class = 'TKnobsValuedButton' name = 'seq16_clr' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step1' value = 71)
        detail( class = 'TKnobsSlider' name = 'seq16_step2' value = 63)
        detail( class = 'TKnobsSlider' name = 'seq16_step3' value = 44)
        detail( class = 'TKnobsSlider' name = 'seq16_step4' value = 63)
        detail( class = 'TKnobsSlider' name = 'seq16_step5' value = 48)
        detail( class = 'TKnobsSlider' name = 'seq16_step6' value = 43)
        detail( class = 'TKnobsSlider' name = 'seq16_step7' value = 55)
        detail( class = 'TKnobsSlider' name = 'seq16_step8' value = 74)
        detail( class = 'TKnobsSlider' name = 'seq16_step9' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step10' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step11' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step12' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step13' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step14' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step15' value = 0)
        detail( class = 'TKnobsSlider' name = 'seq16_step16' value = 0)
        detail( class = 'TKnobsSelector' name = 'seq16_mode' value = 6)
        detail( class = 'TKnobsSmallKnob' name = 'seq16_xfade' value = 63)
        detail( class = 'TKnobsSelector' name = 'seq16_curveup' value = 0)
        detail( class = 'TKnobsSelector' name = 'seq16_curvedown' value = 2)
      )
    )
  )
  wires(
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule13.seqseq_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.seqseq_outdir' dst = 'KnobsModule14.seq16_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.seqseq_out1' dst = 'KnobsModule14.seq16_active')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.seqseq_outtrig' dst = 'KnobsModule14.seq16_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.seqseq_outres' dst = 'KnobsModule14.seq16_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule0.lfo_out' dst = 'KnobsModule1.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule1.divider_out' dst = 'KnobsModule13.seqseq_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.seq16_out' dst = 'KnobsModule15.seq16_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.seq16_outtrig' dst = 'KnobsModule15.seq16_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.seq16_outres' dst = 'KnobsModule15.seq16_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.seqseq_out2' dst = 'KnobsModule15.seq16_active')
    wire( class = 'TKnobsWire' src = 'KnobsModule14.seq16_outdir' dst = 'KnobsModule15.seq16_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outl' dst = 'KnobsModule18.audioout_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule17.mixs2to1_outr' dst = 'KnobsModule18.audioout_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule6.osc_out' dst = 'KnobsModule10.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.envarretrig_sigout' dst = 'KnobsModule6.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule10.envarretrig_sigout' dst = 'KnobsModule11.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule4.randsig_out' dst = 'KnobsModule11.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.seq16_out' dst = 'KnobsModule5.adder_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.adder_out' dst = 'KnobsModule6.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.seq16_active' dst = 'KnobsModule20.sampleandhold_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule11.formant_out' dst = 'KnobsModule12.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.pan_out1' dst = 'KnobsModule17.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule12.pan_out2' dst = 'KnobsModule17.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule5.adder_in3' dst = 'KnobsModule7.adder_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.seq16_chain' dst = 'KnobsModule7.adder_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule7.adder_out' dst = 'KnobsModule8.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.quantizer_out' dst = 'KnobsModule5.adder_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule20.sampleandhold_out' dst = 'KnobsModule21.quantizer_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule19.midinotein_note' dst = 'KnobsModule20.sampleandhold_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule2.randsig_out' dst = 'KnobsModule9.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule9.multiplier_out' dst = 'KnobsModule10.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule3.randsig_out' dst = 'KnobsModule9.multiplier_in2')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.seqseq_outdir' dst = 'KnobsModule35.seq16_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.seqseq_out1' dst = 'KnobsModule35.seq16_active')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.seqseq_outtrig' dst = 'KnobsModule35.seq16_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.seqseq_outres' dst = 'KnobsModule35.seq16_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seq16_out' dst = 'KnobsModule36.seq16_chain')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seq16_outtrig' dst = 'KnobsModule36.seq16_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seq16_outres' dst = 'KnobsModule36.seq16_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule34.seqseq_out2' dst = 'KnobsModule36.seq16_active')
    wire( class = 'TKnobsWire' src = 'KnobsModule35.seq16_outdir' dst = 'KnobsModule36.seq16_dir')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.seqseq_trig' dst = 'KnobsModule22.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.divider_out' dst = 'KnobsModule34.seqseq_res')
    wire( class = 'TKnobsWire' src = 'KnobsModule26.osc_out' dst = 'KnobsModule30.envarretrig_sigin')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.envarretrig_sigout' dst = 'KnobsModule26.osc_phase')
    wire( class = 'TKnobsWire' src = 'KnobsModule30.envarretrig_sigout' dst = 'KnobsModule31.formant_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule24.randsig_out' dst = 'KnobsModule31.formant_vowelin')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.adder_out' dst = 'KnobsModule26.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule31.formant_out' dst = 'KnobsModule32.pan_in')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.pan_out1' dst = 'KnobsModule16.mixs2to1_inl1')
    wire( class = 'TKnobsWire' src = 'KnobsModule32.pan_out2' dst = 'KnobsModule16.mixs2to1_inr1')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.adder_in3' dst = 'KnobsModule27.adder_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule27.adder_out' dst = 'KnobsModule28.osc_fm')
    wire( class = 'TKnobsWire' src = 'KnobsModule23.randsig_out' dst = 'KnobsModule29.multiplier_in1')
    wire( class = 'TKnobsWire' src = 'KnobsModule29.multiplier_out' dst = 'KnobsModule30.envarretrig_gain')
    wire( class = 'TKnobsWire' src = 'KnobsModule21.quantizer_out' dst = 'KnobsModule25.adder_in3')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.seq16_out' dst = 'KnobsModule25.adder_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.seq16_chain' dst = 'KnobsModule27.adder_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outl' dst = 'KnobsModule17.mixs2to1_inl')
    wire( class = 'TKnobsWire' src = 'KnobsModule16.mixs2to1_outr' dst = 'KnobsModule17.mixs2to1_inr')
    wire( class = 'TKnobsWire' src = 'KnobsModule28.osc_out' dst = 'KnobsModule12.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule8.osc_out' dst = 'KnobsModule32.pan_control')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.seq16_out' dst = 'KnobsModule29.multiplier_in4')
    wire( class = 'TKnobsWire' src = 'KnobsModule22.divider_trig' dst = 'KnobsModule33.divider_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule33.divider_out' dst = 'KnobsModule34.seqseq_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule15.seq16_outtrig' dst = 'KnobsModule10.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule36.seq16_outtrig' dst = 'KnobsModule30.envarretrig_trig')
    wire( class = 'TKnobsWire' src = 'KnobsModule13.seqseq_out3' dst = 'KnobsModule33.divider_reset')
    wire( class = 'TKnobsWire' src = 'KnobsModule25.adder_in4' dst = 'KnobsModule14.seq16_chain')
  )
)
